/*---------------------------------------------------------------------------------------------
 *  Copyright (c) Microsoft Corporation. All rights reserved.
 *  Licensed under the MIT License. See License.txt in the project root for
 *  license information.
 *--------------------------------------------------------------------------------------------*/

export function verify(vsixFilePath: string, signatureArchiveFilePath: string, verbose?: boolean): Promise<boolean>;
export function generateManifest(vsixFilePath: string, manifestFilePath?: string, verbose?: boolean): Promise<string>;
export function zip(manifestFilePath: string, signatureFilePath: string, signatureArchiveFilePath?: string, verbose?: boolean): Promise<string>;

export class ExtensionSignatureVerificationError extends Error {
    readonly code: string;
    readonly didExecute: boolean;
    readonly output?: string;
}