/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var ye=["exports","require","vs/base/common/lifecycle","vs/base/common/platform","vs/base/common/uri","vs/platform/instantiation/common/instantiation","vs/base/common/event","vs/base/common/path","vs/nls","vs/nls!vs/server/node/server.main","vs/base/common/errors","vs/base/common/types","vs/base/common/network","vs/platform/log/common/log","vs/base/common/buffer","vs/base/common/async","vs/platform/files/common/files","vs/base/common/strings","vs/base/common/arrays","vs/base/common/resources","vs/base/common/cancellation","vs/base/common/objects","vs/base/common/uuid","vs/base/node/pfs","vs/base/common/map","vs/platform/configuration/common/configuration","vs/platform/environment/common/environment","fs","os","vs/base/common/process","vs/platform/extensionManagement/common/extensionManagement","vs/platform/product/common/productService","vs/platform/telemetry/common/telemetry","vs/platform/userDataProfile/common/userDataProfile","vs/platform/uriIdentity/common/uriIdentity","vs/platform/extensions/common/extensions","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/registry/common/platform","vs/platform/telemetry/common/telemetryUtils","vs/base/common/errorMessage","vs/base/common/extpath","vs/base/common/json","vs/base/common/performance","vs/editor/common/core/range","vs/base/parts/ipc/common/ipc","vs/platform/configuration/common/configurationRegistry","vs/platform/request/common/request","vs/platform/extensionManagement/common/extensionsProfileScannerService","vs/server/node/serverEnvironmentService","vs/base/common/iterator","vs/base/common/stream","vs/base/common/codicons","vs/base/common/marshalling","vs/base/common/uriIpc","child_process","vs/base/common/semver/semver","vs/platform/files/common/watcher","vs/platform/product/common/product","vs/platform/remote/common/remoteHosts","vs/platform/extensionManagement/common/extensionsScannerService","vs/base/common/lazy","vs/base/common/stopwatch","vs/base/common/hash","vs/base/common/severity","vs/base/common/ternarySearchTree","vs/base/common/mime","vs/base/common/processes","vs/platform/environment/node/argv","vs/platform/instantiation/common/descriptors","vs/platform/contextkey/common/contextkey","vs/platform/files/node/diskFileSystemProvider","vs/platform/policy/common/policy","vs/workbench/api/node/uriTransformer","vs/workbench/contrib/testing/common/testId","vs/base/parts/ipc/node/ipc.net","vs/base/common/decorators","vs/base/common/functional","path","net","vs/editor/common/core/position","vs/base/common/glob","vs/base/node/zip","vs/platform/extensions/common/extensionValidator","vs/platform/download/common/download","vs/platform/instantiation/common/serviceCollection","vs/platform/languagePacks/common/languagePacks","vs/platform/extensionManagement/node/extensionSignatureVerificationService","url","vs/platform/shell/node/shellEnv","crypto","vs/platform/terminal/common/environmentVariableShared","vs/platform/terminal/common/terminal","vs/platform/workspace/common/workspace","vs/workbench/common/editor","vs/workbench/contrib/testing/common/testTypes","vs/base/common/amd","vs/base/common/assert","vs/base/common/linkedList","vs/base/common/normalization","vs/base/common/themables","vs/base/common/htmlContent","vs/base/node/id","vs/base/node/powershell","vs/base/node/processes","vs/base/node/ps","vs/base/node/shell","vs/base/parts/ipc/common/ipc.net","vs/base/parts/ipc/node/ipc.cp","vs/platform/environment/node/environmentService","vs/platform/instantiation/common/extensions","vs/platform/files/common/io","vs/platform/instantiation/common/instantiationService","vs/platform/files/common/fileService","vs/platform/log/common/logIpc","vs/platform/log/common/logService","vs/platform/log/node/loggerService","vs/platform/configuration/common/configurationModels","vs/platform/configuration/common/configurationService","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/telemetry/common/commonProperties","vs/platform/extensionManagement/common/extensionManagementCLI","vs/platform/languagePacks/node/languagePacks","vs/platform/terminal/common/environmentVariable","vs/platform/terminal/common/environmentVariableCollection","vs/platform/uriIdentity/common/uriIdentityService","vs/platform/extensionManagement/node/extensionManagementService","vs/platform/extensionManagement/node/extensionsProfileScannerService","vs/platform/extensionManagement/common/extensionGalleryService","vs/platform/userDataProfile/node/userDataProfile","vs/server/node/extensionHostStatusService","vs/server/node/remoteLanguagePacks","vs/server/node/extensionsScannerService","vs/workbench/contrib/testing/common/testItemCollection","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/editor/common/editorService","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/api/common/extHostTypes","vs/workbench/api/common/extHostTypeConverters","vs/platform/request/node/requestService","vs/server/node/extensionHostConnection","vs/base/common/arraysFind","vs/base/common/collections","vs/base/common/jsonFormatter","vs/base/common/jsonEdit","vs/base/common/marked/marked","vs/base/common/naturalLanguage/korean","vs/base/common/numbers","vs/base/common/skipList","vs/base/common/cache","vs/base/common/filters","vs/base/common/symbols","vs/base/common/iconLabels","vs/base/common/dataTransfer","vs/base/node/languagePacks","vs/base/node/macAddress","vs/base/node/ports","vs/editor/common/core/editOperation","vs/editor/common/tokenizationRegistry","vs/nls!vs/base/common/actions","vs/base/common/actions","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/jsonErrorMessages","vs/base/common/jsonErrorMessages","vs/nls!vs/base/common/platform","vs/base/common/console","vs/amdX","vs/base/common/labels","vs/base/node/osReleaseInfo","vs/base/node/extpath","vs/base/parts/storage/common/storage","vs/nls!vs/base/node/zip","vs/nls!vs/editor/common/languages","vs/editor/common/languages","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/contextkey/common/contextkey","vs/nls!vs/platform/contextkey/common/scanner","vs/nls!vs/platform/environment/node/argv","vs/nls!vs/platform/environment/node/argvHelper","vs/nls!vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensionManagement/common/extensionManagementCLI","vs/nls!vs/platform/extensionManagement/common/extensionNls","vs/nls!vs/platform/extensionManagement/common/extensionsScannerService","vs/nls!vs/platform/extensionManagement/node/extensionManagementService","vs/nls!vs/platform/extensionManagement/node/extensionManagementUtil","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/files/common/fileService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/languagePacks/common/languagePacks","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/request/common/request","vs/nls!vs/platform/shell/node/shellEnv","vs/nls!vs/platform/telemetry/common/telemetryService","vs/nls!vs/platform/terminal/common/terminalPlatformConfiguration","vs/nls!vs/platform/terminal/common/terminalProfiles","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/server/node/remoteExtensionHostAgentCli","vs/nls!vs/server/node/serverEnvironmentService","vs/nls!vs/server/node/serverServices","vs/nls!vs/workbench/api/common/extHostTelemetry","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/extensions/common/extensionsUtil","vs/platform/contextkey/common/scanner","vs/platform/debug/common/extensionHostDebugIpc","vs/platform/download/common/downloadIpc","vs/platform/environment/common/environmentService","vs/platform/environment/node/argvHelper","vs/platform/environment/node/userDataPath","vs/platform/extensionManagement/common/extensionNls","vs/platform/extensionManagement/node/extensionManagementUtil","vs/platform/externalServices/common/serviceMachineId","vs/platform/instantiation/common/graph","vs/platform/diagnostics/common/diagnostics","vs/platform/extensionManagement/common/extensionManagementIpc","vs/platform/files/common/diskFileSystemProviderClient","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/label/common/label","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/node/diskFileSystemProviderServer","vs/platform/log/node/spdlogLog","vs/platform/markers/common/markers","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/configuration/common/configurations","vs/platform/remote/common/remoteExtensionsScanner","vs/platform/extensionManagement/common/implicitActivationEvents","vs/platform/extensionManagement/node/extensionsManifestCache","vs/platform/download/common/downloadService","vs/platform/request/common/requestIpc","vs/platform/request/node/proxy","vs/platform/state/node/state","vs/platform/state/node/stateService","vs/platform/telemetry/common/errorTelemetry","vs/platform/telemetry/common/remoteTelemetryChannel","vs/platform/diagnostics/node/diagnosticsService","vs/platform/extensionManagement/node/extensionDownloader","vs/platform/extensionManagement/node/extensionsWatcher","vs/platform/externalServices/common/marketplace","vs/platform/telemetry/common/1dsAppender","vs/platform/telemetry/common/telemetryService","vs/platform/telemetry/common/serverTelemetryService","vs/platform/telemetry/node/1dsAppender","vs/platform/telemetry/node/errorTelemetry","vs/platform/terminal/common/requestStore","vs/platform/terminal/common/terminalEnvironment","vs/platform/terminal/common/terminalProfiles","vs/platform/terminal/common/terminalPlatformConfiguration","vs/platform/terminal/node/nodePtyHostStarter","vs/platform/terminal/node/terminalEnvironment","vs/platform/terminal/node/terminalProfiles","vs/platform/terminal/node/ptyHostService","vs/platform/extensionManagement/common/abstractExtensionManagementService","vs/platform/extensionManagement/node/extensionLifecycle","vs/platform/storage/common/storage","vs/platform/userDataProfile/common/userDataProfileIpc","vs/server/node/remoteExtensionManagement","vs/server/node/serverConnectionToken","cookie","vs/server/node/webClientServer","vs/workbench/api/common/extHostInitDataService","vs/workbench/api/common/extHostRpcService","vs/server/node/remoteAgentEnvironmentImpl","vs/server/node/remoteFileSystemProviderServer","vs/workbench/contrib/terminal/common/environmentVariable","vs/workbench/contrib/terminal/common/terminalEnvironment","vs/workbench/services/configuration/common/configuration","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/contrib/terminal/common/remote/remoteTerminalChannel","vs/workbench/services/extensions/common/extensionHostEnv","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostTelemetry","vs/workbench/services/extensions/common/extensions","vs/workbench/services/extensions/common/extensionsUtil","vs/server/node/remoteExtensionsScanner","vs/workbench/api/common/extHost.protocol","vs/workbench/services/notebook/common/notebookDocumentService","vs/workbench/api/common/extHostTestItem","vs/workbench/api/common/extHostCommands","vs/workbench/services/remote/common/remoteFileSystemProviderClient","zlib","vs/server/node/remoteExtensionHostAgentCli","vs/base/node/unc","vs/workbench/api/node/extHostCLIServer","vs/server/node/remoteTerminalChannel","vs/server/node/serverServices","vs/server/node/remoteExtensionHostAgentServer","perf_hooks","fs/promises","readline","util","minimist","assert","graceful-fs","https","http","vs/server/node/server.main"],ke=function(le){for(var e=[],E=0,R=le.length;E<R;E++)e[E]=ye[le[E]];return e};define(ye[95],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$U=e.$T=void 0,e.$T=!1;class E{static get(){const o=new Map,C=new Map,D=new Map,S=new Map;function v(d,m){d.has(m.detail)||d.set(m.detail,-m.timestamp)}function w(d,m){const l=d.get(m.detail);l&&(l>=0||d.set(m.detail,l+m.timestamp))}let I=[];typeof le=="function"&&typeof le.getStats=="function"&&(I=le.getStats().slice(0).sort((d,m)=>d.timestamp-m.timestamp));for(const d of I)switch(d.type){case 10:v(o,d);break;case 11:case 12:w(o,d);break;case 21:v(C,d);break;case 22:w(C,d);break;case 33:v(D,d);break;case 34:w(D,d);break;case 31:v(S,d);break;case 32:w(S,d);break}let k=0;D.forEach(d=>k+=d);function p(d){const m=[];return d.forEach((l,b)=>m.push([b,l])),m}return{amdLoad:p(o),amdInvoke:p(C),nodeRequire:p(D),nodeEval:p(S),nodeRequireTotal:k}}static toMarkdownTable(o,C){let D="";const S=[];return o.forEach((v,w)=>{S[w]=v.length}),C.forEach(v=>{v.forEach((w,I)=>{typeof w>"u"&&(w=v[I]="-");const k=w.toString().length;S[I]=Math.max(k,S[I])})}),o.forEach((v,w)=>{D+=`| ${v+" ".repeat(S[w]-v.toString().length)} `}),D+=`|
`,o.forEach((v,w)=>{D+=`| ${"-".repeat(S[w])} `}),D+=`|
`,C.forEach(v=>{v.forEach((w,I)=>{typeof w<"u"&&(D+=`| ${w+" ".repeat(S[I]-w.toString().length)} `)}),D+=`|
`}),D}}e.$U=E}),define(ye[142],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rb=e.$qb=e.$pb=e.$ob=e.$nb=e.$mb=e.$lb=e.$kb=e.$jb=e.$ib=e.$hb=e.$gb=e.$fb=void 0;function E(l,b,c){const g=R(l,b);if(g!==-1)return l[g]}e.$fb=E;function R(l,b,c=l.length-1){for(let g=c;g>=0;g--){const h=l[g];if(b(h))return g}return-1}e.$gb=R;function o(l,b){const c=C(l,b);return c===-1?void 0:l[c]}e.$hb=o;function C(l,b,c=0,g=l.length){let h=c,f=g;for(;h<f;){const u=Math.floor((h+f)/2);b(l[u])?h=u+1:f=u}return h-1}e.$ib=C;function D(l,b){const c=S(l,b);return c===l.length?void 0:l[c]}e.$jb=D;function S(l,b,c=0,g=l.length){let h=c,f=g;for(;h<f;){const u=Math.floor((h+f)/2);b(l[u])?f=u:h=u+1}return h}e.$kb=S;function v(l,b,c=0,g=l.length){const h=S(l,b,c,g);return h===l.length?-1:h}e.$lb=v;class w{static{this.assertInvariants=!1}constructor(b){this.e=b,this.c=0}findLastMonotonous(b){if(w.assertInvariants){if(this.d){for(const g of this.e)if(this.d(g)&&!b(g))throw new Error("MonotonousArray: current predicate must be weaker than (or equal to) the previous predicate.")}this.d=b}const c=C(this.e,b,this.c);return this.c=c+1,c===-1?void 0:this.e[c]}}e.$mb=w;function I(l,b){if(l.length===0)return;let c=l[0];for(let g=1;g<l.length;g++){const h=l[g];b(h,c)>0&&(c=h)}return c}e.$nb=I;function k(l,b){if(l.length===0)return;let c=l[0];for(let g=1;g<l.length;g++){const h=l[g];b(h,c)>=0&&(c=h)}return c}e.$ob=k;function p(l,b){return I(l,(c,g)=>-b(c,g))}e.$pb=p;function d(l,b){if(l.length===0)return-1;let c=0;for(let g=1;g<l.length;g++){const h=l[g];b(h,l[c])>0&&(c=g)}return c}e.$qb=d;function m(l,b){for(const c of l){const g=b(c);if(g!==void 0)return g}}e.$rb=m}),define(ye[143],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$N=e.$M=e.$L=e.$K=void 0;function E(D,S){const v=Object.create(null);for(const w of D){const I=S(w);let k=v[I];k||(k=v[I]=[]),k.push(w)}return v}e.$K=E;function R(D,S){const v=[],w=[];for(const I of D)S.has(I)||v.push(I);for(const I of S)D.has(I)||w.push(I);return{removed:v,added:w}}e.$L=R;function o(D,S){const v=[],w=[];for(const[I,k]of D)S.has(I)||v.push(k);for(const[I,k]of S)D.has(I)||w.push(k);return{removed:v,added:w}}e.$M=o;function C(D,S){const v=new Set;for(const w of S)D.has(w)&&v.add(w);return v}e.$N=C}),define(ye[75],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kh=e.$Jh=e.$Ih=void 0;function E(D){return(S,v,w)=>{let I=null,k=null;if(typeof w.value=="function"?(I="value",k=w.value):typeof w.get=="function"&&(I="get",k=w.get),!k)throw new Error("not supported");w[I]=D(k,v)}}function R(D,S,v){let w=null,I=null;if(typeof v.value=="function"?(w="value",I=v.value,I.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof v.get=="function"&&(w="get",I=v.get),!I)throw new Error("not supported");const k=`$memoize$${S}`;v[w]=function(...p){return this.hasOwnProperty(k)||Object.defineProperty(this,k,{configurable:!1,enumerable:!1,writable:!1,value:I.apply(this,p)}),this[k]}}e.$Ih=R;function o(D,S,v){return E((w,I)=>{const k=`$debounce$${I}`,p=`$debounce$result$${I}`;return function(...d){this[p]||(this[p]=v?v():void 0),clearTimeout(this[k]),S&&(this[p]=S(this[p],...d),d=[this[p]]),this[k]=setTimeout(()=>{w.apply(this,d),this[p]=v?v():void 0},D)}})}e.$Jh=o;function C(D,S,v){return E((w,I)=>{const k=`$throttle$timer$${I}`,p=`$throttle$result$${I}`,d=`$throttle$lastRun$${I}`,m=`$throttle$pending$${I}`;return function(...l){if(this[p]||(this[p]=v?v():void 0),(this[d]===null||this[d]===void 0)&&(this[d]=-Number.MAX_VALUE),S&&(this[p]=S(this[p],...l)),this[m])return;const b=this[d]+D;b<=Date.now()?(this[d]=Date.now(),w.apply(this,[this[p]]),this[p]=v?v():void 0):(this[m]=!0,this[k]=setTimeout(()=>{this[m]=!1,this[d]=Date.now(),w.apply(this,[this[p]]),this[p]=v?v():void 0},b-Date.now()))}})}e.$Kh=C}),define(ye[10],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cb=e.$bb=e.$ab=e.$_=e.$$=e.$0=e.$9=e.$8=e.$7=e.$6=e.$5=e.$4=e.$3=e.$2=e.$1=e.$Z=e.setUnexpectedErrorHandler=e.$X=e.$W=void 0;class E{constructor(){this.b=[],this.a=function(t){setTimeout(()=>{throw t.stack?h.isErrorNoTelemetry(t)?new h(t.message+`

`+t.stack):new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.b.push(t),()=>{this.d(t)}}c(t){this.b.forEach(s=>{s(t)})}d(t){this.b.splice(this.b.indexOf(t),1)}setUnexpectedErrorHandler(t){this.a=t}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(t){this.a(t),this.c(t)}onUnexpectedExternalError(t){this.a(t)}}e.$W=E,e.$X=new E;function R(u){e.$X.setUnexpectedErrorHandler(u)}e.setUnexpectedErrorHandler=R;function o(u){if(!u||typeof u!="object")return!1;const t=u;return t.code==="EPIPE"&&t.syscall?.toUpperCase()==="WRITE"}e.$Z=o;function C(u){w(u)||e.$X.onUnexpectedError(u)}e.$1=C;function D(u){w(u)||e.$X.onUnexpectedExternalError(u)}e.$2=D;function S(u){if(u instanceof Error){const{name:t,message:s}=u,r=u.stacktrace||u.stack;return{$isError:!0,name:t,message:s,stack:r,noTelemetry:h.isErrorNoTelemetry(u)}}return u}e.$3=S;const v="Canceled";function w(u){return u instanceof I?!0:u instanceof Error&&u.name===v&&u.message===v}e.$4=w;class I extends Error{constructor(){super(v),this.name=this.message}}e.$5=I;function k(){const u=new Error(v);return u.name=u.message,u}e.$6=k;function p(u){return u?new Error(`Illegal argument: ${u}`):new Error("Illegal argument")}e.$7=p;function d(u){return u?new Error(`Illegal state: ${u}`):new Error("Illegal state")}e.$8=d;class m extends TypeError{constructor(t){super(t?`${t} is read-only and cannot be changed`:"Cannot change read-only property")}}e.$9=m;function l(u){return u?u.message?u.message:u.stack?u.stack.split(`
`)[0]:String(u):"Error"}e.$0=l;class b extends Error{constructor(t){super("NotImplemented"),t&&(this.message=t)}}e.$$=b;class c extends Error{constructor(t){super("NotSupported"),t&&(this.message=t)}}e.$_=c;class g extends Error{constructor(){super(...arguments),this.isExpected=!0}}e.$ab=g;class h extends Error{constructor(t){super(t),this.name="CodeExpectedError"}static fromError(t){if(t instanceof h)return t;const s=new h;return s.message=t.message,s.stack=t.stack,s}static isErrorNoTelemetry(t){return t.name==="CodeExpectedError"}}e.$bb=h;class f extends Error{constructor(t){super(t||"An unexpected bug occurred."),Object.setPrototypeOf(this,f.prototype)}}e.$cb=f}),define(ye[18],ke([1,0,10,142]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ac=e.$_b=e.$$b=e.$0b=e.$9b=e.$8b=e.$7b=e.CompareResult=e.$6b=e.$5b=e.$4b=e.$3b=e.$2b=e.$1b=e.$Zb=e.$Yb=e.$Xb=e.$Wb=e.$Vb=e.$Ub=e.$Tb=e.$Sb=e.$Rb=e.$Qb=e.$Pb=e.$Ob=e.$Nb=e.$Mb=e.$Lb=e.$Kb=e.$Jb=e.$Ib=e.$Hb=e.$Gb=e.top=e.$Eb=e.$Db=e.$Cb=e.$Bb=e.$Ab=e.$zb=e.$yb=e.$xb=e.$wb=e.$vb=e.$ub=e.$tb=e.$sb=void 0;function o(Y,Z=0){return Y[Y.length-(1+Z)]}e.$sb=o;function C(Y){if(Y.length===0)throw new Error("Invalid tail call");return[Y.slice(0,Y.length-1),Y[Y.length-1]]}e.$tb=C;function D(Y,Z,W=(J,N)=>J===N){if(Y===Z)return!0;if(!Y||!Z||Y.length!==Z.length)return!1;for(let J=0,N=Y.length;J<N;J++)if(!W(Y[J],Z[J]))return!1;return!0}e.$ub=D;function S(Y,Z){const W=Y.length-1;Z<W&&(Y[Z]=Y[W]),Y.pop()}e.$vb=S;function v(Y,Z,W){return w(Y.length,J=>W(Y[J],Z))}e.$wb=v;function w(Y,Z){let W=0,J=Y-1;for(;W<=J;){const N=(W+J)/2|0,T=Z(N);if(T<0)W=N+1;else if(T>0)J=N-1;else return N}return-(W+1)}e.$xb=w;function I(Y,Z,W){if(Y=Y|0,Y>=Z.length)throw new TypeError("invalid index");const J=Z[Math.floor(Z.length*Math.random())],N=[],T=[],ee=[];for(const ie of Z){const fe=W(ie,J);fe<0?N.push(ie):fe>0?T.push(ie):ee.push(ie)}return Y<N.length?I(Y,N,W):Y<N.length+ee.length?ee[0]:I(Y-(N.length+ee.length),T,W)}e.$yb=I;function k(Y,Z){const W=[];let J;for(const N of Y.slice(0).sort(Z))!J||Z(J[0],N)!==0?(J=[N],W.push(J)):J.push(N);return W}e.$zb=k;function*p(Y,Z){let W,J;for(const N of Y)J!==void 0&&Z(J,N)?W.push(N):(W&&(yield W),W=[N]),J=N;W&&(yield W)}e.$Ab=p;function d(Y,Z){for(let W=0;W<=Y.length;W++)Z(W===0?void 0:Y[W-1],W===Y.length?void 0:Y[W])}e.$Bb=d;function m(Y,Z){for(let W=0;W<Y.length;W++)Z(W===0?void 0:Y[W-1],Y[W],W+1===Y.length?void 0:Y[W+1])}e.$Cb=m;function l(Y,Z,W){const J=[];function N(ie,fe,ae){if(fe===0&&ae.length===0)return;const pe=J[J.length-1];pe&&pe.start+pe.deleteCount===ie?(pe.deleteCount+=fe,pe.toInsert.push(...ae)):J.push({start:ie,deleteCount:fe,toInsert:ae})}let T=0,ee=0;for(;;){if(T===Y.length){N(T,0,Z.slice(ee));break}if(ee===Z.length){N(T,Y.length-T,[]);break}const ie=Y[T],fe=Z[ee],ae=W(ie,fe);ae===0?(T+=1,ee+=1):ae<0?(N(T,1,[]),T+=1):ae>0&&(N(T,0,[fe]),ee+=1)}return J}e.$Db=l;function b(Y,Z,W){const J=l(Y,Z,W),N=[],T=[];for(const ee of J)N.push(...Y.slice(ee.start,ee.start+ee.deleteCount)),T.push(...ee.toInsert);return{removed:N,added:T}}e.$Eb=b;function c(Y,Z,W){if(W===0)return[];const J=Y.slice(0,W).sort(Z);return h(Y,Z,J,W,Y.length),J}e.top=c;function g(Y,Z,W,J,N){return W===0?Promise.resolve([]):new Promise((T,ee)=>{(async()=>{const ie=Y.length,fe=Y.slice(0,W).sort(Z);for(let ae=W,pe=Math.min(W+J,ie);ae<ie;ae=pe,pe=Math.min(pe+J,ie)){if(ae>W&&await new Promise(Ee=>setTimeout(Ee)),N&&N.isCancellationRequested)throw new E.$5;h(Y,Z,fe,ae,pe)}return fe})().then(T,ee)})}e.$Gb=g;function h(Y,Z,W,J,N){for(const T=W.length;J<N;J++){const ee=Y[J];if(Z(ee,W[T-1])<0){W.pop();const ie=(0,R.$kb)(W,fe=>Z(ee,fe)<0);W.splice(ie,0,ee)}}}function f(Y){return Y.filter(Z=>!!Z)}e.$Hb=f;function u(Y){let Z=0;for(let W=0;W<Y.length;W++)Y[W]&&(Y[Z]=Y[W],Z+=1);Y.length=Z}e.$Ib=u;function t(Y,Z,W){Y.splice(W,0,Y.splice(Z,1)[0])}e.$Jb=t;function s(Y){return!Array.isArray(Y)||Y.length===0}e.$Kb=s;function r(Y){return Array.isArray(Y)&&Y.length>0}e.$Lb=r;function n(Y,Z=W=>W){const W=new Set;return Y.filter(J=>{const N=Z(J);return W.has(N)?!1:(W.add(N),!0)})}e.$Mb=n;function i(Y){const Z=new Set;return W=>{const J=Y(W);return Z.has(J)?!1:(Z.add(J),!0)}}e.$Nb=i;function a(Y,Z){return Y.length>0?Y[0]:Z}e.$Ob=a;function $(Y,Z){return Y.length>0?Y[Y.length-1]:Z}e.$Pb=$;function O(Y,Z,W=(J,N)=>J===N){let J=0;for(let N=0,T=Math.min(Y.length,Z.length);N<T&&W(Y[N],Z[N]);N++)J++;return J}e.$Qb=O;function P(Y){return[].concat(...Y)}e.$Rb=P;function y(Y,Z){let W=typeof Z=="number"?Y:0;typeof Z=="number"?W=Y:(W=0,Z=Y);const J=[];if(W<=Z)for(let N=W;N<Z;N++)J.push(N);else for(let N=W;N>Z;N--)J.push(N);return J}e.$Sb=y;function A(Y,Z,W){return Y.reduce((J,N)=>(J[Z(N)]=W?W(N):N,J),Object.create(null))}e.$Tb=A;function F(Y,Z){return Y.push(Z),()=>Q(Y,Z)}e.$Ub=F;function Q(Y,Z){const W=Y.indexOf(Z);if(W>-1)return Y.splice(W,1),Z}e.$Vb=Q;function te(Y,Z,W){const J=Y.slice(0,Z),N=Y.slice(Z);return J.concat(W,N)}e.$Wb=te;function de(Y,Z){let W;if(typeof Z=="number"){let J=Z;W=()=>{const N=Math.sin(J++)*179426549;return N-Math.floor(N)}}else W=Math.random;for(let J=Y.length-1;J>0;J-=1){const N=Math.floor(W()*(J+1)),T=Y[J];Y[J]=Y[N],Y[N]=T}}e.$Xb=de;function he(Y,Z){const W=Y.indexOf(Z);W>-1&&(Y.splice(W,1),Y.unshift(Z))}e.$Yb=he;function B(Y,Z){const W=Y.indexOf(Z);W>-1&&(Y.splice(W,1),Y.push(Z))}e.$Zb=B;function V(Y,Z){for(const W of Z)Y.push(W)}e.$1b=V;function _(Y,Z){return Array.isArray(Y)?Y.map(Z):Z(Y)}e.$2b=_;function X(Y){return Array.isArray(Y)?Y:[Y]}e.$3b=X;function ne(Y){return Y[Math.floor(Math.random()*Y.length)]}e.$4b=ne;function K(Y,Z,W){const J=oe(Y,Z),N=Y.length,T=W.length;Y.length=N+T;for(let ee=N-1;ee>=J;ee--)Y[ee+T]=Y[ee];for(let ee=0;ee<T;ee++)Y[ee+J]=W[ee]}e.$5b=K;function G(Y,Z,W,J){const N=oe(Y,Z);let T=Y.splice(N,W);return T===void 0&&(T=[]),K(Y,N,J),T}e.$6b=G;function oe(Y,Z){return Z<0?Math.max(Z+Y.length,0):Math.min(Z,Y.length)}var ce;(function(Y){function Z(T){return T<0}Y.isLessThan=Z;function W(T){return T<=0}Y.isLessThanOrEqual=W;function J(T){return T>0}Y.isGreaterThan=J;function N(T){return T===0}Y.isNeitherLessOrGreaterThan=N,Y.greaterThan=1,Y.lessThan=-1,Y.neitherLessOrGreaterThan=0})(ce||(e.CompareResult=ce={}));function se(Y,Z){return(W,J)=>Z(Y(W),Y(J))}e.$7b=se;function ge(...Y){return(Z,W)=>{for(const J of Y){const N=J(Z,W);if(!ce.isNeitherLessOrGreaterThan(N))return N}return ce.neitherLessOrGreaterThan}}e.$8b=ge;const U=(Y,Z)=>Y-Z;e.$9b=U;const q=(Y,Z)=>(0,e.$9b)(Y?1:0,Z?1:0);e.$0b=q;function M(Y){return(Z,W)=>-Y(Z,W)}e.$$b=M;class z{constructor(Z){this.g=Z,this.c=0,this.d=this.g.length-1}get length(){return this.d-this.c+1}takeWhile(Z){let W=this.c;for(;W<this.g.length&&Z(this.g[W]);)W++;const J=W===this.c?null:this.g.slice(this.c,W);return this.c=W,J}takeFromEndWhile(Z){let W=this.d;for(;W>=0&&Z(this.g[W]);)W--;const J=W===this.d?null:this.g.slice(W+1,this.d+1);return this.d=W,J}peek(){if(this.length!==0)return this.g[this.c]}peekLast(){if(this.length!==0)return this.g[this.d]}dequeue(){const Z=this.g[this.c];return this.c++,Z}removeLast(){const Z=this.g[this.d];return this.d--,Z}takeCount(Z){const W=this.g.slice(this.c,this.c+Z);return this.c+=Z,W}}e.$_b=z;class x{static{this.empty=new x(Z=>{})}constructor(Z){this.iterate=Z}forEach(Z){this.iterate(W=>(Z(W),!0))}toArray(){const Z=[];return this.iterate(W=>(Z.push(W),!0)),Z}filter(Z){return new x(W=>this.iterate(J=>Z(J)?W(J):!0))}map(Z){return new x(W=>this.iterate(J=>W(Z(J))))}some(Z){let W=!1;return this.iterate(J=>(W=Z(J),!W)),W}findFirst(Z){let W;return this.iterate(J=>Z(J)?(W=J,!1):!0),W}findLast(Z){let W;return this.iterate(J=>(Z(J)&&(W=J),!0)),W}findLastMaxBy(Z){let W,J=!0;return this.iterate(N=>((J||ce.isGreaterThan(Z(N,W)))&&(J=!1,W=N),!0)),W}}e.$ac=x}),define(ye[96],ke([1,0,10]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ad=e.$_c=e.$$c=e.$0c=e.$9c=e.ok=void 0;function R(w,I){if(!w)throw new Error(I?`Assertion failed (${I})`:"Assertion Failed")}e.ok=R;function o(w,I="Unreachable"){throw new Error(I)}e.$9c=o;function C(w){if(!w)throw new E.$cb("Assertion Failed")}e.$0c=C;function D(w){w||(0,E.$1)(new E.$cb("Soft Assertion Failed"))}e.$$c=D;function S(w){if(!w()){debugger;w(),(0,E.$1)(new E.$cb("Assertion Failed"))}}e.$_c=S;function v(w,I){let k=0;for(;k<w.length-1;){const p=w[k],d=w[k+1];if(!I(p,d))return!1;k++}return!0}e.$ad=v}),define(ye[76],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$db=void 0;function E(R,o){const C=this;let D=!1,S;return function(){if(D)return S;if(D=!0,o)try{S=R.apply(C,arguments)}finally{o()}else S=R.apply(C,arguments);return S}}e.$db=E}),define(ye[49],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var E;(function(R){function o(t){return t&&typeof t=="object"&&typeof t[Symbol.iterator]=="function"}R.is=o;const C=Object.freeze([]);function D(){return C}R.empty=D;function*S(t){yield t}R.single=S;function v(t){return o(t)?t:S(t)}R.wrap=v;function w(t){return t||C}R.from=w;function*I(t){for(let s=t.length-1;s>=0;s--)yield t[s]}R.reverse=I;function k(t){return!t||t[Symbol.iterator]().next().done===!0}R.isEmpty=k;function p(t){return t[Symbol.iterator]().next().value}R.first=p;function d(t,s){for(const r of t)if(s(r))return!0;return!1}R.some=d;function m(t,s){for(const r of t)if(s(r))return r}R.find=m;function*l(t,s){for(const r of t)s(r)&&(yield r)}R.filter=l;function*b(t,s){let r=0;for(const n of t)yield s(n,r++)}R.map=b;function*c(...t){for(const s of t)yield*s}R.concat=c;function g(t,s,r){let n=r;for(const i of t)n=s(n,i);return n}R.reduce=g;function*h(t,s,r=t.length){for(s<0&&(s+=t.length),r<0?r+=t.length:r>t.length&&(r=t.length);s<r;s++)yield t[s]}R.slice=h;function f(t,s=Number.POSITIVE_INFINITY){const r=[];if(s===0)return[r,t];const n=t[Symbol.iterator]();for(let i=0;i<s;i++){const a=n.next();if(a.done)return[r,R.empty()];r.push(a.value)}return[r,{[Symbol.iterator](){return n}}]}R.consume=f;async function u(t){const s=[];for await(const r of t)s.push(r);return Promise.resolve(s)}R.asyncToArray=u})(E||(e.Iterable=E={}))}),define(ye[41],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xn=e.$wn=e.$vn=e.$un=e.$tn=e.$sn=e.$rn=e.$qn=e.$pn=e.$on=e.$nn=e.$mn=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var E;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(E||(e.ScanError=E={}));var R;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(R||(e.SyntaxKind=R={}));var o;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})(o||(e.ParseErrorCode=o={}));var C;(function(t){t.DEFAULT={allowTrailingComma:!0}})(C||(e.ParseOptions=C={}));function D(t,s=!1){let r=0;const n=t.length;let i="",a=0,$=16,O=0;function P(he){let B=0,V=0;for(;B<he;){const _=t.charCodeAt(r);if(_>=48&&_<=57)V=V*16+_-48;else if(_>=65&&_<=70)V=V*16+_-65+10;else if(_>=97&&_<=102)V=V*16+_-97+10;else break;r++,B++}return B<he&&(V=-1),V}function y(he){r=he,i="",a=0,$=16,O=0}function A(){const he=r;if(t.charCodeAt(r)===48)r++;else for(r++;r<t.length&&w(t.charCodeAt(r));)r++;if(r<t.length&&t.charCodeAt(r)===46)if(r++,r<t.length&&w(t.charCodeAt(r)))for(r++;r<t.length&&w(t.charCodeAt(r));)r++;else return O=3,t.substring(he,r);let B=r;if(r<t.length&&(t.charCodeAt(r)===69||t.charCodeAt(r)===101))if(r++,(r<t.length&&t.charCodeAt(r)===43||t.charCodeAt(r)===45)&&r++,r<t.length&&w(t.charCodeAt(r))){for(r++;r<t.length&&w(t.charCodeAt(r));)r++;B=r}else O=3;return t.substring(he,B)}function F(){let he="",B=r;for(;;){if(r>=n){he+=t.substring(B,r),O=2;break}const V=t.charCodeAt(r);if(V===34){he+=t.substring(B,r),r++;break}if(V===92){if(he+=t.substring(B,r),r++,r>=n){O=2;break}switch(t.charCodeAt(r++)){case 34:he+='"';break;case 92:he+="\\";break;case 47:he+="/";break;case 98:he+="\b";break;case 102:he+="\f";break;case 110:he+=`
`;break;case 114:he+="\r";break;case 116:he+="	";break;case 117:{const X=P(4);X>=0?he+=String.fromCharCode(X):O=4;break}default:O=5}B=r;continue}if(V>=0&&V<=31)if(v(V)){he+=t.substring(B,r),O=2;break}else O=6;r++}return he}function Q(){if(i="",O=0,a=r,r>=n)return a=n,$=17;let he=t.charCodeAt(r);if(S(he)){do r++,i+=String.fromCharCode(he),he=t.charCodeAt(r);while(S(he));return $=15}if(v(he))return r++,i+=String.fromCharCode(he),he===13&&t.charCodeAt(r)===10&&(r++,i+=`
`),$=14;switch(he){case 123:return r++,$=1;case 125:return r++,$=2;case 91:return r++,$=3;case 93:return r++,$=4;case 58:return r++,$=6;case 44:return r++,$=5;case 34:return r++,i=F(),$=10;case 47:{const B=r-1;if(t.charCodeAt(r+1)===47){for(r+=2;r<n&&!v(t.charCodeAt(r));)r++;return i=t.substring(B,r),$=12}if(t.charCodeAt(r+1)===42){r+=2;const V=n-1;let _=!1;for(;r<V;){if(t.charCodeAt(r)===42&&t.charCodeAt(r+1)===47){r+=2,_=!0;break}r++}return _||(r++,O=1),i=t.substring(B,r),$=13}return i+=String.fromCharCode(he),r++,$=16}case 45:if(i+=String.fromCharCode(he),r++,r===n||!w(t.charCodeAt(r)))return $=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return i+=A(),$=11;default:for(;r<n&&te(he);)r++,he=t.charCodeAt(r);if(a!==r){switch(i=t.substring(a,r),i){case"true":return $=8;case"false":return $=9;case"null":return $=7}return $=16}return i+=String.fromCharCode(he),r++,$=16}}function te(he){if(S(he)||v(he))return!1;switch(he){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function de(){let he;do he=Q();while(he>=12&&he<=15);return he}return{setPosition:y,getPosition:()=>r,scan:s?de:Q,getToken:()=>$,getTokenValue:()=>i,getTokenOffset:()=>a,getTokenLength:()=>r-a,getTokenError:()=>O}}e.$mn=D;function S(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function v(t){return t===10||t===13||t===8232||t===8233}function w(t){return t>=48&&t<=57}var I;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(I||(I={}));function k(t,s){const r=[],n=new Object;let i;const a={value:{},offset:0,length:0,type:"object",parent:void 0};let $=!1;function O(P,y,A,F){a.value=P,a.offset=y,a.length=A,a.type=F,a.colonOffset=void 0,i=a}try{h(t,{onObjectBegin:(P,y)=>{if(s<=P)throw n;i=void 0,$=s>P,r.push("")},onObjectProperty:(P,y,A)=>{if(s<y||(O(P,y,A,"property"),r[r.length-1]=P,s<=y+A))throw n},onObjectEnd:(P,y)=>{if(s<=P)throw n;i=void 0,r.pop()},onArrayBegin:(P,y)=>{if(s<=P)throw n;i=void 0,r.push(0)},onArrayEnd:(P,y)=>{if(s<=P)throw n;i=void 0,r.pop()},onLiteralValue:(P,y,A)=>{if(s<y||(O(P,y,A,u(P)),s<=y+A))throw n},onSeparator:(P,y,A)=>{if(s<=y)throw n;if(P===":"&&i&&i.type==="property")i.colonOffset=y,$=!1,i=void 0;else if(P===","){const F=r[r.length-1];typeof F=="number"?r[r.length-1]=F+1:($=!0,r[r.length-1]=""),i=void 0}}})}catch(P){if(P!==n)throw P}return{path:r,previousNode:i,isAtPropertyKey:$,matches:P=>{let y=0;for(let A=0;y<P.length&&A<r.length;A++)if(P[y]===r[A]||P[y]==="*")y++;else if(P[y]!=="**")return!1;return y===P.length}}}e.$nn=k;function p(t,s=[],r=C.DEFAULT){let n=null,i=[];const a=[];function $(P){Array.isArray(i)?i.push(P):n!==null&&(i[n]=P)}return h(t,{onObjectBegin:()=>{const P={};$(P),a.push(i),i=P,n=null},onObjectProperty:P=>{n=P},onObjectEnd:()=>{i=a.pop()},onArrayBegin:()=>{const P=[];$(P),a.push(i),i=P,n=null},onArrayEnd:()=>{i=a.pop()},onLiteralValue:$,onError:(P,y,A)=>{s.push({error:P,offset:y,length:A})}},r),i[0]}e.$on=p;function d(t,s=[],r=C.DEFAULT){let n={type:"array",offset:-1,length:-1,children:[],parent:void 0};function i(P){n.type==="property"&&(n.length=P-n.offset,n=n.parent)}function a(P){return n.children.push(P),P}h(t,{onObjectBegin:P=>{n=a({type:"object",offset:P,length:-1,parent:n,children:[]})},onObjectProperty:(P,y,A)=>{n=a({type:"property",offset:y,length:-1,parent:n,children:[]}),n.children.push({type:"string",value:P,offset:y,length:A,parent:n})},onObjectEnd:(P,y)=>{n.length=P+y-n.offset,n=n.parent,i(P+y)},onArrayBegin:(P,y)=>{n=a({type:"array",offset:P,length:-1,parent:n,children:[]})},onArrayEnd:(P,y)=>{n.length=P+y-n.offset,n=n.parent,i(P+y)},onLiteralValue:(P,y,A)=>{a({type:u(P),offset:y,length:A,parent:n,value:P}),i(y+A)},onSeparator:(P,y,A)=>{n.type==="property"&&(P===":"?n.colonOffset=y:P===","&&i(y))},onError:(P,y,A)=>{s.push({error:P,offset:y,length:A})}},r);const O=n.children[0];return O&&delete O.parent,O}e.$pn=d;function m(t,s){if(!t)return;let r=t;for(const n of s)if(typeof n=="string"){if(r.type!=="object"||!Array.isArray(r.children))return;let i=!1;for(const a of r.children)if(Array.isArray(a.children)&&a.children[0].value===n){r=a.children[1],i=!0;break}if(!i)return}else{const i=n;if(r.type!=="array"||i<0||!Array.isArray(r.children)||i>=r.children.length)return;r=r.children[i]}return r}e.$qn=m;function l(t){if(!t.parent||!t.parent.children)return[];const s=l(t.parent);if(t.parent.type==="property"){const r=t.parent.children[0].value;s.push(r)}else if(t.parent.type==="array"){const r=t.parent.children.indexOf(t);r!==-1&&s.push(r)}return s}e.$rn=l;function b(t){switch(t.type){case"array":return t.children.map(b);case"object":{const s=Object.create(null);for(const r of t.children){const n=r.children[1];n&&(s[r.children[0].value]=b(n))}return s}case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.$sn=b;function c(t,s,r=!1){return s>=t.offset&&s<t.offset+t.length||r&&s===t.offset+t.length}e.$tn=c;function g(t,s,r=!1){if(c(t,s,r)){const n=t.children;if(Array.isArray(n))for(let i=0;i<n.length&&n[i].offset<=s;i++){const a=g(n[i],s,r);if(a)return a}return t}}e.$un=g;function h(t,s,r=C.DEFAULT){const n=D(t,!1);function i(se){return se?()=>se(n.getTokenOffset(),n.getTokenLength()):()=>!0}function a(se){return se?ge=>se(ge,n.getTokenOffset(),n.getTokenLength()):()=>!0}const $=i(s.onObjectBegin),O=a(s.onObjectProperty),P=i(s.onObjectEnd),y=i(s.onArrayBegin),A=i(s.onArrayEnd),F=a(s.onLiteralValue),Q=a(s.onSeparator),te=i(s.onComment),de=a(s.onError),he=r&&r.disallowComments,B=r&&r.allowTrailingComma;function V(){for(;;){const se=n.scan();switch(n.getTokenError()){case 4:_(14);break;case 5:_(15);break;case 3:_(13);break;case 1:he||_(11);break;case 2:_(12);break;case 6:_(16);break}switch(se){case 12:case 13:he?_(10):te();break;case 16:_(1);break;case 15:case 14:break;default:return se}}}function _(se,ge=[],U=[]){if(de(se),ge.length+U.length>0){let q=n.getToken();for(;q!==17;){if(ge.indexOf(q)!==-1){V();break}else if(U.indexOf(q)!==-1)break;q=V()}}}function X(se){const ge=n.getTokenValue();return se?F(ge):O(ge),V(),!0}function ne(){switch(n.getToken()){case 11:{let se=0;try{se=JSON.parse(n.getTokenValue()),typeof se!="number"&&(_(2),se=0)}catch{_(2)}F(se);break}case 7:F(null);break;case 8:F(!0);break;case 9:F(!1);break;default:return!1}return V(),!0}function K(){return n.getToken()!==10?(_(3,[],[2,5]),!1):(X(!1),n.getToken()===6?(Q(":"),V(),ce()||_(4,[],[2,5])):_(5,[],[2,5]),!0)}function G(){$(),V();let se=!1;for(;n.getToken()!==2&&n.getToken()!==17;){if(n.getToken()===5){if(se||_(4,[],[]),Q(","),V(),n.getToken()===2&&B)break}else se&&_(6,[],[]);K()||_(4,[],[2,5]),se=!0}return P(),n.getToken()!==2?_(7,[2],[]):V(),!0}function oe(){y(),V();let se=!1;for(;n.getToken()!==4&&n.getToken()!==17;){if(n.getToken()===5){if(se||_(4,[],[]),Q(","),V(),n.getToken()===4&&B)break}else se&&_(6,[],[]);ce()||_(4,[],[4,5]),se=!0}return A(),n.getToken()!==4?_(8,[4],[]):V(),!0}function ce(){switch(n.getToken()){case 3:return oe();case 1:return G();case 10:return X(!0);default:return ne()}}return V(),n.getToken()===17?r.allowEmptyContent?!0:(_(4,[],[]),!1):ce()?(n.getToken()!==17&&_(9,[],[]),!0):(_(4,[],[]),!1)}e.$vn=h;function f(t,s){const r=D(t),n=[];let i,a=0,$;do switch($=r.getPosition(),i=r.scan(),i){case 12:case 13:case 17:a!==$&&n.push(t.substring(a,$)),s!==void 0&&n.push(r.getTokenValue().replace(/[^\r\n]/g,s)),a=r.getPosition();break}while(i!==17);return n.join("")}e.$wn=f;function u(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.$xn=u}),define(ye[144],ke([1,0,41]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bn=e.$An=e.$zn=e.$yn=void 0;function R(w,I,k){let p,d,m,l,b;if(I){for(l=I.offset,b=l+I.length,m=l;m>0&&!v(w,m-1);)m--;let $=b;for(;$<w.length&&!v(w,$);)$++;d=w.substring(m,$),p=D(d,k)}else d=w,p=0,m=0,l=0,b=w.length;const c=S(k,w);let g=!1,h=0,f;k.insertSpaces?f=C(" ",k.tabSize||4):f="	";const u=(0,E.$mn)(d,!1);let t=!1;function s(){return c+C(f,p+h)}function r(){let $=u.scan();for(g=!1;$===15||$===14;)g=g||$===14,$=u.scan();return t=$===16||u.getTokenError()!==0,$}const n=[];function i($,O,P){!t&&O<b&&P>l&&w.substring(O,P)!==$&&n.push({offset:O,length:P-O,content:$})}let a=r();if(a!==17){const $=u.getTokenOffset()+m,O=C(f,p);i(O,m,$)}for(;a!==17;){let $=u.getTokenOffset()+u.getTokenLength()+m,O=r(),P="";for(;!g&&(O===12||O===13);){const A=u.getTokenOffset()+m;i(" ",$,A),$=u.getTokenOffset()+u.getTokenLength()+m,P=O===12?s():"",O=r()}if(O===2)a!==1&&(h--,P=s());else if(O===4)a!==3&&(h--,P=s());else{switch(a){case 3:case 1:h++,P=s();break;case 5:case 12:P=s();break;case 13:g?P=s():P=" ";break;case 6:P=" ";break;case 10:if(O===6){P="";break}case 7:case 8:case 9:case 11:case 2:case 4:O===12||O===13?P=" ":O!==5&&O!==17&&(t=!0);break;case 16:t=!0;break}g&&(O===12||O===13)&&(P=s())}const y=u.getTokenOffset()+m;i(P,$,y),a=O}return n}e.$yn=R;function o(w,I){const k=JSON.stringify(w,void 0,I.insertSpaces?I.tabSize||4:"	");return I.eol!==void 0?k.replace(/\r\n|\r|\n/g,I.eol):k}e.$zn=o;function C(w,I){let k="";for(let p=0;p<I;p++)k+=w;return k}function D(w,I){let k=0,p=0;const d=I.tabSize||4;for(;k<w.length;){const m=w.charAt(k);if(m===" ")p++;else if(m==="	")p+=d;else break;k++}return Math.floor(p/d)}function S(w,I){for(let k=0;k<I.length;k++){const p=I.charAt(k);if(p==="\r")return k+1<I.length&&I.charAt(k+1)===`
`?`\r
`:"\r";if(p===`
`)return`
`}return w&&w.eol||`
`}e.$An=S;function v(w,I){return`\r
`.indexOf(w.charAt(I))!==-1}e.$Bn=v}),define(ye[145],ke([1,0,41,144]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gn=e.$Fn=e.$En=e.$Dn=e.$Cn=void 0;function o(w,I,k){return C(w,I,void 0,k)}e.$Cn=o;function C(w,I,k,p,d){const m=I.slice(),l=[],b=(0,E.$pn)(w,l);let c,g;for(;m.length>0&&(g=m.pop(),c=(0,E.$qn)(b,m),c===void 0&&k!==void 0);)typeof g=="string"?k={[g]:k}:k=[k];if(c)if(c.type==="object"&&typeof g=="string"&&Array.isArray(c.children)){const h=(0,E.$qn)(c,[g]);if(h!==void 0)if(k===void 0){if(!h.parent)throw new Error("Malformed AST");const f=c.children.indexOf(h.parent);let u,t=h.parent.offset+h.parent.length;if(f>0){const s=c.children[f-1];u=s.offset+s.length}else u=c.offset+1,c.children.length>1&&(t=c.children[1].offset);return D(w,{offset:u,length:t-u,content:""},p)}else return D(w,{offset:h.offset,length:h.length,content:JSON.stringify(k)},p);else{if(k===void 0)return[];const f=`${JSON.stringify(g)}: ${JSON.stringify(k)}`,u=d?d(c.children.map(s=>s.children[0].value)):c.children.length;let t;if(u>0){const s=c.children[u-1];t={offset:s.offset+s.length,length:0,content:","+f}}else c.children.length===0?t={offset:c.offset+1,length:0,content:f}:t={offset:c.offset+1,length:0,content:f+","};return D(w,t,p)}}else if(c.type==="array"&&typeof g=="number"&&Array.isArray(c.children))if(k!==void 0){const h=`${JSON.stringify(k)}`;let f;if(c.children.length===0||g===0)f={offset:c.offset+1,length:0,content:c.children.length===0?h:h+","};else{const u=g===-1||g>c.children.length?c.children.length:g,t=c.children[u-1];f={offset:t.offset+t.length,length:0,content:","+h}}return D(w,f,p)}else{const h=g,f=c.children[h];let u;if(c.children.length===1)u={offset:c.offset+1,length:c.length-2,content:""};else if(c.children.length-1===h){const t=c.children[h-1],s=t.offset+t.length,r=c.offset+c.length;u={offset:s,length:r-2-s,content:""}}else u={offset:f.offset,length:c.children[h+1].offset-f.offset,content:""};return D(w,u,p)}else throw new Error(`Can not add ${typeof g!="number"?"index":"property"} to parent of type ${c.type}`);else{if(k===void 0)throw new Error("Can not delete in empty document");return D(w,{offset:b?b.offset:0,length:b?b.length:0,content:JSON.stringify(k)},p)}}e.$Dn=C;function D(w,I,k){let p=S(w,I),d=I.offset,m=I.offset+I.content.length;if(I.length===0||I.content.length===0){for(;d>0&&!(0,R.$Bn)(p,d-1);)d--;for(;m<p.length&&!(0,R.$Bn)(p,m);)m++}const l=(0,R.$yn)(p,{offset:d,length:m-d},k);for(let c=l.length-1;c>=0;c--){const g=l[c];p=S(p,g),d=Math.min(d,g.offset),m=Math.max(m,g.offset+g.length),m+=g.content.length-g.length}const b=w.length-(p.length-m)-d;return[{offset:d,length:b,content:p.substring(d,m)}]}e.$En=D;function S(w,I){return w.substring(0,I.offset)+I.content+w.substring(I.offset+I.length)}e.$Fn=S;function v(w,I){const k=I.slice(0).sort((d,m)=>{const l=d.offset-m.offset;return l===0?d.length-m.length:l});let p=w.length;for(let d=k.length-1;d>=0;d--){const m=k[d];if(m.offset+m.length<=p)w=S(w,m);else throw new Error("Overlapping edit");p=m.offset}return w}e.$Gn=v}),define(ye[60],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$V=void 0;class E{constructor(o){this.d=o,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch(o){this.c=o}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}e.$V=E}),define(ye[97],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4c=void 0;class E{static{this.Undefined=new E(void 0)}constructor(C){this.element=C,this.next=E.Undefined,this.prev=E.Undefined}}class R{constructor(){this.a=E.Undefined,this.b=E.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===E.Undefined}clear(){let C=this.a;for(;C!==E.Undefined;){const D=C.next;C.prev=E.Undefined,C.next=E.Undefined,C=D}this.a=E.Undefined,this.b=E.Undefined,this.c=0}unshift(C){return this.d(C,!1)}push(C){return this.d(C,!0)}d(C,D){const S=new E(C);if(this.a===E.Undefined)this.a=S,this.b=S;else if(D){const w=this.b;this.b=S,S.prev=w,w.next=S}else{const w=this.a;this.a=S,S.next=w,w.prev=S}this.c+=1;let v=!1;return()=>{v||(v=!0,this.e(S))}}shift(){if(this.a!==E.Undefined){const C=this.a.element;return this.e(this.a),C}}pop(){if(this.b!==E.Undefined){const C=this.b.element;return this.e(this.b),C}}e(C){if(C.prev!==E.Undefined&&C.next!==E.Undefined){const D=C.prev;D.next=C.next,C.next.prev=D}else C.prev===E.Undefined&&C.next===E.Undefined?(this.a=E.Undefined,this.b=E.Undefined):C.next===E.Undefined?(this.b=this.b.prev,this.b.next=E.Undefined):C.prev===E.Undefined&&(this.a=this.a.next,this.a.prev=E.Undefined);this.c-=1}*[Symbol.iterator](){let C=this.a;for(;C!==E.Undefined;)yield C.element,C=C.next}}e.$4c=R}),define(ye[24],ke([1,0]),function(le,e){"use strict";var E,R,o;Object.defineProperty(e,"__esModule",{value:!0}),e.$Hc=e.$Gc=e.$Fc=e.$Ec=e.$Dc=e.$Cc=e.Touch=e.$Bc=e.$Ac=e.$zc=e.$yc=e.$xc=void 0;function C(h,f,u){let t=h.get(f);return t===void 0&&(t=u,h.set(f,t)),t}e.$xc=C;function D(h){const f=[];return h.forEach((u,t)=>{f.push(`${t} => ${u}`)}),`Map(${h.size}) {${f.join(", ")}}`}e.$yc=D;function S(h){const f=[];return h.forEach(u=>{f.push(u)}),`Set(${h.size}) {${f.join(", ")}}`}e.$zc=S;class v{constructor(f,u){this.uri=f,this.value=u}}function w(h){return Array.isArray(h)}class I{static{this.c=f=>f.toString()}constructor(f,u){if(this[E]="ResourceMap",f instanceof I)this.d=new Map(f.d),this.e=u??I.c;else if(w(f)){this.d=new Map,this.e=u??I.c;for(const[t,s]of f)this.set(t,s)}else this.d=new Map,this.e=f??I.c}set(f,u){return this.d.set(this.e(f),new v(f,u)),this}get(f){return this.d.get(this.e(f))?.value}has(f){return this.d.has(this.e(f))}get size(){return this.d.size}clear(){this.d.clear()}delete(f){return this.d.delete(this.e(f))}forEach(f,u){typeof u<"u"&&(f=f.bind(u));for(const[t,s]of this.d)f(s.value,s.uri,this)}*values(){for(const f of this.d.values())yield f.value}*keys(){for(const f of this.d.values())yield f.uri}*entries(){for(const f of this.d.values())yield[f.uri,f.value]}*[(E=Symbol.toStringTag,Symbol.iterator)](){for(const[,f]of this.d)yield[f.uri,f.value]}}e.$Ac=I;class k{constructor(f,u){this[R]="ResourceSet",!f||typeof f=="function"?this.c=new I(f):(this.c=new I(u),f.forEach(this.add,this))}get size(){return this.c.size}add(f){return this.c.set(f,f),this}clear(){this.c.clear()}delete(f){return this.c.delete(f)}forEach(f,u){this.c.forEach((t,s)=>f.call(u,s,s,this))}has(f){return this.c.has(f)}entries(){return this.c.entries()}keys(){return this.c.keys()}values(){return this.c.keys()}[(R=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.$Bc=k;var p;(function(h){h[h.None=0]="None",h[h.AsOld=1]="AsOld",h[h.AsNew=2]="AsNew"})(p||(e.Touch=p={}));class d{constructor(){this[o]="LinkedMap",this.c=new Map,this.d=void 0,this.e=void 0,this.f=0,this.g=0}clear(){this.c.clear(),this.d=void 0,this.e=void 0,this.f=0,this.g++}isEmpty(){return!this.d&&!this.e}get size(){return this.f}get first(){return this.d?.value}get last(){return this.e?.value}has(f){return this.c.has(f)}get(f,u=0){const t=this.c.get(f);if(t)return u!==0&&this.l(t,u),t.value}set(f,u,t=0){let s=this.c.get(f);if(s)s.value=u,t!==0&&this.l(s,t);else{switch(s={key:f,value:u,next:void 0,previous:void 0},t){case 0:this.j(s);break;case 1:this.i(s);break;case 2:this.j(s);break;default:this.j(s);break}this.c.set(f,s),this.f++}return this}delete(f){return!!this.remove(f)}remove(f){const u=this.c.get(f);if(u)return this.c.delete(f),this.k(u),this.f--,u.value}shift(){if(!this.d&&!this.e)return;if(!this.d||!this.e)throw new Error("Invalid list");const f=this.d;return this.c.delete(f.key),this.k(f),this.f--,f.value}forEach(f,u){const t=this.g;let s=this.d;for(;s;){if(u?f.bind(u)(s.value,s.key,this):f(s.value,s.key,this),this.g!==t)throw new Error("LinkedMap got modified during iteration.");s=s.next}}keys(){const f=this,u=this.g;let t=this.d;const s={[Symbol.iterator](){return s},next(){if(f.g!==u)throw new Error("LinkedMap got modified during iteration.");if(t){const r={value:t.key,done:!1};return t=t.next,r}else return{value:void 0,done:!0}}};return s}values(){const f=this,u=this.g;let t=this.d;const s={[Symbol.iterator](){return s},next(){if(f.g!==u)throw new Error("LinkedMap got modified during iteration.");if(t){const r={value:t.value,done:!1};return t=t.next,r}else return{value:void 0,done:!0}}};return s}entries(){const f=this,u=this.g;let t=this.d;const s={[Symbol.iterator](){return s},next(){if(f.g!==u)throw new Error("LinkedMap got modified during iteration.");if(t){const r={value:[t.key,t.value],done:!1};return t=t.next,r}else return{value:void 0,done:!0}}};return s}[(o=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}h(f){if(f>=this.size)return;if(f===0){this.clear();return}let u=this.d,t=this.size;for(;u&&t>f;)this.c.delete(u.key),u=u.next,t--;this.d=u,this.f=t,u&&(u.previous=void 0),this.g++}i(f){if(!this.d&&!this.e)this.e=f;else if(this.d)f.next=this.d,this.d.previous=f;else throw new Error("Invalid list");this.d=f,this.g++}j(f){if(!this.d&&!this.e)this.d=f;else if(this.e)f.previous=this.e,this.e.next=f;else throw new Error("Invalid list");this.e=f,this.g++}k(f){if(f===this.d&&f===this.e)this.d=void 0,this.e=void 0;else if(f===this.d){if(!f.next)throw new Error("Invalid list");f.next.previous=void 0,this.d=f.next}else if(f===this.e){if(!f.previous)throw new Error("Invalid list");f.previous.next=void 0,this.e=f.previous}else{const u=f.next,t=f.previous;if(!u||!t)throw new Error("Invalid list");u.previous=t,t.next=u}f.next=void 0,f.previous=void 0,this.g++}l(f,u){if(!this.d||!this.e)throw new Error("Invalid list");if(!(u!==1&&u!==2)){if(u===1){if(f===this.d)return;const t=f.next,s=f.previous;f===this.e?(s.next=void 0,this.e=s):(t.previous=s,s.next=t),f.previous=void 0,f.next=this.d,this.d.previous=f,this.d=f,this.g++}else if(u===2){if(f===this.e)return;const t=f.next,s=f.previous;f===this.d?(t.previous=void 0,this.d=t):(t.previous=s,s.next=t),f.next=void 0,f.previous=this.e,this.e.next=f,this.e=f,this.g++}}}toJSON(){const f=[];return this.forEach((u,t)=>{f.push([t,u])}),f}fromJSON(f){this.clear();for(const[u,t]of f)this.set(u,t)}}e.$Cc=d;class m extends d{constructor(f,u=1){super(),this.m=f,this.n=Math.min(Math.max(0,u),1)}get limit(){return this.m}set limit(f){this.m=f,this.o()}get ratio(){return this.n}set ratio(f){this.n=Math.min(Math.max(0,f),1),this.o()}get(f,u=2){return super.get(f,u)}peek(f){return super.get(f,0)}set(f,u){return super.set(f,u,2),this.o(),this}o(){this.size>this.m&&this.h(Math.round(this.m*this.n))}}e.$Dc=m;class l{constructor(){this.c=new Map}add(f){return this.c.set(f,(this.c.get(f)||0)+1),this}delete(f){let u=this.c.get(f)||0;return u===0?!1:(u--,u===0?this.c.delete(f):this.c.set(f,u),!0)}has(f){return this.c.has(f)}}e.$Ec=l;class b{constructor(f){if(this.c=new Map,this.d=new Map,f)for(const[u,t]of f)this.set(u,t)}clear(){this.c.clear(),this.d.clear()}set(f,u){this.c.set(f,u),this.d.set(u,f)}get(f){return this.c.get(f)}getKey(f){return this.d.get(f)}delete(f){const u=this.c.get(f);return u===void 0?!1:(this.c.delete(f),this.d.delete(u),!0)}forEach(f,u){this.c.forEach((t,s)=>{f.call(u,t,s,this)})}keys(){return this.c.keys()}values(){return this.c.values()}}e.$Fc=b;class c{constructor(){this.c=new Map}add(f,u){let t=this.c.get(f);t||(t=new Set,this.c.set(f,t)),t.add(u)}delete(f,u){const t=this.c.get(f);t&&(t.delete(u),t.size===0&&this.c.delete(f))}forEach(f,u){const t=this.c.get(f);t&&t.forEach(u)}get(f){const u=this.c.get(f);return u||new Set}}e.$Gc=c;function g(h,f){if(h===f)return!0;if(h.size!==f.size)return!1;for(const[u,t]of h)if(!f.has(u)||f.get(u)!==t)return!1;for(const[u]of f)if(!h.has(u))return!1;return!0}e.$Hc=g}),define(ye[2],ke([1,0,18,143,24,76,49]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3c=e.$2c=e.$1c=e.$Zc=e.$Yc=e.$Xc=e.$Wc=e.$Vc=e.$Uc=e.$Tc=e.$Sc=e.$Rc=e.$Qc=e.$Pc=e.$Oc=e.$Nc=e.$Mc=e.$Lc=e.$Kc=e.$Jc=e.$Ic=void 0;const S=!1;let v=null;class w{constructor(){this.b=new Map}static{this.a=0}c(F){let Q=this.b.get(F);return Q||(Q={parent:null,source:null,isSingleton:!1,value:F,idx:w.a++},this.b.set(F,Q)),Q}trackDisposable(F){const Q=this.c(F);Q.source||(Q.source=new Error().stack)}setParent(F,Q){const te=this.c(F);te.parent=Q}markAsDisposed(F){this.b.delete(F)}markAsSingleton(F){this.c(F).isSingleton=!0}f(F,Q){const te=Q.get(F);if(te)return te;const de=F.parent?this.f(this.c(F.parent),Q):F;return Q.set(F,de),de}getTrackedDisposables(){const F=new Map;return[...this.b.entries()].filter(([,te])=>te.source!==null&&!this.f(te,F).isSingleton).flatMap(([te])=>te)}computeLeakingDisposables(F=10,Q){let te;if(Q)te=Q;else{const _=new Map,X=[...this.b.values()].filter(K=>K.source!==null&&!this.f(K,_).isSingleton);if(X.length===0)return;const ne=new Set(X.map(K=>K.value));if(te=X.filter(K=>!(K.parent&&ne.has(K.parent))),te.length===0)throw new Error("There are cyclic diposable chains!")}if(!te)return;function de(_){function X(K,G){for(;K.length>0&&G.some(oe=>typeof oe=="string"?oe===K[0]:K[0].match(oe));)K.shift()}const ne=_.source.split(`
`).map(K=>K.trim().replace("at ","")).filter(K=>K!=="");return X(ne,["Error",/^trackDisposable \(.*\)$/,/^DisposableTracker.trackDisposable \(.*\)$/]),ne.reverse()}const he=new o.$Gc;for(const _ of te){const X=de(_);for(let ne=0;ne<=X.length;ne++)he.add(X.slice(0,ne).join(`
`),_)}te.sort((0,E.$7b)(_=>_.idx,E.$9b));let B="",V=0;for(const _ of te.slice(0,F)){V++;const X=de(_),ne=[];for(let K=0;K<X.length;K++){let G=X[K];G=`(shared with ${he.get(X.slice(0,K+1).join(`
`)).size}/${te.length} leaks) at ${G}`;const ce=he.get(X.slice(0,K).join(`
`)),se=(0,R.$K)([...ce].map(ge=>de(ge)[K]),ge=>ge);delete se[X[K]];for(const[ge,U]of Object.entries(se))ne.unshift(`    - stacktraces of ${U.length} other leaks continue with ${ge}`);ne.unshift(G)}B+=`


==================== Leaking disposable ${V}/${te.length}: ${_.value.constructor.name} ====================
${ne.join(`
`)}
============================================================

`}return te.length>F&&(B+=`


... and ${te.length-F} more leaking disposables

`),{leaks:te,details:B}}}e.$Ic=w;function I(A){v=A}if(e.$Jc=I,S){const A="__is_disposable_tracked__";I(new class{trackDisposable(F){const Q=new Error("Potentially leaked disposable").stack;setTimeout(()=>{F[A]||console.log(Q)},3e3)}setParent(F,Q){if(F&&F!==t.None)try{F[A]=!0}catch{}}markAsDisposed(F){if(F&&F!==t.None)try{F[A]=!0}catch{}}markAsSingleton(F){}})}function k(A){return v?.trackDisposable(A),A}e.$Kc=k;function p(A){v?.markAsDisposed(A)}e.$Lc=p;function d(A,F){v?.setParent(A,F)}function m(A,F){if(v)for(const Q of A)v.setParent(Q,F)}function l(A){return v?.markAsSingleton(A),A}e.$Mc=l;function b(A){return typeof A.dispose=="function"&&A.dispose.length===0}e.$Nc=b;function c(A){if(D.Iterable.is(A)){const F=[];for(const Q of A)if(Q)try{Q.dispose()}catch(te){F.push(te)}if(F.length===1)throw F[0];if(F.length>1)throw new AggregateError(F,"Encountered errors while disposing of store");return Array.isArray(A)?[]:A}else if(A)return A.dispose(),A}e.$Oc=c;function g(A){for(const F of A)b(F)&&F.dispose();return[]}e.$Pc=g;function h(...A){const F=f(()=>c(A));return m(A,F),F}e.$Qc=h;function f(A){const F=k({dispose:(0,C.$db)(()=>{p(F),A()})});return F}e.$Rc=f;class u{static{this.DISABLE_DISPOSED_WARNING=!1}constructor(){this.f=new Set,this.g=!1,k(this)}dispose(){this.g||(p(this),this.g=!0,this.clear())}get isDisposed(){return this.g}clear(){if(this.f.size!==0)try{c(this.f)}finally{this.f.clear()}}add(F){if(!F)return F;if(F===this)throw new Error("Cannot register a disposable on itself!");return d(F,this),this.g?u.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.f.add(F),F}delete(F){if(F){if(F===this)throw new Error("Cannot dispose a disposable on itself!");this.f.delete(F),F.dispose()}}deleteAndLeak(F){F&&this.f.has(F)&&(this.f.delete(F),d(F,null))}}e.$Sc=u;class t{static{this.None=Object.freeze({dispose(){}})}constructor(){this.q=new u,k(this),d(this.q,this)}dispose(){p(this),this.q.dispose()}B(F){if(F===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(F)}}e.$Tc=t;class s{constructor(){this.b=!1,k(this)}get value(){return this.b?void 0:this.a}set value(F){this.b||F===this.a||(this.a?.dispose(),F&&d(F,this),this.a=F)}clear(){this.value=void 0}dispose(){this.b=!0,p(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const F=this.a;return this.a=void 0,F&&d(F,null),F}}e.$Uc=s;class r{constructor(F){this.a=new s,this.b=!1,this.a.value=F}get value(){return this.a.value}set value(F){this.b||F===this.a.value||(this.a.value=F)}dispose(){this.b=!0,this.a.dispose()}}e.$Vc=r;class n{constructor(F){this.b=F,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}e.$Wc=n;class i{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,k(this)}set(F){let Q=F;return this.unset=()=>Q=void 0,this.isset=()=>Q!==void 0,this.dispose=()=>{Q&&(Q(),Q=void 0,p(this))},this}}e.$Xc=i;class a{constructor(){this.a=new Map}acquire(F,...Q){let te=this.a.get(F);te||(te={counter:0,object:this.b(F,...Q)},this.a.set(F,te));const{object:de}=te,he=(0,C.$db)(()=>{--te.counter===0&&(this.c(F,te.object),this.a.delete(F))});return te.counter++,{object:de,dispose:he}}}e.$Yc=a;class ${constructor(F){this.a=F}async acquire(F,...Q){const te=this.a.acquire(F,...Q);try{return{object:await te.object,dispose:()=>te.dispose()}}catch(de){throw te.dispose(),de}}}e.$Zc=$;class O{constructor(F){this.object=F}dispose(){}}e.$1c=O;function P(A){const F=new u;try{A(F)}finally{F.dispose()}}e.$2c=P;class y{constructor(){this.a=new Map,this.b=!1,k(this)}dispose(){p(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(this.a.size)try{c(this.a.values())}finally{this.a.clear()}}has(F){return this.a.has(F)}get size(){return this.a.size}get(F){return this.a.get(F)}set(F,Q,te=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),te||this.a.get(F)?.dispose(),this.a.set(F,Q)}deleteAndDispose(F){this.a.get(F)?.dispose(),this.a.delete(F)}keys(){return this.a.keys()}values(){return this.a.values()}[Symbol.iterator](){return this.a[Symbol.iterator]()}}e.$3c=y}),function(le,e){typeof define=="function"&&define.amd?define(ye[146],ke([0]),e):typeof exports=="object"&&typeof module<"u"?e(exports):(le=typeof globalThis<"u"?globalThis:le||self,e(le.marked={}))}(this,function(le){"use strict";function e(Z,W){for(var J=0;J<W.length;J++){var N=W[J];N.enumerable=N.enumerable||!1,N.configurable=!0,"value"in N&&(N.writable=!0),Object.defineProperty(Z,N.key,N)}}function E(Z,W,J){return W&&e(Z.prototype,W),J&&e(Z,J),Object.defineProperty(Z,"prototype",{writable:!1}),Z}function R(Z,W){if(Z){if(typeof Z=="string")return o(Z,W);var J=Object.prototype.toString.call(Z).slice(8,-1);if(J==="Object"&&Z.constructor&&(J=Z.constructor.name),J==="Map"||J==="Set")return Array.from(Z);if(J==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(J))return o(Z,W)}}function o(Z,W){(W==null||W>Z.length)&&(W=Z.length);for(var J=0,N=new Array(W);J<W;J++)N[J]=Z[J];return N}function C(Z,W){var J=typeof Symbol<"u"&&Z[Symbol.iterator]||Z["@@iterator"];if(J)return(J=J.call(Z)).next.bind(J);if(Array.isArray(Z)||(J=R(Z))||W&&Z&&typeof Z.length=="number"){J&&(Z=J);var N=0;return function(){return N>=Z.length?{done:!0}:{done:!1,value:Z[N++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function D(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}le.defaults=D();function S(Z){le.defaults=Z}var v=/[&<>"']/,w=/[&<>"']/g,I=/[<>"']|&(?!#?\w+;)/,k=/[<>"']|&(?!#?\w+;)/g,p={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},d=function(W){return p[W]};function m(Z,W){if(W){if(v.test(Z))return Z.replace(w,d)}else if(I.test(Z))return Z.replace(k,d);return Z}var l=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function b(Z){return Z.replace(l,function(W,J){return J=J.toLowerCase(),J==="colon"?":":J.charAt(0)==="#"?J.charAt(1)==="x"?String.fromCharCode(parseInt(J.substring(2),16)):String.fromCharCode(+J.substring(1)):""})}var c=/(^|[^\[])\^/g;function g(Z,W){Z=typeof Z=="string"?Z:Z.source,W=W||"";var J={replace:function(T,ee){return ee=ee.source||ee,ee=ee.replace(c,"$1"),Z=Z.replace(T,ee),J},getRegex:function(){return new RegExp(Z,W)}};return J}var h=/[^\w:]/g,f=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function u(Z,W,J){if(Z){var N;try{N=decodeURIComponent(b(J)).replace(h,"").toLowerCase()}catch{return null}if(N.indexOf("javascript:")===0||N.indexOf("vbscript:")===0||N.indexOf("data:")===0)return null}W&&!f.test(J)&&(J=i(W,J));try{J=encodeURI(J).replace(/%25/g,"%")}catch{return null}return J}var t={},s=/^[^:]+:\/*[^/]*$/,r=/^([^:]+:)[\s\S]*$/,n=/^([^:]+:\/*[^/]*)[\s\S]*$/;function i(Z,W){t[" "+Z]||(s.test(Z)?t[" "+Z]=Z+"/":t[" "+Z]=P(Z,"/",!0)),Z=t[" "+Z];var J=Z.indexOf(":")===-1;return W.substring(0,2)==="//"?J?W:Z.replace(r,"$1")+W:W.charAt(0)==="/"?J?W:Z.replace(n,"$1")+W:Z+W}var a={exec:function(){}};function $(Z){for(var W=1,J,N;W<arguments.length;W++){J=arguments[W];for(N in J)Object.prototype.hasOwnProperty.call(J,N)&&(Z[N]=J[N])}return Z}function O(Z,W){var J=Z.replace(/\|/g,function(ee,ie,fe){for(var ae=!1,pe=ie;--pe>=0&&fe[pe]==="\\";)ae=!ae;return ae?"|":" |"}),N=J.split(/ \|/),T=0;if(N[0].trim()||N.shift(),N.length>0&&!N[N.length-1].trim()&&N.pop(),N.length>W)N.splice(W);else for(;N.length<W;)N.push("");for(;T<N.length;T++)N[T]=N[T].trim().replace(/\\\|/g,"|");return N}function P(Z,W,J){var N=Z.length;if(N===0)return"";for(var T=0;T<N;){var ee=Z.charAt(N-T-1);if(ee===W&&!J)T++;else if(ee!==W&&J)T++;else break}return Z.slice(0,N-T)}function y(Z,W){if(Z.indexOf(W[1])===-1)return-1;for(var J=Z.length,N=0,T=0;T<J;T++)if(Z[T]==="\\")T++;else if(Z[T]===W[0])N++;else if(Z[T]===W[1]&&(N--,N<0))return T;return-1}function A(Z){Z&&Z.sanitize&&!Z.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function F(Z,W){if(W<1)return"";for(var J="";W>1;)W&1&&(J+=Z),W>>=1,Z+=Z;return J+Z}function Q(Z,W,J,N){var T=W.href,ee=W.title?m(W.title):null,ie=Z[1].replace(/\\([\[\]])/g,"$1");if(Z[0].charAt(0)!=="!"){N.state.inLink=!0;var fe={type:"link",raw:J,href:T,title:ee,text:ie,tokens:N.inlineTokens(ie)};return N.state.inLink=!1,fe}return{type:"image",raw:J,href:T,title:ee,text:m(ie)}}function te(Z,W){var J=Z.match(/^(\s+)(?:```)/);if(J===null)return W;var N=J[1];return W.split(`
`).map(function(T){var ee=T.match(/^\s+/);if(ee===null)return T;var ie=ee[0];return ie.length>=N.length?T.slice(N.length):T}).join(`
`)}var de=function(){function Z(J){this.options=J||le.defaults}var W=Z.prototype;return W.space=function(N){var T=this.rules.block.newline.exec(N);if(T&&T[0].length>0)return{type:"space",raw:T[0]}},W.code=function(N){var T=this.rules.block.code.exec(N);if(T){var ee=T[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:T[0],codeBlockStyle:"indented",text:this.options.pedantic?ee:P(ee,`
`)}}},W.fences=function(N){var T=this.rules.block.fences.exec(N);if(T){var ee=T[0],ie=te(ee,T[3]||"");return{type:"code",raw:ee,lang:T[2]?T[2].trim():T[2],text:ie}}},W.heading=function(N){var T=this.rules.block.heading.exec(N);if(T){var ee=T[2].trim();if(/#$/.test(ee)){var ie=P(ee,"#");(this.options.pedantic||!ie||/ $/.test(ie))&&(ee=ie.trim())}return{type:"heading",raw:T[0],depth:T[1].length,text:ee,tokens:this.lexer.inline(ee)}}},W.hr=function(N){var T=this.rules.block.hr.exec(N);if(T)return{type:"hr",raw:T[0]}},W.blockquote=function(N){var T=this.rules.block.blockquote.exec(N);if(T){var ee=T[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:T[0],tokens:this.lexer.blockTokens(ee,[]),text:ee}}},W.list=function(N){var T=this.rules.block.list.exec(N);if(T){var ee,ie,fe,ae,pe,Ee,Ie,Ne,$e,Se,De,Te,Fe=T[1].trim(),Ve=Fe.length>1,He={type:"list",raw:"",ordered:Ve,start:Ve?+Fe.slice(0,-1):"",loose:!1,items:[]};Fe=Ve?"\\d{1,9}\\"+Fe.slice(-1):"\\"+Fe,this.options.pedantic&&(Fe=Ve?Fe:"[*+-]");for(var Je=new RegExp("^( {0,3}"+Fe+")((?:[	 ][^\\n]*)?(?:\\n|$))");N&&(Te=!1,!(!(T=Je.exec(N))||this.rules.block.hr.test(N)));){if(ee=T[0],N=N.substring(ee.length),Ne=T[2].split(`
`,1)[0],$e=N.split(`
`,1)[0],this.options.pedantic?(ae=2,De=Ne.trimLeft()):(ae=T[2].search(/[^ ]/),ae=ae>4?1:ae,De=Ne.slice(ae),ae+=T[1].length),Ee=!1,!Ne&&/^ *$/.test($e)&&(ee+=$e+`
`,N=N.substring($e.length+1),Te=!0),!Te)for(var Ye=new RegExp("^ {0,"+Math.min(3,ae-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),_e=new RegExp("^ {0,"+Math.min(3,ae-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)"),et=new RegExp("^ {0,"+Math.min(3,ae-1)+"}(?:```|~~~)"),Xe=new RegExp("^ {0,"+Math.min(3,ae-1)+"}#");N&&(Se=N.split(`
`,1)[0],Ne=Se,this.options.pedantic&&(Ne=Ne.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(et.test(Ne)||Xe.test(Ne)||Ye.test(Ne)||_e.test(N)));){if(Ne.search(/[^ ]/)>=ae||!Ne.trim())De+=`
`+Ne.slice(ae);else if(!Ee)De+=`
`+Ne;else break;!Ee&&!Ne.trim()&&(Ee=!0),ee+=Se+`
`,N=N.substring(Se.length+1)}He.loose||(Ie?He.loose=!0:/\n *\n *$/.test(ee)&&(Ie=!0)),this.options.gfm&&(ie=/^\[[ xX]\] /.exec(De),ie&&(fe=ie[0]!=="[ ] ",De=De.replace(/^\[[ xX]\] +/,""))),He.items.push({type:"list_item",raw:ee,task:!!ie,checked:fe,loose:!1,text:De}),He.raw+=ee}He.items[He.items.length-1].raw=ee.trimRight(),He.items[He.items.length-1].text=De.trimRight(),He.raw=He.raw.trimRight();var me=He.items.length;for(pe=0;pe<me;pe++){this.lexer.state.top=!1,He.items[pe].tokens=this.lexer.blockTokens(He.items[pe].text,[]);var Ce=He.items[pe].tokens.filter(function(Re){return Re.type==="space"}),Le=Ce.every(function(Re){for(var je=Re.raw.split(""),Be=0,We=C(je),xe;!(xe=We()).done;){var it=xe.value;if(it===`
`&&(Be+=1),Be>1)return!0}return!1});!He.loose&&Ce.length&&Le&&(He.loose=!0,He.items[pe].loose=!0)}return He}},W.html=function(N){var T=this.rules.block.html.exec(N);if(T){var ee={type:"html",raw:T[0],pre:!this.options.sanitizer&&(T[1]==="pre"||T[1]==="script"||T[1]==="style"),text:T[0]};if(this.options.sanitize){var ie=this.options.sanitizer?this.options.sanitizer(T[0]):m(T[0]);ee.type="paragraph",ee.text=ie,ee.tokens=this.lexer.inline(ie)}return ee}},W.def=function(N){var T=this.rules.block.def.exec(N);if(T){T[3]&&(T[3]=T[3].substring(1,T[3].length-1));var ee=T[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:ee,raw:T[0],href:T[2],title:T[3]}}},W.table=function(N){var T=this.rules.block.table.exec(N);if(T){var ee={type:"table",header:O(T[1]).map(function(Ie){return{text:Ie}}),align:T[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:T[3]&&T[3].trim()?T[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(ee.header.length===ee.align.length){ee.raw=T[0];var ie=ee.align.length,fe,ae,pe,Ee;for(fe=0;fe<ie;fe++)/^ *-+: *$/.test(ee.align[fe])?ee.align[fe]="right":/^ *:-+: *$/.test(ee.align[fe])?ee.align[fe]="center":/^ *:-+ *$/.test(ee.align[fe])?ee.align[fe]="left":ee.align[fe]=null;for(ie=ee.rows.length,fe=0;fe<ie;fe++)ee.rows[fe]=O(ee.rows[fe],ee.header.length).map(function(Ie){return{text:Ie}});for(ie=ee.header.length,ae=0;ae<ie;ae++)ee.header[ae].tokens=this.lexer.inline(ee.header[ae].text);for(ie=ee.rows.length,ae=0;ae<ie;ae++)for(Ee=ee.rows[ae],pe=0;pe<Ee.length;pe++)Ee[pe].tokens=this.lexer.inline(Ee[pe].text);return ee}}},W.lheading=function(N){var T=this.rules.block.lheading.exec(N);if(T)return{type:"heading",raw:T[0],depth:T[2].charAt(0)==="="?1:2,text:T[1],tokens:this.lexer.inline(T[1])}},W.paragraph=function(N){var T=this.rules.block.paragraph.exec(N);if(T){var ee=T[1].charAt(T[1].length-1)===`
`?T[1].slice(0,-1):T[1];return{type:"paragraph",raw:T[0],text:ee,tokens:this.lexer.inline(ee)}}},W.text=function(N){var T=this.rules.block.text.exec(N);if(T)return{type:"text",raw:T[0],text:T[0],tokens:this.lexer.inline(T[0])}},W.escape=function(N){var T=this.rules.inline.escape.exec(N);if(T)return{type:"escape",raw:T[0],text:m(T[1])}},W.tag=function(N){var T=this.rules.inline.tag.exec(N);if(T)return!this.lexer.state.inLink&&/^<a /i.test(T[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(T[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(T[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(T[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:T[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(T[0]):m(T[0]):T[0]}},W.link=function(N){var T=this.rules.inline.link.exec(N);if(T){var ee=T[2].trim();if(!this.options.pedantic&&/^</.test(ee)){if(!/>$/.test(ee))return;var ie=P(ee.slice(0,-1),"\\");if((ee.length-ie.length)%2===0)return}else{var fe=y(T[2],"()");if(fe>-1){var ae=T[0].indexOf("!")===0?5:4,pe=ae+T[1].length+fe;T[2]=T[2].substring(0,fe),T[0]=T[0].substring(0,pe).trim(),T[3]=""}}var Ee=T[2],Ie="";if(this.options.pedantic){var Ne=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Ee);Ne&&(Ee=Ne[1],Ie=Ne[3])}else Ie=T[3]?T[3].slice(1,-1):"";return Ee=Ee.trim(),/^</.test(Ee)&&(this.options.pedantic&&!/>$/.test(ee)?Ee=Ee.slice(1):Ee=Ee.slice(1,-1)),Q(T,{href:Ee&&Ee.replace(this.rules.inline._escapes,"$1"),title:Ie&&Ie.replace(this.rules.inline._escapes,"$1")},T[0],this.lexer)}},W.reflink=function(N,T){var ee;if((ee=this.rules.inline.reflink.exec(N))||(ee=this.rules.inline.nolink.exec(N))){var ie=(ee[2]||ee[1]).replace(/\s+/g," ");if(ie=T[ie.toLowerCase()],!ie||!ie.href){var fe=ee[0].charAt(0);return{type:"text",raw:fe,text:fe}}return Q(ee,ie,ee[0],this.lexer)}},W.emStrong=function(N,T,ee){ee===void 0&&(ee="");var ie=this.rules.inline.emStrong.lDelim.exec(N);if(ie&&!(ie[3]&&ee.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var fe=ie[1]||ie[2]||"";if(!fe||fe&&(ee===""||this.rules.inline.punctuation.exec(ee))){var ae=ie[0].length-1,pe,Ee,Ie=ae,Ne=0,$e=ie[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for($e.lastIndex=0,T=T.slice(-1*N.length+ae);(ie=$e.exec(T))!=null;)if(pe=ie[1]||ie[2]||ie[3]||ie[4]||ie[5]||ie[6],!!pe){if(Ee=pe.length,ie[3]||ie[4]){Ie+=Ee;continue}else if((ie[5]||ie[6])&&ae%3&&!((ae+Ee)%3)){Ne+=Ee;continue}if(Ie-=Ee,!(Ie>0)){if(Ee=Math.min(Ee,Ee+Ie+Ne),Math.min(ae,Ee)%2){var Se=N.slice(1,ae+ie.index+Ee);return{type:"em",raw:N.slice(0,ae+ie.index+Ee+1),text:Se,tokens:this.lexer.inlineTokens(Se)}}var De=N.slice(2,ae+ie.index+Ee-1);return{type:"strong",raw:N.slice(0,ae+ie.index+Ee+1),text:De,tokens:this.lexer.inlineTokens(De)}}}}}},W.codespan=function(N){var T=this.rules.inline.code.exec(N);if(T){var ee=T[2].replace(/\n/g," "),ie=/[^ ]/.test(ee),fe=/^ /.test(ee)&&/ $/.test(ee);return ie&&fe&&(ee=ee.substring(1,ee.length-1)),ee=m(ee,!0),{type:"codespan",raw:T[0],text:ee}}},W.br=function(N){var T=this.rules.inline.br.exec(N);if(T)return{type:"br",raw:T[0]}},W.del=function(N){var T=this.rules.inline.del.exec(N);if(T)return{type:"del",raw:T[0],text:T[2],tokens:this.lexer.inlineTokens(T[2])}},W.autolink=function(N,T){var ee=this.rules.inline.autolink.exec(N);if(ee){var ie,fe;return ee[2]==="@"?(ie=m(this.options.mangle?T(ee[1]):ee[1]),fe="mailto:"+ie):(ie=m(ee[1]),fe=ie),{type:"link",raw:ee[0],text:ie,href:fe,tokens:[{type:"text",raw:ie,text:ie}]}}},W.url=function(N,T){var ee;if(ee=this.rules.inline.url.exec(N)){var ie,fe;if(ee[2]==="@")ie=m(this.options.mangle?T(ee[0]):ee[0]),fe="mailto:"+ie;else{var ae;do ae=ee[0],ee[0]=this.rules.inline._backpedal.exec(ee[0])[0];while(ae!==ee[0]);ie=m(ee[0]),ee[1]==="www."?fe="http://"+ie:fe=ie}return{type:"link",raw:ee[0],text:ie,href:fe,tokens:[{type:"text",raw:ie,text:ie}]}}},W.inlineText=function(N,T){var ee=this.rules.inline.text.exec(N);if(ee){var ie;return this.lexer.state.inRawBlock?ie=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ee[0]):m(ee[0]):ee[0]:ie=m(this.options.smartypants?T(ee[0]):ee[0]),{type:"text",raw:ee[0],text:ie}}},Z}(),he={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:a,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};he._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,he._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,he.def=g(he.def).replace("label",he._label).replace("title",he._title).getRegex(),he.bullet=/(?:[*+-]|\d{1,9}[.)])/,he.listItemStart=g(/^( *)(bull) */).replace("bull",he.bullet).getRegex(),he.list=g(he.list).replace(/bull/g,he.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+he.def.source+")").getRegex(),he._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",he._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,he.html=g(he.html,"i").replace("comment",he._comment).replace("tag",he._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),he.paragraph=g(he._paragraph).replace("hr",he.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",he._tag).getRegex(),he.blockquote=g(he.blockquote).replace("paragraph",he.paragraph).getRegex(),he.normal=$({},he),he.gfm=$({},he.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),he.gfm.table=g(he.gfm.table).replace("hr",he.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",he._tag).getRegex(),he.gfm.paragraph=g(he._paragraph).replace("hr",he.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",he.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",he._tag).getRegex(),he.pedantic=$({},he.normal,{html:g(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",he._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:a,paragraph:g(he.normal._paragraph).replace("hr",he.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",he.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var B={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:a,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:a,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};B._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",B.punctuation=g(B.punctuation).replace(/punctuation/g,B._punctuation).getRegex(),B.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,B.escapedEmSt=/\\\*|\\_/g,B._comment=g(he._comment).replace("(?:-->|$)","-->").getRegex(),B.emStrong.lDelim=g(B.emStrong.lDelim).replace(/punct/g,B._punctuation).getRegex(),B.emStrong.rDelimAst=g(B.emStrong.rDelimAst,"g").replace(/punct/g,B._punctuation).getRegex(),B.emStrong.rDelimUnd=g(B.emStrong.rDelimUnd,"g").replace(/punct/g,B._punctuation).getRegex(),B._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,B._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,B._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,B.autolink=g(B.autolink).replace("scheme",B._scheme).replace("email",B._email).getRegex(),B._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,B.tag=g(B.tag).replace("comment",B._comment).replace("attribute",B._attribute).getRegex(),B._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,B._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,B._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,B.link=g(B.link).replace("label",B._label).replace("href",B._href).replace("title",B._title).getRegex(),B.reflink=g(B.reflink).replace("label",B._label).replace("ref",he._label).getRegex(),B.nolink=g(B.nolink).replace("ref",he._label).getRegex(),B.reflinkSearch=g(B.reflinkSearch,"g").replace("reflink",B.reflink).replace("nolink",B.nolink).getRegex(),B.normal=$({},B),B.pedantic=$({},B.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:g(/^!?\[(label)\]\((.*?)\)/).replace("label",B._label).getRegex(),reflink:g(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",B._label).getRegex()}),B.gfm=$({},B.normal,{escape:g(B.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),B.gfm.url=g(B.gfm.url,"i").replace("email",B.gfm._extended_email).getRegex(),B.breaks=$({},B.gfm,{br:g(B.br).replace("{2,}","*").getRegex(),text:g(B.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function V(Z){return Z.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function _(Z){var W="",J,N,T=Z.length;for(J=0;J<T;J++)N=Z.charCodeAt(J),Math.random()>.5&&(N="x"+N.toString(16)),W+="&#"+N+";";return W}var X=function(){function Z(J){this.tokens=[],this.tokens.links=Object.create(null),this.options=J||le.defaults,this.options.tokenizer=this.options.tokenizer||new de,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var N={block:he.normal,inline:B.normal};this.options.pedantic?(N.block=he.pedantic,N.inline=B.pedantic):this.options.gfm&&(N.block=he.gfm,this.options.breaks?N.inline=B.breaks:N.inline=B.gfm),this.tokenizer.rules=N}Z.lex=function(N,T){var ee=new Z(T);return ee.lex(N)},Z.lexInline=function(N,T){var ee=new Z(T);return ee.inlineTokens(N)};var W=Z.prototype;return W.lex=function(N){N=N.replace(/\r\n|\r/g,`
`),this.blockTokens(N,this.tokens);for(var T;T=this.inlineQueue.shift();)this.inlineTokens(T.src,T.tokens);return this.tokens},W.blockTokens=function(N,T){var ee=this;T===void 0&&(T=[]),this.options.pedantic?N=N.replace(/\t/g,"    ").replace(/^ +$/gm,""):N=N.replace(/^( *)(\t+)/gm,function(Ie,Ne,$e){return Ne+"    ".repeat($e.length)});for(var ie,fe,ae,pe;N;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(Ie){return(ie=Ie.call({lexer:ee},N,T))?(N=N.substring(ie.raw.length),T.push(ie),!0):!1}))){if(ie=this.tokenizer.space(N)){N=N.substring(ie.raw.length),ie.raw.length===1&&T.length>0?T[T.length-1].raw+=`
`:T.push(ie);continue}if(ie=this.tokenizer.code(N)){N=N.substring(ie.raw.length),fe=T[T.length-1],fe&&(fe.type==="paragraph"||fe.type==="text")?(fe.raw+=`
`+ie.raw,fe.text+=`
`+ie.text,this.inlineQueue[this.inlineQueue.length-1].src=fe.text):T.push(ie);continue}if(ie=this.tokenizer.fences(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.heading(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.hr(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.blockquote(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.list(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.html(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.def(N)){N=N.substring(ie.raw.length),fe=T[T.length-1],fe&&(fe.type==="paragraph"||fe.type==="text")?(fe.raw+=`
`+ie.raw,fe.text+=`
`+ie.raw,this.inlineQueue[this.inlineQueue.length-1].src=fe.text):this.tokens.links[ie.tag]||(this.tokens.links[ie.tag]={href:ie.href,title:ie.title});continue}if(ie=this.tokenizer.table(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.lheading(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ae=N,this.options.extensions&&this.options.extensions.startBlock&&function(){var Ie=1/0,Ne=N.slice(1),$e=void 0;ee.options.extensions.startBlock.forEach(function(Se){$e=Se.call({lexer:this},Ne),typeof $e=="number"&&$e>=0&&(Ie=Math.min(Ie,$e))}),Ie<1/0&&Ie>=0&&(ae=N.substring(0,Ie+1))}(),this.state.top&&(ie=this.tokenizer.paragraph(ae))){fe=T[T.length-1],pe&&fe.type==="paragraph"?(fe.raw+=`
`+ie.raw,fe.text+=`
`+ie.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=fe.text):T.push(ie),pe=ae.length!==N.length,N=N.substring(ie.raw.length);continue}if(ie=this.tokenizer.text(N)){N=N.substring(ie.raw.length),fe=T[T.length-1],fe&&fe.type==="text"?(fe.raw+=`
`+ie.raw,fe.text+=`
`+ie.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=fe.text):T.push(ie);continue}if(N){var Ee="Infinite loop on byte: "+N.charCodeAt(0);if(this.options.silent){console.error(Ee);break}else throw new Error(Ee)}}return this.state.top=!0,T},W.inline=function(N,T){return T===void 0&&(T=[]),this.inlineQueue.push({src:N,tokens:T}),T},W.inlineTokens=function(N,T){var ee=this;T===void 0&&(T=[]);var ie,fe,ae,pe=N,Ee,Ie,Ne;if(this.tokens.links){var $e=Object.keys(this.tokens.links);if($e.length>0)for(;(Ee=this.tokenizer.rules.inline.reflinkSearch.exec(pe))!=null;)$e.includes(Ee[0].slice(Ee[0].lastIndexOf("[")+1,-1))&&(pe=pe.slice(0,Ee.index)+"["+F("a",Ee[0].length-2)+"]"+pe.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Ee=this.tokenizer.rules.inline.blockSkip.exec(pe))!=null;)pe=pe.slice(0,Ee.index)+"["+F("a",Ee[0].length-2)+"]"+pe.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Ee=this.tokenizer.rules.inline.escapedEmSt.exec(pe))!=null;)pe=pe.slice(0,Ee.index)+"++"+pe.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;N;)if(Ie||(Ne=""),Ie=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(De){return(ie=De.call({lexer:ee},N,T))?(N=N.substring(ie.raw.length),T.push(ie),!0):!1}))){if(ie=this.tokenizer.escape(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.tag(N)){N=N.substring(ie.raw.length),fe=T[T.length-1],fe&&ie.type==="text"&&fe.type==="text"?(fe.raw+=ie.raw,fe.text+=ie.text):T.push(ie);continue}if(ie=this.tokenizer.link(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.reflink(N,this.tokens.links)){N=N.substring(ie.raw.length),fe=T[T.length-1],fe&&ie.type==="text"&&fe.type==="text"?(fe.raw+=ie.raw,fe.text+=ie.text):T.push(ie);continue}if(ie=this.tokenizer.emStrong(N,pe,Ne)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.codespan(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.br(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.del(N)){N=N.substring(ie.raw.length),T.push(ie);continue}if(ie=this.tokenizer.autolink(N,_)){N=N.substring(ie.raw.length),T.push(ie);continue}if(!this.state.inLink&&(ie=this.tokenizer.url(N,_))){N=N.substring(ie.raw.length),T.push(ie);continue}if(ae=N,this.options.extensions&&this.options.extensions.startInline&&function(){var De=1/0,Te=N.slice(1),Fe=void 0;ee.options.extensions.startInline.forEach(function(Ve){Fe=Ve.call({lexer:this},Te),typeof Fe=="number"&&Fe>=0&&(De=Math.min(De,Fe))}),De<1/0&&De>=0&&(ae=N.substring(0,De+1))}(),ie=this.tokenizer.inlineText(ae,V)){N=N.substring(ie.raw.length),ie.raw.slice(-1)!=="_"&&(Ne=ie.raw.slice(-1)),Ie=!0,fe=T[T.length-1],fe&&fe.type==="text"?(fe.raw+=ie.raw,fe.text+=ie.text):T.push(ie);continue}if(N){var Se="Infinite loop on byte: "+N.charCodeAt(0);if(this.options.silent){console.error(Se);break}else throw new Error(Se)}}return T},E(Z,null,[{key:"rules",get:function(){return{block:he,inline:B}}}]),Z}(),ne=function(){function Z(J){this.options=J||le.defaults}var W=Z.prototype;return W.code=function(N,T,ee){var ie=(T||"").match(/\S*/)[0];if(this.options.highlight){var fe=this.options.highlight(N,ie);fe!=null&&fe!==N&&(ee=!0,N=fe)}return N=N.replace(/\n$/,"")+`
`,ie?'<pre><code class="'+this.options.langPrefix+m(ie,!0)+'">'+(ee?N:m(N,!0))+`</code></pre>
`:"<pre><code>"+(ee?N:m(N,!0))+`</code></pre>
`},W.blockquote=function(N){return`<blockquote>
`+N+`</blockquote>
`},W.html=function(N){return N},W.heading=function(N,T,ee,ie){if(this.options.headerIds){var fe=this.options.headerPrefix+ie.slug(ee);return"<h"+T+' id="'+fe+'">'+N+"</h"+T+`>
`}return"<h"+T+">"+N+"</h"+T+`>
`},W.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},W.list=function(N,T,ee){var ie=T?"ol":"ul",fe=T&&ee!==1?' start="'+ee+'"':"";return"<"+ie+fe+`>
`+N+"</"+ie+`>
`},W.listitem=function(N){return"<li>"+N+`</li>
`},W.checkbox=function(N){return"<input "+(N?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},W.paragraph=function(N){return"<p>"+N+`</p>
`},W.table=function(N,T){return T&&(T="<tbody>"+T+"</tbody>"),`<table>
<thead>
`+N+`</thead>
`+T+`</table>
`},W.tablerow=function(N){return`<tr>
`+N+`</tr>
`},W.tablecell=function(N,T){var ee=T.header?"th":"td",ie=T.align?"<"+ee+' align="'+T.align+'">':"<"+ee+">";return ie+N+("</"+ee+`>
`)},W.strong=function(N){return"<strong>"+N+"</strong>"},W.em=function(N){return"<em>"+N+"</em>"},W.codespan=function(N){return"<code>"+N+"</code>"},W.br=function(){return this.options.xhtml?"<br/>":"<br>"},W.del=function(N){return"<del>"+N+"</del>"},W.link=function(N,T,ee){if(N=u(this.options.sanitize,this.options.baseUrl,N),N===null)return ee;var ie='<a href="'+m(N)+'"';return T&&(ie+=' title="'+T+'"'),ie+=">"+ee+"</a>",ie},W.image=function(N,T,ee){if(N=u(this.options.sanitize,this.options.baseUrl,N),N===null)return ee;var ie='<img src="'+N+'" alt="'+ee+'"';return T&&(ie+=' title="'+T+'"'),ie+=this.options.xhtml?"/>":">",ie},W.text=function(N){return N},Z}(),K=function(){function Z(){}var W=Z.prototype;return W.strong=function(N){return N},W.em=function(N){return N},W.codespan=function(N){return N},W.del=function(N){return N},W.html=function(N){return N},W.text=function(N){return N},W.link=function(N,T,ee){return""+ee},W.image=function(N,T,ee){return""+ee},W.br=function(){return""},Z}(),G=function(){function Z(){this.seen={}}var W=Z.prototype;return W.serialize=function(N){return N.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},W.getNextSafeSlug=function(N,T){var ee=N,ie=0;if(this.seen.hasOwnProperty(ee)){ie=this.seen[N];do ie++,ee=N+"-"+ie;while(this.seen.hasOwnProperty(ee))}return T||(this.seen[N]=ie,this.seen[ee]=0),ee},W.slug=function(N,T){T===void 0&&(T={});var ee=this.serialize(N);return this.getNextSafeSlug(ee,T.dryrun)},Z}(),oe=function(){function Z(J){this.options=J||le.defaults,this.options.renderer=this.options.renderer||new ne,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new K,this.slugger=new G}Z.parse=function(N,T){var ee=new Z(T);return ee.parse(N)},Z.parseInline=function(N,T){var ee=new Z(T);return ee.parseInline(N)};var W=Z.prototype;return W.parse=function(N,T){T===void 0&&(T=!0);var ee="",ie,fe,ae,pe,Ee,Ie,Ne,$e,Se,De,Te,Fe,Ve,He,Je,Ye,_e,et,Xe,me=N.length;for(ie=0;ie<me;ie++){if(De=N[ie],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[De.type]&&(Xe=this.options.extensions.renderers[De.type].call({parser:this},De),Xe!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(De.type))){ee+=Xe||"";continue}switch(De.type){case"space":continue;case"hr":{ee+=this.renderer.hr();continue}case"heading":{ee+=this.renderer.heading(this.parseInline(De.tokens),De.depth,b(this.parseInline(De.tokens,this.textRenderer)),this.slugger);continue}case"code":{ee+=this.renderer.code(De.text,De.lang,De.escaped);continue}case"table":{for($e="",Ne="",pe=De.header.length,fe=0;fe<pe;fe++)Ne+=this.renderer.tablecell(this.parseInline(De.header[fe].tokens),{header:!0,align:De.align[fe]});for($e+=this.renderer.tablerow(Ne),Se="",pe=De.rows.length,fe=0;fe<pe;fe++){for(Ie=De.rows[fe],Ne="",Ee=Ie.length,ae=0;ae<Ee;ae++)Ne+=this.renderer.tablecell(this.parseInline(Ie[ae].tokens),{header:!1,align:De.align[ae]});Se+=this.renderer.tablerow(Ne)}ee+=this.renderer.table($e,Se);continue}case"blockquote":{Se=this.parse(De.tokens),ee+=this.renderer.blockquote(Se);continue}case"list":{for(Te=De.ordered,Fe=De.start,Ve=De.loose,pe=De.items.length,Se="",fe=0;fe<pe;fe++)Je=De.items[fe],Ye=Je.checked,_e=Je.task,He="",Je.task&&(et=this.renderer.checkbox(Ye),Ve?Je.tokens.length>0&&Je.tokens[0].type==="paragraph"?(Je.tokens[0].text=et+" "+Je.tokens[0].text,Je.tokens[0].tokens&&Je.tokens[0].tokens.length>0&&Je.tokens[0].tokens[0].type==="text"&&(Je.tokens[0].tokens[0].text=et+" "+Je.tokens[0].tokens[0].text)):Je.tokens.unshift({type:"text",text:et}):He+=et),He+=this.parse(Je.tokens,Ve),Se+=this.renderer.listitem(He,_e,Ye);ee+=this.renderer.list(Se,Te,Fe);continue}case"html":{ee+=this.renderer.html(De.text);continue}case"paragraph":{ee+=this.renderer.paragraph(this.parseInline(De.tokens));continue}case"text":{for(Se=De.tokens?this.parseInline(De.tokens):De.text;ie+1<me&&N[ie+1].type==="text";)De=N[++ie],Se+=`
`+(De.tokens?this.parseInline(De.tokens):De.text);ee+=T?this.renderer.paragraph(Se):Se;continue}default:{var Ce='Token with "'+De.type+'" type was not found.';if(this.options.silent){console.error(Ce);return}else throw new Error(Ce)}}}return ee},W.parseInline=function(N,T){T=T||this.renderer;var ee="",ie,fe,ae,pe=N.length;for(ie=0;ie<pe;ie++){if(fe=N[ie],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[fe.type]&&(ae=this.options.extensions.renderers[fe.type].call({parser:this},fe),ae!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(fe.type))){ee+=ae||"";continue}switch(fe.type){case"escape":{ee+=T.text(fe.text);break}case"html":{ee+=T.html(fe.text);break}case"link":{ee+=T.link(fe.href,fe.title,this.parseInline(fe.tokens,T));break}case"image":{ee+=T.image(fe.href,fe.title,fe.text);break}case"strong":{ee+=T.strong(this.parseInline(fe.tokens,T));break}case"em":{ee+=T.em(this.parseInline(fe.tokens,T));break}case"codespan":{ee+=T.codespan(fe.text);break}case"br":{ee+=T.br();break}case"del":{ee+=T.del(this.parseInline(fe.tokens,T));break}case"text":{ee+=T.text(fe.text);break}default:{var Ee='Token with "'+fe.type+'" type was not found.';if(this.options.silent){console.error(Ee);return}else throw new Error(Ee)}}}return ee},Z}();function ce(Z,W,J){if(typeof Z>"u"||Z===null)throw new Error("marked(): input parameter is undefined or null");if(typeof Z!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(Z)+", string expected");if(typeof W=="function"&&(J=W,W=null),W=$({},ce.defaults,W||{}),A(W),J){var N=W.highlight,T;try{T=X.lex(Z,W)}catch(pe){return J(pe)}var ee=function(Ee){var Ie;if(!Ee)try{W.walkTokens&&ce.walkTokens(T,W.walkTokens),Ie=oe.parse(T,W)}catch(Ne){Ee=Ne}return W.highlight=N,Ee?J(Ee):J(null,Ie)};if(!N||N.length<3||(delete W.highlight,!T.length))return ee();var ie=0;ce.walkTokens(T,function(pe){pe.type==="code"&&(ie++,setTimeout(function(){N(pe.text,pe.lang,function(Ee,Ie){if(Ee)return ee(Ee);Ie!=null&&Ie!==pe.text&&(pe.text=Ie,pe.escaped=!0),ie--,ie===0&&ee()})},0))}),ie===0&&ee();return}function fe(pe){if(pe.message+=`
Please report this to https://github.com/markedjs/marked.`,W.silent)return"<p>An error occurred:</p><pre>"+m(pe.message+"",!0)+"</pre>";throw pe}try{var ae=X.lex(Z,W);if(W.walkTokens){if(W.async)return Promise.all(ce.walkTokens(ae,W.walkTokens)).then(function(){return oe.parse(ae,W)}).catch(fe);ce.walkTokens(ae,W.walkTokens)}return oe.parse(ae,W)}catch(pe){fe(pe)}}ce.options=ce.setOptions=function(Z){return $(ce.defaults,Z),S(ce.defaults),ce},ce.getDefaults=D,ce.defaults=le.defaults,ce.use=function(){for(var Z=arguments.length,W=new Array(Z),J=0;J<Z;J++)W[J]=arguments[J];var N=$.apply(void 0,[{}].concat(W)),T=ce.defaults.extensions||{renderers:{},childTokens:{}},ee;W.forEach(function(ie){if(ie.extensions&&(ee=!0,ie.extensions.forEach(function(ae){if(!ae.name)throw new Error("extension name required");if(ae.renderer){var pe=T.renderers?T.renderers[ae.name]:null;pe?T.renderers[ae.name]=function(){for(var Ee=arguments.length,Ie=new Array(Ee),Ne=0;Ne<Ee;Ne++)Ie[Ne]=arguments[Ne];var $e=ae.renderer.apply(this,Ie);return $e===!1&&($e=pe.apply(this,Ie)),$e}:T.renderers[ae.name]=ae.renderer}if(ae.tokenizer){if(!ae.level||ae.level!=="block"&&ae.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");T[ae.level]?T[ae.level].unshift(ae.tokenizer):T[ae.level]=[ae.tokenizer],ae.start&&(ae.level==="block"?T.startBlock?T.startBlock.push(ae.start):T.startBlock=[ae.start]:ae.level==="inline"&&(T.startInline?T.startInline.push(ae.start):T.startInline=[ae.start]))}ae.childTokens&&(T.childTokens[ae.name]=ae.childTokens)})),ie.renderer&&function(){var ae=ce.defaults.renderer||new ne,pe=function(Ne){var $e=ae[Ne];ae[Ne]=function(){for(var Se=arguments.length,De=new Array(Se),Te=0;Te<Se;Te++)De[Te]=arguments[Te];var Fe=ie.renderer[Ne].apply(ae,De);return Fe===!1&&(Fe=$e.apply(ae,De)),Fe}};for(var Ee in ie.renderer)pe(Ee);N.renderer=ae}(),ie.tokenizer&&function(){var ae=ce.defaults.tokenizer||new de,pe=function(Ne){var $e=ae[Ne];ae[Ne]=function(){for(var Se=arguments.length,De=new Array(Se),Te=0;Te<Se;Te++)De[Te]=arguments[Te];var Fe=ie.tokenizer[Ne].apply(ae,De);return Fe===!1&&(Fe=$e.apply(ae,De)),Fe}};for(var Ee in ie.tokenizer)pe(Ee);N.tokenizer=ae}(),ie.walkTokens){var fe=ce.defaults.walkTokens;N.walkTokens=function(ae){var pe=[];return pe.push(ie.walkTokens.call(this,ae)),fe&&(pe=pe.concat(fe.call(this,ae))),pe}}ee&&(N.extensions=T),ce.setOptions(N)})},ce.walkTokens=function(Z,W){for(var J=[],N=function(){var fe=ee.value;switch(J=J.concat(W.call(ce,fe)),fe.type){case"table":{for(var ae=C(fe.header),pe;!(pe=ae()).done;){var Ee=pe.value;J=J.concat(ce.walkTokens(Ee.tokens,W))}for(var Ie=C(fe.rows),Ne;!(Ne=Ie()).done;)for(var $e=Ne.value,Se=C($e),De;!(De=Se()).done;){var Te=De.value;J=J.concat(ce.walkTokens(Te.tokens,W))}break}case"list":{J=J.concat(ce.walkTokens(fe.items,W));break}default:ce.defaults.extensions&&ce.defaults.extensions.childTokens&&ce.defaults.extensions.childTokens[fe.type]?ce.defaults.extensions.childTokens[fe.type].forEach(function(Fe){J=J.concat(ce.walkTokens(fe[Fe],W))}):fe.tokens&&(J=J.concat(ce.walkTokens(fe.tokens,W)))}},T=C(Z),ee;!(ee=T()).done;)N();return J},ce.parseInline=function(Z,W){if(typeof Z>"u"||Z===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof Z!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(Z)+", string expected");W=$({},ce.defaults,W||{}),A(W);try{var J=X.lexInline(Z,W);return W.walkTokens&&ce.walkTokens(J,W.walkTokens),oe.parseInline(J,W)}catch(N){if(N.message+=`
Please report this to https://github.com/markedjs/marked.`,W.silent)return"<p>An error occurred:</p><pre>"+m(N.message+"",!0)+"</pre>";throw N}},ce.Parser=oe,ce.parser=oe.parse,ce.Renderer=ne,ce.TextRenderer=K,ce.Lexer=X,ce.lexer=X.lex,ce.Tokenizer=de,ce.Slugger=G,ce.parse=ce;var se=ce.options,ge=ce.setOptions,U=ce.use,q=ce.walkTokens,M=ce.parseInline,z=ce,x=oe.parse,Y=X.lex;le.Lexer=X,le.Parser=oe,le.Renderer=ne,le.Slugger=G,le.TextRenderer=K,le.Tokenizer=de,le.getDefaults=D,le.lexer=Y,le.marked=ce,le.options=se,le.parse=z,le.parseInline=M,le.parser=x,le.setOptions=ge,le.use=U,le.walkTokens=q,Object.defineProperty(le,"__esModule",{value:!0})}),define(ye[147],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3j=void 0;function E(l){const b=C(l);if(b&&b.length>0)return new Uint32Array(b)}e.$3j=E;let R=0;const o=new Uint32Array(10);function C(l){if(R=0,D(l,k,4352),R>0||(D(l,p,4449),R>0)||(D(l,d,4520),R>0)||(D(l,m,12593),R))return o.subarray(0,R);if(l>=44032&&l<=55203){const b=l-44032,c=b%588,g=Math.floor(b/588),h=Math.floor(c/28),f=c%28-1;if(g<k.length?D(g,k,0):4352+g-12593<m.length&&D(4352+g,m,12593),h<p.length?D(h,p,0):4449+h-12593<m.length&&D(4449+h-12593,m,12593),f>=0&&(f<d.length?D(f,d,0):4520+f-12593<m.length&&D(4520+f-12593,m,12593)),R>0)return o.subarray(0,R)}}function D(l,b,c){l>=c&&l<c+b.length&&S(b[l-c])}function S(l){l!==0&&(o[R++]=l&255,l>>8&&(o[R++]=l>>8&255),l>>16&&(o[R++]=l>>16&255))}var v;(function(l){l[l.InitialConsonant=4352]="InitialConsonant",l[l.Vowel=4449]="Vowel",l[l.FinalConsonant=4520]="FinalConsonant",l[l.CompatibilityJamo=12593]="CompatibilityJamo"})(v||(v={}));var w;(function(l){l[l.NUL=0]="NUL",l[l.A=65]="A",l[l.B=66]="B",l[l.C=67]="C",l[l.D=68]="D",l[l.E=69]="E",l[l.F=70]="F",l[l.G=71]="G",l[l.H=72]="H",l[l.I=73]="I",l[l.J=74]="J",l[l.K=75]="K",l[l.L=76]="L",l[l.M=77]="M",l[l.N=78]="N",l[l.O=79]="O",l[l.P=80]="P",l[l.Q=81]="Q",l[l.R=82]="R",l[l.S=83]="S",l[l.T=84]="T",l[l.U=85]="U",l[l.V=86]="V",l[l.W=87]="W",l[l.X=88]="X",l[l.Y=89]="Y",l[l.Z=90]="Z",l[l.a=97]="a",l[l.b=98]="b",l[l.c=99]="c",l[l.d=100]="d",l[l.e=101]="e",l[l.f=102]="f",l[l.g=103]="g",l[l.h=104]="h",l[l.i=105]="i",l[l.j=106]="j",l[l.k=107]="k",l[l.l=108]="l",l[l.m=109]="m",l[l.n=110]="n",l[l.o=111]="o",l[l.p=112]="p",l[l.q=113]="q",l[l.r=114]="r",l[l.s=115]="s",l[l.t=116]="t",l[l.u=117]="u",l[l.v=118]="v",l[l.w=119]="w",l[l.x=120]="x",l[l.y=121]="y",l[l.z=122]="z"})(w||(w={}));var I;(function(l){l[l.fa=24934]="fa",l[l.fg=26470]="fg",l[l.fq=29030]="fq",l[l.fr=29286]="fr",l[l.ft=29798]="ft",l[l.fv=30310]="fv",l[l.fx=30822]="fx",l[l.hk=27496]="hk",l[l.hl=27752]="hl",l[l.ho=28520]="ho",l[l.ml=27757]="ml",l[l.nj=27246]="nj",l[l.nl=27758]="nl",l[l.np=28782]="np",l[l.qt=29809]="qt",l[l.rt=29810]="rt",l[l.sg=26483]="sg",l[l.sw=30579]="sw"})(I||(I={}));const k=new Uint8Array([114,82,115,101,69,102,97,113,81,116,84,100,119,87,99,122,120,118,103]),p=new Uint16Array([107,111,105,79,106,112,117,80,104,27496,28520,27752,121,110,27246,28782,27758,98,109,27757,108]),d=new Uint16Array([114,82,29810,115,30579,26483,101,102,29286,24934,29030,29798,30822,30310,26470,97,113,29809,116,84,100,119,99,122,120,118,103]),m=new Uint16Array([114,82,29810,115,30579,26483,101,69,102,29286,24934,29030,29798,30822,30310,26470,97,113,81,29809,116,84,100,119,87,99,122,120,118,103,107,111,105,79,106,112,117,80,104,27496,28520,27752,121,110,27246,28782,27758,98,109,27757,108])}),define(ye[98],ke([1,0,24]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tl=e.$Sl=e.$Rl=void 0;const R=new E.$Dc(1e4);function o(w){return v(w,"NFC",R)}e.$Rl=o;const C=new E.$Dc(1e4);function D(w){return v(w,"NFD",C)}e.$Sl=D;const S=/[^\u0000-\u0080]/;function v(w,I,k){if(!w)return w;const p=k.get(w);if(p)return p;let d;return S.test(w)?d=w.normalize(I):d=w,k.set(w,d),d}e.$Tl=function(){const w=/[\u0300-\u036f]/g;return function(I){return D(I).replace(w,"")}}()}),define(ye[148],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jm=e.$im=e.$hm=e.rot=e.$fm=void 0;function E(S,v,w){return Math.min(Math.max(S,v),w)}e.$fm=E;function R(S,v){return(v+S%v)%v}e.rot=R;class o{constructor(){this.a=0}getNext(){return this.a++}}e.$hm=o;class C{constructor(){this.a=1,this.b=0}update(v){return this.b=this.b+(v-this.b)/this.a,this.a+=1,this.b}get value(){return this.b}}e.$im=C;class D{constructor(v){this.a=0,this.b=0,this.c=[],this.d=0,this.e=0,this.c=new Array(v),this.c.fill(0,0,v)}update(v){const w=this.c[this.d];return this.c[this.d]=v,this.d=(this.d+1)%this.c.length,this.e-=w,this.e+=v,this.a<this.c.length&&(this.a+=1),this.b=this.e/this.a,this.b}get value(){return this.b}}e.$jm=D}),function(){function le(o){const C=[];typeof o=="number"&&C.push("code/timeOrigin",o);function D(v){C.push(v,Date.now())}function S(){const v=[];for(let w=0;w<C.length;w+=2)v.push({name:C[w],startTime:C[w+1]});return v}return{mark:D,getMarks:S}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?le():{mark(o){performance.mark(o)},getMarks(){let o=performance.timeOrigin;typeof o!="number"&&(o=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const C=[{name:"code/timeOrigin",startTime:Math.round(o)}];for(const D of performance.getEntriesByType("mark"))C.push({name:D.name,startTime:Math.round(o+D.startTime)});return C}};if(typeof process=="object"){const o=performance?.timeOrigin??Math.round((require.__$__nodeRequire||require)("perf_hooks").performance.timeOrigin);return le(o)}else return console.trace("perf-util loaded in UNKNOWN environment"),le()}function E(o){return o.MonacoPerformanceMarks||(o.MonacoPerformanceMarks=e()),o.MonacoPerformanceMarks}var R;typeof global=="object"?R=global:typeof self=="object"?R=self:R={},typeof define=="function"?define("vs/base/common/performance",[],function(){return E(R)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=E(R):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),R.perf=E(R))}(),function(le,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var E=e();for(var R in E)(typeof exports=="object"?exports:le)[R]=E[R]}}(typeof self<"u"?self:this,function(){return function(le){var e={};function E(R){if(e[R])return e[R].exports;var o=e[R]={i:R,l:!1,exports:{}};return le[R].call(o.exports,o,o.exports,E),o.l=!0,o.exports}return E.m=le,E.c=e,E.d=function(R,o,C){E.o(R,o)||Object.defineProperty(R,o,{enumerable:!0,get:C})},E.r=function(R){typeof Symbol<"u"&&Symbol.toStringTag&&Object.defineProperty(R,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(R,"__esModule",{value:!0})},E.t=function(R,o){if(1&o&&(R=E(R)),8&o||4&o&&typeof R=="object"&&R&&R.__esModule)return R;var C=Object.create(null);if(E.r(C),Object.defineProperty(C,"default",{enumerable:!0,value:R}),2&o&&typeof R!="string")for(var D in R)E.d(C,D,function(S){return R[S]}.bind(null,D));return C},E.n=function(R){var o=R&&R.__esModule?function(){return R.default}:function(){return R};return E.d(o,"a",o),o},E.o=function(R,o){return Object.prototype.hasOwnProperty.call(R,o)},E.p="",E(E.s=0)}([function(le,e,E){(function(R){var o;e=le.exports=U,o=typeof R=="object"&&R.env&&R.env.NODE_DEBUG&&/\bsemver\b/i.test(R.env.NODE_DEBUG)?function(){var $e=Array.prototype.slice.call(arguments,0);$e.unshift("SEMVER"),console.log.apply(console,$e)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var C=256,D=Number.MAX_SAFE_INTEGER||9007199254740991,S=e.re=[],v=e.src=[],w=0,I=w++;v[I]="0|[1-9]\\d*";var k=w++;v[k]="[0-9]+";var p=w++;v[p]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var d=w++;v[d]="("+v[I]+")\\.("+v[I]+")\\.("+v[I]+")";var m=w++;v[m]="("+v[k]+")\\.("+v[k]+")\\.("+v[k]+")";var l=w++;v[l]="(?:"+v[I]+"|"+v[p]+")";var b=w++;v[b]="(?:"+v[k]+"|"+v[p]+")";var c=w++;v[c]="(?:-("+v[l]+"(?:\\."+v[l]+")*))";var g=w++;v[g]="(?:-?("+v[b]+"(?:\\."+v[b]+")*))";var h=w++;v[h]="[0-9A-Za-z-]+";var f=w++;v[f]="(?:\\+("+v[h]+"(?:\\."+v[h]+")*))";var u=w++,t="v?"+v[d]+v[c]+"?"+v[f]+"?";v[u]="^"+t+"$";var s="[v=\\s]*"+v[m]+v[g]+"?"+v[f]+"?",r=w++;v[r]="^"+s+"$";var n=w++;v[n]="((?:<|>)?=?)";var i=w++;v[i]=v[k]+"|x|X|\\*";var a=w++;v[a]=v[I]+"|x|X|\\*";var $=w++;v[$]="[v=\\s]*("+v[a]+")(?:\\.("+v[a]+")(?:\\.("+v[a]+")(?:"+v[c]+")?"+v[f]+"?)?)?";var O=w++;v[O]="[v=\\s]*("+v[i]+")(?:\\.("+v[i]+")(?:\\.("+v[i]+")(?:"+v[g]+")?"+v[f]+"?)?)?";var P=w++;v[P]="^"+v[n]+"\\s*"+v[$]+"$";var y=w++;v[y]="^"+v[n]+"\\s*"+v[O]+"$";var A=w++;v[A]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var F=w++;v[F]="(?:~>?)";var Q=w++;v[Q]="(\\s*)"+v[F]+"\\s+",S[Q]=new RegExp(v[Q],"g");var te=w++;v[te]="^"+v[F]+v[$]+"$";var de=w++;v[de]="^"+v[F]+v[O]+"$";var he=w++;v[he]="(?:\\^)";var B=w++;v[B]="(\\s*)"+v[he]+"\\s+",S[B]=new RegExp(v[B],"g");var V=w++;v[V]="^"+v[he]+v[$]+"$";var _=w++;v[_]="^"+v[he]+v[O]+"$";var X=w++;v[X]="^"+v[n]+"\\s*("+s+")$|^$";var ne=w++;v[ne]="^"+v[n]+"\\s*("+t+")$|^$";var K=w++;v[K]="(\\s*)"+v[n]+"\\s*("+s+"|"+v[$]+")",S[K]=new RegExp(v[K],"g");var G=w++;v[G]="^\\s*("+v[$]+")\\s+-\\s+("+v[$]+")\\s*$";var oe=w++;v[oe]="^\\s*("+v[O]+")\\s+-\\s+("+v[O]+")\\s*$";var ce=w++;v[ce]="(<|>)?=?\\s*\\*";for(var se=0;se<35;se++)o(se,v[se]),S[se]||(S[se]=new RegExp(v[se]));function ge($e,Se){if($e instanceof U)return $e;if(typeof $e!="string"||$e.length>C||!(Se?S[r]:S[u]).test($e))return null;try{return new U($e,Se)}catch{return null}}function U($e,Se){if($e instanceof U){if($e.loose===Se)return $e;$e=$e.version}else if(typeof $e!="string")throw new TypeError("Invalid Version: "+$e);if($e.length>C)throw new TypeError("version is longer than "+C+" characters");if(!(this instanceof U))return new U($e,Se);o("SemVer",$e,Se),this.loose=Se;var De=$e.trim().match(Se?S[r]:S[u]);if(!De)throw new TypeError("Invalid Version: "+$e);if(this.raw=$e,this.major=+De[1],this.minor=+De[2],this.patch=+De[3],this.major>D||this.major<0)throw new TypeError("Invalid major version");if(this.minor>D||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>D||this.patch<0)throw new TypeError("Invalid patch version");De[4]?this.prerelease=De[4].split(".").map(function(Te){if(/^[0-9]+$/.test(Te)){var Fe=+Te;if(Fe>=0&&Fe<D)return Fe}return Te}):this.prerelease=[],this.build=De[5]?De[5].split("."):[],this.format()}e.parse=ge,e.valid=function($e,Se){var De=ge($e,Se);return De?De.version:null},e.clean=function($e,Se){var De=ge($e.trim().replace(/^[=v]+/,""),Se);return De?De.version:null},e.SemVer=U,U.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},U.prototype.toString=function(){return this.version},U.prototype.compare=function($e){return o("SemVer.compare",this.version,this.loose,$e),$e instanceof U||($e=new U($e,this.loose)),this.compareMain($e)||this.comparePre($e)},U.prototype.compareMain=function($e){return $e instanceof U||($e=new U($e,this.loose)),M(this.major,$e.major)||M(this.minor,$e.minor)||M(this.patch,$e.patch)},U.prototype.comparePre=function($e){if($e instanceof U||($e=new U($e,this.loose)),this.prerelease.length&&!$e.prerelease.length)return-1;if(!this.prerelease.length&&$e.prerelease.length)return 1;if(!this.prerelease.length&&!$e.prerelease.length)return 0;var Se=0;do{var De=this.prerelease[Se],Te=$e.prerelease[Se];if(o("prerelease compare",Se,De,Te),De===void 0&&Te===void 0)return 0;if(Te===void 0)return 1;if(De===void 0)return-1;if(De!==Te)return M(De,Te)}while(++Se)},U.prototype.inc=function($e,Se){switch($e){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",Se);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",Se);break;case"prepatch":this.prerelease.length=0,this.inc("patch",Se),this.inc("pre",Se);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",Se),this.inc("pre",Se);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var De=this.prerelease.length;--De>=0;)typeof this.prerelease[De]=="number"&&(this.prerelease[De]++,De=-2);De===-1&&this.prerelease.push(0)}Se&&(this.prerelease[0]===Se?isNaN(this.prerelease[1])&&(this.prerelease=[Se,0]):this.prerelease=[Se,0]);break;default:throw new Error("invalid increment argument: "+$e)}return this.format(),this.raw=this.version,this},e.inc=function($e,Se,De,Te){typeof De=="string"&&(Te=De,De=void 0);try{return new U($e,De).inc(Se,Te).version}catch{return null}},e.diff=function($e,Se){if(Z($e,Se))return null;var De=ge($e),Te=ge(Se);if(De.prerelease.length||Te.prerelease.length){for(var Fe in De)if((Fe==="major"||Fe==="minor"||Fe==="patch")&&De[Fe]!==Te[Fe])return"pre"+Fe;return"prerelease"}for(var Fe in De)if((Fe==="major"||Fe==="minor"||Fe==="patch")&&De[Fe]!==Te[Fe])return Fe},e.compareIdentifiers=M;var q=/^[0-9]+$/;function M($e,Se){var De=q.test($e),Te=q.test(Se);return De&&Te&&($e=+$e,Se=+Se),De&&!Te?-1:Te&&!De?1:$e<Se?-1:$e>Se?1:0}function z($e,Se,De){return new U($e,De).compare(new U(Se,De))}function x($e,Se,De){return z($e,Se,De)>0}function Y($e,Se,De){return z($e,Se,De)<0}function Z($e,Se,De){return z($e,Se,De)===0}function W($e,Se,De){return z($e,Se,De)!==0}function J($e,Se,De){return z($e,Se,De)>=0}function N($e,Se,De){return z($e,Se,De)<=0}function T($e,Se,De,Te){var Fe;switch(Se){case"===":typeof $e=="object"&&($e=$e.version),typeof De=="object"&&(De=De.version),Fe=$e===De;break;case"!==":typeof $e=="object"&&($e=$e.version),typeof De=="object"&&(De=De.version),Fe=$e!==De;break;case"":case"=":case"==":Fe=Z($e,De,Te);break;case"!=":Fe=W($e,De,Te);break;case">":Fe=x($e,De,Te);break;case">=":Fe=J($e,De,Te);break;case"<":Fe=Y($e,De,Te);break;case"<=":Fe=N($e,De,Te);break;default:throw new TypeError("Invalid operator: "+Se)}return Fe}function ee($e,Se){if($e instanceof ee){if($e.loose===Se)return $e;$e=$e.value}if(!(this instanceof ee))return new ee($e,Se);o("comparator",$e,Se),this.loose=Se,this.parse($e),this.semver===ie?this.value="":this.value=this.operator+this.semver.version,o("comp",this)}e.rcompareIdentifiers=function($e,Se){return M(Se,$e)},e.major=function($e,Se){return new U($e,Se).major},e.minor=function($e,Se){return new U($e,Se).minor},e.patch=function($e,Se){return new U($e,Se).patch},e.compare=z,e.compareLoose=function($e,Se){return z($e,Se,!0)},e.rcompare=function($e,Se,De){return z(Se,$e,De)},e.sort=function($e,Se){return $e.sort(function(De,Te){return e.compare(De,Te,Se)})},e.rsort=function($e,Se){return $e.sort(function(De,Te){return e.rcompare(De,Te,Se)})},e.gt=x,e.lt=Y,e.eq=Z,e.neq=W,e.gte=J,e.lte=N,e.cmp=T,e.Comparator=ee;var ie={};function fe($e,Se){if($e instanceof fe)return $e.loose===Se?$e:new fe($e.raw,Se);if($e instanceof ee)return new fe($e.value,Se);if(!(this instanceof fe))return new fe($e,Se);if(this.loose=Se,this.raw=$e,this.set=$e.split(/\s*\|\|\s*/).map(function(De){return this.parseRange(De.trim())},this).filter(function(De){return De.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+$e);this.format()}function ae($e){return!$e||$e.toLowerCase()==="x"||$e==="*"}function pe($e,Se,De,Te,Fe,Ve,He,Je,Ye,_e,et,Xe,me){return((Se=ae(De)?"":ae(Te)?">="+De+".0.0":ae(Fe)?">="+De+"."+Te+".0":">="+Se)+" "+(Je=ae(Ye)?"":ae(_e)?"<"+(+Ye+1)+".0.0":ae(et)?"<"+Ye+"."+(+_e+1)+".0":Xe?"<="+Ye+"."+_e+"."+et+"-"+Xe:"<="+Je)).trim()}function Ee($e,Se){for(var De=0;De<$e.length;De++)if(!$e[De].test(Se))return!1;if(Se.prerelease.length){for(De=0;De<$e.length;De++)if(o($e[De].semver),$e[De].semver!==ie&&$e[De].semver.prerelease.length>0){var Te=$e[De].semver;if(Te.major===Se.major&&Te.minor===Se.minor&&Te.patch===Se.patch)return!0}return!1}return!0}function Ie($e,Se,De){try{Se=new fe(Se,De)}catch{return!1}return Se.test($e)}function Ne($e,Se,De,Te){var Fe,Ve,He,Je,Ye;switch($e=new U($e,Te),Se=new fe(Se,Te),De){case">":Fe=x,Ve=N,He=Y,Je=">",Ye=">=";break;case"<":Fe=Y,Ve=J,He=x,Je="<",Ye="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(Ie($e,Se,Te))return!1;for(var _e=0;_e<Se.set.length;++_e){var et=Se.set[_e],Xe=null,me=null;if(et.forEach(function(Ce){Ce.semver===ie&&(Ce=new ee(">=0.0.0")),Xe=Xe||Ce,me=me||Ce,Fe(Ce.semver,Xe.semver,Te)?Xe=Ce:He(Ce.semver,me.semver,Te)&&(me=Ce)}),Xe.operator===Je||Xe.operator===Ye||(!me.operator||me.operator===Je)&&Ve($e,me.semver)||me.operator===Ye&&He($e,me.semver))return!1}return!0}ee.prototype.parse=function($e){var Se=this.loose?S[X]:S[ne],De=$e.match(Se);if(!De)throw new TypeError("Invalid comparator: "+$e);this.operator=De[1],this.operator==="="&&(this.operator=""),De[2]?this.semver=new U(De[2],this.loose):this.semver=ie},ee.prototype.toString=function(){return this.value},ee.prototype.test=function($e){return o("Comparator.test",$e,this.loose),this.semver===ie||(typeof $e=="string"&&($e=new U($e,this.loose)),T($e,this.operator,this.semver,this.loose))},ee.prototype.intersects=function($e,Se){if(!($e instanceof ee))throw new TypeError("a Comparator is required");var De;if(this.operator==="")return De=new fe($e.value,Se),Ie(this.value,De,Se);if($e.operator==="")return De=new fe(this.value,Se),Ie($e.semver,De,Se);var Te=!(this.operator!==">="&&this.operator!==">"||$e.operator!==">="&&$e.operator!==">"),Fe=!(this.operator!=="<="&&this.operator!=="<"||$e.operator!=="<="&&$e.operator!=="<"),Ve=this.semver.version===$e.semver.version,He=!(this.operator!==">="&&this.operator!=="<="||$e.operator!==">="&&$e.operator!=="<="),Je=T(this.semver,"<",$e.semver,Se)&&(this.operator===">="||this.operator===">")&&($e.operator==="<="||$e.operator==="<"),Ye=T(this.semver,">",$e.semver,Se)&&(this.operator==="<="||this.operator==="<")&&($e.operator===">="||$e.operator===">");return Te||Fe||Ve&&He||Je||Ye},e.Range=fe,fe.prototype.format=function(){return this.range=this.set.map(function($e){return $e.join(" ").trim()}).join("||").trim(),this.range},fe.prototype.toString=function(){return this.range},fe.prototype.parseRange=function($e){var Se=this.loose;$e=$e.trim(),o("range",$e,Se);var De=Se?S[oe]:S[G];$e=$e.replace(De,pe),o("hyphen replace",$e),$e=$e.replace(S[K],"$1$2$3"),o("comparator trim",$e,S[K]),$e=($e=($e=$e.replace(S[Q],"$1~")).replace(S[B],"$1^")).split(/\s+/).join(" ");var Te=Se?S[X]:S[ne],Fe=$e.split(" ").map(function(Ve){return function(He,Je){return o("comp",He),He=function(Ye,_e){return Ye.trim().split(/\s+/).map(function(et){return function(Xe,me){o("caret",Xe,me);var Ce=me?S[_]:S[V];return Xe.replace(Ce,function(Le,Re,je,Be,We){var xe;return o("caret",Xe,Le,Re,je,Be,We),ae(Re)?xe="":ae(je)?xe=">="+Re+".0.0 <"+(+Re+1)+".0.0":ae(Be)?xe=Re==="0"?">="+Re+"."+je+".0 <"+Re+"."+(+je+1)+".0":">="+Re+"."+je+".0 <"+(+Re+1)+".0.0":We?(o("replaceCaret pr",We),We.charAt(0)!=="-"&&(We="-"+We),xe=Re==="0"?je==="0"?">="+Re+"."+je+"."+Be+We+" <"+Re+"."+je+"."+(+Be+1):">="+Re+"."+je+"."+Be+We+" <"+Re+"."+(+je+1)+".0":">="+Re+"."+je+"."+Be+We+" <"+(+Re+1)+".0.0"):(o("no pr"),xe=Re==="0"?je==="0"?">="+Re+"."+je+"."+Be+" <"+Re+"."+je+"."+(+Be+1):">="+Re+"."+je+"."+Be+" <"+Re+"."+(+je+1)+".0":">="+Re+"."+je+"."+Be+" <"+(+Re+1)+".0.0"),o("caret return",xe),xe})}(et,_e)}).join(" ")}(He,Je),o("caret",He),He=function(Ye,_e){return Ye.trim().split(/\s+/).map(function(et){return function(Xe,me){var Ce=me?S[de]:S[te];return Xe.replace(Ce,function(Le,Re,je,Be,We){var xe;return o("tilde",Xe,Le,Re,je,Be,We),ae(Re)?xe="":ae(je)?xe=">="+Re+".0.0 <"+(+Re+1)+".0.0":ae(Be)?xe=">="+Re+"."+je+".0 <"+Re+"."+(+je+1)+".0":We?(o("replaceTilde pr",We),We.charAt(0)!=="-"&&(We="-"+We),xe=">="+Re+"."+je+"."+Be+We+" <"+Re+"."+(+je+1)+".0"):xe=">="+Re+"."+je+"."+Be+" <"+Re+"."+(+je+1)+".0",o("tilde return",xe),xe})}(et,_e)}).join(" ")}(He,Je),o("tildes",He),He=function(Ye,_e){return o("replaceXRanges",Ye,_e),Ye.split(/\s+/).map(function(et){return function(Xe,me){Xe=Xe.trim();var Ce=me?S[y]:S[P];return Xe.replace(Ce,function(Le,Re,je,Be,We,xe){o("xRange",Xe,Le,Re,je,Be,We,xe);var it=ae(je),Ze=it||ae(Be),nt=Ze||ae(We);return Re==="="&&nt&&(Re=""),it?Le=Re===">"||Re==="<"?"<0.0.0":"*":Re&&nt?(Ze&&(Be=0),nt&&(We=0),Re===">"?(Re=">=",Ze?(je=+je+1,Be=0,We=0):nt&&(Be=+Be+1,We=0)):Re==="<="&&(Re="<",Ze?je=+je+1:Be=+Be+1),Le=Re+je+"."+Be+"."+We):Ze?Le=">="+je+".0.0 <"+(+je+1)+".0.0":nt&&(Le=">="+je+"."+Be+".0 <"+je+"."+(+Be+1)+".0"),o("xRange return",Le),Le})}(et,_e)}).join(" ")}(He,Je),o("xrange",He),He=function(Ye,_e){return o("replaceStars",Ye,_e),Ye.trim().replace(S[ce],"")}(He,Je),o("stars",He),He}(Ve,Se)}).join(" ").split(/\s+/);return this.loose&&(Fe=Fe.filter(function(Ve){return!!Ve.match(Te)})),Fe=Fe.map(function(Ve){return new ee(Ve,Se)})},fe.prototype.intersects=function($e,Se){if(!($e instanceof fe))throw new TypeError("a Range is required");return this.set.some(function(De){return De.every(function(Te){return $e.set.some(function(Fe){return Fe.every(function(Ve){return Te.intersects(Ve,Se)})})})})},e.toComparators=function($e,Se){return new fe($e,Se).set.map(function(De){return De.map(function(Te){return Te.value}).join(" ").trim().split(" ")})},fe.prototype.test=function($e){if(!$e)return!1;typeof $e=="string"&&($e=new U($e,this.loose));for(var Se=0;Se<this.set.length;Se++)if(Ee(this.set[Se],$e))return!0;return!1},e.satisfies=Ie,e.maxSatisfying=function($e,Se,De){var Te=null,Fe=null;try{var Ve=new fe(Se,De)}catch{return null}return $e.forEach(function(He){Ve.test(He)&&(Te&&Fe.compare(He)!==-1||(Fe=new U(Te=He,De)))}),Te},e.minSatisfying=function($e,Se,De){var Te=null,Fe=null;try{var Ve=new fe(Se,De)}catch{return null}return $e.forEach(function(He){Ve.test(He)&&(Te&&Fe.compare(He)!==1||(Fe=new U(Te=He,De)))}),Te},e.validRange=function($e,Se){try{return new fe($e,Se).range||"*"}catch{return null}},e.ltr=function($e,Se,De){return Ne($e,Se,"<",De)},e.gtr=function($e,Se,De){return Ne($e,Se,">",De)},e.outside=Ne,e.prerelease=function($e,Se){var De=ge($e,Se);return De&&De.prerelease.length?De.prerelease:null},e.intersects=function($e,Se,De){return $e=new fe($e,De),Se=new fe(Se,De),$e.intersects(Se)},e.coerce=function($e){if($e instanceof U)return $e;if(typeof $e!="string")return null;var Se=$e.match(S[A]);return Se==null?null:ge((Se[1]||"0")+"."+(Se[2]||"0")+"."+(Se[3]||"0"))}}).call(this,E(1))},function(le,e){var E,R,o=le.exports={};function C(){throw new Error("setTimeout has not been defined")}function D(){throw new Error("clearTimeout has not been defined")}function S(b){if(E===setTimeout)return setTimeout(b,0);if((E===C||!E)&&setTimeout)return E=setTimeout,setTimeout(b,0);try{return E(b,0)}catch{try{return E.call(null,b,0)}catch{return E.call(this,b,0)}}}(function(){try{E=typeof setTimeout=="function"?setTimeout:C}catch{E=C}try{R=typeof clearTimeout=="function"?clearTimeout:D}catch{R=D}})();var v,w=[],I=!1,k=-1;function p(){I&&v&&(I=!1,v.length?w=v.concat(w):k=-1,w.length&&d())}function d(){if(!I){var b=S(p);I=!0;for(var c=w.length;c;){for(v=w,w=[];++k<c;)v&&v[k].run();k=-1,c=w.length}v=null,I=!1,function(g){if(R===clearTimeout)return clearTimeout(g);if((R===D||!R)&&clearTimeout)return R=clearTimeout,clearTimeout(g);try{R(g)}catch{try{return R.call(null,g)}catch{return R.call(this,g)}}}(b)}}function m(b,c){this.fun=b,this.array=c}function l(){}o.nextTick=function(b){var c=new Array(arguments.length-1);if(arguments.length>1)for(var g=1;g<arguments.length;g++)c[g-1]=arguments[g];w.push(new m(b,c)),w.length!==1||I||S(d)},m.prototype.run=function(){this.fun.apply(null,this.array)},o.title="browser",o.browser=!0,o.env={},o.argv=[],o.version="",o.versions={},o.on=l,o.addListener=l,o.once=l,o.off=l,o.removeListener=l,o.removeAllListeners=l,o.emit=l,o.prependListener=l,o.prependOnceListener=l,o.listeners=function(b){return[]},o.binding=function(b){throw new Error("process.binding is not supported")},o.cwd=function(){return"/"},o.chdir=function(b){throw new Error("process.chdir is not supported")},o.umask=function(){return 0}}])}),define(ye[149],ke([1,0]),function(le,e){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.$_r=void 0;class R{constructor(S,v,w){this.level=S,this.key=v,this.value=w,this.forward=[]}}const o=void 0;class C{constructor(S,v=2**16){this.comparator=S,this[E]="SkipList",this.d=0,this.f=0,this.c=Math.max(1,Math.log2(v)|0),this.e=new R(this.c,o,o)}get size(){return this.f}clear(){this.e=new R(this.c,o,o),this.f=0}has(S){return!!C.g(this,S,this.comparator)}get(S){return C.g(this,S,this.comparator)?.value}set(S,v){return C.h(this,S,v,this.comparator)&&(this.f+=1),this}delete(S){const v=C.k(this,S,this.comparator);return v&&(this.f-=1),v}forEach(S,v){let w=this.e.forward[0];for(;w;)S.call(v,w.value,w.key,this),w=w.forward[0]}[(E=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}*entries(){let S=this.e.forward[0];for(;S;)yield[S.key,S.value],S=S.forward[0]}*keys(){let S=this.e.forward[0];for(;S;)yield S.key,S=S.forward[0]}*values(){let S=this.e.forward[0];for(;S;)yield S.value,S=S.forward[0]}toString(){let S="[SkipList]:",v=this.e.forward[0];for(;v;)S+=`node(${v.key}, ${v.value}, lvl:${v.level})`,v=v.forward[0];return S}static g(S,v,w){let I=S.e;for(let k=S.d-1;k>=0;k--)for(;I.forward[k]&&w(I.forward[k].key,v)<0;)I=I.forward[k];if(I=I.forward[0],I&&w(I.key,v)===0)return I}static h(S,v,w,I){const k=[];let p=S.e;for(let d=S.d-1;d>=0;d--){for(;p.forward[d]&&I(p.forward[d].key,v)<0;)p=p.forward[d];k[d]=p}if(p=p.forward[0],p&&I(p.key,v)===0)return p.value=w,!1;{const d=C.j(S);if(d>S.d){for(let m=S.d;m<d;m++)k[m]=S.e;S.d=d}p=new R(d,v,w);for(let m=0;m<d;m++)p.forward[m]=k[m].forward[m],k[m].forward[m]=p;return!0}}static j(S,v=.5){let w=1;for(;Math.random()<v&&w<S.c;)w+=1;return w}static k(S,v,w){const I=[];let k=S.e;for(let p=S.d-1;p>=0;p--){for(;k.forward[p]&&w(k.forward[p].key,v)<0;)k=k.forward[p];I[p]=k}if(k=k.forward[0],!k||w(k.key,v)!==0)return!1;for(let p=0;p<S.d&&I[p].forward[p]===k;p++)I[p].forward[p]=k.forward[p];for(;S.d>0&&S.e.forward[S.d-1]===o;)S.d-=1;return!0}}e.$_r=C}),define(ye[61],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1d=void 0;const E=globalThis.performance&&typeof globalThis.performance.now=="function";class R{static create(C){return new R(C)}constructor(C){this.c=E&&C===!1?Date.now:globalThis.performance.now.bind(globalThis.performance),this.a=this.c(),this.b=-1}stop(){this.b=this.c()}reset(){this.a=this.c(),this.b=-1}elapsed(){return this.b!==-1?this.b-this.a:this.c()-this.a}}e.$1d=R}),define(ye[6],ke([1,0,10,76,2,97,61]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$be=e.$ae=e.$_d=e.$$d=e.$0d=e.$9d=e.$8d=e.$7d=e.$6d=e.$5d=e.$4d=e.$3d=e.Event=void 0;const S=!1,v=!1;var w;(function(P){P.None=()=>o.$Tc.None;function y(N){if(v){const{onDidAddListener:T}=N,ee=m.create();let ie=0;N.onDidAddListener=()=>{++ie===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),ee.print()),T?.()}}}function A(N,T){return ne(N,()=>{},0,void 0,!0,void 0,T)}P.defer=A;function F(N){return(T,ee=null,ie)=>{let fe=!1,ae;return ae=N(pe=>{if(!fe)return ae?ae.dispose():fe=!0,T.call(ee,pe)},null,ie),fe&&ae.dispose(),ae}}P.once=F;function Q(N,T,ee){return _((ie,fe=null,ae)=>N(pe=>ie.call(fe,T(pe)),null,ae),ee)}P.map=Q;function te(N,T,ee){return _((ie,fe=null,ae)=>N(pe=>{T(pe),ie.call(fe,pe)},null,ae),ee)}P.forEach=te;function de(N,T,ee){return _((ie,fe=null,ae)=>N(pe=>T(pe)&&ie.call(fe,pe),null,ae),ee)}P.filter=de;function he(N){return N}P.signal=he;function B(...N){return(T,ee=null,ie)=>{const fe=(0,o.$Qc)(...N.map(ae=>ae(pe=>T.call(ee,pe))));return X(fe,ie)}}P.any=B;function V(N,T,ee,ie){let fe=ee;return Q(N,ae=>(fe=T(fe,ae),fe),ie)}P.reduce=V;function _(N,T){let ee;const ie={onWillAddFirstListener(){ee=N(fe.fire,fe)},onDidRemoveLastListener(){ee?.dispose()}};T||y(ie);const fe=new h(ie);return T?.add(fe),fe.event}function X(N,T){return T instanceof Array?T.push(N):T&&T.add(N),N}function ne(N,T,ee=100,ie=!1,fe=!1,ae,pe){let Ee,Ie,Ne,$e=0,Se;const De={leakWarningThreshold:ae,onWillAddFirstListener(){Ee=N(Fe=>{$e++,Ie=T(Ie,Fe),ie&&!Ne&&(Te.fire(Ie),Ie=void 0),Se=()=>{const Ve=Ie;Ie=void 0,Ne=void 0,(!ie||$e>1)&&Te.fire(Ve),$e=0},typeof ee=="number"?(clearTimeout(Ne),Ne=setTimeout(Se,ee)):Ne===void 0&&(Ne=0,queueMicrotask(Se))})},onWillRemoveListener(){fe&&$e>0&&Se?.()},onDidRemoveLastListener(){Se=void 0,Ee.dispose()}};pe||y(De);const Te=new h(De);return pe?.add(Te),Te.event}P.debounce=ne;function K(N,T=0,ee){return P.debounce(N,(ie,fe)=>ie?(ie.push(fe),ie):[fe],T,void 0,!0,void 0,ee)}P.accumulate=K;function G(N,T=(ie,fe)=>ie===fe,ee){let ie=!0,fe;return de(N,ae=>{const pe=ie||!T(ae,fe);return ie=!1,fe=ae,pe},ee)}P.latch=G;function oe(N,T,ee){return[P.filter(N,T,ee),P.filter(N,ie=>!T(ie),ee)]}P.split=oe;function ce(N,T=!1,ee=[],ie){let fe=ee.slice(),ae=N(Ie=>{fe?fe.push(Ie):Ee.fire(Ie)});ie&&ie.add(ae);const pe=()=>{fe?.forEach(Ie=>Ee.fire(Ie)),fe=null},Ee=new h({onWillAddFirstListener(){ae||(ae=N(Ie=>Ee.fire(Ie)),ie&&ie.add(ae))},onDidAddFirstListener(){fe&&(T?setTimeout(pe):pe())},onDidRemoveLastListener(){ae&&ae.dispose(),ae=null}});return ie&&ie.add(Ee),Ee.event}P.buffer=ce;function se(N,T){return(ie,fe,ae)=>{const pe=T(new U);return N(function(Ee){const Ie=pe.evaluate(Ee);Ie!==ge&&ie.call(fe,Ie)},void 0,ae)}}P.chain=se;const ge=Symbol("HaltChainable");class U{constructor(){this.f=[]}map(T){return this.f.push(T),this}forEach(T){return this.f.push(ee=>(T(ee),ee)),this}filter(T){return this.f.push(ee=>T(ee)?ee:ge),this}reduce(T,ee){let ie=ee;return this.f.push(fe=>(ie=T(ie,fe),ie)),this}latch(T=(ee,ie)=>ee===ie){let ee=!0,ie;return this.f.push(fe=>{const ae=ee||!T(fe,ie);return ee=!1,ie=fe,ae?fe:ge}),this}evaluate(T){for(const ee of this.f)if(T=ee(T),T===ge)break;return T}}function q(N,T,ee=ie=>ie){const ie=(...Ee)=>pe.fire(ee(...Ee)),fe=()=>N.on(T,ie),ae=()=>N.removeListener(T,ie),pe=new h({onWillAddFirstListener:fe,onDidRemoveLastListener:ae});return pe.event}P.fromNodeEventEmitter=q;function M(N,T,ee=ie=>ie){const ie=(...Ee)=>pe.fire(ee(...Ee)),fe=()=>N.addEventListener(T,ie),ae=()=>N.removeEventListener(T,ie),pe=new h({onWillAddFirstListener:fe,onDidRemoveLastListener:ae});return pe.event}P.fromDOMEventEmitter=M;function z(N){return new Promise(T=>F(N)(T))}P.toPromise=z;function x(N){const T=new h;return N.then(ee=>{T.fire(ee)},()=>{T.fire(void 0)}).finally(()=>{T.dispose()}),T.event}P.fromPromise=x;function Y(N,T,ee){return T(ee),N(ie=>T(ie))}P.runAndSubscribe=Y;class Z{constructor(T,ee){this._observable=T,this.f=0,this.g=!1;const ie={onWillAddFirstListener:()=>{T.addObserver(this)},onDidRemoveLastListener:()=>{T.removeObserver(this)}};ee||y(ie),this.emitter=new h(ie),ee&&ee.add(this.emitter)}beginUpdate(T){this.f++}handlePossibleChange(T){}handleChange(T,ee){this.g=!0}endUpdate(T){this.f--,this.f===0&&(this._observable.reportChanges(),this.g&&(this.g=!1,this.emitter.fire(this._observable.get())))}}function W(N,T){return new Z(N,T).emitter.event}P.fromObservable=W;function J(N){return(T,ee,ie)=>{let fe=0,ae=!1;const pe={beginUpdate(){fe++},endUpdate(){fe--,fe===0&&(N.reportChanges(),ae&&(ae=!1,T.call(ee)))},handlePossibleChange(){},handleChange(){ae=!0}};N.addObserver(pe),N.reportChanges();const Ee={dispose(){N.removeObserver(pe)}};return ie instanceof o.$Sc?ie.add(Ee):Array.isArray(ie)&&ie.push(Ee),Ee}}P.fromObservableLight=J})(w||(e.Event=w={}));class I{static{this.all=new Set}static{this.f=0}constructor(y){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${y}_${I.f++}`,I.all.add(this)}start(y){this.g=new D.$1d,this.listenerCount=y}stop(){if(this.g){const y=this.g.elapsed();this.durations.push(y),this.elapsedOverall+=y,this.invocationCount+=1,this.g=void 0}}}e.$3d=I;let k=-1;function p(P){const y=k;return k=P,{dispose(){k=y}}}e.$4d=p;class d{constructor(y,A=Math.random().toString(18).slice(2,5)){this.threshold=y,this.name=A,this.g=0}dispose(){this.f?.clear()}check(y,A){const F=this.threshold;if(F<=0||A<F)return;this.f||(this.f=new Map);const Q=this.f.get(y.value)||0;if(this.f.set(y.value,Q+1),this.g-=1,this.g<=0){this.g=F*.5;let te,de=0;for(const[he,B]of this.f)(!te||de<B)&&(te=he,de=B);console.warn(`[${this.name}] potential listener LEAK detected, having ${A} listeners already. MOST frequent listener (${de}):`),console.warn(te)}return()=>{const te=this.f.get(y.value)||0;this.f.set(y.value,te-1)}}}class m{static create(){return new m(new Error().stack??"")}constructor(y){this.value=y}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}let l=0;class b{constructor(y){this.value=y,this.id=l++}}const c=2,g=(P,y)=>{if(P instanceof b)y(P);else for(let A=0;A<P.length;A++){const F=P[A];F&&y(F)}};class h{constructor(y){this.w=0,this.f=y,this.g=k>0||this.f?.leakWarningThreshold?new d(this.f?.leakWarningThreshold??k):void 0,this.j=this.f?._profName?new I(this.f._profName):void 0,this.u=this.f?.deliveryQueue}dispose(){if(!this.m){if(this.m=!0,this.u?.current===this&&this.u.reset(),this.t){if(S){const y=this.t;queueMicrotask(()=>{g(y,A=>A.stack?.print())})}this.t=void 0,this.w=0}this.f?.onDidRemoveLastListener?.(),this.g?.dispose()}}get event(){return this.q??=(y,A,F)=>{if(this.g&&this.w>this.g.threshold*3)return console.warn(`[${this.g.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),o.$Tc.None;if(this.m)return o.$Tc.None;A&&(y=y.bind(A));const Q=new b(y);let te,de;this.g&&this.w>=Math.ceil(this.g.threshold*.2)&&(Q.stack=m.create(),te=this.g.check(Q.stack,this.w+1)),S&&(Q.stack=de??m.create()),this.t?this.t instanceof b?(this.u??=new u,this.t=[this.t,Q]):this.t.push(Q):(this.f?.onWillAddFirstListener?.(this),this.t=Q,this.f?.onDidAddFirstListener?.(this)),this.w++;const he=(0,o.$Rc)(()=>{te?.(),this.x(Q)});return F instanceof o.$Sc?F.add(he):Array.isArray(F)&&F.push(he),he},this.q}x(y){if(this.f?.onWillRemoveListener?.(this),!this.t)return;if(this.w===1){this.t=void 0,this.f?.onDidRemoveLastListener?.(this),this.w=0;return}const A=this.t,F=A.indexOf(y);if(F===-1)throw console.log("disposed?",this.m),console.log("size?",this.w),console.log("arr?",JSON.stringify(this.t)),new Error("Attempted to dispose unknown listener");this.w--,A[F]=void 0;const Q=this.u.current===this;if(this.w*c<=A.length){let te=0;for(let de=0;de<A.length;de++)A[de]?A[te++]=A[de]:Q&&(this.u.end--,te<this.u.i&&this.u.i--);A.length=te}}y(y,A){if(!y)return;const F=this.f?.onListenerError||E.$1;if(!F){y.value(A);return}try{y.value(A)}catch(Q){F(Q)}}z(y){const A=y.current.t;for(;y.i<y.end;)this.y(A[y.i++],y.value);y.reset()}fire(y){if(this.u?.current&&(this.z(this.u),this.j?.stop()),this.j?.start(this.w),this.t)if(this.t instanceof b)this.y(this.t,y);else{const A=this.u;A.enqueue(this,y,this.t.length),this.z(A)}this.j?.stop()}hasListeners(){return this.w>0}}e.$5d=h;const f=()=>new u;e.$6d=f;class u{constructor(){this.i=-1,this.end=0}enqueue(y,A,F){this.i=0,this.end=F,this.current=y,this.value=A}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}class t extends h{async fireAsync(y,A,F){if(this.t)for(this.h||(this.h=new C.$4c),g(this.t,Q=>this.h.push([Q.value,y]));this.h.size>0&&!A.isCancellationRequested;){const[Q,te]=this.h.shift(),de=[],he={...te,token:A,waitUntil:B=>{if(Object.isFrozen(de))throw new Error("waitUntil can NOT be called asynchronous");F&&(B=F(B,Q)),de.push(B)}};try{Q(he)}catch(B){(0,E.$1)(B);continue}Object.freeze(de),await Promise.allSettled(de).then(B=>{for(const V of B)V.status==="rejected"&&(0,E.$1)(V.reason)})}}}e.$7d=t;class s extends h{get isPaused(){return this.h!==0}constructor(y){super(y),this.h=0,this.s=new C.$4c,this.A=y?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.A){if(this.s.size>0){const y=Array.from(this.s);this.s.clear(),super.fire(this.A(y))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(y){this.w&&(this.h!==0?this.s.push(y):super.fire(y))}}e.$8d=s;class r extends s{constructor(y){super(y),this.k=y.delay??100}fire(y){this.o||(this.pause(),this.o=setTimeout(()=>{this.o=void 0,this.resume()},this.k)),super.fire(y)}}e.$9d=r;class n extends h{constructor(y){super(y),this.h=[],this.k=y?.merge}fire(y){this.hasListeners()&&(this.h.push(y),this.h.length===1&&queueMicrotask(()=>{this.k?super.fire(this.k(this.h)):this.h.forEach(A=>super.fire(A)),this.h=[]}))}}e.$0d=n;class i{constructor(){this.g=!1,this.h=[],this.f=new h({onWillAddFirstListener:()=>this.j(),onDidRemoveLastListener:()=>this.k()})}get event(){return this.f.event}add(y){const A={event:y,listener:null};this.h.push(A),this.g&&this.m(A);const F=()=>{this.g&&this.o(A);const Q=this.h.indexOf(A);this.h.splice(Q,1)};return(0,o.$Rc)((0,R.$db)(F))}j(){this.g=!0,this.h.forEach(y=>this.m(y))}k(){this.g=!1,this.h.forEach(y=>this.o(y))}m(y){y.listener=y.event(A=>this.f.fire(A))}o(y){y.listener?.dispose(),y.listener=null}dispose(){this.f.dispose();for(const y of this.h)y.listener?.dispose();this.h=[]}}e.$$d=i;class a{constructor(y,A,F,Q){this.f=new o.$Sc;const te=this.f.add(new i),de=this.f.add(new o.$3c);function he(B){de.set(B,te.add(Q(B)))}for(const B of y)he(B);this.f.add(A(B=>{he(B)})),this.f.add(F(B=>{de.deleteAndDispose(B)})),this.event=te.event}dispose(){this.f.dispose()}}e.$_d=a;class ${constructor(){this.f=[]}wrapEvent(y){return(A,F,Q)=>y(te=>{const de=this.f[this.f.length-1];de?de.push(()=>A.call(F,te)):A.call(F,te)},void 0,Q)}bufferEvents(y){const A=[];this.f.push(A);const F=y();return this.f.pop(),A.forEach(Q=>Q()),F}}e.$ae=$;class O{constructor(){this.f=!1,this.g=w.None,this.h=o.$Tc.None,this.j=new h({onDidAddFirstListener:()=>{this.f=!0,this.h=this.g(this.j.fire,this.j)},onDidRemoveLastListener:()=>{this.f=!1,this.h.dispose()}}),this.event=this.j.event}set input(y){this.g=y,this.f&&(this.h.dispose(),this.h=y(this.j.fire,this.j))}dispose(){this.h.dispose(),this.j.dispose()}}e.$be=O}),define(ye[20],ke([1,0,6]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ce=e.CancellationToken=void 0;const R=Object.freeze(function(S,v){const w=setTimeout(S.bind(v),0);return{dispose(){clearTimeout(w)}}});var o;(function(S){function v(w){return w===S.None||w===S.Cancelled||w instanceof C?!0:!w||typeof w!="object"?!1:typeof w.isCancellationRequested=="boolean"&&typeof w.onCancellationRequested=="function"}S.isCancellationToken=v,S.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:E.Event.None}),S.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:R})})(o||(e.CancellationToken=o={}));class C{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?R:(this.b||(this.b=new E.$5d),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class D{constructor(v){this.f=void 0,this.g=void 0,this.g=v&&v.onCancellationRequested(this.cancel,this)}get token(){return this.f||(this.f=new C),this.f}cancel(){this.f?this.f instanceof C&&this.f.cancel():this.f=o.Cancelled}dispose(v=!1){v&&this.cancel(),this.g?.dispose(),this.f?this.f instanceof C&&this.f.dispose():this.f=o.None}}e.$ce=D}),define(ye[150],ke([1,0,20]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pe=e.$Oe=e.$Ne=void 0;class R{constructor(S){this.b=S,this.a=null}get(){if(this.a)return this.a;const S=new E.$ce,v=this.b(S.token);return this.a={promise:v,dispose:()=>{this.a=null,S.cancel(),S.dispose()}},this.a}}e.$Ne=R;class o{constructor(S){this.c=S,this.a=void 0,this.b=void 0}get(S){const v=JSON.stringify(S);return this.b!==v&&(this.b=v,this.a=this.c(S)),this.a}}e.$Oe=o;class C{get cachedValues(){return this.a}constructor(S){this.b=S,this.a=new Map}get(S){if(this.a.has(S))return this.a.get(S);const v=this.b(S);return this.a.set(S,v),v}}e.$Pe=C}),define(ye[50],ke([1,0,10,2]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$re=e.$qe=e.$pe=e.$oe=e.$ne=e.$me=e.$le=e.$ke=e.$je=e.$ie=e.$he=e.$ge=e.$fe=e.$ee=e.$de=void 0;function o(f){const u=f;return u?typeof u.read=="function":!1}e.$de=o;function C(f){const u=f;return u?[u.on,u.pause,u.resume,u.destroy].every(t=>typeof t=="function"):!1}e.$ee=C;function D(f){const u=f;return u?C(u.stream)&&Array.isArray(u.buffer)&&typeof u.ended=="boolean":!1}e.$fe=D;function S(f,u){return new v(f,u)}e.$ge=S;class v{constructor(u,t){this.e=u,this.f=t,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(u){if(!this.a.destroyed){if(this.a.flowing)this.g(u);else if(this.b.data.push(u),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(t=>this.d.push(t))}}error(u){this.a.destroyed||(this.a.flowing?this.h(u):this.b.error.push(u))}end(u){this.a.destroyed||(typeof u<"u"&&this.write(u),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(u){this.c.data.slice(0).forEach(t=>t(u))}h(u){this.c.error.length===0?(0,E.$1)(u):this.c.error.slice(0).forEach(t=>t(u))}i(){this.c.end.slice(0).forEach(u=>u())}on(u,t){if(!this.a.destroyed)switch(u){case"data":this.c.data.push(t),this.resume();break;case"end":this.c.end.push(t),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(t),this.a.flowing&&this.k();break}}removeListener(u,t){if(this.a.destroyed)return;let s;switch(u){case"data":s=this.c.data;break;case"end":s=this.c.end;break;case"error":s=this.c.error;break}if(s){const r=s.indexOf(t);r>=0&&s.splice(r,1)}}j(){if(this.b.data.length>0){const u=this.e(this.b.data);this.g(u),this.b.data.length=0;const t=[...this.d];this.d.length=0,t.forEach(s=>s())}}k(){if(this.c.error.length>0){for(const u of this.b.error)this.h(u);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function w(f,u){const t=[];let s;for(;(s=f.read())!==null;)t.push(s);return u(t)}e.$he=w;function I(f,u,t){const s=[];let r;for(;(r=f.read())!==null&&s.length<t;)s.push(r);return r===null&&s.length>0?u(s):{read:()=>{if(s.length>0)return s.shift();if(typeof r<"u"){const n=r;return r=void 0,n}return f.read()}}}e.$ie=I;function k(f,u){return new Promise((t,s)=>{const r=[];p(f,{onData:n=>{u&&r.push(n)},onError:n=>{u?s(n):t(void 0)},onEnd:()=>{t(u?u(r):void 0)}})})}e.$je=k;function p(f,u,t){f.on("error",s=>{t?.isCancellationRequested||u.onError(s)}),f.on("end",()=>{t?.isCancellationRequested||u.onEnd()}),f.on("data",s=>{t?.isCancellationRequested||u.onData(s)})}e.$ke=p;function d(f,u){return new Promise((t,s)=>{const r=new R.$Sc,n=[],i=O=>{if(n.push(O),n.length>u)return r.dispose(),f.pause(),t({stream:f,buffer:n,ended:!1})},a=O=>(r.dispose(),s(O)),$=()=>(r.dispose(),t({stream:f,buffer:n,ended:!0}));r.add((0,R.$Rc)(()=>f.removeListener("error",a))),f.on("error",a),r.add((0,R.$Rc)(()=>f.removeListener("end",$))),f.on("end",$),r.add((0,R.$Rc)(()=>f.removeListener("data",i))),f.on("data",i)})}e.$le=d;function m(f,u){const t=S(u);return t.end(f),t}e.$me=m;function l(){const f=S(()=>{throw new Error("not supported")});return f.end(),f}e.$ne=l;function b(f){let u=!1;return{read:()=>u?null:(u=!0,f)}}e.$oe=b;function c(f,u,t){const s=S(t);return p(f,{onData:r=>s.write(u.data(r)),onError:r=>s.error(u.error?u.error(r):r),onEnd:()=>s.end()}),s}e.$pe=c;function g(f,u,t){let s=!1;return{read:()=>{const r=u.read();return s?r:(s=!0,r!==null?t([f,r]):f)}}}e.$qe=g;function h(f,u,t){let s=!1;const r=S(t);return p(u,{onData:n=>s?r.write(n):(s=!0,r.write(t([f,n]))),onError:n=>r.error(n),onEnd:()=>{s||(s=!0,r.write(f)),r.end()}}),r}e.$re=h}),define(ye[14],ke([1,0,60,50]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Me=e.$Le=e.$Ke=e.$Je=e.$Ie=e.$He=e.$Ge=e.$Fe=e.$Ee=e.$De=e.$Ce=e.$Be=e.$Ae=e.$ze=e.$ye=e.$xe=e.$we=e.$ve=e.$ue=e.$te=e.$se=void 0;const o=typeof Buffer<"u",C=new E.$V(()=>new Uint8Array(256));let D,S;class v{static alloc(A){return o?new v(Buffer.allocUnsafe(A)):new v(new Uint8Array(A))}static wrap(A){return o&&!Buffer.isBuffer(A)&&(A=Buffer.from(A.buffer,A.byteOffset,A.byteLength)),new v(A)}static fromString(A,F){return!(F?.dontUseNodeBuffer||!1)&&o?new v(Buffer.from(A)):(D||(D=new TextEncoder),new v(D.encode(A)))}static fromByteArray(A){const F=v.alloc(A.length);for(let Q=0,te=A.length;Q<te;Q++)F.buffer[Q]=A[Q];return F}static concat(A,F){if(typeof F>"u"){F=0;for(let de=0,he=A.length;de<he;de++)F+=A[de].byteLength}const Q=v.alloc(F);let te=0;for(let de=0,he=A.length;de<he;de++){const B=A[de];Q.set(B,te),te+=B.byteLength}return Q}constructor(A){this.buffer=A,this.byteLength=this.buffer.byteLength}clone(){const A=v.alloc(this.byteLength);return A.set(this),A}toString(){return o?this.buffer.toString():(S||(S=new TextDecoder),S.decode(this.buffer))}slice(A,F){return new v(this.buffer.subarray(A,F))}set(A,F){if(A instanceof v)this.buffer.set(A.buffer,F);else if(A instanceof Uint8Array)this.buffer.set(A,F);else if(A instanceof ArrayBuffer)this.buffer.set(new Uint8Array(A),F);else if(ArrayBuffer.isView(A))this.buffer.set(new Uint8Array(A.buffer,A.byteOffset,A.byteLength),F);else throw new Error("Unknown argument 'array'")}readUInt32BE(A){return p(this.buffer,A)}writeUInt32BE(A,F){d(this.buffer,A,F)}readUInt32LE(A){return m(this.buffer,A)}writeUInt32LE(A,F){l(this.buffer,A,F)}readUInt8(A){return b(this.buffer,A)}writeUInt8(A,F){c(this.buffer,A,F)}indexOf(A,F=0){return w(this.buffer,A instanceof v?A.buffer:A,F)}}e.$se=v;function w(y,A,F=0){const Q=A.byteLength,te=y.byteLength;if(Q===0)return 0;if(Q===1)return y.indexOf(A[0]);if(Q>te-F)return-1;const de=C.value;de.fill(A.length);for(let _=0;_<A.length;_++)de[A[_]]=A.length-_-1;let he=F+A.length-1,B=he,V=-1;for(;he<te;)if(y[he]===A[B]){if(B===0){V=he;break}he--,B--}else he+=Math.max(A.length-B,de[y[he]]),B=A.length-1;return V}e.$te=w;function I(y,A){return y[A+0]<<0>>>0|y[A+1]<<8>>>0}e.$ue=I;function k(y,A,F){y[F+0]=A&255,A=A>>>8,y[F+1]=A&255}e.$ve=k;function p(y,A){return y[A]*2**24+y[A+1]*2**16+y[A+2]*2**8+y[A+3]}e.$we=p;function d(y,A,F){y[F+3]=A,A=A>>>8,y[F+2]=A,A=A>>>8,y[F+1]=A,A=A>>>8,y[F]=A}e.$xe=d;function m(y,A){return y[A+0]<<0>>>0|y[A+1]<<8>>>0|y[A+2]<<16>>>0|y[A+3]<<24>>>0}e.$ye=m;function l(y,A,F){y[F+0]=A&255,A=A>>>8,y[F+1]=A&255,A=A>>>8,y[F+2]=A&255,A=A>>>8,y[F+3]=A&255}e.$ze=l;function b(y,A){return y[A]}e.$Ae=b;function c(y,A,F){y[F]=A}e.$Be=c;function g(y){return R.$he(y,A=>v.concat(A))}e.$Ce=g;function h(y){return R.$oe(y)}e.$De=h;function f(y){return R.$je(y,A=>v.concat(A))}e.$Ee=f;async function u(y){return y.ended?v.concat(y.buffer):v.concat([...y.buffer,await f(y.stream)])}e.$Fe=u;function t(y){return R.$me(y,A=>v.concat(A))}e.$Ge=t;function s(y){return R.$pe(y,{data:A=>typeof A=="string"?v.fromString(A):v.wrap(A)},A=>v.concat(A))}e.$He=s;function r(y){return R.$ge(A=>v.concat(A),y)}e.$Ie=r;function n(y,A){return R.$qe(y,A,F=>v.concat(F))}e.$Je=n;function i(y,A){return R.$re(y,A,F=>v.concat(F))}e.$Ke=i;function a(y){let A=0,F=0,Q=0;const te=new Uint8Array(Math.floor(y.length/4*3)),de=B=>{switch(F){case 3:te[Q++]=A|B,F=0;break;case 2:te[Q++]=A|B>>>2,A=B<<6,F=3;break;case 1:te[Q++]=A|B>>>4,A=B<<4,F=2;break;default:A=B<<2,F=1}};for(let B=0;B<y.length;B++){const V=y.charCodeAt(B);if(V>=65&&V<=90)de(V-65);else if(V>=97&&V<=122)de(V-97+26);else if(V>=48&&V<=57)de(V-48+52);else if(V===43||V===45)de(62);else if(V===47||V===95)de(63);else{if(V===61)break;throw new SyntaxError(`Unexpected base64 character ${y[B]}`)}}const he=Q;for(;F>0;)de(0);return v.wrap(te).slice(0,he)}e.$Le=a;const $="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",O="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function P({buffer:y},A=!0,F=!1){const Q=F?O:$;let te="";const de=y.byteLength%3;let he=0;for(;he<y.byteLength-de;he+=3){const B=y[he+0],V=y[he+1],_=y[he+2];te+=Q[B>>>2],te+=Q[(B<<4|V>>>4)&63],te+=Q[(V<<2|_>>>6)&63],te+=Q[_&63]}if(de===1){const B=y[he+0];te+=Q[B>>>2],te+=Q[B<<4&63],A&&(te+="==")}else if(de===2){const B=y[he+0],V=y[he+1];te+=Q[B>>>2],te+=Q[(B<<4|V>>>4)&63],te+=Q[V<<2&63],A&&(te+="=")}return te}e.$Me=P}),define(ye[17],ke([1,0,150,60]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rf=e.$Qf=e.$Pf=e.$Of=e.GraphemeBreakType=e.$Nf=e.$Mf=e.$Lf=e.$Kf=e.$Jf=e.$If=e.$Hf=e.$Gf=e.$Ff=e.$Ef=e.$Df=e.$Cf=e.$Bf=e.$Af=e.$zf=e.$yf=e.$xf=e.$wf=e.$vf=e.$uf=e.$tf=e.$sf=e.$rf=e.$qf=e.$pf=e.$of=e.$nf=e.$mf=e.$lf=e.$kf=e.$jf=e.$if=e.$hf=e.$gf=e.$ff=e.$ef=e.$df=e.$cf=e.$bf=e.$af=e.$_e=e.$$e=e.$0e=e.$9e=e.$8e=e.$7e=e.$6e=e.$5e=e.$4e=e.$3e=e.$2e=e.$1e=e.$Ze=e.$Ye=e.$Xe=e.$We=e.$Ve=e.$Ue=e.$Te=e.$Se=void 0;function o(me){return!me||typeof me!="string"?!0:me.trim().length===0}e.$Se=o;const C=/{(\d+)}/g;function D(me,...Ce){return Ce.length===0?me:me.replace(C,function(Le,Re){const je=parseInt(Re,10);return isNaN(je)||je<0||je>=Ce.length?Le:Ce[je]})}e.$Te=D;const S=/{([^}]+)}/g;function v(me,Ce){return Object.keys(Ce).length===0?me:me.replace(S,(Le,Re)=>Ce[Re]??Le)}e.$Ue=v;function w(me){return me.replace(/[<>"'&]/g,Ce=>{switch(Ce){case"<":return"&lt;";case">":return"&gt;";case'"':return"&quot;";case"'":return"&apos;";case"&":return"&amp;"}return Ce})}e.$Ve=w;function I(me){return me.replace(/[<>&]/g,function(Ce){switch(Ce){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return Ce}})}e.$We=I;function k(me){return me.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.$Xe=k;function p(me,Ce){let Le=0;const Re=Ce.charCodeAt(0);for(let je=me.length-1;je>=0;je--)me.charCodeAt(je)===Re&&Le++;return Le}e.$Ye=p;function d(me,Ce,Le="\u2026"){return me.length<=Ce?me:`${me.substr(0,Ce)}${Le}`}e.$Ze=d;function m(me,Ce,Le="\u2026"){if(me.length<=Ce)return me;const Re=Math.ceil(Ce/2)-Le.length/2,je=Math.floor(Ce/2)-Le.length/2;return`${me.substr(0,Re)}${Le}${me.substr(me.length-je)}`}e.$1e=m;function l(me,Ce=" "){const Le=b(me,Ce);return c(Le,Ce)}e.$2e=l;function b(me,Ce){if(!me||!Ce)return me;const Le=Ce.length;if(Le===0||me.length===0)return me;let Re=0;for(;me.indexOf(Ce,Re)===Re;)Re=Re+Le;return me.substring(Re)}e.$3e=b;function c(me,Ce){if(!me||!Ce)return me;const Le=Ce.length,Re=me.length;if(Le===0||Re===0)return me;let je=Re,Be=-1;for(;Be=me.lastIndexOf(Ce,je-1),!(Be===-1||Be+Le!==je);){if(Be===0)return"";je=Be}return me.substring(0,je)}e.$4e=c;function g(me){return me.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.$5e=g;function h(me){return me.replace(/\*/g,"")}e.$6e=h;function f(me,Ce,Le={}){if(!me)throw new Error("Cannot create regex from empty string");Ce||(me=k(me)),Le.wholeWord&&(/\B/.test(me.charAt(0))||(me="\\b"+me),/\B/.test(me.charAt(me.length-1))||(me=me+"\\b"));let Re="";return Le.global&&(Re+="g"),Le.matchCase||(Re+="i"),Le.multiline&&(Re+="m"),Le.unicode&&(Re+="u"),new RegExp(me,Re)}e.$7e=f;function u(me){return me.source==="^"||me.source==="^$"||me.source==="$"||me.source==="^\\s*$"?!1:!!(me.exec("")&&me.lastIndex===0)}e.$8e=u;function t(me){return me.split(/\r\n|\r|\n/)}e.$9e=t;function s(me){const Ce=[],Le=me.split(/(\r\n|\r|\n)/);for(let Re=0;Re<Math.ceil(Le.length/2);Re++)Ce.push(Le[2*Re]+(Le[2*Re+1]??""));return Ce}e.$0e=s;function r(me){for(let Ce=0,Le=me.length;Ce<Le;Ce++){const Re=me.charCodeAt(Ce);if(Re!==32&&Re!==9)return Ce}return-1}e.$$e=r;function n(me,Ce=0,Le=me.length){for(let Re=Ce;Re<Le;Re++){const je=me.charCodeAt(Re);if(je!==32&&je!==9)return me.substring(Ce,Re)}return me.substring(Ce,Le)}e.$_e=n;function i(me,Ce=me.length-1){for(let Le=Ce;Le>=0;Le--){const Re=me.charCodeAt(Le);if(Re!==32&&Re!==9)return Le}return-1}e.$af=i;function a(me,Ce,Le){const Re=[];let je=0;for(const Be of me.matchAll(Ce)){if(Re.push(me.slice(je,Be.index)),Be.index===void 0)throw new Error("match.index should be defined");je=Be.index+Be[0].length,Re.push(Le(Be[0],...Be.slice(1),Be.index,me,Be.groups))}return Re.push(me.slice(je)),Promise.all(Re).then(Be=>Be.join(""))}e.$bf=a;function $(me,Ce){return me<Ce?-1:me>Ce?1:0}e.$cf=$;function O(me,Ce,Le=0,Re=me.length,je=0,Be=Ce.length){for(;Le<Re&&je<Be;Le++,je++){const it=me.charCodeAt(Le),Ze=Ce.charCodeAt(je);if(it<Ze)return-1;if(it>Ze)return 1}const We=Re-Le,xe=Be-je;return We<xe?-1:We>xe?1:0}e.$df=O;function P(me,Ce){return y(me,Ce,0,me.length,0,Ce.length)}e.$ef=P;function y(me,Ce,Le=0,Re=me.length,je=0,Be=Ce.length){for(;Le<Re&&je<Be;Le++,je++){let it=me.charCodeAt(Le),Ze=Ce.charCodeAt(je);if(it===Ze)continue;if(it>=128||Ze>=128)return O(me.toLowerCase(),Ce.toLowerCase(),Le,Re,je,Be);F(it)&&(it-=32),F(Ze)&&(Ze-=32);const nt=it-Ze;if(nt!==0)return nt}const We=Re-Le,xe=Be-je;return We<xe?-1:We>xe?1:0}e.$ff=y;function A(me){return me>=48&&me<=57}e.$gf=A;function F(me){return me>=97&&me<=122}e.$hf=F;function Q(me){return me>=65&&me<=90}e.$if=Q;function te(me,Ce){return me.length===Ce.length&&y(me,Ce)===0}e.$jf=te;function de(me,Ce){const Le=Ce.length;return Ce.length>me.length?!1:y(me,Ce,0,Le)===0}e.$kf=de;function he(me,Ce){const Le=Math.min(me.length,Ce.length);let Re;for(Re=0;Re<Le;Re++)if(me.charCodeAt(Re)!==Ce.charCodeAt(Re))return Re;return Le}e.$lf=he;function B(me,Ce){const Le=Math.min(me.length,Ce.length);let Re;const je=me.length-1,Be=Ce.length-1;for(Re=0;Re<Le;Re++)if(me.charCodeAt(je-Re)!==Ce.charCodeAt(Be-Re))return Re;return Le}e.$mf=B;function V(me){return 55296<=me&&me<=56319}e.$nf=V;function _(me){return 56320<=me&&me<=57343}e.$of=_;function X(me,Ce){return(me-55296<<10)+(Ce-56320)+65536}e.$pf=X;function ne(me,Ce,Le){const Re=me.charCodeAt(Le);if(V(Re)&&Le+1<Ce){const je=me.charCodeAt(Le+1);if(_(je))return X(Re,je)}return Re}e.$qf=ne;function K(me,Ce){const Le=me.charCodeAt(Ce-1);if(_(Le)&&Ce>1){const Re=me.charCodeAt(Ce-2);if(V(Re))return X(Re,Le)}return Le}class G{get offset(){return this.e}constructor(Ce,Le=0){this.c=Ce,this.d=Ce.length,this.e=Le}setOffset(Ce){this.e=Ce}prevCodePoint(){const Ce=K(this.c,this.e);return this.e-=Ce>=65536?2:1,Ce}nextCodePoint(){const Ce=ne(this.c,this.d,this.e);return this.e+=Ce>=65536?2:1,Ce}eol(){return this.e>=this.d}}e.$rf=G;class oe{get offset(){return this.c.offset}constructor(Ce,Le=0){this.c=new G(Ce,Le)}nextGraphemeLength(){const Ce=Fe.getInstance(),Le=this.c,Re=Le.offset;let je=Ce.getGraphemeBreakType(Le.nextCodePoint());for(;!Le.eol();){const Be=Le.offset,We=Ce.getGraphemeBreakType(Le.nextCodePoint());if(De(je,We)){Le.setOffset(Be);break}je=We}return Le.offset-Re}prevGraphemeLength(){const Ce=Fe.getInstance(),Le=this.c,Re=Le.offset;let je=Ce.getGraphemeBreakType(Le.prevCodePoint());for(;Le.offset>0;){const Be=Le.offset,We=Ce.getGraphemeBreakType(Le.prevCodePoint());if(De(We,je)){Le.setOffset(Be);break}je=We}return Re-Le.offset}eol(){return this.c.eol()}}e.$sf=oe;function ce(me,Ce){return new oe(me,Ce).nextGraphemeLength()}e.$tf=ce;function se(me,Ce){return new oe(me,Ce).prevGraphemeLength()}e.$uf=se;function ge(me,Ce){Ce>0&&_(me.charCodeAt(Ce))&&Ce--;const Le=Ce+ce(me,Ce);return[Le-se(me,Le),Le]}e.$vf=ge;function U(me){const Ce=new oe(me);let Le=0;for(;!Ce.eol();)Le++,Ce.nextGraphemeLength();return Le}e.$wf=U;let q;function M(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function z(me){return q||(q=M()),q.test(me)}e.$xf=z;const x=/^[\t\n\r\x20-\x7E]*$/;function Y(me){return x.test(me)}e.$yf=Y,e.$zf=/[\u2028\u2029]/;function Z(me){return e.$zf.test(me)}e.$Af=Z;function W(me){return me>=11904&&me<=55215||me>=63744&&me<=64255||me>=65281&&me<=65374}e.$Bf=W;function J(me){return me>=127462&&me<=127487||me===8986||me===8987||me===9200||me===9203||me>=9728&&me<=10175||me===11088||me===11093||me>=127744&&me<=128591||me>=128640&&me<=128764||me>=128992&&me<=129008||me>=129280&&me<=129535||me>=129648&&me<=129782}e.$Cf=J;function N(me,Ce,Le=""){const Re=me.trimStart();if(Re.length<Ce)return Re;const je=/\b/g;let Be=0;for(;je.test(Re)&&!(Re.length-je.lastIndex<Ce);)Be=je.lastIndex,je.lastIndex+=1;return Be===0?Re:Le+Re.substring(Be).trimStart()}e.$Df=N;const T=/(:?\x1b\[|\x9B)[=?>!]?[\d;:]*["$#'* ]?[a-zA-Z@^`{}|~]/g,ee=/\x1b\].*?\x07/g;function ie(me){return me&&(me=me.replace(T,"").replace(ee,"")),me}e.$Ef=ie,e.$Ff="\uFEFF";function fe(me){return!!(me&&me.length>0&&me.charCodeAt(0)===65279)}e.$Gf=fe;function ae(me){return fe(me)?me.substr(1):me}e.$Hf=ae;function pe(me,Ce){if(!me||!Ce||me.length<Ce.length)return!1;const Le=Ce.length,Re=me.toLowerCase();let je=0,Be=-1;for(;je<Le;){const We=Re.indexOf(Ce[je],Be+1);if(We<0)return!1;Be=We,je++}return!0}e.$If=pe;function Ee(me,Ce=!1){return me?(Ce&&(me=me.replace(/\\./g,"")),me.toLowerCase()!==me):!1}e.$Jf=Ee;function Ie(me){return me.charAt(0).toUpperCase()+me.slice(1)}e.$Kf=Ie;function Ne(me,Ce=1){if(Ce===0)return"";let Le=-1;do Le=me.indexOf(`
`,Le+1),Ce--;while(Ce>0&&Le>=0);return Le===-1?me:(me[Le-1]==="\r"&&Le--,me.substr(0,Le))}e.$Lf=Ne;function $e(me){return me=me%(2*26),me<26?String.fromCharCode(97+me):String.fromCharCode(65+me-26)}e.$Mf=$e;function Se(me){return Fe.getInstance().getGraphemeBreakType(me)}e.$Nf=Se;function De(me,Ce){return me===0?Ce!==5&&Ce!==7:me===2&&Ce===3?!1:me===4||me===2||me===3||Ce===4||Ce===2||Ce===3?!0:!(me===8&&(Ce===8||Ce===9||Ce===11||Ce===12)||(me===11||me===9)&&(Ce===9||Ce===10)||(me===12||me===10)&&Ce===10||Ce===5||Ce===13||Ce===7||me===1||me===13&&Ce===14||me===6&&Ce===6)}var Te;(function(me){me[me.Other=0]="Other",me[me.Prepend=1]="Prepend",me[me.CR=2]="CR",me[me.LF=3]="LF",me[me.Control=4]="Control",me[me.Extend=5]="Extend",me[me.Regional_Indicator=6]="Regional_Indicator",me[me.SpacingMark=7]="SpacingMark",me[me.L=8]="L",me[me.V=9]="V",me[me.T=10]="T",me[me.LV=11]="LV",me[me.LVT=12]="LVT",me[me.ZWJ=13]="ZWJ",me[me.Extended_Pictographic=14]="Extended_Pictographic"})(Te||(e.GraphemeBreakType=Te={}));class Fe{static{this.c=null}static getInstance(){return Fe.c||(Fe.c=new Fe),Fe.c}constructor(){this.d=Ve()}getGraphemeBreakType(Ce){if(Ce<32)return Ce===10?3:Ce===13?2:4;if(Ce<127)return 0;const Le=this.d,Re=Le.length/3;let je=1;for(;je<=Re;)if(Ce<Le[3*je])je=2*je;else if(Ce>Le[3*je+1])je=2*je+1;else return Le[3*je+2];return 0}}function Ve(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function He(me,Ce){if(me===0)return 0;const Le=Je(me,Ce);if(Le!==void 0)return Le;const Re=new G(Ce,me);return Re.prevCodePoint(),Re.offset}e.$Of=He;function Je(me,Ce){const Le=new G(Ce,me);let Re=Le.prevCodePoint();for(;Ye(Re)||Re===65039||Re===8419;){if(Le.offset===0)return;Re=Le.prevCodePoint()}if(!J(Re))return;let je=Le.offset;return je>0&&Le.prevCodePoint()===8205&&(je=Le.offset),je}function Ye(me){return 127995<=me&&me<=127999}var _e;(function(me){me[me.zwj=8205]="zwj",me[me.emojiVariantSelector=65039]="emojiVariantSelector",me[me.enclosingKeyCap=8419]="enclosingKeyCap"})(_e||(_e={})),e.$Pf="\xA0";class et{static{this.c=new R.$V(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}'))}static{this.d=new E.$Oe(Ce=>{function Le(nt){const ot=new Map;for(let ct=0;ct<nt.length;ct+=2)ot.set(nt[ct],nt[ct+1]);return ot}function Re(nt,ot){const ct=new Map(nt);for(const[at,lt]of ot)ct.set(at,lt);return ct}function je(nt,ot){if(!nt)return ot;const ct=new Map;for(const[at,lt]of nt)ot.has(at)&&ct.set(at,lt);return ct}const Be=this.c.value;let We=Ce.filter(nt=>!nt.startsWith("_")&&nt in Be);We.length===0&&(We=["_default"]);let xe;for(const nt of We){const ot=Le(Be[nt]);xe=je(xe,ot)}const it=Le(Be._common),Ze=Re(it,xe);return new et(Ze)})}static getInstance(Ce){return et.d.get(Array.from(Ce))}static{this.e=new R.$V(()=>Object.keys(et.c.value).filter(Ce=>!Ce.startsWith("_")))}static getLocales(){return et.e.value}constructor(Ce){this.f=Ce}isAmbiguous(Ce){return this.f.has(Ce)}getPrimaryConfusable(Ce){return this.f.get(Ce)}getConfusableCodePoints(){return new Set(this.f.keys())}}e.$Qf=et;class Xe{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static{this.d=void 0}static e(){return this.d||(this.d=new Set(Xe.c())),this.d}static isInvisibleCharacter(Ce){return Xe.e().has(Ce)}static get codePoints(){return Xe.e()}}e.$Rf=Xe}),define(ye[151],ke([1,0,24,147,17]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hk=e.$gk=e.$fk=e.$ek=e.FuzzyScore=e.$dk=e.$ck=e.$bk=e.$ak=e.$_j=e.$$j=e.$0j=e.$9j=e.$8j=e.$7j=e.$6j=e.$5j=e.or=void 0;function C(...ae){return function(pe,Ee){for(let Ie=0,Ne=ae.length;Ie<Ne;Ie++){const $e=ae[Ie](pe,Ee);if($e)return $e}return null}}e.or=C,e.$5j=D.bind(void 0,!1),e.$6j=D.bind(void 0,!0);function D(ae,pe,Ee){if(!Ee||Ee.length<pe.length)return null;let Ie;return ae?Ie=o.$kf(Ee,pe):Ie=Ee.indexOf(pe)===0,Ie?pe.length>0?[{start:0,end:pe.length}]:[]:null}function S(ae,pe){const Ee=pe.toLowerCase().indexOf(ae.toLowerCase());return Ee===-1?null:[{start:Ee,end:Ee+ae.length}]}e.$7j=S;function v(ae,pe){return w(ae.toLowerCase(),pe.toLowerCase(),0,0)}e.$8j=v;function w(ae,pe,Ee,Ie){if(Ee===ae.length)return[];if(Ie===pe.length)return null;if(ae[Ee]===pe[Ie]){let Ne=null;return(Ne=w(ae,pe,Ee+1,Ie+1))?f({start:Ie,end:Ie+1},Ne):null}return w(ae,pe,Ee,Ie+1)}function I(ae){return 97<=ae&&ae<=122}function k(ae){return 65<=ae&&ae<=90}e.$9j=k;function p(ae){return 48<=ae&&ae<=57}function d(ae){return ae===32||ae===9||ae===10||ae===13}const m=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(ae=>m.add(ae.charCodeAt(0)));function l(ae){return d(ae)||m.has(ae)}function b(ae,pe){return ae===pe||l(ae)&&l(pe)}const c=new Map;function g(ae){if(c.has(ae))return c.get(ae);let pe;const Ee=(0,R.$3j)(ae);return Ee&&(pe=Ee),c.set(ae,pe),pe}function h(ae){return I(ae)||k(ae)||p(ae)}function f(ae,pe){return pe.length===0?pe=[ae]:ae.end===pe[0].start?pe[0].start=ae.start:pe.unshift(ae),pe}function u(ae,pe){for(let Ee=pe;Ee<ae.length;Ee++){const Ie=ae.charCodeAt(Ee);if(k(Ie)||p(Ie)||Ee>0&&!h(ae.charCodeAt(Ee-1)))return Ee}return ae.length}function t(ae,pe,Ee,Ie){if(Ee===ae.length)return[];if(Ie===pe.length)return null;if(ae[Ee]!==pe[Ie].toLowerCase())return null;{let Ne=null,$e=Ie+1;for(Ne=t(ae,pe,Ee+1,Ie+1);!Ne&&($e=u(pe,$e))<pe.length;)Ne=t(ae,pe,Ee+1,$e),$e++;return Ne===null?null:f({start:Ie,end:Ie+1},Ne)}}function s(ae){let pe=0,Ee=0,Ie=0,Ne=0,$e=0;for(let Ve=0;Ve<ae.length;Ve++)$e=ae.charCodeAt(Ve),k($e)&&pe++,I($e)&&Ee++,h($e)&&Ie++,p($e)&&Ne++;const Se=pe/ae.length,De=Ee/ae.length,Te=Ie/ae.length,Fe=Ne/ae.length;return{upperPercent:Se,lowerPercent:De,alphaPercent:Te,numericPercent:Fe}}function r(ae){const{upperPercent:pe,lowerPercent:Ee}=ae;return Ee===0&&pe>.6}function n(ae){const{upperPercent:pe,lowerPercent:Ee,alphaPercent:Ie,numericPercent:Ne}=ae;return Ee>.2&&pe<.8&&Ie>.6&&Ne<.2}function i(ae){let pe=0,Ee=0,Ie=0,Ne=0;for(let $e=0;$e<ae.length;$e++)Ie=ae.charCodeAt($e),k(Ie)&&pe++,I(Ie)&&Ee++,d(Ie)&&Ne++;return(pe===0||Ee===0)&&Ne===0?ae.length<=30:pe<=5}function a(ae,pe){if(!pe||(pe=pe.trim(),pe.length===0)||!i(ae))return null;pe.length>60&&(pe=pe.substring(0,60));const Ee=s(pe);if(!n(Ee)){if(!r(Ee))return null;pe=pe.toLowerCase()}let Ie=null,Ne=0;for(ae=ae.toLowerCase();Ne<pe.length&&(Ie=t(ae,pe,0,Ne))===null;)Ne=u(pe,Ne+1);return Ie}e.$0j=a;function $(ae,pe,Ee=!1){if(!pe||pe.length===0)return null;let Ie=null,Ne=0;for(ae=ae.toLowerCase(),pe=pe.toLowerCase();Ne<pe.length&&(Ie=O(ae,pe,0,Ne,Ee),Ie===null);)Ne=P(pe,Ne+1);return Ie}e.$$j=$;function O(ae,pe,Ee,Ie,Ne){let $e=0;if(Ee===ae.length)return[];if(Ie===pe.length)return null;if(!b(ae.charCodeAt(Ee),pe.charCodeAt(Ie))){const Te=g(ae.charCodeAt(Ee));if(!Te)return null;for(let Fe=0;Fe<Te.length;Fe++)if(!b(Te[Fe],pe.charCodeAt(Ie+Fe)))return null;$e+=Te.length-1}let Se=null,De=Ie+$e+1;if(Se=O(ae,pe,Ee+1,De,Ne),!Ne)for(;!Se&&(De=P(pe,De))<pe.length;)Se=O(ae,pe,Ee+1,De,Ne),De++;if(!Se)return null;if(ae.charCodeAt(Ee)!==pe.charCodeAt(Ie)){const Te=g(ae.charCodeAt(Ee));if(!Te)return Se;for(let Fe=0;Fe<Te.length;Fe++)if(Te[Fe]!==pe.charCodeAt(Ie+Fe))return Se}return f({start:Ie,end:Ie+$e+1},Se)}function P(ae,pe){for(let Ee=pe;Ee<ae.length;Ee++)if(l(ae.charCodeAt(Ee))||Ee>0&&l(ae.charCodeAt(Ee-1)))return Ee;return ae.length}const y=C(e.$6j,a,S),A=C(e.$6j,a,v),F=new E.$Dc(1e4);function Q(ae,pe,Ee=!1){if(typeof ae!="string"||typeof pe!="string")return null;let Ie=F.get(ae);Ie||(Ie=new RegExp(o.$5e(ae),"i"),F.set(ae,Ie));const Ne=Ie.exec(pe);return Ne?[{start:Ne.index,end:Ne.index+Ne[0].length}]:Ee?A(ae,pe):y(ae,pe)}e.$_j=Q;function te(ae,pe){const Ee=W(ae,ae.toLowerCase(),0,pe,pe.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return Ee?he(Ee):null}e.$ak=te;function de(ae,pe,Ee,Ie,Ne,$e){const Se=Math.min(13,ae.length);for(;Ee<Se;Ee++){const De=W(ae,pe,Ee,Ie,Ne,$e,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(De)return De}return[0,$e]}e.$bk=de;function he(ae){if(typeof ae>"u")return[];const pe=[],Ee=ae[1];for(let Ie=ae.length-1;Ie>1;Ie--){const Ne=ae[Ie]+Ee,$e=pe[pe.length-1];$e&&$e.end===Ne?$e.end=Ne+1:pe.push({start:Ne,end:Ne+1})}return pe}e.$ck=he;const B=128;function V(){const ae=[],pe=[];for(let Ee=0;Ee<=B;Ee++)pe[Ee]=0;for(let Ee=0;Ee<=B;Ee++)ae.push(pe.slice(0));return ae}function _(ae){const pe=[];for(let Ee=0;Ee<=ae;Ee++)pe[Ee]=0;return pe}const X=_(2*B),ne=_(2*B),K=V(),G=V(),oe=V(),ce=!1;function se(ae,pe,Ee,Ie,Ne){function $e(De,Te,Fe=" "){for(;De.length<Te;)De=Fe+De;return De}let Se=` |   |${Ie.split("").map(De=>$e(De,3)).join("|")}
`;for(let De=0;De<=Ee;De++)De===0?Se+=" |":Se+=`${pe[De-1]}|`,Se+=ae[De].slice(0,Ne+1).map(Te=>$e(Te.toString(),3)).join("|")+`
`;return Se}function ge(ae,pe,Ee,Ie){ae=ae.substr(pe),Ee=Ee.substr(Ie),console.log(se(G,ae,ae.length,Ee,Ee.length)),console.log(se(oe,ae,ae.length,Ee,Ee.length)),console.log(se(K,ae,ae.length,Ee,Ee.length))}function U(ae,pe){if(pe<0||pe>=ae.length)return!1;const Ee=ae.codePointAt(pe);switch(Ee){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!o.$Cf(Ee)}}function q(ae,pe){if(pe<0||pe>=ae.length)return!1;switch(ae.charCodeAt(pe)){case 32:case 9:return!0;default:return!1}}function M(ae,pe,Ee){return pe[ae]!==Ee[ae]}function z(ae,pe,Ee,Ie,Ne,$e,Se=!1){for(;pe<Ee&&Ne<$e;)ae[pe]===Ie[Ne]&&(Se&&(X[pe]=Ne),pe+=1),Ne+=1;return pe===Ee}e.$dk=z;var x;(function(ae){ae[ae.Diag=1]="Diag",ae[ae.Left=2]="Left",ae[ae.LeftLeft=3]="LeftLeft"})(x||(x={}));var Y;(function(ae){ae.Default=[-100,0];function pe(Ee){return!Ee||Ee.length===2&&Ee[0]===-100&&Ee[1]===0}ae.isDefault=pe})(Y||(e.FuzzyScore=Y={}));class Z{static{this.default={boostFullMatch:!0,firstMatchCanBeWeak:!1}}constructor(pe,Ee){this.firstMatchCanBeWeak=pe,this.boostFullMatch=Ee}}e.$ek=Z;function W(ae,pe,Ee,Ie,Ne,$e,Se=Z.default){const De=ae.length>B?B:ae.length,Te=Ie.length>B?B:Ie.length;if(Ee>=De||$e>=Te||De-Ee>Te-$e||!z(pe,Ee,De,Ne,$e,Te,!0))return;J(De,Te,Ee,$e,pe,Ne);let Fe=1,Ve=1,He=Ee,Je=$e;const Ye=[!1];for(Fe=1,He=Ee;He<De;Fe++,He++){const Ce=X[He],Le=ne[He],Re=He+1<De?ne[He+1]:Te;for(Ve=Ce-$e+1,Je=Ce;Je<Re;Ve++,Je++){let je=Number.MIN_SAFE_INTEGER,Be=!1;Je<=Le&&(je=N(ae,pe,He,Ee,Ie,Ne,Je,Te,$e,K[Fe-1][Ve-1]===0,Ye));let We=0;je!==Number.MAX_SAFE_INTEGER&&(Be=!0,We=je+G[Fe-1][Ve-1]);const xe=Je>Ce,it=xe?G[Fe][Ve-1]+(K[Fe][Ve-1]>0?-5:0):0,Ze=Je>Ce+1&&K[Fe][Ve-1]>0,nt=Ze?G[Fe][Ve-2]+(K[Fe][Ve-2]>0?-5:0):0;if(Ze&&(!xe||nt>=it)&&(!Be||nt>=We))G[Fe][Ve]=nt,oe[Fe][Ve]=3,K[Fe][Ve]=0;else if(xe&&(!Be||it>=We))G[Fe][Ve]=it,oe[Fe][Ve]=2,K[Fe][Ve]=0;else if(Be)G[Fe][Ve]=We,oe[Fe][Ve]=1,K[Fe][Ve]=K[Fe-1][Ve-1]+1;else throw new Error("not possible")}}if(ce&&ge(ae,Ee,Ie,$e),!Ye[0]&&!Se.firstMatchCanBeWeak)return;Fe--,Ve--;const _e=[G[Fe][Ve],$e];let et=0,Xe=0;for(;Fe>=1;){let Ce=Ve;do{const Le=oe[Fe][Ce];if(Le===3)Ce=Ce-2;else if(Le===2)Ce=Ce-1;else break}while(Ce>=1);et>1&&pe[Ee+Fe-1]===Ne[$e+Ve-1]&&!M(Ce+$e-1,Ie,Ne)&&et+1>K[Fe][Ce]&&(Ce=Ve),Ce===Ve?et++:et=1,Xe||(Xe=Ce),Fe--,Ve=Ce-1,_e.push(Ve)}Te===De&&Se.boostFullMatch&&(_e[0]+=2);const me=Xe-De;return _e[0]-=me,_e}e.$fk=W;function J(ae,pe,Ee,Ie,Ne,$e){let Se=ae-1,De=pe-1;for(;Se>=Ee&&De>=Ie;)Ne[Se]===$e[De]&&(ne[Se]=De,Se--),De--}function N(ae,pe,Ee,Ie,Ne,$e,Se,De,Te,Fe,Ve){if(pe[Ee]!==$e[Se])return Number.MIN_SAFE_INTEGER;let He=1,Je=!1;return Se===Ee-Ie?He=ae[Ee]===Ne[Se]?7:5:M(Se,Ne,$e)&&(Se===0||!M(Se-1,Ne,$e))?(He=ae[Ee]===Ne[Se]?7:5,Je=!0):U($e,Se)&&(Se===0||!U($e,Se-1))?He=5:(U($e,Se-1)||q($e,Se-1))&&(He=5,Je=!0),He>1&&Ee===Ie&&(Ve[0]=!0),Je||(Je=M(Se,Ne,$e)||U($e,Se-1)||q($e,Se-1)),Ee===Ie?Se>Te&&(He-=Je?3:5):Fe?He+=Je?2:0:He+=Je?0:1,Se+1===De&&(He-=Je?3:5),He}function T(ae,pe,Ee,Ie,Ne,$e,Se){return ie(ae,pe,Ee,Ie,Ne,$e,!0,Se)}e.$gk=T;function ee(ae,pe,Ee,Ie,Ne,$e,Se){return ie(ae,pe,Ee,Ie,Ne,$e,!1,Se)}e.$hk=ee;function ie(ae,pe,Ee,Ie,Ne,$e,Se,De){let Te=W(ae,pe,Ee,Ie,Ne,$e,De);if(Te&&!Se)return Te;if(ae.length>=3){const Fe=Math.min(7,ae.length-1);for(let Ve=Ee+1;Ve<Fe;Ve++){const He=fe(ae,Ve);if(He){const Je=W(He,He.toLowerCase(),Ee,Ie,Ne,$e,De);Je&&(Je[0]-=3,(!Te||Je[0]>Te[0])&&(Te=Je))}}}return Te}function fe(ae,pe){if(pe+1>=ae.length)return;const Ee=ae[pe],Ie=ae[pe+1];if(Ee!==Ie)return ae.slice(0,pe)+Ie+Ee+ae.slice(pe+2)}}),define(ye[62],ke([1,0,17]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$i=e.$0i=e.$9i=e.$8i=e.$7i=e.$6i=e.$5i=void 0;function R(c){return o(c,0)}e.$5i=R;function o(c,g){switch(typeof c){case"object":return c===null?C(349,g):Array.isArray(c)?v(c,g):w(c,g);case"string":return S(c,g);case"boolean":return D(c,g);case"number":return C(c,g);case"undefined":return C(937,g);default:return C(617,g)}}e.$6i=o;function C(c,g){return(g<<5)-g+c|0}e.$7i=C;function D(c,g){return C(c?433:863,g)}function S(c,g){g=C(149417,g);for(let h=0,f=c.length;h<f;h++)g=C(c.charCodeAt(h),g);return g}e.$8i=S;function v(c,g){return g=C(104579,g),c.reduce((h,f)=>o(f,h),g)}function w(c,g){return g=C(181387,g),Object.keys(c).sort().reduce((h,f)=>(h=S(f,h),o(c[f],h)),g)}class I{constructor(){this.g=0}get value(){return this.g}hash(g){return this.g=o(g,this.g),this.g}}e.$9i=I;var k;(function(c){c[c.BLOCK_SIZE=64]="BLOCK_SIZE",c[c.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(k||(k={}));function p(c,g,h=32){const f=h-g,u=~((1<<f)-1);return(c<<g|(u&c)>>>f)>>>0}function d(c,g=0,h=c.byteLength,f=0){for(let u=0;u<h;u++)c[g+u]=f}function m(c,g,h="0"){for(;c.length<g;)c=h+c;return c}function l(c,g=32){return c instanceof ArrayBuffer?Array.from(new Uint8Array(c)).map(h=>h.toString(16).padStart(2,"0")).join(""):m((c>>>0).toString(16),g/4)}e.$0i=l;class b{static{this.g=new DataView(new ArrayBuffer(320))}constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(67),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(g){const h=g.length;if(h===0)return;const f=this.p;let u=this.r,t=this.u,s,r;for(t!==0?(s=t,r=-1,t=0):(s=g.charCodeAt(0),r=0);;){let n=s;if(E.$nf(s))if(r+1<h){const i=g.charCodeAt(r+1);E.$of(i)?(r++,n=E.$pf(s,i)):n=65533}else{t=s;break}else E.$of(s)&&(n=65533);if(u=this.w(f,u,n),r++,r<h)s=g.charCodeAt(r);else break}this.r=u,this.u=t}w(g,h,f){return f<128?g[h++]=f:f<2048?(g[h++]=192|(f&1984)>>>6,g[h++]=128|(f&63)>>>0):f<65536?(g[h++]=224|(f&61440)>>>12,g[h++]=128|(f&4032)>>>6,g[h++]=128|(f&63)>>>0):(g[h++]=240|(f&1835008)>>>18,g[h++]=128|(f&258048)>>>12,g[h++]=128|(f&4032)>>>6,g[h++]=128|(f&63)>>>0),h>=64&&(this.y(),h-=64,this.t+=64,g[0]=g[64],g[1]=g[65],g[2]=g[66]),h}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),l(this.h)+l(this.l)+l(this.m)+l(this.n)+l(this.o)}x(){this.p[this.r++]=128,d(this.p,this.r),this.r>56&&(this.y(),d(this.p));const g=8*this.t;this.q.setUint32(56,Math.floor(g/4294967296),!1),this.q.setUint32(60,g%4294967296,!1),this.y()}y(){const g=b.g,h=this.q;for(let $=0;$<64;$+=4)g.setUint32($,h.getUint32($,!1),!1);for(let $=64;$<320;$+=4)g.setUint32($,p(g.getUint32($-12,!1)^g.getUint32($-32,!1)^g.getUint32($-56,!1)^g.getUint32($-64,!1),1),!1);let f=this.h,u=this.l,t=this.m,s=this.n,r=this.o,n,i,a;for(let $=0;$<80;$++)$<20?(n=u&t|~u&s,i=1518500249):$<40?(n=u^t^s,i=1859775393):$<60?(n=u&t|u&s|t&s,i=2400959708):(n=u^t^s,i=3395469782),a=p(f,5)+n+r+i+g.getUint32($*4,!1)&4294967295,r=s,s=t,t=p(u,30),u=f,f=a;this.h=this.h+f&4294967295,this.l=this.l+u&4294967295,this.m=this.m+t&4294967295,this.n=this.n+s&4294967295,this.o=this.o+r&4294967295}}e.$$i=b}),define(ye[63],ke([1,0,17]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var R;(function(o){o[o.Ignore=0]="Ignore",o[o.Info=1]="Info",o[o.Warning=2]="Warning",o[o.Error=3]="Error"})(R||(R={})),function(o){const C="error",D="warning",S="warn",v="info",w="ignore";function I(p){return p?E.$jf(C,p)?o.Error:E.$jf(D,p)||E.$jf(S,p)?o.Warning:E.$jf(v,p)?o.Info:o.Ignore:o.Ignore}o.fromValue=I;function k(p){switch(p){case o.Error:return C;case o.Warning:return D;case o.Info:return v;default:return w}}o.toString=k}(R||(R={})),e.default=R}),define(ye[152],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2d=void 0,e.$2d=Symbol("MicrotaskDelay")}),define(ye[64],ke([1,0,18,17]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ki=e.$ji=e.$ii=e.$hi=e.$gi=void 0;class o{constructor(){this.b="",this.c=0}reset(d){return this.b=d,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(d){const m=d.charCodeAt(0),l=this.b.charCodeAt(this.c);return m-l}value(){return this.b[this.c]}}e.$gi=o;class C{constructor(d=!0){this.e=d}reset(d){return this.b=d,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let d=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(d)this.c++;else break;else d=!1;return this}cmp(d){return this.e?(0,R.$df)(d,this.b,0,d.length,this.c,this.d):(0,R.$ff)(d,this.b,0,d.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}e.$hi=C;class D{constructor(d=!0,m=!0){this.f=d,this.g=m}reset(d){this.d=0,this.e=0,this.b=d,this.c=d.length;for(let m=d.length-1;m>=0;m--,this.c--){const l=this.b.charCodeAt(m);if(!(l===47||this.f&&l===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let d=!0;for(;this.e<this.c;this.e++){const m=this.b.charCodeAt(this.e);if(m===47||this.f&&m===92)if(d)this.d++;else break;else d=!1}return this}cmp(d){return this.g?(0,R.$df)(d,this.b,0,d.length,this.d,this.e):(0,R.$ff)(d,this.b,0,d.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}e.$ii=D;var S;(function(p){p[p.Scheme=1]="Scheme",p[p.Authority=2]="Authority",p[p.Path=3]="Path",p[p.Query=4]="Query",p[p.Fragment=5]="Fragment"})(S||(S={}));class v{constructor(d,m){this.f=d,this.g=m,this.d=[],this.e=0}reset(d){return this.c=d,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new D(!1,!this.f(d)),this.b.reset(d.path),this.b.value()&&this.d.push(3)),this.g(d)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(d){if(this.d[this.e]===1)return(0,R.$ef)(d,this.c.scheme);if(this.d[this.e]===2)return(0,R.$ef)(d,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(d);if(this.d[this.e]===4)return(0,R.$cf)(d,this.c.query);if(this.d[this.e]===5)return(0,R.$cf)(d,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}e.$ji=v;class w{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const d=this.right;return this.right=d.left,d.left=this,this.updateHeight(),d.updateHeight(),d}rotateRight(){const d=this.left;return this.left=d.right,d.right=this,this.updateHeight(),d.updateHeight(),d}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var I;(function(p){p[p.Left=-1]="Left",p[p.Mid=0]="Mid",p[p.Right=1]="Right"})(I||(I={}));class k{static forUris(d=()=>!1,m=()=>!1){return new k(new v(d,m))}static forPaths(d=!1){return new k(new D(void 0,!d))}static forStrings(){return new k(new o)}static forConfigKeys(){return new k(new C)}constructor(d){this.b=d}clear(){this.c=void 0}fill(d,m){if(m){const l=m.slice(0);(0,E.$Xb)(l);for(const b of l)this.set(b,d)}else{const l=d.slice(0);(0,E.$Xb)(l);for(const b of l)this.set(b[0],b[1])}}set(d,m){const l=this.b.reset(d);let b;this.c||(this.c=new w,this.c.segment=l.value());const c=[];for(b=this.c;;){const h=l.cmp(b.segment);if(h>0)b.left||(b.left=new w,b.left.segment=l.value()),c.push([-1,b]),b=b.left;else if(h<0)b.right||(b.right=new w,b.right.segment=l.value()),c.push([1,b]),b=b.right;else if(l.hasNext())l.next(),b.mid||(b.mid=new w,b.mid.segment=l.value()),c.push([0,b]),b=b.mid;else break}const g=b.value;b.value=m,b.key=d;for(let h=c.length-1;h>=0;h--){const f=c[h][1];f.updateHeight();const u=f.balanceFactor();if(u<-1||u>1){const t=c[h][0],s=c[h+1][0];if(t===1&&s===1)c[h][1]=f.rotateLeft();else if(t===-1&&s===-1)c[h][1]=f.rotateRight();else if(t===1&&s===-1)f.right=c[h+1][1]=c[h+1][1].rotateRight(),c[h][1]=f.rotateLeft();else if(t===-1&&s===1)f.left=c[h+1][1]=c[h+1][1].rotateLeft(),c[h][1]=f.rotateRight();else throw new Error;if(h>0)switch(c[h-1][0]){case-1:c[h-1][1].left=c[h][1];break;case 1:c[h-1][1].right=c[h][1];break;case 0:c[h-1][1].mid=c[h][1];break}else this.c=c[0][1]}}return g}get(d){return this.d(d)?.value}d(d){const m=this.b.reset(d);let l=this.c;for(;l;){const b=m.cmp(l.segment);if(b>0)l=l.left;else if(b<0)l=l.right;else if(m.hasNext())m.next(),l=l.mid;else break}return l}has(d){const m=this.d(d);return!(m?.value===void 0&&m?.mid===void 0)}delete(d){return this.e(d,!1)}deleteSuperstr(d){return this.e(d,!0)}e(d,m){const l=this.b.reset(d),b=[];let c=this.c;for(;c;){const g=l.cmp(c.segment);if(g>0)b.push([-1,c]),c=c.left;else if(g<0)b.push([1,c]),c=c.right;else if(l.hasNext())l.next(),b.push([0,c]),c=c.mid;else break}if(c){if(m?(c.left=void 0,c.mid=void 0,c.right=void 0,c.height=1):(c.key=void 0,c.value=void 0),!c.mid&&!c.value)if(c.left&&c.right){const g=this.f(c.right);if(g.key){const{key:h,value:f,segment:u}=g;this.e(g.key,!1),c.key=h,c.value=f,c.segment=u}}else{const g=c.left??c.right;if(b.length>0){const[h,f]=b[b.length-1];switch(h){case-1:f.left=g;break;case 0:f.mid=g;break;case 1:f.right=g;break}}else this.c=g}for(let g=b.length-1;g>=0;g--){const h=b[g][1];h.updateHeight();const f=h.balanceFactor();if(f>1?(h.right.balanceFactor()>=0||(h.right=h.right.rotateRight()),b[g][1]=h.rotateLeft()):f<-1&&(h.left.balanceFactor()<=0||(h.left=h.left.rotateLeft()),b[g][1]=h.rotateRight()),g>0)switch(b[g-1][0]){case-1:b[g-1][1].left=b[g][1];break;case 1:b[g-1][1].right=b[g][1];break;case 0:b[g-1][1].mid=b[g][1];break}else this.c=b[0][1]}}}f(d){for(;d.left;)d=d.left;return d}findSubstr(d){const m=this.b.reset(d);let l=this.c,b;for(;l;){const c=m.cmp(l.segment);if(c>0)l=l.left;else if(c<0)l=l.right;else if(m.hasNext())m.next(),b=l.value||b,l=l.mid;else break}return l&&l.value||b}findSuperstr(d){return this.g(d,!1)}g(d,m){const l=this.b.reset(d);let b=this.c;for(;b;){const c=l.cmp(b.segment);if(c>0)b=b.left;else if(c<0)b=b.right;else if(l.hasNext())l.next(),b=b.mid;else return b.mid?this.h(b.mid):m?b.value:void 0}}hasElementOrSubtree(d){return this.g(d,!0)!==void 0}forEach(d){for(const[m,l]of this)d(l,m)}*[Symbol.iterator](){yield*this.h(this.c)}h(d){const m=[];return this.j(d,m),m[Symbol.iterator]()}j(d,m){d&&(d.left&&this.j(d.left,m),d.value&&m.push([d.key,d.value]),d.mid&&this.j(d.mid,m),d.right&&this.j(d.right,m))}_isBalanced(){const d=m=>{if(!m)return!0;const l=m.balanceFactor();return l<-1||l>1?!1:d(m.left)&&d(m.right)};return d(this.c)}}e.$ki=k}),define(ye[11],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0f=e.$9f=e.$8f=e.$7f=e.$6f=e.$5f=e.$4f=e.$3f=e.$2f=e.$1f=e.$Zf=e.$Yf=e.$Xf=e.$Wf=e.$Vf=e.$Uf=e.$Tf=e.$Sf=void 0;function E(u){return typeof u=="string"}e.$Sf=E;function R(u){return Array.isArray(u)&&u.every(t=>E(t))}e.$Tf=R;function o(u){return typeof u=="object"&&u!==null&&!Array.isArray(u)&&!(u instanceof RegExp)&&!(u instanceof Date)}e.$Uf=o;function C(u){const t=Object.getPrototypeOf(Uint8Array);return typeof u=="object"&&u instanceof t}e.$Vf=C;function D(u){return typeof u=="number"&&!isNaN(u)}e.$Wf=D;function S(u){return!!u&&typeof u[Symbol.iterator]=="function"}e.$Xf=S;function v(u){return u===!0||u===!1}e.$Yf=v;function w(u){return typeof u>"u"}e.$Zf=w;function I(u){return!k(u)}e.$1f=I;function k(u){return w(u)||u===null}e.$2f=k;function p(u,t){if(!u)throw new Error(t?`Unexpected type, expected '${t}'`:"Unexpected type")}e.$3f=p;function d(u){if(k(u))throw new Error("Assertion Failed: argument is undefined or null");return u}e.$4f=d;function m(...u){const t=[];for(let s=0;s<u.length;s++){const r=u[s];if(k(r))throw new Error(`Assertion Failed: argument at index ${s} is undefined or null`);t.push(r)}return t}e.$5f=m;const l=Object.prototype.hasOwnProperty;function b(u){if(!o(u))return!1;for(const t in u)if(l.call(u,t))return!1;return!0}e.$6f=b;function c(u){return typeof u=="function"}e.$7f=c;function g(...u){return u.length>0&&u.every(c)}e.$8f=g;function h(u,t){const s=Math.min(u.length,t.length);for(let r=0;r<s;r++)f(u[r],t[r])}e.$9f=h;function f(u,t){if(E(t)){if(typeof u!==t)throw new Error(`argument does not match constraint: typeof ${t}`)}else if(c(t)){try{if(u instanceof t)return}catch{}if(!k(u)&&u.constructor===t||t.length===1&&t.call(void 0,u)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.$0f=f}),define(ye[51],ke([1,0,11]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kk=e.$jk=e.$ik=void 0;const R=Object.create(null);function o(S,v){if((0,E.$Sf)(v)){const w=R[v];if(w===void 0)throw new Error(`${S} references an unknown codicon: ${v}`);v=w}return R[S]=v,{id:S}}function C(){return R}e.$ik=C;function D(){return Object.values(e.$kk)}e.$jk=D,e.$kk={add:o("add",6e4),plus:o("plus",6e4),gistNew:o("gist-new",6e4),repoCreate:o("repo-create",6e4),lightbulb:o("lightbulb",60001),lightBulb:o("light-bulb",60001),repo:o("repo",60002),repoDelete:o("repo-delete",60002),gistFork:o("gist-fork",60003),repoForked:o("repo-forked",60003),gitPullRequest:o("git-pull-request",60004),gitPullRequestAbandoned:o("git-pull-request-abandoned",60004),recordKeys:o("record-keys",60005),keyboard:o("keyboard",60005),tag:o("tag",60006),tagAdd:o("tag-add",60006),tagRemove:o("tag-remove",60006),gitPullRequestLabel:o("git-pull-request-label",60006),person:o("person",60007),personFollow:o("person-follow",60007),personOutline:o("person-outline",60007),personFilled:o("person-filled",60007),gitBranch:o("git-branch",60008),gitBranchCreate:o("git-branch-create",60008),gitBranchDelete:o("git-branch-delete",60008),sourceControl:o("source-control",60008),mirror:o("mirror",60009),mirrorPublic:o("mirror-public",60009),star:o("star",60010),starAdd:o("star-add",60010),starDelete:o("star-delete",60010),starEmpty:o("star-empty",60010),comment:o("comment",60011),commentAdd:o("comment-add",60011),alert:o("alert",60012),warning:o("warning",60012),search:o("search",60013),searchSave:o("search-save",60013),logOut:o("log-out",60014),signOut:o("sign-out",60014),logIn:o("log-in",60015),signIn:o("sign-in",60015),eye:o("eye",60016),eyeUnwatch:o("eye-unwatch",60016),eyeWatch:o("eye-watch",60016),circleFilled:o("circle-filled",60017),primitiveDot:o("primitive-dot",60017),closeDirty:o("close-dirty",60017),debugBreakpoint:o("debug-breakpoint",60017),debugBreakpointDisabled:o("debug-breakpoint-disabled",60017),debugBreakpointPending:o("debug-breakpoint-pending",60377),debugHint:o("debug-hint",60017),primitiveSquare:o("primitive-square",60018),edit:o("edit",60019),pencil:o("pencil",60019),info:o("info",60020),issueOpened:o("issue-opened",60020),gistPrivate:o("gist-private",60021),gitForkPrivate:o("git-fork-private",60021),lock:o("lock",60021),mirrorPrivate:o("mirror-private",60021),close:o("close",60022),removeClose:o("remove-close",60022),x:o("x",60022),repoSync:o("repo-sync",60023),sync:o("sync",60023),clone:o("clone",60024),desktopDownload:o("desktop-download",60024),beaker:o("beaker",60025),microscope:o("microscope",60025),vm:o("vm",60026),deviceDesktop:o("device-desktop",60026),file:o("file",60027),fileText:o("file-text",60027),more:o("more",60028),ellipsis:o("ellipsis",60028),kebabHorizontal:o("kebab-horizontal",60028),mailReply:o("mail-reply",60029),reply:o("reply",60029),organization:o("organization",60030),organizationFilled:o("organization-filled",60030),organizationOutline:o("organization-outline",60030),newFile:o("new-file",60031),fileAdd:o("file-add",60031),newFolder:o("new-folder",60032),fileDirectoryCreate:o("file-directory-create",60032),trash:o("trash",60033),trashcan:o("trashcan",60033),history:o("history",60034),clock:o("clock",60034),folder:o("folder",60035),fileDirectory:o("file-directory",60035),symbolFolder:o("symbol-folder",60035),logoGithub:o("logo-github",60036),markGithub:o("mark-github",60036),github:o("github",60036),terminal:o("terminal",60037),console:o("console",60037),repl:o("repl",60037),zap:o("zap",60038),symbolEvent:o("symbol-event",60038),error:o("error",60039),stop:o("stop",60039),variable:o("variable",60040),symbolVariable:o("symbol-variable",60040),array:o("array",60042),symbolArray:o("symbol-array",60042),symbolModule:o("symbol-module",60043),symbolPackage:o("symbol-package",60043),symbolNamespace:o("symbol-namespace",60043),symbolObject:o("symbol-object",60043),symbolMethod:o("symbol-method",60044),symbolFunction:o("symbol-function",60044),symbolConstructor:o("symbol-constructor",60044),symbolBoolean:o("symbol-boolean",60047),symbolNull:o("symbol-null",60047),symbolNumeric:o("symbol-numeric",60048),symbolNumber:o("symbol-number",60048),symbolStructure:o("symbol-structure",60049),symbolStruct:o("symbol-struct",60049),symbolParameter:o("symbol-parameter",60050),symbolTypeParameter:o("symbol-type-parameter",60050),symbolKey:o("symbol-key",60051),symbolText:o("symbol-text",60051),symbolReference:o("symbol-reference",60052),goToFile:o("go-to-file",60052),symbolEnum:o("symbol-enum",60053),symbolValue:o("symbol-value",60053),symbolRuler:o("symbol-ruler",60054),symbolUnit:o("symbol-unit",60054),activateBreakpoints:o("activate-breakpoints",60055),archive:o("archive",60056),arrowBoth:o("arrow-both",60057),arrowDown:o("arrow-down",60058),arrowLeft:o("arrow-left",60059),arrowRight:o("arrow-right",60060),arrowSmallDown:o("arrow-small-down",60061),arrowSmallLeft:o("arrow-small-left",60062),arrowSmallRight:o("arrow-small-right",60063),arrowSmallUp:o("arrow-small-up",60064),arrowUp:o("arrow-up",60065),bell:o("bell",60066),bold:o("bold",60067),book:o("book",60068),bookmark:o("bookmark",60069),debugBreakpointConditionalUnverified:o("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:o("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:o("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:o("debug-breakpoint-data-unverified",60072),debugBreakpointData:o("debug-breakpoint-data",60073),debugBreakpointDataDisabled:o("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:o("debug-breakpoint-log-unverified",60074),debugBreakpointLog:o("debug-breakpoint-log",60075),debugBreakpointLogDisabled:o("debug-breakpoint-log-disabled",60075),briefcase:o("briefcase",60076),broadcast:o("broadcast",60077),browser:o("browser",60078),bug:o("bug",60079),calendar:o("calendar",60080),caseSensitive:o("case-sensitive",60081),check:o("check",60082),checklist:o("checklist",60083),chevronDown:o("chevron-down",60084),dropDownButton:o("drop-down-button",60084),chevronLeft:o("chevron-left",60085),chevronRight:o("chevron-right",60086),chevronUp:o("chevron-up",60087),chromeClose:o("chrome-close",60088),chromeMaximize:o("chrome-maximize",60089),chromeMinimize:o("chrome-minimize",60090),chromeRestore:o("chrome-restore",60091),circle:o("circle",60092),circleOutline:o("circle-outline",60092),debugBreakpointUnverified:o("debug-breakpoint-unverified",60092),circleSlash:o("circle-slash",60093),circuitBoard:o("circuit-board",60094),clearAll:o("clear-all",60095),clippy:o("clippy",60096),closeAll:o("close-all",60097),cloudDownload:o("cloud-download",60098),cloudUpload:o("cloud-upload",60099),code:o("code",60100),collapseAll:o("collapse-all",60101),colorMode:o("color-mode",60102),commentDiscussion:o("comment-discussion",60103),compareChanges:o("compare-changes",60157),creditCard:o("credit-card",60105),dash:o("dash",60108),dashboard:o("dashboard",60109),database:o("database",60110),debugContinue:o("debug-continue",60111),debugDisconnect:o("debug-disconnect",60112),debugPause:o("debug-pause",60113),debugRestart:o("debug-restart",60114),debugStart:o("debug-start",60115),debugStepInto:o("debug-step-into",60116),debugStepOut:o("debug-step-out",60117),debugStepOver:o("debug-step-over",60118),debugStop:o("debug-stop",60119),debug:o("debug",60120),deviceCameraVideo:o("device-camera-video",60121),deviceCamera:o("device-camera",60122),deviceMobile:o("device-mobile",60123),diffAdded:o("diff-added",60124),diffIgnored:o("diff-ignored",60125),diffModified:o("diff-modified",60126),diffRemoved:o("diff-removed",60127),diffRenamed:o("diff-renamed",60128),diff:o("diff",60129),discard:o("discard",60130),editorLayout:o("editor-layout",60131),emptyWindow:o("empty-window",60132),exclude:o("exclude",60133),extensions:o("extensions",60134),eyeClosed:o("eye-closed",60135),fileBinary:o("file-binary",60136),fileCode:o("file-code",60137),fileMedia:o("file-media",60138),filePdf:o("file-pdf",60139),fileSubmodule:o("file-submodule",60140),fileSymlinkDirectory:o("file-symlink-directory",60141),fileSymlinkFile:o("file-symlink-file",60142),fileZip:o("file-zip",60143),files:o("files",60144),filter:o("filter",60145),flame:o("flame",60146),foldDown:o("fold-down",60147),foldUp:o("fold-up",60148),fold:o("fold",60149),folderActive:o("folder-active",60150),folderOpened:o("folder-opened",60151),gear:o("gear",60152),gift:o("gift",60153),gistSecret:o("gist-secret",60154),gist:o("gist",60155),gitCommit:o("git-commit",60156),gitCompare:o("git-compare",60157),gitMerge:o("git-merge",60158),githubAction:o("github-action",60159),githubAlt:o("github-alt",60160),globe:o("globe",60161),grabber:o("grabber",60162),graph:o("graph",60163),gripper:o("gripper",60164),heart:o("heart",60165),home:o("home",60166),horizontalRule:o("horizontal-rule",60167),hubot:o("hubot",60168),inbox:o("inbox",60169),issueClosed:o("issue-closed",60324),issueReopened:o("issue-reopened",60171),issues:o("issues",60172),italic:o("italic",60173),jersey:o("jersey",60174),json:o("json",60175),bracket:o("bracket",60175),kebabVertical:o("kebab-vertical",60176),key:o("key",60177),law:o("law",60178),lightbulbAutofix:o("lightbulb-autofix",60179),linkExternal:o("link-external",60180),link:o("link",60181),listOrdered:o("list-ordered",60182),listUnordered:o("list-unordered",60183),liveShare:o("live-share",60184),loading:o("loading",60185),location:o("location",60186),mailRead:o("mail-read",60187),mail:o("mail",60188),markdown:o("markdown",60189),megaphone:o("megaphone",60190),mention:o("mention",60191),milestone:o("milestone",60192),gitPullRequestMilestone:o("git-pull-request-milestone",60192),mortarBoard:o("mortar-board",60193),move:o("move",60194),multipleWindows:o("multiple-windows",60195),mute:o("mute",60196),noNewline:o("no-newline",60197),note:o("note",60198),octoface:o("octoface",60199),openPreview:o("open-preview",60200),package:o("package",60201),paintcan:o("paintcan",60202),pin:o("pin",60203),play:o("play",60204),run:o("run",60204),plug:o("plug",60205),preserveCase:o("preserve-case",60206),preview:o("preview",60207),project:o("project",60208),pulse:o("pulse",60209),question:o("question",60210),quote:o("quote",60211),radioTower:o("radio-tower",60212),reactions:o("reactions",60213),references:o("references",60214),refresh:o("refresh",60215),regex:o("regex",60216),remoteExplorer:o("remote-explorer",60217),remote:o("remote",60218),remove:o("remove",60219),replaceAll:o("replace-all",60220),replace:o("replace",60221),repoClone:o("repo-clone",60222),repoForcePush:o("repo-force-push",60223),repoPull:o("repo-pull",60224),repoPush:o("repo-push",60225),report:o("report",60226),requestChanges:o("request-changes",60227),rocket:o("rocket",60228),rootFolderOpened:o("root-folder-opened",60229),rootFolder:o("root-folder",60230),rss:o("rss",60231),ruby:o("ruby",60232),saveAll:o("save-all",60233),saveAs:o("save-as",60234),save:o("save",60235),screenFull:o("screen-full",60236),screenNormal:o("screen-normal",60237),searchStop:o("search-stop",60238),server:o("server",60240),settingsGear:o("settings-gear",60241),settings:o("settings",60242),shield:o("shield",60243),smiley:o("smiley",60244),sortPrecedence:o("sort-precedence",60245),splitHorizontal:o("split-horizontal",60246),splitVertical:o("split-vertical",60247),squirrel:o("squirrel",60248),starFull:o("star-full",60249),starHalf:o("star-half",60250),symbolClass:o("symbol-class",60251),symbolColor:o("symbol-color",60252),symbolCustomColor:o("symbol-customcolor",60252),symbolConstant:o("symbol-constant",60253),symbolEnumMember:o("symbol-enum-member",60254),symbolField:o("symbol-field",60255),symbolFile:o("symbol-file",60256),symbolInterface:o("symbol-interface",60257),symbolKeyword:o("symbol-keyword",60258),symbolMisc:o("symbol-misc",60259),symbolOperator:o("symbol-operator",60260),symbolProperty:o("symbol-property",60261),wrench:o("wrench",60261),wrenchSubaction:o("wrench-subaction",60261),symbolSnippet:o("symbol-snippet",60262),tasklist:o("tasklist",60263),telescope:o("telescope",60264),textSize:o("text-size",60265),threeBars:o("three-bars",60266),thumbsdown:o("thumbsdown",60267),thumbsup:o("thumbsup",60268),tools:o("tools",60269),triangleDown:o("triangle-down",60270),triangleLeft:o("triangle-left",60271),triangleRight:o("triangle-right",60272),triangleUp:o("triangle-up",60273),twitter:o("twitter",60274),unfold:o("unfold",60275),unlock:o("unlock",60276),unmute:o("unmute",60277),unverified:o("unverified",60278),verified:o("verified",60279),versions:o("versions",60280),vmActive:o("vm-active",60281),vmOutline:o("vm-outline",60282),vmRunning:o("vm-running",60283),watch:o("watch",60284),whitespace:o("whitespace",60285),wholeWord:o("whole-word",60286),window:o("window",60287),wordWrap:o("word-wrap",60288),zoomIn:o("zoom-in",60289),zoomOut:o("zoom-out",60290),listFilter:o("list-filter",60291),listFlat:o("list-flat",60292),listSelection:o("list-selection",60293),selection:o("selection",60293),listTree:o("list-tree",60294),debugBreakpointFunctionUnverified:o("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:o("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:o("debug-breakpoint-function-disabled",60296),debugStackframeActive:o("debug-stackframe-active",60297),circleSmallFilled:o("circle-small-filled",60298),debugStackframeDot:o("debug-stackframe-dot",60298),debugStackframe:o("debug-stackframe",60299),debugStackframeFocused:o("debug-stackframe-focused",60299),debugBreakpointUnsupported:o("debug-breakpoint-unsupported",60300),symbolString:o("symbol-string",60301),debugReverseContinue:o("debug-reverse-continue",60302),debugStepBack:o("debug-step-back",60303),debugRestartFrame:o("debug-restart-frame",60304),callIncoming:o("call-incoming",60306),callOutgoing:o("call-outgoing",60307),menu:o("menu",60308),expandAll:o("expand-all",60309),feedback:o("feedback",60310),gitPullRequestReviewer:o("git-pull-request-reviewer",60310),groupByRefType:o("group-by-ref-type",60311),ungroupByRefType:o("ungroup-by-ref-type",60312),account:o("account",60313),gitPullRequestAssignee:o("git-pull-request-assignee",60313),bellDot:o("bell-dot",60314),debugConsole:o("debug-console",60315),library:o("library",60316),output:o("output",60317),runAll:o("run-all",60318),syncIgnored:o("sync-ignored",60319),pinned:o("pinned",60320),githubInverted:o("github-inverted",60321),debugAlt:o("debug-alt",60305),serverProcess:o("server-process",60322),serverEnvironment:o("server-environment",60323),pass:o("pass",60324),stopCircle:o("stop-circle",60325),playCircle:o("play-circle",60326),record:o("record",60327),debugAltSmall:o("debug-alt-small",60328),vmConnect:o("vm-connect",60329),cloud:o("cloud",60330),merge:o("merge",60331),exportIcon:o("export",60332),graphLeft:o("graph-left",60333),magnet:o("magnet",60334),notebook:o("notebook",60335),redo:o("redo",60336),checkAll:o("check-all",60337),pinnedDirty:o("pinned-dirty",60338),passFilled:o("pass-filled",60339),circleLargeFilled:o("circle-large-filled",60340),circleLarge:o("circle-large",60341),circleLargeOutline:o("circle-large-outline",60341),combine:o("combine",60342),gather:o("gather",60342),table:o("table",60343),variableGroup:o("variable-group",60344),typeHierarchy:o("type-hierarchy",60345),typeHierarchySub:o("type-hierarchy-sub",60346),typeHierarchySuper:o("type-hierarchy-super",60347),gitPullRequestCreate:o("git-pull-request-create",60348),runAbove:o("run-above",60349),runBelow:o("run-below",60350),notebookTemplate:o("notebook-template",60351),debugRerun:o("debug-rerun",60352),workspaceTrusted:o("workspace-trusted",60353),workspaceUntrusted:o("workspace-untrusted",60354),workspaceUnspecified:o("workspace-unspecified",60355),terminalCmd:o("terminal-cmd",60356),terminalDebian:o("terminal-debian",60357),terminalLinux:o("terminal-linux",60358),terminalPowershell:o("terminal-powershell",60359),terminalTmux:o("terminal-tmux",60360),terminalUbuntu:o("terminal-ubuntu",60361),terminalBash:o("terminal-bash",60362),arrowSwap:o("arrow-swap",60363),copy:o("copy",60364),personAdd:o("person-add",60365),filterFilled:o("filter-filled",60366),wand:o("wand",60367),debugLineByLine:o("debug-line-by-line",60368),inspect:o("inspect",60369),layers:o("layers",60370),layersDot:o("layers-dot",60371),layersActive:o("layers-active",60372),compass:o("compass",60373),compassDot:o("compass-dot",60374),compassActive:o("compass-active",60375),azure:o("azure",60376),issueDraft:o("issue-draft",60377),gitPullRequestClosed:o("git-pull-request-closed",60378),gitPullRequestDraft:o("git-pull-request-draft",60379),debugAll:o("debug-all",60380),debugCoverage:o("debug-coverage",60381),runErrors:o("run-errors",60382),folderLibrary:o("folder-library",60383),debugContinueSmall:o("debug-continue-small",60384),beakerStop:o("beaker-stop",60385),graphLine:o("graph-line",60386),graphScatter:o("graph-scatter",60387),pieChart:o("pie-chart",60388),bracketDot:o("bracket-dot",60389),bracketError:o("bracket-error",60390),lockSmall:o("lock-small",60391),azureDevops:o("azure-devops",60392),verifiedFilled:o("verified-filled",60393),newLine:o("newline",60394),layout:o("layout",60395),layoutActivitybarLeft:o("layout-activitybar-left",60396),layoutActivitybarRight:o("layout-activitybar-right",60397),layoutPanelLeft:o("layout-panel-left",60398),layoutPanelCenter:o("layout-panel-center",60399),layoutPanelJustify:o("layout-panel-justify",60400),layoutPanelRight:o("layout-panel-right",60401),layoutPanel:o("layout-panel",60402),layoutSidebarLeft:o("layout-sidebar-left",60403),layoutSidebarRight:o("layout-sidebar-right",60404),layoutStatusbar:o("layout-statusbar",60405),layoutMenubar:o("layout-menubar",60406),layoutCentered:o("layout-centered",60407),layoutSidebarRightOff:o("layout-sidebar-right-off",60416),layoutPanelOff:o("layout-panel-off",60417),layoutSidebarLeftOff:o("layout-sidebar-left-off",60418),target:o("target",60408),indent:o("indent",60409),recordSmall:o("record-small",60410),errorSmall:o("error-small",60411),arrowCircleDown:o("arrow-circle-down",60412),arrowCircleLeft:o("arrow-circle-left",60413),arrowCircleRight:o("arrow-circle-right",60414),arrowCircleUp:o("arrow-circle-up",60415),heartFilled:o("heart-filled",60420),map:o("map",60421),mapFilled:o("map-filled",60422),circleSmall:o("circle-small",60423),bellSlash:o("bell-slash",60424),bellSlashDot:o("bell-slash-dot",60425),commentUnresolved:o("comment-unresolved",60426),gitPullRequestGoToChanges:o("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:o("git-pull-request-new-changes",60428),searchFuzzy:o("search-fuzzy",60429),commentDraft:o("comment-draft",60430),send:o("send",60431),sparkle:o("sparkle",60432),insert:o("insert",60433),mic:o("mic",60434),thumbsDownFilled:o("thumbsdown-filled",60435),thumbsUpFilled:o("thumbsup-filled",60436),coffee:o("coffee",60437),snake:o("snake",60438),game:o("game",60439),vr:o("vr",60440),chip:o("chip",60441),piano:o("piano",60442),music:o("music",60443),micFilled:o("mic-filled",60444),gitFetch:o("git-fetch",60445),copilot:o("copilot",60446),lightbulbSparkle:o("lightbulb-sparkle",60447),lightbulbSparkleAutofix:o("lightbulb-sparkle-autofix",60447),robot:o("robot",60448),sparkleFilled:o("sparkle-filled",60449),diffSingle:o("diff-single",60450),diffMultiple:o("diff-multiple",60451),surroundWith:o("surround-with",60452),gitStash:o("git-stash",60454),gitStashApply:o("git-stash-apply",60455),gitStashPop:o("git-stash-pop",60456),runAllCoverage:o("run-all-coverage",60461),runCoverage:o("run-all-coverage",60460),coverage:o("coverage",60462),githubProject:o("github-project",60463),dialogError:o("dialog-error","error"),dialogWarning:o("dialog-warning","warning"),dialogInfo:o("dialog-info","info"),dialogClose:o("dialog-close","close"),treeItemExpanded:o("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:o("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:o("tree-filter-on-type-off","list-selection"),treeFilterClear:o("tree-filter-clear","close"),treeItemLoading:o("tree-item-loading","loading"),menuSelection:o("menu-selection","check"),menuSubmenu:o("menu-submenu","chevron-right"),menuBarMore:o("menubar-more","more"),scrollbarButtonLeft:o("scrollbar-button-left","triangle-left"),scrollbarButtonRight:o("scrollbar-button-right","triangle-right"),scrollbarButtonUp:o("scrollbar-button-up","triangle-up"),scrollbarButtonDown:o("scrollbar-button-down","triangle-down"),toolBarMore:o("toolbar-more","more"),quickInputBack:o("quick-input-back","arrow-left")}}),define(ye[21],ke([1,0,11]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sn=e.$Rn=e.$Qn=e.$Pn=e.$On=e.$Nn=e.$Mn=e.$Ln=e.$Kn=e.$Jn=e.$In=e.$Hn=void 0;function R(c){if(!c||typeof c!="object"||c instanceof RegExp)return c;const g=Array.isArray(c)?[]:{};return Object.entries(c).forEach(([h,f])=>{g[h]=f&&typeof f=="object"?R(f):f}),g}e.$Hn=R;function o(c){if(!c||typeof c!="object")return c;const g=[c];for(;g.length>0;){const h=g.shift();Object.freeze(h);for(const f in h)if(C.call(h,f)){const u=h[f];typeof u=="object"&&!Object.isFrozen(u)&&!(0,E.$Vf)(u)&&g.push(u)}}return c}e.$In=o;const C=Object.prototype.hasOwnProperty;function D(c,g){return S(c,g,new Set)}e.$Jn=D;function S(c,g,h){if((0,E.$2f)(c))return c;const f=g(c);if(typeof f<"u")return f;if(Array.isArray(c)){const u=[];for(const t of c)u.push(S(t,g,h));return u}if((0,E.$Uf)(c)){if(h.has(c))throw new Error("Cannot clone recursive data-structure");h.add(c);const u={};for(const t in c)C.call(c,t)&&(u[t]=S(c[t],g,h));return h.delete(c),u}return c}function v(c,g,h=!0){return(0,E.$Uf)(c)?((0,E.$Uf)(g)&&Object.keys(g).forEach(f=>{f in c?h&&((0,E.$Uf)(c[f])&&(0,E.$Uf)(g[f])?v(c[f],g[f],h):c[f]=g[f]):c[f]=g[f]}),c):g}e.$Kn=v;function w(c,g){if(c===g)return!0;if(c==null||g===null||g===void 0||typeof c!=typeof g||typeof c!="object"||Array.isArray(c)!==Array.isArray(g))return!1;let h,f;if(Array.isArray(c)){if(c.length!==g.length)return!1;for(h=0;h<c.length;h++)if(!w(c[h],g[h]))return!1}else{const u=[];for(f in c)u.push(f);u.sort();const t=[];for(f in g)t.push(f);if(t.sort(),!w(u,t))return!1;for(h=0;h<u.length;h++)if(!w(c[u[h]],g[u[h]]))return!1}return!0}e.$Ln=w;function I(c){const g=new Set;return JSON.stringify(c,(h,f)=>{if((0,E.$Uf)(f)||Array.isArray(f)){if(g.has(f))return"[Circular]";g.add(f)}return f})}e.$Mn=I;function k(c,g){const h=Object.create(null);return!c||!g||Object.keys(g).forEach(u=>{const t=c[u],s=g[u];w(t,s)||(h[u]=s)}),h}e.$Nn=k;function p(c,g){const h=g.toLowerCase(),f=Object.keys(c).find(u=>u.toLowerCase()===h);return f?c[f]:c[g]}e.$On=p;function d(c,g){const h=Object.create(null);for(const[f,u]of Object.entries(c))g(f,u)&&(h[f]=u);return h}e.$Pn=d;function m(c){let g=[];for(;Object.prototype!==c;)g=g.concat(Object.getOwnPropertyNames(c)),c=Object.getPrototypeOf(c);return g}e.$Qn=m;function l(c){const g=[];for(const h of m(c))typeof c[h]=="function"&&g.push(h);return g}e.$Rn=l;function b(c,g){const h=u=>function(){const t=Array.prototype.slice.call(arguments,0);return g(u,t)},f={};for(const u of c)f[u]=h(u);return f}e.$Sn=b}),define(ye[99],ke([1,0,51]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeIcon=e.$lk=e.ThemeColor=void 0;var R;(function(D){function S(v){return v&&typeof v=="object"&&typeof v.id=="string"}D.isThemeColor=S})(R||(e.ThemeColor=R={}));function o(D){return{id:D}}e.$lk=o;var C;(function(D){D.iconNameSegment="[A-Za-z0-9]+",D.iconNameExpression="[A-Za-z0-9-]+",D.iconModifierExpression="~[A-Za-z]+",D.iconNameCharacter="[A-Za-z0-9~-]";const S=new RegExp(`^(${D.iconNameExpression})(${D.iconModifierExpression})?$`);function v(g){const h=S.exec(g.id);if(!h)return v(E.$kk.error);const[,f,u]=h,t=["codicon","codicon-"+f];return u&&t.push("codicon-modifier-"+u.substring(1)),t}D.asClassNameArray=v;function w(g){return v(g).join(" ")}D.asClassName=w;function I(g){return"."+v(g).join(".")}D.asCSSSelector=I;function k(g){return g&&typeof g=="object"&&typeof g.id=="string"&&(typeof g.color>"u"||R.isThemeColor(g.color))}D.isThemeIcon=k;const p=new RegExp(`^\\$\\((${D.iconNameExpression}(?:${D.iconModifierExpression})?)\\)$`);function d(g){const h=p.exec(g);if(!h)return;const[,f]=h;return{id:f}}D.fromString=d;function m(g){return{id:g}}D.fromId=m;function l(g,h){let f=g.id;const u=f.lastIndexOf("~");return u!==-1&&(f=f.substring(0,u)),h&&(f=`${f}~${h}`),{id:f}}D.modify=l;function b(g){const h=g.id.lastIndexOf("~");if(h!==-1)return g.id.substring(h+1)}D.getModifier=b;function c(g,h){return g.id===h.id&&g.color?.id===h.color?.id}D.isEqual=c})(C||(e.ThemeIcon=C={}))}),define(ye[153],ke([1,0,151,17,99]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rk=e.$qk=e.$pk=e.$ok=e.$nk=e.$mk=void 0;const C="$(",D=new RegExp(`\\$\\(${o.ThemeIcon.iconNameExpression}(?:${o.ThemeIcon.iconModifierExpression})?\\)`,"g"),S=new RegExp(`(\\\\)?${D.source}`,"g");function v(c){return c.replace(S,(g,h)=>h?g:`\\${g}`)}e.$mk=v;const w=new RegExp(`\\\\${D.source}`,"g");function I(c){return c.replace(w,g=>`\\${g}`)}e.$nk=I;const k=new RegExp(`(\\s)?(\\\\)?${D.source}(\\s)?`,"g");function p(c){return c.indexOf(C)===-1?c:c.replace(k,(g,h,f,u)=>f?g:h||u||"")}e.$ok=p;function d(c){return c?c.replace(/\$\((.*?)\)/g,(g,h)=>` ${h} `).trim():""}e.$pk=d;const m=new RegExp(`\\$\\(${o.ThemeIcon.iconNameCharacter}+\\)`,"g");function l(c){m.lastIndex=0;let g="";const h=[];let f=0;for(;;){const u=m.lastIndex,t=m.exec(c),s=c.substring(u,t?.index);if(s.length>0){g+=s;for(let r=0;r<s.length;r++)h.push(f)}if(!t)break;f+=t[0].length}return{text:g,iconOffsets:h}}e.$qk=l;function b(c,g,h=!1){const{text:f,iconOffsets:u}=g;if(!u||u.length===0)return(0,E.$_j)(c,f,h);const t=(0,R.$3e)(f," "),s=f.length-t.length,r=(0,E.$_j)(c,t,h);if(r)for(const n of r){const i=u[n.start+s]+s;n.start+=i,n.end+=i}return r}e.$rk=b}),define(ye[22],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ag=e.$zg=void 0;const E=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function R(o){return E.test(o)}e.$zg=R,e.$Ag=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let o;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?o=crypto.getRandomValues.bind(crypto):o=function(S){for(let v=0;v<S.length;v++)S[v]=Math.floor(Math.random()*256);return S};const C=new Uint8Array(16),D=[];for(let S=0;S<256;S++)D.push(S.toString(16).padStart(2,"0"));return function(){o(C),C[6]=C[6]&15|64,C[8]=C[8]&63|128;let v=0,w="";return w+=D[C[v++]],w+=D[C[v++]],w+=D[C[v++]],w+=D[C[v++]],w+="-",w+=D[C[v++]],w+=D[C[v++]],w+="-",w+=D[C[v++]],w+=D[C[v++]],w+="-",w+=D[C[v++]],w+=D[C[v++]],w+="-",w+=D[C[v++]],w+=D[C[v++]],w+=D[C[v++]],w+=D[C[v++]],w+=D[C[v++]],w+=D[C[v++]],w}}()}),define(ye[154],ke([1,0,18,49,22]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ct=e.$Bt=e.$At=e.$zt=e.$yt=void 0;function C(k){return{asString:async()=>k,asFile:()=>{},value:typeof k=="string"?k:void 0}}e.$yt=C;function D(k,p,d){const m={id:(0,o.$Ag)(),name:k,uri:p,data:d};return{asString:async()=>"",asFile:()=>m,value:void 0}}e.$zt=D;class S{constructor(){this.a=new Map}get size(){let p=0;for(const d of this.a)p++;return p}has(p){return this.a.has(this.b(p))}matches(p){const d=[...this.a.keys()];return R.Iterable.some(this,([m,l])=>l.asFile())&&d.push("files"),I(v(p),d)}get(p){return this.a.get(this.b(p))?.[0]}append(p,d){const m=this.a.get(p);m?m.push(d):this.a.set(this.b(p),[d])}replace(p,d){this.a.set(this.b(p),[d])}delete(p){this.a.delete(this.b(p))}*[Symbol.iterator](){for(const[p,d]of this.a)for(const m of d)yield[p,m]}b(p){return v(p)}}e.$At=S;function v(k){return k.toLowerCase()}function w(k,p){return I(v(k),p.map(v))}e.$Bt=w;function I(k,p){if(k==="*/*")return p.length>0;if(p.includes(k))return!0;const d=k.match(/^([a-z]+)\/([a-z]+|\*)$/i);if(!d)return!1;const[m,l,b]=d;return b==="*"?p.some(c=>c.startsWith(l+"/")):!1}e.$Ct=Object.freeze({create:k=>(0,E.$Mb)(k.map(p=>p.toString())).join(`\r
`),split:k=>k.split(`\r
`),parse:k=>e.$Ct.split(k).filter(p=>!p.startsWith("#"))})}),function(){"use strict";function le(e,E,R){function o(d){return new Promise(m=>E.exists(d,m))}function C(d){return new Promise((m,l)=>{const b=new Date;E.utimes(d,b,b,c=>c?l(c):m())})}function D(d){return new Promise((m,l)=>E.mkdir(d,{recursive:!0},b=>b&&b.code!=="EEXIST"?l(b):m(d)))}function S(d){return new Promise((m,l)=>E.rm(d,{recursive:!0,force:!0,maxRetries:3},b=>b?l(b):m()))}function v(d){return new Promise((m,l)=>E.readFile(d,"utf8",(b,c)=>b?l(b):m(c)))}function w(d,m){return new Promise((l,b)=>E.writeFile(d,m,"utf8",c=>c?b(c):l()))}async function I(d){const m=e.join(d,"languagepacks.json");try{return JSON.parse(await v(m))}catch{}}function k(d,m){try{for(;m;){if(d[m])return m;{const l=m.lastIndexOf("-");if(l>0)m=m.substring(0,l);else return}}}catch(l){console.error("Resolving language pack configuration failed.",l)}}function p(d,m,l,b,c){const g=function(f){return R.mark("code/didGenerateNls"),Promise.resolve({locale:f,osLocale:c,availableLanguages:{}})};if(R.mark("code/willGenerateNls"),b==="pseudo")return Promise.resolve({locale:b,osLocale:c,availableLanguages:{},pseudo:!0});if(process.env.VSCODE_DEV)return Promise.resolve({locale:b,osLocale:c,availableLanguages:{}});if(b&&(b==="en"||b==="en-us"))return Promise.resolve({locale:b,osLocale:c,availableLanguages:{}});const h=b;try{return d?I(m).then(f=>{if(!f)return g(h);const u=k(f,b);if(!u)return g(h);b=u;const t=f[b];let s;return!t||typeof t.hash!="string"||!t.translations||typeof(s=t.translations.vscode)!="string"?g(h):o(s).then(r=>{if(!r)return g(h);const n=t.hash+"."+b,i=e.join(m,"clp",n),a=e.join(i,d),$=e.join(i,"tcf.json"),O=e.join(i,"corrupted.info"),P={locale:h,osLocale:c,availableLanguages:{"*":b},_languagePackId:n,_translationsConfigFile:$,_cacheRoot:i,_resolvedLanguagePackCoreLocation:a,_corruptedFile:O};return o(O).then(y=>{let A;return y?A=S(i):A=Promise.resolve(void 0),A.then(()=>o(a).then(F=>F?(C(a).catch(()=>{}),R.mark("code/didGenerateNls"),P):D(a).then(()=>Promise.all([v(l),v(s)])).then(Q=>{const te=JSON.parse(Q[0]),de=JSON.parse(Q[1]).contents,he=Object.keys(te.bundles),B=[];for(const V of he){const _=te.bundles[V],X=Object.create(null);for(const ne of _){const K=te.keys[ne],G=te.messages[ne],oe=de[ne];let ce;if(oe){ce=[];for(let se=0;se<K.length;se++){const ge=K[se],U=typeof ge=="string"?ge:ge.key;let q=oe[U];q===void 0&&(q=G[se]),ce.push(q)}}else ce=G;X[ne]=ce}B.push(w(e.join(a,V.replace(/\//g,"!")+".nls.json"),JSON.stringify(X)))}return B.push(w($,JSON.stringify(t.translations))),Promise.all(B)}).then(()=>(R.mark("code/didGenerateNls"),P)).catch(Q=>(console.error("Generating translation files failed.",Q),g(b)))))})})}):g(h)}catch(f){return console.error("Generating translation files failed.",f),g(b)}}return{getNLSConfiguration:p}}if(typeof define=="function")define(ye[155],ke([77,27,42]),function(e,E,R){return le(e,E,R)});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("path"),E=require("fs"),R=require("../common/performance");module.exports=le(e,E,R)}else throw new Error("Unknown context")}(),define(ye[156],ke([1,0,28]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$in=void 0;const R=new Set(["00:00:00:00:00:00","ff:ff:ff:ff:ff:ff","ac:de:48:00:11:22"]);function o(D){const S=D.replace(/\-/g,":").toLowerCase();return!R.has(S)}function C(){const D=(0,E.networkInterfaces)();for(const S in D){const v=D[S];if(v){for(const{mac:w}of v)if(o(w))return w}}throw new Error("Unable to retrieve mac address (unexpected format)")}e.$in=C}),define(ye[157],ke([1,0,78]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Eg=e.$Dg=e.$Cg=void 0;function R(S,v,w,I=1){let k=!1;return new Promise(p=>{const d=setTimeout(()=>{if(!k)return k=!0,p(0)},w);o(S,v,I,m=>{if(!k)return k=!0,clearTimeout(d),p(m)})})}e.$Cg=R;function o(S,v,w,I){if(v===0)return I(0);const k=new E.Socket;k.once("connect",()=>(D(k),o(S+w,v-1,w,I))),k.once("data",()=>{}),k.once("error",p=>(D(k),p.code!=="ECONNREFUSED"?o(S+w,v-1,w,I):I(S))),k.connect(S,"127.0.0.1")}e.$Dg={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function C(S,v,w,I="127.0.0.1"){let k=!1,p,d=1;const m=E.createServer({pauseOnConnect:!0});function l(b,c){k||(k=!0,m.removeAllListeners(),m.close(),p&&clearTimeout(p),c(b))}return new Promise(b=>{p=setTimeout(()=>{l(0,b)},w),m.on("listening",()=>{l(S,b)}),m.on("error",c=>{c&&(c.code==="EADDRINUSE"||c.code==="EACCES")&&d<v?(S++,d++,m.listen(S,I)):l(0,b)}),m.on("close",()=>{l(0,b)}),m.listen(S,I)})}e.$Eg=C;function D(S){try{S.removeAllListeners("connect"),S.removeAllListeners("error"),S.end(),S.destroy(),S.unref()}catch(v){console.error(v)}}}),function(){function le(){function e(){return process.uncHostAllowlist}function E(v){const w=new Set;if(Array.isArray(v))for(const I of v)typeof I=="string"&&w.add(I);return Array.from(w)}function R(){const v=e();return v?Array.from(v):[]}function o(v){if(process.platform!=="win32")return;const w=e();if(w)if(typeof v=="string")w.add(v.toLowerCase());else for(const I of E(v))o(I)}function C(v){if(typeof v!="string")return;const w=["\\\\.\\UNC\\","\\\\?\\UNC\\","\\\\"];let I;for(const k of w){if(v.indexOf(k)!==0)continue;const d=v.indexOf("\\",k.length);if(d===-1)continue;const m=v.substring(k.length,d);if(m){I=m;break}}return I}function D(){process.platform==="win32"&&(process.restrictUNCAccess=!1)}function S(){return process.platform!=="win32"?!0:process.restrictUNCAccess===!1}return{getUNCHostAllowlist:R,addUNCHostToAllowlist:o,getUNCHost:C,disableUNCAccessRestrictions:D,isUNCAccessRestrictionsDisabled:S}}typeof define=="function"?define("vs/base/node/unc",[],function(){return le()}):typeof module=="object"&&typeof module.exports=="object"?module.exports=le():console.trace("vs/base/node/unc defined in UNKNOWN context (neither requirejs or commonjs)")}(),define(ye[79],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5s=void 0;class E{constructor(o,C){this.lineNumber=o,this.column=C}with(o=this.lineNumber,C=this.column){return o===this.lineNumber&&C===this.column?this:new E(o,C)}delta(o=0,C=0){return this.with(this.lineNumber+o,this.column+C)}equals(o){return E.equals(this,o)}static equals(o,C){return!o&&!C?!0:!!o&&!!C&&o.lineNumber===C.lineNumber&&o.column===C.column}isBefore(o){return E.isBefore(this,o)}static isBefore(o,C){return o.lineNumber<C.lineNumber?!0:C.lineNumber<o.lineNumber?!1:o.column<C.column}isBeforeOrEqual(o){return E.isBeforeOrEqual(this,o)}static isBeforeOrEqual(o,C){return o.lineNumber<C.lineNumber?!0:C.lineNumber<o.lineNumber?!1:o.column<=C.column}static compare(o,C){const D=o.lineNumber|0,S=C.lineNumber|0;if(D===S){const v=o.column|0,w=C.column|0;return v-w}return D-S}clone(){return new E(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift(o){return new E(o.lineNumber,o.column)}static isIPosition(o){return o&&typeof o.lineNumber=="number"&&typeof o.column=="number"}toJSON(){return{lineNumber:this.lineNumber,column:this.column}}}e.$5s=E}),define(ye[43],ke([1,0,79]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6s=void 0;class R{constructor(C,D,S,v){C>S||C===S&&D>v?(this.startLineNumber=S,this.startColumn=v,this.endLineNumber=C,this.endColumn=D):(this.startLineNumber=C,this.startColumn=D,this.endLineNumber=S,this.endColumn=v)}isEmpty(){return R.isEmpty(this)}static isEmpty(C){return C.startLineNumber===C.endLineNumber&&C.startColumn===C.endColumn}containsPosition(C){return R.containsPosition(this,C)}static containsPosition(C,D){return!(D.lineNumber<C.startLineNumber||D.lineNumber>C.endLineNumber||D.lineNumber===C.startLineNumber&&D.column<C.startColumn||D.lineNumber===C.endLineNumber&&D.column>C.endColumn)}static strictContainsPosition(C,D){return!(D.lineNumber<C.startLineNumber||D.lineNumber>C.endLineNumber||D.lineNumber===C.startLineNumber&&D.column<=C.startColumn||D.lineNumber===C.endLineNumber&&D.column>=C.endColumn)}containsRange(C){return R.containsRange(this,C)}static containsRange(C,D){return!(D.startLineNumber<C.startLineNumber||D.endLineNumber<C.startLineNumber||D.startLineNumber>C.endLineNumber||D.endLineNumber>C.endLineNumber||D.startLineNumber===C.startLineNumber&&D.startColumn<C.startColumn||D.endLineNumber===C.endLineNumber&&D.endColumn>C.endColumn)}strictContainsRange(C){return R.strictContainsRange(this,C)}static strictContainsRange(C,D){return!(D.startLineNumber<C.startLineNumber||D.endLineNumber<C.startLineNumber||D.startLineNumber>C.endLineNumber||D.endLineNumber>C.endLineNumber||D.startLineNumber===C.startLineNumber&&D.startColumn<=C.startColumn||D.endLineNumber===C.endLineNumber&&D.endColumn>=C.endColumn)}plusRange(C){return R.plusRange(this,C)}static plusRange(C,D){let S,v,w,I;return D.startLineNumber<C.startLineNumber?(S=D.startLineNumber,v=D.startColumn):D.startLineNumber===C.startLineNumber?(S=D.startLineNumber,v=Math.min(D.startColumn,C.startColumn)):(S=C.startLineNumber,v=C.startColumn),D.endLineNumber>C.endLineNumber?(w=D.endLineNumber,I=D.endColumn):D.endLineNumber===C.endLineNumber?(w=D.endLineNumber,I=Math.max(D.endColumn,C.endColumn)):(w=C.endLineNumber,I=C.endColumn),new R(S,v,w,I)}intersectRanges(C){return R.intersectRanges(this,C)}static intersectRanges(C,D){let S=C.startLineNumber,v=C.startColumn,w=C.endLineNumber,I=C.endColumn;const k=D.startLineNumber,p=D.startColumn,d=D.endLineNumber,m=D.endColumn;return S<k?(S=k,v=p):S===k&&(v=Math.max(v,p)),w>d?(w=d,I=m):w===d&&(I=Math.min(I,m)),S>w||S===w&&v>I?null:new R(S,v,w,I)}equalsRange(C){return R.equalsRange(this,C)}static equalsRange(C,D){return!C&&!D?!0:!!C&&!!D&&C.startLineNumber===D.startLineNumber&&C.startColumn===D.startColumn&&C.endLineNumber===D.endLineNumber&&C.endColumn===D.endColumn}getEndPosition(){return R.getEndPosition(this)}static getEndPosition(C){return new E.$5s(C.endLineNumber,C.endColumn)}getStartPosition(){return R.getStartPosition(this)}static getStartPosition(C){return new E.$5s(C.startLineNumber,C.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(C,D){return new R(this.startLineNumber,this.startColumn,C,D)}setStartPosition(C,D){return new R(C,D,this.endLineNumber,this.endColumn)}collapseToStart(){return R.collapseToStart(this)}static collapseToStart(C){return new R(C.startLineNumber,C.startColumn,C.startLineNumber,C.startColumn)}collapseToEnd(){return R.collapseToEnd(this)}static collapseToEnd(C){return new R(C.endLineNumber,C.endColumn,C.endLineNumber,C.endColumn)}delta(C){return new R(this.startLineNumber+C,this.startColumn,this.endLineNumber+C,this.endColumn)}static fromPositions(C,D=C){return new R(C.lineNumber,C.column,D.lineNumber,D.column)}static lift(C){return C?new R(C.startLineNumber,C.startColumn,C.endLineNumber,C.endColumn):null}static isIRange(C){return C&&typeof C.startLineNumber=="number"&&typeof C.startColumn=="number"&&typeof C.endLineNumber=="number"&&typeof C.endColumn=="number"}static areIntersectingOrTouching(C,D){return!(C.endLineNumber<D.startLineNumber||C.endLineNumber===D.startLineNumber&&C.endColumn<D.startColumn||D.endLineNumber<C.startLineNumber||D.endLineNumber===C.startLineNumber&&D.endColumn<C.startColumn)}static areIntersecting(C,D){return!(C.endLineNumber<D.startLineNumber||C.endLineNumber===D.startLineNumber&&C.endColumn<=D.startColumn||D.endLineNumber<C.startLineNumber||D.endLineNumber===C.startLineNumber&&D.endColumn<=C.startColumn)}static compareRangesUsingStarts(C,D){if(C&&D){const w=C.startLineNumber|0,I=D.startLineNumber|0;if(w===I){const k=C.startColumn|0,p=D.startColumn|0;if(k===p){const d=C.endLineNumber|0,m=D.endLineNumber|0;if(d===m){const l=C.endColumn|0,b=D.endColumn|0;return l-b}return d-m}return k-p}return w-I}return(C?1:0)-(D?1:0)}static compareRangesUsingEnds(C,D){return C.endLineNumber===D.endLineNumber?C.endColumn===D.endColumn?C.startLineNumber===D.startLineNumber?C.startColumn-D.startColumn:C.startLineNumber-D.startLineNumber:C.endColumn-D.endColumn:C.endLineNumber-D.endLineNumber}static spansMultipleLines(C){return C.endLineNumber>C.startLineNumber}toJSON(){return this}}e.$6s=R}),define(ye[158],ke([1,0,43]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7s=void 0;class R{static insert(C,D){return{range:new E.$6s(C.lineNumber,C.column,C.lineNumber,C.column),text:D,forceMoveMarkers:!0}}static delete(C){return{range:C,text:null}}static replace(C,D){return{range:C,text:D}}static replaceMove(C,D){return{range:C,text:D,forceMoveMarkers:!0}}}e.$7s=R}),define(ye[159],ke([1,0,6,2]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Et=void 0;class o{constructor(){this.a=new Map,this.b=new Map,this.c=new E.$5d,this.onDidChange=this.c.event,this.d=null}handleChange(S){this.c.fire({changedLanguages:S,changedColorMap:!1})}register(S,v){return this.a.set(S,v),this.handleChange([S]),(0,R.$Rc)(()=>{this.a.get(S)===v&&(this.a.delete(S),this.handleChange([S]))})}get(S){return this.a.get(S)||null}registerFactory(S,v){this.b.get(S)?.dispose();const w=new C(this,S,v);return this.b.set(S,w),(0,R.$Rc)(()=>{const I=this.b.get(S);!I||I!==w||(this.b.delete(S),I.dispose())})}async getOrCreate(S){const v=this.get(S);if(v)return v;const w=this.b.get(S);return!w||w.isResolved?null:(await w.resolve(),this.get(S))}isResolved(S){if(this.get(S))return!0;const w=this.b.get(S);return!!(!w||w.isResolved)}setColorMap(S){this.d=S,this.c.fire({changedLanguages:Array.from(this.a.keys()),changedColorMap:!0})}getColorMap(){return this.d}getDefaultBackground(){return this.d&&this.d.length>2?this.d[2]:null}}e.$Et=o;class C extends R.$Tc{get isResolved(){return this.c}constructor(S,v,w){super(),this.f=S,this.g=v,this.h=w,this.a=!1,this.b=null,this.c=!1}dispose(){this.a=!0,super.dispose()}async resolve(){return this.b||(this.b=this.j()),this.b}async j(){const S=await this.h.tokenizationSupport;this.c=!0,S&&!this.a&&this.B(this.f.register(this.g,S))}}}),define(ye[160],ke([8,9]),function(le,e){return le.create("vs/base/common/actions",e)}),define(ye[161],ke([1,0,6,2,160]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1i=e.$Zi=e.$Yi=e.$Xi=e.$Wi=e.$Vi=void 0;class C extends R.$Tc{constructor(p,d="",m="",l=!0,b){super(),this.h=this.B(new E.$5d),this.onDidChange=this.h.event,this.w=!0,this.j=p,this.m=d,this.u=m,this.w=l,this.C=b}get id(){return this.j}get label(){return this.m}set label(p){this.D(p)}D(p){this.m!==p&&(this.m=p,this.h.fire({label:p}))}get tooltip(){return this.n||""}set tooltip(p){this.F(p)}F(p){this.n!==p&&(this.n=p,this.h.fire({tooltip:p}))}get class(){return this.u}set class(p){this.G(p)}G(p){this.u!==p&&(this.u=p,this.h.fire({class:p}))}get enabled(){return this.w}set enabled(p){this.H(p)}H(p){this.w!==p&&(this.w=p,this.h.fire({enabled:p}))}get checked(){return this.z}set checked(p){this.I(p)}I(p){this.z!==p&&(this.z=p,this.h.fire({checked:p}))}async run(p,d){this.C&&await this.C(p)}}e.$Vi=C;class D extends R.$Tc{constructor(){super(...arguments),this.f=this.B(new E.$5d),this.onWillRun=this.f.event,this.m=this.B(new E.$5d),this.onDidRun=this.m.event}async run(p,d){if(!p.enabled)return;this.f.fire({action:p});let m;try{await this.u(p,d)}catch(l){m=l}this.m.fire({action:p,error:m})}async u(p,d){await p.run(d)}}e.$Wi=D;class S{constructor(){this.id=S.ID,this.label="",this.tooltip="",this.class="separator",this.enabled=!1,this.checked=!1}static join(...p){let d=[];for(const m of p)m.length&&(d.length?d=[...d,new S,...m]:d=m);return d}static{this.ID="vs.actions.separator"}async run(){}}e.$Xi=S;class v{get actions(){return this.a}constructor(p,d,m,l){this.tooltip="",this.enabled=!0,this.checked=void 0,this.id=p,this.label=d,this.class=l,this.a=m}async run(){}}e.$Yi=v;class w extends C{static{this.ID="vs.actions.empty"}constructor(){super(w.ID,o.localize(0,null),void 0,!1)}}e.$Zi=w;function I(k){return{id:k.id,label:k.label,class:k.class,enabled:k.enabled??!0,checked:k.checked,run:async(...p)=>k.run(...p),tooltip:k.label}}e.$1i=I}),define(ye[162],ke([8,9]),function(le,e){return le.create("vs/base/common/date",e)}),define(ye[163],ke([1,0,162]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Im=e.$Hm=e.$Gm=void 0;const R=60,o=R*60,C=o*24,D=C*7,S=C*30,v=C*365;function w(p,d,m,l){typeof p!="number"&&(p=p.getTime());const b=Math.round((new Date().getTime()-p)/1e3);if(b<-30)return(0,E.localize)(0,null,w(new Date().getTime()+b*1e3,!1));if(!l&&b<30)return(0,E.localize)(1,null);let c;return b<R?(c=b,d?c===1?m?(0,E.localize)(2,null,c):(0,E.localize)(3,null,c):m?(0,E.localize)(4,null,c):(0,E.localize)(5,null,c):c===1?m?(0,E.localize)(6,null,c):(0,E.localize)(7,null,c):m?(0,E.localize)(8,null,c):(0,E.localize)(9,null,c)):b<o?(c=Math.floor(b/R),d?c===1?m?(0,E.localize)(10,null,c):(0,E.localize)(11,null,c):m?(0,E.localize)(12,null,c):(0,E.localize)(13,null,c):c===1?m?(0,E.localize)(14,null,c):(0,E.localize)(15,null,c):m?(0,E.localize)(16,null,c):(0,E.localize)(17,null,c)):b<C?(c=Math.floor(b/o),d?c===1?m?(0,E.localize)(18,null,c):(0,E.localize)(19,null,c):m?(0,E.localize)(20,null,c):(0,E.localize)(21,null,c):c===1?m?(0,E.localize)(22,null,c):(0,E.localize)(23,null,c):m?(0,E.localize)(24,null,c):(0,E.localize)(25,null,c)):b<D?(c=Math.floor(b/C),d?c===1?(0,E.localize)(26,null,c):(0,E.localize)(27,null,c):c===1?(0,E.localize)(28,null,c):(0,E.localize)(29,null,c)):b<S?(c=Math.floor(b/D),d?c===1?m?(0,E.localize)(30,null,c):(0,E.localize)(31,null,c):m?(0,E.localize)(32,null,c):(0,E.localize)(33,null,c):c===1?m?(0,E.localize)(34,null,c):(0,E.localize)(35,null,c):m?(0,E.localize)(36,null,c):(0,E.localize)(37,null,c)):b<v?(c=Math.floor(b/S),d?c===1?m?(0,E.localize)(38,null,c):(0,E.localize)(39,null,c):m?(0,E.localize)(40,null,c):(0,E.localize)(41,null,c):c===1?m?(0,E.localize)(42,null,c):(0,E.localize)(43,null,c):m?(0,E.localize)(44,null,c):(0,E.localize)(45,null,c)):(c=Math.floor(b/v),d?c===1?m?(0,E.localize)(46,null,c):(0,E.localize)(47,null,c):m?(0,E.localize)(48,null,c):(0,E.localize)(49,null,c):c===1?m?(0,E.localize)(50,null,c):(0,E.localize)(51,null,c):m?(0,E.localize)(52,null,c):(0,E.localize)(53,null,c))}e.$Gm=w;function I(p,d){const m=Math.abs(p/1e3);return m<1?d?(0,E.localize)(54,null,p):(0,E.localize)(55,null,p):m<R?d?(0,E.localize)(56,null,Math.round(p)/1e3):(0,E.localize)(57,null,Math.round(p)/1e3):m<o?d?(0,E.localize)(58,null,Math.round(p/(1e3*R))):(0,E.localize)(59,null,Math.round(p/(1e3*R))):m<C?d?(0,E.localize)(60,null,Math.round(p/(1e3*o))):(0,E.localize)(61,null,Math.round(p/(1e3*o))):(0,E.localize)(62,null,Math.round(p/(1e3*C)))}e.$Hm=I;function k(p){return p.getFullYear()+"-"+String(p.getMonth()+1).padStart(2,"0")+"-"+String(p.getDate()).padStart(2,"0")+"T"+String(p.getHours()).padStart(2,"0")+":"+String(p.getMinutes()).padStart(2,"0")+":"+String(p.getSeconds()).padStart(2,"0")+"."+(p.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.$Im=k}),define(ye[164],ke([8,9]),function(le,e){return le.create("vs/base/common/errorMessage",e)}),define(ye[39],ke([1,0,18,11,164]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4i=e.$3i=e.$2i=void 0;function C(k,p){return p&&(k.stack||k.stacktrace)?o.localize(0,null,S(k),D(k.stack)||D(k.stacktrace)):S(k)}function D(k){return Array.isArray(k)?k.join(`
`):k}function S(k){return k.code==="ERR_UNC_HOST_NOT_ALLOWED"?`${k.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`:typeof k.code=="string"&&typeof k.errno=="number"&&typeof k.syscall=="string"?o.localize(1,null,k.message):k.message||o.localize(2,null)}function v(k=null,p=!1){if(!k)return o.localize(3,null);if(Array.isArray(k)){const d=E.$Hb(k),m=v(d[0],p);return d.length>1?o.localize(4,null,m,d.length):m}if(R.$Sf(k))return k;if(k.detail){const d=k.detail;if(d.error)return C(d.error,p);if(d.exception)return C(d.exception,p)}return k.stack?C(k,p):k.message?k.message:o.localize(5,null)}e.$2i=v;function w(k){const p=k;return p instanceof Error&&Array.isArray(p.actions)}e.$3i=w;function I(k,p){let d;return typeof k=="string"?d=new Error(k):d=k,d.actions=p,d}e.$4i=I}),define(ye[165],ke([8,9]),function(le,e){return le.create("vs/base/common/jsonErrorMessages",e)}),define(ye[166],ke([1,0,165]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9p=void 0;function R(o){switch(o){case 1:return(0,E.localize)(0,null);case 2:return(0,E.localize)(1,null);case 3:return(0,E.localize)(2,null);case 4:return(0,E.localize)(3,null);case 5:return(0,E.localize)(4,null);case 6:return(0,E.localize)(5,null);case 7:return(0,E.localize)(6,null);case 8:return(0,E.localize)(7,null);case 9:return(0,E.localize)(8,null);default:return""}}e.$9p=R}),define(ye[167],ke([8,9]),function(le,e){return le.create("vs/base/common/platform",e)}),define(ye[3],ke([1,0,167]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$J=e.$I=e.$H=e.$G=e.$F=e.$E=e.$D=e.OS=e.OperatingSystem=e.$B=e.$A=e.$z=e.$y=e.$x=e.Language=e.$w=e.$v=e.$u=e.$t=e.$s=e.$r=e.$q=e.$p=e.$o=e.$n=e.$m=e.$l=e.$k=e.$j=e.$i=e.$h=e.Platform=e.$g=void 0,e.$g="en";let R=!1,o=!1,C=!1,D=!1,S=!1,v=!1,w=!1,I=!1,k=!1,p=!1,d,m=e.$g,l=e.$g,b,c;const g=globalThis;let h;typeof g.vscode<"u"&&typeof g.vscode.process<"u"?h=g.vscode.process:typeof process<"u"&&(h=process);const f=typeof h?.versions?.electron=="string",u=f&&h?.type==="renderer";if(typeof h=="object"){R=h.platform==="win32",o=h.platform==="darwin",C=h.platform==="linux",D=C&&!!h.env.SNAP&&!!h.env.SNAP_REVISION,w=f,k=!!h.env.CI||!!h.env.BUILD_ARTIFACTSTAGINGDIRECTORY,d=e.$g,m=e.$g;const y=h.env.VSCODE_NLS_CONFIG;if(y)try{const A=JSON.parse(y),F=A.availableLanguages["*"];d=A.locale,l=A.osLocale,m=F||e.$g,b=A._translationsConfigFile}catch{}S=!0}else typeof navigator=="object"&&!u?(c=navigator.userAgent,R=c.indexOf("Windows")>=0,o=c.indexOf("Macintosh")>=0,I=(c.indexOf("Macintosh")>=0||c.indexOf("iPad")>=0||c.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,C=c.indexOf("Linux")>=0,p=c?.indexOf("Mobi")>=0,v=!0,d=E.getConfiguredDefaultLocale(E.localize(0,null))||e.$g,m=d,l=navigator.language):console.error("Unable to resolve platform.");var t;(function(y){y[y.Web=0]="Web",y[y.Mac=1]="Mac",y[y.Linux=2]="Linux",y[y.Windows=3]="Windows"})(t||(e.Platform=t={}));function s(y){switch(y){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.$h=s;let r=0;o?r=1:R?r=3:C&&(r=2),e.$i=R,e.$j=o,e.$k=C,e.$l=D,e.$m=S,e.$n=w,e.$o=v,e.$p=v&&typeof g.importScripts=="function",e.$q=e.$p?g.origin:void 0,e.$r=I,e.$s=p,e.$t=k,e.$u=r,e.$v=c,e.$w=m;var n;(function(y){function A(){return e.$w}y.value=A;function F(){return e.$w.length===2?e.$w==="en":e.$w.length>=3?e.$w[0]==="e"&&e.$w[1]==="n"&&e.$w[2]==="-":!1}y.isDefaultVariant=F;function Q(){return e.$w==="en"}y.isDefault=Q})(n||(e.Language=n={})),e.$x=d,e.$y=l,e.$z=b,e.$A=typeof g.postMessage=="function"&&!g.importScripts,e.$B=(()=>{if(e.$A){const y=[];g.addEventListener("message",F=>{if(F.data&&F.data.vscodeScheduleAsyncWork)for(let Q=0,te=y.length;Q<te;Q++){const de=y[Q];if(de.id===F.data.vscodeScheduleAsyncWork){y.splice(Q,1),de.callback();return}}});let A=0;return F=>{const Q=++A;y.push({id:Q,callback:F}),g.postMessage({vscodeScheduleAsyncWork:Q},"*")}}return y=>setTimeout(y)})();var i;(function(y){y[y.Windows=1]="Windows",y[y.Macintosh=2]="Macintosh",y[y.Linux=3]="Linux"})(i||(e.OperatingSystem=i={})),e.OS=o||I?2:R?1:3;let a=!0,$=!1;function O(){if(!$){$=!0;const y=new Uint8Array(2);y[0]=1,y[1]=2,a=new Uint16Array(y.buffer)[0]===513}return a}e.$D=O,e.$E=!!(e.$v&&e.$v.indexOf("Chrome")>=0),e.$F=!!(e.$v&&e.$v.indexOf("Firefox")>=0),e.$G=!!(!e.$E&&e.$v&&e.$v.indexOf("Safari")>=0),e.$H=!!(e.$v&&e.$v.indexOf("Edg/")>=0),e.$I=!!(e.$v&&e.$v.indexOf("Android")>=0);function P(y){return parseFloat(y)>=20}e.$J=P}),define(ye[29],ke([1,0,3]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ec=e.$dc=e.env=e.cwd=void 0;let R;const o=globalThis.vscode;if(typeof o<"u"&&typeof o.process<"u"){const C=o.process;R={get platform(){return C.platform},get arch(){return C.arch},get env(){return C.env},cwd(){return C.cwd()}}}else typeof process<"u"?R={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:R={get platform(){return E.$i?"win32":E.$j?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=R.cwd,e.env=R.env,e.$dc=R.platform,e.$ec=R.arch}),define(ye[7],ke([1,0,29]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tc=e.sep=e.$rc=e.$qc=e.$pc=e.$oc=e.$nc=e.$mc=e.$lc=e.$kc=e.$jc=e.$ic=e.$hc=e.$gc=e.$fc=void 0;const R=65,o=97,C=90,D=122,S=46,v=47,w=92,I=58,k=63;class p extends Error{constructor(s,r,n){let i;typeof r=="string"&&r.indexOf("not ")===0?(i="must not be",r=r.replace(/^not /,"")):i="must be";const a=s.indexOf(".")!==-1?"property":"argument";let $=`The "${s}" ${a} ${i} of type ${r}`;$+=`. Received type ${typeof n}`,super($),this.code="ERR_INVALID_ARG_TYPE"}}function d(t,s){if(t===null||typeof t!="object")throw new p(s,"Object",t)}function m(t,s){if(typeof t!="string")throw new p(s,"string",t)}const l=E.$dc==="win32";function b(t){return t===v||t===w}function c(t){return t===v}function g(t){return t>=R&&t<=C||t>=o&&t<=D}function h(t,s,r,n){let i="",a=0,$=-1,O=0,P=0;for(let y=0;y<=t.length;++y){if(y<t.length)P=t.charCodeAt(y);else{if(n(P))break;P=v}if(n(P)){if(!($===y-1||O===1))if(O===2){if(i.length<2||a!==2||i.charCodeAt(i.length-1)!==S||i.charCodeAt(i.length-2)!==S){if(i.length>2){const A=i.lastIndexOf(r);A===-1?(i="",a=0):(i=i.slice(0,A),a=i.length-1-i.lastIndexOf(r)),$=y,O=0;continue}else if(i.length!==0){i="",a=0,$=y,O=0;continue}}s&&(i+=i.length>0?`${r}..`:"..",a=2)}else i.length>0?i+=`${r}${t.slice($+1,y)}`:i=t.slice($+1,y),a=y-$-1;$=y,O=0}else P===S&&O!==-1?++O:O=-1}return i}function f(t,s){d(s,"pathObject");const r=s.dir||s.root,n=s.base||`${s.name||""}${s.ext||""}`;return r?r===s.root?`${r}${n}`:`${r}${t}${n}`:n}e.$fc={resolve(...t){let s="",r="",n=!1;for(let i=t.length-1;i>=-1;i--){let a;if(i>=0){if(a=t[i],m(a,"path"),a.length===0)continue}else s.length===0?a=E.cwd():(a=E.env[`=${s}`]||E.cwd(),(a===void 0||a.slice(0,2).toLowerCase()!==s.toLowerCase()&&a.charCodeAt(2)===w)&&(a=`${s}\\`));const $=a.length;let O=0,P="",y=!1;const A=a.charCodeAt(0);if($===1)b(A)&&(O=1,y=!0);else if(b(A))if(y=!0,b(a.charCodeAt(1))){let F=2,Q=F;for(;F<$&&!b(a.charCodeAt(F));)F++;if(F<$&&F!==Q){const te=a.slice(Q,F);for(Q=F;F<$&&b(a.charCodeAt(F));)F++;if(F<$&&F!==Q){for(Q=F;F<$&&!b(a.charCodeAt(F));)F++;(F===$||F!==Q)&&(P=`\\\\${te}\\${a.slice(Q,F)}`,O=F)}}}else O=1;else g(A)&&a.charCodeAt(1)===I&&(P=a.slice(0,2),O=2,$>2&&b(a.charCodeAt(2))&&(y=!0,O=3));if(P.length>0)if(s.length>0){if(P.toLowerCase()!==s.toLowerCase())continue}else s=P;if(n){if(s.length>0)break}else if(r=`${a.slice(O)}\\${r}`,n=y,y&&s.length>0)break}return r=h(r,!n,"\\",b),n?`${s}\\${r}`:`${s}${r}`||"."},normalize(t){m(t,"path");const s=t.length;if(s===0)return".";let r=0,n,i=!1;const a=t.charCodeAt(0);if(s===1)return c(a)?"\\":t;if(b(a))if(i=!0,b(t.charCodeAt(1))){let O=2,P=O;for(;O<s&&!b(t.charCodeAt(O));)O++;if(O<s&&O!==P){const y=t.slice(P,O);for(P=O;O<s&&b(t.charCodeAt(O));)O++;if(O<s&&O!==P){for(P=O;O<s&&!b(t.charCodeAt(O));)O++;if(O===s)return`\\\\${y}\\${t.slice(P)}\\`;O!==P&&(n=`\\\\${y}\\${t.slice(P,O)}`,r=O)}}}else r=1;else g(a)&&t.charCodeAt(1)===I&&(n=t.slice(0,2),r=2,s>2&&b(t.charCodeAt(2))&&(i=!0,r=3));let $=r<s?h(t.slice(r),!i,"\\",b):"";return $.length===0&&!i&&($="."),$.length>0&&b(t.charCodeAt(s-1))&&($+="\\"),n===void 0?i?`\\${$}`:$:i?`${n}\\${$}`:`${n}${$}`},isAbsolute(t){m(t,"path");const s=t.length;if(s===0)return!1;const r=t.charCodeAt(0);return b(r)||s>2&&g(r)&&t.charCodeAt(1)===I&&b(t.charCodeAt(2))},join(...t){if(t.length===0)return".";let s,r;for(let a=0;a<t.length;++a){const $=t[a];m($,"path"),$.length>0&&(s===void 0?s=r=$:s+=`\\${$}`)}if(s===void 0)return".";let n=!0,i=0;if(typeof r=="string"&&b(r.charCodeAt(0))){++i;const a=r.length;a>1&&b(r.charCodeAt(1))&&(++i,a>2&&(b(r.charCodeAt(2))?++i:n=!1))}if(n){for(;i<s.length&&b(s.charCodeAt(i));)i++;i>=2&&(s=`\\${s.slice(i)}`)}return e.$fc.normalize(s)},relative(t,s){if(m(t,"from"),m(s,"to"),t===s)return"";const r=e.$fc.resolve(t),n=e.$fc.resolve(s);if(r===n||(t=r.toLowerCase(),s=n.toLowerCase(),t===s))return"";let i=0;for(;i<t.length&&t.charCodeAt(i)===w;)i++;let a=t.length;for(;a-1>i&&t.charCodeAt(a-1)===w;)a--;const $=a-i;let O=0;for(;O<s.length&&s.charCodeAt(O)===w;)O++;let P=s.length;for(;P-1>O&&s.charCodeAt(P-1)===w;)P--;const y=P-O,A=$<y?$:y;let F=-1,Q=0;for(;Q<A;Q++){const de=t.charCodeAt(i+Q);if(de!==s.charCodeAt(O+Q))break;de===w&&(F=Q)}if(Q!==A){if(F===-1)return n}else{if(y>A){if(s.charCodeAt(O+Q)===w)return n.slice(O+Q+1);if(Q===2)return n.slice(O+Q)}$>A&&(t.charCodeAt(i+Q)===w?F=Q:Q===2&&(F=3)),F===-1&&(F=0)}let te="";for(Q=i+F+1;Q<=a;++Q)(Q===a||t.charCodeAt(Q)===w)&&(te+=te.length===0?"..":"\\..");return O+=F,te.length>0?`${te}${n.slice(O,P)}`:(n.charCodeAt(O)===w&&++O,n.slice(O,P))},toNamespacedPath(t){if(typeof t!="string"||t.length===0)return t;const s=e.$fc.resolve(t);if(s.length<=2)return t;if(s.charCodeAt(0)===w){if(s.charCodeAt(1)===w){const r=s.charCodeAt(2);if(r!==k&&r!==S)return`\\\\?\\UNC\\${s.slice(2)}`}}else if(g(s.charCodeAt(0))&&s.charCodeAt(1)===I&&s.charCodeAt(2)===w)return`\\\\?\\${s}`;return t},dirname(t){m(t,"path");const s=t.length;if(s===0)return".";let r=-1,n=0;const i=t.charCodeAt(0);if(s===1)return b(i)?t:".";if(b(i)){if(r=n=1,b(t.charCodeAt(1))){let O=2,P=O;for(;O<s&&!b(t.charCodeAt(O));)O++;if(O<s&&O!==P){for(P=O;O<s&&b(t.charCodeAt(O));)O++;if(O<s&&O!==P){for(P=O;O<s&&!b(t.charCodeAt(O));)O++;if(O===s)return t;O!==P&&(r=n=O+1)}}}}else g(i)&&t.charCodeAt(1)===I&&(r=s>2&&b(t.charCodeAt(2))?3:2,n=r);let a=-1,$=!0;for(let O=s-1;O>=n;--O)if(b(t.charCodeAt(O))){if(!$){a=O;break}}else $=!1;if(a===-1){if(r===-1)return".";a=r}return t.slice(0,a)},basename(t,s){s!==void 0&&m(s,"ext"),m(t,"path");let r=0,n=-1,i=!0,a;if(t.length>=2&&g(t.charCodeAt(0))&&t.charCodeAt(1)===I&&(r=2),s!==void 0&&s.length>0&&s.length<=t.length){if(s===t)return"";let $=s.length-1,O=-1;for(a=t.length-1;a>=r;--a){const P=t.charCodeAt(a);if(b(P)){if(!i){r=a+1;break}}else O===-1&&(i=!1,O=a+1),$>=0&&(P===s.charCodeAt($)?--$===-1&&(n=a):($=-1,n=O))}return r===n?n=O:n===-1&&(n=t.length),t.slice(r,n)}for(a=t.length-1;a>=r;--a)if(b(t.charCodeAt(a))){if(!i){r=a+1;break}}else n===-1&&(i=!1,n=a+1);return n===-1?"":t.slice(r,n)},extname(t){m(t,"path");let s=0,r=-1,n=0,i=-1,a=!0,$=0;t.length>=2&&t.charCodeAt(1)===I&&g(t.charCodeAt(0))&&(s=n=2);for(let O=t.length-1;O>=s;--O){const P=t.charCodeAt(O);if(b(P)){if(!a){n=O+1;break}continue}i===-1&&(a=!1,i=O+1),P===S?r===-1?r=O:$!==1&&($=1):r!==-1&&($=-1)}return r===-1||i===-1||$===0||$===1&&r===i-1&&r===n+1?"":t.slice(r,i)},format:f.bind(null,"\\"),parse(t){m(t,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return s;const r=t.length;let n=0,i=t.charCodeAt(0);if(r===1)return b(i)?(s.root=s.dir=t,s):(s.base=s.name=t,s);if(b(i)){if(n=1,b(t.charCodeAt(1))){let F=2,Q=F;for(;F<r&&!b(t.charCodeAt(F));)F++;if(F<r&&F!==Q){for(Q=F;F<r&&b(t.charCodeAt(F));)F++;if(F<r&&F!==Q){for(Q=F;F<r&&!b(t.charCodeAt(F));)F++;F===r?n=F:F!==Q&&(n=F+1)}}}}else if(g(i)&&t.charCodeAt(1)===I){if(r<=2)return s.root=s.dir=t,s;if(n=2,b(t.charCodeAt(2))){if(r===3)return s.root=s.dir=t,s;n=3}}n>0&&(s.root=t.slice(0,n));let a=-1,$=n,O=-1,P=!0,y=t.length-1,A=0;for(;y>=n;--y){if(i=t.charCodeAt(y),b(i)){if(!P){$=y+1;break}continue}O===-1&&(P=!1,O=y+1),i===S?a===-1?a=y:A!==1&&(A=1):a!==-1&&(A=-1)}return O!==-1&&(a===-1||A===0||A===1&&a===O-1&&a===$+1?s.base=s.name=t.slice($,O):(s.name=t.slice($,a),s.base=t.slice($,O),s.ext=t.slice(a,O))),$>0&&$!==n?s.dir=t.slice(0,$-1):s.dir=s.root,s},sep:"\\",delimiter:";",win32:null,posix:null};const u=(()=>{if(l){const t=/\\/g;return()=>{const s=E.cwd().replace(t,"/");return s.slice(s.indexOf("/"))}}return()=>E.cwd()})();e.$gc={resolve(...t){let s="",r=!1;for(let n=t.length-1;n>=-1&&!r;n--){const i=n>=0?t[n]:u();m(i,"path"),i.length!==0&&(s=`${i}/${s}`,r=i.charCodeAt(0)===v)}return s=h(s,!r,"/",c),r?`/${s}`:s.length>0?s:"."},normalize(t){if(m(t,"path"),t.length===0)return".";const s=t.charCodeAt(0)===v,r=t.charCodeAt(t.length-1)===v;return t=h(t,!s,"/",c),t.length===0?s?"/":r?"./":".":(r&&(t+="/"),s?`/${t}`:t)},isAbsolute(t){return m(t,"path"),t.length>0&&t.charCodeAt(0)===v},join(...t){if(t.length===0)return".";let s;for(let r=0;r<t.length;++r){const n=t[r];m(n,"path"),n.length>0&&(s===void 0?s=n:s+=`/${n}`)}return s===void 0?".":e.$gc.normalize(s)},relative(t,s){if(m(t,"from"),m(s,"to"),t===s||(t=e.$gc.resolve(t),s=e.$gc.resolve(s),t===s))return"";const r=1,n=t.length,i=n-r,a=1,$=s.length-a,O=i<$?i:$;let P=-1,y=0;for(;y<O;y++){const F=t.charCodeAt(r+y);if(F!==s.charCodeAt(a+y))break;F===v&&(P=y)}if(y===O)if($>O){if(s.charCodeAt(a+y)===v)return s.slice(a+y+1);if(y===0)return s.slice(a+y)}else i>O&&(t.charCodeAt(r+y)===v?P=y:y===0&&(P=0));let A="";for(y=r+P+1;y<=n;++y)(y===n||t.charCodeAt(y)===v)&&(A+=A.length===0?"..":"/..");return`${A}${s.slice(a+P)}`},toNamespacedPath(t){return t},dirname(t){if(m(t,"path"),t.length===0)return".";const s=t.charCodeAt(0)===v;let r=-1,n=!0;for(let i=t.length-1;i>=1;--i)if(t.charCodeAt(i)===v){if(!n){r=i;break}}else n=!1;return r===-1?s?"/":".":s&&r===1?"//":t.slice(0,r)},basename(t,s){s!==void 0&&m(s,"ext"),m(t,"path");let r=0,n=-1,i=!0,a;if(s!==void 0&&s.length>0&&s.length<=t.length){if(s===t)return"";let $=s.length-1,O=-1;for(a=t.length-1;a>=0;--a){const P=t.charCodeAt(a);if(P===v){if(!i){r=a+1;break}}else O===-1&&(i=!1,O=a+1),$>=0&&(P===s.charCodeAt($)?--$===-1&&(n=a):($=-1,n=O))}return r===n?n=O:n===-1&&(n=t.length),t.slice(r,n)}for(a=t.length-1;a>=0;--a)if(t.charCodeAt(a)===v){if(!i){r=a+1;break}}else n===-1&&(i=!1,n=a+1);return n===-1?"":t.slice(r,n)},extname(t){m(t,"path");let s=-1,r=0,n=-1,i=!0,a=0;for(let $=t.length-1;$>=0;--$){const O=t.charCodeAt($);if(O===v){if(!i){r=$+1;break}continue}n===-1&&(i=!1,n=$+1),O===S?s===-1?s=$:a!==1&&(a=1):s!==-1&&(a=-1)}return s===-1||n===-1||a===0||a===1&&s===n-1&&s===r+1?"":t.slice(s,n)},format:f.bind(null,"/"),parse(t){m(t,"path");const s={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return s;const r=t.charCodeAt(0)===v;let n;r?(s.root="/",n=1):n=0;let i=-1,a=0,$=-1,O=!0,P=t.length-1,y=0;for(;P>=n;--P){const A=t.charCodeAt(P);if(A===v){if(!O){a=P+1;break}continue}$===-1&&(O=!1,$=P+1),A===S?i===-1?i=P:y!==1&&(y=1):i!==-1&&(y=-1)}if($!==-1){const A=a===0&&r?1:a;i===-1||y===0||y===1&&i===$-1&&i===a+1?s.base=s.name=t.slice(A,$):(s.name=t.slice(A,i),s.base=t.slice(A,$),s.ext=t.slice(i,$))}return a>0?s.dir=t.slice(0,a-1):r&&(s.dir="/"),s},sep:"/",delimiter:":",win32:null,posix:null},e.$gc.win32=e.$fc.win32=e.$fc,e.$gc.posix=e.$fc.posix=e.$gc,e.$hc=l?e.$fc.normalize:e.$gc.normalize,e.$ic=l?e.$fc.isAbsolute:e.$gc.isAbsolute,e.$jc=l?e.$fc.join:e.$gc.join,e.$kc=l?e.$fc.resolve:e.$gc.resolve,e.$lc=l?e.$fc.relative:e.$gc.relative,e.$mc=l?e.$fc.dirname:e.$gc.dirname,e.$nc=l?e.$fc.basename:e.$gc.basename,e.$oc=l?e.$fc.extname:e.$gc.extname,e.$pc=l?e.$fc.format:e.$gc.format,e.$qc=l?e.$fc.parse:e.$gc.parse,e.$rc=l?e.$fc.toNamespacedPath:e.$gc.toNamespacedPath,e.sep=l?e.$fc.sep:e.$gc.sep,e.$tc=l?e.$fc.delimiter:e.$gc.delimiter}),define(ye[40],ke([1,0,7,3,17,11]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ng=e.$mg=e.$lg=e.$kg=e.$jg=e.$ig=e.$hg=e.$gg=e.$fg=e.$eg=e.$dg=e.$cg=e.$bg=e.$ag=e.$_f=e.$$f=void 0;function D(a){return a===47||a===92}e.$$f=D;function S(a){return a.replace(/[\\/]/g,E.$gc.sep)}e.$_f=S;function v(a){return a.indexOf("/")===-1&&(a=S(a)),/^[a-zA-Z]:(\/|$)/.test(a)&&(a="/"+a),a}e.$ag=v;function w(a,$=E.$gc.sep){if(!a)return"";const O=a.length,P=a.charCodeAt(0);if(D(P)){if(D(a.charCodeAt(1))&&!D(a.charCodeAt(2))){let A=3;const F=A;for(;A<O&&!D(a.charCodeAt(A));A++);if(F!==A&&!D(a.charCodeAt(A+1))){for(A+=1;A<O;A++)if(D(a.charCodeAt(A)))return a.slice(0,A+1).replace(/[\\/]/g,$)}}return $}else if(c(P)&&a.charCodeAt(1)===58)return D(a.charCodeAt(2))?a.slice(0,2)+$:a.slice(0,2);let y=a.indexOf("://");if(y!==-1){for(y+=3;y<O;y++)if(D(a.charCodeAt(y)))return a.slice(0,y+1)}return""}e.$bg=w;function I(a){if(!R.$i||!a||a.length<5)return!1;let $=a.charCodeAt(0);if($!==92||($=a.charCodeAt(1),$!==92))return!1;let O=2;const P=O;for(;O<a.length&&($=a.charCodeAt(O),$!==92);O++);return!(P===O||($=a.charCodeAt(O+1),isNaN($)||$===92))}e.$cg=I;const k=/[\\/:\*\?"<>\|]/g,p=/[\\/]/g,d=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function m(a,$=R.$i){const O=$?k:p;return!(!a||a.length===0||/^\s+$/.test(a)||(O.lastIndex=0,O.test(a))||$&&d.test(a)||a==="."||a===".."||$&&a[a.length-1]==="."||$&&a.length!==a.trim().length||a.length>255)}e.$dg=m;function l(a,$,O){const P=a===$;return!O||P?P:!a||!$?!1:(0,o.$jf)(a,$)}e.$eg=l;function b(a,$,O,P=E.sep){if(a===$)return!0;if(!a||!$||$.length>a.length)return!1;if(O){if(!(0,o.$kf)(a,$))return!1;if($.length===a.length)return!0;let A=$.length;return $.charAt($.length-1)===P&&A--,a.charAt(A)===P}return $.charAt($.length-1)!==P&&($+=P),a.indexOf($)===0}e.$fg=b;function c(a){return a>=65&&a<=90||a>=97&&a<=122}e.$gg=c;function g(a,$){return R.$i&&a.endsWith(":")&&(a+=E.sep),(0,E.$ic)(a)||(a=(0,E.$jc)($,a)),a=(0,E.$hc)(a),R.$i?(a=(0,o.$4e)(a,E.sep),a.endsWith(":")&&(a+=E.sep)):(a=(0,o.$4e)(a,E.sep),a||(a=E.sep)),a}e.$hg=g;function h(a){const $=(0,E.$hc)(a);return R.$i?a.length>3?!1:f($)&&(a.length===2||$.charCodeAt(2)===92):$===E.$gc.sep}e.$ig=h;function f(a,$=R.$i){return $?c(a.charCodeAt(0))&&a.charCodeAt(1)===58:!1}e.$jg=f;function u(a,$=R.$i){return f(a,$)?a[0]:void 0}e.$kg=u;function t(a,$,O){return $.length>a.length?-1:a===$?0:(O&&(a=a.toLowerCase(),$=$.toLowerCase()),a.indexOf($))}e.$lg=t;function s(a){const $=a.split(":");let O,P,y;for(const A of $){const F=Number(A);(0,C.$Wf)(F)?P===void 0?P=F:y===void 0&&(y=F):O=O?[O,A].join(":"):A}if(!O)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:O,line:P!==void 0?P:void 0,column:y!==void 0?y:P!==void 0?1:void 0}}e.$mg=s;const r="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",n="BDEFGHIJKMOQRSTUVWXYZbdefghijkmoqrstuvwxyz0123456789";function i(a,$,O=8){let P="";for(let A=0;A<O;A++){let F;A===0&&R.$i&&!$&&(O===3||O===4)?F=n:F=r,P+=F.charAt(Math.floor(Math.random()*F.length))}let y;return $?y=`${$}-${P}`:y=P,a?(0,E.$jc)(a,y):y}e.$ng=i}),define(ye[65],ke([1,0,7]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$us=e.$ts=e.$ss=e.$rs=e.$qs=void 0,e.$qs=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const R={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},o={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function C(I){const k=(0,E.$oc)(I),p=R[k.toLowerCase()];return p!==void 0?p:D(I)}e.$rs=C;function D(I){const k=(0,E.$oc)(I);return o[k.toLowerCase()]}e.$ss=D;function S(I){for(const k in o)if(o[k]===I)return k}e.$ts=S;const v=/^(.+)\/(.+?)(;.+)?$/;function w(I,k){const p=v.exec(I);return p?`${p[1].toLowerCase()}/${p[2].toLowerCase()}${p[3]??""}`:k?void 0:I}e.$us=w}),define(ye[66],ke([1,0,3]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4l=e.$3l=e.TerminateResponseCode=e.Source=void 0;var R;(function(S){S[S.stdout=0]="stdout",S[S.stderr=1]="stderr"})(R||(e.Source=R={}));var o;(function(S){S[S.Success=0]="Success",S[S.Unknown=1]="Unknown",S[S.AccessDenied=2]="AccessDenied",S[S.ProcessNotFound=3]="ProcessNotFound"})(o||(e.TerminateResponseCode=o={}));function C(S,...v){const w=v.reduce((p,d)=>(p[d]=!0,p),{}),I=[/^ELECTRON_.+$/,/^VSCODE_(?!(PORTABLE|SHELL_LOGIN|ENV_REPLACE|ENV_APPEND|ENV_PREPEND)).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(S).filter(p=>!w[p]).forEach(p=>{for(let d=0;d<I.length;d++)if(p.search(I[d])!==-1){delete S[p];break}})}e.$3l=C;function D(S){S&&(delete S.DEBUG,E.$j&&delete S.DYLD_LIBRARY_PATH,E.$k&&delete S.LD_PRELOAD)}e.$4l=D}),define(ye[4],ke([1,0,7,3]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wc=e.$vc=e.URI=void 0;const o=/^\w[\w\d+.-]*$/,C=/^\//,D=/^\/\//;function S(n,i){if(!n.scheme&&i)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${n.authority}", path: "${n.path}", query: "${n.query}", fragment: "${n.fragment}"}`);if(n.scheme&&!o.test(n.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(n.path){if(n.authority){if(!C.test(n.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(D.test(n.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function v(n,i){return!n&&!i?"file":n}function w(n,i){switch(n){case"https":case"http":case"file":i?i[0]!==k&&(i=k+i):i=k;break}return i}const I="",k="/",p=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class d{static isUri(i){return i instanceof d?!0:i?typeof i.authority=="string"&&typeof i.fragment=="string"&&typeof i.path=="string"&&typeof i.query=="string"&&typeof i.scheme=="string"&&typeof i.fsPath=="string"&&typeof i.with=="function"&&typeof i.toString=="function":!1}constructor(i,a,$,O,P,y=!1){typeof i=="object"?(this.scheme=i.scheme||I,this.authority=i.authority||I,this.path=i.path||I,this.query=i.query||I,this.fragment=i.fragment||I):(this.scheme=v(i,y),this.authority=a||I,this.path=w(this.scheme,$||I),this.query=O||I,this.fragment=P||I,S(this,y))}get fsPath(){return f(this,!1)}with(i){if(!i)return this;let{scheme:a,authority:$,path:O,query:P,fragment:y}=i;return a===void 0?a=this.scheme:a===null&&(a=I),$===void 0?$=this.authority:$===null&&($=I),O===void 0?O=this.path:O===null&&(O=I),P===void 0?P=this.query:P===null&&(P=I),y===void 0?y=this.fragment:y===null&&(y=I),a===this.scheme&&$===this.authority&&O===this.path&&P===this.query&&y===this.fragment?this:new b(a,$,O,P,y)}static parse(i,a=!1){const $=p.exec(i);return $?new b($[2]||I,r($[4]||I),r($[5]||I),r($[7]||I),r($[9]||I),a):new b(I,I,I,I,I)}static file(i){let a=I;if(R.$i&&(i=i.replace(/\\/g,k)),i[0]===k&&i[1]===k){const $=i.indexOf(k,2);$===-1?(a=i.substring(2),i=k):(a=i.substring(2,$),i=i.substring($)||k)}return new b("file",a,i,I,I)}static from(i,a){return new b(i.scheme,i.authority,i.path,i.query,i.fragment,a)}static joinPath(i,...a){if(!i.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let $;return R.$i&&i.scheme==="file"?$=d.file(E.$fc.join(f(i,!0),...a)).path:$=E.$gc.join(i.path,...a),i.with({path:$})}toString(i=!1){return u(this,i)}toJSON(){return this}static revive(i){if(i){if(i instanceof d)return i;{const a=new b(i);return a._formatted=i.external??null,a._fsPath=i._sep===l?i.fsPath??null:null,a}}else return i}}e.URI=d;function m(n){return!n||typeof n!="object"?!1:typeof n.scheme=="string"&&(typeof n.authority=="string"||typeof n.authority>"u")&&(typeof n.path=="string"||typeof n.path>"u")&&(typeof n.query=="string"||typeof n.query>"u")&&(typeof n.fragment=="string"||typeof n.fragment>"u")}e.$vc=m;const l=R.$i?1:void 0;class b extends d{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=f(this,!1)),this._fsPath}toString(i=!1){return i?u(this,!0):(this._formatted||(this._formatted=u(this,!1)),this._formatted)}toJSON(){const i={$mid:1};return this._fsPath&&(i.fsPath=this._fsPath,i._sep=l),this._formatted&&(i.external=this._formatted),this.path&&(i.path=this.path),this.scheme&&(i.scheme=this.scheme),this.authority&&(i.authority=this.authority),this.query&&(i.query=this.query),this.fragment&&(i.fragment=this.fragment),i}}const c={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function g(n,i,a){let $,O=-1;for(let P=0;P<n.length;P++){const y=n.charCodeAt(P);if(y>=97&&y<=122||y>=65&&y<=90||y>=48&&y<=57||y===45||y===46||y===95||y===126||i&&y===47||a&&y===91||a&&y===93||a&&y===58)O!==-1&&($+=encodeURIComponent(n.substring(O,P)),O=-1),$!==void 0&&($+=n.charAt(P));else{$===void 0&&($=n.substr(0,P));const A=c[y];A!==void 0?(O!==-1&&($+=encodeURIComponent(n.substring(O,P)),O=-1),$+=A):O===-1&&(O=P)}}return O!==-1&&($+=encodeURIComponent(n.substring(O))),$!==void 0?$:n}function h(n){let i;for(let a=0;a<n.length;a++){const $=n.charCodeAt(a);$===35||$===63?(i===void 0&&(i=n.substr(0,a)),i+=c[$]):i!==void 0&&(i+=n[a])}return i!==void 0?i:n}function f(n,i){let a;return n.authority&&n.path.length>1&&n.scheme==="file"?a=`//${n.authority}${n.path}`:n.path.charCodeAt(0)===47&&(n.path.charCodeAt(1)>=65&&n.path.charCodeAt(1)<=90||n.path.charCodeAt(1)>=97&&n.path.charCodeAt(1)<=122)&&n.path.charCodeAt(2)===58?i?a=n.path.substr(1):a=n.path[1].toLowerCase()+n.path.substr(2):a=n.path,R.$i&&(a=a.replace(/\//g,"\\")),a}e.$wc=f;function u(n,i){const a=i?h:g;let $="",{scheme:O,authority:P,path:y,query:A,fragment:F}=n;if(O&&($+=O,$+=":"),(P||O==="file")&&($+=k,$+=k),P){let Q=P.indexOf("@");if(Q!==-1){const te=P.substr(0,Q);P=P.substr(Q+1),Q=te.lastIndexOf(":"),Q===-1?$+=a(te,!1,!1):($+=a(te.substr(0,Q),!1,!1),$+=":",$+=a(te.substr(Q+1),!1,!0)),$+="@"}P=P.toLowerCase(),Q=P.lastIndexOf(":"),Q===-1?$+=a(P,!1,!0):($+=a(P.substr(0,Q),!1,!0),$+=P.substr(Q))}if(y){if(y.length>=3&&y.charCodeAt(0)===47&&y.charCodeAt(2)===58){const Q=y.charCodeAt(1);Q>=65&&Q<=90&&(y=`/${String.fromCharCode(Q+32)}:${y.substr(3)}`)}else if(y.length>=2&&y.charCodeAt(1)===58){const Q=y.charCodeAt(0);Q>=65&&Q<=90&&(y=`${String.fromCharCode(Q+32)}:${y.substr(2)}`)}$+=a(y,!0,!1)}return A&&($+="?",$+=a(A,!1,!1)),F&&($+="#",$+=i?F:g(F,!1,!1)),$}function t(n){try{return decodeURIComponent(n)}catch{return n.length>3?n.substr(0,3)+t(n.substr(3)):n}}const s=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function r(n){return n.match(s)?n.replace(s,i=>t(i)):n}}),define(ye[168],ke([1,0,4]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.$zq=e.$yq=e.$xq=void 0;function R(w){const I=w;return I&&typeof I.type=="string"&&typeof I.severity=="string"}e.$xq=R;function o(w){const I=[];let k;try{const p=JSON.parse(w.arguments),d=p[p.length-1];d&&d.__$stack&&(p.pop(),k=d.__$stack),I.push(...p)}catch{I.push("Unable to log remote console arguments",w.arguments)}return{args:I,stack:k}}e.$yq=o;function C(w){if(typeof w!="string")return C(o(w).stack);const I=w;if(I){const k=D(I),p=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(k||"");if(p&&p.length===4)return{uri:E.URI.file(p[1]),line:Number(p[2]),column:Number(p[3])}}}e.$zq=C;function D(w){if(!w)return w;const I=w.indexOf(`
`);return I===-1?w:w.substring(0,I)}function S(w,I){const{args:k,stack:p}=o(w),d=typeof k[0]=="string"&&k.length===1;let m=D(p);m&&(m=`(${m.trim()})`);let l=[];if(typeof k[0]=="string"?m&&d?l=[`%c[${I}] %c${k[0]} %c${m}`,v("blue"),v(""),v("grey")]:l=[`%c[${I}] %c${k[0]}`,v("blue"),v(""),...k.slice(1)]:l=[`%c[${I}]%`,v("blue"),...k],m&&!d&&l.push(m),typeof console[w.severity]!="function")throw new Error("Unknown console method");console[w.severity].apply(console,l)}e.log=S;function v(w){return`color: ${w}`}}),define(ye[52],ke([1,0,14,4]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nh=e.$Mh=e.$Lh=void 0;function o(v){return JSON.stringify(v,D)}e.$Lh=o;function C(v){let w=JSON.parse(v);return w=S(w),w}e.$Mh=C;function D(v,w){return w instanceof RegExp?{$mid:2,source:w.source,flags:w.flags}:w}function S(v,w=0){if(!v||w>200)return v;if(typeof v=="object"){switch(v.$mid){case 1:return R.URI.revive(v);case 2:return new RegExp(v.source,v.flags);case 17:return new Date(v.source)}if(v instanceof E.$se||v instanceof Uint8Array)return v;if(Array.isArray(v))for(let I=0;I<v.length;++I)v[I]=S(v[I],w+1);else for(const I in v)Object.hasOwnProperty.call(v,I)&&(v[I]=S(v[I],w+1))}return v}e.$Nh=S}),define(ye[12],ke([1,0,10,3,17,4]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.COI=e.$yg=e.$xg=e.$wg=e.$vg=e.$ug=e.$tg=e.$sg=e.$rg=e.$qg=e.$pg=e.$og=e.Schemas=void 0;var D;(function(p){p.inMemory="inmemory",p.vscode="vscode",p.internal="private",p.walkThrough="walkThrough",p.walkThroughSnippet="walkThroughSnippet",p.http="http",p.https="https",p.file="file",p.mailto="mailto",p.untitled="untitled",p.data="data",p.command="command",p.vscodeRemote="vscode-remote",p.vscodeRemoteResource="vscode-remote-resource",p.vscodeManagedRemoteResource="vscode-managed-remote-resource",p.vscodeUserData="vscode-userdata",p.vscodeCustomEditor="vscode-custom-editor",p.vscodeNotebookCell="vscode-notebook-cell",p.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",p.vscodeNotebookCellOutput="vscode-notebook-cell-output",p.vscodeInteractiveInput="vscode-interactive-input",p.vscodeSettings="vscode-settings",p.vscodeWorkspaceTrust="vscode-workspace-trust",p.vscodeTerminal="vscode-terminal",p.vscodeChatCodeBlock="vscode-chat-code-block",p.vscodeChatSesssion="vscode-chat-editor",p.webviewPanel="webview-panel",p.vscodeWebview="vscode-webview",p.extension="extension",p.vscodeFileResource="vscode-file",p.tmp="tmp",p.vsls="vsls",p.vscodeSourceControl="vscode-scm",p.codeSetting="code-setting",p.codeFeature="code-feature"})(D||(e.Schemas=D={}));function S(p,d){return C.URI.isUri(p)?(0,o.$jf)(p.scheme,d):(0,o.$kf)(p,d+":")}e.$og=S;function v(p,...d){return d.some(m=>S(p,m))}e.$pg=v,e.$qg="vscode-tkn",e.$rg="tkn";class w{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f=`/${D.vscodeRemoteResource}`}setPreferredWebSchema(d){this.d=d}setDelegate(d){this.e=d}setServerRootPath(d){this.f=`${d}/${D.vscodeRemoteResource}`}set(d,m,l){this.a[d]=m,this.b[d]=l}setConnectionToken(d,m){this.c[d]=m}getPreferredWebSchema(){return this.d}rewrite(d){if(this.e)try{return this.e(d)}catch(h){return E.$1(h),d}const m=d.authority;let l=this.a[m];l&&l.indexOf(":")!==-1&&l.indexOf("[")===-1&&(l=`[${l}]`);const b=this.b[m],c=this.c[m];let g=`path=${encodeURIComponent(d.path)}`;return typeof c=="string"&&(g+=`&${e.$rg}=${encodeURIComponent(c)}`),C.URI.from({scheme:R.$o?this.d:D.vscodeRemoteResource,authority:`${l}:${b}`,path:this.f,query:g})}}e.$sg=new w,e.$tg="vs/../../extensions",e.$ug="vs/../../node_modules",e.$vg="vs/../../node_modules.asar",e.$wg="vs/../../node_modules.asar.unpacked",e.$xg="vscode-app";class I{static{this.a=e.$xg}asBrowserUri(d){const m=this.b(d,le);return this.uriToBrowserUri(m)}uriToBrowserUri(d){return d.scheme===D.vscodeRemote?e.$sg.rewrite(d):d.scheme===D.file&&(R.$m||R.$q===`${D.vscodeFileResource}://${I.a}`)?d.with({scheme:D.vscodeFileResource,authority:d.authority||I.a,query:null,fragment:null}):d}asFileUri(d){const m=this.b(d,le);return this.uriToFileUri(m)}uriToFileUri(d){return d.scheme===D.vscodeFileResource?d.with({scheme:D.file,authority:d.authority!==I.a?d.authority:null,query:null,fragment:null}):d}b(d,m){return C.URI.isUri(d)?d:C.URI.parse(m.toUrl(d))}}e.$yg=new I;var k;(function(p){const d=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);p.CoopAndCoep=Object.freeze(d.get("3"));const m="vscode-coi";function l(c){let g;typeof c=="string"?g=new URL(c).searchParams:c instanceof URL?g=c.searchParams:C.URI.isUri(c)&&(g=new URL(c.toString(!0)).searchParams);const h=g?.get(m);if(h)return d.get(h)}p.getHeadersFromQuery=l;function b(c,g,h){if(!globalThis.crossOriginIsolated)return;const f=g&&h?"3":h?"2":"1";c instanceof URLSearchParams?c.set(m,f):c[m]=f}p.addSearchParam=b})(k||(e.COI=k={}))}),define(ye[169],ke([1,0,95,12,3,4]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tD=void 0;class D{constructor(p,d,m){this.id=p,this.dependencies=d,this.callback=m}}class S{static{this.INSTANCE=new S}constructor(){this.a=typeof self=="object"&&self.constructor&&self.constructor.name==="DedicatedWorkerGlobalScope",this.b=typeof document=="object",this.c=[],this.d=!1}g(){this.d||(this.d=!0,globalThis.define=(p,d,m)=>{typeof p!="string"&&(m=d,d=p,p=null),(typeof d!="object"||!Array.isArray(d))&&(m=d,d=null),this.c.push(new D(p,d,m))},globalThis.define.amd=!0,this.b?this.f=window.trustedTypes?.createPolicy("amdLoader",{createScriptURL(p){if(p.startsWith(window.location.origin)||p.startsWith("vscode-file://vscode-app"))return p;throw new Error(`[trusted_script_src] Invalid script url: ${p}`)}}):this.a&&(this.f=globalThis.trustedTypes?.createPolicy("amdLoader",{createScriptURL(p){return p}})))}async load(p){this.g();const d=await(this.a?this.i(p):this.b?this.h(p):this.j(p));if(!d)throw new Error(`Did not receive a define call from script ${p}`);if(Array.isArray(d.dependencies)&&d.dependencies.length>0)throw new Error(`Cannot resolve dependencies for script ${p}. The dependencies are: ${d.dependencies.join(", ")}`);return typeof d.callback=="function"?d.callback([]):d.callback}h(p){return new Promise((d,m)=>{const l=document.createElement("script");l.setAttribute("async","async"),l.setAttribute("type","text/javascript");const b=()=>{l.removeEventListener("load",c),l.removeEventListener("error",g)},c=h=>{b(),d(this.c.pop())},g=h=>{b(),m(h)};l.addEventListener("load",c),l.addEventListener("error",g),this.f&&(p=this.f.createScriptURL(p)),l.setAttribute("src",p),window.document.getElementsByTagName("head")[0].appendChild(l)})}i(p){return new Promise((d,m)=>{try{this.f&&(p=this.f.createScriptURL(p)),importScripts(p),d(this.c.pop())}catch(l){m(l)}})}async j(p){try{const d=globalThis._VSCODE_NODE_MODULES.fs,m=globalThis._VSCODE_NODE_MODULES.vm,l=globalThis._VSCODE_NODE_MODULES.module,b=C.URI.parse(p).fsPath,c=d.readFileSync(b).toString(),g=l.wrap(c.replace(/^#!.*/,""));return new m.Script(g).runInThisContext().apply(),this.c.pop()}catch(d){throw d}}}const v=new Map;let w={};typeof globalThis.require=="object"&&(w=globalThis.require.paths??{});async function I(k,p,d){if(E.$T){d===void 0&&(d=!!(globalThis._VSCODE_PRODUCT_JSON??globalThis.vscode?.context?.configuration()?.product)?.commit),w[k]&&(k=w[k]);const m=`${k}/${p}`;if(v.has(m))return v.get(m);let l;if(/^\w[\w\d+.-]*:\/\//.test(m))l=m;else{const h=`${d&&!o.$o?R.$vg:R.$ug}/${m}`;l=R.$yg.asBrowserUri(h).toString(!0)}const b=S.INSTANCE.load(l);return v.set(m,b),b}else return await new Promise((m,l)=>{le([k],m,l)})}e.$tD=I}),define(ye[19],ke([1,0,40,12,7,3,17,4]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2g=e.DataUri=e.$1g=e.$Zg=e.$Yg=e.$Xg=e.$Wg=e.$Vg=e.$Ug=e.$Tg=e.$Sg=e.$Rg=e.$Qg=e.$Pg=e.$Og=e.$Ng=e.$Mg=e.$Lg=e.$Kg=e.$Jg=e.$Ig=e.$Hg=e.$Gg=e.$Fg=void 0;function v(d){return(0,S.$wc)(d,!0)}e.$Fg=v;class w{constructor(m){this.a=m}compare(m,l,b=!1){return m===l?0:(0,D.$cf)(this.getComparisonKey(m,b),this.getComparisonKey(l,b))}isEqual(m,l,b=!1){return m===l?!0:!m||!l?!1:this.getComparisonKey(m,b)===this.getComparisonKey(l,b)}getComparisonKey(m,l=!1){return m.with({path:this.a(m)?m.path.toLowerCase():void 0,fragment:l?null:void 0}).toString()}ignorePathCasing(m){return this.a(m)}isEqualOrParent(m,l,b=!1){if(m.scheme===l.scheme){if(m.scheme===R.Schemas.file)return E.$fg(v(m),v(l),this.a(m))&&m.query===l.query&&(b||m.fragment===l.fragment);if((0,e.$Wg)(m.authority,l.authority))return E.$fg(m.path,l.path,this.a(m),"/")&&m.query===l.query&&(b||m.fragment===l.fragment)}return!1}joinPath(m,...l){return S.URI.joinPath(m,...l)}basenameOrAuthority(m){return(0,e.$Og)(m)||m.authority}basename(m){return o.$gc.basename(m.path)}extname(m){return o.$gc.extname(m.path)}dirname(m){if(m.path.length===0)return m;let l;return m.scheme===R.Schemas.file?l=S.URI.file(o.$mc(v(m))).path:(l=o.$gc.dirname(m.path),m.authority&&l.length&&l.charCodeAt(0)!==47&&(console.error(`dirname("${m.toString})) resulted in a relative path`),l="/")),m.with({path:l})}normalizePath(m){if(!m.path.length)return m;let l;return m.scheme===R.Schemas.file?l=S.URI.file(o.$hc(v(m))).path:l=o.$gc.normalize(m.path),m.with({path:l})}relativePath(m,l){if(m.scheme!==l.scheme||!(0,e.$Wg)(m.authority,l.authority))return;if(m.scheme===R.Schemas.file){const g=o.$lc(v(m),v(l));return C.$i?E.$_f(g):g}let b=m.path||"/";const c=l.path||"/";if(this.a(m)){let g=0;for(const h=Math.min(b.length,c.length);g<h&&!(b.charCodeAt(g)!==c.charCodeAt(g)&&b.charAt(g).toLowerCase()!==c.charAt(g).toLowerCase());g++);b=c.substr(0,g)+b.substr(g)}return o.$gc.relative(b,c)}resolvePath(m,l){if(m.scheme===R.Schemas.file){const b=S.URI.file(o.$kc(v(m),l));return m.with({authority:b.authority,path:b.path})}return l=E.$ag(l),m.with({path:o.$gc.resolve(m.path,l)})}isAbsolutePath(m){return!!m.path&&m.path[0]==="/"}isEqualAuthority(m,l){return m===l||m!==void 0&&l!==void 0&&(0,D.$jf)(m,l)}hasTrailingPathSeparator(m,l=o.sep){if(m.scheme===R.Schemas.file){const b=v(m);return b.length>E.$bg(b).length&&b[b.length-1]===l}else{const b=m.path;return b.length>1&&b.charCodeAt(b.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(m.fsPath)}}removeTrailingPathSeparator(m,l=o.sep){return(0,e.$Xg)(m,l)?m.with({path:m.path.substr(0,m.path.length-1)}):m}addTrailingPathSeparator(m,l=o.sep){let b=!1;if(m.scheme===R.Schemas.file){const c=v(m);b=c!==void 0&&c.length===E.$bg(c).length&&c[c.length-1]===l}else{l="/";const c=m.path;b=c.length===1&&c.charCodeAt(c.length-1)===47}return!b&&!(0,e.$Xg)(m,l)?m.with({path:m.path+"/"}):m}}e.$Gg=w,e.$Hg=new w(()=>!1),e.$Ig=new w(d=>d.scheme===R.Schemas.file?!C.$k:!0),e.$Jg=new w(d=>!0),e.$Kg=e.$Hg.isEqual.bind(e.$Hg),e.$Lg=e.$Hg.isEqualOrParent.bind(e.$Hg),e.$Mg=e.$Hg.getComparisonKey.bind(e.$Hg),e.$Ng=e.$Hg.basenameOrAuthority.bind(e.$Hg),e.$Og=e.$Hg.basename.bind(e.$Hg),e.$Pg=e.$Hg.extname.bind(e.$Hg),e.$Qg=e.$Hg.dirname.bind(e.$Hg),e.$Rg=e.$Hg.joinPath.bind(e.$Hg),e.$Sg=e.$Hg.normalizePath.bind(e.$Hg),e.$Tg=e.$Hg.relativePath.bind(e.$Hg),e.$Ug=e.$Hg.resolvePath.bind(e.$Hg),e.$Vg=e.$Hg.isAbsolutePath.bind(e.$Hg),e.$Wg=e.$Hg.isEqualAuthority.bind(e.$Hg),e.$Xg=e.$Hg.hasTrailingPathSeparator.bind(e.$Hg),e.$Yg=e.$Hg.removeTrailingPathSeparator.bind(e.$Hg),e.$Zg=e.$Hg.addTrailingPathSeparator.bind(e.$Hg);function I(d,m){const l=[];for(let b=0;b<d.length;b++){const c=m(d[b]);d.some((g,h)=>h===b?!1:(0,e.$Lg)(c,m(g)))||l.push(d[b])}return l}e.$1g=I;var k;(function(d){d.META_DATA_LABEL="label",d.META_DATA_DESCRIPTION="description",d.META_DATA_SIZE="size",d.META_DATA_MIME="mime";function m(l){const b=new Map;l.path.substring(l.path.indexOf(";")+1,l.path.lastIndexOf(";")).split(";").forEach(h=>{const[f,u]=h.split(":");f&&u&&b.set(f,u)});const g=l.path.substring(0,l.path.indexOf(";"));return g&&b.set(d.META_DATA_MIME,g),b}d.parseMetaData=m})(k||(e.DataUri=k={}));function p(d,m,l){if(m){let b=d.path;return b&&b[0]!==o.$gc.sep&&(b=o.$gc.sep+b),d.with({scheme:l,authority:m,path:b})}return d.with({scheme:l})}e.$2g=p}),define(ye[15],ke([1,0,20,10,6,2,19,3,152,60]),function(le,e,E,R,o,C,D,S,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hh=e.$Gh=e.$Fh=e.$Eh=e.$Dh=e.$Ch=e.Promises=e.$Bh=e.$Ah=e.$zh=e.$yh=e.$xh=e.$wh=e.$vh=e.$uh=e.$th=e.$sh=e.$rh=e.$qh=e.$ph=e.$oh=e.$nh=e.$mh=e.$lh=e.$kh=e.$jh=e.$ih=e.$hh=e.$gh=e.$fh=e.$eh=e.$dh=e.$ch=e.$bh=e.$ah=e.$_g=e.$$g=e.$0g=e.$9g=e.$8g=e.$7g=e.$6g=e.$5g=e.$4g=e.$3g=void 0;function I(J){return!!J&&typeof J.then=="function"}e.$3g=I;function k(J){const N=new E.$ce,T=J(N.token),ee=new Promise((ie,fe)=>{const ae=N.token.onCancellationRequested(()=>{ae.dispose(),fe(new R.$5)});Promise.resolve(T).then(pe=>{ae.dispose(),N.dispose(),ie(pe)},pe=>{ae.dispose(),N.dispose(),fe(pe)})});return new class{cancel(){N.cancel(),N.dispose()}then(ie,fe){return ee.then(ie,fe)}catch(ie){return this.then(void 0,ie)}finally(ie){return ee.finally(ie)}}}e.$4g=k;function p(J,N,T){return new Promise((ee,ie)=>{const fe=N.onCancellationRequested(()=>{fe.dispose(),ee(T)});J.then(ee,ie).finally(()=>fe.dispose())})}e.$5g=p;function d(J,N){return new Promise((T,ee)=>{const ie=N.onCancellationRequested(()=>{ie.dispose(),ee(new R.$5)});J.then(T,ee).finally(()=>ie.dispose())})}e.$6g=d;async function m(J){let N=-1;const T=J.map((ee,ie)=>ee.then(fe=>(N=ie,fe)));try{return await Promise.race(T)}finally{J.forEach((ee,ie)=>{ie!==N&&ee.cancel()})}}e.$7g=m;function l(J,N,T){let ee;const ie=setTimeout(()=>{ee?.(void 0),T?.()},N);return Promise.race([J.finally(()=>clearTimeout(ie)),new Promise(fe=>ee=fe)])}e.$8g=l;function b(J){return new Promise((N,T)=>{const ee=J();I(ee)?ee.then(N,T):N(ee)})}e.$9g=b;function c(){let J,N;return{promise:new Promise((ee,ie)=>{J=ee,N=ie}),resolve:J,reject:N}}e.$0g=c;class g{constructor(){this.f=!1,this.a=null,this.b=null,this.d=null}queue(N){if(this.f)return Promise.reject(new Error("Throttler is disposed"));if(this.a){if(this.d=N,!this.b){const T=()=>{if(this.b=null,this.f)return;const ee=this.queue(this.d);return this.d=null,ee};this.b=new Promise(ee=>{this.a.then(T,T).then(ee)})}return new Promise((T,ee)=>{this.b.then(T,ee)})}return this.a=N(),new Promise((T,ee)=>{this.a.then(ie=>{this.a=null,T(ie)},ie=>{this.a=null,ee(ie)})})}dispose(){this.f=!0}}e.$$g=g;class h{constructor(){this.a=Promise.resolve(null)}queue(N){return this.a=this.a.then(()=>N(),()=>N())}}e.$_g=h;class f{constructor(){this.a=new Map}queue(N,T){const ie=(this.a.get(N)??Promise.resolve()).catch(()=>{}).then(T).finally(()=>{this.a.get(N)===ie&&this.a.delete(N)});return this.a.set(N,ie),ie}}e.$ah=f;const u=(J,N)=>{let T=!0;const ee=setTimeout(()=>{T=!1,N()},J);return{isTriggered:()=>T,dispose:()=>{clearTimeout(ee),T=!1}}},t=J=>{let N=!0;return queueMicrotask(()=>{N&&(N=!1,J())}),{isTriggered:()=>N,dispose:()=>{N=!1}}};class s{constructor(N){this.defaultDelay=N,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger(N,T=this.defaultDelay){this.g=N,this.h(),this.b||(this.b=new Promise((ie,fe)=>{this.d=ie,this.f=fe}).then(()=>{if(this.b=null,this.d=null,this.g){const ie=this.g;return this.g=null,ie()}}));const ee=()=>{this.a=null,this.d?.(null)};return this.a=T===v.$2d?t(ee):u(T,ee),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new R.$5),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}e.$bh=s;class r{constructor(N){this.a=new s(N),this.b=new g}trigger(N,T){return this.a.trigger(()=>this.b.queue(N),T)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose(),this.b.dispose()}}e.$ch=r;class n{constructor(){this.a=!1,this.b=new Promise((N,T)=>{this.d=N})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}e.$dh=n;class i extends n{constructor(N){super(),this.f=setTimeout(()=>this.open(),N)}open(){clearTimeout(this.f),super.open()}}e.$eh=i;function a(J,N){return N?new Promise((T,ee)=>{const ie=setTimeout(()=>{fe.dispose(),T()},J),fe=N.onCancellationRequested(()=>{clearTimeout(ie),fe.dispose(),ee(new R.$5)})}):k(T=>a(J,T))}e.$fh=a;function $(J,N=0,T){const ee=setTimeout(()=>{J(),T&&ie.dispose()},N),ie=(0,C.$Rc)(()=>{clearTimeout(ee),T?.deleteAndLeak(ie)});return T?.add(ie),ie}e.$gh=$;function O(J){const N=[];let T=0;const ee=J.length;function ie(){return T<ee?J[T++]():null}function fe(ae){ae!=null&&N.push(ae);const pe=ie();return pe?pe.then(fe):Promise.resolve(N)}return Promise.resolve(null).then(fe)}e.$hh=O;function P(J,N=ee=>!!ee,T=null){let ee=0;const ie=J.length,fe=()=>{if(ee>=ie)return Promise.resolve(T);const ae=J[ee++];return Promise.resolve(ae()).then(Ee=>N(Ee)?Promise.resolve(Ee):fe())};return fe()}e.$ih=P;function y(J,N=ee=>!!ee,T=null){if(J.length===0)return Promise.resolve(T);let ee=J.length;const ie=()=>{ee=-1;for(const fe of J)fe.cancel?.()};return new Promise((fe,ae)=>{for(const pe of J)pe.then(Ee=>{--ee>=0&&N(Ee)?(ie(),fe(Ee)):ee===0&&fe(T)}).catch(Ee=>{--ee>=0&&(ie(),ae(Ee))})})}e.$jh=y;class A{constructor(N){this.a=0,this.b=!1,this.f=N,this.g=[],this.d=0,this.h=new o.$5d}whenIdle(){return this.size>0?o.Event.toPromise(this.onDrained):Promise.resolve()}get onDrained(){return this.h.event}get size(){return this.a}queue(N){if(this.b)throw new Error("Object has been disposed");return this.a++,new Promise((T,ee)=>{this.g.push({factory:N,c:T,e:ee}),this.j()})}j(){for(;this.g.length&&this.d<this.f;){const N=this.g.shift();this.d++;const T=N.factory();T.then(N.c,N.e),T.then(()=>this.k(),()=>this.k())}}k(){this.b||(this.d--,--this.a===0&&this.h.fire(),this.g.length>0&&this.j())}clear(){if(this.b)throw new Error("Object has been disposed");this.g.length=0,this.a=this.d}dispose(){this.b=!0,this.g.length=0,this.a=0,this.h.dispose()}}e.$kh=A;class F extends A{constructor(){super(1)}}e.$lh=F;class Q{constructor(){this.a=new oe,this.b=0}queue(N){return this.a.isRunning()?this.a.queue(()=>this.a.run(this.b++,N())):this.a.run(this.b++,N())}}e.$mh=Q;class te{constructor(){this.a=new Map,this.b=new Set,this.d=void 0,this.f=0}async whenDrained(){if(this.g())return;const N=new ge;return this.b.add(N),N.p}g(){for(const[,N]of this.a)if(N.size>0)return!1;return!0}queueSize(N,T=D.$Hg){const ee=T.getComparisonKey(N);return this.a.get(ee)?.size??0}queueFor(N,T,ee=D.$Hg){const ie=ee.getComparisonKey(N);let fe=this.a.get(ie);if(!fe){fe=new F;const ae=this.f++,pe=o.Event.once(fe.onDrained)(()=>{fe?.dispose(),this.a.delete(ie),this.h(),this.d?.deleteAndDispose(ae),this.d?.size===0&&(this.d.dispose(),this.d=void 0)});this.d||(this.d=new C.$3c),this.d.set(ae,pe),this.a.set(ie,fe)}return fe.queue(T)}h(){this.g()&&this.j()}j(){for(const N of this.b)N.complete();this.b.clear()}dispose(){for(const[,N]of this.a)N.dispose();this.a.clear(),this.j(),this.d?.dispose()}}e.$nh=te;class de{constructor(N,T){this.a=-1,typeof N=="function"&&typeof T=="number"&&this.setIfNotSet(N,T)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet(N,T){this.cancel(),this.a=setTimeout(()=>{this.a=-1,N()},T)}setIfNotSet(N,T){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,N()},T))}}e.$oh=de;class he{constructor(){this.d=void 0}cancel(){this.d?.dispose(),this.d=void 0}cancelAndSet(N,T,ee=globalThis){this.cancel();const ie=ee.setInterval(()=>{N()},T);this.d=(0,C.$Rc)(()=>{ee.clearInterval(ie),this.d=void 0})}dispose(){this.cancel()}}e.$ph=he;class B{constructor(N,T){this.b=-1,this.a=N,this.d=T,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule(N=this.d){this.cancel(),this.b=setTimeout(this.f,N)}get delay(){return this.d}set delay(N){this.d=N}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}e.$qh=B;class V{constructor(N,T){T%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${T}ms is not a multiple of 1000ms.`),this.a=N,this.b=T,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule(N=this.b){N%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${N}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil(N/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}e.$rh=V;class _ extends B{constructor(N,T){super(N,T),this.j=[]}work(N){this.j.push(N),this.isScheduled()||this.schedule()}h(){const N=this.j;this.j=[],this.a?.(N)}dispose(){this.j=[],super.dispose()}}e.$sh=_;class X extends C.$Tc{constructor(N,T){super(),this.g=N,this.h=T,this.a=[],this.b=this.B(new C.$Uc),this.f=!1}get pending(){return this.a.length}work(N){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+N.length>this.g.maxBufferedWork)return!1}else if(this.pending+N.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const T of N)this.a.push(T);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new B(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}e.$th=X,function(){typeof globalThis.requestIdleCallback!="function"||typeof globalThis.cancelIdleCallback!="function"?e.$vh=(J,N)=>{(0,S.$B)(()=>{if(T)return;const ee=Date.now()+15;N(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,ee-Date.now())}}))});let T=!1;return{dispose(){T||(T=!0)}}}:e.$vh=(J,N,T)=>{const ee=J.requestIdleCallback(N,typeof T=="number"?{timeout:T}:void 0);let ie=!1;return{dispose(){ie||(ie=!0,J.cancelIdleCallback(ee))}}},e.$uh=J=>(0,e.$vh)(globalThis,J)}();class ne{constructor(N,T){this.g=!1,this.d=()=>{try{this.j=T()}catch(ee){this.l=ee}finally{this.g=!0}},this.f=(0,e.$vh)(N,()=>this.d())}dispose(){this.f.dispose()}get value(){if(this.g||(this.f.dispose(),this.d()),this.l)throw this.l;return this.j}get isInitialized(){return this.g}}e.$wh=ne;class K extends ne{constructor(N){super(globalThis,N)}}e.$xh=K;async function G(J,N,T){let ee;for(let ie=0;ie<T;ie++)try{return await J()}catch(fe){ee=fe,await a(N)}throw ee}e.$yh=G;class oe{isRunning(N){return typeof N=="number"?this.a?.taskId===N:!!this.a}get running(){return this.a?.promise}cancelRunning(){this.a?.cancel()}run(N,T,ee){return this.a={taskId:N,cancel:()=>ee?.(),promise:T},T.then(()=>this.d(N),()=>this.d(N)),T}d(N){this.a&&N===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const N=this.b;this.b=void 0,N.run().then(N.promiseResolve,N.promiseReject)}}queue(N){if(this.b)this.b.run=N;else{const{promise:T,resolve:ee,reject:ie}=c();this.b={run:N,promise:T,promiseResolve:ee,promiseReject:ie}}return this.b.promise}hasQueued(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}e.$zh=oe;class ce{constructor(N,T=()=>Date.now()){this.d=N,this.f=T,this.a=0,this.b=0}increment(){const N=this.f();return N-this.a>this.d&&(this.a=N,this.b=0),this.b++,this.b}}e.$Ah=ce;var se;(function(J){J[J.Resolved=0]="Resolved",J[J.Rejected=1]="Rejected"})(se||(se={}));class ge{get isRejected(){return this.d?.outcome===1}get isResolved(){return this.d?.outcome===0}get isSettled(){return!!this.d}get value(){return this.d?.outcome===0?this.d?.value:void 0}constructor(){this.p=new Promise((N,T)=>{this.a=N,this.b=T})}complete(N){return new Promise(T=>{this.a(N),this.d={outcome:0,value:N},T()})}error(N){return new Promise(T=>{this.b(N),this.d={outcome:1,value:N},T()})}cancel(){return this.error(new R.$5)}}e.$Bh=ge;var U;(function(J){async function N(ee){let ie;const fe=await Promise.all(ee.map(ae=>ae.then(pe=>pe,pe=>{ie||(ie=pe)})));if(typeof ie<"u")throw ie;return fe}J.settled=N;function T(ee){return new Promise(async(ie,fe)=>{try{await ee(ie,fe)}catch(ae){fe(ae)}})}J.withAsyncBody=T})(U||(e.Promises=U={}));class q{get value(){return this.a}get error(){return this.b}get isResolved(){return this.d}constructor(N){this.a=void 0,this.b=void 0,this.d=!1,this.promise=N.then(T=>(this.a=T,this.d=!0,T),T=>{throw this.b=T,this.d=!0,T})}requireValue(){if(!this.d)throw new R.$cb("Promise is not resolved yet");if(this.b)throw this.b;return this.a}}e.$Ch=q;class M{constructor(N){this.b=N,this.a=new w.$V(()=>new q(this.b()))}requireValue(){return this.a.value.requireValue()}getPromise(){return this.a.value.promise}get currentValue(){return this.a.rawValue?.value}}e.$Dh=M;var z;(function(J){J[J.Initial=0]="Initial",J[J.DoneOK=1]="DoneOK",J[J.DoneError=2]="DoneError"})(z||(z={}));class x{static fromArray(N){return new x(T=>{T.emitMany(N)})}static fromPromise(N){return new x(async T=>{T.emitMany(await N)})}static fromPromises(N){return new x(async T=>{await Promise.all(N.map(async ee=>T.emitOne(await ee)))})}static merge(N){return new x(async T=>{await Promise.all(N.map(async ee=>{for await(const ie of ee)T.emitOne(ie)}))})}static{this.EMPTY=x.fromArray([])}constructor(N){this.a=0,this.b=[],this.d=null,this.f=new o.$5d,queueMicrotask(async()=>{const T={emitOne:ee=>this.g(ee),emitMany:ee=>this.h(ee),reject:ee=>this.k(ee)};try{await Promise.resolve(N(T)),this.j()}catch(ee){this.k(ee)}finally{T.emitOne=void 0,T.emitMany=void 0,T.reject=void 0}})}[Symbol.asyncIterator](){let N=0;return{next:async()=>{do{if(this.a===2)throw this.d;if(N<this.b.length)return{done:!1,value:this.b[N++]};if(this.a===1)return{done:!0,value:void 0};await o.Event.toPromise(this.f.event)}while(!0)}}}static map(N,T){return new x(async ee=>{for await(const ie of N)ee.emitOne(T(ie))})}map(N){return x.map(this,N)}static filter(N,T){return new x(async ee=>{for await(const ie of N)T(ie)&&ee.emitOne(ie)})}filter(N){return x.filter(this,N)}static coalesce(N){return x.filter(N,T=>!!T)}coalesce(){return x.coalesce(this)}static async toPromise(N){const T=[];for await(const ee of N)T.push(ee);return T}toPromise(){return x.toPromise(this)}g(N){this.a===0&&(this.b.push(N),this.f.fire())}h(N){this.a===0&&(this.b=this.b.concat(N),this.f.fire())}j(){this.a===0&&(this.a=1,this.f.fire())}k(N){this.a===0&&(this.a=2,this.d=N,this.f.fire())}}e.$Eh=x;class Y extends x{constructor(N,T){super(T),this.l=N}cancel(){this.l.cancel()}}e.$Fh=Y;function Z(J){const N=new E.$ce,T=J(N.token);return new Y(N,async ee=>{const ie=N.token.onCancellationRequested(()=>{ie.dispose(),N.dispose(),ee.reject(new R.$5)});try{for await(const fe of T){if(N.token.isCancellationRequested)return;ee.emitOne(fe)}ie.dispose(),N.dispose()}catch(fe){ie.dispose(),N.dispose(),ee.reject(fe)}})}e.$Gh=Z;class W{constructor(){this.a=new ge,this.b=new x(ee=>{if(N){ee.reject(N);return}return T&&ee.emitMany(T),this.d=ie=>ee.reject(ie),this.f=ie=>ee.emitOne(ie),this.a.p});let N,T;this.f=ee=>{T||(T=[]),T.push(ee)},this.d=ee=>{N||(N=ee)}}get asyncIterable(){return this.b}resolve(){this.a.complete()}reject(N){this.d(N),this.a.complete()}emitOne(N){this.f(N)}}e.$Hh=W}),define(ye[80],ke([1,0,18,15,40,24,7,3,17]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2j=e.$1j=e.$Zj=e.$Yj=e.$Xj=e.$Wj=e.$Vj=e.$Uj=e.$Tj=e.$Sj=void 0;function w(){return Object.create(null)}e.$Sj=w,e.$Tj="**",e.$Uj="/";const I="[/\\\\]",k="[^/\\\\]",p=/\//g;function d(ne,K){switch(ne){case 0:return"";case 1:return`${k}*?`;default:return`(?:${I}|${k}+${I}${K?`|${I}${k}+`:""})*?`}}function m(ne,K){if(!ne)return[];const G=[];let oe=!1,ce=!1,se="";for(const ge of ne){switch(ge){case K:if(!oe&&!ce){G.push(se),se="";continue}break;case"{":oe=!0;break;case"}":oe=!1;break;case"[":ce=!0;break;case"]":ce=!1;break}se+=ge}return se&&G.push(se),G}e.$Vj=m;function l(ne){if(!ne)return"";let K="";const G=m(ne,e.$Uj);if(G.every(oe=>oe===e.$Tj))K=".*";else{let oe=!1;G.forEach((ce,se)=>{if(ce===e.$Tj){if(oe)return;K+=d(2,se===G.length-1)}else{let ge=!1,U="",q=!1,M="";for(const z of ce){if(z!=="}"&&ge){U+=z;continue}if(q&&(z!=="]"||!M)){let x;z==="-"?x=z:(z==="^"||z==="!")&&!M?x="^":z===e.$Uj?x="":x=(0,v.$Xe)(z),M+=x;continue}switch(z){case"{":ge=!0;continue;case"[":q=!0;continue;case"}":{const Y=`(?:${m(U,",").map(Z=>l(Z)).join("|")})`;K+=Y,ge=!1,U="";break}case"]":{K+="["+M+"]",q=!1,M="";break}case"?":K+=k;continue;case"*":K+=d(1);continue;default:K+=(0,v.$Xe)(z)}}se<G.length-1&&(G[se+1]!==e.$Tj||se+2<G.length)&&(K+=I)}oe=ce===e.$Tj})}return K}const b=/^\*\*\/\*\.[\w\.-]+$/,c=/^\*\*\/([\w\.-]+)\/?$/,g=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,h=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,f=/^\*\*((\/[\w\.-]+)+)\/?$/,u=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new C.$Dc(1e4),s=function(){return!1},r=function(){return null};function n(ne,K){if(!ne)return r;let G;typeof ne!="string"?G=ne.pattern:G=ne,G=G.trim();const oe=`${G}_${!!K.trimForExclusions}`;let ce=t.get(oe);if(ce)return i(ce,ne);let se;return b.test(G)?ce=$(G.substr(4),G):(se=c.exec(a(G,K)))?ce=O(se[1],G):(K.trimForExclusions?h:g).test(G)?ce=P(G,K):(se=f.exec(a(G,K)))?ce=y(se[1].substr(1),G,!0):(se=u.exec(a(G,K)))?ce=y(se[1],G,!1):ce=A(G),t.set(oe,ce),i(ce,ne)}function i(ne,K){if(typeof K=="string")return ne;const G=function(oe,ce){return(0,o.$fg)(oe,K.base,!S.$k)?ne((0,v.$3e)(oe.substr(K.base.length),D.sep),ce):null};return G.allBasenames=ne.allBasenames,G.allPaths=ne.allPaths,G.basenames=ne.basenames,G.patterns=ne.patterns,G}function a(ne,K){return K.trimForExclusions&&ne.endsWith("/**")?ne.substr(0,ne.length-2):ne}function $(ne,K){return function(G,oe){return typeof G=="string"&&G.endsWith(ne)?K:null}}function O(ne,K){const G=`/${ne}`,oe=`\\${ne}`,ce=function(ge,U){return typeof ge!="string"?null:U?U===ne?K:null:ge===ne||ge.endsWith(G)||ge.endsWith(oe)?K:null},se=[ne];return ce.basenames=se,ce.patterns=[K],ce.allBasenames=se,ce}function P(ne,K){const G=_(ne.slice(1,-1).split(",").map(U=>n(U,K)).filter(U=>U!==r),ne),oe=G.length;if(!oe)return r;if(oe===1)return G[0];const ce=function(U,q){for(let M=0,z=G.length;M<z;M++)if(G[M](U,q))return ne;return null},se=G.find(U=>!!U.allBasenames);se&&(ce.allBasenames=se.allBasenames);const ge=G.reduce((U,q)=>q.allPaths?U.concat(q.allPaths):U,[]);return ge.length&&(ce.allPaths=ge),ce}function y(ne,K,G){const oe=D.sep===D.$gc.sep,ce=oe?ne:ne.replace(p,D.sep),se=D.sep+ce,ge=D.$gc.sep+ne;let U;return G?U=function(q,M){return typeof q=="string"&&(q===ce||q.endsWith(se)||!oe&&(q===ne||q.endsWith(ge)))?K:null}:U=function(q,M){return typeof q=="string"&&(q===ce||!oe&&q===ne)?K:null},U.allPaths=[(G?"*/":"./")+ne],U}function A(ne){try{const K=new RegExp(`^${l(ne)}$`);return function(G){return K.lastIndex=0,typeof G=="string"&&K.test(G)?ne:null}}catch{return r}}function F(ne,K,G){return!ne||typeof K!="string"?!1:Q(ne)(K,void 0,G)}e.$Wj=F;function Q(ne,K={}){if(!ne)return s;if(typeof ne=="string"||te(ne)){const G=n(ne,K);if(G===r)return s;const oe=function(ce,se){return!!G(ce,se)};return G.allBasenames&&(oe.allBasenames=G.allBasenames),G.allPaths&&(oe.allPaths=G.allPaths),oe}return B(ne,K)}e.$Xj=Q;function te(ne){const K=ne;return K?typeof K.base=="string"&&typeof K.pattern=="string":!1}e.$Yj=te;function de(ne){return ne.allBasenames||[]}e.$Zj=de;function he(ne){return ne.allPaths||[]}e.$1j=he;function B(ne,K){const G=_(Object.getOwnPropertyNames(ne).map(U=>V(U,ne[U],K)).filter(U=>U!==r)),oe=G.length;if(!oe)return r;if(!G.some(U=>!!U.requiresSiblings)){if(oe===1)return G[0];const U=function(z,x){let Y;for(let Z=0,W=G.length;Z<W;Z++){const J=G[Z](z,x);if(typeof J=="string")return J;(0,R.$3g)(J)&&(Y||(Y=[]),Y.push(J))}return Y?(async()=>{for(const Z of Y){const W=await Z;if(typeof W=="string")return W}return null})():null},q=G.find(z=>!!z.allBasenames);q&&(U.allBasenames=q.allBasenames);const M=G.reduce((z,x)=>x.allPaths?z.concat(x.allPaths):z,[]);return M.length&&(U.allPaths=M),U}const ce=function(U,q,M){let z,x;for(let Y=0,Z=G.length;Y<Z;Y++){const W=G[Y];W.requiresSiblings&&M&&(q||(q=(0,D.$nc)(U)),z||(z=q.substr(0,q.length-(0,D.$oc)(U).length)));const J=W(U,q,z,M);if(typeof J=="string")return J;(0,R.$3g)(J)&&(x||(x=[]),x.push(J))}return x?(async()=>{for(const Y of x){const Z=await Y;if(typeof Z=="string")return Z}return null})():null},se=G.find(U=>!!U.allBasenames);se&&(ce.allBasenames=se.allBasenames);const ge=G.reduce((U,q)=>q.allPaths?U.concat(q.allPaths):U,[]);return ge.length&&(ce.allPaths=ge),ce}function V(ne,K,G){if(K===!1)return r;const oe=n(ne,G);if(oe===r)return r;if(typeof K=="boolean")return oe;if(K){const ce=K.when;if(typeof ce=="string"){const se=(ge,U,q,M)=>{if(!M||!oe(ge,U))return null;const z=ce.replace("$(basename)",()=>q),x=M(z);return(0,R.$3g)(x)?x.then(Y=>Y?ne:null):x?ne:null};return se.requiresSiblings=!0,se}}return oe}function _(ne,K){const G=ne.filter(U=>!!U.basenames);if(G.length<2)return ne;const oe=G.reduce((U,q)=>{const M=q.basenames;return M?U.concat(M):U},[]);let ce;if(K){ce=[];for(let U=0,q=oe.length;U<q;U++)ce.push(K)}else ce=G.reduce((U,q)=>{const M=q.patterns;return M?U.concat(M):U},[]);const se=function(U,q){if(typeof U!="string")return null;if(!q){let z;for(z=U.length;z>0;z--){const x=U.charCodeAt(z-1);if(x===47||x===92)break}q=U.substr(z)}const M=oe.indexOf(q);return M!==-1?ce[M]:null};se.basenames=oe,se.patterns=ce,se.allBasenames=oe;const ge=ne.filter(U=>!U.basenames);return ge.push(se),ge}function X(ne,K){return(0,E.$ub)(ne,K,(G,oe)=>typeof G=="string"&&typeof oe=="string"?G===oe:typeof G!="string"&&typeof oe!="string"?G.base===oe.base&&G.pattern===oe.pattern:!1)}e.$2j=X}),define(ye[100],ke([1,0,10,153,19,17,4]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ak=e.$zk=e.$yk=e.$xk=e.$wk=e.$vk=e.$uk=e.$tk=e.$sk=e.MarkdownStringTextNewlineStyle=void 0;var S;(function(c){c[c.Paragraph=0]="Paragraph",c[c.Break=1]="Break"})(S||(e.MarkdownStringTextNewlineStyle=S={}));class v{constructor(g="",h=!1){if(this.value=g,typeof this.value!="string")throw(0,E.$7)("value");typeof h=="boolean"?(this.isTrusted=h,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=h.isTrusted??void 0,this.supportThemeIcons=h.supportThemeIcons??!1,this.supportHtml=h.supportHtml??!1)}appendText(g,h=0){return this.value+=p(this.supportThemeIcons?(0,R.$mk)(g):g).replace(/([ \t]+)/g,(f,u)=>"&nbsp;".repeat(u.length)).replace(/\>/gm,"\\>").replace(/\n/g,h===1?`\\
`:`

`),this}appendMarkdown(g){return this.value+=g,this}appendCodeblock(g,h){return this.value+=`
${d(h,g)}
`,this}appendLink(g,h,f){return this.value+="[",this.value+=this.c(h,"]"),this.value+="](",this.value+=this.c(String(g),")"),f&&(this.value+=` "${this.c(this.c(f,'"'),")")}"`),this.value+=")",this}c(g,h){const f=new RegExp((0,C.$Xe)(h),"g");return g.replace(f,(u,t)=>g.charAt(t-1)!=="\\"?`\\${u}`:u)}}e.$sk=v;function w(c){return I(c)?!c.value:Array.isArray(c)?c.every(w):!0}e.$tk=w;function I(c){return c instanceof v?!0:c&&typeof c=="object"?typeof c.value=="string"&&(typeof c.isTrusted=="boolean"||typeof c.isTrusted=="object"||c.isTrusted===void 0)&&(typeof c.supportThemeIcons=="boolean"||c.supportThemeIcons===void 0):!1}e.$uk=I;function k(c,g){return c===g?!0:!c||!g?!1:c.value===g.value&&c.isTrusted===g.isTrusted&&c.supportThemeIcons===g.supportThemeIcons&&c.supportHtml===g.supportHtml&&(c.baseUri===g.baseUri||!!c.baseUri&&!!g.baseUri&&(0,o.$Kg)(D.URI.from(c.baseUri),D.URI.from(g.baseUri)))}e.$vk=k;function p(c){return c.replace(/[\\`*_{}[\]()#+\-!~]/g,"\\$&")}e.$wk=p;function d(c,g){const h=c.match(/^`+/gm)?.reduce((u,t)=>u.length>t.length?u:t).length??0,f=h>=3?h+1:3;return[`${"`".repeat(f)}${g}`,c,`${"`".repeat(f)}`].join(`
`)}e.$xk=d;function m(c){return c.replace(/"/g,"&quot;")}e.$yk=m;function l(c){return c&&c.replace(/\\([\\`*_{}[\]()#+\-.!~])/g,"$1")}e.$zk=l;function b(c){const g=[],h=c.split("|").map(u=>u.trim());c=h[0];const f=h[1];if(f){const u=/height=(\d+)/.exec(f),t=/width=(\d+)/.exec(f),s=u?u[1]:"",r=t?t[1]:"",n=isFinite(parseInt(r)),i=isFinite(parseInt(s));n&&g.push(`width="${r}"`),i&&g.push(`height="${s}"`)}return{href:c,dimensions:g}}e.$Ak=b}),define(ye[170],ke([1,0,18,40,7,3,19,17]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ew=e.$dw=e.$cw=e.$bw=e.$aw=e.$_v=e.$$v=e.$0v=e.$9v=e.$8v=void 0;function v(n,i){const{os:a,tildify:$,relative:O}=i;if(O){const A=w(n,O,a);if(typeof A=="string")return A}let P=n.fsPath;if(a===1&&!C.$i?P=P.replace(/\//g,"\\"):a!==1&&C.$i&&(P=P.replace(/\\/g,"/")),a!==1&&$?.userHome){const A=$.userHome.fsPath;let F;n.scheme!==$.userHome.scheme&&n.path[0]===o.$gc.sep&&n.path[1]!==o.$gc.sep?F=$.userHome.with({path:n.path}).fsPath:F=P,P=p(F,A,a)}return(a===1?o.$fc:o.$gc).normalize(I(P,a===1))}e.$8v=v;function w(n,i,a){const $=a===1?o.$fc:o.$gc,O=a===3?D.$Hg:D.$Jg,P=i.getWorkspace(),y=(0,E.$Ob)(P.folders);if(!y)return;n.scheme!==y.uri.scheme&&n.path[0]===o.$gc.sep&&n.path[1]!==o.$gc.sep&&(n=y.uri.with({path:n.path}));const A=i.getWorkspaceFolder(n);if(!A)return;let F;if(O.isEqual(A.uri,n)?F="":F=O.relativePath(A.uri,n)??"",F&&(F=$.normalize(F)),P.folders.length>1&&!i.noPrefix){const Q=A.name?A.name:O.basenameOrAuthority(A.uri);F=F?`${Q} \u2022 ${F}`:Q}return F}function I(n,i=C.$i){return(0,R.$jg)(n,i)?n.charAt(0).toUpperCase()+n.slice(1):n}e.$9v=I;let k=Object.create(null);function p(n,i,a=C.OS){if(a===1||!n||!i)return n;let $=k.original===i?k.normalized:void 0;$||($=i,C.$i&&($=(0,R.$_f)($)),$=`${(0,S.$4e)($,o.$gc.sep)}${o.$gc.sep}`,k={original:i,normalized:$});let O=n;return C.$i&&(O=(0,R.$_f)(O)),(a===3?O.startsWith($):(0,S.$kf)(O,$))?`~/${O.substr($.length)}`:n}e.$0v=p;function d(n,i){return n.replace(/^~($|\/|\\)/,`${i}$1`)}e.$$v=d;const m="\u2026",l="\\\\",b="~";function c(n,i=o.sep){const a=new Array(n.length);let $=!1;for(let O=0;O<n.length;O++){const P=n[O];if(P===""){a[O]=`.${i}`;continue}if(!P){a[O]=P;continue}$=!0;let y="",A=P;A.indexOf(l)===0?(y=A.substr(0,A.indexOf(l)+l.length),A=A.substr(A.indexOf(l)+l.length)):A.indexOf(i)===0?(y=A.substr(0,A.indexOf(i)+i.length),A=A.substr(A.indexOf(i)+i.length)):A.indexOf(b)===0&&(y=A.substr(0,A.indexOf(b)+b.length),A=A.substr(A.indexOf(b)+b.length));const F=A.split(i);for(let Q=1;$&&Q<=F.length;Q++)for(let te=F.length-Q;$&&te>=0;te--){$=!1;let de=F.slice(te,te+Q).join(i);for(let he=0;!$&&he<n.length;he++)if(he!==O&&n[he]&&n[he].indexOf(de)>-1){const B=te+Q===F.length,V=te>0&&n[he].indexOf(i)>-1?i+de:de,_=n[he].endsWith(V);$=!B||_}if(!$){let he="";(F[0].endsWith(":")||y!=="")&&(te===1&&(te=0,Q++,de=F[0]+i+de),te>0&&(he=F[0]+i),he=y+he),te>0&&(he=he+m+i),he=he+de,te+Q<F.length&&(he=he+i+m),a[O]=he}}$&&(a[O]=P)}return a}e.$_v=c;var g;(function(n){n[n.TEXT=0]="TEXT",n[n.VARIABLE=1]="VARIABLE",n[n.SEPARATOR=2]="SEPARATOR"})(g||(g={}));function h(n,i=Object.create(null)){const a=[];let $=!1,O="";for(const P of n)if(P==="$"||$&&P==="{")O&&a.push({value:O,type:g.TEXT}),O="",$=!0;else if(P==="}"&&$){const y=i[O];if(typeof y=="string")y.length&&a.push({value:y,type:g.VARIABLE});else if(y){const A=a[a.length-1];(!A||A.type!==g.SEPARATOR)&&a.push({value:y.label,type:g.SEPARATOR})}O="",$=!1}else O+=P;return O&&!$&&a.push({value:O,type:g.TEXT}),a.filter((P,y)=>{if(P.type===g.SEPARATOR){const A=a[y-1],F=a[y+1];return[A,F].every(Q=>Q&&(Q.type===g.VARIABLE||Q.type===g.TEXT)&&Q.value.length>0)}return!0}).map(P=>P.value).join("")}e.$aw=h;function f(n,i){return C.$j||i?n.replace(/\(&&\w\)|&&/g,"").replace(/&/g,C.$j?"&":"&&"):n.replace(/&&|&/g,a=>a==="&"?"&&":"&")}e.$bw=f;function u(n,i){return C.$j||i?n.replace(/\(&&\w\)|&&/g,""):C.$i?n.replace(/&&|&/g,a=>a==="&"?"&&":"&"):n.replace(/&&/g,"_")}e.$cw=u;function t(n){return n.replace(/&/g,"&&")}e.$dw=t;function s(n){if(n.endsWith("]")){const i=n.lastIndexOf(" [",n.length-2);if(i!==-1){const a=r(n.substring(0,i)),$=n.substring(i);return{name:a.name+$,parentPath:a.parentPath}}}return r(n)}e.$ew=s;function r(n){const i=n.indexOf("/")!==-1?o.$gc:o.$fc,a=i.basename(n),$=i.dirname(n);return a.length?{name:a,parentPath:$}:{name:$,parentPath:""}}}),define(ye[53],ke([1,0,14,4]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hn=e.$gn=e.$fn=e.$en=e.$dn=void 0;function o(k){return k.toJSON()}class C{constructor(p){this.a=p}transformIncoming(p){const d=this.a.transformIncoming(p);return d===p?p:o(R.URI.from(d))}transformOutgoing(p){const d=this.a.transformOutgoing(p);return d===p?p:o(R.URI.from(d))}transformOutgoingURI(p){const d=this.a.transformOutgoing(p);return d===p?p:R.URI.from(d)}transformOutgoingScheme(p){return this.a.transformOutgoingScheme(p)}}e.$dn=C,e.$en=new class{transformIncoming(k){return k}transformOutgoing(k){return k}transformOutgoingURI(k){return k}transformOutgoingScheme(k){return k}};function D(k,p,d){if(!k||d>200)return null;if(typeof k=="object"){if(k instanceof R.URI)return p.transformOutgoing(k);for(const m in k)if(Object.hasOwnProperty.call(k,m)){const l=D(k[m],p,d+1);l!==null&&(k[m]=l)}}return null}function S(k,p){const d=D(k,p,0);return d===null?k:d}e.$fn=S;function v(k,p,d,m){if(!k||m>200)return null;if(typeof k=="object"){if(k.$mid===1)return d?R.URI.revive(p.transformIncoming(k)):p.transformIncoming(k);if(k instanceof E.$se)return null;for(const l in k)if(Object.hasOwnProperty.call(k,l)){const b=v(k[l],p,d,m+1);b!==null&&(k[l]=b)}}return null}function w(k,p){const d=v(k,p,!1,0);return d===null?k:d}e.$gn=w;function I(k,p){const d=v(k,p,!0,0);return d===null?k:d}e.$hn=I}),define(ye[101],ke([1,0,28,64,22,156,3]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ln=e.$kn=e.$jn=void 0,e.$jn=new class{c(p){return this.a||(this.a=R.$ki.forStrings(),this.a.set("00-50-56",!0),this.a.set("00-0C-29",!0),this.a.set("00-05-69",!0),this.a.set("00-03-FF",!0),this.a.set("00-1C-42",!0),this.a.set("00-16-3E",!0),this.a.set("08-00-27",!0),this.a.set("00:50:56",!0),this.a.set("00:0C:29",!0),this.a.set("00:05:69",!0),this.a.set("00:03:FF",!0),this.a.set("00:1C:42",!0),this.a.set("00:16:3E",!0),this.a.set("08:00:27",!0)),!!this.a.findSubstr(p)}value(){if(this.b===void 0){let p=0,d=0;const m=(0,E.networkInterfaces)();for(const l in m){const b=m[l];if(b)for(const{mac:c,internal:g}of b)g||(d+=1,this.c(c.toUpperCase())&&(p+=1))}this.b=d>0?p/d:0}return this.b}};let S;async function v(p){return S||(S=(async()=>await w(p)||o.$Ag())()),S}e.$kn=v;async function w(p){try{const d=await new Promise((l,b)=>{le(["crypto"],l,b)}),m=(0,C.$in)();return d.createHash("sha256").update(m,"utf8").digest("hex")}catch(d){p(d);return}}const I="Software\\Microsoft\\SQMClient";async function k(p){if(D.$i){const d=await new Promise((m,l)=>{le(["@vscode/windows-registry"],m,l)});try{return d.GetStringRegKey("HKEY_LOCAL_MACHINE",I,"MachineId")||""}catch(m){return p(m),""}}return""}e.$ln=k}),define(ye[171],ke([1,0,27,298,299,3]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bg=void 0;async function D(S){if(C.$j||C.$i)return;let v;for(const w of["/etc/os-release","/usr/lib/os-release","/etc/lsb-release"])try{v=await(0,R.open)(w,E.constants.R_OK);break}catch{}if(!v){S("Unable to retrieve release information from known identifier paths.");return}try{const w=new Set(["ID","DISTRIB_ID","ID_LIKE","VERSION_ID","DISTRIB_RELEASE"]),I={id:"unknown"};for await(const k of(0,o.createInterface)({input:v.createReadStream(),crlfDelay:1/0})){if(!k.includes("="))continue;const p=k.split("=")[0].toUpperCase().trim();if(w.has(p)){const d=k.split("=")[1].replace(/"/g,"").toLowerCase().trim();p==="ID"||p==="DISTRIB_ID"?I.id=d:p==="ID_LIKE"?I.id_like=d:(p==="VERSION_ID"||p==="DISTRIB_RELEASE")&&(I.version_id=d)}}return I}catch(w){S(w)}}e.$Bg=D}),define(ye[23],ke([1,0,27,28,300,15,40,98,7,3,19,4]),function(le,e,E,R,o,C,D,S,v,w,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.configureFlushOnWrite=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var p;(function(V){V[V.UNLINK=0]="UNLINK",V[V.MOVE=1]="MOVE"})(p||(e.RimRafMode=p={}));async function d(V,_=p.UNLINK,X){if((0,D.$ig)(V))throw new Error("rimraf - will refuse to recursively delete root");return _===p.UNLINK?l(V):m(V,X)}async function m(V,_=(0,D.$ng)((0,R.tmpdir)())){try{try{await E.promises.rename(V,_)}catch(X){return X.code==="ENOENT"?void 0:l(V)}l(_).catch(X=>{})}catch(X){if(X.code!=="ENOENT")throw X}}async function l(V){return(0,o.promisify)(E.rm)(V,{recursive:!0,force:!0,maxRetries:3})}function b(V){if((0,D.$ig)(V))throw new Error("rimraf - will refuse to recursively delete root");E.rmSync(V,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=b;async function c(V,_){return f(await(_?g(V):(0,o.promisify)(E.readdir)(V)))}async function g(V){try{return await(0,o.promisify)(E.readdir)(V,{withFileTypes:!0})}catch(ne){console.warn("[node.js fs] readdir with filetypes failed with error: ",ne)}const _=[],X=await c(V);for(const ne of X){let K=!1,G=!1,oe=!1;try{const ce=await e.Promises.lstat((0,v.$jc)(V,ne));K=ce.isFile(),G=ce.isDirectory(),oe=ce.isSymbolicLink()}catch(ce){console.warn("[node.js fs] unexpected error from lstat after readdir: ",ce)}_.push({name:ne,isFile:()=>K,isDirectory:()=>G,isSymbolicLink:()=>oe})}return _}function h(V){return f(E.readdirSync(V))}e.readdirSync=h;function f(V){return V.map(_=>typeof _=="string"?w.$j?(0,S.$Rl)(_):_:(_.name=w.$j?(0,S.$Rl)(_.name):_.name,_))}async function u(V){const _=await c(V),X=[];for(const ne of _)await s.existsDirectory((0,v.$jc)(V,ne))&&X.push(ne);return X}function t(V,_=1e3){return new Promise(X=>{let ne=!1;const K=setInterval(()=>{ne||(ne=!0,E.access(V,G=>{ne=!1,G&&(clearInterval(K),X(void 0))}))},_)})}e.whenDeleted=t;var s;(function(V){async function _(K){let G;try{if(G=await e.Promises.lstat(K),!G.isSymbolicLink())return{stat:G}}catch{}try{return{stat:await e.Promises.stat(K),symbolicLink:G?.isSymbolicLink()?{dangling:!1}:void 0}}catch(oe){if(oe.code==="ENOENT"&&G)return{stat:G,symbolicLink:{dangling:!0}};if(w.$i&&oe.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(K)),symbolicLink:{dangling:!1}}}catch(ce){if(ce.code==="ENOENT"&&G)return{stat:G,symbolicLink:{dangling:!0}};throw ce}throw oe}}V.stat=_;async function X(K){try{const{stat:G,symbolicLink:oe}=await V.stat(K);return G.isFile()&&oe?.dangling!==!0}catch{}return!1}V.existsFile=X;async function ne(K){try{const{stat:G,symbolicLink:oe}=await V.stat(K);return G.isDirectory()&&oe?.dangling!==!0}catch{}return!1}V.existsDirectory=ne})(s||(e.SymlinkSupport=s={}));const r=new C.$nh;function n(V,_,X){return r.queueFor(k.URI.file(V),()=>{const ne=P(X);return new Promise((K,G)=>$(V,_,ne,oe=>oe?G(oe):K()))},I.$Ig)}let i=!0;function a(V){i=V}e.configureFlushOnWrite=a;function $(V,_,X,ne){if(!i)return E.writeFile(V,_,{mode:X.mode,flag:X.flag},ne);E.open(V,X.flag,X.mode,(K,G)=>{if(K)return ne(K);E.writeFile(G,_,oe=>{if(oe)return E.close(G,()=>ne(oe));E.fdatasync(G,ce=>(ce&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",ce),a(!1)),E.close(G,se=>ne(se))))})})}function O(V,_,X){const ne=P(X);if(!i)return E.writeFileSync(V,_,{mode:ne.mode,flag:ne.flag});const K=E.openSync(V,ne.flag,ne.mode);try{E.writeFileSync(K,_);try{E.fdatasyncSync(K)}catch(G){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",G),a(!1)}}finally{E.closeSync(K)}}e.writeFileSync=O;function P(V){return V?{mode:typeof V.mode=="number"?V.mode:438,flag:typeof V.flag=="string"?V.flag:"w"}:{mode:438,flag:"w"}}async function y(V,_,X=6e4){if(V!==_)try{w.$i&&typeof X=="number"?await A(V,_,Date.now(),X):await(0,o.promisify)(E.rename)(V,_)}catch(ne){if(V.toLowerCase()!==_.toLowerCase()&&ne.code==="EXDEV"||V.endsWith("."))await F(V,_,{preserveSymlinks:!1}),await d(V,p.MOVE);else throw ne}}async function A(V,_,X,ne,K=0){try{return await(0,o.promisify)(E.rename)(V,_)}catch(G){if(G.code!=="EACCES"&&G.code!=="EPERM"&&G.code!=="EBUSY")throw G;if(Date.now()-X>=ne)throw console.error(`[node.js fs] rename failed after ${K} retries with error: ${G}`),G;if(K===0){let oe=!1;try{const{stat:ce}=await s.stat(_);ce.isFile()||(oe=!0)}catch{}if(oe)throw G}return await(0,C.$fh)(Math.min(100,K*10)),A(V,_,X,ne,K+1)}}async function F(V,_,X){return te(V,_,{root:{source:V,target:_},options:X,handledSourcePaths:new Set})}const Q=511;async function te(V,_,X){if(X.handledSourcePaths.has(V))return;X.handledSourcePaths.add(V);const{stat:ne,symbolicLink:K}=await s.stat(V);if(K){if(X.options.preserveSymlinks)try{return await B(V,_,X)}catch{}if(K.dangling)return}return ne.isDirectory()?de(V,_,ne.mode&Q,X):he(V,_,ne.mode&Q)}async function de(V,_,X,ne){await e.Promises.mkdir(_,{recursive:!0,mode:X});const K=await c(V);for(const G of K)await te((0,v.$jc)(V,G),(0,v.$jc)(_,G),ne)}async function he(V,_,X){await e.Promises.copyFile(V,_),await e.Promises.chmod(_,X)}async function B(V,_,X){let ne=await e.Promises.readlink(V);(0,D.$fg)(ne,X.root.source,!w.$k)&&(ne=(0,v.$jc)(X.root.target,ne.substr(X.root.source.length+1))),await e.Promises.symlink(ne,_)}e.Promises=new class{get access(){return(0,o.promisify)(E.access)}get stat(){return(0,o.promisify)(E.stat)}get lstat(){return(0,o.promisify)(E.lstat)}get utimes(){return(0,o.promisify)(E.utimes)}get read(){return(V,_,X,ne,K)=>new Promise((G,oe)=>{E.read(V,_,X,ne,K,(ce,se,ge)=>ce?oe(ce):G({bytesRead:se,buffer:ge}))})}get readFile(){return(0,o.promisify)(E.readFile)}get write(){return(V,_,X,ne,K)=>new Promise((G,oe)=>{E.write(V,_,X,ne,K,(ce,se,ge)=>ce?oe(ce):G({bytesWritten:se,buffer:ge}))})}get appendFile(){return(0,o.promisify)(E.appendFile)}get fdatasync(){return(0,o.promisify)(E.fdatasync)}get truncate(){return(0,o.promisify)(E.truncate)}get copyFile(){return(0,o.promisify)(E.copyFile)}get open(){return(0,o.promisify)(E.open)}get close(){return(0,o.promisify)(E.close)}get symlink(){return(0,o.promisify)(E.symlink)}get readlink(){return(0,o.promisify)(E.readlink)}get chmod(){return(0,o.promisify)(E.chmod)}get mkdir(){return(0,o.promisify)(E.mkdir)}get unlink(){return(0,o.promisify)(E.unlink)}get rmdir(){return(0,o.promisify)(E.rmdir)}get realpath(){return(0,o.promisify)(E.realpath)}async exists(V){try{return await e.Promises.access(V),!0}catch{return!1}}get readdir(){return c}get readDirsInDir(){return u}get writeFile(){return n}get rm(){return d}get rename(){return y}get copy(){return F}}}),define(ye[172],ke([1,0,27,7,3,17,23]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hq=e.$Gq=e.$Fq=e.$Eq=void 0;function S(p){if(o.$k)return p;const d=(0,R.$mc)(p);if(p===d)return p;const m=((0,R.$nc)(p)||p).toLowerCase();try{const b=(0,D.readdirSync)(d).filter(c=>c.toLowerCase()===m);if(b.length===1){const c=S(d);if(c)return(0,R.$jc)(c,b[0])}else if(b.length>1){const c=b.indexOf(m);if(c>=0){const g=S(d);if(g)return(0,R.$jc)(g,b[c])}}}catch{}return null}e.$Eq=S;async function v(p){if(o.$k)return p;const d=(0,R.$mc)(p);if(p===d)return p;const m=((0,R.$nc)(p)||p).toLowerCase();try{const b=(await D.Promises.readdir(d)).filter(c=>c.toLowerCase()===m);if(b.length===1){const c=await v(d);if(c)return(0,R.$jc)(c,b[0])}else if(b.length>1){const c=b.indexOf(m);if(c>=0){const g=await v(d);if(g)return(0,R.$jc)(g,b[c])}}}catch{}return null}e.$Fq=v;async function w(p){try{return await D.Promises.realpath(p)}catch{const m=k(p);return await D.Promises.access(m,E.constants.R_OK),m}}e.$Gq=w;function I(p){try{return E.realpathSync(p)}catch{const m=k(p);return E.accessSync(m,E.constants.R_OK),m}}e.$Hq=I;function k(p){return(0,C.$4e)((0,R.$hc)(p),R.sep)}}),define(ye[102],ke([1,0,28,7,23]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2l=e.$1l=void 0;const C=/^\d+$/,D=/^Microsoft.PowerShell_.*/,S=/^Microsoft.PowerShellPreview_.*/;var v;(function(f){f[f.x64=0]="x64",f[f.x86=1]="x86",f[f.ARM=2]="ARM"})(v||(v={}));let w;switch(process.arch){case"ia32":w=1;break;case"arm":case"arm64":w=2;break;default:w=0;break}let I;process.env.PROCESSOR_ARCHITEW6432?I=process.env.PROCESSOR_ARCHITEW6432==="ARM64"?2:0:process.env.PROCESSOR_ARCHITECTURE==="ARM64"?I=2:process.env.PROCESSOR_ARCHITECTURE==="X86"?I=1:I=0;class k{constructor(u,t,s){this.exePath=u,this.displayName=t,this.a=s}async exists(){return this.a===void 0&&(this.a=await o.SymlinkSupport.existsFile(this.exePath)),this.a}}function p({useAlternateBitness:f=!1}={}){return f?w===0?process.env["ProgramFiles(x86)"]||null:I===0&&process.env.ProgramW6432||null:process.env.ProgramFiles||null}async function d({useAlternateBitness:f=!1,findPreview:u=!1}={}){const t=p({useAlternateBitness:f});if(!t)return null;const s=R.$jc(t,"PowerShell");if(!await o.SymlinkSupport.existsDirectory(s))return null;let r=-1,n=null;for(const $ of await o.Promises.readdir(s)){let O=-1;if(u){const y=$.indexOf("-");if(y<0)continue;const A=$.substring(0,y);if(!C.test(A)||$.substring(y+1)!=="preview")continue;O=parseInt(A,10)}else{if(!C.test($))continue;O=parseInt($,10)}if(O<=r)continue;const P=R.$jc(s,$,"pwsh.exe");await o.SymlinkSupport.existsFile(P)&&(n=P,r=O)}if(!n)return null;const i=t.includes("x86")?" (x86)":"",a=u?" Preview":"";return new k(n,`PowerShell${a}${i}`,!0)}async function m({findPreview:f}={}){if(!process.env.LOCALAPPDATA)return null;const u=R.$jc(process.env.LOCALAPPDATA,"Microsoft","WindowsApps");if(!await o.SymlinkSupport.existsDirectory(u))return null;const{pwshMsixDirRegex:t,pwshMsixName:s}=f?{pwshMsixDirRegex:S,pwshMsixName:"PowerShell Preview (Store)"}:{pwshMsixDirRegex:D,pwshMsixName:"PowerShell (Store)"};for(const r of await o.Promises.readdir(u))if(t.test(r)){const n=R.$jc(u,r,"pwsh.exe");return new k(n,s)}return null}function l(){const f=R.$jc(E.homedir(),".dotnet","tools","pwsh.exe");return new k(f,".NET Core PowerShell Global Tool")}function b(){const f=R.$jc(process.env.windir,w===1&&I!==1?"SysNative":"System32","WindowsPowerShell","v1.0","powershell.exe");return new k(f,"Windows PowerShell",!0)}async function*c(){let f=await d();f&&(yield f),f=await d({useAlternateBitness:!0}),f&&(yield f),f=await m(),f&&(yield f),f=l(),f&&(yield f),f=await d({findPreview:!0}),f&&(yield f),f=await m({findPreview:!0}),f&&(yield f),f=await d({useAlternateBitness:!0,findPreview:!0}),f&&(yield f),f=b(),f&&(yield f)}async function*g(){for await(const f of c())await f.exists()&&(yield f)}e.$1l=g;async function h(){for await(const f of g())return f;return null}e.$2l=h}),define(ye[103],ke([1,0,7,3,29,66,11,23]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.$6l=e.$5l=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return C.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return C.TerminateResponseCode}});function v(k=o.env){return k.comspec||"cmd.exe"}e.$5l=v;function w(k){let p=[],d=!1;const m=function(l){if(d){p.push(l);return}(!k.send(l,c=>{if(c&&console.error(c),d=!1,p.length>0){const g=p.slice(0);p=[],g.forEach(h=>m(h))}})||R.$i)&&(d=!0)};return{send:m}}e.$6l=w;var I;(function(k){async function p(d,m,l){if(E.$ic(d))return d;if(m===void 0&&(m=o.cwd()),E.$mc(d)!=="."||(l===void 0&&D.$Sf(o.env.PATH)&&(l=o.env.PATH.split(E.$tc)),l===void 0||l.length===0))return E.$jc(m,d);async function c(g){if(await S.Promises.exists(g)){let h;try{h=await S.Promises.stat(g)}catch(f){f.message.startsWith("EACCES")&&(h=await S.Promises.lstat(g))}return h?!h.isDirectory():!1}return!1}for(const g of l){let h;if(E.$ic(g)?h=E.$jc(g,d):h=E.$jc(m,g,d),await c(h))return h;let f=h+".com";if(await c(f)||(f=h+".exe",await c(f)))return f}return E.$jc(m,d)}k.findExecutable=p})(I||(e.win32=I={}))}),define(ye[104],ke([1,0,54,12]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ds=void 0;function o(D){return new Promise((S,v)=>{let w;const I=new Map;function k(d,m,l,b,c){const g=I.get(m);if(d===D||g){const h={name:p(l),cmd:l,pid:d,ppid:m,load:b,mem:c};I.set(d,h),d===D&&(w=h),g&&(g.children||(g.children=[]),g.children.push(h),g.children.length>1&&(g.children=g.children.sort((f,u)=>f.pid-u.pid)))}}function p(d){const m=/--utility-sub-type=network/i,l=/--crashes-directory/i,b=/\\pipe\\winpty-control/i,c=/conhost\.exe.+--headless/i,g=/--type=([a-zA-Z-]+)/;if(l.exec(d))return"electron-crash-reporter";if(b.exec(d))return"winpty-agent";if(c.exec(d))return"conpty-agent";let h=g.exec(d);if(h&&h.length===2)return h[1]==="renderer"?"window":h[1]==="utility"?m.exec(d)?"utility-network-service":"utility-process":h[1]==="extensionHost"?"extension-host":h[1];const f=/[a-zA-Z-]+\.js/g;let u="";do h=f.exec(d),h&&(u+=h+" ");while(h);return u&&d.indexOf("node ")<0&&d.indexOf("node.exe")<0?`electron-nodejs (${u})`:d}if(process.platform==="win32"){const d=m=>m.indexOf("\\\\?\\")===0||m.indexOf("\\??\\")===0?m.substring(4):m.indexOf('"\\\\?\\')===0||m.indexOf('"\\??\\')===0?'"'+m.substring(5):m;new Promise((m,l)=>{le(["@vscode/windows-process-tree"],m,l)}).then(m=>{m.getProcessList(D,l=>{if(!l){v(new Error(`Root process ${D} not found`));return}m.getProcessCpuUsage(l,b=>{const c=new Map;b.forEach(g=>{const h=d(g.commandLine||"");c.set(g.pid,{name:p(h),cmd:h,pid:g.pid,ppid:g.ppid,load:g.cpu||0,mem:g.memory||0})}),w=c.get(D),w?(c.forEach(g=>{const h=c.get(g.ppid);h&&(h.children||(h.children=[]),h.children.push(g))}),c.forEach(g=>{g.children&&(g.children=g.children.sort((h,f)=>h.pid-f.pid))}),S(w)):v(new Error(`Root process ${D} not found`))})},m.ProcessDataFlag.CommandLine|m.ProcessDataFlag.Memory)})}else{let d=function(){let m=[w];const l=[];for(;m.length;){const c=m.shift();c&&(l.push(c.pid),c.children&&(m=m.concat(c.children)))}let b=JSON.stringify(R.$yg.asFileUri("vs/base/node/cpuUsage.sh").fsPath);b+=" "+l.join(" "),(0,E.exec)(b,{},(c,g,h)=>{if(c||h)v(c||new Error(h.toString()));else{const f=g.toString().split(`
`);for(let u=0;u<l.length;u++){const t=I.get(l[u]);t.load=parseFloat(f[u])}if(!w){v(new Error(`Root process ${D} not found`));return}S(w)}})};(0,E.exec)("which ps",{},(m,l,b)=>{if(m||b)if(process.platform!=="linux")v(m||new Error(b.toString()));else{const c=JSON.stringify(R.$yg.asFileUri("vs/base/node/ps.sh").fsPath);(0,E.exec)(c,{},(g,h,f)=>{g||f?v(g||new Error(f.toString())):(C(h,k),d())})}else{const c=l.toString().trim();(0,E.exec)(`${c} -ax -o pid=,ppid=,pcpu=,pmem=,command=`,{maxBuffer:1e3*1024,env:{LC_NUMERIC:"en_US.UTF-8"}},(h,f,u)=>{h||u&&!u.includes("screen size is bogus")?v(h||new Error(u.toString())):(C(f,k),process.platform==="linux"?d():w?S(w):v(new Error(`Root process ${D} not found`)))})}})}})}e.$ds=o;function C(D,S){const v=/^\s*([0-9]+)\s+([0-9]+)\s+([0-9]+\.[0-9]+)\s+([0-9]+\.[0-9]+)\s+(.+)$/,w=D.toString().split(`
`);for(const I of w){const k=v.exec(I.trim());k&&k.length===6&&S(parseInt(k[1]),parseInt(k[2]),k[5],parseFloat(k[3]),parseFloat(k[4]))}}}),define(ye[105],ke([1,0,28,3,102,103]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7l=void 0;async function D(k,p){return k===1?R.$i?I():C.$5l(p):v(k,p)}e.$7l=D;let S=null;function v(k,p){if(R.$k&&k===2||R.$j&&k===3)return"/bin/bash";if(!S){let d;if(R.$i)d="/bin/bash";else{if(d=p.SHELL,!d)try{d=(0,E.userInfo)().shell}catch{}d||(d="sh"),d==="/bin/false"&&(d="/bin/bash")}S=d}return S}let w=null;async function I(){return w||(w=(await(0,o.$2l)()).exePath),w}});var Me=this&&this.__decorate||function(le,e,E,R){var o=arguments.length,C=o<3?e:R===null?R=Object.getOwnPropertyDescriptor(e,E):R,D;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")C=Reflect.decorate(le,e,E,R);else for(var S=le.length-1;S>=0;S--)(D=le[S])&&(C=(o<3?D(C):o>3?D(e,E,C):D(e,E))||C);return o>3&&C&&Object.defineProperty(e,E,C),C};define(ye[44],ke([1,0,18,15,14,20,75,10,6,2,52,17,11]),function(le,e,E,R,o,C,D,S,v,w,I,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zh=e.ProxyChannel=e.$Yh=e.$Xh=e.$Wh=e.$Vh=e.$Uh=e.$Th=e.RequestInitiator=e.$Sh=e.$Rh=e.$Qh=e.$Ph=e.$Oh=void 0;var d;(function(K){K[K.Promise=100]="Promise",K[K.PromiseCancel=101]="PromiseCancel",K[K.EventListen=102]="EventListen",K[K.EventDispose=103]="EventDispose"})(d||(d={}));function m(K){switch(K){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var l;(function(K){K[K.Initialize=200]="Initialize",K[K.PromiseSuccess=201]="PromiseSuccess",K[K.PromiseError=202]="PromiseError",K[K.PromiseErrorObj=203]="PromiseErrorObj",K[K.EventFire=204]="EventFire"})(l||(l={}));function b(K){switch(K){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var c;(function(K){K[K.Uninitialized=0]="Uninitialized",K[K.Idle=1]="Idle"})(c||(c={}));function g(K){let G=0;for(let oe=0;;oe+=7){const ce=K.read(1);if(G|=(ce.buffer[0]&127)<<oe,!(ce.buffer[0]&128))return G}}const h=r(0);function f(K,G){if(G===0){K.write(h);return}let oe=0;for(let se=G;se!==0;se=se>>>7)oe++;const ce=o.$se.alloc(oe);for(let se=0;G!==0;se++)ce.buffer[se]=G&127,G=G>>>7,G>0&&(ce.buffer[se]|=128);K.write(ce)}class u{constructor(G){this.b=G,this.a=0}read(G){const oe=this.b.slice(this.a,this.a+G);return this.a+=oe.byteLength,oe}}e.$Oh=u;class t{constructor(){this.a=[]}get buffer(){return o.$se.concat(this.a)}write(G){this.a.push(G)}}e.$Ph=t;var s;(function(K){K[K.Undefined=0]="Undefined",K[K.String=1]="String",K[K.Buffer=2]="Buffer",K[K.VSBuffer=3]="VSBuffer",K[K.Array=4]="Array",K[K.Object=5]="Object",K[K.Int=6]="Int"})(s||(s={}));function r(K){const G=o.$se.alloc(1);return G.writeUInt8(K,0),G}const n={Undefined:r(s.Undefined),String:r(s.String),Buffer:r(s.Buffer),VSBuffer:r(s.VSBuffer),Array:r(s.Array),Object:r(s.Object),Uint:r(s.Int)},i=typeof Buffer<"u";function a(K,G){if(typeof G>"u")K.write(n.Undefined);else if(typeof G=="string"){const oe=o.$se.fromString(G);K.write(n.String),f(K,oe.byteLength),K.write(oe)}else if(i&&Buffer.isBuffer(G)){const oe=o.$se.wrap(G);K.write(n.Buffer),f(K,oe.byteLength),K.write(oe)}else if(G instanceof o.$se)K.write(n.VSBuffer),f(K,G.byteLength),K.write(G);else if(Array.isArray(G)){K.write(n.Array),f(K,G.length);for(const oe of G)a(K,oe)}else if(typeof G=="number"&&(G|0)===G)K.write(n.Uint),f(K,G);else{const oe=o.$se.fromString(JSON.stringify(G));K.write(n.Object),f(K,oe.byteLength),K.write(oe)}}e.$Qh=a;function $(K){switch(K.read(1).readUInt8(0)){case s.Undefined:return;case s.String:return K.read(g(K)).toString();case s.Buffer:return K.read(g(K)).buffer;case s.VSBuffer:return K.read(g(K));case s.Array:{const oe=g(K),ce=[];for(let se=0;se<oe;se++)ce.push($(K));return ce}case s.Object:return JSON.parse(K.read(g(K)).toString());case s.Int:return g(K)}}e.$Rh=$;class O{constructor(G,oe,ce=null,se=1e3){this.h=G,this.j=oe,this.k=ce,this.l=se,this.b=new Map,this.d=new Map,this.g=new Map,this.f=this.h.onMessage(ge=>this.q(ge)),this.m({type:200})}registerChannel(G,oe){this.b.set(G,oe),setTimeout(()=>this.w(G),0)}m(G){switch(G.type){case 200:{const oe=this.o([G.type]);this.k?.logOutgoing(oe,0,1,b(G.type));return}case 201:case 202:case 204:case 203:{const oe=this.o([G.type,G.id],G.data);this.k?.logOutgoing(oe,G.id,1,b(G.type),G.data);return}}}o(G,oe=void 0){const ce=new t;return a(ce,G),a(ce,oe),this.p(ce.buffer)}p(G){try{return this.h.send(G),G.byteLength}catch{return 0}}q(G){const oe=new u(G),ce=$(oe),se=$(oe),ge=ce[0];switch(ge){case 100:return this.k?.logIncoming(G.byteLength,ce[1],1,`${m(ge)}: ${ce[2]}.${ce[3]}`,se),this.s({type:ge,id:ce[1],channelName:ce[2],name:ce[3],arg:se});case 102:return this.k?.logIncoming(G.byteLength,ce[1],1,`${m(ge)}: ${ce[2]}.${ce[3]}`,se),this.t({type:ge,id:ce[1],channelName:ce[2],name:ce[3],arg:se});case 101:return this.k?.logIncoming(G.byteLength,ce[1],1,`${m(ge)}`),this.u({type:ge,id:ce[1]});case 103:return this.k?.logIncoming(G.byteLength,ce[1],1,`${m(ge)}`),this.u({type:ge,id:ce[1]})}}s(G){const oe=this.b.get(G.channelName);if(!oe){this.v(G);return}const ce=new C.$ce;let se;try{se=oe.call(this.j,G.name,G.arg,ce.token)}catch(q){se=Promise.reject(q)}const ge=G.id;se.then(q=>{this.m({id:ge,data:q,type:201})},q=>{q instanceof Error?this.m({id:ge,data:{message:q.message,name:q.name,stack:q.stack?q.stack.split?q.stack.split(`
`):q.stack:void 0},type:202}):this.m({id:ge,data:q,type:203})}).finally(()=>{U.dispose(),this.d.delete(G.id)});const U=(0,w.$Rc)(()=>ce.cancel());this.d.set(G.id,U)}t(G){const oe=this.b.get(G.channelName);if(!oe){this.v(G);return}const ce=G.id,ge=oe.listen(this.j,G.name,G.arg)(U=>this.m({id:ce,data:U,type:204}));this.d.set(G.id,ge)}u(G){const oe=this.d.get(G.id);oe&&(oe.dispose(),this.d.delete(G.id))}v(G){let oe=this.g.get(G.channelName);oe||(oe=[],this.g.set(G.channelName,oe));const ce=setTimeout(()=>{console.error(`Unknown channel: ${G.channelName}`),G.type===100&&this.m({id:G.id,data:{name:"Unknown channel",message:`Channel name '${G.channelName}' timed out after ${this.l}ms`,stack:void 0},type:202})},this.l);oe.push({request:G,timeoutTimer:ce})}w(G){const oe=this.g.get(G);if(oe){for(const ce of oe)switch(clearTimeout(ce.timeoutTimer),ce.request.type){case 100:this.s(ce.request);break;case 102:this.t(ce.request);break}this.g.delete(G)}}dispose(){this.f&&(this.f.dispose(),this.f=null),(0,w.$Oc)(this.d.values()),this.d.clear()}}e.$Sh=O;var P;(function(K){K[K.LocalSide=0]="LocalSide",K[K.OtherSide=1]="OtherSide"})(P||(e.RequestInitiator=P={}));class y{constructor(G,oe=null){this.l=G,this.a=!1,this.b=c.Uninitialized,this.d=new Set,this.f=new Map,this.g=0,this.k=new v.$5d,this.onDidInitialize=this.k.event,this.h=this.l.onMessage(ce=>this.s(ce)),this.j=oe}getChannel(G){const oe=this;return{call(ce,se,ge){return oe.a?Promise.reject(new S.$5):oe.m(G,ce,se,ge)},listen(ce,se){return oe.a?v.Event.None:oe.o(G,ce,se)}}}m(G,oe,ce,se=C.CancellationToken.None){const ge=this.g++,q={id:ge,type:100,channelName:G,name:oe,arg:ce};if(se.isCancellationRequested)return Promise.reject(new S.$5);let M;return new Promise((x,Y)=>{if(se.isCancellationRequested)return Y(new S.$5);const Z=()=>{const T=ee=>{switch(ee.type){case 201:this.f.delete(ge),x(ee.data);break;case 202:{this.f.delete(ge);const ie=new Error(ee.data.message);ie.stack=Array.isArray(ee.data.stack)?ee.data.stack.join(`
`):ee.data.stack,ie.name=ee.data.name,Y(ie);break}case 203:this.f.delete(ge),Y(ee.data);break}};this.f.set(ge,T),this.p(q)};let W=null;this.b===c.Idle?Z():(W=(0,R.$4g)(T=>this.u()),W.then(()=>{W=null,Z()}));const J=()=>{W?(W.cancel(),W=null):this.p({id:ge,type:101}),Y(new S.$5)},N=se.onCancellationRequested(J);M=(0,w.$Qc)((0,w.$Rc)(J),N),this.d.add(M)}).finally(()=>{M.dispose(),this.d.delete(M)})}o(G,oe,ce){const se=this.g++,U={id:se,type:102,channelName:G,name:oe,arg:ce};let q=null;const M=new v.$5d({onWillAddFirstListener:()=>{q=(0,R.$4g)(x=>this.u()),q.then(()=>{q=null,this.d.add(M),this.p(U)})},onDidRemoveLastListener:()=>{q?(q.cancel(),q=null):(this.d.delete(M),this.p({id:se,type:103}))}}),z=x=>M.fire(x.data);return this.f.set(se,z),M.event}p(G){switch(G.type){case 100:case 102:{const oe=this.q([G.type,G.id,G.channelName,G.name],G.arg);this.j?.logOutgoing(oe,G.id,0,`${m(G.type)}: ${G.channelName}.${G.name}`,G.arg);return}case 101:case 103:{const oe=this.q([G.type,G.id]);this.j?.logOutgoing(oe,G.id,0,m(G.type));return}}}q(G,oe=void 0){const ce=new t;return a(ce,G),a(ce,oe),this.r(ce.buffer)}r(G){try{return this.l.send(G),G.byteLength}catch{return 0}}s(G){const oe=new u(G),ce=$(oe),se=$(oe),ge=ce[0];switch(ge){case 200:return this.j?.logIncoming(G.byteLength,0,0,b(ge)),this.t({type:ce[0]});case 201:case 202:case 204:case 203:return this.j?.logIncoming(G.byteLength,ce[1],0,b(ge),se),this.t({type:ce[0],id:ce[1],data:se})}}t(G){if(G.type===200){this.b=c.Idle,this.k.fire();return}this.f.get(G.id)?.(G)}get onDidInitializePromise(){return v.Event.toPromise(this.onDidInitialize)}u(){return this.b===c.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.a=!0,this.h&&(this.h.dispose(),this.h=null),(0,w.$Oc)(this.d.values()),this.d.clear()}}e.$Th=y,Me([D.$Ih],y.prototype,"onDidInitializePromise",null);class A{get connections(){const G=[];return this.f.forEach(oe=>G.push(oe)),G}constructor(G){this.a=new Map,this.f=new Set,this.g=new v.$5d,this.onDidAddConnection=this.g.event,this.h=new v.$5d,this.onDidRemoveConnection=this.h.event,this.j=new w.$Sc,this.j.add(G(({protocol:oe,onDidClientDisconnect:ce})=>{const se=v.Event.once(oe.onMessage);this.j.add(se(ge=>{const U=new u(ge),q=$(U),M=new O(oe,q),z=new y(oe);this.a.forEach((Y,Z)=>M.registerChannel(Z,Y));const x={channelServer:M,channelClient:z,ctx:q};this.f.add(x),this.g.fire(x),this.j.add(ce(()=>{M.dispose(),z.dispose(),this.f.delete(x),this.h.fire(x)}))}))}))}getChannel(G,oe){const ce=this;return{call(se,ge,U){let q;if((0,p.$7f)(oe)){const z=(0,E.$4b)(ce.connections.filter(oe));q=z?Promise.resolve(z):v.Event.toPromise(v.Event.filter(ce.onDidAddConnection,oe))}else q=oe.routeCall(ce,se,ge);const M=q.then(z=>z.channelClient.getChannel(G));return Q(M).call(se,ge,U)},listen(se,ge){if((0,p.$7f)(oe))return ce.k(G,oe,se,ge);const U=oe.routeEvent(ce,se,ge).then(q=>q.channelClient.getChannel(G));return Q(U).listen(se,ge)}}}k(G,oe,ce,se){const ge=this;let U;const q=new v.$5d({onWillAddFirstListener:()=>{U=new w.$Sc;const M=new v.$$d,z=new Map,x=Z=>{const J=Z.channelClient.getChannel(G).listen(ce,se),N=M.add(J);z.set(Z,N)},Y=Z=>{const W=z.get(Z);W&&(W.dispose(),z.delete(Z))};ge.connections.filter(oe).forEach(x),v.Event.filter(ge.onDidAddConnection,oe)(x,void 0,U),ge.onDidRemoveConnection(Y,void 0,U),M.event(q.fire,q,U),U.add(M)},onDidRemoveLastListener:()=>{U?.dispose(),U=void 0}});return q.event}registerChannel(G,oe){this.a.set(G,oe);for(const ce of this.f)ce.channelServer.registerChannel(G,oe)}dispose(){this.j.dispose();for(const G of this.f)G.channelClient.dispose(),G.channelServer.dispose();this.f.clear(),this.a.clear(),this.g.dispose(),this.h.dispose()}}e.$Uh=A;class F{constructor(G,oe,ce=null){const se=new t;a(se,oe),G.send(se.buffer),this.a=new y(G,ce),this.d=new O(G,oe,ce)}getChannel(G){return this.a.getChannel(G)}registerChannel(G,oe){this.d.registerChannel(G,oe)}dispose(){this.a.dispose(),this.d.dispose()}}e.$Vh=F;function Q(K){return{call(G,oe,ce){return K.then(se=>se.call(G,oe,ce))},listen(G,oe){const ce=new v.$be;return K.then(se=>ce.input=se.listen(G,oe)),ce.event}}}e.$Wh=Q;function te(K){let G=!1;return{call(oe,ce,se){return G?K.call(oe,ce,se):(0,R.$fh)(0).then(()=>G=!0).then(()=>K.call(oe,ce,se))},listen(oe,ce){if(G)return K.listen(oe,ce);const se=new v.$be;return(0,R.$fh)(0).then(()=>G=!0).then(()=>se.input=K.listen(oe,ce)),se.event}}}e.$Xh=te;class de{constructor(G){this.a=G}routeCall(G){return this.b(G)}routeEvent(G){return this.b(G)}async b(G){for(const oe of G.connections)if(await Promise.resolve(this.a(oe.ctx)))return Promise.resolve(oe);return await v.Event.toPromise(G.onDidAddConnection),await this.b(G)}}e.$Yh=de;var he;(function(K){function G(ge,U,q){const M=ge,z=q&&q.disableMarshalling,x=new Map;for(const Y in M)ce(Y)&&x.set(Y,v.Event.buffer(M[Y],!0,void 0,U));return new class{listen(Y,Z,W){const J=x.get(Z);if(J)return J;if(se(Z)){const N=M[Z];if(typeof N=="function")return N.call(M,W)}throw new S.$bb(`Event not found: ${Z}`)}call(Y,Z,W){const J=M[Z];if(typeof J=="function"){if(!z&&Array.isArray(W))for(let T=0;T<W.length;T++)W[T]=(0,I.$Nh)(W[T]);let N=J.apply(M,W);return N instanceof Promise||(N=Promise.resolve(N)),N}throw new S.$bb(`Method not found: ${Z}`)}}}K.fromService=G;function oe(ge,U){const q=U&&U.disableMarshalling;return new Proxy({},{get(M,z){if(typeof z=="string")return U?.properties?.has(z)?U.properties.get(z):se(z)?function(x){return ge.listen(z,x)}:ce(z)?ge.listen(z):async function(...x){let Y;U&&!(0,p.$2f)(U.context)?Y=[U.context,...x]:Y=x;const Z=await ge.call(z,Y);return q?Z:(0,I.$Nh)(Z)};throw new S.$bb(`Property not found: ${String(z)}`)}})}K.toService=oe;function ce(ge){return ge[0]==="o"&&ge[1]==="n"&&k.$if(ge.charCodeAt(2))}function se(ge){return/^onDynamic/.test(ge)&&k.$if(ge.charCodeAt(9))}})(he||(e.ProxyChannel=he={}));const B=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function V(K){if(Array.isArray(K))return K;if(K&&typeof K=="object"&&typeof K.toString=="function"){const G=K.toString();if(G!=="[object Object]")return G}return K}function _(K){return Array.isArray(K)?K.map(V):V(K)}function X(K,G,oe,ce,se,ge,U){U=_(U);const q=B[se],M=q[ce%q.length];let z=[`%c[${K}]%c[${String(G).padStart(7," ")}]%c[len: ${String(oe).padStart(5," ")}]%c${String(ce).padStart(5," ")} - ${ge}`,"color: darkgreen","color: grey","color: grey",`color: ${M}`];/\($/.test(ge)?(z=z.concat(U),z.push(")")):z.push(U),console.log.apply(console,z)}class ne{constructor(G,oe){this.d=G,this.f=oe,this.a=0,this.b=0}logOutgoing(G,oe,ce,se,ge){this.b+=G,X(this.d,this.b,G,oe,ce,se,ge)}logIncoming(G,oe,ce,se,ge){this.a+=G,X(this.f,this.a,G,oe,ce,se,ge)}}e.$Zh=ne}),define(ye[106],ke([1,0,14,6,2,44]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5h=e.$4h=e.$3h=e.$2h=e.ProtocolConstants=e.$1h=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var D;(function(n){n.Created="created",n.Read="read",n.Write="write",n.Open="open",n.Error="error",n.Close="close",n.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",n.NodeEndReceived="nodeEndReceived",n.NodeEndSent="nodeEndSent",n.NodeDrainBegin="nodeDrainBegin",n.NodeDrainEnd="nodeDrainEnd",n.zlibInflateError="zlibInflateError",n.zlibInflateData="zlibInflateData",n.zlibInflateInitialWrite="zlibInflateInitialWrite",n.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",n.zlibInflateWrite="zlibInflateWrite",n.zlibInflateFlushFired="zlibInflateFlushFired",n.zlibDeflateError="zlibDeflateError",n.zlibDeflateData="zlibDeflateData",n.zlibDeflateWrite="zlibDeflateWrite",n.zlibDeflateFlushFired="zlibDeflateFlushFired",n.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",n.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",n.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",n.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",n.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",n.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",n.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",n.ProtocolHeaderRead="protocolHeaderRead",n.ProtocolMessageRead="protocolMessageRead",n.ProtocolHeaderWrite="protocolHeaderWrite",n.ProtocolMessageWrite="protocolMessageWrite",n.ProtocolWrite="protocolWrite"})(D||(e.SocketDiagnosticsEventType=D={}));var S;(function(n){n.enableDiagnostics=!1,n.records=[];const i=new WeakMap;let a=0;function $(P,y){if(!i.has(P)){const A=String(++a);i.set(P,A)}return i.get(P)}function O(P,y,A,F){if(!n.enableDiagnostics)return;const Q=$(P,y);if(F instanceof E.$se||F instanceof Uint8Array||F instanceof ArrayBuffer||ArrayBuffer.isView(F)){const te=E.$se.alloc(F.byteLength);te.set(F),n.records.push({timestamp:Date.now(),id:Q,label:y,type:A,buff:te})}else n.records.push({timestamp:Date.now(),id:Q,label:y,type:A,data:F})}n.traceSocketEvent=O})(S||(e.SocketDiagnostics=S={}));var v;(function(n){n[n.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",n[n.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(v||(e.SocketCloseEventType=v={}));let w=null;function I(){return w||(w=E.$se.alloc(0)),w}class k{get byteLength(){return this.b}constructor(){this.a=[],this.b=0}acceptChunk(i){this.a.push(i),this.b+=i.byteLength}read(i){return this.c(i,!0)}peek(i){return this.c(i,!1)}c(i,a){if(i===0)return I();if(i>this.b)throw new Error("Cannot read so many bytes!");if(this.a[0].byteLength===i){const y=this.a[0];return a&&(this.a.shift(),this.b-=i),y}if(this.a[0].byteLength>i){const y=this.a[0].slice(0,i);return a&&(this.a[0]=this.a[0].slice(i),this.b-=i),y}const $=E.$se.alloc(i);let O=0,P=0;for(;i>0;){const y=this.a[P];if(y.byteLength>i){const A=y.slice(0,i);$.set(A,O),O+=i,a&&(this.a[P]=y.slice(i),this.b-=i),i-=i}else $.set(y,O),O+=y.byteLength,a?(this.a.shift(),this.b-=y.byteLength):P++,i-=y.byteLength}return $}}e.$1h=k;var p;(function(n){n[n.None=0]="None",n[n.Regular=1]="Regular",n[n.Control=2]="Control",n[n.Ack=3]="Ack",n[n.Disconnect=5]="Disconnect",n[n.ReplayRequest=6]="ReplayRequest",n[n.Pause=7]="Pause",n[n.Resume=8]="Resume",n[n.KeepAlive=9]="KeepAlive"})(p||(p={}));function d(n){switch(n){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting";case 9:return"KeepAlive"}}var m;(function(n){n[n.HeaderLength=13]="HeaderLength",n[n.AcknowledgeTime=2e3]="AcknowledgeTime",n[n.TimeoutTime=2e4]="TimeoutTime",n[n.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",n[n.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime",n[n.KeepAliveSendTime=5e3]="KeepAliveSendTime"})(m||(e.ProtocolConstants=m={}));class l{constructor(i,a,$,O){this.type=i,this.id=a,this.ack=$,this.data=O,this.writtenTime=0}get size(){return this.data.byteLength}}class b extends o.$Tc{constructor(i){super(),this.f=this.B(new R.$5d),this.onMessage=this.f.event,this.g={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this.a=i,this.b=!1,this.c=new k,this.B(this.a.onData(a=>this.acceptChunk(a))),this.lastReadTime=Date.now()}acceptChunk(i){if(!(!i||i.byteLength===0))for(this.lastReadTime=Date.now(),this.c.acceptChunk(i);this.c.byteLength>=this.g.readLen;){const a=this.c.read(this.g.readLen);if(this.g.readHead)this.g.readHead=!1,this.g.readLen=a.readUInt32BE(9),this.g.messageType=a.readUInt8(0),this.g.id=a.readUInt32BE(1),this.g.ack=a.readUInt32BE(5),this.a.traceSocketEvent("protocolHeaderRead",{messageType:d(this.g.messageType),id:this.g.id,ack:this.g.ack,messageSize:this.g.readLen});else{const $=this.g.messageType,O=this.g.id,P=this.g.ack;if(this.g.readHead=!0,this.g.readLen=13,this.g.messageType=0,this.g.id=0,this.g.ack=0,this.a.traceSocketEvent("protocolMessageRead",a),this.f.fire(new l($,O,P,a)),this.b)break}}}readEntireBuffer(){return this.c.read(this.c.byteLength)}dispose(){this.b=!0,super.dispose()}}class c{constructor(i){this.k=null,this.a=!1,this.b=!1,this.c=i,this.d=[],this.f=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this.a=!0}drain(){return this.flush(),this.c.drain()}flush(){this.m()}pause(){this.b=!0}resume(){this.b=!1,this.l()}write(i){if(this.a)return;i.writtenTime=Date.now(),this.lastWriteTime=Date.now();const a=E.$se.alloc(13);a.writeUInt8(i.type,0),a.writeUInt32BE(i.id,1),a.writeUInt32BE(i.ack,5),a.writeUInt32BE(i.data.byteLength,9),this.c.traceSocketEvent("protocolHeaderWrite",{messageType:d(i.type),id:i.id,ack:i.ack,messageSize:i.data.byteLength}),this.c.traceSocketEvent("protocolMessageWrite",i.data),this.j(a,i.data)}g(i,a){const $=this.f===0;return this.d.push(i,a),this.f+=i.byteLength+a.byteLength,$}h(){const i=E.$se.concat(this.d,this.f);return this.d.length=0,this.f=0,i}j(i,a){this.g(i,a)&&this.l()}l(){this.k||(this.k=setTimeout(()=>{this.k=null,this.m()}))}m(){if(this.f===0||this.b)return;const i=this.h();this.c.traceSocketEvent("protocolWrite",{byteLength:i.byteLength}),this.c.write(i)}}class g extends o.$Tc{constructor(i){super(),this.f=new R.$5d,this.onMessage=this.f.event,this.g=new R.$5d,this.onDidDispose=this.g.event,this.a=i,this.b=this.B(new c(this.a)),this.c=this.B(new b(this.a)),this.B(this.c.onMessage(a=>{a.type===1&&this.f.fire(a.data)})),this.B(this.a.onClose(()=>this.g.fire()))}drain(){return this.b.drain()}getSocket(){return this.a}sendDisconnect(){}send(i){this.b.write(new l(1,0,0,i))}}e.$2h=g;class h extends C.$Vh{static fromSocket(i,a){return new h(new g(i),a)}get onDidDispose(){return this.b.onDidDispose}constructor(i,a,$=null){super(i,a,$),this.b=i}dispose(){super.dispose();const i=this.b.getSocket();this.b.sendDisconnect(),this.b.dispose(),i.end()}}e.$3h=h;class f{constructor(){this.b=!1,this.c=!1,this.d=[],this.a=new R.$5d({onWillAddFirstListener:()=>{this.b=!0,queueMicrotask(()=>this.f())},onDidRemoveLastListener:()=>{this.b=!1}}),this.event=this.a.event}f(){if(!this.c){for(this.c=!0;this.b&&this.d.length>0;)this.a.fire(this.d.shift());this.c=!1}}fire(i){this.b?this.d.length>0?this.d.push(i):this.a.fire(i):this.d.push(i)}flushBuffer(){this.d=[]}}e.$4h=f;class u{constructor(i){this.data=i,this.next=null}}class t{constructor(){this.a=null,this.b=null}length(){let i=0,a=this.a;for(;a;)a=a.next,i++;return i}peek(){return this.a?this.a.data:null}toArray(){const i=[];let a=0,$=this.a;for(;$;)i[a++]=$.data,$=$.next;return i}pop(){if(this.a){if(this.a===this.b){this.a=null,this.b=null;return}this.a=this.a.next}}push(i){const a=new u(i);if(!this.a){this.a=a,this.b=a;return}this.b.next=a,this.b=a}}class s{static{this.a=10}static{this.b=null}static getInstance(){return s.b||(s.b=new s),s.b}constructor(){this.c=[];const i=Date.now();for(let a=0;a<s.a;a++)this.c[a]=i-1e3*a;setInterval(()=>{for(let a=s.a;a>=1;a--)this.c[a]=this.c[a-1];this.c[0]=Date.now()},1e3)}d(){const i=Date.now(),a=(1+s.a)*1e3;let $=0;for(let O=0;O<s.a;O++)i-this.c[O]<=a&&$++;return 1-$/s.a}hasHighLoad(){return this.d()>=.5}}class r{get unacknowledgedCount(){return this.c-this.d}constructor(i){this.u=new f,this.onControlMessage=this.u.event,this.v=new f,this.onMessage=this.v.event,this.w=new f,this.onDidDispose=this.w.event,this.x=new f,this.onSocketClose=this.x.event,this.y=new f,this.onSocketTimeout=this.y.event,this.s=i.loadEstimator??s.getInstance(),this.t=i.sendKeepAlive??!0,this.a=!1,this.b=new t,this.c=0,this.d=0,this.f=null,this.g=0,this.h=0,this.j=0,this.k=null,this.m=0,this.n=Date.now(),this.r=new o.$Sc,this.o=i.socket,this.p=this.r.add(new c(this.o)),this.q=this.r.add(new b(this.o)),this.r.add(this.q.onMessage(a=>this.z(a))),this.r.add(this.o.onClose(a=>this.x.fire(a))),i.initialChunk&&this.q.acceptChunk(i.initialChunk),this.t?this.l=setInterval(()=>{this.D()},5e3):this.l=null}dispose(){this.f&&(clearTimeout(this.f),this.f=null),this.k&&(clearTimeout(this.k),this.k=null),this.l&&(clearInterval(this.l),this.l=null),this.r.dispose()}drain(){return this.p.drain()}sendDisconnect(){const i=new l(5,0,0,I());this.p.write(i),this.p.flush()}sendPause(){const i=new l(7,0,0,I());this.p.write(i)}sendResume(){const i=new l(8,0,0,I());this.p.write(i)}pauseSocketWriting(){this.p.pause()}getSocket(){return this.o}getMillisSinceLastIncomingData(){return Date.now()-this.q.lastReadTime}beginAcceptReconnection(i,a){this.a=!0,this.r.dispose(),this.r=new o.$Sc,this.u.flushBuffer(),this.x.flushBuffer(),this.y.flushBuffer(),this.o.dispose(),this.m=0,this.n=Date.now(),this.o=i,this.p=this.r.add(new c(this.o)),this.q=this.r.add(new b(this.o)),this.r.add(this.q.onMessage($=>this.z($))),this.r.add(this.o.onClose($=>this.x.fire($))),this.q.acceptChunk(a)}endAcceptReconnection(){this.a=!1,this.h=this.g;const i=new l(3,0,this.h,I());this.p.write(i);const a=this.b.toArray();for(let $=0,O=a.length;$<O;$++)this.p.write(a[$]);this.B()}acceptDisconnect(){this.w.fire()}z(i){if(i.ack>this.d){this.d=i.ack;do{const a=this.b.peek();if(a&&a.id<=i.ack)this.b.pop();else break}while(!0)}switch(i.type){case 0:break;case 1:{if(i.id>this.g)if(i.id!==this.g+1){const a=Date.now();a-this.m>1e4&&(this.m=a,this.p.write(new l(6,0,0,I())))}else this.g=i.id,this.j=Date.now(),this.A(),this.v.fire(i.data);break}case 2:{this.u.fire(i.data);break}case 3:break;case 5:{this.w.fire();break}case 6:{const a=this.b.toArray();for(let $=0,O=a.length;$<O;$++)this.p.write(a[$]);this.B();break}case 7:{this.p.pause();break}case 8:{this.p.resume();break}case 9:break}}readEntireBuffer(){return this.q.readEntireBuffer()}flush(){this.p.flush()}send(i){const a=++this.c;this.h=this.g;const $=new l(1,a,this.h,i);this.b.push($),this.a||(this.p.write($),this.B())}sendControl(i){const a=new l(2,0,0,i);this.p.write(a)}A(){if(this.g<=this.h||this.k)return;const i=Date.now()-this.j;if(i>=2e3){this.C();return}this.k=setTimeout(()=>{this.k=null,this.A()},2e3-i+5)}B(){if(this.c<=this.d||this.f||this.a)return;const i=this.b.peek(),a=Date.now()-i.writtenTime,$=Date.now()-this.q.lastReadTime,O=Date.now()-this.n;if(a>=2e4&&$>=2e4&&O>=2e4&&!this.s.hasHighLoad()){this.n=Date.now(),this.y.fire({unacknowledgedMsgCount:this.b.length(),timeSinceOldestUnacknowledgedMsg:a,timeSinceLastReceivedSomeData:$});return}const P=Math.max(2e4-a,2e4-$,2e4-O,500);this.f=setTimeout(()=>{this.f=null,this.B()},P)}C(){if(this.g<=this.h)return;this.h=this.g;const i=new l(3,0,this.h,I());this.p.write(i)}D(){this.h=this.g;const i=new l(9,0,this.h,I());this.p.write(i)}}e.$5h=r}),define(ye[107],ke([1,0,54,15,14,20,168,10,6,2,21,103,66,44]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cq=e.$Bq=void 0;class m extends d.$Sh{constructor(c){super({send:g=>{try{process.send?.(g.buffer.toString("base64"))}catch{}},onMessage:v.Event.fromNodeEventEmitter(process,"message",g=>o.$se.wrap(Buffer.from(g,"base64")))},c),process.once("disconnect",()=>this.dispose())}}e.$Bq=m;class l{constructor(c,g){this.i=c,this.j=g,this.c=new Set,this.g=new Map,this.h=new v.$5d,this.onDidProcessExit=this.h.event;const h=g&&g.timeout?g.timeout:6e4;this.b=new R.$bh(h),this.d=null,this.f=null}getChannel(c){const g=this;return{call(h,f,u){return g.k(c,h,f,u)},listen(h,f){return g.l(c,h,f)}}}k(c,g,h,f=C.CancellationToken.None){if(!this.b)return Promise.reject(new Error("disposed"));if(f.isCancellationRequested)return Promise.reject(S.$6());this.b.cancel();const u=this.n(c),t=(0,R.$4g)(n=>u.call(g,h,n)),s=f.onCancellationRequested(()=>t.cancel()),r=(0,w.$Rc)(()=>t.cancel());return this.c.add(r),t.finally(()=>{s.dispose(),this.c.delete(r),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}),t}l(c,g,h){if(!this.b)return v.Event.None;this.b.cancel();let f;const u=new v.$5d({onWillAddFirstListener:()=>{f=this.n(c).listen(g,h)(u.fire,u),this.c.add(f)},onDidRemoveLastListener:()=>{this.c.delete(f),f.dispose(),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}});return u.event}get m(){if(!this.f){const c=this.j&&this.j.args?this.j.args:[],g=Object.create(null);g.env={...(0,I.$Hn)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.j&&this.j.env&&(g.env={...g.env,...this.j.env}),this.j&&this.j.freshExecArgv&&(g.execArgv=[]),this.j&&typeof this.j.debug=="number"&&(g.execArgv=["--nolazy","--inspect="+this.j.debug]),this.j&&typeof this.j.debugBrk=="number"&&(g.execArgv=["--nolazy","--inspect-brk="+this.j.debugBrk]),g.execArgv===void 0&&(g.execArgv=process.execArgv.filter(i=>!/^--inspect(-brk)?=/.test(i)).filter(i=>!i.startsWith("--vscode-"))),(0,p.$4l)(g.env),this.d=(0,E.fork)(this.i,c,g);const h=new v.$5d;v.Event.fromNodeEventEmitter(this.d,"message",i=>i)(i=>{if((0,D.$xq)(i)){(0,D.log)(i,`IPC Library: ${this.j.serverName}`);return}h.fire(o.$se.wrap(Buffer.from(i,"base64")))});const u=this.j.useQueue?(0,k.$6l)(this.d):this.d,t=i=>this.d&&this.d.connected&&u.send(i.buffer.toString("base64")),s=h.event,r={send:t,onMessage:s};this.f=new d.$Th(r);const n=()=>this.o();process.once("exit",n),this.d.on("error",i=>console.warn('IPC "'+this.j.serverName+'" errored with '+i)),this.d.on("exit",(i,a)=>{process.removeListener("exit",n),this.c.forEach($=>(0,w.$Oc)($)),this.c.clear(),i!==0&&a!=="SIGTERM"&&console.warn('IPC "'+this.j.serverName+'" crashed with exit code '+i+" and signal "+a),this.b?.cancel(),this.o(),this.h.fire({code:i,signal:a})})}return this.f}n(c){let g=this.g.get(c);return g||(g=this.m.getChannel(c),this.g.set(c,g)),g}o(){this.f&&(this.d&&(this.d.kill(),this.d=null),this.f=null,this.g.clear())}dispose(){this.h.dispose(),this.b?.cancel(),this.b=void 0,this.o(),this.c.clear()}}e.$Cq=l}),define(ye[173],ke([1,0,15,6,2,52,11]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cp=e.$Bp=e.StorageState=e.$Ap=e.StorageHint=void 0;var S;(function(p){p[p.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST",p[p.STORAGE_IN_MEMORY=1]="STORAGE_IN_MEMORY"})(S||(e.StorageHint=S={}));function v(p){const d=p;return d?.changed instanceof Map||d?.deleted instanceof Set}e.$Ap=v;var w;(function(p){p[p.None=0]="None",p[p.Initialized=1]="Initialized",p[p.Closed=2]="Closed"})(w||(e.StorageState=w={}));class I extends o.$Tc{static{this.a=100}constructor(d,m=Object.create(null)){super(),this.r=d,this.s=m,this.b=this.B(new R.$8d),this.onDidChangeStorage=this.b.event,this.c=w.None,this.f=new Map,this.g=this.B(new E.$ch(I.a)),this.h=new Set,this.j=new Map,this.m=void 0,this.n=[],this.t()}t(){this.B(this.r.onDidChangeItemsExternal(d=>this.u(d)))}u(d){this.b.pause();try{d.changed?.forEach((m,l)=>this.w(l,m)),d.deleted?.forEach(m=>this.w(m,void 0))}finally{this.b.resume()}}w(d,m){if(this.c===w.Closed)return;let l=!1;(0,D.$2f)(m)?l=this.f.delete(d):this.f.get(d)!==m&&(this.f.set(d,m),l=!0),l&&this.b.fire({key:d,external:!0})}get items(){return this.f}get size(){return this.f.size}async init(){this.c===w.None&&(this.c=w.Initialized,this.s.hint!==S.STORAGE_DOES_NOT_EXIST&&(this.f=await this.r.getItems()))}get(d,m){const l=this.f.get(d);return(0,D.$2f)(l)?m:l}getBoolean(d,m){const l=this.get(d);return(0,D.$2f)(l)?m:l==="true"}getNumber(d,m){const l=this.get(d);return(0,D.$2f)(l)?m:parseInt(l,10)}getObject(d,m){const l=this.get(d);return(0,D.$2f)(l)?m:(0,C.$Mh)(l)}async set(d,m,l=!1){if(this.c===w.Closed)return;if((0,D.$2f)(m))return this.delete(d,l);const b=(0,D.$Uf)(m)||Array.isArray(m)?(0,C.$Lh)(m):String(m);if(this.f.get(d)!==b)return this.f.set(d,b),this.j.set(d,b),this.h.delete(d),this.b.fire({key:d,external:l}),this.D()}async delete(d,m=!1){if(!(this.c===w.Closed||!this.f.delete(d)))return this.h.has(d)||this.h.add(d),this.j.delete(d),this.b.fire({key:d,external:m}),this.D()}async optimize(){if(this.c!==w.Closed)return await this.flush(0),this.r.optimize()}async close(){return this.m||(this.m=this.y()),this.m}async y(){this.c=w.Closed;try{await this.D(0)}catch{}await this.r.close(()=>this.f)}get z(){return this.j.size>0||this.h.size>0}async C(){if(!this.z)return;const d={insert:this.j,delete:this.h};return this.h=new Set,this.j=new Map,this.r.updateItems(d).finally(()=>{if(!this.z)for(;this.n.length;)this.n.pop()?.()})}async flush(d){if(this.z)return this.D(d)}async D(d){return this.s.hint===S.STORAGE_IN_MEMORY?this.C():this.g.trigger(()=>this.C(),d)}async whenFlushed(){if(this.z)return new Promise(d=>this.n.push(d))}isInMemory(){return this.s.hint===S.STORAGE_IN_MEMORY}}e.$Bp=I;class k{constructor(){this.onDidChangeItemsExternal=R.Event.None,this.a=new Map}async getItems(){return this.a}async updateItems(d){d.insert?.forEach((m,l)=>this.a.set(l,m)),d.delete?.forEach(m=>this.a.delete(m))}async optimize(){}async close(){}}e.$Cp=k}),define(ye[174],ke([8,9]),function(le,e){return le.create("vs/base/node/zip",e)}),define(ye[81],ke([1,0,27,15,7,11,23,174]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1p=e.$Zp=e.zip=e.$Xp=e.$Wp=void 0,e.$Wp="end of central directory record signature not found";const v=new RegExp(e.$Wp);class w extends Error{constructor(u,t){let s=t.message;switch(u){case"CorruptZip":s=`Corrupt ZIP: ${s}`;break}super(s),this.type=u,this.cause=t}}e.$Xp=w;function I(f){const u=f.externalFileAttributes>>16||33188;return[448,56,7].map(t=>u&t).reduce((t,s)=>t+s,u&61440)}function k(f){if(f instanceof w)return f;let u;return v.test(f.message)&&(u="CorruptZip"),new w(u,f)}function p(f,u,t,s,r,n){const i=o.$mc(u),a=o.$jc(s,i);if(!a.startsWith(s))return Promise.reject(new Error(S.localize(0,null,u)));const $=o.$jc(s,u);let O;return n.onCancellationRequested(()=>{O?.destroy()}),Promise.resolve(D.Promises.mkdir(a,{recursive:!0})).then(()=>new Promise((P,y)=>{if(!n.isCancellationRequested)try{O=(0,E.createWriteStream)($,{mode:t}),O.once("close",()=>P()),O.once("error",y),f.once("error",y),f.pipe(O)}catch(A){y(A)}}))}function d(f,u,t,s){let r=(0,R.$4g)(()=>Promise.resolve()),n=0;const i=s.onCancellationRequested(()=>{r.cancel(),f.close()});return new Promise((a,$)=>{const O=new R.$_g,P=y=>{y.isCancellationRequested||(n++,f.readEntry())};f.once("error",$),f.once("close",()=>r.then(()=>{s.isCancellationRequested||f.entryCount===n?a():$(new w("Incomplete",new Error(S.localize(1,null,n,f.entryCount))))},$)),f.readEntry(),f.on("entry",y=>{if(s.isCancellationRequested)return;if(!t.sourcePathRegex.test(y.fileName)){P(s);return}const A=y.fileName.replace(t.sourcePathRegex,"");if(/\/$/.test(A)){const te=o.$jc(u,A);r=(0,R.$4g)(de=>D.Promises.mkdir(te,{recursive:!0}).then(()=>P(de)).then(void 0,$));return}const F=l(f,y),Q=I(y);r=(0,R.$4g)(te=>O.queue(()=>F.then(de=>p(de,A,Q,u,t,te).then(()=>P(te)))).then(null,$))})}).finally(()=>i.dispose())}async function m(f,u=!1){const{open:t}=await new Promise((s,r)=>{le(["yauzl"],s,r)});return new Promise((s,r)=>{t(f,u?{lazyEntries:!0}:void 0,(n,i)=>{n?r(k(n)):s((0,C.$4f)(i))})})}function l(f,u){return new Promise((t,s)=>{f.openReadStream(u,(r,n)=>{r?s(k(r)):t((0,C.$4f)(n))})})}async function b(f,u){const{ZipFile:t}=await new Promise((s,r)=>{le(["yazl"],s,r)});return new Promise((s,r)=>{const n=new t;u.forEach(a=>{a.contents?n.addBuffer(typeof a.contents=="string"?Buffer.from(a.contents,"utf8"):a.contents,a.path):a.localPath&&n.addFile(a.localPath,a.path)}),n.end();const i=(0,E.createWriteStream)(f);n.outputStream.pipe(i),n.outputStream.once("error",r),i.once("error",r),i.once("finish",()=>s(f))})}e.zip=b;function c(f,u,t={},s){const r=new RegExp(t.sourcePath?`^${t.sourcePath}`:"");let n=m(f,!0);return t.overwrite&&(n=n.then(i=>D.Promises.rm(u).then(()=>i))),n.then(i=>d(i,u,{sourcePathRegex:r},s))}e.$Zp=c;function g(f,u){return m(f).then(t=>new Promise((s,r)=>{t.on("entry",n=>{n.fileName===u&&l(t,n).then(i=>s(i),i=>r(i))}),t.once("close",()=>r(new Error(S.localize(2,null,u))))}))}function h(f,u){return g(f,u).then(t=>new Promise((s,r)=>{const n=[];t.once("error",r),t.on("data",i=>n.push(i)),t.on("end",()=>s(Buffer.concat(n)))}))}e.$1p=h}),define(ye[175],ke([8,9]),function(le,e){return le.create("vs/editor/common/languages",e)}),define(ye[176],ke([1,0,51,4,158,43,159,175]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InlineEditTriggerKind=e.ExternalUriOpenerPriority=e.$Yt=e.$Xt=e.InlayHintKind=e.CommentState=e.CommentMode=e.CommentThreadState=e.CommentThreadCollapsibleState=e.Command=e.NewSymbolNameTag=e.$Wt=e.$Vt=e.SymbolKinds=e.SymbolTag=e.$Ut=e.$Tt=e.SymbolKind=e.$St=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.$Rt=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.$Qt=e.$Pt=e.$Ot=void 0;class v{constructor(V,_,X){this.offset=V,this.type=_,this.language=X,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}e.$Ot=v;class w{constructor(V,_){this.tokens=V,this.endState=_,this._tokenizationResultBrand=void 0}}e.$Pt=w;class I{constructor(V,_){this.tokens=V,this.endState=_,this._encodedTokenizationResultBrand=void 0}}e.$Qt=I;var k;(function(B){B[B.Method=0]="Method",B[B.Function=1]="Function",B[B.Constructor=2]="Constructor",B[B.Field=3]="Field",B[B.Variable=4]="Variable",B[B.Class=5]="Class",B[B.Struct=6]="Struct",B[B.Interface=7]="Interface",B[B.Module=8]="Module",B[B.Property=9]="Property",B[B.Event=10]="Event",B[B.Operator=11]="Operator",B[B.Unit=12]="Unit",B[B.Value=13]="Value",B[B.Constant=14]="Constant",B[B.Enum=15]="Enum",B[B.EnumMember=16]="EnumMember",B[B.Keyword=17]="Keyword",B[B.Text=18]="Text",B[B.Color=19]="Color",B[B.File=20]="File",B[B.Reference=21]="Reference",B[B.Customcolor=22]="Customcolor",B[B.Folder=23]="Folder",B[B.TypeParameter=24]="TypeParameter",B[B.User=25]="User",B[B.Issue=26]="Issue",B[B.Snippet=27]="Snippet"})(k||(e.CompletionItemKind=k={}));var p;(function(B){const V=new Map;V.set(0,E.$kk.symbolMethod),V.set(1,E.$kk.symbolFunction),V.set(2,E.$kk.symbolConstructor),V.set(3,E.$kk.symbolField),V.set(4,E.$kk.symbolVariable),V.set(5,E.$kk.symbolClass),V.set(6,E.$kk.symbolStruct),V.set(7,E.$kk.symbolInterface),V.set(8,E.$kk.symbolModule),V.set(9,E.$kk.symbolProperty),V.set(10,E.$kk.symbolEvent),V.set(11,E.$kk.symbolOperator),V.set(12,E.$kk.symbolUnit),V.set(13,E.$kk.symbolValue),V.set(15,E.$kk.symbolEnum),V.set(14,E.$kk.symbolConstant),V.set(15,E.$kk.symbolEnum),V.set(16,E.$kk.symbolEnumMember),V.set(17,E.$kk.symbolKeyword),V.set(27,E.$kk.symbolSnippet),V.set(18,E.$kk.symbolText),V.set(19,E.$kk.symbolColor),V.set(20,E.$kk.symbolFile),V.set(21,E.$kk.symbolReference),V.set(22,E.$kk.symbolCustomColor),V.set(23,E.$kk.symbolFolder),V.set(24,E.$kk.symbolTypeParameter),V.set(25,E.$kk.account),V.set(26,E.$kk.issues);function _(K){let G=V.get(K);return G||(console.info("No codicon found for CompletionItemKind "+K),G=E.$kk.symbolProperty),G}B.toIcon=_;const X=new Map;X.set("method",0),X.set("function",1),X.set("constructor",2),X.set("field",3),X.set("variable",4),X.set("class",5),X.set("struct",6),X.set("interface",7),X.set("module",8),X.set("property",9),X.set("event",10),X.set("operator",11),X.set("unit",12),X.set("value",13),X.set("constant",14),X.set("enum",15),X.set("enum-member",16),X.set("enumMember",16),X.set("keyword",17),X.set("snippet",27),X.set("text",18),X.set("color",19),X.set("file",20),X.set("reference",21),X.set("customcolor",22),X.set("folder",23),X.set("type-parameter",24),X.set("typeParameter",24),X.set("account",25),X.set("issue",26);function ne(K,G){let oe=X.get(K);return typeof oe>"u"&&!G&&(oe=9),oe}B.fromString=ne})(p||(e.CompletionItemKinds=p={}));var d;(function(B){B[B.Deprecated=1]="Deprecated"})(d||(e.CompletionItemTag=d={}));var m;(function(B){B[B.None=0]="None",B[B.KeepWhitespace=1]="KeepWhitespace",B[B.InsertAsSnippet=4]="InsertAsSnippet"})(m||(e.CompletionItemInsertTextRule=m={}));var l;(function(B){B[B.Invoke=0]="Invoke",B[B.TriggerCharacter=1]="TriggerCharacter",B[B.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(l||(e.CompletionTriggerKind=l={}));var b;(function(B){B[B.Automatic=0]="Automatic",B[B.Explicit=1]="Explicit"})(b||(e.InlineCompletionTriggerKind=b={}));class c{constructor(V,_,X,ne){this.range=V,this.text=_,this.completionKind=X,this.isSnippetText=ne}equals(V){return C.$6s.lift(this.range).equalsRange(V.range)&&this.text===V.text&&this.completionKind===V.completionKind&&this.isSnippetText===V.isSnippetText}}e.$Rt=c;var g;(function(B){B[B.Invoke=1]="Invoke",B[B.Auto=2]="Auto"})(g||(e.CodeActionTriggerType=g={}));var h;(function(B){B[B.Invoke=1]="Invoke",B[B.TriggerCharacter=2]="TriggerCharacter",B[B.ContentChange=3]="ContentChange"})(h||(e.SignatureHelpTriggerKind=h={}));var f;(function(B){B[B.Text=0]="Text",B[B.Read=1]="Read",B[B.Write=2]="Write"})(f||(e.DocumentHighlightKind=f={}));function u(B){return B&&R.URI.isUri(B.uri)&&C.$6s.isIRange(B.range)&&(C.$6s.isIRange(B.originSelectionRange)||C.$6s.isIRange(B.targetSelectionRange))}e.$St=u;var t;(function(B){B[B.File=0]="File",B[B.Module=1]="Module",B[B.Namespace=2]="Namespace",B[B.Package=3]="Package",B[B.Class=4]="Class",B[B.Method=5]="Method",B[B.Property=6]="Property",B[B.Field=7]="Field",B[B.Constructor=8]="Constructor",B[B.Enum=9]="Enum",B[B.Interface=10]="Interface",B[B.Function=11]="Function",B[B.Variable=12]="Variable",B[B.Constant=13]="Constant",B[B.String=14]="String",B[B.Number=15]="Number",B[B.Boolean=16]="Boolean",B[B.Array=17]="Array",B[B.Object=18]="Object",B[B.Key=19]="Key",B[B.Null=20]="Null",B[B.EnumMember=21]="EnumMember",B[B.Struct=22]="Struct",B[B.Event=23]="Event",B[B.Operator=24]="Operator",B[B.TypeParameter=25]="TypeParameter"})(t||(e.SymbolKind=t={})),e.$Tt={17:(0,S.localize)(0,null),16:(0,S.localize)(1,null),4:(0,S.localize)(2,null),13:(0,S.localize)(3,null),8:(0,S.localize)(4,null),9:(0,S.localize)(5,null),21:(0,S.localize)(6,null),23:(0,S.localize)(7,null),7:(0,S.localize)(8,null),0:(0,S.localize)(9,null),11:(0,S.localize)(10,null),10:(0,S.localize)(11,null),19:(0,S.localize)(12,null),5:(0,S.localize)(13,null),1:(0,S.localize)(14,null),2:(0,S.localize)(15,null),20:(0,S.localize)(16,null),15:(0,S.localize)(17,null),18:(0,S.localize)(18,null),24:(0,S.localize)(19,null),3:(0,S.localize)(20,null),6:(0,S.localize)(21,null),14:(0,S.localize)(22,null),22:(0,S.localize)(23,null),25:(0,S.localize)(24,null),12:(0,S.localize)(25,null)};function s(B,V){return(0,S.localize)(26,null,B,e.$Tt[V])}e.$Ut=s;var r;(function(B){B[B.Deprecated=1]="Deprecated"})(r||(e.SymbolTag=r={}));var n;(function(B){const V=new Map;V.set(0,E.$kk.symbolFile),V.set(1,E.$kk.symbolModule),V.set(2,E.$kk.symbolNamespace),V.set(3,E.$kk.symbolPackage),V.set(4,E.$kk.symbolClass),V.set(5,E.$kk.symbolMethod),V.set(6,E.$kk.symbolProperty),V.set(7,E.$kk.symbolField),V.set(8,E.$kk.symbolConstructor),V.set(9,E.$kk.symbolEnum),V.set(10,E.$kk.symbolInterface),V.set(11,E.$kk.symbolFunction),V.set(12,E.$kk.symbolVariable),V.set(13,E.$kk.symbolConstant),V.set(14,E.$kk.symbolString),V.set(15,E.$kk.symbolNumber),V.set(16,E.$kk.symbolBoolean),V.set(17,E.$kk.symbolArray),V.set(18,E.$kk.symbolObject),V.set(19,E.$kk.symbolKey),V.set(20,E.$kk.symbolNull),V.set(21,E.$kk.symbolEnumMember),V.set(22,E.$kk.symbolStruct),V.set(23,E.$kk.symbolEvent),V.set(24,E.$kk.symbolOperator),V.set(25,E.$kk.symbolTypeParameter);function _(X){let ne=V.get(X);return ne||(console.info("No codicon found for SymbolKind "+X),ne=E.$kk.symbolProperty),ne}B.toIcon=_})(n||(e.SymbolKinds=n={}));class i{static asEditOperation(V){return o.$7s.replace(C.$6s.lift(V.range),V.text)}}e.$Vt=i;class a{static{this.Comment=new a("comment")}static{this.Imports=new a("imports")}static{this.Region=new a("region")}static fromValue(V){switch(V){case"comment":return a.Comment;case"imports":return a.Imports;case"region":return a.Region}return new a(V)}constructor(V){this.value=V}}e.$Wt=a;var $;(function(B){B[B.AIGenerated=1]="AIGenerated"})($||(e.NewSymbolNameTag=$={}));var O;(function(B){function V(_){return!_||typeof _!="object"?!1:typeof _.id=="string"&&typeof _.title=="string"}B.is=V})(O||(e.Command=O={}));var P;(function(B){B[B.Collapsed=0]="Collapsed",B[B.Expanded=1]="Expanded"})(P||(e.CommentThreadCollapsibleState=P={}));var y;(function(B){B[B.Unresolved=0]="Unresolved",B[B.Resolved=1]="Resolved"})(y||(e.CommentThreadState=y={}));var A;(function(B){B[B.Editing=0]="Editing",B[B.Preview=1]="Preview"})(A||(e.CommentMode=A={}));var F;(function(B){B[B.Published=0]="Published",B[B.Draft=1]="Draft"})(F||(e.CommentState=F={}));var Q;(function(B){B[B.Type=1]="Type",B[B.Parameter=2]="Parameter"})(Q||(e.InlayHintKind=Q={}));class te{constructor(V){this.b=V,this.a=null}dispose(){this.a&&this.a.then(V=>{V&&V.dispose()})}get tokenizationSupport(){return this.a||(this.a=this.b()),this.a}}e.$Xt=te,e.$Yt=new D.$Et;var de;(function(B){B[B.None=0]="None",B[B.Option=1]="Option",B[B.Default=2]="Default",B[B.Preferred=3]="Preferred"})(de||(e.ExternalUriOpenerPriority=de={}));var he;(function(B){B[B.Invoke=0]="Invoke",B[B.Automatic=1]="Automatic"})(he||(e.InlineEditTriggerKind=he={}))}),define(ye[177],ke([8,9]),function(le,e){return le.create("vs/platform/configuration/common/configurationRegistry",e)}),define(ye[178],ke([8,9]),function(le,e){return le.create("vs/platform/contextkey/common/contextkey",e)}),define(ye[179],ke([8,9]),function(le,e){return le.create("vs/platform/contextkey/common/scanner",e)}),define(ye[180],ke([8,9]),function(le,e){return le.create("vs/platform/environment/node/argv",e)}),define(ye[181],ke([8,9]),function(le,e){return le.create("vs/platform/environment/node/argvHelper",e)}),define(ye[182],ke([8,9]),function(le,e){return le.create("vs/platform/extensionManagement/common/abstractExtensionManagementService",e)}),define(ye[183],ke([8,9]),function(le,e){return le.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(ye[184],ke([8,9]),function(le,e){return le.create("vs/platform/extensionManagement/common/extensionManagementCLI",e)}),define(ye[185],ke([8,9]),function(le,e){return le.create("vs/platform/extensionManagement/common/extensionNls",e)}),define(ye[186],ke([8,9]),function(le,e){return le.create("vs/platform/extensionManagement/common/extensionsScannerService",e)}),define(ye[187],ke([8,9]),function(le,e){return le.create("vs/platform/extensionManagement/node/extensionManagementService",e)}),define(ye[188],ke([8,9]),function(le,e){return le.create("vs/platform/extensionManagement/node/extensionManagementUtil",e)}),define(ye[189],ke([8,9]),function(le,e){return le.create("vs/platform/extensions/common/extensionValidator",e)}),define(ye[190],ke([8,9]),function(le,e){return le.create("vs/platform/files/common/fileService",e)}),define(ye[191],ke([8,9]),function(le,e){return le.create("vs/platform/files/common/files",e)}),define(ye[192],ke([8,9]),function(le,e){return le.create("vs/platform/files/common/io",e)}),define(ye[193],ke([8,9]),function(le,e){return le.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(ye[194],ke([8,9]),function(le,e){return le.create("vs/platform/languagePacks/common/languagePacks",e)}),define(ye[195],ke([8,9]),function(le,e){return le.create("vs/platform/markers/common/markers",e)}),define(ye[196],ke([8,9]),function(le,e){return le.create("vs/platform/request/common/request",e)}),define(ye[197],ke([8,9]),function(le,e){return le.create("vs/platform/shell/node/shellEnv",e)}),define(ye[198],ke([8,9]),function(le,e){return le.create("vs/platform/telemetry/common/telemetryService",e)}),define(ye[199],ke([8,9]),function(le,e){return le.create("vs/platform/terminal/common/terminalPlatformConfiguration",e)}),define(ye[200],ke([8,9]),function(le,e){return le.create("vs/platform/terminal/common/terminalProfiles",e)}),define(ye[201],ke([8,9]),function(le,e){return le.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(ye[202],ke([8,9]),function(le,e){return le.create("vs/platform/workspace/common/workspace",e)}),define(ye[203],ke([8,9]),function(le,e){return le.create("vs/server/node/remoteExtensionHostAgentCli",e)}),define(ye[204],ke([8,9]),function(le,e){return le.create("vs/server/node/serverEnvironmentService",e)}),define(ye[205],ke([8,9]),function(le,e){return le.create("vs/server/node/serverServices",e)}),define(ye[206],ke([8,9]),function(le,e){return le.create("vs/workbench/api/common/extHostTelemetry",e)}),define(ye[207],ke([8,9]),function(le,e){return le.create("vs/workbench/common/editor",e)}),define(ye[208],ke([8,9]),function(le,e){return le.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(ye[209],ke([8,9]),function(le,e){return le.create("vs/workbench/services/extensions/common/extensionsUtil",e)}),define(ye[210],ke([1,0,10,179]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_i=e.TokenType=void 0;var o;(function(w){w[w.LParen=0]="LParen",w[w.RParen=1]="RParen",w[w.Neg=2]="Neg",w[w.Eq=3]="Eq",w[w.NotEq=4]="NotEq",w[w.Lt=5]="Lt",w[w.LtEq=6]="LtEq",w[w.Gt=7]="Gt",w[w.GtEq=8]="GtEq",w[w.RegexOp=9]="RegexOp",w[w.RegexStr=10]="RegexStr",w[w.True=11]="True",w[w.False=12]="False",w[w.In=13]="In",w[w.Not=14]="Not",w[w.And=15]="And",w[w.Or=16]="Or",w[w.Str=17]="Str",w[w.QuotedStr=18]="QuotedStr",w[w.Error=19]="Error",w[w.EOF=20]="EOF"})(o||(e.TokenType=o={}));function C(...w){switch(w.length){case 1:return(0,R.localize)(0,null,w[0]);case 2:return(0,R.localize)(1,null,w[0],w[1]);case 3:return(0,R.localize)(2,null,w[0],w[1],w[2]);default:return}}const D=(0,R.localize)(3,null),S=(0,R.localize)(4,null);class v{constructor(){this.c="",this.d=0,this.e=0,this.f=[],this.g=[],this.m=/[a-zA-Z0-9_<>\-\./\\:\*\?\+\[\]\^,#@;"%\$\p{L}-]+/uy}static getLexeme(I){switch(I.type){case 0:return"(";case 1:return")";case 2:return"!";case 3:return I.isTripleEq?"===":"==";case 4:return I.isTripleEq?"!==":"!=";case 5:return"<";case 6:return"<=";case 7:return">=";case 8:return">=";case 9:return"=~";case 10:return I.lexeme;case 11:return"true";case 12:return"false";case 13:return"in";case 14:return"not";case 15:return"&&";case 16:return"||";case 17:return I.lexeme;case 18:return I.lexeme;case 19:return I.lexeme;case 20:return"EOF";default:throw(0,E.$8)(`unhandled token type: ${JSON.stringify(I)}; have you forgotten to add a case?`)}}static{this.a=new Set(["i","g","s","m","y","u"].map(I=>I.charCodeAt(0)))}static{this.b=new Map([["not",14],["in",13],["false",12],["true",11]])}get errors(){return this.g}reset(I){return this.c=I,this.d=0,this.e=0,this.f=[],this.g=[],this}scan(){for(;!this.r();)switch(this.d=this.e,this.i()){case 40:this.k(0);break;case 41:this.k(1);break;case 33:if(this.h(61)){const k=this.h(61);this.f.push({type:4,offset:this.d,isTripleEq:k})}else this.k(2);break;case 39:this.o();break;case 47:this.q();break;case 61:if(this.h(61)){const k=this.h(61);this.f.push({type:3,offset:this.d,isTripleEq:k})}else this.h(126)?this.k(9):this.l(C("==","=~"));break;case 60:this.k(this.h(61)?6:5);break;case 62:this.k(this.h(61)?8:7);break;case 38:this.h(38)?this.k(15):this.l(C("&&"));break;case 124:this.h(124)?this.k(16):this.l(C("||"));break;case 32:case 13:case 9:case 10:case 160:break;default:this.n()}return this.d=this.e,this.k(20),Array.from(this.f)}h(I){return this.r()||this.c.charCodeAt(this.e)!==I?!1:(this.e++,!0)}i(){return this.c.charCodeAt(this.e++)}j(){return this.r()?0:this.c.charCodeAt(this.e)}k(I){this.f.push({type:I,offset:this.d})}l(I){const k=this.d,p=this.c.substring(this.d,this.e),d={type:19,offset:this.d,lexeme:p};this.g.push({offset:k,lexeme:p,additionalInfo:I}),this.f.push(d)}n(){this.m.lastIndex=this.d;const I=this.m.exec(this.c);if(I){this.e=this.d+I[0].length;const k=this.c.substring(this.d,this.e),p=v.b.get(k);p?this.k(p):this.f.push({type:17,lexeme:k,offset:this.d})}}o(){for(;this.j()!==39&&!this.r();)this.i();if(this.r()){this.l(D);return}this.i(),this.f.push({type:18,lexeme:this.c.substring(this.d+1,this.e-1),offset:this.d+1})}q(){let I=this.e,k=!1,p=!1;for(;;){if(I>=this.c.length){this.e=I,this.l(S);return}const m=this.c.charCodeAt(I);if(k)k=!1;else if(m===47&&!p){I++;break}else m===91?p=!0:m===92?k=!0:m===93&&(p=!1);I++}for(;I<this.c.length&&v.a.has(this.c.charCodeAt(I));)I++;this.e=I;const d=this.c.substring(this.d,this.e);this.f.push({type:10,lexeme:d,offset:this.d})}r(){return this.e>=this.c.length}}e.$_i=v}),define(ye[211],ke([1,0,6,2]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oo=e.$no=void 0;class o{constructor(){this.a=new E.$5d,this.b=new E.$5d,this.c=new E.$5d,this.d=new E.$5d}static{this.ChannelName="extensionhostdebugservice"}call(S,v,w){switch(v){case"close":return Promise.resolve(this.a.fire({sessionId:w[0]}));case"reload":return Promise.resolve(this.b.fire({sessionId:w[0]}));case"terminate":return Promise.resolve(this.c.fire({sessionId:w[0]}));case"attach":return Promise.resolve(this.d.fire({sessionId:w[0],port:w[1],subId:w[2]}))}throw new Error("Method not implemented.")}listen(S,v,w){switch(v){case"close":return this.a.event;case"reload":return this.b.event;case"terminate":return this.c.event;case"attach":return this.d.event}throw new Error("Method not implemented.")}}e.$no=o;class C extends R.$Tc{constructor(S){super(),this.b=S}reload(S){this.b.call("reload",[S])}get onReload(){return this.b.listen("reload")}close(S){this.b.call("close",[S])}get onClose(){return this.b.listen("close")}attachSession(S,v,w){this.b.call("attach",[S,v,w])}get onAttachSession(){return this.b.listen("attach")}terminateSession(S,v){this.b.call("terminate",[S,v])}get onTerminateSession(){return this.b.listen("terminate")}openExtensionDevelopmentHostWindow(S,v){return this.b.call("openExtensionDevelopmentHostWindow",[S,v])}}e.$oo=C}),define(ye[212],ke([1,0,4]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ro=e.$qo=void 0;class R{constructor(D){this.a=D}listen(D,S,v){throw new Error("Invalid listen")}call(D,S,v){switch(S){case"download":return this.a.download(E.URI.revive(v[0]),E.URI.revive(v[1]))}throw new Error("Invalid call")}}e.$qo=R;class o{constructor(D,S){this.a=D,this.b=S}async download(D,S){const v=this.b();v&&(D=v.transformOutgoingURI(D),S=v.transformOutgoingURI(S)),await this.a.call("download",[D,S])}}e.$ro=o}),define(ye[213],ke([1,0,163,75,12,7,29,19,4]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mm=e.$Lm=e.$Km=e.$Jm=void 0,e.$Jm=/^([^.]+\..+)[:=](.+)$/;class w{get appRoot(){return(0,C.$mc)(o.$yg.asFileUri("").fsPath)}get userHome(){return v.URI.file(this.b.homeDir)}get userDataPath(){return this.b.userDataDir}get appSettingsHome(){return v.URI.file((0,C.$jc)(this.userDataPath,"User"))}get tmpDir(){return v.URI.file(this.b.tmpDir)}get cacheHome(){return v.URI.file(this.userDataPath)}get stateResource(){return(0,S.$Rg)(this.appSettingsHome,"globalStorage","storage.json")}get userRoamingDataHome(){return this.appSettingsHome.with({scheme:o.Schemas.vscodeUserData})}get userDataSyncHome(){return(0,S.$Rg)(this.appSettingsHome,"sync")}get logsHome(){if(!this.args.logsPath){const d=(0,E.$Im)(new Date).replace(/-|:|\.\d+Z$/g,"");this.args.logsPath=(0,C.$jc)(this.userDataPath,"logs",d)}return v.URI.file(this.args.logsPath)}get sync(){return this.args.sync}get machineSettingsResource(){return(0,S.$Rg)(v.URI.file((0,C.$jc)(this.userDataPath,"Machine")),"settings.json")}get workspaceStorageHome(){return(0,S.$Rg)(this.appSettingsHome,"workspaceStorage")}get localHistoryHome(){return(0,S.$Rg)(this.appSettingsHome,"History")}get keyboardLayoutResource(){return(0,S.$Rg)(this.userRoamingDataHome,"keyboardLayout.json")}get argvResource(){const d=D.env.VSCODE_PORTABLE;return d?v.URI.file((0,C.$jc)(d,"argv.json")):(0,S.$Rg)(this.userHome,this.c.dataFolderName,"argv.json")}get isExtensionDevelopment(){return!!this.args.extensionDevelopmentPath}get untitledWorkspacesHome(){return v.URI.file((0,C.$jc)(this.userDataPath,"Workspaces"))}get builtinExtensionsPath(){const d=this.args["builtin-extensions-dir"];return d?(0,C.$kc)(d):(0,C.$hc)((0,C.$jc)(o.$yg.asFileUri("").fsPath,"..","extensions"))}get extensionsDownloadLocation(){const d=this.args["extensions-download-dir"];return d?v.URI.file((0,C.$kc)(d)):v.URI.file((0,C.$jc)(this.userDataPath,"CachedExtensionVSIXs"))}get extensionsPath(){const d=this.args["extensions-dir"];if(d)return(0,C.$kc)(d);const m=D.env.VSCODE_EXTENSIONS;if(m)return m;const l=D.env.VSCODE_PORTABLE;return l?(0,C.$jc)(l,"extensions"):(0,S.$Rg)(this.userHome,this.c.dataFolderName,"extensions").fsPath}get extensionDevelopmentLocationURI(){const d=this.args.extensionDevelopmentPath;if(Array.isArray(d))return d.map(m=>/^[^:/?#]+?:\/\//.test(m)?v.URI.parse(m):v.URI.file((0,C.$hc)(m)))}get extensionDevelopmentKind(){return this.args.extensionDevelopmentKind?.map(d=>d==="ui"||d==="workspace"||d==="web"?d:"workspace")}get extensionTestsLocationURI(){const d=this.args.extensionTestsPath;if(d)return/^[^:/?#]+?:\/\//.test(d)?v.URI.parse(d):v.URI.file((0,C.$hc)(d))}get disableExtensions(){if(this.args["disable-extensions"])return!0;const d=this.args["disable-extension"];if(d){if(typeof d=="string")return[d];if(Array.isArray(d)&&d.length>0)return d}return!1}get debugExtensionHost(){return I(this.args,this.isBuilt)}get debugRenderer(){return!!this.args.debugRenderer}get isBuilt(){return!D.env.VSCODE_DEV}get verbose(){return!!this.args.verbose}get logLevel(){return this.args.log?.find(d=>!e.$Jm.test(d))}get extensionLogLevel(){const d=[];for(const m of this.args.log||[]){const l=e.$Jm.exec(m);l&&l[1]&&l[2]&&d.push([l[1],l[2]])}return d.length?d:void 0}get serviceMachineIdResource(){return(0,S.$Rg)(v.URI.file(this.userDataPath),"machineid")}get crashReporterId(){return this.args["crash-reporter-id"]}get crashReporterDirectory(){return this.args["crash-reporter-directory"]}get disableTelemetry(){return!!this.args["disable-telemetry"]}get disableWorkspaceTrust(){return!!this.args["disable-workspace-trust"]}get useInMemorySecretStorage(){return!!this.args["use-inmemory-secretstorage"]}get policyFile(){if(this.args["__enable-file-policy"]){const d=D.env.VSCODE_PORTABLE;return d?v.URI.file((0,C.$jc)(d,"policy.json")):(0,S.$Rg)(this.userHome,this.c.dataFolderName,"policy.json")}}get continueOn(){return this.args.continueOn}set continueOn(d){this.args.continueOn=d}get args(){return this.a}constructor(d,m,l){this.a=d,this.b=m,this.c=l,this.editSessionId=this.args.editSessionId}}e.$Km=w,Me([R.$Ih],w.prototype,"appRoot",null),Me([R.$Ih],w.prototype,"userHome",null),Me([R.$Ih],w.prototype,"userDataPath",null),Me([R.$Ih],w.prototype,"appSettingsHome",null),Me([R.$Ih],w.prototype,"tmpDir",null),Me([R.$Ih],w.prototype,"cacheHome",null),Me([R.$Ih],w.prototype,"stateResource",null),Me([R.$Ih],w.prototype,"userRoamingDataHome",null),Me([R.$Ih],w.prototype,"userDataSyncHome",null),Me([R.$Ih],w.prototype,"sync",null),Me([R.$Ih],w.prototype,"machineSettingsResource",null),Me([R.$Ih],w.prototype,"workspaceStorageHome",null),Me([R.$Ih],w.prototype,"localHistoryHome",null),Me([R.$Ih],w.prototype,"keyboardLayoutResource",null),Me([R.$Ih],w.prototype,"argvResource",null),Me([R.$Ih],w.prototype,"isExtensionDevelopment",null),Me([R.$Ih],w.prototype,"untitledWorkspacesHome",null),Me([R.$Ih],w.prototype,"builtinExtensionsPath",null),Me([R.$Ih],w.prototype,"extensionsPath",null),Me([R.$Ih],w.prototype,"extensionDevelopmentLocationURI",null),Me([R.$Ih],w.prototype,"extensionDevelopmentKind",null),Me([R.$Ih],w.prototype,"extensionTestsLocationURI",null),Me([R.$Ih],w.prototype,"debugExtensionHost",null),Me([R.$Ih],w.prototype,"logLevel",null),Me([R.$Ih],w.prototype,"extensionLogLevel",null),Me([R.$Ih],w.prototype,"serviceMachineIdResource",null),Me([R.$Ih],w.prototype,"disableTelemetry",null),Me([R.$Ih],w.prototype,"disableWorkspaceTrust",null),Me([R.$Ih],w.prototype,"useInMemorySecretStorage",null),Me([R.$Ih],w.prototype,"policyFile",null);function I(p,d){return k(p["inspect-extensions"],p["inspect-brk-extensions"],5870,d,p.debugId,p.extensionEnvironment)}e.$Lm=I;function k(p,d,m,l,b,c){const h=Number(d||p)||(l?null:m),f=h?!!d:!1;let u;if(c)try{u=JSON.parse(c)}catch{}return{port:h,break:f,debugId:b,env:u}}e.$Mm=k}),define(ye[67],ke([1,0,301,3,180]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$am=e.$_l=e.$$l=e.$0l=e.$9l=e.$8l=void 0;const C={o:(0,o.localize)(0,null),e:(0,o.localize)(1,null),t:(0,o.localize)(2,null)};e.$8l=["tunnel","serve-web"],e.$9l={tunnel:{type:"subcommand",description:"Make the current machine accessible from vscode.dev or other machines through a secure tunnel",options:{"cli-data-dir":{type:"string",args:"dir",description:(0,o.localize)(3,null)},"disable-telemetry":{type:"boolean"},"telemetry-level":{type:"string"},user:{type:"subcommand",options:{login:{type:"subcommand",options:{provider:{type:"string"},"access-token":{type:"string"}}}}}}},"serve-web":{type:"subcommand",description:"Run a server that displays the editor UI in browsers.",options:{"cli-data-dir":{type:"string",args:"dir",description:(0,o.localize)(4,null)},"disable-telemetry":{type:"boolean"},"telemetry-level":{type:"string"}}},diff:{type:"boolean",cat:"o",alias:"d",args:["file","file"],description:(0,o.localize)(5,null)},merge:{type:"boolean",cat:"o",alias:"m",args:["path1","path2","base","result"],description:(0,o.localize)(6,null)},add:{type:"boolean",cat:"o",alias:"a",args:"folder",description:(0,o.localize)(7,null)},goto:{type:"boolean",cat:"o",alias:"g",args:"file:line[:character]",description:(0,o.localize)(8,null)},"new-window":{type:"boolean",cat:"o",alias:"n",description:(0,o.localize)(9,null)},"reuse-window":{type:"boolean",cat:"o",alias:"r",description:(0,o.localize)(10,null)},wait:{type:"boolean",cat:"o",alias:"w",description:(0,o.localize)(11,null)},waitMarkerFilePath:{type:"string"},locale:{type:"string",cat:"o",args:"locale",description:(0,o.localize)(12,null)},"user-data-dir":{type:"string",cat:"o",args:"dir",description:(0,o.localize)(13,null)},profile:{type:"string",cat:"o",args:"profileName",description:(0,o.localize)(14,null)},help:{type:"boolean",cat:"o",alias:"h",description:(0,o.localize)(15,null)},"extensions-dir":{type:"string",deprecates:["extensionHomePath"],cat:"e",args:"dir",description:(0,o.localize)(16,null)},"extensions-download-dir":{type:"string"},"builtin-extensions-dir":{type:"string"},"list-extensions":{type:"boolean",cat:"e",description:(0,o.localize)(17,null)},"show-versions":{type:"boolean",cat:"e",description:(0,o.localize)(18,null)},category:{type:"string",allowEmptyValue:!0,cat:"e",description:(0,o.localize)(19,null),args:"category"},"install-extension":{type:"string[]",cat:"e",args:"ext-id | path",description:(0,o.localize)(20,null)},"pre-release":{type:"boolean",cat:"e",description:(0,o.localize)(21,null)},"uninstall-extension":{type:"string[]",cat:"e",args:"ext-id",description:(0,o.localize)(22,null)},"update-extensions":{type:"boolean",cat:"e",description:(0,o.localize)(23,null)},"enable-proposed-api":{type:"string[]",allowEmptyValue:!0,cat:"e",args:"ext-id",description:(0,o.localize)(24,null)},version:{type:"boolean",cat:"t",alias:"v",description:(0,o.localize)(25,null)},verbose:{type:"boolean",cat:"t",global:!0,description:(0,o.localize)(26,null)},log:{type:"string[]",cat:"t",args:"level",global:!0,description:(0,o.localize)(27,null)},status:{type:"boolean",alias:"s",cat:"t",description:(0,o.localize)(28,null)},"prof-startup":{type:"boolean",cat:"t",description:(0,o.localize)(29,null)},"prof-append-timers":{type:"string"},"prof-duration-markers":{type:"string[]"},"prof-duration-markers-file":{type:"string"},"no-cached-data":{type:"boolean"},"prof-startup-prefix":{type:"string"},"prof-v8-extensions":{type:"boolean"},"disable-extensions":{type:"boolean",deprecates:["disableExtensions"],cat:"t",description:(0,o.localize)(30,null)},"disable-extension":{type:"string[]",cat:"t",args:"ext-id",description:(0,o.localize)(31,null)},sync:{type:"string",cat:"t",description:(0,o.localize)(32,null),args:["on | off"]},"inspect-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugPluginHost"],args:"port",cat:"t",description:(0,o.localize)(33,null)},"inspect-brk-extensions":{type:"string",allowEmptyValue:!0,deprecates:["debugBrkPluginHost"],args:"port",cat:"t",description:(0,o.localize)(34,null)},"disable-gpu":{type:"boolean",cat:"t",description:(0,o.localize)(35,null)},"disable-chromium-sandbox":{type:"boolean",cat:"t",description:(0,o.localize)(36,null)},sandbox:{type:"boolean"},telemetry:{type:"boolean",cat:"t",description:(0,o.localize)(37,null)},remote:{type:"string",allowEmptyValue:!0},"folder-uri":{type:"string[]",cat:"o",args:"uri"},"file-uri":{type:"string[]",cat:"o",args:"uri"},"locate-extension":{type:"string[]"},extensionDevelopmentPath:{type:"string[]"},extensionDevelopmentKind:{type:"string[]"},extensionTestsPath:{type:"string"},extensionEnvironment:{type:"string"},debugId:{type:"string"},debugRenderer:{type:"boolean"},"inspect-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-brk-ptyhost":{type:"string",allowEmptyValue:!0},"inspect-search":{type:"string",deprecates:["debugSearch"],allowEmptyValue:!0},"inspect-brk-search":{type:"string",deprecates:["debugBrkSearch"],allowEmptyValue:!0},"inspect-sharedprocess":{type:"string",allowEmptyValue:!0},"inspect-brk-sharedprocess":{type:"string",allowEmptyValue:!0},"export-default-configuration":{type:"string"},"install-source":{type:"string"},"enable-smoke-test-driver":{type:"boolean"},logExtensionHostCommunication:{type:"boolean"},"skip-release-notes":{type:"boolean"},"skip-welcome":{type:"boolean"},"disable-telemetry":{type:"boolean"},"disable-updates":{type:"boolean"},"use-inmemory-secretstorage":{type:"boolean",deprecates:["disable-keytar"]},"password-store":{type:"string"},"disable-workspace-trust":{type:"boolean"},"disable-crash-reporter":{type:"boolean"},"crash-reporter-directory":{type:"string"},"crash-reporter-id":{type:"string"},"skip-add-to-recently-opened":{type:"boolean"},"unity-launch":{type:"boolean"},"open-url":{type:"boolean"},"file-write":{type:"boolean"},"file-chmod":{type:"boolean"},"install-builtin-extension":{type:"string[]"},force:{type:"boolean"},"do-not-sync":{type:"boolean"},trace:{type:"boolean"},"trace-category-filter":{type:"string"},"trace-options":{type:"string"},"preserve-env":{type:"boolean"},"force-user-env":{type:"boolean"},"force-disable-user-env":{type:"boolean"},"open-devtools":{type:"boolean"},"disable-gpu-sandbox":{type:"boolean"},logsPath:{type:"string"},"__enable-file-policy":{type:"boolean"},editSessionId:{type:"string"},continueOn:{type:"string"},"locate-shell-integration-path":{type:"string",args:["bash","pwsh","zsh","fish"]},"enable-coi":{type:"boolean"},"no-proxy-server":{type:"boolean"},"no-sandbox":{type:"boolean",alias:"sandbox"},"proxy-server":{type:"string"},"proxy-bypass-list":{type:"string"},"proxy-pac-url":{type:"string"},"js-flags":{type:"string"},inspect:{type:"string",allowEmptyValue:!0},"inspect-brk":{type:"string",allowEmptyValue:!0},nolazy:{type:"boolean"},"force-device-scale-factor":{type:"string"},"force-renderer-accessibility":{type:"boolean"},"ignore-certificate-errors":{type:"boolean"},"allow-insecure-localhost":{type:"boolean"},"log-net-log":{type:"string"},vmodule:{type:"string"},_urls:{type:"string[]"},"disable-dev-shm-usage":{type:"boolean"},"profile-temp":{type:"boolean"},_:{type:"string[]"}};const D={onUnknownOption:()=>{},onMultipleValues:()=>{},onEmptyValue:()=>{},onDeprecatedOption:()=>{}};function S(l,b,c=D){const g=l.find(a=>a.length>0&&a[0]!=="-"),h={},f=["_"],u=[],t={};let s;for(const a in b){const $=b[a];$.type==="subcommand"?a===g&&(s=$):($.alias&&(h[a]=$.alias),$.type==="string"||$.type==="string[]"?(f.push(a),$.deprecates&&f.push(...$.deprecates)):$.type==="boolean"&&(u.push(a),$.deprecates&&u.push(...$.deprecates)),$.global&&(t[a]=$))}if(s&&g){const a=t;for(const y in s.options)a[y]=s.options[y];const $=l.filter(y=>y!==g),O=c.getSubcommandReporter?c.getSubcommandReporter(g):void 0,P=S($,a,O);return{[g]:P,_:[]}}const r=E(l,{string:f,boolean:u,alias:h}),n={},i=r;n._=r._.map(a=>String(a)).filter(a=>a.length>0),delete i._;for(const a in b){const $=b[a];if($.type==="subcommand")continue;$.alias&&delete i[$.alias];let O=i[a];if($.deprecates)for(const P of $.deprecates)i.hasOwnProperty(P)&&(O||(O=i[P],O&&c.onDeprecatedOption(P,$.deprecationMessage||(0,o.localize)(38,null,a))),delete i[P]);if(typeof O<"u"){if($.type==="string[]"){if(Array.isArray(O)||(O=[O]),!$.allowEmptyValue){const P=O.filter(y=>y.length>0);P.length!==O.length&&(c.onEmptyValue(a),O=P.length>0?P:void 0)}}else $.type==="string"&&(Array.isArray(O)?(O=O.pop(),c.onMultipleValues(a,O)):!O&&!$.allowEmptyValue&&(c.onEmptyValue(a),O=void 0));n[a]=O,$.deprecationMessage&&c.onDeprecatedOption(a,$.deprecationMessage)}delete i[a]}for(const a in i)c.onUnknownOption(a);return n}e.$0l=S;function v(l,b){let c="";return b.args&&(Array.isArray(b.args)?c=` <${b.args.join("> <")}>`:c=` <${b.args}>`),b.alias?`-${b.alias} --${l}${c}`:`--${l}${c}`}function w(l,b){const c=[];for(const g in l){const h=l[g],f=v(g,h);c.push([f,h.description])}return I(c,b)}e.$$l=w;function I(l,b){const g=l.reduce((u,t)=>Math.max(u,t[0].length),12)+2+1;if(b-g<25)return l.reduce((u,t)=>u.concat([`  ${t[0]}`,`      ${t[1]}`]),[]);const h=b-g-1,f=[];for(const u of l){const t=u[0],s=p(u[1],h),r=k(g-t.length-2);f.push("  "+t+r+s[0]);for(let n=1;n<s.length;n++)f.push(k(g)+s[n])}return f}function k(l){return" ".repeat(l)}function p(l,b){const c=[];for(;l.length;){const g=l.length<b?l.length:l.lastIndexOf(" ",b),h=l.slice(0,g).trim();l=l.slice(g),c.push(h)}return c}function d(l,b,c,g,h){const f=process.stdout.isTTY&&process.stdout.columns||80,u=h?.noInputFiles!==!0?`[${(0,o.localize)(39,null)}...]`:"",t=[`${l} ${c}`];t.push(""),t.push(`${(0,o.localize)(40,null)}: ${b} [${(0,o.localize)(41,null)}]${u}`),t.push(""),h?.noPipe!==!0&&(R.$i?t.push((0,o.localize)(42,null,b)):t.push((0,o.localize)(43,null,b)),t.push(""));const s={},r=[];for(const n in g){const i=g[n];if(i.type==="subcommand")i.description&&r.push({command:n,description:i.description});else if(i.description&&i.cat){let a=s[i.cat];a||(s[i.cat]=a={}),a[n]=i}}for(const n in s){const i=n,a=s[i];a&&(t.push(C[i]),t.push(...w(a,f)),t.push(""))}return r.length&&(t.push((0,o.localize)(44,null)),t.push(...I(r.map(n=>[n.command,n.description]),f)),t.push("")),t.join(`
`)}e.$_l=d;function m(l,b){return`${l||(0,o.localize)(45,null)}
${b||(0,o.localize)(46,null)}
${process.arch}`}e.$am=m}),define(ye[214],ke([1,0,302,181,67]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$em=e.$dm=e.$cm=e.$bm=void 0;function C(k,p){const d=(h,f)=>{console.warn((0,R.localize)(0,null,h,f))},m=h=>{console.warn((0,R.localize)(1,null,h))},l=(h,f)=>{console.warn((0,R.localize)(2,null,h,f))},b=h=>({onUnknownOption:f=>{o.$8l.includes(h)||console.warn((0,R.localize)(3,null,f,h))},onMultipleValues:d,onEmptyValue:m,onDeprecatedOption:l,getSubcommandReporter:o.$8l.includes(h)?b:void 0}),c={onUnknownOption:h=>{console.warn((0,R.localize)(4,null,h))},onMultipleValues:d,onEmptyValue:m,onDeprecatedOption:l,getSubcommandReporter:b},g=(0,o.$0l)(k,o.$9l,p?c:void 0);return g.goto&&g._.forEach(h=>E(/^(\w:)?[^:]+(:\d*){0,2}:?$/.test(h),(0,R.localize)(5,null))),g}function D(k){const p=k.findIndex(d=>!/^-/.test(d));if(p>-1)return[...k.slice(0,p),...k.slice(p+1)]}function S(k){let[,...p]=k;process.env.VSCODE_DEV&&(p=D(p)||[]);const d=!I(process.env);return C(p,d)}e.$bm=S;function v(k){let[,,...p]=k;return process.env.VSCODE_DEV&&(p=D(p)||[]),C(p,!0)}e.$cm=v;function w(k,...p){const d=k.indexOf("--");return d===-1?k.push(...p):k.splice(d,0,...p),k}e.$dm=w;function I(k){return k.VSCODE_CLI==="1"}e.$em=I}),function(){"use strict";function le(e,E,R){function o(D,S){const v=C(D,S),w=[v];return e.isAbsolute(v)||w.unshift(R),e.resolve(...w)}function C(D,S){process.env.VSCODE_DEV&&(S="code-oss-dev");const v=process.env.VSCODE_PORTABLE;if(v)return e.join(v,"user-data");let w=process.env.VSCODE_APPDATA;if(w)return e.join(w,S);const I=D["user-data-dir"];if(I)return I;switch(process.platform){case"win32":if(w=process.env.APPDATA,!w){const k=process.env.USERPROFILE;if(typeof k!="string")throw new Error("Windows: Unexpected undefined %USERPROFILE% environment variable");w=e.join(k,"AppData","Roaming")}break;case"darwin":w=e.join(E.homedir(),"Library","Application Support");break;case"linux":w=process.env.XDG_CONFIG_HOME||e.join(E.homedir(),".config");break;default:throw new Error("Platform not supported")}return e.join(w,S)}return{getUserDataPath:o}}if(typeof define=="function")define(ye[215],ke([77,28,29]),function(e,E,R){return le(e,E,R.cwd())});else if(typeof module=="object"&&typeof module.exports=="object"){const e=require("path"),E=require("os");module.exports=le(e,E,process.env.VSCODE_CWD||process.cwd())}else throw new Error("Unknown context")}(),define(ye[108],ke([1,0,28,213,215]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pm=e.$Om=e.$Nm=void 0;class C extends R.$Km{constructor(w,I){super(w,{homeDir:(0,E.homedir)(),tmpDir:(0,E.tmpdir)(),userDataDir:(0,o.getUserDataPath)(w,I.nameShort)},I)}}e.$Nm=C;function D(v,w){return(0,R.$Mm)(v["inspect-ptyhost"],v["inspect-brk-ptyhost"],5877,w,v.extensionEnvironment)}e.$Om=D;function S(v,w){return(0,R.$Mm)(v["inspect-sharedprocess"],v["inspect-brk-sharedprocess"],5879,w,v.extensionEnvironment)}e.$Pm=S}),define(ye[216],ke([1,0,11,185]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0p=void 0;function o(D,S,v,w){try{C(D,S,v,w)}catch(I){D.error(I?.message??I)}return S}e.$0p=o;function C(D,S,v,w){const I=(k,p,d)=>{const m=k[p];if((0,E.$Sf)(m)){const l=m,b=l.length;if(b>1&&l[0]==="%"&&l[b-1]==="%"){const c=l.substr(1,b-2);let g=v[c];g===void 0&&w&&(g=w[c]);const h=typeof g=="string"?g:g?.message,f=w?.[c],u=typeof f=="string"?f:f?.message;if(!h){u||D.warn(`[${S.name}]: ${(0,R.localize)(0,null,c)}`);return}if(d&&(p==="title"||p==="category")&&u&&u!==h){const t={value:h,original:u};k[p]=t}else k[p]=h}}else if((0,E.$Uf)(m))for(const l in m)m.hasOwnProperty(l)&&(l==="commands"?I(m,l,!0):I(m,l,d));else if(Array.isArray(m))for(let l=0;l<m.length;l++)I(m,l,d)};for(const k in S)S.hasOwnProperty(k)&&I(S,k)}}),define(ye[217],ke([1,0,81,188]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fq=void 0;function o(C){return(0,E.$1p)(C,"extension/package.json").then(D=>{try{return JSON.parse(D.toString("utf8"))}catch{throw new Error((0,R.localize)(0,null))}})}e.$fq=o}),define(ye[82],ke([1,0,19,63,189,55]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rp=e.$qp=e.$pp=e.$op=e.$np=e.$mp=e.$lp=void 0;const D=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,S=/^-(\d{4})(\d{2})(\d{2})$/;function v(c){return c=c.trim(),c==="*"||D.test(c)}e.$lp=v;function w(c){if(!v(c))return null;if(c=c.trim(),c==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const g=c.match(D);return g?{hasCaret:g[1]==="^",hasGreaterEquals:g[1]===">=",majorBase:g[2]==="x"?0:parseInt(g[2],10),majorMustEqual:g[2]!=="x",minorBase:g[4]==="x"?0:parseInt(g[4],10),minorMustEqual:g[4]!=="x",patchBase:g[6]==="x"?0:parseInt(g[6],10),patchMustEqual:g[6]!=="x",preRelease:g[8]||null}:null}e.$mp=w;function I(c){if(!c)return null;const g=c.majorBase,h=c.majorMustEqual,f=c.minorBase;let u=c.minorMustEqual;const t=c.patchBase;let s=c.patchMustEqual;c.hasCaret&&(g===0||(u=!1),s=!1);let r=0;if(c.preRelease){const n=S.exec(c.preRelease);if(n){const[,i,a,$]=n;r=Date.UTC(Number(i),Number(a)-1,Number($))}}return{majorBase:g,majorMustEqual:h,minorBase:f,minorMustEqual:u,patchBase:t,patchMustEqual:s,isMinimum:c.hasGreaterEquals,notBefore:r}}e.$np=I;function k(c,g,h){let f;typeof c=="string"?f=I(w(c)):f=c;let u;g instanceof Date?u=g.getTime():typeof g=="string"&&(u=new Date(g).getTime());let t;if(typeof h=="string"?t=I(w(h)):t=h,!f||!t)return!1;const s=f.majorBase,r=f.minorBase,n=f.patchBase;let i=t.majorBase,a=t.minorBase,$=t.patchBase;const O=t.notBefore;let P=t.majorMustEqual,y=t.minorMustEqual,A=t.patchMustEqual;return t.isMinimum?s>i?!0:s<i?!1:r>a?!0:r<a||u&&u<O?!1:n>=$:(s===1&&i===0&&(!P||!y||!A)&&(i=1,a=0,$=0,P=!0,y=!1,A=!1),s<i?!1:s>i?!P:r<a?!1:r>a?!y:n<$?!1:n>$?!A:!(u&&u<O))}e.$op=k;function p(c,g,h,f,u){const t=[];if(typeof f.publisher<"u"&&typeof f.publisher!="string")return t.push([R.default.Error,o.localize(0,null)]),t;if(typeof f.name!="string")return t.push([R.default.Error,o.localize(1,null,"name")]),t;if(typeof f.version!="string")return t.push([R.default.Error,o.localize(2,null,"version")]),t;if(!f.engines)return t.push([R.default.Error,o.localize(3,null,"engines")]),t;if(typeof f.engines.vscode!="string")return t.push([R.default.Error,o.localize(4,null,"engines.vscode")]),t;if(typeof f.extensionDependencies<"u"&&!b(f.extensionDependencies))return t.push([R.default.Error,o.localize(5,null,"extensionDependencies")]),t;if(typeof f.activationEvents<"u"){if(!b(f.activationEvents))return t.push([R.default.Error,o.localize(6,null,"activationEvents")]),t;if(typeof f.main>"u"&&typeof f.browser>"u")return t.push([R.default.Error,o.localize(7,null,"activationEvents","main","browser")]),t}if(typeof f.extensionKind<"u"&&typeof f.main>"u"&&t.push([R.default.Warning,o.localize(8,null,"extensionKind")]),typeof f.main<"u"){if(typeof f.main!="string")return t.push([R.default.Error,o.localize(9,null,"main")]),t;{const n=(0,E.$Rg)(h,f.main);(0,E.$Lg)(n,h)||t.push([R.default.Warning,o.localize(10,null,n.path,h.path)])}}if(typeof f.browser<"u"){if(typeof f.browser!="string")return t.push([R.default.Error,o.localize(11,null,"browser")]),t;{const n=(0,E.$Rg)(h,f.browser);(0,E.$Lg)(n,h)||t.push([R.default.Warning,o.localize(12,null,n.path,h.path)])}}if(!C.valid(f.version))return t.push([R.default.Error,o.localize(13,null)]),t;const s=[];if(!d(c,g,f,u,s))for(const n of s)t.push([R.default.Error,n]);return t}e.$pp=p;function d(c,g,h,f,u){return f||typeof h.main>"u"&&typeof h.browser>"u"?!0:l(c,g,h.engines.vscode,u)}e.$qp=d;function m(c,g,h){return c==="*"||l(g,h,c)}e.$rp=m;function l(c,g,h,f=[]){const u=I(w(h));if(!u)return f.push(o.localize(14,null,h)),!1;if(u.majorBase===0){if(!u.majorMustEqual||!u.minorMustEqual)return f.push(o.localize(15,null,h)),!1}else if(!u.majorMustEqual)return f.push(o.localize(16,null,h)),!1;return k(c,g,u)?!0:(f.push(o.localize(17,null,c,h)),!1)}function b(c){if(!Array.isArray(c))return!1;for(let g=0,h=c.length;g<h;g++)if(typeof c[g]!="string")return!1;return!0}}),define(ye[218],ke([1,0,14,22]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lp=void 0;async function o(C,D,S){let v=S&&S.get("storage.serviceMachineId",-1)||null;if(v)return v;try{const I=(await D.readFile(C.serviceMachineIdResource)).value.toString();v=(0,R.$zg)(I)?I:null}catch{v=null}if(!v){v=(0,R.$Ag)();try{await D.writeFile(C.serviceMachineIdResource,E.$se.fromString(v))}catch{}}return S?.store("storage.serviceMachineId",v,-1,1),v}e.$Lp=o}),define(ye[68],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bi=void 0;class E{constructor(o,C=[],D=!1){this.ctor=o,this.staticArguments=C,this.supportsDelayedInstantiation=D}}e.$bi=E}),define(ye[109],ke([1,0,68]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$r=e.$0r=e.InstantiationType=void 0;const R=[];var o;(function(S){S[S.Eager=0]="Eager",S[S.Delayed=1]="Delayed"})(o||(e.InstantiationType=o={}));function C(S,v,w){v instanceof E.$bi||(v=new E.$bi(v,[],!!w)),R.push([S,v])}e.$0r=C;function D(){return R}e.$$r=D}),define(ye[219],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Oq=e.$Nq=void 0;class E{constructor(C,D){this.key=C,this.data=D,this.incoming=new Map,this.outgoing=new Map}}e.$Nq=E;class R{constructor(C){this.b=C,this.a=new Map}roots(){const C=[];for(const D of this.a.values())D.outgoing.size===0&&C.push(D);return C}insertEdge(C,D){const S=this.lookupOrInsertNode(C),v=this.lookupOrInsertNode(D);S.outgoing.set(v.key,v),v.incoming.set(S.key,S)}removeNode(C){const D=this.b(C);this.a.delete(D);for(const S of this.a.values())S.outgoing.delete(D),S.incoming.delete(D)}lookupOrInsertNode(C){const D=this.b(C);let S=this.a.get(D);return S||(S=new E(D,C),this.a.set(D,S)),S}lookup(C){return this.a.get(this.b(C))}isEmpty(){return this.a.size===0}toString(){const C=[];for(const[D,S]of this.a)C.push(`${D}
	(-> incoming)[${[...S.incoming.keys()].join(", ")}]
	(outgoing ->)[${[...S.outgoing.keys()].join(",")}]
`);return C.join(`
`)}findCycleSlow(){for(const[C,D]of this.a){const S=new Set([C]),v=this.c(D,S);if(v)return v}}c(C,D){for(const[S,v]of C.outgoing){if(D.has(S))return[...D,S].join(" -> ");D.add(S);const w=this.c(v,D);if(w)return w;D.delete(S)}}}e.$Oq=R}),define(ye[5],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fi=e.$ei=e.$di=e._util=void 0;var E;(function(D){D.serviceIds=new Map,D.DI_TARGET="$di$target",D.DI_DEPENDENCIES="$di$dependencies";function S(v){return v[D.DI_DEPENDENCIES]||[]}D.getServiceDependencies=S})(E||(e._util=E={})),e.$di=o("instantiationService");function R(D,S,v){S[E.DI_TARGET]===S?S[E.DI_DEPENDENCIES].push({id:D,index:v}):(S[E.DI_DEPENDENCIES]=[{id:D,index:v}],S[E.DI_TARGET]=S)}function o(D){if(E.serviceIds.has(D))return E.serviceIds.get(D);const S=function(v,w,I){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");R(S,v,I)};return S.toString=()=>D,E.serviceIds.set(D,S),S}e.$ei=o;function C(D){return D}e.$fi=C}),define(ye[25],ke([1,0,11,4,5]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ui=e.$Ti=e.$Si=e.$Ri=e.$Qi=e.$Pi=e.$Oi=e.$Ni=e.ConfigurationTarget=e.$Mi=e.$Li=e.$Ki=void 0,e.$Ki=(0,o.$ei)("configurationService");function C(c){return c&&typeof c=="object"&&(!c.overrideIdentifier||typeof c.overrideIdentifier=="string")&&(!c.resource||c.resource instanceof R.URI)}e.$Li=C;function D(c){return c&&typeof c=="object"&&(!c.overrideIdentifiers||Array.isArray(c.overrideIdentifiers))&&!c.overrideIdentifier&&(!c.resource||c.resource instanceof R.URI)}e.$Mi=D;var S;(function(c){c[c.APPLICATION=1]="APPLICATION",c[c.USER=2]="USER",c[c.USER_LOCAL=3]="USER_LOCAL",c[c.USER_REMOTE=4]="USER_REMOTE",c[c.WORKSPACE=5]="WORKSPACE",c[c.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",c[c.DEFAULT=7]="DEFAULT",c[c.MEMORY=8]="MEMORY"})(S||(e.ConfigurationTarget=S={}));function v(c){switch(c){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.$Ni=v;function w(c){return c.applicationValue!==void 0||c.userValue!==void 0||c.userLocalValue!==void 0||c.userRemoteValue!==void 0||c.workspaceValue!==void 0||c.workspaceFolderValue!==void 0}e.$Oi=w;function I(c,g){const h=Object.create(null);for(const f in c)k(h,f,c[f],g);return h}e.$Pi=I;function k(c,g,h,f){const u=g.split("."),t=u.pop();let s=c;for(let r=0;r<u.length;r++){const n=u[r];let i=s[n];switch(typeof i){case"undefined":i=s[n]=Object.create(null);break;case"object":break;default:f(`Ignoring ${g} as ${u.slice(0,r+1).join(".")} is ${JSON.stringify(i)}`);return}s=i}if(typeof s=="object"&&s!==null)try{s[t]=h}catch{f(`Ignoring ${g} as ${u.join(".")} is ${JSON.stringify(s)}`)}else f(`Ignoring ${g} as ${u.join(".")} is ${JSON.stringify(s)}`)}e.$Qi=k;function p(c,g){const h=g.split(".");d(c,h)}e.$Ri=p;function d(c,g){const h=g.shift();if(g.length===0){delete c[h];return}if(Object.keys(c).indexOf(h)!==-1){const f=c[h];typeof f=="object"&&!Array.isArray(f)&&(d(f,g),Object.keys(f).length===0&&delete c[h])}}function m(c,g,h){function f(s,r){let n=s;for(const i of r){if(typeof n!="object"||n===null)return;n=n[i]}return n}const u=g.split("."),t=f(c,u);return typeof t>"u"?h:t}e.$Si=m;function l(c,g,h){Object.keys(g).forEach(f=>{f!=="__proto__"&&(f in c?E.$Uf(c[f])&&E.$Uf(g[f])?l(c[f],g[f],h):h&&(c[f]=g[f]):c[f]=g[f])})}e.$Ti=l;function b(c){return c.replace(/[\[\]]/g,"")}e.$Ui=b}),define(ye[69],ke([1,0,3,17,210,5,178,10]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xj=e.$wj=e.$vj=e.$uj=e.$tj=e.$sj=e.$rj=e.$qj=e.$pj=e.$oj=e.$nj=e.$mj=e.$lj=e.$kj=e.$jj=e.$ij=e.$hj=e.$gj=e.$fj=e.$ej=e.$dj=e.$cj=e.$bj=e.ContextKeyExprType=e.$aj=void 0;const v=new Map;v.set("false",!1),v.set("true",!0),v.set("isMac",E.$j),v.set("isLinux",E.$k),v.set("isWindows",E.$i),v.set("isWeb",E.$o),v.set("isMacNative",E.$j&&!E.$o),v.set("isEdge",E.$H),v.set("isFirefox",E.$F),v.set("isChrome",E.$E),v.set("isSafari",E.$G);function w(q,M){if(v.get(q)!==void 0)throw(0,S.$7)("contextkey.setConstant(k, v) invoked with already set constant `k`");v.set(q,M)}e.$aj=w;const I=Object.prototype.hasOwnProperty;var k;(function(q){q[q.False=0]="False",q[q.True=1]="True",q[q.Defined=2]="Defined",q[q.Not=3]="Not",q[q.Equals=4]="Equals",q[q.NotEquals=5]="NotEquals",q[q.And=6]="And",q[q.Regex=7]="Regex",q[q.NotRegex=8]="NotRegex",q[q.Or=9]="Or",q[q.In=10]="In",q[q.NotIn=11]="NotIn",q[q.Greater=12]="Greater",q[q.GreaterEquals=13]="GreaterEquals",q[q.Smaller=14]="Smaller",q[q.SmallerEquals=15]="SmallerEquals"})(k||(e.ContextKeyExprType=k={}));const p={regexParsingWithErrorRecovery:!0},d=(0,D.localize)(0,null),m=(0,D.localize)(1,null),l=(0,D.localize)(2,null),b=(0,D.localize)(3,null),c=(0,D.localize)(4,null),g=(0,D.localize)(5,null),h=(0,D.localize)(6,null),f=(0,D.localize)(7,null);class u{static{this.c=new Error}get lexingErrors(){return this.d.errors}get parsingErrors(){return this.h}constructor(M=p){this.k=M,this.d=new o.$_i,this.f=[],this.g=0,this.h=[],this.v=/g|y/g}parse(M){if(M===""){this.h.push({message:d,offset:0,lexeme:"",additionalInfo:m});return}this.f=this.d.reset(M).scan(),this.g=0,this.h=[];try{const z=this.l();if(!this.E()){const x=this.D(),Y=x.type===17?g:void 0;throw this.h.push({message:c,offset:x.offset,lexeme:o.$_i.getLexeme(x),additionalInfo:Y}),u.c}return z}catch(z){if(z!==u.c)throw z;return}}l(){return this.m()}m(){const M=[this.o()];for(;this.y(16);){const z=this.o();M.push(z)}return M.length===1?M[0]:t.or(...M)}o(){const M=[this.s()];for(;this.y(15);){const z=this.s();M.push(z)}return M.length===1?M[0]:t.and(...M)}s(){if(this.y(2)){const M=this.D();switch(M.type){case 11:return this.z(),i.INSTANCE;case 12:return this.z(),a.INSTANCE;case 0:{this.z();const z=this.l();return this.A(1,b),z?.negate()}case 17:return this.z(),F.create(M.lexeme);default:throw this.B("KEY | true | false | '(' expression ')'",M)}}return this.t()}t(){const M=this.D();switch(M.type){case 11:return this.z(),t.true();case 12:return this.z(),t.false();case 0:{this.z();const z=this.l();return this.A(1,b),z}case 17:{const z=M.lexeme;if(this.z(),this.y(9)){const Y=this.D();if(!this.k.regexParsingWithErrorRecovery){if(this.z(),Y.type!==10)throw this.B("REGEX",Y);const Z=Y.lexeme,W=Z.lastIndexOf("/"),J=W===Z.length-1?void 0:this.w(Z.substring(W+1));let N;try{N=new RegExp(Z.substring(1,W),J)}catch{throw this.B("REGEX",Y)}return V.create(z,N)}switch(Y.type){case 10:case 19:{const Z=[Y.lexeme];this.z();let W=this.D(),J=0;for(let fe=0;fe<Y.lexeme.length;fe++)Y.lexeme.charCodeAt(fe)===40?J++:Y.lexeme.charCodeAt(fe)===41&&J--;for(;!this.E()&&W.type!==15&&W.type!==16;){switch(W.type){case 0:J++;break;case 1:J--;break;case 10:case 18:for(let fe=0;fe<W.lexeme.length;fe++)W.lexeme.charCodeAt(fe)===40?J++:Y.lexeme.charCodeAt(fe)===41&&J--}if(J<0)break;Z.push(o.$_i.getLexeme(W)),this.z(),W=this.D()}const N=Z.join(""),T=N.lastIndexOf("/"),ee=T===N.length-1?void 0:this.w(N.substring(T+1));let ie;try{ie=new RegExp(N.substring(1,T),ee)}catch{throw this.B("REGEX",Y)}return t.regex(z,ie)}case 18:{const Z=Y.lexeme;this.z();let W=null;if(!(0,R.$Se)(Z)){const J=Z.indexOf("/"),N=Z.lastIndexOf("/");if(J!==N&&J>=0){const T=Z.slice(J+1,N),ee=Z[N+1]==="i"?"i":"";try{W=new RegExp(T,ee)}catch{throw this.B("REGEX",Y)}}}if(W===null)throw this.B("REGEX",Y);return V.create(z,W)}default:throw this.B("REGEX",this.D())}}if(this.y(14)){this.A(13,l);const Y=this.u();return t.notIn(z,Y)}switch(this.D().type){case 3:{this.z();const Y=this.u();if(this.x().type===18)return t.equals(z,Y);switch(Y){case"true":return t.has(z);case"false":return t.not(z);default:return t.equals(z,Y)}}case 4:{this.z();const Y=this.u();if(this.x().type===18)return t.notEquals(z,Y);switch(Y){case"true":return t.not(z);case"false":return t.has(z);default:return t.notEquals(z,Y)}}case 5:return this.z(),he.create(z,this.u());case 6:return this.z(),B.create(z,this.u());case 7:return this.z(),te.create(z,this.u());case 8:return this.z(),de.create(z,this.u());case 13:return this.z(),t.in(z,this.u());default:return t.has(z)}}case 20:throw this.h.push({message:h,offset:M.offset,lexeme:"",additionalInfo:f}),u.c;default:throw this.B(`true | false | KEY 
	| KEY '=~' REGEX 
	| KEY ('==' | '!=' | '<' | '<=' | '>' | '>=' | 'in' | 'not' 'in') value`,this.D())}}u(){const M=this.D();switch(M.type){case 17:case 18:return this.z(),M.lexeme;case 11:return this.z(),"true";case 12:return this.z(),"false";case 13:return this.z(),"in";default:return""}}w(M){return M.replaceAll(this.v,"")}x(){return this.f[this.g-1]}y(M){return this.C(M)?(this.z(),!0):!1}z(){return this.E()||this.g++,this.x()}A(M,z){if(this.C(M))return this.z();throw this.B(z,this.D())}B(M,z,x){const Y=(0,D.localize)(8,null,M,o.$_i.getLexeme(z)),Z=z.offset,W=o.$_i.getLexeme(z);return this.h.push({message:Y,offset:Z,lexeme:W,additionalInfo:x}),u.c}C(M){return this.D().type===M}D(){return this.f[this.g]}E(){return this.D().type===20}}e.$bj=u;class t{static false(){return i.INSTANCE}static true(){return a.INSTANCE}static has(M){return $.create(M)}static equals(M,z){return O.create(M,z)}static notEquals(M,z){return A.create(M,z)}static regex(M,z){return V.create(M,z)}static in(M,z){return P.create(M,z)}static notIn(M,z){return y.create(M,z)}static not(M){return F.create(M)}static and(...M){return ne.create(M,null,!0)}static or(...M){return K.create(M,null,!0)}static greater(M,z){return te.create(M,z)}static greaterEquals(M,z){return de.create(M,z)}static smaller(M,z){return he.create(M,z)}static smallerEquals(M,z){return B.create(M,z)}static{this.c=new u({regexParsingWithErrorRecovery:!1})}static deserialize(M){return M==null?void 0:this.c.parse(M)}}e.$cj=t;function s(q){const M=new u({regexParsingWithErrorRecovery:!1});return q.map(z=>(M.parse(z),M.lexingErrors.length>0?M.lexingErrors.map(x=>({errorMessage:x.additionalInfo?(0,D.localize)(9,null,x.additionalInfo):(0,D.localize)(10,null),offset:x.offset,length:x.lexeme.length})):M.parsingErrors.length>0?M.parsingErrors.map(x=>({errorMessage:x.additionalInfo?`${x.message}. ${x.additionalInfo}`:x.message,offset:x.offset,length:x.lexeme.length})):[]))}e.$dj=s;function r(q,M){const z=q?q.substituteConstants():void 0,x=M?M.substituteConstants():void 0;return!z&&!x?!0:!z||!x?!1:z.equals(x)}e.$ej=r;function n(q,M){return q.cmp(M)}class i{static{this.INSTANCE=new i}constructor(){this.type=0}cmp(M){return this.type-M.type}equals(M){return M.type===this.type}substituteConstants(){return this}evaluate(M){return!1}serialize(){return"false"}keys(){return[]}map(M){return this}negate(){return a.INSTANCE}}e.$fj=i;class a{static{this.INSTANCE=new a}constructor(){this.type=1}cmp(M){return this.type-M.type}equals(M){return M.type===this.type}substituteConstants(){return this}evaluate(M){return!0}serialize(){return"true"}keys(){return[]}map(M){return this}negate(){return i.INSTANCE}}e.$gj=a;class ${static create(M,z=null){const x=v.get(M);return typeof x=="boolean"?x?a.INSTANCE:i.INSTANCE:new $(M,z)}constructor(M,z){this.key=M,this.c=z,this.type=2}cmp(M){return M.type!==this.type?this.type-M.type:oe(this.key,M.key)}equals(M){return M.type===this.type?this.key===M.key:!1}substituteConstants(){const M=v.get(this.key);return typeof M=="boolean"?M?a.INSTANCE:i.INSTANCE:this}evaluate(M){return!!M.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(M){return M.mapDefined(this.key)}negate(){return this.c||(this.c=F.create(this.key,this)),this.c}}e.$hj=$;class O{static create(M,z,x=null){if(typeof z=="boolean")return z?$.create(M,x):F.create(M,x);const Y=v.get(M);return typeof Y=="boolean"?z===(Y?"true":"false")?a.INSTANCE:i.INSTANCE:new O(M,z,x)}constructor(M,z,x){this.c=M,this.d=z,this.f=x,this.type=4}cmp(M){return M.type!==this.type?this.type-M.type:ce(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){const M=v.get(this.c);if(typeof M=="boolean"){const z=M?"true":"false";return this.d===z?a.INSTANCE:i.INSTANCE}return this}evaluate(M){return M.getValue(this.c)==this.d}serialize(){return`${this.c} == '${this.d}'`}keys(){return[this.c]}map(M){return M.mapEquals(this.c,this.d)}negate(){return this.f||(this.f=A.create(this.c,this.d,this)),this.f}}e.$ij=O;class P{static create(M,z){return new P(M,z)}constructor(M,z){this.d=M,this.f=z,this.type=10,this.c=null}cmp(M){return M.type!==this.type?this.type-M.type:ce(this.d,this.f,M.d,M.f)}equals(M){return M.type===this.type?this.d===M.d&&this.f===M.f:!1}substituteConstants(){return this}evaluate(M){const z=M.getValue(this.f),x=M.getValue(this.d);return Array.isArray(z)?z.includes(x):typeof x=="string"&&typeof z=="object"&&z!==null?I.call(z,x):!1}serialize(){return`${this.d} in '${this.f}'`}keys(){return[this.d,this.f]}map(M){return M.mapIn(this.d,this.f)}negate(){return this.c||(this.c=y.create(this.d,this.f)),this.c}}e.$jj=P;class y{static create(M,z){return new y(M,z)}constructor(M,z){this.d=M,this.f=z,this.type=11,this.c=P.create(M,z)}cmp(M){return M.type!==this.type?this.type-M.type:this.c.cmp(M.c)}equals(M){return M.type===this.type?this.c.equals(M.c):!1}substituteConstants(){return this}evaluate(M){return!this.c.evaluate(M)}serialize(){return`${this.d} not in '${this.f}'`}keys(){return this.c.keys()}map(M){return M.mapNotIn(this.d,this.f)}negate(){return this.c}}e.$kj=y;class A{static create(M,z,x=null){if(typeof z=="boolean")return z?F.create(M,x):$.create(M,x);const Y=v.get(M);return typeof Y=="boolean"?z===(Y?"true":"false")?i.INSTANCE:a.INSTANCE:new A(M,z,x)}constructor(M,z,x){this.c=M,this.d=z,this.f=x,this.type=5}cmp(M){return M.type!==this.type?this.type-M.type:ce(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){const M=v.get(this.c);if(typeof M=="boolean"){const z=M?"true":"false";return this.d===z?i.INSTANCE:a.INSTANCE}return this}evaluate(M){return M.getValue(this.c)!=this.d}serialize(){return`${this.c} != '${this.d}'`}keys(){return[this.c]}map(M){return M.mapNotEquals(this.c,this.d)}negate(){return this.f||(this.f=O.create(this.c,this.d,this)),this.f}}e.$lj=A;class F{static create(M,z=null){const x=v.get(M);return typeof x=="boolean"?x?i.INSTANCE:a.INSTANCE:new F(M,z)}constructor(M,z){this.c=M,this.d=z,this.type=3}cmp(M){return M.type!==this.type?this.type-M.type:oe(this.c,M.c)}equals(M){return M.type===this.type?this.c===M.c:!1}substituteConstants(){const M=v.get(this.c);return typeof M=="boolean"?M?i.INSTANCE:a.INSTANCE:this}evaluate(M){return!M.getValue(this.c)}serialize(){return`!${this.c}`}keys(){return[this.c]}map(M){return M.mapNot(this.c)}negate(){return this.d||(this.d=$.create(this.c,this)),this.d}}e.$mj=F;function Q(q,M){if(typeof q=="string"){const z=parseFloat(q);isNaN(z)||(q=z)}return typeof q=="string"||typeof q=="number"?M(q):i.INSTANCE}class te{static create(M,z,x=null){return Q(z,Y=>new te(M,Y,x))}constructor(M,z,x){this.c=M,this.d=z,this.f=x,this.type=12}cmp(M){return M.type!==this.type?this.type-M.type:ce(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))>this.d}serialize(){return`${this.c} > ${this.d}`}keys(){return[this.c]}map(M){return M.mapGreater(this.c,this.d)}negate(){return this.f||(this.f=B.create(this.c,this.d,this)),this.f}}e.$nj=te;class de{static create(M,z,x=null){return Q(z,Y=>new de(M,Y,x))}constructor(M,z,x){this.c=M,this.d=z,this.f=x,this.type=13}cmp(M){return M.type!==this.type?this.type-M.type:ce(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))>=this.d}serialize(){return`${this.c} >= ${this.d}`}keys(){return[this.c]}map(M){return M.mapGreaterEquals(this.c,this.d)}negate(){return this.f||(this.f=he.create(this.c,this.d,this)),this.f}}e.$oj=de;class he{static create(M,z,x=null){return Q(z,Y=>new he(M,Y,x))}constructor(M,z,x){this.c=M,this.d=z,this.f=x,this.type=14}cmp(M){return M.type!==this.type?this.type-M.type:ce(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))<this.d}serialize(){return`${this.c} < ${this.d}`}keys(){return[this.c]}map(M){return M.mapSmaller(this.c,this.d)}negate(){return this.f||(this.f=de.create(this.c,this.d,this)),this.f}}e.$pj=he;class B{static create(M,z,x=null){return Q(z,Y=>new B(M,Y,x))}constructor(M,z,x){this.c=M,this.d=z,this.f=x,this.type=15}cmp(M){return M.type!==this.type?this.type-M.type:ce(this.c,this.d,M.c,M.d)}equals(M){return M.type===this.type?this.c===M.c&&this.d===M.d:!1}substituteConstants(){return this}evaluate(M){return typeof this.d=="string"?!1:parseFloat(M.getValue(this.c))<=this.d}serialize(){return`${this.c} <= ${this.d}`}keys(){return[this.c]}map(M){return M.mapSmallerEquals(this.c,this.d)}negate(){return this.f||(this.f=te.create(this.c,this.d,this)),this.f}}e.$qj=B;class V{static create(M,z){return new V(M,z)}constructor(M,z){this.d=M,this.f=z,this.type=7,this.c=null}cmp(M){if(M.type!==this.type)return this.type-M.type;if(this.d<M.d)return-1;if(this.d>M.d)return 1;const z=this.f?this.f.source:"",x=M.f?M.f.source:"";return z<x?-1:z>x?1:0}equals(M){if(M.type===this.type){const z=this.f?this.f.source:"",x=M.f?M.f.source:"";return this.d===M.d&&z===x}return!1}substituteConstants(){return this}evaluate(M){const z=M.getValue(this.d);return this.f?this.f.test(z):!1}serialize(){const M=this.f?`/${this.f.source}/${this.f.flags}`:"/invalid/";return`${this.d} =~ ${M}`}keys(){return[this.d]}map(M){return M.mapRegex(this.d,this.f)}negate(){return this.c||(this.c=_.create(this)),this.c}}e.$rj=V;class _{static create(M){return new _(M)}constructor(M){this.c=M,this.type=8}cmp(M){return M.type!==this.type?this.type-M.type:this.c.cmp(M.c)}equals(M){return M.type===this.type?this.c.equals(M.c):!1}substituteConstants(){return this}evaluate(M){return!this.c.evaluate(M)}serialize(){return`!(${this.c.serialize()})`}keys(){return this.c.keys()}map(M){return new _(this.c.map(M))}negate(){return this.c}}e.$sj=_;function X(q){let M=null;for(let z=0,x=q.length;z<x;z++){const Y=q[z].substituteConstants();if(q[z]!==Y&&M===null){M=[];for(let Z=0;Z<z;Z++)M[Z]=q[Z]}M!==null&&(M[z]=Y)}return M===null?q:M}class ne{static create(M,z,x){return ne.d(M,z,x)}constructor(M,z){this.expr=M,this.c=z,this.type=6}cmp(M){if(M.type!==this.type)return this.type-M.type;if(this.expr.length<M.expr.length)return-1;if(this.expr.length>M.expr.length)return 1;for(let z=0,x=this.expr.length;z<x;z++){const Y=n(this.expr[z],M.expr[z]);if(Y!==0)return Y}return 0}equals(M){if(M.type===this.type){if(this.expr.length!==M.expr.length)return!1;for(let z=0,x=this.expr.length;z<x;z++)if(!this.expr[z].equals(M.expr[z]))return!1;return!0}return!1}substituteConstants(){const M=X(this.expr);return M===this.expr?this:ne.create(M,this.c,!1)}evaluate(M){for(let z=0,x=this.expr.length;z<x;z++)if(!this.expr[z].evaluate(M))return!1;return!0}static d(M,z,x){const Y=[];let Z=!1;for(const W of M)if(W){if(W.type===1){Z=!0;continue}if(W.type===0)return i.INSTANCE;if(W.type===6){Y.push(...W.expr);continue}Y.push(W)}if(Y.length===0&&Z)return a.INSTANCE;if(Y.length!==0){if(Y.length===1)return Y[0];Y.sort(n);for(let W=1;W<Y.length;W++)Y[W-1].equals(Y[W])&&(Y.splice(W,1),W--);if(Y.length===1)return Y[0];for(;Y.length>1;){const W=Y[Y.length-1];if(W.type!==9)break;Y.pop();const J=Y.pop(),N=Y.length===0,T=K.create(W.expr.map(ee=>ne.create([ee,J],null,x)),null,N);T&&(Y.push(T),Y.sort(n))}if(Y.length===1)return Y[0];if(x){for(let W=0;W<Y.length;W++)for(let J=W+1;J<Y.length;J++)if(Y[W].negate().equals(Y[J]))return i.INSTANCE;if(Y.length===1)return Y[0]}return new ne(Y,z)}}serialize(){return this.expr.map(M=>M.serialize()).join(" && ")}keys(){const M=[];for(const z of this.expr)M.push(...z.keys());return M}map(M){return new ne(this.expr.map(z=>z.map(M)),null)}negate(){if(!this.c){const M=[];for(const z of this.expr)M.push(z.negate());this.c=K.create(M,this,!0)}return this.c}}e.$tj=ne;class K{static create(M,z,x){return K.d(M,z,x)}constructor(M,z){this.expr=M,this.c=z,this.type=9}cmp(M){if(M.type!==this.type)return this.type-M.type;if(this.expr.length<M.expr.length)return-1;if(this.expr.length>M.expr.length)return 1;for(let z=0,x=this.expr.length;z<x;z++){const Y=n(this.expr[z],M.expr[z]);if(Y!==0)return Y}return 0}equals(M){if(M.type===this.type){if(this.expr.length!==M.expr.length)return!1;for(let z=0,x=this.expr.length;z<x;z++)if(!this.expr[z].equals(M.expr[z]))return!1;return!0}return!1}substituteConstants(){const M=X(this.expr);return M===this.expr?this:K.create(M,this.c,!1)}evaluate(M){for(let z=0,x=this.expr.length;z<x;z++)if(this.expr[z].evaluate(M))return!0;return!1}static d(M,z,x){let Y=[],Z=!1;if(M){for(let W=0,J=M.length;W<J;W++){const N=M[W];if(N){if(N.type===0){Z=!0;continue}if(N.type===1)return a.INSTANCE;if(N.type===9){Y=Y.concat(N.expr);continue}Y.push(N)}}if(Y.length===0&&Z)return i.INSTANCE;Y.sort(n)}if(Y.length!==0){if(Y.length===1)return Y[0];for(let W=1;W<Y.length;W++)Y[W-1].equals(Y[W])&&(Y.splice(W,1),W--);if(Y.length===1)return Y[0];if(x){for(let W=0;W<Y.length;W++)for(let J=W+1;J<Y.length;J++)if(Y[W].negate().equals(Y[J]))return a.INSTANCE;if(Y.length===1)return Y[0]}return new K(Y,z)}}serialize(){return this.expr.map(M=>M.serialize()).join(" || ")}keys(){const M=[];for(const z of this.expr)M.push(...z.keys());return M}map(M){return new K(this.expr.map(z=>z.map(M)),null)}negate(){if(!this.c){const M=[];for(const z of this.expr)M.push(z.negate());for(;M.length>1;){const z=M.shift(),x=M.shift(),Y=[];for(const Z of U(z))for(const W of U(x))Y.push(ne.create([Z,W],null,!1));M.unshift(K.create(Y,null,!1))}this.c=K.create(M,this,!0)}return this.c}}e.$uj=K;class G extends ${static{this.d=[]}static all(){return G.d.values()}constructor(M,z,x){super(M,null),this.f=z,typeof x=="object"?G.d.push({...x,key:M}):x!==!0&&G.d.push({key:M,description:x,type:z!=null?typeof z:void 0})}bindTo(M){return M.createKey(this.key,this.f)}getValue(M){return M.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(M){return O.create(this.key,M)}notEqualsTo(M){return A.create(this.key,M)}}e.$vj=G,e.$wj=(0,C.$ei)("contextKeyService");function oe(q,M){return q<M?-1:q>M?1:0}function ce(q,M,z,x){return q<z?-1:q>z?1:M<x?-1:M>x?1:0}function se(q,M){if(q.type===0||M.type===1)return!0;if(q.type===9)return M.type===9?ge(q.expr,M.expr):!1;if(M.type===9){for(const z of M.expr)if(se(q,z))return!0;return!1}if(q.type===6){if(M.type===6)return ge(M.expr,q.expr);for(const z of q.expr)if(se(z,M))return!0;return!1}return q.equals(M)}e.$xj=se;function ge(q,M){let z=0,x=0;for(;z<q.length&&x<M.length;){const Y=q[z].cmp(M[x]);if(Y<0)return!1;Y===0&&z++,x++}return z===q.length}function U(q){return q.type===9?q.expr:[q]}}),define(ye[220],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wm=e.$Vm=e.$Um=e.ID=void 0,e.ID="diagnosticsService",e.$Um=(0,E.$ei)(e.ID);function R(C){return!!C.hostName&&!!C.errorMessage}e.$Vm=R;class o{async getPerformanceInfo(D,S){return{}}async getSystemInfo(D,S){return{processArgs:"nullProcessArgs",gpuStatus:"nullGpuStatus",screenReader:"nullScreenReader",remoteData:[],os:"nullOs",memory:"nullMemory",vmHint:"nullVmHint"}}async getDiagnostics(D,S){return""}async getWorkspaceFileExtensions(D){return{extensions:[]}}async reportWorkspaceStats(D){}}e.$Wm=o}),define(ye[83],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$po=void 0,e.$po=(0,E.$ei)("downloadService")}),define(ye[26],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mi=e.$li=void 0,e.$li=(0,E.$ei)("environmentService"),e.$mi=(0,E.$fi)(e.$li)}),define(ye[30],ke([1,0,183,5]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$To=e.$So=e.$Ro=e.$Qo=e.$Po=e.$Oo=e.$No=e.$Mo=e.ExtensionGalleryErrorCode=e.$Lo=e.ExtensionSignaturetErrorCode=e.ExtensionManagementErrorCode=e.$Ko=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.$Jo=e.$Io=e.$Ho=e.$Go=e.$Fo=e.$Eo=e.$Do=e.$Co=e.$Bo=e.$Ao=e.$zo=e.$yo=void 0,e.$yo="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.$zo=new RegExp(e.$yo),e.$Ao="__web_extension",e.$Bo="skipWalkthrough",e.$Co="extensionsSync",e.$Do="dependecyOrPackExtensionInstall";function o(h){switch(h){case"win32-x64":return"Windows 64 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.$Eo=o;function C(h){switch(h){case"win32-x64":return"win32-x64";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.$Fo=C;function D(h,f){switch(h){case 3:return f==="x64"?"win32-x64":f==="arm64"?"win32-arm64":"unknown";case 2:return f==="x64"?"linux-x64":f==="arm64"?"linux-arm64":f==="arm"?"linux-armhf":"unknown";case"alpine":return f==="x64"?"alpine-x64":f==="arm64"?"alpine-arm64":"unknown";case 1:return f==="x64"?"darwin-x64":f==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.$Go=D;function S(h,f){return f==="web"&&!h.includes("web")}e.$Ho=S;function v(h,f,u){return S(f,u)?!1:h==="undefined"||h==="universal"?!0:h==="unknown"?!1:h===u}e.$Io=v;function w(h){return h&&typeof h=="object"&&typeof h.id=="string"&&(!h.uuid||typeof h.uuid=="string")}e.$Jo=w;var I;(function(h){h[h.NoneOrRelevance=0]="NoneOrRelevance",h[h.LastUpdatedDate=1]="LastUpdatedDate",h[h.Title=2]="Title",h[h.PublisherName=3]="PublisherName",h[h.InstallCount=4]="InstallCount",h[h.PublishedDate=10]="PublishedDate",h[h.AverageRating=6]="AverageRating",h[h.WeightedRating=12]="WeightedRating"})(I||(e.SortBy=I={}));var k;(function(h){h[h.Default=0]="Default",h[h.Ascending=1]="Ascending",h[h.Descending=2]="Descending"})(k||(e.SortOrder=k={}));var p;(function(h){h.Install="install",h.Uninstall="uninstall"})(p||(e.StatisticType=p={}));var d;(function(h){h[h.None=1]="None",h[h.Install=2]="Install",h[h.Update=3]="Update",h[h.Migrate=4]="Migrate"})(d||(e.InstallOperation=d={})),e.$Ko=(0,R.$ei)("extensionGalleryService");var m;(function(h){h.Unsupported="Unsupported",h.Deprecated="Deprecated",h.Malicious="Malicious",h.Incompatible="Incompatible",h.IncompatibleTargetPlatform="IncompatibleTargetPlatform",h.ReleaseVersionNotFound="ReleaseVersionNotFound",h.Invalid="Invalid",h.Download="Download",h.DownloadSignature="DownloadSignature",h.UpdateMetadata="UpdateMetadata",h.Extract="Extract",h.Scanning="Scanning",h.Delete="Delete",h.Rename="Rename",h.CorruptZip="CorruptZip",h.IncompleteZip="IncompleteZip",h.Signature="Signature",h.NotAllowed="NotAllowed",h.Gallery="Gallery",h.Unknown="Unknown",h.Internal="Internal"})(m||(e.ExtensionManagementErrorCode=m={}));var l;(function(h){h.UnknownError="UnknownError",h.PackageIsInvalidZip="PackageIsInvalidZip",h.SignatureArchiveIsInvalidZip="SignatureArchiveIsInvalidZip"})(l||(e.ExtensionSignaturetErrorCode=l={}));class b extends Error{constructor(f,u){super(f),this.code=u,this.name=u}}e.$Lo=b;var c;(function(h){h.Timeout="Timeout",h.Cancelled="Cancelled",h.Failed="Failed"})(c||(e.ExtensionGalleryErrorCode=c={}));class g extends Error{constructor(f,u){super(f),this.code=u,this.name=u}}e.$Mo=g,e.$No=(0,R.$ei)("extensionManagementService"),e.$Oo="extensionsIdentifiers/disabled",e.$Po="extensionsIdentifiers/enabled",e.$Qo=(0,R.$ei)("IGlobalExtensionEnablementService"),e.$Ro=(0,R.$ei)("IExtensionTipsService"),e.$So=(0,E.localize2)(0,"Extensions"),e.$To=(0,E.localize2)(1,"Preferences")}),define(ye[221],ke([1,0,6,2,21,4,53,30]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vp=e.$Up=e.$Tp=void 0;function v(b,c){return b?C.URI.revive(c?c.transformIncoming(b):b):void 0}function w(b,c){return c?c.transformOutgoingURI(b):b}function I(b,c){c=c||D.$en;const g=b.manifest;return{...(0,D.$hn)({...b,manifest:void 0},c),manifest:g}}function k(b,c){return b?.profileLocation?(0,D.$hn)(b,c??D.$en):b}function p(b,c){return c?(0,o.$Jn)(b,g=>g instanceof C.URI?c.transformOutgoingURI(g):void 0):b}class d{constructor(c,g){this.a=c,this.b=g,this.onInstallExtension=E.Event.buffer(c.onInstallExtension,!0),this.onDidInstallExtensions=E.Event.buffer(c.onDidInstallExtensions,!0),this.onUninstallExtension=E.Event.buffer(c.onUninstallExtension,!0),this.onDidUninstallExtension=E.Event.buffer(c.onDidUninstallExtension,!0),this.onDidUpdateExtensionMetadata=E.Event.buffer(c.onDidUpdateExtensionMetadata,!0)}listen(c,g){const h=this.b(c);switch(g){case"onInstallExtension":return E.Event.map(this.onInstallExtension,f=>({...f,profileLocation:f.profileLocation?w(f.profileLocation,h):f.profileLocation}));case"onDidInstallExtensions":return E.Event.map(this.onDidInstallExtensions,f=>f.map(u=>({...u,local:u.local?p(u.local,h):u.local,profileLocation:u.profileLocation?w(u.profileLocation,h):u.profileLocation})));case"onUninstallExtension":return E.Event.map(this.onUninstallExtension,f=>({...f,profileLocation:f.profileLocation?w(f.profileLocation,h):f.profileLocation}));case"onDidUninstallExtension":return E.Event.map(this.onDidUninstallExtension,f=>({...f,profileLocation:f.profileLocation?w(f.profileLocation,h):f.profileLocation}));case"onDidUpdateExtensionMetadata":return E.Event.map(this.onDidUpdateExtensionMetadata,f=>p(f,h))}throw new Error("Invalid listen")}async call(c,g,h){const f=this.b(c);switch(g){case"zip":{const u=I(h[0],f),t=await this.a.zip(u);return w(t,f)}case"unzip":return this.a.unzip(v(h[0],f));case"install":return this.a.install(v(h[0],f),k(h[1],f));case"installFromLocation":return this.a.installFromLocation(v(h[0],f),v(h[1],f));case"installExtensionsFromProfile":return this.a.installExtensionsFromProfile(h[0],v(h[1],f),v(h[2],f));case"getManifest":return this.a.getManifest(v(h[0],f));case"getTargetPlatform":return this.a.getTargetPlatform();case"canInstall":return this.a.canInstall(h[0]);case"installFromGallery":return this.a.installFromGallery(h[0],k(h[1],f));case"installGalleryExtensions":{const u=h[0];return this.a.installGalleryExtensions(u.map(({extension:t,options:s})=>({extension:t,options:k(s,f)??{}})))}case"uninstall":return this.a.uninstall(I(h[0],f),k(h[1],f));case"reinstallFromGallery":return this.a.reinstallFromGallery(I(h[0],f));case"getInstalled":return(await this.a.getInstalled(h[0],v(h[1],f))).map(t=>p(t,f));case"toggleAppliationScope":{const u=await this.a.toggleAppliationScope(I(h[0],f),v(h[1],f));return p(u,f)}case"copyExtensions":return this.a.copyExtensions(v(h[0],f),v(h[1],f));case"updateMetadata":{const u=await this.a.updateMetadata(I(h[0],f),h[1],v(h[2],f));return p(u,f)}case"getExtensionsControlManifest":return this.a.getExtensionsControlManifest();case"download":return this.a.download(h[0],h[1],h[2]);case"cleanUp":return this.a.cleanUp()}throw new Error("Invalid call")}}e.$Tp=d;class m extends R.$Tc{get onInstallExtension(){return this.c.event}get onDidInstallExtensions(){return this.f.event}get onUninstallExtension(){return this.g.event}get onDidUninstallExtension(){return this.h.event}get onDidUpdateExtensionMetadata(){return this.j.event}constructor(c){super(),this.m=c,this.c=this.B(new E.$5d),this.f=this.B(new E.$5d),this.g=this.B(new E.$5d),this.h=this.B(new E.$5d),this.j=this.B(new E.$5d),this.B(this.m.listen("onInstallExtension")(g=>this.n(this.c,{...g,source:this.r(g.source)?C.URI.revive(g.source):g.source,profileLocation:C.URI.revive(g.profileLocation)}))),this.B(this.m.listen("onDidInstallExtensions")(g=>this.n(this.f,g.map(h=>({...h,local:h.local?I(h.local,null):h.local,source:this.r(h.source)?C.URI.revive(h.source):h.source,profileLocation:C.URI.revive(h.profileLocation)}))))),this.B(this.m.listen("onUninstallExtension")(g=>this.n(this.g,{...g,profileLocation:C.URI.revive(g.profileLocation)}))),this.B(this.m.listen("onDidUninstallExtension")(g=>this.n(this.h,{...g,profileLocation:C.URI.revive(g.profileLocation)}))),this.B(this.m.listen("onDidUpdateExtensionMetadata")(g=>this.j.fire(I(g,null))))}n(c,g){c.fire(g)}r(c){return c?typeof c.path=="string"&&typeof c.scheme=="string":!1}getTargetPlatform(){return this.s||(this.s=this.m.call("getTargetPlatform")),this.s}async canInstall(c){const g=await this.getTargetPlatform();return c.allTargetPlatforms.some(h=>(0,S.$Io)(h,c.allTargetPlatforms,g))}zip(c){return Promise.resolve(this.m.call("zip",[c]).then(g=>C.URI.revive(g)))}unzip(c){return Promise.resolve(this.m.call("unzip",[c]))}install(c,g){return Promise.resolve(this.m.call("install",[c,g])).then(h=>I(h,null))}installFromLocation(c,g){return Promise.resolve(this.m.call("installFromLocation",[c,g])).then(h=>I(h,null))}async installExtensionsFromProfile(c,g,h){return(await this.m.call("installExtensionsFromProfile",[c,g,h])).map(u=>I(u,null))}getManifest(c){return Promise.resolve(this.m.call("getManifest",[c]))}installFromGallery(c,g){return Promise.resolve(this.m.call("installFromGallery",[c,g])).then(h=>I(h,null))}async installGalleryExtensions(c){return(await this.m.call("installGalleryExtensions",[c])).map(h=>({...h,local:h.local?I(h.local,null):h.local,source:this.r(h.source)?C.URI.revive(h.source):h.source,profileLocation:C.URI.revive(h.profileLocation)}))}uninstall(c,g){return Promise.resolve(this.m.call("uninstall",[c,g]))}reinstallFromGallery(c){return Promise.resolve(this.m.call("reinstallFromGallery",[c])).then(g=>I(g,null))}getInstalled(c=null,g){return Promise.resolve(this.m.call("getInstalled",[c,g])).then(h=>h.map(f=>I(f,null)))}updateMetadata(c,g,h){return Promise.resolve(this.m.call("updateMetadata",[c,g,h])).then(f=>I(f,null))}toggleAppliationScope(c,g){return this.m.call("toggleAppliationScope",[c,g]).then(h=>I(h,null))}copyExtensions(c,g){return this.m.call("copyExtensions",[c,g])}getExtensionsControlManifest(){return Promise.resolve(this.m.call("getExtensionsControlManifest"))}async download(c,g,h){const f=await this.m.call("download",[c,g,h]);return C.URI.revive(f)}async cleanUp(){return this.m.call("cleanUp")}registerParticipant(){throw new Error("Not Supported")}}e.$Up=m;class l{constructor(c){this.a=c}listen(c,g){throw new Error("Invalid listen")}call(c,g,h){switch(g){case"getConfigBasedTips":return this.a.getConfigBasedTips(C.URI.revive(h[0]));case"getImportantExecutableBasedTips":return this.a.getImportantExecutableBasedTips();case"getOtherExecutableBasedTips":return this.a.getOtherExecutableBasedTips()}throw new Error("Invalid call")}}e.$Vp=l}),define(ye[16],ke([1,0,64,7,17,11,4,191,5,3,12,60]),function(le,e,E,R,o,C,D,S,v,w,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$k=e.$0k=e.$9k=e.$8k=e.$7k=e.FileKind=e.$6k=e.$5k=e.$4k=e.$3k=e.$2k=e.$1k=e.$Zk=e.FileOperationResult=e.$Yk=e.$Xk=e.$Wk=e.$Vk=e.$Uk=e.FileChangeType=e.$Tk=e.FileOperation=e.$Sk=e.$Rk=e.$Qk=e.$Pk=e.$Ok=e.$Nk=e.FileSystemProviderErrorCode=e.$Mk=e.$Lk=e.$Kk=e.$Jk=e.$Ik=e.$Hk=e.$Gk=e.$Fk=e.$Ek=e.FileSystemProviderCapabilities=e.$Dk=e.FilePermission=e.FileType=e.$Ck=e.$Bk=void 0,e.$Bk=(0,v.$ei)("fileService");function p(se){return se.create===!0}e.$Ck=p;var d;(function(se){se[se.Unknown=0]="Unknown",se[se.File=1]="File",se[se.Directory=2]="Directory",se[se.SymbolicLink=64]="SymbolicLink"})(d||(e.FileType=d={}));var m;(function(se){se[se.Readonly=1]="Readonly",se[se.Locked=2]="Locked"})(m||(e.FilePermission=m={}));function l(se){const ge=se;return!!ge&&typeof ge.onDidChange=="function"}e.$Dk=l;var b;(function(se){se[se.None=0]="None",se[se.FileReadWrite=2]="FileReadWrite",se[se.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",se[se.FileReadStream=16]="FileReadStream",se[se.FileFolderCopy=8]="FileFolderCopy",se[se.PathCaseSensitive=1024]="PathCaseSensitive",se[se.Readonly=2048]="Readonly",se[se.Trash=4096]="Trash",se[se.FileWriteUnlock=8192]="FileWriteUnlock",se[se.FileAtomicRead=16384]="FileAtomicRead",se[se.FileAtomicWrite=32768]="FileAtomicWrite",se[se.FileAtomicDelete=65536]="FileAtomicDelete",se[se.FileClone=131072]="FileClone"})(b||(e.FileSystemProviderCapabilities=b={}));function c(se){return!!(se.capabilities&2)}e.$Ek=c;function g(se){return!!(se.capabilities&8)}e.$Fk=g;function h(se){return!!(se.capabilities&131072)}e.$Gk=h;function f(se){return!!(se.capabilities&4)}e.$Hk=f;function u(se){return!!(se.capabilities&16)}e.$Ik=u;function t(se){return c(se)?!!(se.capabilities&16384):!1}e.$Jk=t;function s(se){return c(se)?!!(se.capabilities&32768):!1}e.$Kk=s;function r(se){return!!(se.capabilities&65536)}e.$Lk=r;function n(se){return!!(se.capabilities&2048)}e.$Mk=n;var i;(function(se){se.FileExists="EntryExists",se.FileNotFound="EntryNotFound",se.FileNotADirectory="EntryNotADirectory",se.FileIsADirectory="EntryIsADirectory",se.FileExceedsStorageQuota="EntryExceedsStorageQuota",se.FileTooLarge="EntryTooLarge",se.FileWriteLocked="EntryWriteLocked",se.NoPermissions="NoPermissions",se.Unavailable="Unavailable",se.Unknown="Unknown"})(i||(e.FileSystemProviderErrorCode=i={}));class a extends Error{static create(ge,U){const q=new a(ge.toString(),U);return P(q,U),q}constructor(ge,U){super(ge),this.code=U}}e.$Nk=a;function $(se,ge){return a.create(se,ge)}e.$Ok=$;function O(se){return se||$((0,S.localize)(0,null),i.Unknown)}e.$Pk=O;function P(se,ge){return se.name=ge?`${ge} (FileSystemError)`:"FileSystemError",se}e.$Qk=P;function y(se){if(!se)return i.Unknown;if(se instanceof a)return se.code;const ge=/^(.+) \(FileSystemError\)$/.exec(se.name);if(!ge)return i.Unknown;switch(ge[1]){case i.FileExists:return i.FileExists;case i.FileIsADirectory:return i.FileIsADirectory;case i.FileNotADirectory:return i.FileNotADirectory;case i.FileNotFound:return i.FileNotFound;case i.FileTooLarge:return i.FileTooLarge;case i.FileWriteLocked:return i.FileWriteLocked;case i.NoPermissions:return i.NoPermissions;case i.Unavailable:return i.Unavailable}return i.Unknown}e.$Rk=y;function A(se){if(se instanceof B)return se.fileOperationResult;switch(y(se)){case i.FileNotFound:return 1;case i.FileIsADirectory:return 0;case i.FileNotADirectory:return 9;case i.FileWriteLocked:return 5;case i.NoPermissions:return 6;case i.FileExists:return 4;case i.FileTooLarge:return 7;default:return 10}}e.$Sk=A;var F;(function(se){se[se.CREATE=0]="CREATE",se[se.DELETE=1]="DELETE",se[se.MOVE=2]="MOVE",se[se.COPY=3]="COPY",se[se.WRITE=4]="WRITE"})(F||(e.FileOperation=F={}));class Q{constructor(ge,U,q){this.resource=ge,this.operation=U,this.target=q}isOperation(ge){return this.operation===ge}}e.$Tk=Q;var te;(function(se){se[se.UPDATED=0]="UPDATED",se[se.ADDED=1]="ADDED",se[se.DELETED=2]="DELETED"})(te||(e.FileChangeType=te={}));class de{static{this.a=null}constructor(ge,U){this.c=U,this.b=void 0,this.d=new k.$V(()=>{const q=E.$ki.forUris(()=>this.c);return q.fill(this.rawAdded.map(M=>[M,!0])),q}),this.f=new k.$V(()=>{const q=E.$ki.forUris(()=>this.c);return q.fill(this.rawUpdated.map(M=>[M,!0])),q}),this.g=new k.$V(()=>{const q=E.$ki.forUris(()=>this.c);return q.fill(this.rawDeleted.map(M=>[M,!0])),q}),this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];for(const q of ge){switch(q.type){case 1:this.rawAdded.push(q.resource);break;case 0:this.rawUpdated.push(q.resource);break;case 2:this.rawDeleted.push(q.resource);break}this.b!==de.a&&(typeof q.cId=="number"?this.b===void 0?this.b=q.cId:this.b!==q.cId&&(this.b=de.a):this.b!==void 0&&(this.b=de.a))}}contains(ge,...U){return this.h(ge,{includeChildren:!1},...U)}affects(ge,...U){return this.h(ge,{includeChildren:!0},...U)}h(ge,U,...q){if(!ge)return!1;const M=q.length>0;return!!((!M||q.includes(1))&&(this.d.value.get(ge)||U.includeChildren&&this.d.value.findSuperstr(ge))||(!M||q.includes(0))&&(this.f.value.get(ge)||U.includeChildren&&this.f.value.findSuperstr(ge))||(!M||q.includes(2))&&(this.g.value.findSubstr(ge)||U.includeChildren&&this.g.value.findSuperstr(ge)))}gotAdded(){return this.rawAdded.length>0}gotDeleted(){return this.rawDeleted.length>0}gotUpdated(){return this.rawUpdated.length>0}correlates(ge){return this.b===ge}hasCorrelation(){return typeof this.b=="number"}}e.$Uk=de;function he(se,ge,U){return!se||!ge||se===ge||ge.length>se.length?!1:(ge.charAt(ge.length-1)!==R.sep&&(ge+=R.sep),U?(0,o.$kf)(se,ge):se.indexOf(ge)===0)}e.$Vk=he;class B extends Error{constructor(ge,U,q){super(ge),this.fileOperationResult=U,this.options=q}}e.$Wk=B;class V extends B{constructor(ge,U,q,M){super(ge,U,M),this.fileOperationResult=U,this.size=q}}e.$Xk=V;class _ extends B{constructor(ge,U,q){super(ge,2,q),this.stat=U}}e.$Yk=_;var X;(function(se){se[se.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",se[se.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",se[se.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",se[se.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",se[se.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",se[se.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",se[se.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",se[se.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",se[se.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",se[se.FILE_NOT_DIRECTORY=9]="FILE_NOT_DIRECTORY",se[se.FILE_OTHER_ERROR=10]="FILE_OTHER_ERROR"})(X||(e.FileOperationResult=X={})),e.$Zk={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.$1k={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.$2k="files.associations",e.$3k="files.exclude",e.$4k="files.readonlyInclude",e.$5k="files.readonlyExclude",e.$6k="files.readonlyFromPermissions";var ne;(function(se){se[se.FILE=0]="FILE",se[se.FOLDER=1]="FOLDER",se[se.ROOT_FOLDER=2]="ROOT_FOLDER"})(ne||(e.FileKind=ne={})),e.$7k="";function K(se){if(!(typeof se.size!="number"||typeof se.mtime!="number"))return se.mtime.toString(29)+se.size.toString(31)}e.$8k=K;async function G(se,ge){if(!ge.hasProvider(D.URI.from({scheme:se.scheme})))return new Promise(U=>{const q=ge.onDidChangeFileSystemProviderRegistrations(M=>{M.scheme===se.scheme&&M.added&&(q.dispose(),U())})})}e.$9k=G;class oe{static{this.KB=1024}static{this.MB=oe.KB*oe.KB}static{this.GB=oe.MB*oe.KB}static{this.TB=oe.GB*oe.KB}static formatSize(ge){return(0,C.$Wf)(ge)||(ge=0),ge<oe.KB?(0,S.localize)(1,null,ge.toFixed(0)):ge<oe.MB?(0,S.localize)(2,null,(ge/oe.KB).toFixed(2)):ge<oe.GB?(0,S.localize)(3,null,(ge/oe.MB).toFixed(2)):ge<oe.TB?(0,S.localize)(4,null,(ge/oe.GB).toFixed(2)):(0,S.localize)(5,null,(ge/oe.TB).toFixed(2))}}e.$0k=oe;function ce(se){const ge=typeof se=="string"||se?.scheme===I.Schemas.vscodeRemote;return typeof se!="string"&&se?.scheme===I.Schemas.file?1024*oe.MB:ge?10*oe.MB:w.$o?50*oe.MB:1024*oe.MB}e.$$k=ce}),define(ye[110],ke([1,0,14,10,192,16]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mq=void 0;async function D(I,k,p,d,m,l){let b;try{await S(I,k,p,d,m,l)}catch(c){b=c}finally{b&&m.errorTransformer&&(b=m.errorTransformer(b)),typeof b<"u"&&p.error(b),p.end()}}e.$mq=D;async function S(I,k,p,d,m,l){v(l);const b=await I.open(k,{create:!1});try{v(l);let c=0,g=0,h=m&&typeof m.length=="number"?m.length:void 0,f=E.$se.alloc(Math.min(m.bufferSize,typeof h=="number"?h:m.bufferSize)),u=m&&typeof m.position=="number"?m.position:0,t=0;do g=await I.read(b,u,f.buffer,t,f.byteLength-t),u+=g,t+=g,c+=g,typeof h=="number"&&(h-=g),t===f.byteLength&&(await p.write(d(f)),f=E.$se.alloc(Math.min(m.bufferSize,typeof h=="number"?h:m.bufferSize)),t=0);while(g>0&&(typeof h!="number"||h>0)&&v(l)&&w(c,m));if(t>0){let s=t;typeof h=="number"&&(s=Math.min(t,h)),p.write(d(f.slice(0,s)))}}catch(c){throw(0,C.$Pk)(c)}finally{await I.close(b)}}function v(I){if(I.isCancellationRequested)throw(0,R.$6)();return!0}function w(I,k){if(typeof k?.limits?.size=="number"&&I>k.limits.size)throw(0,C.$Ok)((0,o.localize)(0,null),C.FileSystemProviderErrorCode.FileTooLarge);return!0}}),define(ye[56],ke([1,0,80,2,7,3,4,16]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vq=e.$uq=e.$tq=e.$sq=e.$rq=e.$qq=e.$pq=e.$oq=void 0;function v(c){return c.recursive===!0}e.$oq=v;class w extends R.$Tc{static{this.a=5}constructor(g,h,f,u){super(),this.h=g,this.j=h,this.m=f,this.n=u,this.c=this.B(new R.$Uc),this.f=void 0,this.g=0}s(){const g=new R.$Sc;this.c.value=g,this.b=this.r(g),this.b.setVerboseLogging(this.m),g.add(this.b.onDidChangeFile(h=>this.h(h))),g.add(this.b.onDidLogMessage(h=>this.j(h))),g.add(this.b.onDidError(h=>this.t(h)))}t(g){this.n.restartOnError?this.g<w.a&&this.f?(this.w(`restarting watcher after error: ${g}`),this.u(this.f)):this.w(`gave up attempting to restart watcher after error: ${g}`):this.w(g)}u(g){this.g++,this.s(),this.watch(g)}async watch(g){this.f=g,await this.b?.watch(g)}async setVerboseLogging(g){this.m=g,await this.b?.setVerboseLogging(g)}w(g){this.j({type:"error",message:`[File Watcher (${this.n.type})] ${g}`})}y(g){this.j({type:"trace",message:`[File Watcher (${this.n.type})] ${g}`})}dispose(){return this.b=void 0,super.dispose()}}e.$pq=w;class I extends w{constructor(g,h,f){super(g,h,f,{type:"node.js",restartOnError:!1})}}e.$qq=I;class k extends w{constructor(g,h,f){super(g,h,f,{type:"universal",restartOnError:!0})}}e.$rq=k;function p(c){return c.map(g=>({type:g.type,resource:D.URI.revive(g.resource),cId:g.cId}))}e.$sq=p;function d(c){const g=new b;for(const h of c)g.processEvent(h);return g.coalesce()}e.$tq=d;function m(c,g){return typeof g=="string"&&!g.startsWith(E.$Tj)&&!(0,o.$ic)(g)?{base:c,pattern:g}:g}e.$uq=m;function l(c,g){const h=[];for(const f of g)h.push((0,E.$Xj)(m(c,f)));return h}e.$vq=l;class b{constructor(){this.a=new Set,this.b=new Map}c(g){return C.$k?g.resource.fsPath:g.resource.fsPath.toLowerCase()}processEvent(g){const h=this.b.get(this.c(g));let f=!1;if(h){const u=h.type,t=g.type;h.resource.fsPath!==g.resource.fsPath&&(g.type===2||g.type===1)?f=!0:u===1&&t===2?(this.b.delete(this.c(g)),this.a.delete(h)):u===2&&t===1?h.type=0:u===1&&t===0||(h.type=t)}else f=!0;f&&(this.a.add(g),this.b.set(this.c(g),g))}coalesce(){const g=[],h=[];return Array.from(this.a).filter(f=>f.type!==2?(g.push(f),!1):!0).sort((f,u)=>f.resource.fsPath.length-u.resource.fsPath.length).filter(f=>h.some(u=>(0,S.$Vk)(f.resource.fsPath,u,!C.$k))?!1:(h.push(f.resource.fsPath),!0)).concat(g)}}}),define(ye[222],ke([1,0,14,39,10,6,2,50,22,16,56]),function(le,e,E,R,o,C,D,S,v,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kP=e.$jP=void 0,e.$jP="localFilesystem";class k extends D.$Tc{constructor(d,m){super(),this.a=d,this.b=m,this.onDidChangeCapabilities=C.Event.None,this.f=this.B(new C.$5d),this.onDidChangeFile=this.f.event,this.g=this.B(new C.$5d),this.onDidWatchError=this.g.event,this.h=(0,v.$Ag)(),this.j()}get capabilities(){return this.c||(this.c=253982,this.b.pathCaseSensitive&&(this.c|=1024),this.b.trash&&(this.c|=4096)),this.c}stat(d){return this.a.call("stat",[d])}readdir(d){return this.a.call("readdir",[d])}async readFile(d,m){const{buffer:l}=await this.a.call("readFile",[d,m]);return l}readFileStream(d,m,l){const b=(0,S.$ge)(g=>E.$se.concat(g.map(h=>E.$se.wrap(h))).buffer),c=new D.$Sc;return c.add(this.a.listen("readFileStream",[d,m])(g=>{if(g instanceof E.$se)b.write(g.buffer);else{if(g==="end")b.end();else{let h;if(g instanceof Error)h=g;else{const f=g;h=(0,w.$Ok)(f.message??(0,R.$2i)(f),f.code??w.FileSystemProviderErrorCode.Unknown)}b.error(h),b.end()}c.dispose()}})),c.add(l.onCancellationRequested(()=>{b.error((0,o.$6)()),b.end(),c.dispose()})),b}writeFile(d,m,l){return this.a.call("writeFile",[d,E.$se.wrap(m),l])}open(d,m){return this.a.call("open",[d,m])}close(d){return this.a.call("close",[d])}async read(d,m,l,b,c){const[g,h]=await this.a.call("read",[d,m,c]);return l.set(g.buffer.slice(0,h),b),h}write(d,m,l,b,c){return this.a.call("write",[d,m,E.$se.wrap(l),b,c])}mkdir(d){return this.a.call("mkdir",[d])}delete(d,m){return this.a.call("delete",[d,m])}rename(d,m,l){return this.a.call("rename",[d,m,l])}copy(d,m,l){return this.a.call("copy",[d,m,l])}cloneFile(d,m){return this.a.call("cloneFile",[d,m])}j(){this.B(this.a.listen("fileChange",[this.h])(d=>{if(Array.isArray(d)){const m=d;this.f.fire((0,I.$sq)(m))}else{const m=d;this.g.fire(m)}}))}watch(d,m){const l=(0,v.$Ag)();return this.a.call("watch",[this.h,l,d,m]),(0,D.$Rc)(()=>this.a.call("unwatch",[this.h,l]))}}e.$kP=k}),define(ye[223],ke([1,0,27,15,20,40,2,98,7,3,19,4,172,23,56]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jq=e.$Iq=void 0;class l extends D.$Tc{static{this.a=100}static{this.b=75}constructor(g,h,f,u){super(),this.m=g,this.n=h,this.r=f,this.s=u,this.c=this.B(new R.$th({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},t=>this.n(t))),this.f=this.B(new R.$sh(t=>this.z(t),l.b)),this.g=(0,m.$vq)(this.m.path,this.m.excludes),this.h=this.m.includes?(0,m.$vq)(this.m.path,this.m.includes):void 0,this.j=new o.$ce,this.ready=this.t()}async t(){try{const g=await this.u(this.m);if(this.j.token.isCancellationRequested)return;const h=await d.Promises.stat(g);this.B(await this.w(g,h.isDirectory()))}catch(g){g.code!=="ENOENT"?this.D(g):this.G(g)}}async u(g){let h=g.path;try{h=await d.Promises.realpath(g.path),g.path===h&&(h=await(0,p.$Fq)(g.path)??g.path),g.path!==h&&this.G(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${g.path}, real: ${h})`)}catch{}return h}async w(g,h){if(w.$j&&(0,C.$fg)(g,"/Volumes/",!0))return this.D(`Refusing to watch ${g} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),D.$Tc.None;const f=new o.$ce(this.j.token),u=new D.$Sc;try{const t=k.URI.file(this.m.path),s=(0,v.$nc)(g),r=(0,E.watch)(g);u.add((0,D.$Rc)(()=>{r.removeAllListeners(),r.close()})),this.G(`Started watching: '${g}'`);const n=new Set;if(h)try{for(const a of await d.Promises.readdir(g))n.add(a)}catch(a){this.D(a)}const i=new Map;u.add((0,D.$Rc)(()=>{for(const[,a]of i)a.dispose();i.clear()})),r.on("error",(a,$)=>{this.D(`Failed to watch ${g} for changes using fs.watch() (${a}, ${$})`),this.dispose()}),r.on("change",(a,$)=>{if(f.token.isCancellationRequested)return;this.G(`[raw] ["${a}"] ${$}`);let O="";if($&&(O=$.toString(),w.$j&&(O=(0,S.$Rl)(O))),!(!O||a!=="change"&&a!=="rename"))if(h)if(a==="rename"){i.get(O)?.dispose();const P=setTimeout(async()=>{if(i.delete(O),O===s&&!await d.Promises.exists(g)){this.F("Watcher shutdown because watched path got deleted"),this.dispose();return}const y=await this.C((0,v.$jc)(g,O));if(f.token.isCancellationRequested)return;let A;y?n.has(O)?A=0:(A=1,n.add(O)):(n.delete(O),A=2),this.y({resource:(0,I.$Rg)(t,O),type:A,cId:this.m.correlationId})},l.a);i.set(O,(0,D.$Rc)(()=>clearTimeout(P)))}else{let P;n.has(O)?P=0:(P=1,n.add(O)),this.y({resource:(0,I.$Rg)(t,O),type:P,cId:this.m.correlationId})}else if(a==="rename"||O!==s){const P=setTimeout(async()=>{const y=await d.Promises.exists(g);f.token.isCancellationRequested||(y?(this.y({resource:t,type:0,cId:this.m.correlationId},!0),u.add(await this.w(g,!1))):(this.y({resource:t,type:2,cId:this.m.correlationId},!0),this.f.flush(),this.dispose()))},l.a);u.clear(),u.add((0,D.$Rc)(()=>clearTimeout(P)))}else this.y({resource:t,type:0,cId:this.m.correlationId},!0)})}catch(t){await d.Promises.exists(g)&&!f.token.isCancellationRequested&&this.D(`Failed to watch ${g} for changes using fs.watch() (${t.toString()})`)}return(0,D.$Rc)(()=>{f.dispose(!0),u.dispose()})}y(g,h=!1){this.j.token.isCancellationRequested||(this.s&&this.G(`${g.type===1?"[ADDED]":g.type===2?"[DELETED]":"[CHANGED]"} ${g.resource.fsPath}`),!h&&this.g.some(f=>f(g.resource.fsPath))?this.s&&this.G(` >> ignored (excluded) ${g.resource.fsPath}`):!h&&this.h&&this.h.length>0&&!this.h.some(f=>f(g.resource.fsPath))?this.s&&this.G(` >> ignored (not included) ${g.resource.fsPath}`):this.f.work(g))}z(g){const h=(0,m.$tq)(g);if(h.length>0){if(this.s)for(const u of h)this.G(` >> normalized ${u.type===1?"[ADDED]":u.type===2?"[DELETED]":"[CHANGED]"} ${u.resource.fsPath}`);this.c.work(h)?this.c.pending>0&&this.G(`started throttling events due to large amount of file change events at once (pending: ${this.c.pending}, most recent change: ${h[0].resource.fsPath}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.F(`started ignoring events due to too many file change events at once (incoming: ${h.length}, most recent change: ${h[0].resource.fsPath}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}async C(g){if(w.$k)return d.Promises.exists(g);try{const h=(0,v.$nc)(g);return(await d.Promises.readdir((0,v.$mc)(g))).some(u=>u===h)}catch(h){return this.G(h),!1}}setVerboseLogging(g){this.s=g}D(g){this.j.token.isCancellationRequested||this.r?.({type:"error",message:`[File Watcher (node.js)] ${g}`})}F(g){this.j.token.isCancellationRequested||this.r?.({type:"warn",message:`[File Watcher (node.js)] ${g}`})}G(g){!this.j.token.isCancellationRequested&&this.s&&this.r?.({type:"trace",message:`[File Watcher (node.js)] ${g}`})}dispose(){this.G(`stopping file watcher on ${this.m.path}`),this.j.dispose(!0),super.dispose()}}e.$Iq=l;async function b(c,g,h,f,u=512){const t=await d.Promises.open(c,"r"),s=Buffer.allocUnsafe(u),r=new o.$ce(f);let n,i=!1;const a={path:c,excludes:[],recursive:!1},$=new l(a,O=>{(async()=>{for(const{type:P}of O)if(P===0){if(i)return;i=!0;try{for(;!r.token.isCancellationRequested;){const{bytesRead:y}=await d.Promises.read(t,s,0,u,null);if(!y||r.token.isCancellationRequested)break;g(s.slice(0,y))}}catch(y){n=new Error(y),r.dispose(!0)}finally{i=!1}}})()});return await $.ready,h(),new Promise((O,P)=>{r.token.onCancellationRequested(async()=>{$.dispose();try{await d.Promises.close(t)}catch(y){n=new Error(y)}n?P(n):O()})})}e.$Jq=b}),define(ye[224],ke([1,0,6,80,2,3,223]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kq=void 0;class S extends o.$Tc{constructor(){super(...arguments),this.a=this.B(new E.$5d),this.onDidChangeFile=this.a.event,this.b=this.B(new E.$5d),this.onDidLogMessage=this.b.event,this.onDidError=E.Event.None,this.c=new Map,this.f=!1}async watch(w){const I=this.j(w),k=I.filter(d=>{const m=this.c.get(d.path);return m?!(0,R.$2j)(m.request.excludes,d.excludes)||!(0,R.$2j)(m.request.includes,d.includes):!0}),p=Array.from(this.c.values()).filter(({request:d})=>!I.find(m=>m.path===d.path&&(0,R.$2j)(m.excludes,d.excludes)&&(0,R.$2j)(m.includes,d.includes))).map(({request:d})=>d.path);k.length&&this.m(`Request to start watching: ${k.map(d=>`${d.path} (excludes: ${d.excludes.length>0?d.excludes:"<none>"}, includes: ${d.includes&&d.includes.length>0?JSON.stringify(d.includes):"<all>"}, correlationId: ${typeof d.correlationId=="number"?d.correlationId:"<none>"})`).join(",")}`),p.length&&this.m(`Request to stop watching: ${p.join(",")}`);for(const d of p)this.h(d);for(const d of k)this.g(d)}g(w){const I=new D.$Iq(w,p=>this.a.fire(p),p=>this.b.fire(p),this.f),k={request:w,instance:I};this.c.set(w.path,k)}async stop(){for(const[w]of this.c)this.h(w);this.c.clear()}h(w){const I=this.c.get(w);I&&(this.c.delete(w),I.instance.dispose())}j(w){const I=new Map;for(const k of w){const p=C.$k?k.path:k.path.toLowerCase();let d=I.get(k.correlationId);d||(d=new Map,I.set(k.correlationId,d)),d.set(p,k)}return Array.from(I.values()).map(k=>Array.from(k.values())).flat()}async setVerboseLogging(w){this.f=w;for(const[,I]of this.c)I.instance.setVerboseLogging(w)}m(w){this.f&&this.b.fire({type:"trace",message:this.n(w)})}n(w,I){return I?`[File Watcher (node.js)] ${w} (path: ${I.request.path})`:`[File Watcher (node.js)] ${w}`}}e.$Kq=S}),define(ye[225],ke([1,0,56,224]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lq=void 0;class o extends E.$qq{constructor(D,S,v){super(D,S,v),this.s()}r(D){return D.add(new R.$Kq)}}e.$Lq=o}),define(ye[226],ke([1,0,12,44,107,56]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dq=void 0;class D extends C.$rq{constructor(v,w,I){super(v,w,I),this.s()}r(v){const w=v.add(new o.$Cq(E.$yg.asFileUri("bootstrap-fork").fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return v.add(w.onDidProcessExit(({code:I,signal:k})=>this.t(`terminated by itself with code ${I}, signal: ${k}`))),R.ProxyChannel.toService((0,R.$Xh)(w.getChannel("watcher")))}}e.$Dq=D}),define(ye[84],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ci=void 0;class E{constructor(...o){this.a=new Map;for(const[C,D]of o)this.set(C,D)}set(o,C){const D=this.a.get(o);return this.a.set(o,C),D}has(o){return this.a.has(o)}get(o){return this.a.get(o)}}e.$ci=E}),define(ye[111],ke([1,0,15,10,2,68,219,5,84,97]),function(le,e,E,R,o,C,D,S,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qq=e.$Pq=void 0;const I=!1;class k extends Error{constructor(b){super("cyclic dependency between services"),this.message=b.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${b.toString()}`}}class p{constructor(b=new v.$ci,c=!1,g,h=I){this.f=b,this.g=c,this.h=g,this.i=h,this.o=new Set,this.f.set(S.$di,this),this._globalGraph=h?g?._globalGraph??new D.$Oq(f=>f):void 0}createChild(b){return new p(b,this.g,this,this.i)}invokeFunction(b,...c){const g=m.traceInvocation(this.i,b);let h=!1;try{return b({get:u=>{if(h)throw(0,R.$8)("service accessor is only valid during the invocation of its target method");const t=this.m(u,g);if(!t)throw new Error(`[invokeFunction] unknown service '${u}'`);return t}},...c)}finally{h=!0,g.stop()}}createInstance(b,...c){let g,h;return b instanceof C.$bi?(g=m.traceCreation(this.i,b.ctor),h=this.j(b.ctor,b.staticArguments.concat(c),g)):(g=m.traceCreation(this.i,b),h=this.j(b,c,g)),g.stop(),h}j(b,c=[],g){const h=S._util.getServiceDependencies(b).sort((t,s)=>t.index-s.index),f=[];for(const t of h){const s=this.m(t.id,g);s||this.u(`[createInstance] ${b.name} depends on UNKNOWN service ${t.id}.`,!1),f.push(s)}const u=h.length>0?h[0].index:c.length;if(c.length!==u){console.trace(`[createInstance] First service dependency of ${b.name} at position ${u+1} conflicts with ${c.length} static arguments`);const t=u-c.length;t>0?c=c.concat(new Array(t)):c=c.slice(0,u)}return Reflect.construct(b,c.concat(f))}k(b,c){if(this.f.get(b)instanceof C.$bi)this.f.set(b,c);else if(this.h)this.h.k(b,c);else throw new Error("illegalState - setting UNKNOWN service instance")}l(b){const c=this.f.get(b);return!c&&this.h?this.h.l(b):c}m(b,c){this._globalGraph&&this.c&&this._globalGraph.insertEdge(this.c,String(b));const g=this.l(b);return g instanceof C.$bi?this.q(b,g,c.branch(b,!0)):(c.branch(b,!1),g)}q(b,c,g){if(this.o.has(b))throw new Error(`illegal state - RECURSIVELY instantiating service '${b}'`);this.o.add(b);try{return this.r(b,c,g)}finally{this.o.delete(b)}}r(b,c,g){const h=new D.$Oq(t=>t.id.toString());let f=0;const u=[{id:b,desc:c,_trace:g}];for(;u.length;){const t=u.pop();if(h.lookupOrInsertNode(t),f++>1e3)throw new k(h);for(const s of S._util.getServiceDependencies(t.desc.ctor)){const r=this.l(s.id);if(r||this.u(`[createInstance] ${b} depends on ${s.id} which is NOT registered.`,!0),this._globalGraph?.insertEdge(String(t.id),String(s.id)),r instanceof C.$bi){const n={id:s.id,desc:r,_trace:t._trace.branch(s.id,!0)};h.insertEdge(t,n),u.push(n)}}}for(;;){const t=h.roots();if(t.length===0){if(!h.isEmpty())throw new k(h);break}for(const{data:s}of t){if(this.l(s.id)instanceof C.$bi){const n=this.s(s.id,s.desc.ctor,s.desc.staticArguments,s.desc.supportsDelayedInstantiation,s._trace);this.k(s.id,n)}h.removeNode(s)}}return this.l(b)}s(b,c,g=[],h,f){if(this.f.get(b)instanceof C.$bi)return this.t(b,c,g,h,f);if(this.h)return this.h.s(b,c,g,h,f);throw new Error(`illegalState - creating UNKNOWN service instance ${c.name}`)}t(b,c,g=[],h,f){if(h){const u=new p(void 0,this.g,this,this.i);u.c=String(b);const t=new Map,s=new E.$xh(()=>{const r=u.j(c,g,f);for(const[n,i]of t){const a=r[n];if(typeof a=="function")for(const $ of i)$.disposable=a.apply(r,$.listener)}return t.clear(),r});return new Proxy(Object.create(null),{get(r,n){if(!s.isInitialized&&typeof n=="string"&&(n.startsWith("onDid")||n.startsWith("onWill"))){let $=t.get(n);return $||($=new w.$4c,t.set(n,$)),(P,y,A)=>{if(s.isInitialized)return s.value[n](P,y,A);{const F={listener:[P,y,A],disposable:void 0},Q=$.push(F);return(0,o.$Rc)(()=>{Q(),F.disposable?.dispose()})}}}if(n in r)return r[n];const i=s.value;let a=i[n];return typeof a!="function"||(a=a.bind(i),r[n]=a),a},set(r,n,i){return s.value[n]=i,!0},getPrototypeOf(r){return c.prototype}})}else return this.j(c,g,f)}u(b,c){if(c&&console.warn(b),this.g)throw new Error(b)}}e.$Pq=p;var d;(function(l){l[l.None=0]="None",l[l.Creation=1]="Creation",l[l.Invocation=2]="Invocation",l[l.Branch=3]="Branch"})(d||(d={}));class m{static{this.all=new Set}static{this.c=new class extends m{constructor(){super(0,null)}stop(){}branch(){return this}}}static traceInvocation(b,c){return b?new m(2,c.name||new Error().stack.split(`
`).slice(3,4).join(`
`)):m.c}static traceCreation(b,c){return b?new m(1,c.name):m.c}static{this.f=0}constructor(b,c){this.type=b,this.name=c,this.g=Date.now(),this.h=[]}branch(b,c){const g=new m(3,b.toString());return this.h.push([b,c,g]),g}stop(){const b=Date.now()-this.g;m.f+=b;let c=!1;function g(f,u){const t=[],s=new Array(f+1).join("	");for(const[r,n,i]of u.h)if(n&&i){c=!0,t.push(`${s}CREATES -> ${r}`);const a=g(f+1,i);a&&t.push(a)}else t.push(`${s}uses -> ${r}`);return t.join(`
`)}const h=[`${this.type===1?"CREATE":"CALL"} ${this.name}`,`${g(1,this)}`,`DONE, took ${b.toFixed(2)}ms (grand total ${m.f.toFixed(2)}ms)`];(b>2||c)&&m.all.add(h.join(`
`))}}e.$Qq=m}),define(ye[227],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Verbosity=e.$Av=void 0,e.$Av=(0,E.$ei)("labelService");var R;(function(o){o[o.SHORT=0]="SHORT",o[o.MEDIUM=1]="MEDIUM",o[o.LONG=2]="LONG"})(R||(e.Verbosity=R={}))});var Oe=this&&this.__param||function(le,e){return function(E,R){e(E,R,le)}};define(ye[85],ke([1,0,20,2,3,194,30,5]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tr=e.$sr=e.$rr=void 0;function v(I){return I.tags.find(k=>k.startsWith("lp-"))?.split("lp-")[1]}e.$rr=v,e.$sr=(0,S.$ei)("languagePackService");let w=class extends R.$Tc{constructor(k){super(),this.c=k}async getAvailableLanguages(){const k=new E.$ce;setTimeout(()=>k.cancel(),1e3);let p;try{p=await this.c.query({text:'category:"language packs"',pageSize:20},k.token)}catch{return[]}const m=p.firstPage.filter(l=>l.properties.localizedLanguages?.length&&l.tags.some(b=>b.startsWith("lp-"))).map(l=>{const b=l.properties.localizedLanguages?.[0],c=v(l);return{...this.f(c,b,l),extensionId:l.identifier.id,galleryExtension:l}});return m.push(this.f("en","English")),m}f(k,p,d){const m=p??k;let l;if(m!==k&&(l=`(${k})`),k.toLowerCase()===o.$w.toLowerCase()&&(l??="",l+=(0,C.localize)(0,null)),d?.installCount){l??="";const b=d.installCount;let c;b>1e6?c=`${Math.floor(b/1e5)/10}M`:b>1e3?c=`${Math.floor(b/1e3)}K`:c=String(b),l+=` $(cloud-download) ${c}`}return{id:k,label:m,description:l}}};e.$tr=w,e.$tr=w=Me([Oe(0,D.$Ko)],w)}),define(ye[13],ke([1,0,39,6,62,2,24,3,19,11,4,69,5]),function(le,e,E,R,o,C,D,S,v,w,I,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pj=e.$Oj=e.$Nj=e.$Mj=e.$Lj=e.$Kj=e.$Jj=e.$Ij=e.$Hj=e.$Gj=e.$Fj=e.$Ej=e.$Dj=e.log=e.$Bj=e.LogLevel=e.$Aj=e.$zj=e.$yj=void 0,e.$yj=(0,p.$ei)("logService"),e.$zj=(0,p.$ei)("loggerService");function d(){return new Date().toISOString()}function m(P){return(0,w.$Wf)(P)}e.$Aj=m;var l;(function(P){P[P.Off=0]="Off",P[P.Trace=1]="Trace",P[P.Debug=2]="Debug",P[P.Info=3]="Info",P[P.Warning=4]="Warning",P[P.Error=5]="Error"})(l||(e.LogLevel=l={})),e.$Bj=l.Info;function b(P,y,A){switch(y){case l.Trace:P.trace(A);break;case l.Debug:P.debug(A);break;case l.Info:P.info(A);break;case l.Warning:P.warn(A);break;case l.Error:P.error(A);break;case l.Off:break;default:throw new Error(`Invalid log level ${y}`)}}e.log=b;function c(P,y=!1){let A="";for(let F=0;F<P.length;F++){let Q=P[F];if(Q instanceof Error&&(Q=(0,E.$2i)(Q,y)),typeof Q=="object")try{Q=JSON.stringify(Q)}catch{}A+=(F>0?" ":"")+Q}return A}class g extends C.$Tc{constructor(){super(...arguments),this.b=e.$Bj,this.c=this.B(new R.$5d),this.onDidChangeLogLevel=this.c.event}setLevel(y){this.b!==y&&(this.b=y,this.c.fire(this.b))}getLevel(){return this.b}f(y){return this.b!==l.Off&&this.b<=y}}e.$Dj=g;class h extends g{constructor(y){super(),this.h=y}f(y){return this.h||super.f(y)}trace(y,...A){this.f(l.Trace)&&this.g(l.Trace,c([y,...A],!0))}debug(y,...A){this.f(l.Debug)&&this.g(l.Debug,c([y,...A]))}info(y,...A){this.f(l.Info)&&this.g(l.Info,c([y,...A]))}warn(y,...A){this.f(l.Warning)&&this.g(l.Warning,c([y,...A]))}error(y,...A){if(this.f(l.Error))if(y instanceof Error){const F=Array.prototype.slice.call(arguments);F[0]=y.stack,this.g(l.Error,c(F))}else this.g(l.Error,c([y,...A]))}flush(){}}e.$Ej=h;class f extends g{constructor(y=e.$Bj){super(),this.setLevel(y),this.g=!S.$i}trace(y,...A){this.f(l.Trace)&&(this.g?console.log(`\x1B[90m[main ${d()}]\x1B[0m`,y,...A):console.log(`[main ${d()}]`,y,...A))}debug(y,...A){this.f(l.Debug)&&(this.g?console.log(`\x1B[90m[main ${d()}]\x1B[0m`,y,...A):console.log(`[main ${d()}]`,y,...A))}info(y,...A){this.f(l.Info)&&(this.g?console.log(`\x1B[90m[main ${d()}]\x1B[0m`,y,...A):console.log(`[main ${d()}]`,y,...A))}warn(y,...A){this.f(l.Warning)&&(this.g?console.warn(`\x1B[93m[main ${d()}]\x1B[0m`,y,...A):console.warn(`[main ${d()}]`,y,...A))}error(y,...A){this.f(l.Error)&&(this.g?console.error(`\x1B[91m[main ${d()}]\x1B[0m`,y,...A):console.error(`[main ${d()}]`,y,...A))}flush(){}}e.$Fj=f;class u extends g{constructor(y=e.$Bj,A=!0){super(),this.g=A,this.setLevel(y)}trace(y,...A){this.f(l.Trace)&&(this.g?console.log("%cTRACE","color: #888",y,...A):console.log(y,...A))}debug(y,...A){this.f(l.Debug)&&(this.g?console.log("%cDEBUG","background: #eee; color: #888",y,...A):console.log(y,...A))}info(y,...A){this.f(l.Info)&&(this.g?console.log("%c INFO","color: #33f",y,...A):console.log(y,...A))}warn(y,...A){this.f(l.Warning)&&(this.g?console.log("%c WARN","color: #993",y,...A):console.log(y,...A))}error(y,...A){this.f(l.Error)&&(this.g?console.log("%c  ERR","color: #f33",y,...A):console.error(y,...A))}flush(){}}e.$Gj=u;class t extends g{constructor(y,A=e.$Bj){super(),this.g=y,this.setLevel(A)}trace(y,...A){this.f(l.Trace)&&this.g.log(l.Trace,[this.h(y),...A])}debug(y,...A){this.f(l.Debug)&&this.g.log(l.Debug,[this.h(y),...A])}info(y,...A){this.f(l.Info)&&this.g.log(l.Info,[this.h(y),...A])}warn(y,...A){this.f(l.Warning)&&this.g.log(l.Warning,[this.h(y),...A])}error(y,...A){this.f(l.Error)&&this.g.log(l.Error,[this.h(y),...A])}h(y){return typeof y=="string"?y:(0,E.$2i)(y,this.f(l.Trace))}flush(){}}e.$Hj=t;class s extends g{constructor(y){super(),this.g=y,y.length&&this.setLevel(y[0].getLevel())}setLevel(y){for(const A of this.g)A.setLevel(y);super.setLevel(y)}trace(y,...A){for(const F of this.g)F.trace(y,...A)}debug(y,...A){for(const F of this.g)F.debug(y,...A)}info(y,...A){for(const F of this.g)F.info(y,...A)}warn(y,...A){for(const F of this.g)F.warn(y,...A)}error(y,...A){for(const F of this.g)F.error(y,...A)}flush(){for(const y of this.g)y.flush()}dispose(){for(const y of this.g)y.dispose();super.dispose()}}e.$Ij=s;class r extends C.$Tc{constructor(y,A,F){if(super(),this.h=y,this.j=A,this.b=new D.$Ac,this.c=this.B(new R.$5d),this.onDidChangeLoggers=this.c.event,this.f=this.B(new R.$5d),this.onDidChangeLogLevel=this.f.event,this.g=this.B(new R.$5d),this.onDidChangeVisibility=this.g.event,F)for(const Q of F)this.b.set(Q.resource,{logger:void 0,info:Q})}m(y){return(0,w.$Sf)(y)?[...this.b.values()].find(A=>A.info.id===y):this.b.get(y)}getLogger(y){return this.m(y)?.logger}createLogger(y,A){const F=this.n(y),Q=(0,w.$Sf)(y)?y:A?.id??(0,o.$5i)(F.toString()).toString(16);let te=this.b.get(F)?.logger;const de=A?.logLevel==="always"?l.Trace:A?.logLevel;te||(te=this.s(F,de??this.getLogLevel(F)??this.h,{...A,id:Q}));const he={logger:te,info:{resource:F,id:Q,logLevel:de,name:A?.name,hidden:A?.hidden,extensionId:A?.extensionId,when:A?.when}};return this.registerLogger(he.info),this.b.set(F,he),te}n(y){return(0,w.$Sf)(y)?(0,v.$Rg)(this.j,`${y}.log`):y}setLogLevel(y,A){if(I.URI.isUri(y)){const F=y,Q=A,te=this.b.get(F);te&&Q!==te.info.logLevel&&(te.info.logLevel=Q===this.h?void 0:Q,te.logger?.setLevel(Q),this.b.set(te.info.resource,te),this.f.fire([F,Q]))}else{this.h=y;for(const[F,Q]of this.b.entries())this.b.get(F)?.info.logLevel===void 0&&Q.logger?.setLevel(this.h);this.f.fire(this.h)}}setVisibility(y,A){const F=this.m(y);F&&A!==!F.info.hidden&&(F.info.hidden=!A,this.b.set(F.info.resource,F),this.g.fire([F.info.resource,A]))}getLogLevel(y){let A;return y&&(A=this.b.get(y)?.info.logLevel),A??this.h}registerLogger(y){const A=this.b.get(y.resource);A?A.info.hidden!==y.hidden&&this.setVisibility(y.resource,!y.hidden):(this.b.set(y.resource,{info:y,logger:void 0}),this.c.fire({added:[y],removed:[]}))}deregisterLogger(y){const A=this.b.get(y);A&&(A.logger&&A.logger.dispose(),this.b.delete(y),this.c.fire({added:[],removed:[A.info]}))}*getRegisteredLoggers(){for(const y of this.b.values())yield y.info}getRegisteredLogger(y){return this.b.get(y)?.info}dispose(){this.b.forEach(y=>y.logger?.dispose()),this.b.clear(),super.dispose()}}e.$Jj=r;class n{constructor(){this.onDidChangeLogLevel=new R.$5d().event}setLevel(y){}getLevel(){return l.Info}trace(y,...A){}debug(y,...A){}info(y,...A){}warn(y,...A){}error(y,...A){}critical(y,...A){}dispose(){}flush(){}}e.$Kj=n;class i extends n{}e.$Lj=i;function a(P){if(P.verbose)return l.Trace;if(typeof P.logLevel=="string"){const y=O(P.logLevel.toLowerCase());if(y!==void 0)return y}return e.$Bj}e.$Mj=a;function $(P){switch(P){case l.Trace:return"trace";case l.Debug:return"debug";case l.Info:return"info";case l.Warning:return"warn";case l.Error:return"error";case l.Off:return"off"}}e.$Nj=$;function O(P){switch(P){case"trace":return l.Trace;case"debug":return l.Debug;case"info":return l.Info;case"warn":return l.Warning;case"error":return l.Error;case"critical":return l.Error;case"off":return l.Off}}e.$Oj=O,e.$Pj=new k.$vj("logLevel",$(l.Info))}),define(ye[86],ke([1,0,10,5,13]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rp=e.$Qp=void 0,e.$Qp=(0,R.$ei)("IExtensionSignatureVerificationService");let C=class{constructor(S){this.b=S}c(){return this.a||(this.a=new Promise((S,v)=>le(["@vscode/vsce-sign"],async w=>S(w),v))),this.a}async verify(S,v,w){let I;try{I=await this.c()}catch(k){return this.b.error("Could not load vsce-sign module",(0,E.$0)(k)),!1}return I.verify(S,v,w)}};e.$Rp=C,e.$Rp=C=Me([Oe(0,o.$yj)],C)}),define(ye[228],ke([1,0,18,15,10,6,2,7,56,13]),function(le,e,E,R,o,C,D,S,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wq=void 0;class I extends D.$Tc{constructor(p,d){super(),this.a=p,this.b=d,this.c=this.B(new C.$5d),this.onDidChangeFile=this.c.event,this.g=this.B(new C.$5d),this.onDidWatchError=this.g.event,this.j=[],this.m=this.B(new R.$ch(0)),this.w=[],this.y=this.B(new R.$ch(0))}watch(p,d){return d.recursive||this.b?.watcher?.forceUniversal?this.n(p,d):this.z(p,d)}n(p,d){const m={path:this.H(p),excludes:d.excludes,includes:d.includes,recursive:d.recursive,correlationId:d.correlationId},l=(0,E.$Ub)(this.j,m);return this.r(),(0,D.$Rc)(()=>{l(),this.r()})}r(){this.m.trigger(()=>this.s()).catch(p=>(0,o.$1)(p))}s(){this.h||(this.h=this.B(this.t(d=>this.c.fire((0,v.$sq)(d)),d=>this.G(d),this.a.getLevel()===w.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.h?.setVerboseLogging(this.a.getLevel()===w.LogLevel.Trace)})));const p=this.b?.watcher?.recursive?.usePolling;if(p===!0)for(const d of this.j)(0,v.$oq)(d)&&(d.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(p))for(const d of this.j)(0,v.$oq)(d)&&p.includes(d.path)&&(d.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);return this.h.watch(this.j)}z(p,d){const m={path:this.H(p),excludes:d.excludes,includes:d.includes,recursive:!1,correlationId:d.correlationId},l=(0,E.$Ub)(this.w,m);return this.C(),(0,D.$Rc)(()=>{l(),this.C()})}C(){this.y.trigger(()=>this.D()).catch(p=>(0,o.$1)(p))}D(){return this.u||(this.u=this.B(this.F(p=>this.c.fire((0,v.$sq)(p)),p=>this.G(p),this.a.getLevel()===w.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.u?.setVerboseLogging(this.a.getLevel()===w.LogLevel.Trace)}))),this.u.watch(this.w)}G(p){p.type==="error"&&this.g.fire(p.message),this.a[p.type](p.message)}H(p){return(0,S.$hc)(p.fsPath)}}e.$wq=I}),define(ye[112],ke([1,0,18,15,14,20,6,62,49,2,64,12,42,19,50,190,16,110,13,10]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h){"use strict";var f;Object.defineProperty(e,"__esModule",{value:!0}),e.$nq=void 0;let u=class extends w.$Tc{static{f=this}constructor(s){super(),this.b=s,this.a=256*1024,this.c=this.B(new D.$5d),this.onDidChangeFileSystemProviderRegistrations=this.c.event,this.f=this.B(new D.$5d),this.onWillActivateFileSystemProvider=this.f.event,this.g=this.B(new D.$5d),this.onDidChangeFileSystemProviderCapabilities=this.g.event,this.h=new Map,this.r=this.B(new D.$5d),this.onDidRunOperation=this.r.event,this.X=this.B(new D.$5d),this.Y=this.B(new D.$5d),this.onDidFilesChange=this.Y.event,this.Z=this.B(new D.$5d),this.onDidWatchError=this.Z.event,this.$=new Map,this.cb=this.B(new R.$nh)}registerProvider(s,r){if(this.h.has(s))throw new Error(`A filesystem provider for the scheme '${s}' is already registered.`);(0,p.mark)(`code/registerFilesystem/${s}`);const n=new w.$Sc;return this.h.set(s,r),this.c.fire({added:!0,scheme:s,provider:r}),n.add(r.onDidChangeFile(i=>{const a=new b.$Uk(i,!this.S(r));this.X.fire(a),a.hasCorrelation()||this.Y.fire(a)})),typeof r.onDidWatchError=="function"&&n.add(r.onDidWatchError(i=>this.Z.fire(new Error(i)))),n.add(r.onDidChangeCapabilities(()=>this.g.fire({provider:r,scheme:s}))),(0,w.$Rc)(()=>{this.c.fire({added:!1,scheme:s,provider:r}),this.h.delete(s),(0,w.$Oc)(n)})}getProvider(s){return this.h.get(s)}async activateProvider(s){const r=[];this.f.fire({scheme:s,join(n){r.push(n)}}),!this.h.has(s)&&await R.Promises.settled(r)}async canHandleResource(s){return await this.activateProvider(s.scheme),this.hasProvider(s)}hasProvider(s){return this.h.has(s.scheme)}hasCapability(s,r){const n=this.h.get(s.scheme);return!!(n&&n.capabilities&r)}listCapabilities(){return v.Iterable.map(this.h,([s,r])=>({scheme:s,capabilities:r.capabilities}))}async j(s){if(!(0,d.$Vg)(s))throw new b.$Wk((0,l.localize)(0,null,this.sb(s)),8);await this.activateProvider(s.scheme);const r=this.h.get(s.scheme);if(!r){const n=new h.$bb;throw n.message=(0,l.localize)(1,null,s.toString()),n}return r}async m(s){const r=await this.j(s);if((0,b.$Hk)(r)||(0,b.$Ek)(r)||(0,b.$Ik)(r))return r;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite, FileReadStream nor FileOpenReadWriteClose capability which is needed for the read operation.`)}async n(s){const r=await this.j(s);if((0,b.$Hk)(r)||(0,b.$Ek)(r))return r;throw new Error(`Filesystem provider for scheme '${s.scheme}' neither has FileReadWrite nor FileOpenReadWriteClose capability which is needed for the write operation.`)}async resolve(s,r){try{return await this.s(s,r)}catch(n){throw(0,b.$Rk)(n)===b.FileSystemProviderErrorCode.FileNotFound?new b.$Wk((0,l.localize)(2,null,this.sb(s)),1):(0,b.$Pk)(n)}}async s(s,r){const n=await this.j(s),i=this.S(n),a=r?.resolveTo,$=r?.resolveSingleChildDescendants,O=r?.resolveMetadata,P=await n.stat(s);let y;return this.t(n,s,P,void 0,!!O,(A,F)=>(y||(y=I.$ki.forUris(()=>!i),y.set(s,!0),a&&y.fill(!0,a)),y.get(A.resource)||y.findSuperstr(A.resource.with({query:null,fragment:null}))?!0:A.isDirectory&&$?F===1:!1))}async t(s,r,n,i,a,$){const{providerExtUri:O}=this.R(s),P={resource:r,name:O.basename(r),isFile:(n.type&b.FileType.File)!==0,isDirectory:(n.type&b.FileType.Directory)!==0,isSymbolicLink:(n.type&b.FileType.SymbolicLink)!==0,mtime:n.mtime,ctime:n.ctime,size:n.size,readonly:!!((n.permissions??0)&b.FilePermission.Readonly)||!!(s.capabilities&2048),locked:!!((n.permissions??0)&b.FilePermission.Locked),etag:(0,b.$8k)({mtime:n.mtime,size:n.size}),children:void 0};if(P.isDirectory&&$(P,i)){try{const y=await s.readdir(r),A=await R.Promises.settled(y.map(async([F,Q])=>{try{const te=O.joinPath(r,F),de=a?await s.stat(te):{type:Q};return await this.t(s,te,de,y.length,a,$)}catch(te){return this.b.trace(te),null}}));P.children=(0,E.$Hb)(A)}catch(y){this.b.trace(y),P.children=[]}return P}return P}async resolveAll(s){return R.Promises.settled(s.map(async r=>{try{return{stat:await this.s(r.resource,r.options),success:!0}}catch(n){return this.b.trace(n),{stat:void 0,success:!1}}}))}async stat(s){const r=await this.j(s),n=await r.stat(s);return this.t(r,s,n,void 0,!0,()=>!1)}async exists(s){const r=await this.j(s);try{return!!await r.stat(s)}catch{return!1}}async canCreateFile(s,r){try{await this.u(s,r)}catch(n){return n}return!0}async u(s,r){if(!r?.overwrite&&await this.exists(s))throw new b.$Wk((0,l.localize)(3,null,this.sb(s)),3,r)}async createFile(s,r=o.$se.fromString(""),n){await this.u(s,n);const i=await this.writeFile(s,r);return this.r.fire(new b.$Tk(s,0,i)),i}async writeFile(s,r,n){const i=this.qb(await this.n(s),s),{providerExtUri:a}=this.R(i);let $=n;if((0,b.$Kk)(i)&&!$?.atomic){const O=i.enforceAtomicWriteFile?.(s);O&&($={...n,atomic:O})}try{await this.w(i,s,$)||await this.U(i,a.dirname(s));let P;if((0,b.$Ek)(i)&&!(r instanceof o.$se))if((0,m.$ee)(r)){const y=await(0,m.$le)(r,3);y.ended?P=o.$se.concat(y.buffer):P=y}else P=(0,m.$ie)(r,y=>o.$se.concat(y),3);else P=r;!(0,b.$Hk)(i)||(0,b.$Ek)(i)&&P instanceof o.$se||(0,b.$Ek)(i)&&(0,b.$Kk)(i)&&$?.atomic?await this.hb(i,s,$,P):await this.db(i,s,$,P instanceof o.$se?(0,o.$De)(P):P),this.r.fire(new b.$Tk(s,4))}catch(O){throw new b.$Wk((0,l.localize)(4,null,this.sb(s),(0,b.$Pk)(O).toString()),(0,b.$Sk)(O),$)}return this.resolve(s,{resolveMetadata:!0})}async w(s,r,n){const i=!!n?.unlock;if(i&&!(s.capabilities&8192))throw new Error((0,l.localize)(5,null,this.sb(r)));if(!!n?.atomic){if(!(s.capabilities&32768))throw new Error((0,l.localize)(6,null,this.sb(r)));if(!(s.capabilities&2))throw new Error((0,l.localize)(7,null,this.sb(r)));if(i)throw new Error((0,l.localize)(8,null,this.sb(r)))}let $;try{$=await s.stat(r)}catch{return}if($.type&b.FileType.Directory)throw new b.$Wk((0,l.localize)(9,null,this.sb(r)),0,n);if(this.rb(r,$),typeof n?.mtime=="number"&&typeof n.etag=="string"&&n.etag!==b.$7k&&typeof $.mtime=="number"&&typeof $.size=="number"&&n.mtime<$.mtime&&n.etag!==(0,b.$8k)({mtime:n.mtime,size:$.size}))throw new b.$Wk((0,l.localize)(10,null),3,n);return $}async readFile(s,r,n){const i=await this.m(s);return r?.atomic?this.z(i,s,r,n):this.C(i,s,r,n)}async z(s,r,n,i){return new Promise((a,$)=>{this.cb.queueFor(r,async()=>{try{const O=await this.C(s,r,n,i);a(O)}catch(O){$(O)}},this.R(s).providerExtUri)})}async C(s,r,n,i){const a=await this.D(s,r,{...n,preferUnbuffered:!0},i);return{...a,value:await(0,o.$Ee)(a.value)}}async readFileStream(s,r,n){const i=await this.m(s);return this.D(i,s,r,n)}async D(s,r,n,i){const a=new C.$ce(i);let $=n;(0,b.$Jk)(s)&&s.enforceAtomicReadFile?.(r)&&($={...n,atomic:!0});const O=this.J(r,$).then(y=>y,y=>{throw a.dispose(!0),y});let P;try{return typeof $?.etag=="string"&&$.etag!==b.$7k&&await O,$?.atomic&&(0,b.$Jk)(s)||!((0,b.$Hk)(s)||(0,b.$Ik)(s))||(0,b.$Ek)(s)&&$?.preferUnbuffered?P=this.I(s,r,$):(0,b.$Ik)(s)?P=this.G(s,r,a.token,$):P=this.H(s,r,a.token,$),P.on("end",()=>a.dispose()),P.on("error",()=>a.dispose()),{...await O,value:P}}catch(y){throw P&&await(0,m.$je)(P),this.F(y,r,$)}}F(s,r,n){const i=(0,l.localize)(11,null,this.sb(r),(0,b.$Pk)(s).toString());return s instanceof b.$Yk?new b.$Yk(i,s.stat,n):s instanceof b.$Xk?new b.$Xk(i,s.fileOperationResult,s.size,s.options):new b.$Wk(i,(0,b.$Sk)(s),n)}G(s,r,n,i=Object.create(null)){const a=s.readFileStream(r,i,n);return(0,m.$pe)(a,{data:$=>$ instanceof o.$se?$:o.$se.wrap($),error:$=>this.F($,r,i)},$=>o.$se.concat($))}H(s,r,n,i=Object.create(null)){const a=(0,o.$Ie)();return(0,c.$mq)(s,r,a,$=>$,{...i,bufferSize:this.a,errorTransformer:$=>this.F($,r,i)},n),a}I(s,r,n){const i=(0,m.$ge)(a=>o.$se.concat(a));return(async()=>{try{let a;n?.atomic&&(0,b.$Jk)(s)?a=await s.readFile(r,{atomic:!0}):a=await s.readFile(r),typeof n?.position=="number"&&(a=a.slice(n.position)),typeof n?.length=="number"&&(a=a.slice(0,n.length)),this.L(r,a.byteLength,n),i.end(o.$se.wrap(a))}catch(a){i.error(a),i.end()}})(),i}async J(s,r){const n=await this.resolve(s,{resolveMetadata:!0});if(n.isDirectory)throw new b.$Wk((0,l.localize)(12,null,this.sb(s)),0,r);if(typeof r?.etag=="string"&&r.etag!==b.$7k&&r.etag===n.etag)throw new b.$Yk((0,l.localize)(13,null),n,r);return this.L(s,n.size,r),n}L(s,r,n){if(typeof n?.limits?.size=="number"&&r>n.limits.size)throw new b.$Xk((0,l.localize)(14,null,this.sb(s)),7,r,n)}async canMove(s,r,n){return this.M(s,r,"move",n)}async canCopy(s,r,n){return this.M(s,r,"copy",n)}async M(s,r,n,i){if(s.toString()!==r.toString())try{const a=n==="move"?this.qb(await this.n(s),s):await this.m(s),$=this.qb(await this.n(r),r);await this.Q(a,s,$,r,n,i)}catch(a){return a}return!0}async move(s,r,n){const i=this.qb(await this.n(s),s),a=this.qb(await this.n(r),r),$=await this.N(i,s,a,r,"move",!!n),O=await this.resolve(r,{resolveMetadata:!0});return this.r.fire(new b.$Tk(s,$==="move"?2:3,O)),O}async copy(s,r,n){const i=await this.m(s),a=this.qb(await this.n(r),r),$=await this.N(i,s,a,r,"copy",!!n),O=await this.resolve(r,{resolveMetadata:!0});return this.r.fire(new b.$Tk(s,$==="copy"?3:2,O)),O}async N(s,r,n,i,a,$){if(r.toString()===i.toString())return a;const{exists:O,isSameResourceWithDifferentPathCase:P}=await this.Q(s,r,n,i,a,$);if(O&&!P&&$&&await this.del(i,{recursive:!0}),await this.U(n,this.R(n).providerExtUri.dirname(i)),a==="copy"){if(s===n&&(0,b.$Fk)(s))await s.copy(r,i,{overwrite:$});else{const y=await this.resolve(r);y.isDirectory?await this.P(s,y,n,i):await this.O(s,r,n,i)}return a}else return s===n?(await s.rename(r,i,{overwrite:$}),a):(await this.N(s,r,n,i,"copy",$),await this.del(r,{recursive:!0}),"copy")}async O(s,r,n,i){if((0,b.$Hk)(s)&&(0,b.$Hk)(n))return this.jb(s,r,n,i);if((0,b.$Hk)(s)&&(0,b.$Ek)(n))return this.pb(s,r,n,i);if((0,b.$Ek)(s)&&(0,b.$Hk)(n))return this.nb(s,r,n,i);if((0,b.$Ek)(s)&&(0,b.$Ek)(n))return this.lb(s,r,n,i)}async P(s,r,n,i){await n.mkdir(i),Array.isArray(r.children)&&await R.Promises.settled(r.children.map(async a=>{const $=this.R(n).providerExtUri.joinPath(i,a.name);return a.isDirectory?this.P(s,await this.resolve(a.resource),n,$):this.O(s,a.resource,n,$)}))}async Q(s,r,n,i,a,$){let O=!1;if(s===n){const{providerExtUri:y,isPathCaseSensitive:A}=this.R(s);if(A||(O=y.isEqual(r,i)),O&&a==="copy")throw new Error((0,l.localize)(15,null,this.sb(r),this.sb(i)));if(!O&&y.isEqualOrParent(i,r))throw new Error((0,l.localize)(16,null,this.sb(r),this.sb(i)))}const P=await this.exists(i);if(P&&!O){if(!$)throw new b.$Wk((0,l.localize)(17,null,this.sb(r),this.sb(i)),4);if(s===n){const{providerExtUri:y}=this.R(s);if(y.isEqualOrParent(r,i))throw new Error((0,l.localize)(18,null,this.sb(r),this.sb(i)))}}return{exists:P,isSameResourceWithDifferentPathCase:O}}R(s){const r=this.S(s);return{providerExtUri:r?d.$Hg:d.$Jg,isPathCaseSensitive:r}}S(s){return!!(s.capabilities&1024)}async createFolder(s){const r=this.qb(await this.j(s),s);await this.U(r,s);const n=await this.resolve(s,{resolveMetadata:!0});return this.r.fire(new b.$Tk(s,0,n)),n}async U(s,r){const n=[],{providerExtUri:i}=this.R(s);for(;!i.isEqual(r,i.dirname(r));)try{if(!((await s.stat(r)).type&b.FileType.Directory))throw new Error((0,l.localize)(19,null,this.sb(r)));break}catch(a){if((0,b.$Rk)(a)!==b.FileSystemProviderErrorCode.FileNotFound)throw a;n.push(i.basename(r)),r=i.dirname(r)}for(let a=n.length-1;a>=0;a--){r=i.joinPath(r,n[a]);try{await s.mkdir(r)}catch($){if((0,b.$Rk)($)!==b.FileSystemProviderErrorCode.FileExists)throw $}}}async canDelete(s,r){try{await this.W(s,r)}catch(n){return n}return!0}async W(s,r){const n=this.qb(await this.j(s),s),i=!!r?.useTrash;if(i&&!(n.capabilities&4096))throw new Error((0,l.localize)(20,null,this.sb(s)));const a=r?.atomic;if(a&&!(n.capabilities&65536))throw new Error((0,l.localize)(21,null,this.sb(s)));if(i&&a)throw new Error((0,l.localize)(22,null,this.sb(s)));let $;try{$=await n.stat(s)}catch{}if($)this.rb(s,$);else throw new b.$Wk((0,l.localize)(23,null,this.sb(s)),1);if(!!!r?.recursive){const P=await this.resolve(s);if(P.isDirectory&&Array.isArray(P.children)&&P.children.length>0)throw new Error((0,l.localize)(24,null,this.sb(s)))}return n}async del(s,r){const n=await this.W(s,r);let i=r;if((0,b.$Lk)(n)&&!i?.atomic){const P=n.enforceAtomicDelete?.(s);P&&(i={...r,atomic:P})}const a=!!i?.useTrash,$=!!i?.recursive,O=i?.atomic??!1;await n.delete(s,{recursive:$,useTrash:a,atomic:O}),this.r.fire(new b.$Tk(s,1))}async cloneFile(s,r){const n=await this.j(s),i=this.qb(await this.n(r),r);if(!(n===i&&this.R(n).providerExtUri.isEqual(s,r)))return n===i&&(0,b.$Gk)(n)?n.cloneFile(s,r):(await this.U(i,this.R(i).providerExtUri.dirname(r)),n===i&&(0,b.$Fk)(n)?this.cb.queueFor(s,()=>n.copy(s,r,{overwrite:!0}),this.R(n).providerExtUri):this.cb.queueFor(s,()=>this.O(n,s,i,r),this.R(n).providerExtUri))}static{this.ab=0}createWatcher(s,r){return this.watch(s,{...r,correlationId:f.ab++})}watch(s,r={recursive:!1,excludes:[]}){const n=new w.$Sc;let i=!1,a=()=>{i=!0};n.add((0,w.$Rc)(()=>a())),(async()=>{try{const O=await this.bb(s,r);i?(0,w.$Oc)(O):a=()=>(0,w.$Oc)(O)}catch(O){this.b.error(O)}})();const $=r.correlationId;if(typeof $=="number"){const O=n.add(new D.$5d);return n.add(this.X.event(y=>{y.correlates($)&&O.fire(y)})),{onDidChange:O.event,dispose:()=>n.dispose()}}return n}async bb(s,r){const n=await this.j(s),i=(0,S.$5i)([this.R(n).providerExtUri.getComparisonKey(s),r]);let a=this.$.get(i);return a||(a={count:0,disposable:n.watch(s,r)},this.$.set(i,a)),a.count+=1,(0,w.$Rc)(()=>{a&&(a.count--,a.count===0&&((0,w.$Oc)(a.disposable),this.$.delete(i)))})}dispose(){super.dispose();for(const[,s]of this.$)(0,w.$Oc)(s.disposable);this.$.clear()}async db(s,r,n,i){return this.cb.queueFor(r,async()=>{const a=await s.open(r,{create:!0,unlock:n?.unlock??!1});try{(0,m.$ee)(i)||(0,m.$fe)(i)?await this.eb(s,a,i):await this.fb(s,a,i)}catch($){throw(0,b.$Pk)($)}finally{await s.close(a)}},this.R(s).providerExtUri)}async eb(s,r,n){let i=0,a;if((0,m.$fe)(n)){if(n.buffer.length>0){const $=o.$se.concat(n.buffer);await this.gb(s,r,$,$.byteLength,i,0),i+=$.byteLength}if(n.ended)return;a=n.stream}else a=n;return new Promise(($,O)=>{(0,m.$ke)(a,{onData:async P=>{a.pause();try{await this.gb(s,r,P,P.byteLength,i,0)}catch(y){return O(y)}i+=P.byteLength,setTimeout(()=>a.resume())},onError:P=>O(P),onEnd:()=>$()})})}async fb(s,r,n){let i=0,a;for(;(a=n.read())!==null;)await this.gb(s,r,a,a.byteLength,i,0),i+=a.byteLength}async gb(s,r,n,i,a,$){let O=0;for(;O<i;){const P=await s.write(r,a+O,n.buffer,$+O,i-O);O+=P}}async hb(s,r,n,i){return this.cb.queueFor(r,()=>this.ib(s,r,n,i),this.R(s).providerExtUri)}async ib(s,r,n,i){let a;i instanceof o.$se?a=i:(0,m.$ee)(i)?a=await(0,o.$Ee)(i):(0,m.$fe)(i)?a=await(0,o.$Fe)(i):a=(0,o.$Ce)(i),await s.writeFile(r,a.buffer,{create:!0,overwrite:!0,unlock:n?.unlock??!1,atomic:n?.atomic??!1})}async jb(s,r,n,i){return this.cb.queueFor(i,()=>this.kb(s,r,n,i),this.R(n).providerExtUri)}async kb(s,r,n,i){let a,$;try{a=await s.open(r,{create:!1}),$=await n.open(i,{create:!0,unlock:!1});const O=o.$se.alloc(this.a);let P=0,y=0,A=0;do A=await s.read(a,P,O.buffer,y,O.byteLength-y),await this.gb(n,$,O,A,P,y),P+=A,y+=A,y===O.byteLength&&(y=0);while(A>0)}catch(O){throw(0,b.$Pk)(O)}finally{await R.Promises.settled([typeof a=="number"?s.close(a):Promise.resolve(),typeof $=="number"?n.close($):Promise.resolve()])}}async lb(s,r,n,i){return this.cb.queueFor(i,()=>this.mb(s,r,n,i),this.R(n).providerExtUri)}async mb(s,r,n,i){return n.writeFile(i,await s.readFile(r),{create:!0,overwrite:!0,unlock:!1,atomic:!1})}async nb(s,r,n,i){return this.cb.queueFor(i,()=>this.ob(s,r,n,i),this.R(n).providerExtUri)}async ob(s,r,n,i){const a=await n.open(i,{create:!0,unlock:!1});try{const $=await s.readFile(r);await this.gb(n,a,o.$se.wrap($),$.byteLength,0,0)}catch($){throw(0,b.$Pk)($)}finally{await n.close(a)}}async pb(s,r,n,i){const a=await(0,o.$Ee)(this.H(s,r,C.CancellationToken.None));await this.hb(n,i,void 0,a)}qb(s,r){if(s.capabilities&2048)throw new b.$Wk((0,l.localize)(25,null,this.sb(r)),6);return s}rb(s,r){if((r.permissions??0)&b.FilePermission.Readonly)throw new b.$Wk((0,l.localize)(26,null,this.sb(s)),6)}sb(s){return s.scheme===k.Schemas.file?s.fsPath:s.toString(!0)}};e.$nq=u,e.$nq=u=f=Me([Oe(0,g.$yj)],u)}),define(ye[70],ke([1,0,27,303,15,24,14,6,40,2,7,3,19,50,23,193,16,110,228,39,226,225]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mq=void 0,(()=>{try{(0,R.gracefulify)(E)}catch(s){console.error(`Error enabling graceful-fs: ${(0,h.$2i)(s)}`)}})();class t extends g.$wq{static{this.I=!1}constructor(r,n){super(r,n),this.onDidChangeCapabilities=S.Event.None,this.N=new C.$Ac(i=>p.$Ig.getComparisonKey(i)),this.U=new Map,this.W=new Map,this.X=new Map}get capabilities(){return this.J||(this.J=253982,k.$k&&(this.J|=1024)),this.J}async stat(r){try{const{stat:n,symbolicLink:i}=await m.SymlinkSupport.stat(this.H(r));return{type:this.M(n,i),ctime:n.birthtime.getTime(),mtime:n.mtime.getTime(),size:n.size,permissions:n.mode&128?void 0:b.FilePermission.Locked}}catch(n){throw this.fb(n)}}async L(r){try{return await this.stat(r)}catch{return}}async readdir(r){try{const n=await m.Promises.readdir(this.H(r),{withFileTypes:!0}),i=[];return await Promise.all(n.map(async a=>{try{let $;a.isSymbolicLink()?$=(await this.stat((0,p.$Rg)(r,a.name))).type:$=this.M(a),i.push([a.name,$])}catch($){this.a.trace($)}})),i}catch(n){throw this.fb(n)}}M(r,n){let i;return n?.dangling?i=b.FileType.Unknown:r.isFile()?i=b.FileType.File:r.isDirectory()?i=b.FileType.Directory:i=b.FileType.Unknown,n&&(i|=b.FileType.SymbolicLink),i}async O(r){const n=this.H(r);this.P(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${n})`);let i;for(;i=this.N.get(r);)this.P(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${n})`),await i.wait();const a=new o.$dh;return this.N.set(r,a),this.P(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${n})`),(0,w.$Rc)(()=>{this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${n})`),this.N.get(r)===a&&(this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${n})`),this.N.delete(r)),this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${n})`),a.open()})}async readFile(r,n){let i;try{n?.atomic&&(this.P(`[Disk FileSystemProvider]: atomic read operation started (${this.H(r)})`),i=await this.O(r));const a=this.H(r);return await m.Promises.readFile(a)}catch(a){throw this.fb(a)}finally{i?.dispose()}}P(r){t.I&&this.a.trace(r)}readFileStream(r,n,i){const a=(0,d.$ge)($=>D.$se.concat($.map(O=>D.$se.wrap(O))).buffer);return(0,c.$mq)(this,r,a,$=>$.buffer,{...n,bufferSize:256*1024},i),a}async writeFile(r,n,i){return i?.atomic!==!1&&i?.atomic?.postfix&&await this.Q(r)?this.R(r,(0,p.$Rg)((0,p.$Qg)(r),`${(0,p.$Og)(r)}${i.atomic.postfix}`),n,i):this.S(r,n,i)}async Q(r){try{const n=this.H(r),{symbolicLink:i}=await m.SymlinkSupport.stat(n);if(i)return!1}catch{}return!0}async R(r,n,i,a){const $=new w.$Sc;try{$.add(await this.O(r)),$.add(await this.O(n)),await this.S(n,i,a,!0);try{await this.rename(n,r,{overwrite:!0})}catch(O){try{await this.delete(n,{recursive:!1,useTrash:!1,atomic:!1})}catch{}throw O}}finally{$.dispose()}}async S(r,n,i,a){let $;try{const O=this.H(r);if(!i.create||!i.overwrite){if(await m.Promises.exists(O)){if(!i.overwrite)throw(0,b.$Ok)((0,l.localize)(0,null),b.FileSystemProviderErrorCode.FileExists)}else if(!i.create)throw(0,b.$Ok)((0,l.localize)(1,null),b.FileSystemProviderErrorCode.FileNotFound)}$=await this.open(r,{create:!0,unlock:i.unlock},a),await this.write($,0,n,0,n.byteLength)}catch(O){throw await this.gb(r,O)}finally{typeof $=="number"&&await this.close($)}}static{this.Y=!0}static configureFlushOnWrite(r){t.Y=r}async open(r,n,i){const a=this.H(r);let $;(0,b.$Ck)(n)&&!i&&($=await this.O(r));let O;try{if((0,b.$Ck)(n)&&n.unlock)try{const{stat:y}=await m.SymlinkSupport.stat(a);y.mode&128||await m.Promises.chmod(a,y.mode|128)}catch(y){y.code!=="ENOENT"&&this.a.trace(y)}let P;if((0,b.$Ck)(n)){if(k.$i)try{await m.Promises.truncate(a,0),P="r+"}catch(y){y.code!=="ENOENT"&&this.a.trace(y)}P||(P="w")}else P="r";O=await m.Promises.open(a,P)}catch(P){throw $?.dispose(),(0,b.$Ck)(n)?await this.gb(r,P):this.fb(P)}if(this.U.set(O,0),(0,b.$Ck)(n)&&this.X.set(O,r),$){const P=this.W.get(O);this.P(`[Disk FileSystemProvider]: open() - storing lock for handle ${O} (${a})`),this.W.set(O,$),P&&(this.P(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${O} (${a})`),P.dispose())}return O}async close(r){const n=this.W.get(r);try{if(this.U.delete(r),this.X.delete(r)&&t.Y)try{await m.Promises.fdatasync(r)}catch(i){t.configureFlushOnWrite(!1),this.a.error(i)}return await m.Promises.close(r)}catch(i){throw this.fb(i)}finally{n&&(this.W.get(r)===n&&(this.P(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${r}`),this.W.delete(r)),this.P(`[Disk FileSystemProvider]: close() - disposing lock for handle ${r}`),n.dispose())}}async read(r,n,i,a,$){const O=this.Z(r,n);let P=null;try{P=(await m.Promises.read(r,i,a,$,O)).bytesRead}catch(y){throw this.fb(y)}finally{this.$(r,O,P)}return P}Z(r,n){return n===this.U.get(r)?null:n}$(r,n,i){const a=this.U.get(r);typeof a=="number"&&(typeof n=="number"||(typeof i=="number"?this.U.set(r,a+i):this.U.delete(r)))}async write(r,n,i,a,$){return(0,o.$yh)(()=>this.ab(r,n,i,a,$),100,3)}async ab(r,n,i,a,$){const O=this.Z(r,n);let P=null;try{P=(await m.Promises.write(r,i,a,$,O)).bytesWritten}catch(y){throw await this.gb(this.X.get(r),y)}finally{this.$(r,O,P)}return P}async mkdir(r){try{await m.Promises.mkdir(this.H(r))}catch(n){throw this.fb(n)}}async delete(r,n){try{const i=this.H(r);if(n.recursive){let a;n?.atomic!==!1&&n.atomic.postfix&&(a=(0,I.$jc)((0,I.$mc)(i),`${(0,I.$nc)(i)}${n.atomic.postfix}`)),await m.Promises.rm(i,m.RimRafMode.MOVE,a)}else try{await m.Promises.unlink(i)}catch(a){if(a.code==="EPERM"||a.code==="EISDIR"){let $=!1;try{const{stat:O,symbolicLink:P}=await m.SymlinkSupport.stat(i);$=O.isDirectory()&&!P}catch{}if($)await m.Promises.rmdir(i);else throw a}else throw a}}catch(i){throw this.fb(i)}}async rename(r,n,i){const a=this.H(r),$=this.H(n);if(a!==$)try{await this.bb(r,n,"move",i.overwrite),await m.Promises.rename(a,$)}catch(O){throw(O.code==="EINVAL"||O.code==="EBUSY"||O.code==="ENAMETOOLONG")&&(O=new Error((0,l.localize)(2,null,(0,I.$nc)(a),(0,I.$nc)((0,I.$mc)($)),O.toString()))),this.fb(O)}}async copy(r,n,i){const a=this.H(r),$=this.H(n);if(a!==$)try{await this.bb(r,n,"copy",i.overwrite),await m.Promises.copy(a,$,{preserveSymlinks:!0})}catch(O){throw(O.code==="EINVAL"||O.code==="EBUSY"||O.code==="ENAMETOOLONG")&&(O=new Error((0,l.localize)(3,null,(0,I.$nc)(a),(0,I.$nc)((0,I.$mc)($)),O.toString()))),this.fb(O)}}async bb(r,n,i,a){const $=this.H(r),O=this.H(n);let P=!1;if(!!(this.capabilities&1024)||(P=(0,v.$eg)($,O,!0)),P){if(i==="copy")throw(0,b.$Ok)((0,l.localize)(4,null),b.FileSystemProviderErrorCode.FileExists);if(i==="move")return}const A=await this.L(r);if(!A)throw(0,b.$Ok)((0,l.localize)(5,null),b.FileSystemProviderErrorCode.FileNotFound);const F=await this.L(n);if(F){if(!a)throw(0,b.$Ok)((0,l.localize)(6,null),b.FileSystemProviderErrorCode.FileExists);A.type&b.FileType.File&&F.type&b.FileType.File||await this.delete(n,{recursive:!0,useTrash:!1,atomic:!1})}}async cloneFile(r,n){return this.cb(r,n,!1)}async cb(r,n,i){const a=this.H(r),$=this.H(n),O=!!(this.capabilities&1024);if((0,v.$eg)(a,$,!O))return;const P=new w.$Sc;try{P.add(await this.O(r)),P.add(await this.O(n)),i&&await m.Promises.mkdir((0,I.$mc)($),{recursive:!0}),await m.Promises.copyFile(a,$)}catch(y){if(y.code==="ENOENT"&&!i)return this.cb(r,n,!0);throw this.fb(y)}finally{P.dispose()}}t(r,n,i){return new f.$Dq(a=>r(a),a=>n(a),i)}F(r,n,i){return new u.$Lq(a=>r(a),a=>n(a),i)}fb(r){if(r instanceof b.$Nk)return r;let n=r,i;switch(r.code){case"ENOENT":i=b.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":i=b.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":i=b.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":i=b.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":i=b.FileSystemProviderErrorCode.NoPermissions;break;case"ERR_UNC_HOST_NOT_ALLOWED":n=`${r.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`,i=b.FileSystemProviderErrorCode.Unknown;break;default:i=b.FileSystemProviderErrorCode.Unknown}return(0,b.$Ok)(n,i)}async gb(r,n){let i=this.fb(n);if(r&&i.code===b.FileSystemProviderErrorCode.NoPermissions)try{const{stat:a}=await m.SymlinkSupport.stat(this.H(r));a.mode&128||(i=(0,b.$Ok)(n,b.FileSystemProviderErrorCode.FileWriteLocked))}catch(a){this.a.trace(a)}return i}}e.$Mq=t}),define(ye[229],ke([1,0,6,70,2,14,50,20]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ks=e.$js=void 0;class v extends o.$Tc{constructor(k,p){super(),this.a=k,this.b=p,this.F=new Map,this.G=new Map}call(k,p,d){const m=this.c(k);switch(p){case"stat":return this.g(m,d[0]);case"readdir":return this.h(m,d[0]);case"open":return this.r(m,d[0],d[1]);case"close":return this.s(d[0]);case"read":return this.t(d[0],d[1],d[2]);case"readFile":return this.j(m,d[0],d[1]);case"write":return this.u(d[0],d[1],d[2],d[3],d[4]);case"writeFile":return this.n(m,d[0],d[1],d[2]);case"rename":return this.z(m,d[0],d[1],d[2]);case"copy":return this.C(m,d[0],d[1],d[2]);case"cloneFile":return this.D(m,d[0],d[1]);case"mkdir":return this.w(m,d[0]);case"delete":return this.y(m,d[0],d[1]);case"watch":return this.I(m,d[0],d[1],d[2],d[3]);case"unwatch":return this.J(d[0],d[1])}throw new Error(`IPC Command ${p} not found`)}listen(k,p,d){const m=this.c(k);switch(p){case"fileChange":return this.H(m,d[0]);case"readFileStream":return this.m(m,d[0],d[1])}throw new Error(`Unknown event ${p}`)}g(k,p){const d=this.f(k,p,!0);return this.a.stat(d)}h(k,p){const d=this.f(k,p);return this.a.readdir(d)}async j(k,p,d){const m=this.f(k,p,!0),l=await this.a.readFile(m,d);return C.$se.wrap(l)}m(k,p,d){const m=this.f(k,p,!0),l=new S.$ce,b=new E.$5d({onDidRemoveLastListener:()=>{l.cancel()}}),c=this.a.readFileStream(m,d,l.token);return(0,D.$ke)(c,{onData:g=>b.fire(C.$se.wrap(g)),onError:g=>b.fire(g),onEnd:()=>{b.fire("end"),b.dispose(),l.dispose()}}),b.event}n(k,p,d,m){const l=this.f(k,p);return this.a.writeFile(l,d.buffer,m)}r(k,p,d){const m=this.f(k,p,!0);return this.a.open(m,d)}s(k){return this.a.close(k)}async t(k,p,d){const m=C.$se.alloc(d),b=await this.a.read(k,p,m.buffer,0,d);return[m,b]}u(k,p,d,m,l){return this.a.write(k,p,d.buffer,m,l)}w(k,p){const d=this.f(k,p);return this.a.mkdir(d)}y(k,p,d){const m=this.f(k,p);return this.a.delete(m,d)}z(k,p,d,m){const l=this.f(k,p),b=this.f(k,d);return this.a.rename(l,b,m)}C(k,p,d,m){const l=this.f(k,p),b=this.f(k,d);return this.a.copy(l,b,m)}D(k,p,d){const m=this.f(k,p),l=this.f(k,d);return this.a.cloneFile(m,l)}H(k,p){const d=new E.$5d({onWillAddFirstListener:()=>{this.F.set(p,this.L(k,d))},onDidRemoveLastListener:()=>{(0,o.$Oc)(this.F.get(p)),this.F.delete(p)}});return d.event}async I(k,p,d,m,l){const b=this.F.get(p);if(b){const c=this.f(k,m),g=b.watch(d,c,l);this.G.set(p+d,g)}}async J(k,p){const d=k+p,m=this.G.get(d);m&&((0,o.$Oc)(m),this.G.delete(d))}dispose(){super.dispose();for(const[,k]of this.G)k.dispose();this.G.clear();for(const[,k]of this.F)k.dispose();this.F.clear()}}e.$js=v;class w extends o.$Tc{constructor(k,p,d,m){super(),this.c=k,this.f=d,this.g=m,this.a=new Map,this.b=this.B(new R.$Mq(this.f,{watcher:{recursive:this.j(this.g)}})),this.h(p)}h(k){const p=this.B(new E.$5d);this.B(p.event(d=>{k.fire(d.map(m=>({resource:this.c.transformOutgoingURI(m.resource),type:m.type,cId:m.cId})))})),this.B(this.b.onDidChangeFile(d=>p.fire(d))),this.B(this.b.onDidWatchError(d=>k.fire(d)))}j(k){}m(k){}watch(k,p,d){const m=this.m(this.g);return Array.isArray(m)&&(d.excludes=[...d.excludes,...m]),this.a.set(k,this.b.watch(p,d)),(0,o.$Rc)(()=>{(0,o.$Oc)(this.a.get(k)),this.a.delete(k)})}dispose(){for(const[,k]of this.a)k.dispose();this.a.clear(),super.dispose()}}e.$ks=w}),define(ye[113],ke([1,0,4,6,13,2]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nr=e.$Mr=e.$Lr=void 0;class D extends o.$Jj{constructor(k,p,d,m,l){super(p,d,m),this.r=k,this.t=l,this.B(l.listen("onDidChangeLogLevel",k)(b=>{(0,o.$Aj)(b)?super.setLogLevel(b):super.setLogLevel(E.URI.revive(b[0]),b[1])})),this.B(l.listen("onDidChangeVisibility",k)(([b,c])=>super.setVisibility(E.URI.revive(b),c))),this.B(l.listen("onDidChangeLoggers",k)(({added:b,removed:c})=>{for(const g of b)super.registerLogger({...g,resource:E.URI.revive(g.resource)});for(const g of c)super.deregisterLogger(g.resource)}))}createConsoleMainLogger(){return new o.$Hj({log:(k,p)=>{this.t.call("consoleLog",[k,p])}})}registerLogger(k){super.registerLogger(k),this.t.call("registerLogger",[k,this.r])}deregisterLogger(k){super.deregisterLogger(k),this.t.call("deregisterLogger",[k,this.r])}setLogLevel(k,p){super.setLogLevel(k,p),this.t.call("setLogLevel",[k,p])}setVisibility(k,p){super.setVisibility(k,p),this.t.call("setVisibility",[this.n(k),p])}s(k,p,d){return new S(this.t,k,p,d,this.r)}static setLogLevel(k,p,d){return k.call("setLogLevel",[p,d])}}e.$Lr=D;class S extends o.$Ej{constructor(k,p,d,m,l){super(m?.logLevel==="always"),this.r=k,this.s=p,this.m=!1,this.n=[],this.setLevel(d),this.r.call("createLogger",[p,m,l]).then(()=>{this.u(this.n),this.m=!0})}g(k,p){const d=[[k,p]];this.m?this.u(d):this.n.push(...d)}u(k){this.r.call("log",[this.s,k])}}class v{constructor(k,p){this.a=k,this.b=p}listen(k,p){const d=this.b(k);switch(p){case"onDidChangeLoggers":return R.Event.map(this.a.onDidChangeLoggers,m=>({added:[...m.added].map(l=>this.c(l,d)),removed:[...m.removed].map(l=>this.c(l,d))}));case"onDidChangeVisibility":return R.Event.map(this.a.onDidChangeVisibility,m=>[d.transformOutgoingURI(m[0]),m[1]]);case"onDidChangeLogLevel":return R.Event.map(this.a.onDidChangeLogLevel,m=>(0,o.$Aj)(m)?m:[d.transformOutgoingURI(m[0]),m[1]])}throw new Error(`Event not found: ${p}`)}async call(k,p,d){const m=this.b(k);switch(p){case"setLogLevel":return(0,o.$Aj)(d[0])?this.a.setLogLevel(d[0]):this.a.setLogLevel(E.URI.revive(m.transformIncoming(d[0][0])),d[0][1]);case"getRegisteredLoggers":return Promise.resolve([...this.a.getRegisteredLoggers()].map(l=>this.c(l,m)))}throw new Error(`Call not found: ${p}`)}c(k,p){return{...k,resource:p.transformOutgoingURI(k.resource)}}}e.$Mr=v;class w extends C.$Tc{constructor(k,p){super(),p.call("setLogLevel",[k.getLogLevel()]),this.B(k.onDidChangeLogLevel(d=>p.call("setLogLevel",[d]))),p.call("getRegisteredLoggers").then(d=>{for(const m of d)k.registerLogger({...m,resource:E.URI.revive(m.resource)})}),this.B(p.listen("onDidChangeVisibility")(([d,m])=>k.setVisibility(E.URI.revive(d),m))),this.B(p.listen("onDidChangeLoggers")(({added:d,removed:m})=>{for(const l of d)k.registerLogger({...l,resource:E.URI.revive(l.resource)});for(const l of m)k.deregisterLogger(l.resource)}))}}e.$Nr=w}),define(ye[114],ke([1,0,2,13]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$BP=void 0;class o extends E.$Tc{constructor(D,S=[]){super(),this.a=new R.$Ij([D,...S]),this.B(D.onDidChangeLogLevel(v=>this.setLevel(v)))}get onDidChangeLogLevel(){return this.a.onDidChangeLogLevel}setLevel(D){this.a.setLevel(D)}getLevel(){return this.a.getLevel()}trace(D,...S){this.a.trace(D,...S)}debug(D,...S){this.a.debug(D,...S)}info(D,...S){this.a.info(D,...S)}warn(D,...S){this.a.warn(D,...S)}error(D,...S){this.a.error(D,...S)}flush(){this.a.flush()}}e.$BP=o}),define(ye[230],ke([1,0,16,13]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qP=void 0;var o;(function(w){w[w.Trace=0]="Trace",w[w.Debug=1]="Debug",w[w.Info=2]="Info",w[w.Warning=3]="Warning",w[w.Error=4]="Error",w[w.Critical=5]="Critical",w[w.Off=6]="Off"})(o||(o={}));async function C(w,I,k,p,d){try{const m=await new Promise((b,c)=>{le(["@vscode/spdlog"],b,c)});m.setFlushOn(o.Trace);const l=await m.createAsyncRotatingLogger(w,I,k,p);return d?l.clearFormatters():l.setPattern("%Y-%m-%d %H:%M:%S.%e [%l] %v"),l}catch(m){console.error(m)}return null}function D(w,I,k){switch(I){case R.LogLevel.Trace:w.trace(k);break;case R.LogLevel.Debug:w.debug(k);break;case R.LogLevel.Info:w.info(k);break;case R.LogLevel.Warning:w.warn(k);break;case R.LogLevel.Error:w.error(k);break;case R.LogLevel.Off:break;default:throw new Error(`Invalid log level ${I}`)}}function S(w,I){switch(I){case R.LogLevel.Trace:w.setLevel(o.Trace);break;case R.LogLevel.Debug:w.setLevel(o.Debug);break;case R.LogLevel.Info:w.setLevel(o.Info);break;case R.LogLevel.Warning:w.setLevel(o.Warning);break;case R.LogLevel.Error:w.setLevel(o.Error);break;case R.LogLevel.Off:w.setLevel(o.Off);break;default:throw new Error(`Invalid log level ${I}`)}}class v extends R.$Ej{constructor(I,k,p,d,m){super(),this.m=[],this.setLevel(m),this.n=this.s(I,k,p,d),this.B(this.onDidChangeLogLevel(l=>{this.r&&S(this.r,l)}))}async s(I,k,p,d){const m=p?6:1,l=30/m*E.$0k.MB,b=await C(I,k,l,m,d);if(b){this.r=b,S(this.r,this.getLevel());for(const{level:c,message:g}of this.m)D(this.r,c,g);this.m=[]}}g(I,k){this.r?D(this.r,I,k):this.getLevel()<=I&&this.m.push({level:I,message:k})}flush(){this.r?this.r.flush():this.n.then(()=>this.flush())}dispose(){this.r?this.u():this.n.then(()=>this.u()),super.dispose()}u(){this.r&&(this.r.drop(),this.r=void 0)}}e.$qP=v}),define(ye[115],ke([1,0,22,13,230]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rP=void 0;class C extends R.$Jj{s(S,v,w){return new o.$qP((0,E.$Ag)(),S.fsPath,!w?.donotRotate,!!w?.donotUseFormatters,v)}}e.$rP=C}),define(ye[231],ke([1,0,63,195,5]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lt=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var C;(function(v){v[v.Unnecessary=1]="Unnecessary",v[v.Deprecated=2]="Deprecated"})(C||(e.MarkerTag=C={}));var D;(function(v){v[v.Hint=1]="Hint",v[v.Info=2]="Info",v[v.Warning=4]="Warning",v[v.Error=8]="Error"})(D||(e.MarkerSeverity=D={})),function(v){function w(m,l){return l-m}v.compare=w;const I=Object.create(null);I[v.Error]=(0,R.localize)(0,null),I[v.Warning]=(0,R.localize)(1,null),I[v.Info]=(0,R.localize)(2,null);function k(m){return I[m]||""}v.toString=k;function p(m){switch(m){case E.default.Error:return v.Error;case E.default.Warning:return v.Warning;case E.default.Info:return v.Info;case E.default.Ignore:return v.Hint}}v.fromSeverity=p;function d(m){switch(m){case v.Error:return E.default.Error;case v.Warning:return E.default.Warning;case v.Info:return E.default.Info;case v.Hint:return E.default.Ignore}}v.toSeverity=d}(D||(e.MarkerSeverity=D={}));var S;(function(v){const w="";function I(p){return k(p,!0)}v.makeKey=I;function k(p,d){const m=[w];return p.source?m.push(p.source.replace("\xA6","\\\xA6")):m.push(w),p.code?typeof p.code=="string"?m.push(p.code.replace("\xA6","\\\xA6")):m.push(p.code.value.replace("\xA6","\\\xA6")):m.push(w),p.severity!==void 0&&p.severity!==null?m.push(D.toString(p.severity)):m.push(w),p.message&&d?m.push(p.message.replace("\xA6","\\\xA6")):m.push(w),p.startLineNumber!==void 0&&p.startLineNumber!==null?m.push(p.startLineNumber.toString()):m.push(w),p.startColumn!==void 0&&p.startColumn!==null?m.push(p.startColumn.toString()):m.push(w),p.endLineNumber!==void 0&&p.endLineNumber!==null?m.push(p.endLineNumber.toString()):m.push(w),p.endColumn!==void 0&&p.endColumn!==null?m.push(p.endColumn.toString()):m.push(w),m.push(w),m.join("\xA6")}v.makeKeyOptionalMessage=k})(S||(e.IMarkerData=S={})),e.$Lt=(0,o.$ei)("markerService")}),define(ye[71],ke([1,0,6,49,2,5]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Xn=e.$Wn=e.$Vn=void 0,e.$Vn=(0,C.$ei)("policy");class D extends o.$Tc{constructor(){super(...arguments),this.f={},this.g=new Map,this.h=this.B(new E.$5d),this.onDidChange=this.h.event}async updatePolicyDefinitions(w){const I=Object.keys(this.f).length;return this.f={...w,...this.f},I!==Object.keys(this.f).length&&await this.j(w),R.Iterable.reduce(this.g.entries(),(k,[p,d])=>({...k,[p]:d}),{})}getPolicyValue(w){return this.g.get(w)}serialize(){return R.Iterable.reduce(Object.entries(this.f),(w,[I,k])=>({...w,[I]:{definition:k,value:this.g.get(I)}}),{})}}e.$Wn=D;class S{constructor(){this.onDidChange=E.Event.None}async updatePolicyDefinitions(){return{}}getPolicyValue(){}serialize(){}}e.$Xn=S}),define(ye[57],ke([1,0,29]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let R;const o=globalThis.vscode;if(typeof o<"u"&&typeof o.context<"u"){const C=o.context.configuration();if(C)R=C.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(globalThis._VSCODE_PRODUCT_JSON&&globalThis._VSCODE_PACKAGE_JSON){if(R=globalThis._VSCODE_PRODUCT_JSON,E.env.VSCODE_DEV&&Object.assign(R,{nameShort:`${R.nameShort} Dev`,nameLong:`${R.nameLong} Dev`,dataFolderName:`${R.dataFolderName}-dev`,serverDataFolderName:R.serverDataFolderName?`${R.serverDataFolderName}-dev`:void 0}),!R.version){const C=globalThis._VSCODE_PACKAGE_JSON;Object.assign(R,{version:C.version})}}else R={nameShort:"Code",nameLong:"Visual Studio Code",applicationName:"code",win32x64AppId:"{{EA457B21-F73E-494C-ACAB-524FDE069978}",win32arm64AppId:"{{A5270FC5-65AD-483E-AC30-2C276B63D0AC}",win32x64UserAppId:"{{771FD6B0-FA20-440A-A002-3B3BAC16DC50}",win32arm64UserAppId:"{{D9E514E7-1A56-452D-9337-2990C0DC4310}",win32NameVersion:"Microsoft Visual Studio Code",win32DirName:"Microsoft VS Code",win32SetupExeBasename:"VSCodeSetup",win32AppUserModelId:"Microsoft.VisualStudioCode",win32ShellNameShort:"Code",win32MutexName:"vscode",win32RegValueName:"VSCode",darwinCredits:"resources/darwin/Credits.rtf",darwinBundleIdentifier:"com.microsoft.VSCode",darwinExecutable:"VSCode",linuxIconName:"vscode",licenseFileName:"LICENSE.rtf",licenseName:"Multiple, see https://code.visualstudio.com/license",serverGreeting:[],serverLicense:["*","* Visual Studio Code Server","*","* By using the software, you agree to","* the Visual Studio Code Server License Terms (https://aka.ms/vscode-server-license) and","* the Microsoft Privacy Statement (https://privacy.microsoft.com/en-US/privacystatement).","*"],serverLicensePrompt:"Do you accept the terms in the License Agreement (Y/n)?",serverApplicationName:"code-server",urlProtocol:"vscode",dataFolderName:".vscode",serverDataFolderName:".vscode-server",downloadUrl:"https://code.visualstudio.com",updateUrl:"https://update.code.visualstudio.com",webUrl:"https://vscode.dev",webEndpointUrl:"https://main.vscode-cdn.net",webEndpointUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}",webviewContentExternalBaseUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}/out/vs/workbench/contrib/webview/browser/pre/",quality:"stable",extensionsGallery:{nlsBaseUrl:"https://www.vscode-unpkg.net/_lp/",serviceUrl:"https://marketplace.visualstudio.com/_apis/public/gallery",itemUrl:"https://marketplace.visualstudio.com/items",publisherUrl:"https://marketplace.visualstudio.com/publishers",resourceUrlTemplate:"https://{publisher}.vscode-unpkg.net/{publisher}/{name}/{version}/{path}",controlUrl:"https://az764295.vo.msecnd.net/extensions/marketplace.json"},profileTemplatesUrl:"https://az764295.vo.msecnd.net/profile-templates/profile-templates.json",extensionRecommendations:{"ms-dotnettools.csdevkit":{onFileOpen:[{pathGlob:"{**/*.cs,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln}",important:!0},{languages:["csharp"],important:!0},{pathGlob:"{**/project.json,**/appsettings.json}"}]},"ms-python.python":{onFileOpen:[{pathGlob:"{**/*.py}",important:!0},{languages:["python"],important:!0},{pathGlob:"{**/*.ipynb}"}]},"ms-toolsai.jupyter":{onFileOpen:[{pathGlob:"{**/*.py}",contentPattern:"^#\\s*%%$",important:!0,whenInstalled:["ms-python.python"]},{pathGlob:"{**/*.ipynb}"}]},"ms-toolsai.datawrangler":{onFileOpen:[{pathGlob:"{**/*.ipynb}",contentPattern:"import\\s*pandas|from\\s*pandas",whenInstalled:["ms-toolsai.jupyter"]}]},"golang.Go":{onFileOpen:[{pathGlob:"**/*.go",important:!0},{languages:["go"],important:!0}]},"vscjava.vscode-java-pack":{onFileOpen:[{pathGlob:"{**/*.java}",important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},{languages:["java"],important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}]},"ms-vscode.PowerShell":{onFileOpen:[{pathGlob:"{**/*.ps1,**/*.psd1,**/*.psm1}",important:!0},{languages:["powershell"],important:!0},{pathGlob:"{**/*.ps.config,**/*.ps1.config}"}]},"ms-vscode.cpptools-extension-pack":{onFileOpen:[{pathGlob:"{**/*.c,**/*.cpp,**/*.cc,**/.cxx,**/*.hh,**/*.hpp,**/*.hxx,**/*.h}",important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]},{languages:["c","cpp"],important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]}]},"ms-azuretools.vscode-docker":{onFileOpen:[{pathGlob:"{**/dockerfile,**/Dockerfile,**/docker-compose.yml,**/docker-compose.*.yml}",important:!0},{languages:["dockerfile"],important:!0},{pathGlob:"{**/*.cs,**/project.json,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln,**/appsettings.json,**/*.py,**/*.ipynb,**/*.js,**/*.ts,**/package.json}"}]},"vue.volar":{onFileOpen:[{pathGlob:"{**/*.vue}",important:!0},{languages:["vue"],important:!0}]},"ms-vscode.makefile-tools":{onFileOpen:[{pathGlob:"{**/makefile,**/Makefile}",important:!0},{languages:["makefile"],important:!0}]},"ms-vscode.cmake-tools":{onFileOpen:[{pathGlob:"{**/CMakeLists.txt}",important:!0}]},"ms-azure-devops.azure-pipelines":{onFileOpen:[{pathGlob:"{**/azure-pipelines.yaml}",important:!0}]},"msazurermtools.azurerm-vscode-tools":{onFileOpen:[{pathGlob:"{**/azuredeploy.json}",important:!0}]},"ms-vscode-remote.remote-containers":{onFileOpen:[{pathGlob:"{**/devcontainer.json}",important:!0}]},"ms-azuretools.vscode-bicep":{onFileOpen:[{pathGlob:"{**/*.bicep}",important:!0,whenNotInstalled:["ms-azuretools.rad-vscode-bicep"]}]},"svelte.svelte-vscode":{onFileOpen:[{pathGlob:"{**/*.svelte}",important:!0}]},"ms-vscode.vscode-github-issue-notebooks":{onFileOpen:[{pathGlob:"{**/*.github-issues}",important:!0}]},"ms-playwright.playwright":{onFileOpen:[{pathGlob:"{**/*playwright*.config.ts,**/*playwright*.config.js,**/*playwright*.config.mjs}",important:!0}]},"vscjava.vscode-gradle":{onFileOpen:[{pathGlob:"{**/gradlew,**/gradlew.bat,**/build.gradle,**/build.gradle.kts,**/settings.gradle,**/settings.gradle.kts}",important:!0}]},"REditorSupport.r":{onFileOpen:[{pathGlob:"{**/*.r}",important:!0},{languages:["r"],important:!0}]},"firefox-devtools.vscode-firefox-debug":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.jsx,**/*.es6,**/.babelrc}"}]},"ms-edgedevtools.vscode-edge-devtools":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.css,**/*.html}"}]},"Ionide.Ionide-fsharp":{onFileOpen:[{pathGlob:"{**/*.fsx,**/*.fsi,**/*.fs,**/*.ml,**/*.mli}"}]},"dbaeumer.vscode-eslint":{onFileOpen:[{pathGlob:"{**/*.js,**/*.jsx,**/*.es6,**/.eslintrc.*,**/.eslintrc,**/.babelrc,**/jsconfig.json}"}]},"ms-vscode.vscode-typescript-tslint-plugin":{onFileOpen:[{pathGlob:"{**/tslint.json}"}]},"bmewburn.vscode-intelephense-client":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"xdebug.php-debug":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"rust-lang.rust-analyzer":{onFileOpen:[{pathGlob:"{**/*.rs,**/*.rslib}"}]},"DavidAnson.vscode-markdownlint":{onFileOpen:[{pathGlob:"{**/*.md}"}]},"EditorConfig.EditorConfig":{onFileOpen:[{pathGlob:"{**/.editorconfig}"}]},"HookyQR.beautify":{onFileOpen:[{pathGlob:"{**/.jsbeautifyrc}"}]},"donjayamanne.githistory":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"felipecaputo.git-project-manager":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"eamodio.gitlens":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"Shopify.ruby-lsp":{onFileOpen:[{pathGlob:"{**/*.rb,**/*.erb,**/*.reek,**/.fasterer.yml,**/ruby-lint.yml,**/.rubocop.yml}"}]},"DotJoshJohnson.xml":{onFileOpen:[{pathGlob:"{**/*.xml}"}]},"stylelint.vscode-stylelint":{onFileOpen:[{pathGlob:"{**/.stylelintrc,**/stylelint.config.js}"}]},"ms-mssql.mssql":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"mtxr.sqltools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"usqlextpublisher.usql-vscode-ext":{onFileOpen:[{pathGlob:"{**/*.usql}"}]},"ms-vscode.sublime-keybindings":{onFileOpen:[{pathGlob:"{**/.sublime-project,**/.sublime-workspace}"}]},"k--kato.intellij-idea-keybindings":{onFileOpen:[{pathGlob:"{**/.idea}"}]},"christian-kohler.npm-intellisense":{onFileOpen:[{pathGlob:"{**/package.json}"}]},"cake-build.cake-vscode":{onFileOpen:[{pathGlob:"{**/build.cake}"}]},"Angular.ng-template":{onFileOpen:[{pathGlob:"{**/.angular-cli.json,**/angular.json,**/*.ng.html,**/*.ng,**/*.ngml}"}]},"vscjava.vscode-maven":{onFileOpen:[{pathGlob:"**/pom.xml"}]},"ms-azuretools.vscode-azureterraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"HashiCorp.terraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"vsciot-vscode.vscode-arduino":{onFileOpen:[{pathGlob:"**/*.ino"}]},"ms-kubernetes-tools.vscode-kubernetes-tools":{onFileOpen:[{pathGlob:"{**/Chart.yaml}"}]},"GoogleCloudTools.cloudcode":{onFileOpen:[{pathGlob:"{**/skaffold.yaml}"}]},"Oracle.oracledevtools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"betterthantomorrow.calva":{onFileOpen:[{pathGlob:"{**/*.clj,**/*.cljs}"}]},"Pivotal.vscode-boot-dev-pack":{onFileOpen:[{pathGlob:"{**/application.properties}"}]},"GitHub.copilot":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.py,**/*.go,**/*.rb}"}],onSettingsEditorOpen:{}},"GitHub.vscode-github-actions":{onFileOpen:[{pathGlob:"{**/.github/workflows/*.yml}",important:!0}]},"circleci.circleci":{onFileOpen:[{pathGlob:"{**/.circleci/config.yml}"}]},"mechatroner.rainbow-csv":{onFileOpen:[{pathGlob:"**/*.csv",important:!0}]},"tomoki1207.pdf":{onFileOpen:[{pathGlob:"**/*.pdf",important:!0}]}},keymapExtensionTips:["vscodevim.vim","ms-vscode.sublime-keybindings","ms-vscode.atom-keybindings","ms-vscode.brackets-keybindings","ms-vscode.vs-keybindings","ms-vscode.notepadplusplus-keybindings","k--kato.intellij-idea-keybindings","lfs.vscode-emacs-friendly","alphabotsec.vscode-eclipse-keybindings","alefragnani.delphi-keybindings"],languageExtensionTips:["ms-python.python","ms-vscode.cpptools-extension-pack","ms-dotnettools.csdevkit","ms-toolsai.jupyter","vscjava.vscode-java-pack","ecmel.vscode-html-css","vue.volar","bmewburn.vscode-intelephense-client","dsznajder.es7-react-js-snippets","golang.go","ms-vscode.powershell","dart-code.dart-code","rust-lang.rust-analyzer","Shopify.ruby-lsp","GitHub.copilot"],configBasedExtensionTips:{git:{configPath:".git/config",configName:"Git",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",contentPattern:"^\\s*url\\s*=\\s*https:\\/\\/github\\.com.*$"},"eamodio.gitlens":{name:"GitLens"}}},devContainer:{configPath:".devcontainer/devcontainer.json",configName:"Dev Container",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0}}},maven:{configPath:"pom.xml",configName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},"Pivotal.vscode-boot-dev-pack":{name:"Spring Boot Extension Pack",isExtensionPack:!0}}},gradle:{configPath:"build.gradle",configName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"github-pull-request":{configPath:".vscode/.github-pull-request.rec",configName:"GitHub",configScheme:"vscode-vfs",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",important:!0}}},"pyproject-formatter":{configPath:"pyproject.toml",configName:"Python Formatter",recommendations:{"ms-python.black-formatter":{name:"Black Formatter",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?black"?\\s*[\\].])|("black\\s*["[(<=>!~;@])'},"ms-python.autopep8":{name:"Autopep8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?autopep8"?\\s*[\\].])|("autopep8\\s*["[(<=>!~;@])'}}},"pep8-formatter":{configPath:".pep8",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8"}}},"python-setup-cgf-formatter":{configPath:"setup.cfg",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"tox-ini-formatter":{configPath:"tox.ini",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"pyproject-linter":{configPath:"pyproject.toml",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?pylint"?\\s*[\\].])|("pylint\\s*["[(<=>!~;@])'},"charliermarsh.ruff":{name:"Ruff",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?ruff"?\\s*[\\].])|("ruff\\s*["[(<=>!~;@])'},"ms-python.mypy-type-checker":{name:"Mypy Type Checker",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?mypy"?\\s*[\\].])|("mypy\\s*["[(<=>!~;@])'},"ms-python.flake8":{name:"Flake8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?flake8"?\\s*[\\].])|("flake8\\s*["[(<=>!~;@])'}}},".pylintrc-linter":{configPath:".pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"pylintrc-linter":{configPath:"pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"mypy-ini-linter":{configPath:".mypy.ini",configName:"Python Linter",recommendations:{"ms-python.mypy-type-checker":{name:"Mypy Type Checker"}}},"tox-ini-linter":{configPath:"tox.ini",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}},".flake8-linter":{configPath:".flake8",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8"}}},"python-setup-cgf-linter":{configPath:"setup.cfg",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}}},exeBasedExtensionTips:{az:{friendlyName:"Azure CLI",windowsPath:"%ProgramFiles(x86)%\\Microsoft SDKs\\Azure\\CLI2\\wbin\\az.cmd",recommendations:{"ms-vscode.azurecli":{name:"Azure CLI Tools"}}},azd:{friendlyName:"Azure Dev CLI",windowsPath:"%USERPROFILE%\\AppData\\Local\\Programs\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},"azd-user":{friendlyName:"Azure Dev CLI",windowsPath:"%ProgramFiles%\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},heroku:{friendlyName:"Heroku CLI",windowsPath:"%ProgramFiles%\\Heroku\\bin\\heroku.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"pkosta2005.heroku-command":{name:"heroku-cli"}}},mongo:{friendlyName:"Mongo",windowsPath:"%ProgramFiles%\\MongoDB\\Server\\3.6\\bin\\mongod.exe",recommendations:{"ms-azuretools.vscode-cosmosdb":{name:"Azure Databases"}}},serverless:{friendlyName:"Serverless framework",windowsPath:"%APPDATA%\\npm\\serverless.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},func:{friendlyName:"Azure Function SDK",windowsPath:"%APPDATA%\\npm\\func.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},mysql:{friendlyName:"MySQL",windowsPath:"%ProgramFiles%\\MySQL\\MySQL Server 8.0\\bin\\mysqld.exe",recommendations:{"mtxr.sqltools":{name:"SQLTools"}}},postgres:{friendlyName:"PostgreSQL",windowsPath:"%ProgramFiles%\\PostgreSQL\\11\\bin\\psql.exe",recommendations:{"ms-ossdata.vscode-postgresql":{name:"PostgreSQL"},"mtxr.sqltools":{name:"SQLTools"}}},sqlcmd:{friendlyName:"SQL CLI",recommendations:{"ms-mssql.mssql":{name:"SQL Server (mssql)"}}},now:{friendlyName:"Now CLI",windowsPath:"%APPDATA%\\npm\\now.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"ms-azuretools.vscode-docker":{name:"Docker"}}},docker:{friendlyName:"Docker",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\docker.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker",important:!0},"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},kubectl:{friendlyName:"Kubernetes",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\kubectl.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},ng:{friendlyName:"Angular CLI",windowsPath:"%APPDATA%\\npmexit\\ng.cmd",recommendations:{"johnpapa.Angular2":{name:"Angular Snippets"}}},"create-react-app":{friendlyName:"Create React App",windowsPath:"%APPDATA%\\npm\\create-react-app.cmd",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},"react-native":{friendlyName:"React Native",windowsPath:"%APPDATA%\\npm\\react-native-cli",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},p4:{friendlyName:"Perforce",recommendations:{"slevesque.perforce":{name:"Perforce for VS Code"}}},hg:{friendlyName:"Mercurial",recommendations:{"mrcrowl.hg":{name:"Hg"}}},git:{friendlyName:"Git",windowsPath:"%ProgramFiles%\\Git\\git-bash.exe",recommendations:{"eamodio.gitlens":{name:"GitLens"}}},svn:{friendlyName:"Subversion",windowsPath:"%ProgramFiles%\\TortoiseSVN\\bin\\TortoiseProc.exe",recommendations:{"johnstoncode.svn-scm":{name:"SVN"}}},subl:{friendlyName:"Sublime",windowsPath:"%ProgramFiles%\\Sublime Text3\\sublime_text.exe",recommendations:{"ms-vscode.sublime-keybindings":{name:"Sublime Text Keymap and Settings Importer"}}},atom:{friendlyName:"Atom",windowsPath:"%USERPROFILE%\\AppData\\Local\\atom\\bin\\atom.cmd",recommendations:{"ms-vscode.atom-keybindings":{name:"Atom Keymap"}}},brackets:{friendlyName:"Brackets",windowsPath:"%ProgramFiles(x86)%\\Brackets\\Brackets.exe",recommendations:{"ms-vscode.brackets-keybindings":{name:"Brackets Keymap"}}},notepadplusplus:{friendlyName:"Notepad++",windowsPath:"%ProgramFiles%\\Notepad++\\Notepad++.exe",recommendations:{"ms-vscode.notepadplusplus-keybindings":{name:"Notepad++ keymap"}}},vi:{friendlyName:"VIM",windowsPath:"%ProgramFiles(x86)%\\Vim\\vim80\\gvim.exe",recommendations:{"vscodevim.vim":{name:"Vim"}}},mvn:{friendlyName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},gradle:{friendlyName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"Microsoft Edge":{friendlyName:"Microsoft Edge",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Dev":{friendlyName:"Microsoft Edge Dev",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Dev\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Beta":{friendlyName:"Microsoft Edge Beta",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Beta\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Canary":{friendlyName:"Microsoft Edge Canary",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge SxS\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Mozilla Firefox (x86)":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles(x86)%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition (x86)":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles(x86)%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},cordova:{friendlyName:"Cordova",windowsPath:"%APPDATA%\\npm\\cordova",recommendations:{"msjsdiag.cordova-tools":{name:"Cordova Tools"}}},gcloud:{friendlyName:"Google GCloud CLI",windowsPath:"%ProgramFiles(x86)%\\Google\\Cloud SDK\\google-cloud-sdk\\bin\\gcloud.cmd",recommendations:{"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},skaffold:{friendlyName:"Skaffold Code to Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},minikube:{friendlyName:"MiniKube Local Kubernetes Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},podman:{friendlyName:"Podman",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},wsl:{friendlyName:"Windows Subsystem for Linux (WSL)",windowsPath:"%WINDIR%\\system32\\lxss\\LxssManager.dll",important:!0,recommendations:{"ms-vscode-remote.remote-wsl":{name:"WSL",important:!0}}}},webExtensionTips:["tyriar.luna-paint","codespaces-contrib.codeswing","ms-vscode.vscode-github-issue-notebooks","esbenp.prettier-vscode","hediet.vscode-drawio"],virtualWorkspaceExtensionTips:{"vscode-vfs":{friendlyName:"Remote Repositories",extensionId:"ms-vscode.remote-repositories",startEntry:{helpLink:"https://aka.ms/vscode-remote/remote-repositories",startConnectLabel:"Remote Repository",startCommand:"remoteHub.continueOn.openRepository",priority:5}}},remoteExtensionTips:{wsl:{friendlyName:"WSL",extensionId:"ms-vscode-remote.remote-wsl",supportedPlatforms:["Windows","Web"],startEntry:{helpLink:"https://aka.ms/vscode-remote/wsl",startConnectLabel:"WSL",startCommand:"remote-wsl.connect",priority:3}},"ssh-remote":{friendlyName:"Remote - SSH",extensionId:"ms-vscode-remote.remote-ssh",supportedPlatforms:["Windows","Linux","Mac"],startEntry:{helpLink:"https://aka.ms/vscode-remote/ssh",startConnectLabel:"SSH ",startCommand:"opensshremotes.openEmptyWindowInCurrentWindow",priority:1}},"dev-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers",supportedPlatforms:["Windows","Linux","Mac"],startEntry:{helpLink:"https://aka.ms/vscode-remote/containers",startConnectLabel:"Dev Container",startCommand:"remote-containers.reopenInContainer",priority:2}},"attached-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers"},codespaces:{friendlyName:"GitHub Codespaces",extensionId:"github.codespaces",startEntry:{helpLink:"https://aka.ms/vscode-remote-codespaces",startConnectLabel:"GitHub Codespace ",startCommand:"github.codespaces.connect",priority:4}},tunnel:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server",startEntry:{helpLink:"https://aka.ms/remote-tunnels-doc",startConnectLabel:"Tunnel",startCommand:"remote-tunnels.connectCurrentWindowToTunnel",priority:0}}},commandPaletteSuggestedCommandIds:["workbench.action.files.openFile","workbench.action.files.openFileFolder","workbench.action.files.openFolder","workbench.action.remote.showMenu","editor.action.formatDocument","editor.action.commentLine","workbench.action.tasks.runTask","workbench.action.openSettings2","workbench.action.selectTheme","workbench.action.openWalkthrough","workbench.action.openIssueReporter"],extensionKeywords:{md:["Markdown"],js:["JavaScript"],jsx:["JavaScript"],es6:["JavaScript"],html:["Html"],ts:["TypeScript"],tsx:["TypeScript"],css:["CSS"],scss:["SASS"],txt:["Text"],php:["PHP"],php3:["PHP"],php4:["PHP"],ph3:["PHP"],ph4:["PHP"],xml:["XML"],py:["Python"],pyc:["Python"],pyd:["Python"],pyo:["Python"],pyw:["Python"],pyz:["Python"],java:["Java"],class:["Java"],jar:["Java"],c:["c","objective c","objective-c"],m:["objective c","objective-c"],mm:["objective c","objective-c"],cpp:["cpp","c plus plus","c","c++"],cc:["cpp","c plus plus","c","c++"],cxx:["cpp","c plus plus","c++"],hh:["cpp","c plus plus","c++"],hpp:["cpp","c++"],h:["cpp","c plus plus","c++","c","objective c","objective-c"],sql:["sql"],sh:["bash"],bash:["bash"],zsh:["bash","zshell"],cs:["c#","csharp"],csproj:["c#","csharp"],sln:["c#","csharp"],go:["go"],sty:["latex"],tex:["latex"],ps:["powershell"],ps1:["powershell"],rs:["rust"],rslib:["rust"],hs:["haskell"],lhs:["haskell"],scm:["scheme"],ss:["scheme"],clj:["clojure"],cljs:["clojure"],cljc:["clojure"],edn:["clojure"],erl:["erlang"],hrl:["erlang"],scala:["scala"],sc:["scala"],pl:["perl"],pm:["perl"],t:["perl"],pod:["perl"],groovy:["groovy"],swift:["swift"],rb:["ruby"],rbw:["ruby"],jl:["julia"],f:["fortran"],for:["fortran"],f90:["fortran"],f95:["fortran"],coffee:["CoffeeScript"],litcoffee:["CoffeeScript"],yaml:["yaml"],yml:["yaml"],dart:["dart"],json:["json"]},extensionAllowedBadgeProviders:["api.bintray.com","api.travis-ci.com","api.travis-ci.org","app.fossa.io","badge.buildkite.com","badge.fury.io","badge.waffle.io","badgen.net","badges.frapsoft.com","badges.gitter.im","badges.greenkeeper.io","cdn.travis-ci.com","cdn.travis-ci.org","ci.appveyor.com","circleci.com","cla.opensource.microsoft.com","codacy.com","codeclimate.com","codecov.io","coveralls.io","david-dm.org","deepscan.io","dev.azure.com","docs.rs","flat.badgen.net","gemnasium.com","githost.io","gitlab.com","godoc.org","goreportcard.com","img.shields.io","isitmaintained.com","marketplace.visualstudio.com","nodesecurity.io","opencollective.com","snyk.io","travis-ci.com","travis-ci.org","visualstudio.com","vsmarketplacebadge.apphb.com","www.bithound.io","www.versioneye.com"],extensionAllowedBadgeProvidersRegex:["^https:\\/\\/github\\.com\\/[^/]+\\/[^/]+\\/(actions\\/)?workflows\\/.*badge\\.svg"],crashReporter:{productName:"VSCode",companyName:"Microsoft"},appCenter:{"win32-x64":"appcenter://code?aid=a4e3233c-699c-46ec-b4f4-9c2a77254662","win32-arm64":"appcenter://code?aid=3712d786-7cc8-4f11-8b08-cc12eab6d4f7","linux-x64":"appcenter://code?aid=fba07a4d-84bd-4fc8-a125-9640fc8ce171",darwin:"appcenter://code?aid=860d6632-f65b-490b-85a8-3e72944f7774","darwin-arm64":"appcenter://code?aid=be71415d-3893-4ae5-b453-e537b9668a10","darwin-universal":"appcenter://code?aid=de75e3cc-e22f-4f42-a03f-1409c21d8af8"},enableTelemetry:!0,aiConfig:{ariaKey:"5bbf946d11a54f6783919c455abaddaf-fd62977b-c92d-4714-a45d-649d06980372-7168"},msftInternalDomains:["redmond.corp.microsoft.com","northamerica.corp.microsoft.com","fareast.corp.microsoft.com","ntdev.corp.microsoft.com","wingroup.corp.microsoft.com","southpacific.corp.microsoft.com","wingroup.windeploy.ntdev.microsoft.com","ddnet.microsoft.com","europe.corp.microsoft.com"],documentationUrl:"https://go.microsoft.com/fwlink/?LinkID=533484#vscode",serverDocumentationUrl:"https://aka.ms/vscode-server-doc",releaseNotesUrl:"https://go.microsoft.com/fwlink/?LinkID=533483#vscode",keyboardShortcutsUrlMac:"https://go.microsoft.com/fwlink/?linkid=832143",keyboardShortcutsUrlLinux:"https://go.microsoft.com/fwlink/?linkid=832144",keyboardShortcutsUrlWin:"https://go.microsoft.com/fwlink/?linkid=832145",introductoryVideosUrl:"https://go.microsoft.com/fwlink/?linkid=832146",tipsAndTricksUrl:"https://go.microsoft.com/fwlink/?linkid=852118",newsletterSignupUrl:"https://www.research.net/r/vsc-newsletter",youTubeUrl:"https://aka.ms/vscode-youtube",requestFeatureUrl:"https://go.microsoft.com/fwlink/?LinkID=533482",reportIssueUrl:"https://github.com/Microsoft/vscode/issues/new",reportMarketplaceIssueUrl:"https://github.com/microsoft/vsmarketplace/issues/new",licenseUrl:"https://go.microsoft.com/fwlink/?LinkID=533485",serverLicenseUrl:"https://aka.ms/vscode-server-license",privacyStatementUrl:"https://go.microsoft.com/fwlink/?LinkId=521839",showTelemetryOptOut:!0,npsSurveyUrl:"https://aka.ms/vscode-nps",cesSurveyUrl:"https://aka.ms/new-to-vscode-feedback",checksumFailMoreInfoUrl:"https://go.microsoft.com/fwlink/?LinkId=828886",electronRepository:"Microsoft/vscode-electron-prebuilt",nodejsRepository:"Microsoft/vscode-node",settingsSearchUrl:"https://bingsettingssearch.trafficmanager.net/api/Search",surveys:[{surveyId:"cpp.1",surveyUrl:"https://www.research.net/r/VBVV6C6",languageId:"cpp",editCount:10,userProbability:.15},{surveyId:"java.2",surveyUrl:"https://www.research.net/r/vscodejava",languageId:"java",editCount:10,userProbability:.3},{surveyId:"javascript.1",surveyUrl:"https://www.research.net/r/vscode-js",languageId:"javascript",editCount:10,userProbability:.05},{surveyId:"typescript.1",surveyUrl:"https://www.research.net/r/vscode-ts",languageId:"typescript",editCount:10,userProbability:.05},{surveyId:"csharp.1",surveyUrl:"https://www.research.net/r/8KGJ9V8",languageId:"csharp",editCount:10,userProbability:.1}],extensionEnabledApiProposals:{"ms-vscode.vscode-selfhost-test-provider":["testObserver","testCoverage"],"ms-vscode.extension-test-runner":["testCoverage"],"VisualStudioExptTeam.vscodeintellicode-completions":["inlineCompletionsAdditions"],"ms-vsliveshare.vsliveshare":["contribMenuBarHome","contribShareMenu","contribStatusBarItems","diffCommand","documentFiltersExclusive","fileSearchProvider","findTextInFiles","notebookCellExecutionState","notebookLiveShare","terminalDimensions","terminalDataWriteEvent","textSearchProvider"],"ms-vscode.js-debug":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"vscjava.vscode-java-test":["testCoverage"],"ms-toolsai.vscode-ai-remote":["resolvers"],"ms-python.python":["contribEditorContentMenu","quickPickSortByLabel","portsAttributes","handleIssueUri","testObserver","quickPickItemTooltip","terminalDataWriteEvent","terminalExecuteCommandEvent"],"ms-dotnettools.dotnet-interactive-vscode":["notebookMessaging"],"GitHub.codespaces":["contribEditSessions","contribMenuBarHome","contribRemoteHelp","contribViewsRemote","resolvers","tunnels","terminalDataWriteEvent","treeViewReveal","notebookKernelSource"],"ms-vscode.azure-repos":["extensionRuntime","fileSearchProvider","textSearchProvider"],"ms-vscode.remote-repositories":["canonicalUriProvider","contribEditSessions","contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","contribShareMenu","documentFiltersExclusive","editSessionIdentityProvider","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","shareProvider","scmActionButton","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-vscode-remote.remote-wsl":["resolvers","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode-remote.remote-ssh":["resolvers","tunnels","terminalDataWriteEvent","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode.remote-server":["resolvers","tunnels","contribViewsWelcome"],"ms-vscode.remote-explorer":["contribRemoteHelp","contribViewsRemote","extensionsAny"],"ms-vscode-remote.remote-containers":["contribEditSessions","resolvers","portsAttributes","tunnels","workspaceTrust","terminalDimensions","contribRemoteHelp","contribViewsRemote"],"ms-vscode.js-debug-nightly":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"ms-vscode.lsif-browser":["documentFiltersExclusive"],"ms-vscode.vscode-speech":["speech"],"GitHub.vscode-pull-request-github":["activeComment","contribCommentThreadAdditionalMenu","tokenInformation","codeActionRanges","commentReactor","contribShareMenu","fileComments","contribCommentPeekContext","codiconDecoration","diffCommand","contribCommentEditorActionsMenu","treeViewMarkdownMessage","tabInputTextMerge","shareProvider","quickDiffProvider"],"GitHub.copilot":["inlineCompletionsAdditions"],"GitHub.copilot-nightly":["inlineCompletionsAdditions"],"GitHub.copilot-chat":["handleIssueUri","interactive","terminalDataWriteEvent","terminalExecuteCommandEvent","terminalSelection","terminalQuickFixProvider","chatParticipant","chatParticipantAdditions","defaultChatParticipant","chatVariableResolver","chatProvider","mappedEditsProvider","aiRelatedInformation","codeActionAI","findTextInFiles","textSearchProvider","contribSourceControlInputBoxMenu","newSymbolNamesProvider","findFiles2"],"GitHub.remotehub":["contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","documentFiltersExclusive","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-python.gather":["notebookCellExecutionState"],"ms-python.vscode-pylance":["notebookCellExecutionState"],"ms-python.debugpy":["portsAttributes"],"ms-toolsai.jupyter-renderers":["contribNotebookStaticPreloads"],"ms-toolsai.jupyter":["notebookDeprecated","notebookMessaging","notebookMime","notebookCellExecutionState","portsAttributes","quickPickSortByLabel","notebookKernelSource","interactiveWindow","notebookControllerAffinityHidden","contribNotebookStaticPreloads","quickPickItemTooltip","notebookExecution","notebookVariableProvider"],"dbaeumer.vscode-eslint":["notebookCellExecutionState"],"ms-vscode.azure-sphere-tools-ui":["tunnels"],"ms-azuretools.vscode-azureappservice":["terminalDataWriteEvent"],"ms-azuretools.vscode-azureresourcegroups":["authGetSessions"],"ms-vscode.anycode":["extensionsAny"],"ms-vscode.cpptools":["terminalDataWriteEvent"],"redhat.java":["documentPaste"],"ms-dotnettools.csdevkit":["inlineCompletionsAdditions"],"ms-dotnettools.vscodeintellicode-csharp":["inlineCompletionsAdditions"],"microsoft-IsvExpTools.powerplatform-vscode":["fileSearchProvider","textSearchProvider"],"microsoft-IsvExpTools.powerplatform-vscode-preview":["fileSearchProvider","textSearchProvider"],"apidev.azure-api-center":["chatParticipant","languageModels"]},tasConfig:{endpoint:"https://default.exp-tas.com/vscode/ab",telemetryEventName:"query-expfeature",assignmentContextTelemetryPropertyName:"abexp.assignmentcontext"},extensionKind:{"Shan.code-settings-sync":["ui"],"shalldie.background":["ui"],"techer.open-in-browser":["ui"],"CoenraadS.bracket-pair-colorizer-2":["ui"],"CoenraadS.bracket-pair-colorizer":["ui","workspace"],"hiro-sun.vscode-emacs":["ui","workspace"],"hnw.vscode-auto-open-markdown-preview":["ui","workspace"],"wayou.vscode-todo-highlight":["ui","workspace"],"aaron-bond.better-comments":["ui","workspace"],"vscodevim.vim":["ui"],"ollyhayes.colmak-vim":["ui"]},extensionPointExtensionKind:{typescriptServerPlugins:["workspace"]},extensionSyncedKeys:{"ritwickdey.liveserver":["liveServer.setup.version"]},extensionVirtualWorkspacesSupport:{"esbenp.prettier-vscode":{default:!1},"msjsdiag.debugger-for-chrome":{default:!1},"redhat.java":{default:!1},"HookyQR.beautify":{default:!1},"ritwickdey.LiveServer":{default:!1},"VisualStudioExptTeam.vscodeintellicode":{default:!1},"octref.vetur":{default:!1},"formulahendry.code-runner":{default:!1},"xdebug.php-debug":{default:!1},"ms-mssql.mssql":{default:!1},"christian-kohler.path-intellisense":{default:!1},"eg2.tslint":{default:!1},"eg2.vscode-npm-script":{default:!1},"donjayamanne.githistory":{default:!1},"Zignd.html-css-class-completion":{default:!1},"christian-kohler.npm-intellisense":{default:!1},"EditorConfig.EditorConfig":{default:!1},"austin.code-gnu-global":{default:!1},"johnpapa.Angular2":{default:!1},"ms-vscode.vscode-typescript-tslint-plugin":{default:!1},"DotJoshJohnson.xml":{default:!1},"techer.open-in-browser":{default:!1},"tht13.python":{default:!1},"bmewburn.vscode-intelephense-client":{default:!1},"Angular.ng-template":{default:!1},"xdebug.php-pack":{default:!1},"dbaeumer.jshint":{default:!1},"yzhang.markdown-all-in-one":{default:!1},"Dart-Code.flutter":{default:!1},"streetsidesoftware.code-spell-checker":{default:!1},"rebornix.Ruby":{default:!1},"ms-vscode.sublime-keybindings":{default:!1},"mitaki28.vscode-clang":{default:!1},"steoates.autoimport":{default:!1},"donjayamanne.python-extension-pack":{default:!1},"shd101wyy.markdown-preview-enhanced":{default:!1},"mikestead.dotenv":{default:!1},"pranaygp.vscode-css-peek":{default:!1},"ikappas.phpcs":{default:!1},"platformio.platformio-ide":{default:!1},"jchannon.csharpextensions":{default:!1},"gruntfuggly.todo-tree":{default:!1}},linkProtectionTrustedDomains:["https://*.visualstudio.com","https://*.microsoft.com","https://aka.ms","https://*.gallerycdn.vsassets.io","https://*.github.com","https://login.microsoftonline.com","https://*.vscode.dev","https://*.github.dev","https://gh.io","https://portal.azure.com"],trustedExtensionAuthAccess:{github:["vscode.git","vscode.github","github.remotehub","ms-vscode.remote-server","github.vscode-pull-request-github","github.codespaces","github.copilot","github.copilot-chat","ms-vsliveshare.vsliveshare"],"github-enterprise":["vscode.git","vscode.github","github.remotehub","ms-vscode.remote-server","github.vscode-pull-request-github","github.codespaces","github.copilot","github.copilot-chat","ms-vsliveshare.vsliveshare"],microsoft:["vscode.git","ms-vscode.azure-repos","ms-vscode.remote-server","ms-vsliveshare.vsliveshare","ms-azuretools.vscode-azureresourcegroups","ms-edu.vscode-learning"],"microsoft-sovereign-cloud":["vscode.git","ms-vscode.azure-repos","ms-vscode.remote-server","ms-vsliveshare.vsliveshare","ms-azuretools.vscode-azureresourcegroups","ms-edu.vscode-learning"]},trustedExtensionProtocolHandlers:["vscode.git","vscode.github-authentication","vscode.microsoft-authentication"],auth:{loginUrl:"https://login.microsoftonline.com/common/oauth2/authorize",tokenUrl:"https://login.microsoftonline.com/common/oauth2/token",redirectUrl:"https://vscode-redirect.azurewebsites.net/",clientId:"aebc6443-996d-45c2-90f0-388ff96faa56"},"configurationSync.store":{url:"https://vscode-sync.trafficmanager.net/",stableUrl:"https://vscode-sync.trafficmanager.net/",insidersUrl:"https://vscode-sync-insiders.trafficmanager.net/",canSwitch:!1,authenticationProviders:{github:{scopes:["user:email"]},microsoft:{scopes:["openid","profile","email","offline_access"]}}},"editSessions.store":{url:"https://vscode-sync.trafficmanager.net/",authenticationProviders:{microsoft:{scopes:["openid","profile","email","offline_access"]},github:{scopes:["user:email"]}}},tunnelServerQualities:{stable:{serverApplicationName:"code-server"},exploration:{serverApplicationName:"code-server-exploration"},insider:{serverApplicationName:"code-server-insiders"}},tunnelApplicationName:"code-tunnel",tunnelApplicationConfig:{editorWebUrl:"https://vscode.dev",extension:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server"},authenticationProviders:{github:{scopes:["user:email","read:org"]},microsoft:{scopes:["46da2f7e-b5ef-422a-88d4-2a7f9de6a0b2/.default","profile","openid"]}}},win32TunnelServiceMutex:"vscode-tunnelservice",win32TunnelMutex:"vscode-tunnel",commonlyUsedSettings:["files.autoSave","editor.fontSize","editor.fontFamily","GitHub.copilot.manageExtension","editor.tabSize","editor.renderWhitespace","editor.cursorStyle","editor.multiCursorModifier","editor.insertSpaces","editor.wordWrap","files.exclude","files.associations","workbench.editor.enablePreview"],aiGeneratedWorkspaceTrust:{title:"This workspace was generated by GitHub Copilot",checkboxText:"Trust the contents of all files in this workspace",trustOption:"Yes, I trust the contents",dontTrustOption:"No, I don't trust the contents",startupTrustRequestLearnMore:"If you don't trust the contents of the files generated by GitHub Copilot, we recommend continuing in restricted mode. See [our docs](https://aka.ms/vscode-workspace-trust) to learn more. "},gitHubEntitlement:{providerId:"github",command:{title:"Install GitHub Copilot (Paid for by {{org}})...",titleWithoutPlaceHolder:"Install GitHub Copilot",action:"workbench.extensions.installExtension",when:"workbench.accounts.experimental.showEntitlements"},entitlementUrl:"https://api.github.com/copilot_internal/user",extensionId:"github.copilot",enablementKey:"chat_enabled",confirmationAction:"Install",confirmationMessage:"Are you sure you want to install GitHub Copilot?"},builtInExtensions:[{name:"ms-vscode.js-debug-companion",version:"1.1.2",sha256:"e034b8b41beb4e97e02c70f7175bd88abe66048374c2bd629f54bb33354bc2aa",repo:"https://github.com/microsoft/vscode-js-debug-companion",metadata:{id:"99cb0b7f-7354-4278-b8da-6cc79972169d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.js-debug",version:"1.87.0",sha256:"155ba715cc1045835951e70a663010c8f91d773d90a3ec504a041fd53b5658b0",repo:"https://github.com/microsoft/vscode-js-debug",metadata:{id:"25629058-ddac-4e17-abba-74678e126c5d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.vscode-js-profile-table",version:"1.0.8",sha256:"ca30069e21fbf576b49638ff8ff7c316b028c2faca924c23526737c65b8762bf",repo:"https://github.com/microsoft/vscode-js-profile-visualizer",metadata:{id:"7e52b41b-71ad-457b-ab7e-0620f1fc4feb",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}}],version:"1.87.2",commit:"863d2581ecda6849923a2118d93a088b0745d9d6",date:"2024-03-08T14:27:09.908Z"},Object.keys(R).length===0&&Object.assign(R,{version:"1.87.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",serverLicenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=R}),define(ye[31],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rj=e.$Qj=void 0,e.$Qj=(0,E.$ei)("productService"),e.$Rj="vscode://schemas/vscode-product"}),define(ye[37],ke([1,0,96,11]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tn=void 0;class o{constructor(){this.a=new Map}add(D,S){E.ok(R.$Sf(D)),E.ok(R.$Uf(S)),E.ok(!this.a.has(D),"There is already an extension with this id"),this.a.set(D,S)}knows(D){return this.a.has(D)}as(D){return this.a.get(D)||null}}e.$Tn=new o}),define(ye[232],ke([1,0,6,37]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Un=void 0,e.$Un={JSONContribution:"base.contributions.json"};function o(S){return S.length>0&&S.charAt(S.length-1)==="#"?S.substring(0,S.length-1):S}class C{constructor(){this.b=new E.$5d,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(v,w){this.a[o(v)]=w,this.b.fire(v)}notifySchemaChanged(v){this.b.fire(v)}getSchemaContributions(){return{schemas:this.a}}}const D=new C;R.$Tn.add(e.$Un.JSONContribution,D)}),define(ye[45],ke([1,0,18,6,11,177,25,232,37]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bo=e.$ao=e.$_n=e.$$n=e.$0n=e.$9n=e.$8n=e.$7n=e.$6n=e.$5n=e.$4n=e.$3n=e.$2n=e.$1n=e.$Zn=e.ConfigurationScope=e.$Yn=e.EditPresentationTypes=void 0;var w;(function(u){u.Multiline="multilineText",u.Singleline="singlelineText"})(w||(e.EditPresentationTypes=w={})),e.$Yn={Configuration:"base.contributions.configuration"};var I;(function(u){u[u.APPLICATION=1]="APPLICATION",u[u.MACHINE=2]="MACHINE",u[u.WINDOW=3]="WINDOW",u[u.RESOURCE=4]="RESOURCE",u[u.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",u[u.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(I||(e.ConfigurationScope=I={})),e.$Zn={properties:{},patternProperties:{}},e.$1n={properties:{},patternProperties:{}},e.$2n={properties:{},patternProperties:{}},e.$3n={properties:{},patternProperties:{}},e.$4n={properties:{},patternProperties:{}},e.$5n={properties:{},patternProperties:{}},e.$6n="vscode://schemas/settings/resourceLanguage",e.$7n="vscode://schemas/settings/configurationDefaults";const k=v.$Tn.as(S.$Un.JSONContribution);class p{constructor(){this.h=new Set,this.i=new R.$5d,this.onDidSchemaChange=this.i.event,this.j=new R.$5d,this.onDidUpdateConfiguration=this.j.event,this.a=new Map,this.b={id:"defaultOverrides",title:C.localize(0,null),properties:{}},this.c=[this.b],this.g={properties:{},patternProperties:{},additionalProperties:!0,allowTrailingCommas:!0,allowComments:!0},this.d={},this.e=new Map,this.f={},k.registerSchema(e.$6n,this.g),this.v()}registerConfiguration(t,s=!0){this.registerConfigurations([t],s)}registerConfigurations(t,s=!0){const r=new Set;this.n(t,s,r),k.registerSchema(e.$6n,this.g),this.i.fire(),this.j.fire({properties:r})}deregisterConfigurations(t){const s=new Set;this.o(t,s),k.registerSchema(e.$6n,this.g),this.i.fire(),this.j.fire({properties:s})}updateConfigurations({add:t,remove:s}){const r=new Set;this.o(s,r),this.n(t,!1,r),k.registerSchema(e.$6n,this.g),this.i.fire(),this.j.fire({properties:r})}registerDefaultConfigurations(t){const s=new Set;this.k(t,s),this.i.fire(),this.j.fire({properties:s,defaultsOverrides:!0})}k(t,s){const r=[];for(const{overrides:n,source:i}of t)for(const a in n)if(s.add(a),e.$9n.test(a)){const $=this.a.get(a),O=$?.valuesSources??new Map;if(i)for(const F of Object.keys(n[a]))O.set(F,i);const P={...$?.value||{},...n[a]};this.a.set(a,{source:i,value:P,valuesSources:O});const y=(0,D.$Ui)(a),A={type:"object",default:P,description:C.localize(1,null,y),$ref:e.$6n,defaultDefaultValue:P,source:o.$Sf(i)?void 0:i,defaultValueSource:i};r.push(...l(a)),this.d[a]=A,this.b.properties[a]=A}else{this.a.set(a,{value:n[a],source:i});const $=this.d[a];$&&(this.w(a,$),this.r(a,$))}this.m(r)}deregisterDefaultConfigurations(t){const s=new Set;this.l(t,s),this.i.fire(),this.j.fire({properties:s,defaultsOverrides:!0})}l(t,s){for(const{overrides:r,source:n}of t)for(const i in r){const a=this.a.get(i),$=o.$Sf(n)?n:n?.id,O=o.$Sf(a?.source)?a?.source:a?.source?.id;if($===O)if(s.add(i),this.a.delete(i),e.$9n.test(i))delete this.d[i],delete this.b.properties[i];else{const P=this.d[i];P&&(this.w(i,P),this.r(i,P))}}this.u()}deltaConfiguration(t){let s=!1;const r=new Set;t.removedDefaults&&(this.l(t.removedDefaults,r),s=!0),t.addedDefaults&&(this.k(t.addedDefaults,r),s=!0),t.removedConfigurations&&this.o(t.removedConfigurations,r),t.addedConfigurations&&this.n(t.addedConfigurations,!1,r),this.i.fire(),this.j.fire({properties:r,defaultsOverrides:s})}notifyConfigurationSchemaUpdated(...t){this.i.fire()}registerOverrideIdentifiers(t){this.m(t),this.i.fire()}m(t){for(const s of t)this.h.add(s);this.u()}n(t,s,r){t.forEach(n=>{this.p(n,s,n.extensionInfo,n.restrictedProperties,void 0,r),this.c.push(n),this.q(n)})}o(t,s){const r=n=>{if(n.properties)for(const i in n.properties){s.add(i);const a=this.d[i];a?.policy?.name&&this.e.delete(a.policy.name),delete this.d[i],this.s(i,n.properties[i])}n.allOf?.forEach(i=>r(i))};for(const n of t){r(n);const i=this.c.indexOf(n);i!==-1&&this.c.splice(i,1)}}p(t,s=!0,r,n,i=3,a){i=o.$2f(t.scope)?i:t.scope;const $=t.properties;if($)for(const P in $){const y=$[P];if(s&&h(P,y)){delete $[P];continue}if(y.source=r,y.defaultDefaultValue=$[P].default,this.w(P,y),e.$9n.test(P)?y.scope=void 0:(y.scope=o.$2f(y.scope)?i:y.scope,y.restricted=o.$2f(y.restricted)?!!n?.includes(P):y.restricted),$[P].hasOwnProperty("included")&&!$[P].included){this.f[P]=$[P],delete $[P];continue}else this.d[P]=$[P],$[P].policy?.name&&this.e.set($[P].policy.name,P);!$[P].deprecationMessage&&$[P].markdownDeprecationMessage&&($[P].deprecationMessage=$[P].markdownDeprecationMessage),a.add(P)}const O=t.allOf;if(O)for(const P of O)this.p(P,s,r,n,i,a)}getConfigurations(){return this.c}getConfigurationProperties(){return this.d}getPolicyConfigurations(){return this.e}getExcludedConfigurationProperties(){return this.f}getConfigurationDefaultsOverrides(){return this.a}q(t){const s=r=>{const n=r.properties;if(n)for(const a in n)this.r(a,n[a]);r.allOf?.forEach(s)};s(t)}r(t,s){switch(e.$Zn.properties[t]=s,s.scope){case 1:e.$1n.properties[t]=s;break;case 2:e.$2n.properties[t]=s;break;case 6:e.$3n.properties[t]=s;break;case 3:e.$4n.properties[t]=s;break;case 4:e.$5n.properties[t]=s;break;case 5:e.$5n.properties[t]=s,this.g.properties[t]=s;break}}s(t,s){switch(delete e.$Zn.properties[t],s.scope){case 1:delete e.$1n.properties[t];break;case 2:delete e.$2n.properties[t];break;case 6:delete e.$3n.properties[t];break;case 3:delete e.$4n.properties[t];break;case 4:case 5:delete e.$5n.properties[t],delete this.g.properties[t];break}}u(){for(const t of this.h.values()){const s=`[${t}]`,r={type:"object",description:C.localize(2,null),errorMessage:C.localize(3,null),$ref:e.$6n};this.w(s,r),e.$Zn.properties[s]=r,e.$1n.properties[s]=r,e.$2n.properties[s]=r,e.$3n.properties[s]=r,e.$4n.properties[s]=r,e.$5n.properties[s]=r}}v(){const t={type:"object",description:C.localize(4,null),errorMessage:C.localize(5,null),$ref:e.$6n};e.$Zn.patternProperties[e.$8n]=t,e.$1n.patternProperties[e.$8n]=t,e.$2n.patternProperties[e.$8n]=t,e.$3n.patternProperties[e.$8n]=t,e.$4n.patternProperties[e.$8n]=t,e.$5n.patternProperties[e.$8n]=t,this.i.fire()}w(t,s){const r=this.a.get(t);let n=r?.value,i=r?.source;o.$Zf(n)&&(n=s.defaultDefaultValue,i=void 0),o.$Zf(n)&&(n=c(s.type)),s.default=n,s.defaultValueSource=i}}const d="\\[([^\\]]+)\\]",m=new RegExp(d,"g");e.$8n=`^(${d})+$`,e.$9n=new RegExp(e.$8n);function l(u){const t=[];if(e.$9n.test(u)){let s=m.exec(u);for(;s?.length;){const r=s[1].trim();r&&t.push(r),s=m.exec(u)}}return(0,E.$Mb)(t)}e.$0n=l;function b(u){return u.reduce((t,s)=>`${t}[${s}]`,"")}e.$$n=b;function c(u){switch(Array.isArray(u)?u[0]:u){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.$_n=c;const g=new p;v.$Tn.add(e.$Yn.Configuration,g);function h(u,t){return u.trim()?e.$9n.test(u)?C.localize(7,null,u):g.getConfigurationProperties()[u]!==void 0?C.localize(8,null,u):t.policy?.name&&g.getPolicyConfigurations().get(t.policy?.name)!==void 0?C.localize(9,null,u,t.policy?.name,g.getPolicyConfigurations().get(t.policy?.name)):null:C.localize(6,null)}e.$ao=h;function f(){const u=[],t=g.getConfigurationProperties();for(const s of Object.keys(t))u.push([s,t[s].scope]);return u.push(["launch",4]),u.push(["task",4]),u}e.$bo=f}),define(ye[116],ke([1,0,18,6,41,2,24,21,11,4,25,45,37]),function(le,e,E,R,o,C,D,S,v,w,I,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ho=e.$go=e.$fo=e.$eo=e.$do=e.$co=void 0;function d(s){return Object.isFrozen(s)?s:S.$In(s)}class m{constructor(r={},n=[],i=[],a){this.b=r,this.c=n,this.d=i,this.raw=a,this.a=new Map}get rawConfiguration(){if(!this.f)if(this.raw?.length){const r=this.raw.map(n=>{if(n instanceof m)return n;const i=new l("");return i.parseRaw(n),i.configurationModel});this.f=r.reduce((n,i)=>i===n?i:n.merge(i),r[0])}else this.f=this;return this.f}get contents(){return this.b}get overrides(){return this.d}get keys(){return this.c}isEmpty(){return this.c.length===0&&Object.keys(this.b).length===0&&this.d.length===0}getValue(r){return r?(0,I.$Si)(this.contents,r):this.contents}inspect(r,n){const i=this;return{get value(){return d(i.rawConfiguration.getValue(r))},get override(){return n?d(i.rawConfiguration.getOverrideValue(r,n)):void 0},get merged(){return d(n?i.rawConfiguration.override(n).getValue(r):i.rawConfiguration.getValue(r))},get overrides(){const a=[];for(const{contents:$,identifiers:O,keys:P}of i.rawConfiguration.overrides){const y=new m($,P).getValue(r);y!==void 0&&a.push({identifiers:O,value:y})}return a.length?d(a):void 0}}}getOverrideValue(r,n){const i=this.i(n);return i?r?(0,I.$Si)(i,r):i:void 0}getKeysForOverrideIdentifier(r){const n=[];for(const i of this.overrides)i.identifiers.includes(r)&&n.push(...i.keys);return E.$Mb(n)}getAllOverrideIdentifiers(){const r=[];for(const n of this.overrides)r.push(...n.identifiers);return E.$Mb(r)}override(r){let n=this.a.get(r);return n||(n=this.g(r),this.a.set(r,n)),n}merge(...r){const n=S.$Hn(this.contents),i=S.$Hn(this.overrides),a=[...this.keys],$=this.raw?.length?[...this.raw]:[this];for(const O of r)if($.push(...O.raw?.length?O.raw:[O]),!O.isEmpty()){this.h(n,O.contents);for(const P of O.overrides){const[y]=i.filter(A=>E.$ub(A.identifiers,P.identifiers));y?(this.h(y.contents,P.contents),y.keys.push(...P.keys),y.keys=E.$Mb(y.keys)):i.push(S.$Hn(P))}for(const P of O.keys)a.indexOf(P)===-1&&a.push(P)}return new m(n,a,i,$.every(O=>O instanceof m)?void 0:$)}g(r){const n=this.i(r);if(!n||typeof n!="object"||!Object.keys(n).length)return this;const i={};for(const a of E.$Mb([...Object.keys(this.contents),...Object.keys(n)])){let $=this.contents[a];const O=n[a];O&&(typeof $=="object"&&typeof O=="object"?($=S.$Hn($),this.h($,O)):$=O),i[a]=$}return new m(i,this.keys,this.overrides)}h(r,n){for(const i of Object.keys(n)){if(i in r&&v.$Uf(r[i])&&v.$Uf(n[i])){this.h(r[i],n[i]);continue}r[i]=S.$Hn(n[i])}}i(r){let n=null,i=null;const a=$=>{$&&(i?this.h(i,$):i=S.$Hn($))};for(const $ of this.overrides)$.identifiers.length===1&&$.identifiers[0]===r?n=$.contents:$.identifiers.includes(r)&&a($.contents);return a(n),i}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}addValue(r,n){this.j(r,n,!0)}setValue(r,n){this.j(r,n,!1)}removeValue(r){const n=this.keys.indexOf(r);n!==-1&&(this.keys.splice(n,1),(0,I.$Ri)(this.contents,r),k.$9n.test(r)&&this.overrides.splice(this.overrides.findIndex(i=>E.$ub(i.identifiers,(0,k.$0n)(r))),1))}j(r,n,i){(0,I.$Qi)(this.contents,r,n,a=>console.error(a)),i=i||this.keys.indexOf(r)===-1,i&&this.keys.push(r),k.$9n.test(r)&&this.overrides.push({identifiers:(0,k.$0n)(r),keys:Object.keys(this.contents[r]),contents:(0,I.$Pi)(this.contents[r],a=>console.error(a))})}}e.$co=m;class l{constructor(r){this.f=r,this.a=null,this.b=null,this.c=[],this.d=[]}get configurationModel(){return this.b||new m}get restrictedConfigurations(){return this.c}get errors(){return this.d}parse(r,n){if(!v.$2f(r)){const i=this.g(r);this.parseRaw(i,n)}}reparse(r){this.a&&this.parseRaw(this.a,r)}parseRaw(r,n){this.a=r;const{contents:i,keys:a,overrides:$,restricted:O,hasExcludedProperties:P}=this.h(r,n);this.b=new m(i,a,$,P?[r]:void 0),this.c=O||[]}g(r){let n={},i=null,a=[];const $=[],O=[];function P(A){Array.isArray(a)?a.push(A):i!==null&&(a[i]=A)}const y={onObjectBegin:()=>{const A={};P(A),$.push(a),a=A,i=null},onObjectProperty:A=>{i=A},onObjectEnd:()=>{a=$.pop()},onArrayBegin:()=>{const A=[];P(A),$.push(a),a=A,i=null},onArrayEnd:()=>{a=$.pop()},onLiteralValue:P,onError:(A,F,Q)=>{O.push({error:A,offset:F,length:Q})}};if(r)try{o.$vn(r,y),n=a[0]||{}}catch(A){console.error(`Error while parsing settings file ${this.f}: ${A}`),this.d=[A]}return n}h(r,n){const i=p.$Tn.as(k.$Yn.Configuration).getConfigurationProperties(),a=this.i(r,i,!0,n);r=a.raw;const $=(0,I.$Pi)(r,y=>console.error(`Conflict in settings file ${this.f}: ${y}`)),O=Object.keys(r),P=this.j(r,y=>console.error(`Conflict in settings file ${this.f}: ${y}`));return{contents:$,keys:O,overrides:P,restricted:a.restricted,hasExcludedProperties:a.hasExcludedProperties}}i(r,n,i,a){let $=!1;if(!a?.scopes&&!a?.skipRestricted&&!a?.exclude?.length)return{raw:r,restricted:[],hasExcludedProperties:$};const O={},P=[];for(const y in r)if(k.$9n.test(y)&&i){const A=this.i(r[y],n,!1,a);O[y]=A.raw,$=$||A.hasExcludedProperties,P.push(...A.restricted)}else{const A=n[y],F=A?typeof A.scope<"u"?A.scope:3:void 0;A?.restricted&&P.push(y),!a.exclude?.includes(y)&&(a.include?.includes(y)||(F===void 0||a.scopes===void 0||a.scopes.includes(F))&&!(a.skipRestricted&&A?.restricted))?O[y]=r[y]:$=!0}return{raw:O,restricted:P,hasExcludedProperties:$}}j(r,n){const i=[];for(const a of Object.keys(r))if(k.$9n.test(a)){const $={};for(const O in r[a])$[O]=r[a][O];i.push({identifiers:(0,k.$0n)(a),keys:Object.keys($),contents:(0,I.$Pi)($,n)})}return i}}e.$do=l;class b extends C.$Tc{constructor(r,n,i,a){super(),this.c=r,this.f=n,this.g=a,this.b=this.B(new R.$5d),this.onDidChange=this.b.event,this.a=new l(this.c.toString()),this.B(this.g.watch(i.dirname(this.c))),this.B(this.g.watch(this.c)),this.B(R.Event.any(R.Event.filter(this.g.onDidFilesChange,$=>$.contains(this.c)),R.Event.filter(this.g.onDidRunOperation,$=>($.isOperation(0)||$.isOperation(3)||$.isOperation(1)||$.isOperation(4))&&i.isEqual($.resource,r)))(()=>this.b.fire()))}async loadConfiguration(){try{const r=await this.g.readFile(this.c);return this.a.parse(r.value.toString()||"{}",this.f),this.a.configurationModel}catch{return new m}}reparse(r){return r&&(this.f=r),this.a.reparse(this.f),this.a.configurationModel}getRestrictedSettings(){return this.a.restrictedConfigurations}}e.$eo=b;class c{constructor(r,n,i,a,$,O,P,y,A,F,Q,te,de){this.a=r,this.b=n,this.c=i,this.overrideIdentifiers=a,this.d=$,this.f=O,this.g=P,this.h=y,this.i=A,this.j=F,this.k=Q,this.l=te,this.m=de}get value(){return d(this.c)}n(r){return r?.value!==void 0||r?.override!==void 0||r?.overrides!==void 0?r:void 0}get q(){return this.p||(this.p=this.d.inspect(this.a,this.b.overrideIdentifier)),this.p}get defaultValue(){return this.q.merged}get default(){return this.n(this.q)}get s(){return this.r===void 0&&(this.r=this.f?this.f.inspect(this.a):null),this.r}get policyValue(){return this.s?.merged}get policy(){return this.s?.value!==void 0?{value:this.s.value}:void 0}get u(){return this.t===void 0&&(this.t=this.g?this.g.inspect(this.a):null),this.t}get applicationValue(){return this.u?.merged}get application(){return this.n(this.u)}get w(){return this.v||(this.v=this.h.inspect(this.a,this.b.overrideIdentifier)),this.v}get userValue(){return this.w.merged}get user(){return this.n(this.w)}get y(){return this.x||(this.x=this.i.inspect(this.a,this.b.overrideIdentifier)),this.x}get userLocalValue(){return this.y.merged}get userLocal(){return this.n(this.y)}get A(){return this.z||(this.z=this.j.inspect(this.a,this.b.overrideIdentifier)),this.z}get userRemoteValue(){return this.A.merged}get userRemote(){return this.n(this.A)}get D(){return this.B===void 0&&(this.B=this.k?this.k.inspect(this.a,this.b.overrideIdentifier):null),this.B}get workspaceValue(){return this.D?.merged}get workspace(){return this.n(this.D)}get F(){return this.E===void 0&&(this.E=this.l?this.l.inspect(this.a,this.b.overrideIdentifier):null),this.E}get workspaceFolderValue(){return this.F?.merged}get workspaceFolder(){return this.n(this.F)}get H(){return this.G===void 0&&(this.G=this.m.inspect(this.a,this.b.overrideIdentifier)),this.G}get memoryValue(){return this.H.merged}get memory(){return this.n(this.H)}}class g{constructor(r,n,i,a,$=new m,O=new m,P=new D.$Ac,y=new m,A=new D.$Ac){this.c=r,this.d=n,this.f=i,this.g=a,this.h=$,this.i=O,this.j=P,this.l=y,this.m=A,this.a=null,this.b=new D.$Ac,this.n=null}getValue(r,n,i){return this.p(r,n,i).getValue(r)}updateValue(r,n,i={}){let a;i.resource?(a=this.m.get(i.resource),a||(a=new m,this.m.set(i.resource,a))):a=this.l,n===void 0?a.removeValue(r):a.setValue(r,n),i.resource||(this.a=null)}inspect(r,n,i){const a=this.p(r,n,i),$=this.t(n.resource,i),O=n.resource?this.m.get(n.resource)||this.l:this.l,P=new Set;for(const y of a.overrides)for(const A of y.identifiers)a.getOverrideValue(r,A)!==void 0&&P.add(A);return new c(r,n,a.getValue(r),P.size?[...P]:void 0,this.c,this.d.isEmpty()?void 0:this.d,this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration,this.userConfiguration,this.localUserConfiguration,this.remoteUserConfiguration,i?this.i:void 0,$||void 0,O)}keys(r){const n=this.t(void 0,r);return{default:this.c.keys.slice(0),user:this.userConfiguration.keys.slice(0),workspace:this.i.keys.slice(0),workspaceFolder:n?n.keys.slice(0):[]}}updateDefaultConfiguration(r){this.c=r,this.a=null,this.b.clear()}updatePolicyConfiguration(r){this.d=r}updateApplicationConfiguration(r){this.f=r,this.a=null,this.b.clear()}updateLocalUserConfiguration(r){this.g=r,this.n=null,this.a=null,this.b.clear()}updateRemoteUserConfiguration(r){this.h=r,this.n=null,this.a=null,this.b.clear()}updateWorkspaceConfiguration(r){this.i=r,this.a=null,this.b.clear()}updateFolderConfiguration(r,n){this.j.set(r,n),this.b.delete(r)}deleteFolderConfiguration(r){this.folderConfigurations.delete(r),this.b.delete(r)}compareAndUpdateDefaultConfiguration(r,n){const i=[];if(!n){const{added:a,updated:$,removed:O}=u(this.c,r);n=[...a,...$,...O]}for(const a of n)for(const $ of(0,k.$0n)(a)){const O=this.c.getKeysForOverrideIdentifier($),P=r.getKeysForOverrideIdentifier($),y=[...P.filter(A=>O.indexOf(A)===-1),...O.filter(A=>P.indexOf(A)===-1),...O.filter(A=>!S.$Ln(this.c.override($).getValue(A),r.override($).getValue(A)))];i.push([$,y])}return this.updateDefaultConfiguration(r),{keys:n,overrides:i}}compareAndUpdatePolicyConfiguration(r){const{added:n,updated:i,removed:a}=u(this.d,r),$=[...n,...i,...a];return $.length&&this.updatePolicyConfiguration(r),{keys:$,overrides:[]}}compareAndUpdateApplicationConfiguration(r){const{added:n,updated:i,removed:a,overrides:$}=u(this.applicationConfiguration,r),O=[...n,...i,...a];return O.length&&this.updateApplicationConfiguration(r),{keys:O,overrides:$}}compareAndUpdateLocalUserConfiguration(r){const{added:n,updated:i,removed:a,overrides:$}=u(this.localUserConfiguration,r),O=[...n,...i,...a];return O.length&&this.updateLocalUserConfiguration(r),{keys:O,overrides:$}}compareAndUpdateRemoteUserConfiguration(r){const{added:n,updated:i,removed:a,overrides:$}=u(this.remoteUserConfiguration,r),O=[...n,...i,...a];return O.length&&this.updateRemoteUserConfiguration(r),{keys:O,overrides:$}}compareAndUpdateWorkspaceConfiguration(r){const{added:n,updated:i,removed:a,overrides:$}=u(this.workspaceConfiguration,r),O=[...n,...i,...a];return O.length&&this.updateWorkspaceConfiguration(r),{keys:O,overrides:$}}compareAndUpdateFolderConfiguration(r,n){const i=this.folderConfigurations.get(r),{added:a,updated:$,removed:O,overrides:P}=u(i,n),y=[...a,...$,...O];return(y.length||!i)&&this.updateFolderConfiguration(r,n),{keys:y,overrides:P}}compareAndDeleteFolderConfiguration(r){const n=this.folderConfigurations.get(r);if(!n)throw new Error("Unknown folder");this.deleteFolderConfiguration(r);const{added:i,updated:a,removed:$,overrides:O}=u(n,void 0);return{keys:[...i,...a,...$],overrides:O}}get defaults(){return this.c}get applicationConfiguration(){return this.f}get userConfiguration(){return this.n||(this.n=this.h.isEmpty()?this.g:this.g.merge(this.h)),this.n}get localUserConfiguration(){return this.g}get remoteUserConfiguration(){return this.h}get workspaceConfiguration(){return this.i}get folderConfigurations(){return this.j}p(r,n,i){let a=this.q(n,i);return n.overrideIdentifier&&(a=a.override(n.overrideIdentifier)),!this.d.isEmpty()&&this.d.getValue(r)!==void 0&&(a=a.merge(this.d)),a}q({resource:r},n){let i=this.r();if(n&&r){const a=n.getFolder(r);a&&(i=this.s(a.uri)||i);const $=this.m.get(r);$&&(i=i.merge($))}return i}r(){return this.a||(this.a=this.c.merge(this.applicationConfiguration,this.userConfiguration,this.i,this.l)),this.a}s(r){let n=this.b.get(r);if(!n){const i=this.r(),a=this.j.get(r);a?(n=i.merge(a),this.b.set(r,n)):n=i}return n}t(r,n){if(n&&r){const i=n.getFolder(r);if(i)return this.j.get(i.uri)}}toData(){return{defaults:{contents:this.c.contents,overrides:this.c.overrides,keys:this.c.keys},policy:{contents:this.d.contents,overrides:this.d.overrides,keys:this.d.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this.i.contents,overrides:this.i.overrides,keys:this.i.keys},folders:[...this.j.keys()].reduce((r,n)=>{const{contents:i,overrides:a,keys:$}=this.j.get(n);return r.push([n,{contents:i,overrides:a,keys:$}]),r},[])}}allKeys(){const r=new Set;return this.c.keys.forEach(n=>r.add(n)),this.userConfiguration.keys.forEach(n=>r.add(n)),this.i.keys.forEach(n=>r.add(n)),this.j.forEach(n=>n.keys.forEach(i=>r.add(i))),[...r.values()]}u(){const r=new Set;return this.c.getAllOverrideIdentifiers().forEach(n=>r.add(n)),this.userConfiguration.getAllOverrideIdentifiers().forEach(n=>r.add(n)),this.i.getAllOverrideIdentifiers().forEach(n=>r.add(n)),this.j.forEach(n=>n.getAllOverrideIdentifiers().forEach(i=>r.add(i))),[...r.values()]}v(r){const n=new Set;return this.c.getKeysForOverrideIdentifier(r).forEach(i=>n.add(i)),this.userConfiguration.getKeysForOverrideIdentifier(r).forEach(i=>n.add(i)),this.i.getKeysForOverrideIdentifier(r).forEach(i=>n.add(i)),this.j.forEach(i=>i.getKeysForOverrideIdentifier(r).forEach(a=>n.add(a))),[...n.values()]}static parse(r){const n=this.w(r.defaults),i=this.w(r.policy),a=this.w(r.application),$=this.w(r.user),O=this.w(r.workspace),P=r.folders.reduce((y,A)=>(y.set(w.URI.revive(A[0]),this.w(A[1])),y),new D.$Ac);return new g(n,i,a,$,new m,O,P,new m,new D.$Ac)}static w(r){return new m(r.contents,r.keys,r.overrides)}}e.$fo=g;function h(...s){if(s.length===0)return{keys:[],overrides:[]};if(s.length===1)return s[0];const r=new Set,n=new Map;for(const a of s)a.keys.forEach($=>r.add($)),a.overrides.forEach(([$,O])=>{const P=(0,D.$xc)(n,$,new Set);O.forEach(y=>P.add(y))});const i=[];return n.forEach((a,$)=>i.push([$,[...a.values()]])),{keys:[...r.values()],overrides:i}}e.$go=h;class f{constructor(r,n,i,a){this.change=r,this.f=n,this.g=i,this.h=a,this.a=`
`,this.b=this.a.charCodeAt(0),this.c=46,this.affectedKeys=new Set,this.i=void 0;for(const $ of r.keys)this.affectedKeys.add($);for(const[,$]of r.overrides)for(const O of $)this.affectedKeys.add(O);this.d=this.a;for(const $ of this.affectedKeys)this.d+=$+this.a}get previousConfiguration(){return!this.i&&this.f&&(this.i=g.parse(this.f.data)),this.i}affectsConfiguration(r,n){const i=this.a+r,a=this.d.indexOf(i);if(a<0)return!1;const $=a+i.length;if($>=this.d.length)return!1;const O=this.d.charCodeAt($);if(O!==this.b&&O!==this.c)return!1;if(n){const P=this.previousConfiguration?this.previousConfiguration.getValue(r,n,this.f?.workspace):void 0,y=this.g.getValue(r,n,this.h);return!S.$Ln(P,y)}return!0}}e.$ho=f;function u(s,r){const{added:n,removed:i,updated:a}=t(r?.rawConfiguration,s?.rawConfiguration),$=[],O=s?.getAllOverrideIdentifiers()||[],P=r?.getAllOverrideIdentifiers()||[];if(r){const y=P.filter(A=>!O.includes(A));for(const A of y)$.push([A,r.getKeysForOverrideIdentifier(A)])}if(s){const y=O.filter(A=>!P.includes(A));for(const A of y)$.push([A,s.getKeysForOverrideIdentifier(A)])}if(r&&s){for(const y of O)if(P.includes(y)){const A=t({contents:s.getOverrideValue(void 0,y)||{},keys:s.getKeysForOverrideIdentifier(y)},{contents:r.getOverrideValue(void 0,y)||{},keys:r.getKeysForOverrideIdentifier(y)});$.push([y,[...A.added,...A.removed,...A.updated]])}}return{added:n,removed:i,updated:a,overrides:$}}function t(s,r){const n=s?r?s.keys.filter($=>r.keys.indexOf($)===-1):[...s.keys]:[],i=r?s?r.keys.filter($=>s.keys.indexOf($)===-1):[...r.keys]:[],a=[];if(s&&r){for(const $ of r.keys)if(s.keys.indexOf($)!==-1){const O=(0,I.$Si)(r.contents,$),P=(0,I.$Si)(s.contents,$);S.$Ln(O,P)||a.push($)}}return{added:n,removed:i,updated:a}}}),define(ye[233],ke([1,0,18,6,2,21,11,116,45,13,71,37]),function(le,e,E,R,o,C,D,S,v,w,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ko=e.$jo=e.$io=void 0;class p extends o.$Tc{constructor(){super(...arguments),this.a=this.B(new R.$5d),this.onDidChangeConfiguration=this.a.event,this.b=new S.$co}get configurationModel(){return this.b}async initialize(){return this.g(),this.B(k.$Tn.as(v.$Yn.Configuration).onDidUpdateConfiguration(({properties:b,defaultsOverrides:c})=>this.c(Array.from(b),c))),this.configurationModel}reload(){return this.g(),this.configurationModel}c(b,c){this.h(b,k.$Tn.as(v.$Yn.Configuration).getConfigurationProperties()),this.a.fire({defaults:this.configurationModel,properties:b})}f(){return{}}g(){this.b=new S.$co;const b=k.$Tn.as(v.$Yn.Configuration).getConfigurationProperties();this.h(Object.keys(b),b)}h(b,c){const g=this.f();for(const h of b){const f=g[h],u=c[h];f!==void 0?this.b.addValue(h,f):u?this.b.addValue(h,u.default):this.b.removeValue(h)}}}e.$io=p;class d{constructor(){this.onDidChangeConfiguration=R.Event.None,this.configurationModel=new S.$co}async initialize(){return this.configurationModel}}e.$jo=d;let m=class extends o.$Tc{get configurationModel(){return this.b}constructor(b,c,g){super(),this.c=b,this.f=c,this.g=g,this.a=this.B(new R.$5d),this.onDidChangeConfiguration=this.a.event,this.b=new S.$co}async initialize(){return this.g.trace("PolicyConfiguration#initialize"),this.m(await this.h(this.c.configurationModel.keys),!1),this.B(this.f.onDidChange(b=>this.j(b))),this.B(this.c.onDidChangeConfiguration(async({properties:b})=>this.m(await this.h(b),!0))),this.b}async h(b){this.g.trace("PolicyConfiguration#updatePolicyDefinitions",b);const c={},g=[],h=k.$Tn.as(v.$Yn.Configuration).getConfigurationProperties();for(const f of b){const u=h[f];if(!u){g.push(f);continue}if(u.policy){if(u.type!=="string"&&u.type!=="number"){this.g.warn(`Policy ${u.policy.name} has unsupported type ${u.type}`);continue}g.push(f),c[u.policy.name]={type:u.type}}}return(0,D.$6f)(c)||await this.f.updatePolicyDefinitions(c),g}j(b){this.g.trace("PolicyConfiguration#onDidChangePolicies",b);const c=k.$Tn.as(v.$Yn.Configuration).getPolicyConfigurations(),g=(0,E.$Hb)(b.map(h=>c.get(h)));this.m(g,!0)}m(b,c){this.g.trace("PolicyConfiguration#update",b);const g=k.$Tn.as(v.$Yn.Configuration).getConfigurationProperties(),h=[],f=this.b.isEmpty();for(const u of b){const t=g[u]?.policy?.name;if(t){const s=this.f.getPolicyValue(t);(f?s!==void 0:!(0,C.$Ln)(this.b.getValue(u),s))&&h.push([u,s])}else this.b.getValue(u)!==void 0&&h.push([u,void 0])}if(h.length){this.g.trace("PolicyConfiguration#changed",h);const u=this.b;this.b=new S.$co;for(const t of u.keys)this.b.setValue(t,u.getValue(t));for(const[t,s]of h)s===void 0?this.b.removeValue(t):this.b.setValue(t,s);c&&this.a.fire(this.b)}}};e.$ko=m,e.$ko=m=Me([Oe(1,I.$Vn),Oe(2,w.$yj)],m)}),define(ye[117],ke([1,0,18,15,14,6,41,145,2,21,3,19,25,116,45,233,71]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lo=void 0;class c extends v.$Tc{constructor(f,u,t,s){super(),this.m=f,this.h=this.B(new C.$5d),this.onDidChangeConfiguration=this.h.event,this.b=this.B(new l.$io),this.c=t instanceof b.$Xn?new l.$jo:this.B(new l.$ko(this.b,t,s)),this.f=this.B(new d.$eo(this.m,{},k.$Ig,u)),this.a=new d.$fo(this.b.configurationModel,this.c.configurationModel,new d.$co,new d.$co),this.j=new g(f,u,this),this.g=this.B(new R.$qh(()=>this.reloadConfiguration(),50)),this.B(this.b.onDidChangeConfiguration(({defaults:r,properties:n})=>this.r(r,n))),this.B(this.c.onDidChangeConfiguration(r=>this.s(r))),this.B(this.f.onDidChange(()=>this.g.schedule()))}async initialize(){const[f,u,t]=await Promise.all([this.b.initialize(),this.c.initialize(),this.f.loadConfiguration()]);this.a=new d.$fo(f,u,new d.$co,t)}getConfigurationData(){return this.a.toData()}getValue(f,u){const t=typeof f=="string"?f:void 0,s=(0,p.$Li)(f)?f:(0,p.$Li)(u)?u:{};return this.a.getValue(t,s,void 0)}async updateValue(f,u,t,s,r){const n=(0,p.$Mi)(t)?t:(0,p.$Li)(t)?{resource:t.resource,overrideIdentifiers:t.overrideIdentifier?[t.overrideIdentifier]:void 0}:void 0,i=n?s:t;if(i!==void 0&&i!==3&&i!==2)throw new Error(`Unable to write ${f} to target ${i}.`);n?.overrideIdentifiers&&(n.overrideIdentifiers=(0,E.$Mb)(n.overrideIdentifiers),n.overrideIdentifiers=n.overrideIdentifiers.length?n.overrideIdentifiers:void 0);const a=this.inspect(f,{resource:n?.resource,overrideIdentifier:n?.overrideIdentifiers?n.overrideIdentifiers[0]:void 0});if(a.policyValue!==void 0)throw new Error(`Unable to write ${f} because it is configured in system policy.`);if((0,w.$Ln)(u,a.defaultValue)&&(u=void 0),n?.overrideIdentifiers?.length&&n.overrideIdentifiers.length>1){const O=n.overrideIdentifiers.sort(),P=this.a.localUserConfiguration.overrides.find(y=>(0,E.$ub)([...y.identifiers].sort(),O));P&&(n.overrideIdentifiers=P.identifiers)}const $=n?.overrideIdentifiers?.length?[(0,m.$$n)(n.overrideIdentifiers),f]:[f];await this.j.write($,u),await this.reloadConfiguration()}inspect(f,u={}){return this.a.inspect(f,u,void 0)}keys(){return this.a.keys(void 0)}async reloadConfiguration(){const f=await this.f.loadConfiguration();this.n(f)}n(f){const u=this.a.toData(),t=this.a.compareAndUpdateLocalUserConfiguration(f);this.t(t,u,2)}r(f,u){const t=this.a.toData(),s=this.a.compareAndUpdateDefaultConfiguration(f,u);this.t(s,t,7)}s(f){const u=this.a.toData(),t=this.a.compareAndUpdatePolicyConfiguration(f);this.t(t,u,7)}t(f,u,t){const s=new d.$ho(f,{data:u},this.a);s.source=t,this.h.fire(s)}}e.$lo=c;class g{constructor(f,u,t){this.b=f,this.c=u,this.d=t,this.a=new R.$lh}write(f,u){return this.a.queue(()=>this.e(f,u))}async e(f,u){let t;try{t=(await this.c.readFile(this.b)).value.toString()}catch(n){if(n.fileOperationResult===1)t="{}";else throw n}const s=[];if((0,D.$on)(t,s,{allowTrailingComma:!0,allowEmptyContent:!0}),s.length>0)throw new Error("Unable to write into the settings file. Please open the file to correct errors/warnings in the file and try again.");const r=this.f(t,f,u);t=(0,S.$Gn)(t,r),await this.c.writeFile(this.b,o.$se.fromString(t))}f(f,u,t){const{tabSize:s,insertSpaces:r,eol:n}=this.h;if(!u.length){const i=JSON.stringify(t,null,r?" ".repeat(s):"	");return[{content:i,length:i.length,offset:0}]}return(0,S.$Dn)(f,u,t,{tabSize:s,insertSpaces:r,eol:n})}get h(){if(!this.g){let f=I.OS===3||I.OS===2?`
`:`\r
`;const u=this.d.getValue("files.eol",{overrideIdentifier:"jsonc"});u&&typeof u=="string"&&u!=="auto"&&(f=u),this.g={eol:f,insertSpaces:!!this.d.getValue("editor.insertSpaces",{overrideIdentifier:"jsonc"}),tabSize:this.d.getValue("editor.tabSize",{overrideIdentifier:"jsonc"})}}return this.g}}}),define(ye[118],ke([1,0,10,5]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kl=e.$jl=e.RemoteAuthorityResolverErrorCode=e.$il=e.$hl=e.RemoteConnectionType=e.$gl=void 0,e.$gl=(0,R.$ei)("remoteAuthorityResolverService");var o;(function(I){I[I.WebSocket=0]="WebSocket",I[I.Managed=1]="Managed"})(o||(e.RemoteConnectionType=o={}));class C{constructor(k){this.id=k,this.type=1}toString(){return`Managed(${this.id})`}}e.$hl=C;class D{constructor(k,p){this.host=k,this.port=p,this.type=0}toString(){return`WebSocket(${this.host}:${this.port})`}}e.$il=D;var S;(function(I){I.Unknown="Unknown",I.NotAvailable="NotAvailable",I.TemporarilyNotAvailable="TemporarilyNotAvailable",I.NoResolverFound="NoResolverFound",I.InvalidAuthority="InvalidAuthority"})(S||(e.RemoteAuthorityResolverErrorCode=S={}));class v extends E.$bb{static isNotAvailable(k){return k instanceof v&&k._code===S.NotAvailable}static isTemporarilyNotAvailable(k){return k instanceof v&&k._code===S.TemporarilyNotAvailable}static isNoResolverFound(k){return k instanceof v&&k._code===S.NoResolverFound}static isInvalidAuthority(k){return k instanceof v&&k._code===S.InvalidAuthority}static isHandled(k){return k instanceof v&&k.isHandled}constructor(k,p=S.Unknown,d){super(k),this._message=k,this._code=p,this._detail=d,this.isHandled=p===S.NotAvailable&&d===!0,Object.setPrototypeOf(this,v.prototype)}}e.$jl=v;function w(I){const k=I.indexOf("+");return k===-1?I:I.substring(0,k)}e.$kl=w}),define(ye[234],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EP=e.$DP=void 0,e.$DP=(0,E.$ei)("IRemoteExtensionsScannerService"),e.$EP="remoteExtensionsScanner"}),define(ye[58],ke([1,0,12]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pl=e.$ol=e.$nl=e.$ml=e.$ll=void 0;function R(w){return w.scheme===E.Schemas.vscodeRemote?w.authority:void 0}e.$ll=R;function o(w){if(!w)return;const I=w.indexOf("+");return I<0?w:w.substr(0,I)}e.$ml=o;function C(w){return`/${w.quality??"oss"}-${w.commit??"dev"}`}e.$nl=C;function D(w){const{host:I,port:k}=v(w);if(typeof k>"u")throw new Error(`Invalid remote authority: ${w}. It must either be a remote of form <remoteName>+<arg> or a remote host of form <host>:<port>.`);return{host:I,port:k}}e.$ol=D;function S(w,I){let{host:k,port:p}=v(w);return typeof p>"u"&&(p=I),{host:k,port:p}}e.$pl=S;function v(w){const I=w.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(I)return{host:I[1],port:parseInt(I[2],10)};const k=w.match(/^(\[[0-9a-z:]+\])$/);if(k)return{host:k[1],port:void 0};const p=w.match(/(.*):(\d+)$/);return p?{host:p[1],port:parseInt(p[2],10)}:{host:w,port:void 0}}}),define(ye[35],ke([1,0,17,5,58]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dm=e.$Cm=e.$Bm=e.$Am=e.$zm=e.$ym=e.$xm=e.$wm=e.TargetPlatform=e.ExtensionType=e.$vm=e.$um=e.$tm=e.$sm=e.$rm=e.$qm=void 0,e.$qm="extensions.user.cache",e.$rm="extensions.builtin.cache",e.$sm="undefined_publisher",e.$tm=["ui","workspace","web"];function C(l){if(typeof l=="object"&&l!==null&&l.supported!==!0)return l.description}e.$um=C,e.$vm=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var D;(function(l){l[l.System=0]="System",l[l.User=1]="User"})(D||(e.ExtensionType=D={}));var S;(function(l){l.WIN32_X64="win32-x64",l.WIN32_ARM64="win32-arm64",l.LINUX_X64="linux-x64",l.LINUX_ARM64="linux-arm64",l.LINUX_ARMHF="linux-armhf",l.ALPINE_X64="alpine-x64",l.ALPINE_ARM64="alpine-arm64",l.DARWIN_X64="darwin-x64",l.DARWIN_ARM64="darwin-arm64",l.WEB="web",l.UNIVERSAL="universal",l.UNKNOWN="unknown",l.UNDEFINED="undefined"})(S||(e.TargetPlatform=S={}));class v{constructor(b){this.value=b,this._lower=b.toLowerCase()}static equals(b,c){if(typeof b>"u"||b===null)return typeof c>"u"||c===null;if(typeof c>"u"||c===null)return!1;if(typeof b=="string"||typeof c=="string"){const g=typeof b=="string"?b:b.value,h=typeof c=="string"?c:c.value;return E.$jf(g,h)}return b._lower===c._lower}static toKey(b){return typeof b=="string"?b.toLowerCase():b._lower}}e.$wm=v;class w{get size(){return this.c.size}constructor(b){if(this.c=new Set,b)for(const c of b)this.add(c)}add(b){this.c.add(v.toKey(b))}delete(b){return this.c.delete(v.toKey(b))}has(b){return this.c.has(v.toKey(b))}}e.$xm=w;class I{constructor(){this.c=new Map}clear(){this.c.clear()}delete(b){this.c.delete(v.toKey(b))}get(b){return this.c.get(v.toKey(b))}has(b){return this.c.has(v.toKey(b))}set(b,c){this.c.set(v.toKey(b),c)}values(){return this.c.values()}forEach(b){this.c.forEach(b)}[Symbol.iterator](){return this.c[Symbol.iterator]()}}e.$ym=I;function k(l){return p(l)}e.$zm=k;function p(l){return l.contributes&&l.contributes.localizations?l.contributes.localizations.length>0:!1}e.$Am=p;function d(l){return l.contributes&&l.contributes.authentication?l.contributes.authentication.length>0:!1}e.$Bm=d;function m(l,b){if(b){const c=`onResolveRemoteAuthority:${(0,o.$ml)(b)}`;return!!l.activationEvents?.includes(c)}return!1}e.$Cm=m,e.$Dm=(0,R.$ei)("IBuiltinExtensionsScannerService")}),define(ye[235],ke([1,0,10,35]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$AF=e.$zF=void 0;class o{constructor(){this.a=new Map,this.b=new WeakMap}register(D,S){this.a.set(D,S)}readActivationEvents(D){return this.b.has(D)||this.b.set(D,this.c(D)),this.b.get(D)}createActivationEventsMap(D){const S=Object.create(null);for(const v of D){const w=this.readActivationEvents(v);w.length>0&&(S[R.$wm.toKey(v.identifier)]=w)}return S}c(D){if(typeof D.main>"u"&&typeof D.browser>"u")return[];const S=Array.isArray(D.activationEvents)?D.activationEvents.slice(0):[];for(let v=0;v<S.length;v++)S[v]==="onUri"&&(S[v]=`onUri:${R.$wm.toKey(D.identifier)}`);if(!D.contributes)return S;for(const v in D.contributes){const w=this.a.get(v);if(!w)continue;const I=D.contributes[v],k=Array.isArray(I)?I:[I];try{w(k,S)}catch(p){(0,E.$1)(p)}}return S}}e.$zF=o,e.$AF=new o}),define(ye[236],ke([1,0,2,35,16]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gq=void 0;class C extends E.$Tc{constructor(S,v,w,I,k){super(),this.a=S,this.b=v,this.c=w,this.f=k,this.B(I.onDidInstallExtensions(p=>this.g(p))),this.B(I.onDidUninstallExtension(p=>this.h(p)))}g(S){for(const v of S)v.local&&this.invalidate(v.profileLocation)}h(S){S.error||this.invalidate(S.profileLocation)}async invalidate(S){if(S)for(const v of this.a.profiles)this.c.extUri.isEqual(v.extensionsResource,S)&&await this.j(v);else await this.j(this.a.defaultProfile)}async j(S){try{await this.b.del(this.c.extUri.joinPath(S.cacheHome,R.$qm))}catch(v){(0,o.$Sk)(v)!==1&&this.f.error(v)}}}e.$gq=C}),define(ye[46],ke([1,0,14,10,2,196,45,5,13,37]),function(le,e,E,R,o,C,D,S,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zp=e.$yp=e.$xp=e.$wp=e.$vp=e.$up=e.$tp=e.$sp=void 0,e.$sp=(0,S.$ei)("requestService");class I{constructor(u){this.b=u}toJSON(){if(!this.a){const u=Object.create(null);for(const t in this.b)t.toLowerCase()==="authorization"||t.toLowerCase()==="proxy-authorization"?u[t]="*****":u[t]=this.b[t];this.a=u}return this.a}}class k extends o.$Tc{constructor(u){super(),this.b=0,this.a=u.createLogger("network",{name:(0,C.localize)(0,null),when:v.$Pj.isEqualTo((0,v.$Nj)(v.LogLevel.Trace)).serialize()})}async c(u,t,s){const r=`${u} #${++this.b}: ${t.url}`;this.a.trace(`${r} - begin`,t.type,new I(t.headers??{}));try{const n=await s();return this.a.trace(`${r} - end`,t.type,n.res.statusCode,n.res.headers),n}catch(n){throw this.a.error(`${r} - error`,t.type,(0,R.$0)(n)),n}}}e.$tp=k;function p(f){return f.res.statusCode&&f.res.statusCode>=200&&f.res.statusCode<300||f.res.statusCode===1223}e.$up=p;function d(f){return f.res.statusCode===204}e.$vp=d;async function m(f){return d(f)?null:(await(0,E.$Ee)(f.stream)).toString()}e.$wp=m;async function l(f){if(!p(f))throw new Error("Server returned "+f.res.statusCode);return m(f)}e.$xp=l;async function b(f){if(!p(f))throw new Error("Server returned "+f.res.statusCode);if(d(f))return null;const t=(await(0,E.$Ee)(f.stream)).toString();try{return JSON.parse(t)}catch(s){throw s.message+=`:
`+t,s}}e.$yp=b;function c(f){h(f)}e.$zp=c;let g;function h(f){const u=w.$Tn.as(D.$Yn.Configuration),t=g;g={id:"http",order:15,title:(0,C.localize)(1,null),type:"object",scope:f,properties:{"http.proxy":{type:"string",pattern:"^(https?|socks|socks4a?|socks5h?)://([^:]*(:[^@]*)?@)?([^:]+|\\[[:0-9a-fA-F]+\\])(:\\d+)?/?$|^$",markdownDescription:(0,C.localize)(2,null),restricted:!0},"http.proxyStrictSSL":{type:"boolean",default:!0,description:(0,C.localize)(3,null),restricted:!0},"http.proxyKerberosServicePrincipal":{type:"string",markdownDescription:(0,C.localize)(4,null),restricted:!0},"http.proxyAuthorization":{type:["null","string"],default:null,markdownDescription:(0,C.localize)(5,null),restricted:!0},"http.proxySupport":{type:"string",enum:["off","on","fallback","override"],enumDescriptions:[(0,C.localize)(6,null),(0,C.localize)(7,null),(0,C.localize)(8,null),(0,C.localize)(9,null)],default:"override",description:(0,C.localize)(10,null),restricted:!0},"http.systemCertificates":{type:"boolean",default:!0,description:(0,C.localize)(11,null),restricted:!0},"http.experimental.systemCertificatesV2":{type:"boolean",tags:["experimental"],default:!1,description:(0,C.localize)(12,null),restricted:!0}}},u.updateConfigurations({add:[g],remove:t?[t]:[]})}h(1)}),define(ye[237],ke([1,0,20,12,16,46]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$QP=void 0;let D=class{constructor(v,w){this.a=v,this.b=w}async download(v,w,I=E.CancellationToken.None){if(v.scheme===R.Schemas.file||v.scheme===R.Schemas.vscodeRemote){await this.b.copy(v,w);return}const k={type:"GET",url:v.toString(!0)},p=await this.a.request(k,I);if(p.res.statusCode===200)await this.b.writeFile(w,p.stream);else{const d=await(0,C.$xp)(p);throw new Error(`Expected 200, got back ${p.res.statusCode} instead.

${d}`)}}};e.$QP=D,e.$QP=D=Me([Oe(0,C.$sp),Oe(1,o.$Bk)],D)}),define(ye[238],ke([1,0,14,20]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wr=e.$vr=void 0;class o{constructor(S){this.a=S}listen(S,v){throw new Error("Invalid listen")}call(S,v,w,I=R.CancellationToken.None){switch(v){case"request":return this.a.request(w[0],I).then(async({res:k,stream:p})=>{const d=await(0,E.$Ee)(p);return[{statusCode:k.statusCode,headers:k.headers},d]});case"resolveProxy":return this.a.resolveProxy(w[0]);case"loadCertificates":return this.a.loadCertificates()}throw new Error("Invalid call")}}e.$vr=o;class C{constructor(S){this.a=S}async request(S,v){const[w,I]=await this.a.call("request",[S],v);return{res:w,stream:(0,E.$Ge)(I)}}async resolveProxy(S){return this.a.call("resolveProxy",[S])}async loadCertificates(){return this.a.call("loadCertificates")}}e.$wr=C}),define(ye[239],ke([1,0,87,11]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xr=void 0;function o(D,S){return D.protocol==="http:"?S.HTTP_PROXY||S.http_proxy||null:D.protocol==="https:"&&(S.HTTPS_PROXY||S.https_proxy||S.HTTP_PROXY||S.http_proxy)||null}async function C(D,S,v={}){const w=(0,E.parse)(D),I=v.proxyUrl||o(w,S);if(!I)return null;const k=(0,E.parse)(I);if(!/^https?:$/.test(k.protocol||""))return null;const p={host:k.hostname||"",port:(k.port?+k.port:0)||(k.protocol==="https"?443:80),auth:k.auth,rejectUnauthorized:(0,R.$Yf)(v.strictSSL)?v.strictSSL:!0};return w.protocol==="http:"?new(await new Promise((d,m)=>{le(["http-proxy-agent"],d,m)})).HttpProxyAgent(I,p):new(await new Promise((d,m)=>{le(["https-proxy-agent"],d,m)})).HttpsProxyAgent(I,p)}e.$xr=C}),define(ye[88],ke([1,0,54,7,197,20,39,10,3,22,105,214,15,148]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$km=void 0;let m;async function l(c,g,h,f){return h["force-disable-user-env"]?(g.trace("resolveShellEnv(): skipped (--force-disable-user-env)"),{}):v.$i?(g.trace("resolveShellEnv(): skipped (Windows)"),{}):(0,k.$em)(f)&&!h["force-user-env"]?(g.trace("resolveShellEnv(): skipped (VSCODE_CLI is set)"),{}):((0,k.$em)(f)?g.trace("resolveShellEnv(): running (--force-user-env)"):g.trace("resolveShellEnv(): running (macOS/Linux)"),m||(m=p.Promises.withAsyncBody(async(u,t)=>{const s=new C.$ce;let r=1e4;const n=c.getValue("application.shellEnvironmentResolutionTimeout");typeof n=="number"&&(r=(0,d.$fm)(n,1,120)*1e3);const i=setTimeout(()=>{s.dispose(!0),t(new Error((0,o.localize)(0,null)))},r);try{u(await b(g,s.token))}catch(a){!(0,S.$4)(a)&&!s.token.isCancellationRequested?t(new Error((0,o.localize)(1,null,(0,D.$2i)(a)))):u({})}finally{clearTimeout(i),s.dispose()}})),m)}e.$km=l;async function b(c,g){const h=process.env.ELECTRON_RUN_AS_NODE;c.trace("getUnixShellEnvironment#runAsNode",h);const f=process.env.ELECTRON_NO_ATTACH_CONSOLE;c.trace("getUnixShellEnvironment#noAttach",f);const u=(0,w.$Ag)().replace(/-/g,"").substr(0,12),t=new RegExp(u+"({.*})"+u),s={...process.env,ELECTRON_RUN_AS_NODE:"1",ELECTRON_NO_ATTACH_CONSOLE:"1",VSCODE_RESOLVING_ENVIRONMENT:"1"};c.trace("getUnixShellEnvironment#env",s);const r=await(0,I.$7l)(v.OS,s);return c.trace("getUnixShellEnvironment#shell",r),new Promise((n,i)=>{if(g.isCancellationRequested)return i(new S.$5);const a=(0,R.$nc)(r);let $,O;const P="";/^pwsh(-preview)?$/.test(a)?($=`& '${process.execPath}' ${P} -p '''${u}'' + JSON.stringify(process.env) + ''${u}'''`,O=["-Login","-Command"]):a==="nu"?($=`^'${process.execPath}' ${P} -p '"${u}" + JSON.stringify(process.env) + "${u}"'`,O=["-i","-l","-c"]):a==="xonsh"?($=`import os, json; print("${u}", json.dumps(dict(os.environ)), "${u}")`,O=["-i","-l","-c"]):($=`'${process.execPath}' ${P} -p '"${u}" + JSON.stringify(process.env) + "${u}"'`,a==="tcsh"||a==="csh"?O=["-ic"]:O=["-i","-l","-c"]),c.trace("getUnixShellEnvironment#spawn",JSON.stringify(O),$);const y=(0,E.spawn)(r,[...O,$],{detached:!0,stdio:["ignore","pipe","pipe"],env:s});g.onCancellationRequested(()=>(y.kill(),i(new S.$5))),y.on("error",Q=>{c.error("getUnixShellEnvironment#errorChildProcess",(0,D.$2i)(Q)),i(Q)});const A=[];y.stdout.on("data",Q=>A.push(Q));const F=[];y.stderr.on("data",Q=>F.push(Q)),y.on("close",(Q,te)=>{const de=Buffer.concat(A).toString("utf8");c.trace("getUnixShellEnvironment#raw",de);const he=Buffer.concat(F).toString("utf8");if(he.trim()&&c.trace("getUnixShellEnvironment#stderr",he),Q||te)return i(new Error((0,o.localize)(2,null,Q,te)));const B=t.exec(de),V=B?B[1]:"{}";try{const _=JSON.parse(V);h?_.ELECTRON_RUN_AS_NODE=h:delete _.ELECTRON_RUN_AS_NODE,f?_.ELECTRON_NO_ATTACH_CONSOLE=f:delete _.ELECTRON_NO_ATTACH_CONSOLE,delete _.VSCODE_RESOLVING_ENVIRONMENT,delete _.XDG_RUNTIME_DIR,c.trace("getUnixShellEnvironment#result",_),n(_)}catch(_){c.error("getUnixShellEnvironment#errorCaught",(0,D.$2i)(_)),i(_)}})})}}),define(ye[240],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tP=e.$sP=void 0,e.$sP=(0,E.$ei)("stateReadService"),e.$tP=(0,E.$ei)("stateService")}),define(ye[241],ke([1,0,15,14,2,11,26,16,13]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wP=e.$vP=e.$uP=e.SaveStrategy=void 0;var w;(function(d){d[d.IMMEDIATE=0]="IMMEDIATE",d[d.DELAYED=1]="DELAYED"})(w||(e.SaveStrategy=w={}));class I extends o.$Tc{constructor(m,l,b,c){super(),this.h=m,this.j=l,this.m=b,this.n=c,this.a=Object.create(null),this.b="",this.c=this.B(new E.$ch(this.j===0?0:100)),this.f=void 0,this.g=void 0}init(){return this.f||(this.f=this.r()),this.f}async r(){try{this.b=(await this.n.readFile(this.h)).value.toString(),this.a=JSON.parse(this.b)}catch(m){m.fileOperationResult!==1&&this.m.error(m)}}getItem(m,l){const b=this.a[m];return(0,C.$2f)(b)?l:b}setItem(m,l){this.setItems([{key:m,data:l}])}setItems(m){let l=!1;for(const{key:b,data:c}of m)this.a[b]!==c&&((0,C.$2f)(c)?(0,C.$Zf)(this.a[b])||(this.a[b]=void 0,l=!0):(this.a[b]=c,l=!0));l&&this.s()}removeItem(m){(0,C.$Zf)(this.a[m])||(this.a[m]=void 0,this.s())}async s(){if(!this.g)return this.c.trigger(()=>this.t())}async t(){if(!this.f)return;await this.f;const m=JSON.stringify(this.a,null,4);if(m!==this.b)try{await this.n.writeFile(this.h,R.$se.fromString(m),{atomic:{postfix:".vsctmp"}}),this.b=m}catch(l){this.m.error(l)}}async close(){return this.g||(this.g=this.c.trigger(()=>this.t(),0)),this.g}}e.$uP=I;let k=class extends o.$Tc{constructor(m,l,b,c){super(),this.a=this.B(new I(l.stateResource,m,b,c))}async init(){await this.a.init()}getItem(m,l){return this.a.getItem(m,l)}};e.$vP=k,e.$vP=k=Me([Oe(1,D.$li),Oe(2,v.$yj),Oe(3,S.$Bk)],k);class p extends k{setItem(m,l){this.a.setItem(m,l)}setItems(m){this.a.setItems(m)}removeItem(m){this.a.removeItem(m)}close(){return this.a.close()}}e.$wP=p}),define(ye[119],ke([1,0,3,29,22]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vo=e.$Uo=void 0;function C(v){if(E.$u===2&&/^penguin(\.|$)/i.test(v))return"chromebook"}function D(v,w,I,k,p,d,m,l,b){const c=Object.create(null);c["common.machineId"]=d,c["common.sqmId"]=m,c.sessionID=(0,o.$Ag)()+Date.now(),c.commitHash=k,c.version=p,c["common.platformVersion"]=(v||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),c["common.platform"]=(0,E.$h)(E.$u),c["common.nodePlatform"]=R.$dc,c["common.nodeArch"]=I,c["common.product"]=b||"desktop",l&&(c["common.msftInternal"]=l);let g=0;const h=Date.now();Object.defineProperties(c,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-h,enumerable:!0},"common.sequence":{get:()=>g++,enumerable:!0}}),E.$l&&(c["common.snap"]="true");const f=C(w);return f&&(c["common.platformDetail"]=f),c}e.$Uo=D;function S(v){const w=R.env.USERDNSDOMAIN;if(!w)return!1;const I=w.toLowerCase();return v.some(k=>I===k)}e.$Vo=S}),define(ye[242],ke([1,0,18,10,2,21,16]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ErrorEvent=void 0;var S;(function(w){function I(k,p){return k.callstack<p.callstack?-1:k.callstack>p.callstack?1:0}w.compare=I})(S||(e.ErrorEvent=S={}));class v{static{this.ERROR_FLUSH_TIMEOUT=5*1e3}constructor(I,k=v.ERROR_FLUSH_TIMEOUT){this.f=-1,this.g=[],this.h=new o.$Sc,this.c=I,this.d=k;const p=R.$X.addListener(d=>this.j(d));this.h.add((0,o.$Rc)(p)),this.i()}dispose(){clearTimeout(this.f),this.l(),this.h.dispose()}i(){}j(I){if(!I||I.code||(I.detail&&I.detail.stack&&(I=I.detail),R.$bb.isErrorNoTelemetry(I)||I instanceof D.$Wk||typeof I?.message=="string"&&I.message.includes("Unable to read file")))return;const k=Array.isArray(I.stack)?I.stack.join(`
`):I.stack,p=I.message?I.message:(0,C.$Mn)(I);k&&this.k({msg:p,callstack:k})}k(I){const k=(0,E.$wb)(this.g,I,S.compare);k<0?(I.count=1,this.g.splice(~k,0,I)):(this.g[k].count||(this.g[k].count=0),this.g[k].count+=1),this.f===-1&&(this.f=setTimeout(()=>{this.l(),this.f=-1},this.d))}l(){for(const I of this.g)this.c.publicLogError2("UnhandledError",I);this.g.length=0}}e.default=v}),define(ye[243],ke([1,0,2]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ps=void 0;class R extends E.$Tc{constructor(C,D){super(),this.a=C,this.b=D}async call(C,D,S){switch(D){case"updateTelemetryLevel":{const{telemetryLevel:v}=S;return this.a.updateInjectedTelemetryLevel(v)}case"logTelemetry":{const{eventName:v,data:w}=S;return this.b?this.b.log(v,w):Promise.resolve()}case"flushTelemetry":return this.b?this.b.flush():Promise.resolve();case"ping":return}throw new Error(`IPC Command ${D} not found`)}listen(C,D,S){throw new Error("Not supported")}dispose(){this.a.updateInjectedTelemetryLevel(0),super.dispose()}}e.$ps=R}),define(ye[32],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.$Pl=e.$Ol=e.$Nl=e.$Ml=e.$Ll=e.$Kl=e.$Jl=e.$Il=e.$Hl=e.$Gl=e.$Fl=void 0,e.$Fl=(0,E.$ei)("telemetryService"),e.$Gl=(0,E.$ei)("customEndpointTelemetryService"),e.$Hl="telemetry.currentSessionDate",e.$Il="telemetry.firstSessionDate",e.$Jl="telemetry.lastSessionDate",e.$Kl="telemetry.machineId",e.$Ll="telemetry.sqmId",e.$Ml="telemetry",e.$Nl="telemetry.telemetryLevel",e.$Ol="telemetry.enableCrashReporter",e.$Pl="telemetry.enableTelemetry";var R;(function(C){C[C.NONE=0]="NONE",C[C.CRASH=1]="CRASH",C[C.ERROR=2]="ERROR",C[C.USAGE=3]="USAGE"})(R||(e.TelemetryLevel=R={}));var o;(function(C){C.OFF="off",C.CRASH="crash",C.ERROR="error",C.ON="all"})(o||(e.TelemetryConfiguration=o={}))}),define(ye[244],ke([1,0,28,15,41,12,7,3,4,101,23,104,220,16,31,32]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hs=e.$gs=e.$fs=e.$es=void 0;const b=new Map;async function c(t,s){const r=`${t}::${s.join(":")}`,n=b.get(r);if(n)return n;const i=[{tag:"grunt.js",filePattern:/^gruntfile\.js$/i},{tag:"gulp.js",filePattern:/^gulpfile\.js$/i},{tag:"tsconfig.json",filePattern:/^tsconfig\.json$/i},{tag:"package.json",filePattern:/^package\.json$/i},{tag:"jsconfig.json",filePattern:/^jsconfig\.json$/i},{tag:"tslint.json",filePattern:/^tslint\.json$/i},{tag:"eslint.json",filePattern:/^eslint\.json$/i},{tag:"tasks.json",filePattern:/^tasks\.json$/i},{tag:"launch.json",filePattern:/^launch\.json$/i},{tag:"settings.json",filePattern:/^settings\.json$/i},{tag:"webpack.config.js",filePattern:/^webpack\.config\.js$/i},{tag:"project.json",filePattern:/^project\.json$/i},{tag:"makefile",filePattern:/^makefile$/i},{tag:"sln",filePattern:/^.+\.sln$/i},{tag:"csproj",filePattern:/^.+\.csproj$/i},{tag:"cmake",filePattern:/^.+\.cmake$/i},{tag:"github-actions",filePattern:/^.+\.ya?ml$/i,relativePathPattern:/^\.github(?:\/|\\)workflows$/i},{tag:"devcontainer.json",filePattern:/^devcontainer\.json$/i},{tag:"dockerfile",filePattern:/^(dockerfile|docker\-compose\.ya?ml)$/i}],a=new Map,$=new Map,O=2e4;function P(A,F,Q,te){const de=F.substring(A.length+1);return R.Promises.withAsyncBody(async he=>{let B;try{B=await I.Promises.readdir(F,{withFileTypes:!0})}catch{he();return}if(te.count>=O){te.count+=B.length,te.maxReached=!0,he();return}let V=B.length;if(V===0){he();return}let _=B;te.count+B.length>O&&(te.maxReached=!0,V=O-te.count,_=B.slice(0,V)),te.count+=B.length;for(const X of _)if(X.isDirectory()){if(Q.includes(X.name)||await P(A,(0,D.$jc)(F,X.name),Q,te),--V===0){he();return}}else{const ne=X.name.lastIndexOf(".");if(ne>=0){const K=X.name.substring(ne+1);K&&a.set(K,(a.get(K)??0)+1)}for(const K of i)K.relativePathPattern?.test(de)!==!1&&K.filePattern.test(X.name)&&$.set(K.tag,($.get(K.tag)??0)+1);if(--V===0){he();return}}})}const y=R.Promises.withAsyncBody(async A=>{const F={count:0,maxReached:!1};await P(t,t,s,F);const Q=await f(t);A({configFiles:g($),fileTypes:g(a),fileCount:F.count,maxFilesReached:F.maxReached,launchConfigFiles:Q})});return b.set(r,y),y}e.$es=c;function g(t){return Array.from(t.entries(),([s,r])=>({name:s,count:r})).sort((s,r)=>r.count-s.count)}function h(){const t={os:`${E.type()} ${E.arch()} ${E.release()}`,memory:`${(E.totalmem()/d.$0k.GB).toFixed(2)}GB (${(E.freemem()/d.$0k.GB).toFixed(2)}GB free)`,vmHint:`${Math.round(w.$jn.value()*100)}%`},s=E.cpus();return s&&s.length>0&&(t.cpus=`${s[0].model} (${s.length} x ${s[0].speed})`),t}e.$fs=h;async function f(t){try{const s=new Map,r=(0,D.$jc)(t,".vscode","launch.json"),n=await I.Promises.readFile(r),i=[],a=(0,o.$on)(n.toString(),i);if(i.length)return console.log(`Unable to parse ${r}`),[];if((0,o.$xn)(a)==="object"&&a.configurations)for(const $ of a.configurations){const O=$.type;O&&(s.has(O)?s.set(O,s.get(O)+1):s.set(O,1))}return g(s)}catch{return[]}}e.$gs=f;let u=class{constructor(s,r){this.c=s,this.d=r}f(s){const r=[];return r.push(`OS Version:       ${s.os}`),r.push(`CPUs:             ${s.cpus}`),r.push(`Memory (System):  ${s.memory}`),r.push(`VM:               ${s.vmHint}`),r.join(`
`)}g(s){const r=[];r.push(`Version:          ${this.d.nameShort} ${this.d.version} (${this.d.commit||"Commit unknown"}, ${this.d.date||"Date unknown"})`),r.push(`OS Version:       ${E.type()} ${E.arch()} ${E.release()}`);const n=E.cpus();return n&&n.length>0&&r.push(`CPUs:             ${n[0].model} (${n.length} x ${n[0].speed})`),r.push(`Memory (System):  ${(E.totalmem()/d.$0k.GB).toFixed(2)}GB (${(E.freemem()/d.$0k.GB).toFixed(2)}GB free)`),S.$i||r.push(`Load (avg):       ${E.loadavg().map(i=>Math.round(i)).join(", ")}`),r.push(`VM:               ${Math.round(w.$jn.value()*100)}%`),r.push(`Screen Reader:    ${s.screenReader?"yes":"no"}`),r.push(`Process Argv:     ${s.mainArguments.join(" ")}`),r.push(`GPU Status:       ${this.j(s.gpuFeatureStatus)}`),r.join(`
`)}async getPerformanceInfo(s,r){return Promise.all([(0,k.$ds)(s.mainPID),this.k(s)]).then(async n=>{let[i,a]=n,$=this.m(s,i);return r.forEach(O=>{if((0,p.$Vm)(O))$+=`
${O.errorMessage}`,a+=`
${O.errorMessage}`;else if($+=`

Remote: ${O.hostName}`,O.processes&&($+=`
${this.m(s,O.processes)}`),O.workspaceMetadata){a+=`
|  Remote: ${O.hostName}`;for(const P of Object.keys(O.workspaceMetadata)){const y=O.workspaceMetadata[P];let A=`${y.fileCount} files`;y.maxFilesReached&&(A=`more than ${A}`),a+=`|    Folder (${P}): ${A}`,a+=this.h(y)}}}),{processInfo:$,workspaceInfo:a}})}async getSystemInfo(s,r){const{memory:n,vmHint:i,os:a,cpus:$}=h(),O={os:a,memory:n,cpus:$,vmHint:i,processArgs:`${s.mainArguments.join(" ")}`,gpuStatus:s.gpuFeatureStatus,screenReader:`${s.screenReader?"yes":"no"}`,remoteData:r};return S.$i||(O.load=`${E.loadavg().map(P=>Math.round(P)).join(", ")}`),S.$k&&(O.linuxEnv={desktopSession:process.env.DESKTOP_SESSION,xdgSessionDesktop:process.env.XDG_SESSION_DESKTOP,xdgCurrentDesktop:process.env.XDG_CURRENT_DESKTOP,xdgSessionType:process.env.XDG_SESSION_TYPE}),Promise.resolve(O)}async getDiagnostics(s,r){const n=[];return(0,k.$ds)(s.mainPID).then(async i=>(n.push(""),n.push(this.g(s)),n.push(""),n.push(this.m(s,i)),s.windows.some(a=>a.folderURIs&&a.folderURIs.length>0&&!a.remoteAuthority)&&(n.push(""),n.push("Workspace Stats: "),n.push(await this.k(s))),r.forEach(a=>{if((0,p.$Vm)(a))n.push(`
${a.errorMessage}`);else if(n.push(`

`),n.push(`Remote:           ${a.hostName}`),n.push(this.f(a.machineInfo)),a.processes&&n.push(this.m(s,a.processes)),a.workspaceMetadata)for(const $ of Object.keys(a.workspaceMetadata)){const O=a.workspaceMetadata[$];let P=`${O.fileCount} files`;O.maxFilesReached&&(P=`more than ${P}`),n.push(`Folder (${$}): ${P}`),n.push(this.h(O))}}),n.push(""),n.push(""),n.join(`
`)))}h(s){const r=[];let i=0;const a=(y,A)=>{const F=` ${y}(${A})`;i+F.length>60?(r.push($),$="|                 ",i=$.length):i+=F.length,$+=F};let $="|      File types:";const O=10,P=s.fileTypes.length>O?O:s.fileTypes.length;for(let y=0;y<P;y++){const A=s.fileTypes[y];a(A.name,A.count)}if(r.push($),s.configFiles.length>=0&&($="|      Conf files:",i=0,s.configFiles.forEach(y=>{a(y.name,y.count)}),r.push($)),s.launchConfigFiles.length>0){let y="|      Launch Configs:";s.launchConfigFiles.forEach(A=>{const F=A.count>1?` ${A.name}(${A.count})`:` ${A.name}`;y+=F}),r.push(y)}return r.join(`
`)}j(s){const r=Math.max(...Object.keys(s).map(n=>n.length));return Object.keys(s).map(n=>`${n}:  ${" ".repeat(r-n.length)}  ${s[n]}`).join(`
                  `)}k(s){const r=[],n=[];return s.windows.forEach(i=>{i.folderURIs.length===0||i.remoteAuthority||(r.push(`|  Window (${i.title})`),i.folderURIs.forEach(a=>{const $=v.URI.revive(a);if($.scheme===C.Schemas.file){const O=$.fsPath;n.push(c(O,["node_modules",".git"]).then(P=>{let y=`${P.fileCount} files`;P.maxFilesReached&&(y=`more than ${y}`),r.push(`|    Folder (${(0,D.$nc)(O)}): ${y}`),r.push(this.h(P))}).catch(P=>{r.push(`|      Error: Unable to collect workspace stats for folder ${O} (${P.toString()})`)}))}else r.push(`|    Folder (${$.toString()}): Workspace stats not available.`)}))}),Promise.all(n).then(i=>r.join(`
`)).catch(i=>`Unable to collect workspace stats: ${i}`)}m(s,r){const n=new Map;s.windows.forEach(a=>n.set(a.pid,`window [${a.id}] (${a.title})`)),s.pidToNames.forEach(({pid:a,name:$})=>n.set(a,$));const i=[];return i.push("CPU %	Mem MB	   PID	Process"),r&&this.n(s.mainPID,n,i,r,0),i.join(`
`)}n(s,r,n,i,a){const $=a===0;let O;$?O=i.pid===s?`${this.d.applicationName} main`:"remote agent":r.has(i.pid)?O=r.get(i.pid):O=`${"  ".repeat(a)} ${i.name}`;const P=process.platform==="win32"?i.mem:E.totalmem()*(i.mem/100);n.push(`${i.load.toFixed(0).padStart(5," ")}	${(P/d.$0k.MB).toFixed(0).padStart(6," ")}	${i.pid.toFixed(0).padStart(6," ")}	${O}`),Array.isArray(i.children)&&i.children.forEach(y=>this.n(s,r,n,y,a+1))}async getWorkspaceFileExtensions(s){const r=new Set;for(const{uri:n}of s.folders){const i=v.URI.revive(n);if(i.scheme!==C.Schemas.file)continue;const a=i.fsPath;try{(await c(a,["node_modules",".git"])).fileTypes.forEach(O=>r.add(O.name))}catch{}}return{extensions:[...r]}}async reportWorkspaceStats(s){for(const{uri:r}of s.folders){const n=v.URI.revive(r);if(n.scheme!==C.Schemas.file)continue;const i=n.fsPath;try{const a=await c(i,["node_modules",".git"]);this.c.publicLog2("workspace.stats",{"workspace.id":s.telemetryId,rendererSessionId:s.rendererSessionId}),a.fileTypes.forEach($=>{this.c.publicLog2("workspace.stats.file",{rendererSessionId:s.rendererSessionId,type:$.name,count:$.count})}),a.launchConfigFiles.forEach($=>{this.c.publicLog2("workspace.stats.launchConfigFile",{rendererSessionId:s.rendererSessionId,type:$.name,count:$.count})}),a.configFiles.forEach($=>{this.c.publicLog2("workspace.stats.configFiles",{rendererSessionId:s.rendererSessionId,type:$.name,count:$.count})})}catch{}}}};e.$hs=u,e.$hs=u=Me([Oe(0,l.$Fl),Oe(1,m.$Qj)],u)}),define(ye[38],ke([1,0,21,11,58,119,32]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$o=e.$0o=e.$9o=e.$8o=e.$7o=e.$6o=e.$5o=e.$4o=e.$3o=e.$2o=e.$1o=e.$Zo=e.$Yo=e.$Xo=e.$Wo=void 0;class S{constructor(s){this.value=s,this.isTrustedTelemetryValue=!0}}e.$Wo=S;class v{constructor(){this.telemetryLevel=0,this.sessionId="someValue.sessionId",this.machineId="someValue.machineId",this.sqmId="someValue.sqmId",this.firstSessionDate="someValue.firstSessionDate",this.sendErrorTelemetry=!1}publicLog(){}publicLog2(){}publicLogError(){}publicLogError2(){}setExperimentProperty(){}}e.$Xo=v,e.$Yo=new v;class w{async publicLog(s,r,n){}async publicLogError(s,r,n){}}e.$Zo=w,e.$1o="telemetry",e.$2o="extensionTelemetryLog",e.$3o={log:()=>null,flush:()=>Promise.resolve(null)};function I(t,s){return!s.isBuilt&&!s.disableTelemetry?!0:!(s.disableTelemetry||!t.enableTelemetry)}e.$4o=I;function k(t,s){return s.extensionTestsLocationURI?!0:!(s.isBuilt||s.disableTelemetry||t.enableTelemetry&&t.aiConfig?.ariaKey)}e.$5o=k;function p(t){const s=t.getValue(D.$Nl),r=t.getValue(D.$Ol);if(t.getValue(D.$Pl)===!1||r===!1)return 0;switch(s??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.$6o=p;function d(t){const s={},r={},n={};b(t,n);for(let i in n){i=i.length>150?i.substr(i.length-149):i;const a=n[i];typeof a=="number"?r[i]=a:typeof a=="boolean"?r[i]=a?1:0:typeof a=="string"?(a.length>8192&&console.warn(`Telemetry property: ${i} has been trimmed to 8192, the original length is ${a.length}`),s[i]=a.substring(0,8191)):typeof a<"u"&&a!==null&&(s[i]=a)}return{properties:s,measurements:r}}e.$7o=d;const m=new Set(["ssh-remote","dev-container","attached-container","wsl","tunnel","codespaces","amlext"]);function l(t){if(!t)return"none";const s=(0,o.$ml)(t);return m.has(s)?s:"other"}e.$8o=l;function b(t,s,r=0,n){if(t)for(const i of Object.getOwnPropertyNames(t)){const a=t[i],$=n?n+i:i;Array.isArray(a)?s[$]=(0,E.$Mn)(a):a instanceof Date?s[$]=a.toISOString():(0,R.$Uf)(a)?r<2?b(a,s,r+1,$+"."):s[$]=(0,E.$Mn)(a):s[$]=a}}function c(t,s){const r=t.msftInternalDomains||[],n=s.getValue("telemetry.internalTesting");return(0,C.$Vo)(r)||n}e.$9o=c;function g(t){return[t.appRoot,t.extensionsPath,t.userHome.fsPath,t.tmpDir.fsPath,t.userDataPath]}e.$0o=g;function h(t,s){if(!t||!t.includes("/")&&!t.includes("\\"))return t;let r=t;const n=[];for(const O of s)for(;;){const P=O.exec(t);if(!P)break;n.push([P.index,O.lastIndex])}const i=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,a=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let $=0;for(r="";;){const O=a.exec(t);if(!O)break;const P=n.some(([y,A])=>O.index<A&&y<a.lastIndex);!i.test(O[0])&&!P&&(r+=t.substring($,O.index)+"<REDACTED: user-file-path>",$=a.lastIndex)}return $<t.length&&(r+=t.substr($)),r}function f(t){if(!t)return t;const s=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"GitHub Token",regex:/(gh[psuro]_[a-zA-Z0-9]{36}|github_pat_[a-zA-Z0-9]{22}_[a-zA-Z0-9]{59})/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/i},{label:"Email",regex:/@[a-zA-Z0-9-]+\.[a-zA-Z0-9-]+/}];for(const r of s)if(r.regex.test(t))return`<REDACTED: ${r.label}>`;return t}function u(t,s){return(0,E.$Jn)(t,r=>{if(r instanceof S||Object.hasOwnProperty.call(r,"isTrustedTelemetryValue"))return r.value;if(typeof r=="string"){let n=r.replaceAll("%20"," ");n=h(n,s);for(const i of s)n=n.replace(i,"");return n=f(n),n}})}e.$$o=u}),define(ye[36],ke([1,0,17,30,35,3,4,10,29,38]),function(le,e,E,R,o,C,D,S,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kp=e.$jp=e.$ip=e.$hp=e.$gp=e.$fp=e.$ep=e.$dp=e.$cp=e.$bp=e.$ap=e.$_o=void 0;function I(r,n){return r.uuid&&n.uuid?r.uuid===n.uuid:r.id===n.id?!0:(0,E.$ef)(r.id,n.id)===0}e.$_o=I;const k=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class p{static create(n){const i=n.manifest?n.manifest.version:n.version,a=n.manifest?n.targetPlatform:n.properties.targetPlatform;return new p(n.identifier,i,a)}static parse(n){const i=k.exec(n);return i&&i[1]&&i[2]?new p({id:i[1]},i[2],i[4]||void 0):null}constructor(n,i,a="undefined"){this.version=i,this.targetPlatform=a,this.id=n.id}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(n){return n instanceof p?I(this,n)&&this.version===n.version&&this.targetPlatform===n.targetPlatform:!1}}e.$ap=p;const d=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function m(r){const n=d.exec(r);return n&&n[1]?[b(n[1]),n[2]]:[b(r),void 0]}e.$bp=m;function l(r,n){return`${r}.${n}`}e.$cp=l;function b(r){return r.toLowerCase()}e.$dp=b;function c(r,n){return b(l(r??o.$sm,n))}e.$ep=c;function g(r,n){const i=[],a=$=>{for(const O of i)if(O.some(P=>I(n(P),n($))))return O;return null};for(const $ of r){const O=a($);O?O.push($):i.push([$])}return i}e.$fp=g;function h(r){return{id:r.identifier.id,name:r.manifest.name,galleryId:null,publisherId:r.publisherId,publisherName:r.manifest.publisher,publisherDisplayName:r.publisherDisplayName,dependencies:r.manifest.extensionDependencies&&r.manifest.extensionDependencies.length>0}}e.$gp=h;function f(r){return{id:new w.$Wo(r.identifier.id),name:new w.$Wo(r.name),galleryId:r.identifier.uuid,publisherId:r.publisherId,publisherName:r.publisher,publisherDisplayName:r.publisherDisplayName,isPreReleaseVersion:r.properties.isPreReleaseVersion,dependencies:!!(r.properties.dependencies&&r.properties.dependencies.length>0),isSigned:r.isSigned,...r.telemetryData}}e.$hp=f,e.$ip=new o.$wm("pprice.better-merge");function u(r,n){const i=[],a=n.manifest.extensionDependencies?.slice(0)??[];for(;a.length;){const $=a.shift();if($&&i.every(O=>!I(O.identifier,{id:$}))){const O=r.filter(P=>I(P.identifier,{id:$}));O.length===1&&(i.push(O[0]),a.push(...O[0].manifest.extensionDependencies?.slice(0)??[]))}}return i}e.$jp=u;async function t(r,n){if(!C.$k)return!1;let i;try{i=(await r.readFile(D.URI.file("/etc/os-release"))).value.toString()}catch{try{i=(await r.readFile(D.URI.file("/usr/lib/os-release"))).value.toString()}catch($){n.debug("Error while getting the os-release file.",(0,S.$0)($))}}return!!i&&(i.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async function s(r,n){const i=await t(r,n),a=(0,R.$Go)(i?"alpine":C.$u,v.$ec);return n.debug("ComputeTargetPlatform:",a),a}e.$kp=s}),define(ye[120],ke([1,0,20,10,12,19,55,4,184,30,36,35]),function(le,e,E,R,o,C,D,S,v,w,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sp=void 0;const p=l=>(0,v.localize)(0,null,l),d=(0,v.localize)(1,null,"ms-dotnettools.csharp");let m=class{constructor(b,c,g){this.a=b,this.b=c,this.d=g}get f(){}async listExtensions(b,c,g){let h=await this.b.getInstalled(1,g);const f=k.$vm.map(t=>t.toLowerCase());if(c&&c!==""){if(f.indexOf(c.toLowerCase())<0){this.a.info("Invalid category please enter a valid category. To list valid categories run --category without a category specified");return}h=h.filter(t=>t.manifest.categories?t.manifest.categories.map(r=>r.toLowerCase()).indexOf(c.toLowerCase())>-1:!1)}else if(c===""){this.a.info("Possible Categories: "),f.forEach(t=>{this.a.info(t)});return}this.f&&this.a.info((0,v.localize)(2,null,this.f)),h=h.sort((t,s)=>t.identifier.id.localeCompare(s.identifier.id));let u;for(const t of h)u!==t.identifier.id&&(u=t.identifier.id,this.a.info(b?`${u}@${t.manifest.version}`:u))}async installExtensions(b,c,g,h){const f=[];try{b.length&&this.a.info(this.f?(0,v.localize)(3,null,this.f):(0,v.localize)(4,null));const u=[],t=[],s=(n,i,a)=>{t.push({id:n,version:i!=="prerelease"?i:void 0,installOptions:{...g,isBuiltin:a,installPreReleaseVersion:i==="prerelease"||g.installPreReleaseVersion}})};for(const n of b)if(n instanceof S.URI)u.push({vsix:n,installOptions:g});else{const[i,a]=(0,I.$bp)(n);s(i,a,!1)}for(const n of c)if(n instanceof S.URI)u.push({vsix:n,installOptions:{...g,isBuiltin:!0,donotIncludePackAndDependencies:!0}});else{const[i,a]=(0,I.$bp)(n);s(i,a,!0)}const r=await this.b.getInstalled(1,g.profileLocation);if(u.length&&await Promise.all(u.map(async({vsix:n,installOptions:i})=>{try{await this.h(n,i,h,r)}catch(a){this.a.error(a),f.push(n.toString())}})),t.length){const n=await this.g(t,r,h);f.push(...n)}}catch(u){throw this.a.error((0,v.localize)(5,null,(0,R.$0)(u))),u}if(f.length)throw new Error((0,v.localize)(6,null,f.join(", ")))}async updateExtensions(b){const c=await this.b.getInstalled(1,b),g=[];for(const t of c)t.identifier.uuid&&g.push({...t.identifier,preRelease:t.preRelease});this.a.trace((0,v.localize)(7,null,g.length));const h=await this.d.getExtensions(g,{compatible:!0},E.CancellationToken.None),f=[];for(const t of h)for(const s of c)(0,I.$_o)(s.identifier,t.identifier)&&(0,D.gt)(t.version,s.manifest.version)&&f.push({extension:t,options:{operation:3,installPreReleaseVersion:s.isPreReleaseVersion}});if(!f.length){this.a.info((0,v.localize)(8,null));return}this.a.info((0,v.localize)(9,null,f.map(t=>t.extension.identifier.id).join(", ")));const u=await this.b.installGalleryExtensions(f);for(const t of u)t.error?this.a.error((0,v.localize)(10,null,t.identifier.id,(0,R.$0)(t.error))):this.a.info((0,v.localize)(11,null,t.identifier.id,t.local?.manifest.version))}async g(b,c,g){if(b=b.filter(({id:t,version:s})=>{const r=c.find(n=>(0,I.$_o)(n.identifier,{id:t}));if(r){if(!g&&(!s||s==="prerelease"&&r.preRelease))return this.a.info((0,v.localize)(12,null,t,r.manifest.version,t)),!1;if(s&&r.manifest.version===s)return this.a.info((0,v.localize)(13,null,`${t}@${s}`)),!1}return!0}),!b.length)return[];const h=[],f=[],u=await this.j(b);if(await Promise.all(b.map(async({id:t,version:s,installOptions:r})=>{const n=u.get(t.toLowerCase());if(!n){this.a.error(`${p(s?`${t}@${s}`:t)}
${d}`),h.push(t);return}try{const a=await this.d.getManifest(n,E.CancellationToken.None);if(a&&!this.k(a))return}catch(a){this.a.error(a.message||a.stack||a),h.push(t);return}const i=c.find(a=>(0,I.$_o)(a.identifier,n.identifier));if(i){if(n.version===i.manifest.version){this.a.info((0,v.localize)(14,null,s?`${t}@${s}`:t));return}this.a.info((0,v.localize)(15,null,t,n.version))}r.isBuiltin?this.a.info(s?(0,v.localize)(16,null,t,s):(0,v.localize)(17,null,t)):this.a.info(s?(0,v.localize)(18,null,t,s):(0,v.localize)(19,null,t)),f.push({extension:n,options:{...r,installGivenVersion:!!s}})})),f.length){const t=await this.b.installGalleryExtensions(f);for(const s of t)s.error?(this.a.error((0,v.localize)(20,null,s.identifier.id,(0,R.$0)(s.error))),h.push(s.identifier.id)):this.a.info((0,v.localize)(21,null,s.identifier.id,s.local?.manifest.version))}return h}async h(b,c,g,h){const f=await this.b.getManifest(b);if(!f)throw new Error("Invalid vsix");if(await this.l(f,g,c.profileLocation,h))try{await this.b.install(b,c),this.a.info((0,v.localize)(22,null,(0,C.$Og)(b)))}catch(t){if((0,R.$4)(t))this.a.info((0,v.localize)(23,null,(0,C.$Og)(b)));else throw t}}async j(b){const c=new Map,g=b.some(u=>u.installOptions.installPreReleaseVersion),h=await this.b.getTargetPlatform(),f=[];for(const u of b)w.$zo.test(u.id)&&f.push({...u,preRelease:g});if(f.length){const u=await this.d.getExtensions(f,{targetPlatform:h},E.CancellationToken.None);for(const t of u)c.set(t.identifier.id.toLowerCase(),t)}return c}k(b){return!0}async l(b,c,g,h){if(!c){const f={id:(0,I.$ep)(b.publisher,b.name)},u=h.find(t=>(0,I.$_o)(f,t.identifier)&&(0,D.gt)(t.manifest.version,b.version));if(u)return this.a.info((0,v.localize)(24,null,u.identifier.id,u.manifest.version,b.version)),!1}return this.k(b)}async uninstallExtensions(b,c,g){const h=async u=>{if(u instanceof S.URI){const t=await this.b.getManifest(u);return(0,I.$cp)(t.publisher,t.name)}return u},f=[];for(const u of b){const t=await h(u),r=(await this.b.getInstalled(void 0,g)).filter(n=>(0,I.$_o)(n.identifier,{id:t}));if(!r.length)throw new Error(`${this.m(t)}
${d}`);if(r.some(n=>n.type===0)){this.a.info((0,v.localize)(25,null,t));return}if(!c&&r.some(n=>n.isBuiltin)){this.a.info((0,v.localize)(26,null,t));return}this.a.info((0,v.localize)(27,null,t));for(const n of r)await this.b.uninstall(n,{profileLocation:g}),f.push(n);this.f?this.a.info((0,v.localize)(28,null,t,this.f)):this.a.info((0,v.localize)(29,null,t))}}async locateExtension(b){const c=await this.b.getInstalled();b.forEach(g=>{c.forEach(h=>{if(h.identifier.id===g&&h.location.scheme===o.Schemas.file){this.a.info(h.location.fsPath);return}})})}m(b){return this.f?(0,v.localize)(30,null,b,this.f):(0,v.localize)(31,null,b)}};e.$Sp=m,e.$Sp=m=Me([Oe(1,w.$No),Oe(2,w.$Ko)],m)}),define(ye[245],ke([1,0,15,10,2,12,19,55,11,22,23,81,25,26,30,36,86,16,13]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g){"use strict";var h;Object.defineProperty(e,"__esModule",{value:!0}),e.$dq=void 0;let f=class extends o.$Tc{static{h=this}static{this.c=".sigzip"}constructor(t,s,r,n,i,a){super(),this.h=s,this.j=r,this.m=n,this.n=i,this.r=a,this.extensionsDownloadDir=t.extensionsDownloadLocation,this.f=20,this.g=this.y()}async download(t,s,r){await this.g;const n=(0,D.$Rg)(this.extensionsDownloadDir,this.z(t));try{await this.w(t,n,a=>this.j.download(t,a,s))}catch(a){throw new m.$Lo(a.message,m.ExtensionManagementErrorCode.Download)}let i=!1;if(r&&this.t(t)){const a=await this.u(t);try{i=await this.n.verify(n.fsPath,a.fsPath,this.r.getLevel()===g.LogLevel.Trace)}catch($){const O=$;if(i=O.code,O.output&&this.r.trace(`Extension signature verification details for ${t.identifier.id} ${t.version}:
${O.output}`),i===m.ExtensionSignaturetErrorCode.PackageIsInvalidZip||i===m.ExtensionSignaturetErrorCode.SignatureArchiveIsInvalidZip){try{await this.delete(n)}catch(P){this.r.error(P)}throw new m.$Lo(k.$Wp,m.ExtensionManagementErrorCode.CorruptZip)}}finally{try{await this.delete(a)}catch($){this.r.error($)}}}return i===!0?this.r.info(`Extension signature is verified: ${t.identifier.id}`):i===!1?this.r.info(`Extension signature verification is not done: ${t.identifier.id}`):this.r.warn(`Extension signature verification failed with error '${i}': ${t.identifier.id}`),{location:n,verificationStatus:i}}t(t){if(!t.isSigned)return this.r.info(`Extension is not signed: ${t.identifier.id}`),!1;const s=this.m.getValue("extensions.verifySignature");return(0,v.$Yf)(s)?s:!0}async u(t){await this.g;const s=(0,D.$Rg)(this.extensionsDownloadDir,`${this.z(t)}${h.c}`);try{await this.w(t,s,r=>this.j.downloadSignatureArchive(t,r))}catch(r){throw new m.$Lo(r.message,m.ExtensionManagementErrorCode.DownloadSignature)}return s}async w(t,s,r){if(await this.h.exists(s))return;if(s.scheme!==C.Schemas.file){await r(s);return}const n=(0,D.$Rg)(this.extensionsDownloadDir,`.${(0,w.$Ag)()}`);await this.h.exists(n)||await r(n);try{await I.Promises.rename(n.fsPath,s.fsPath,2*60*1e3)}catch(i){try{await this.h.del(n)}catch{}if(i.code==="ENOTEMPTY")this.r.info("Rename failed because the file was downloaded by another source. So ignoring renaming.",t.identifier.id,s.path);else throw this.r.info(`Rename failed because of ${(0,R.$0)(i)}. Deleted the file from downloaded location`,n.path),i}}async delete(t){await this.g,await this.h.del(t)}async y(){try{if(!await this.h.exists(this.extensionsDownloadDir)){this.r.trace("Extension VSIX downloads cache dir does not exist");return}const t=await this.h.resolve(this.extensionsDownloadDir,{resolveMetadata:!0});if(t.children){const s=[],r=[],n=[];for(const $ of t.children)if($.name.endsWith(h.c))n.push($.resource);else{const O=l.$ap.parse($.name);O&&r.push([O,$])}const i=(0,l.$fp)(r,([$])=>$),a=[];for(const $ of i)$.sort((O,P)=>S.rcompare(O[0].version,P[0].version)),s.push(...$.slice(1).map(O=>O[1].resource)),a.push($[0][1]);a.sort(($,O)=>$.mtime-O.mtime),s.push(...a.slice(0,Math.max(0,a.length-this.f)).map($=>$.resource)),s.push(...n),await E.Promises.settled(s.map($=>(this.r.trace("Deleting from cache",$.path),this.h.del($))))}}catch(t){this.r.error(t)}}z(t){return this.f?l.$ap.create(t).toString().toLowerCase():(0,w.$Ag)()}};e.$dq=f,e.$dq=f=h=Me([Oe(0,d.$mi),Oe(1,c.$Bk),Oe(2,m.$Ko),Oe(3,p.$Ki),Oe(4,b.$Qp),Oe(5,g.$yj)],f)}),define(ye[246],ke([1,0,6,2,24,36,35]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hq=void 0;class S extends R.$Tc{constructor(w,I,k,p,d,m,l){super(),this.f=w,this.g=I,this.h=k,this.j=p,this.m=d,this.n=m,this.r=l,this.a=this.B(new E.$5d),this.onDidChangeExtensionsByAnotherSource=this.a.event,this.b=new Map,this.c=this.B(new R.$3c),this.s().then(null,b=>l.error(b))}async s(){await this.g.initializeDefaultProfileExtensions(),await this.u(this.h.profiles),this.t(),await this.H()}t(){this.B(this.h.onDidChangeProfiles(w=>this.u(w.added))),this.B(this.j.onAddExtensions(w=>this.w(w))),this.B(this.j.onDidAddExtensions(w=>this.y(w))),this.B(this.j.onRemoveExtensions(w=>this.z(w))),this.B(this.j.onDidRemoveExtensions(w=>this.C(w))),this.B(this.n.onDidFilesChange(w=>this.D(w)))}async u(w){try{w.length&&await Promise.all(w.map(I=>(this.c.set(I.id,(0,R.$Qc)(this.n.watch(this.m.extUri.dirname(I.extensionsResource)),this.n.watch(I.extensionsResource))),this.G(I.extensionsResource))))}catch(I){throw this.r.error(I),I}}async w(w){for(const I of w.extensions)this.I(this.L(I.identifier,I.version),w.profileLocation)}async y(w){for(const I of w.extensions){const k=this.L(I.identifier,I.version);w.error?this.J(k,w.profileLocation):this.I(k,w.profileLocation)}}async z(w){for(const I of w.extensions)this.J(this.L(I.identifier,I.version),w.profileLocation)}async C(w){const I=[],k=[];for(const p of w.extensions){const d=this.L(p.identifier,p.version);w.error?this.I(d,w.profileLocation):(this.J(d,w.profileLocation),this.b.has(d)||(this.r.debug("Extension is removed from all profiles",p.identifier.id,p.version),k.push(this.f.scanInstalledExtensionAtLocation(p.location).then(m=>{m?I.push(m):this.r.info("Extension not found at the location",p.location.toString())},m=>this.r.error(m)))))}try{await Promise.all(k),I.length&&await this.H(I)}catch(p){this.r.error(p)}}D(w){for(const I of this.h.profiles)w.contains(I.extensionsResource,0,1)&&this.F(I.extensionsResource)}async F(w){const I=[],k=[],p=await this.j.scanProfileExtensions(w),d=new Set,m=new Set;for(const[l,b]of this.b)b.has(w)&&m.add(l);for(const l of p){const b=this.L(l.identifier,l.version);d.add(b),m.has(b)||(I.push(l.identifier),this.I(b,w))}for(const l of m)if(!d.has(l)){const b=this.M(l);b&&(k.push(b.identifier),this.J(l,w))}(I.length||k.length)&&this.a.fire({added:I.length?{extensions:I,profileLocation:w}:void 0,removed:k.length?{extensions:k,profileLocation:w}:void 0})}async G(w){const I=await this.j.scanProfileExtensions(w);for(const k of I)this.I(this.L(k.identifier,k.version),w)}async H(w){w||(w=(await this.f.scanAllUserInstalledExtensions()).filter(k=>!this.b.has(this.L(k.identifier,k.manifest.version)))),w.length&&await this.f.markAsUninstalled(...w)}I(w,I){let k=this.b.get(w);k||this.b.set(w,k=new o.$Bc(p=>this.m.extUri.getComparisonKey(p))),k.add(I)}J(w,I){const k=this.b.get(w);k&&k.delete(I),k?.size||this.b.delete(w)}L(w,I){return`${D.$wm.toKey(w.id)}@${I}`}M(w){const[I,k]=(0,C.$bp)(w);return k?{identifier:{id:I},version:k}:void 0}}e.$hq=S}),define(ye[247],ke([1,0,218,38]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mp=void 0;async function o(C,D,S,v,w,I,k){const p={"X-Market-Client-Id":`VSCode ${C}`,"User-Agent":`VSCode ${C} (${D.nameShort})`};if((0,R.$4o)(D,S)&&(0,R.$6o)(v)===3){const d=await(0,E.$Lp)(S,w,I);p["X-Market-User-Id"]=d,p["VSCode-SessionId"]=k.machineId||d}return p}e.$Mp=o}),define(ye[121],ke([1,0,89,18,15,2,12,7,23,26,30,36,13,85,4]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ur=void 0;let l=class extends d.$tr{constructor(h,f,u,t){super(u),this.h=h,this.j=t,this.g=this.B(new b(f,t)),this.h.registerParticipant({postInstall:async s=>this.m(s),postUninstall:async s=>this.n(s)})}async getBuiltInExtensionTranslationsUri(h,f){const t=(await this.g.getLanguagePacks())[f];if(!t){this.j.warn(`No language pack found for ${f}`);return}const s=t.translations[h];return s?m.URI.file(s):void 0}async getInstalledLanguages(){const h=await this.g.getLanguagePacks(),f=Object.keys(h).map(u=>{const t=h[u];return{...this.f(u,t.label),extensionId:t.extensions[0].extensionIdentifier.id}});return f.push(this.f("en","English")),f.sort((u,t)=>u.label.localeCompare(t.label)),f}async m(h){h&&h.manifest&&h.manifest.contributes&&h.manifest.contributes.localizations&&h.manifest.contributes.localizations.length&&(this.j.info("Adding language packs from the extension",h.identifier.id),await this.update())}async n(h){const f=await this.g.getLanguagePacks();Object.keys(f).some(u=>f[u]&&f[u].extensions.some(t=>(0,k.$_o)(t.extensionIdentifier,h.identifier)))&&(this.j.info("Removing language packs from the extension",h.identifier.id),await this.update())}async update(){const[h,f]=await Promise.all([this.g.getLanguagePacks(),this.h.getInstalled()]),u=await this.g.update(f);return!(0,R.$ub)(Object.keys(h),Object.keys(u))}};e.$ur=l,e.$ur=l=Me([Oe(0,I.$No),Oe(1,w.$mi),Oe(2,I.$Ko),Oe(3,p.$yj)],l);let b=class extends C.$Tc{constructor(h,f){super(),this.j=f,this.c={},this.f=(0,S.$jc)(h.userDataPath,"languagepacks.json"),this.g=new o.$lh}getLanguagePacks(){return this.g.size||!this.h?this.s().then(()=>this.c):Promise.resolve(this.c)}update(h){return this.s(f=>{Object.keys(f).forEach(u=>delete f[u]),this.m(f,...h)}).then(()=>this.c)}m(h,...f){for(const u of f)u&&u.manifest&&u.manifest.contributes&&u.manifest.contributes.localizations&&u.manifest.contributes.localizations.length&&this.n(h,u);Object.keys(h).forEach(u=>this.r(h[u]))}n(h,f){const u=f.identifier,t=f.manifest.contributes&&f.manifest.contributes.localizations?f.manifest.contributes.localizations:[];for(const s of t)if(f.location.scheme===D.Schemas.file&&c(s)){let r=h[s.languageId];r||(r={hash:"",extensions:[],translations:{},label:s.localizedLanguageName??s.languageName},h[s.languageId]=r);const n=r.extensions.filter(i=>(0,k.$_o)(i.extensionIdentifier,u))[0];n?n.version=f.manifest.version:r.extensions.push({extensionIdentifier:u,version:f.manifest.version});for(const i of s.translations)r.translations[i.id]=(0,S.$jc)(f.location.fsPath,i.path)}}r(h){if(h){const f=(0,E.createHash)("md5");for(const u of h.extensions)f.update(u.extensionIdentifier.uuid||u.extensionIdentifier.id).update(u.version);h.hash=f.digest("hex")}}s(h=()=>null){return this.g.queue(()=>{let f=null;return v.Promises.readFile(this.f,"utf8").then(void 0,u=>u.code==="ENOENT"?Promise.resolve("{}"):Promise.reject(u)).then(u=>{try{return JSON.parse(u)}catch{return{}}}).then(u=>(f=h(u),u)).then(u=>{for(const s of Object.keys(u))u[s]||delete u[s];this.c=u,this.h=!0;const t=JSON.stringify(this.c);return this.j.debug("Writing language packs",t),v.Promises.writeFile(this.f,t)}).then(()=>f,u=>this.j.error(u))})}};b=Me([Oe(0,w.$mi),Oe(1,p.$yj)],b);function c(g){if(typeof g.languageId!="string"||!Array.isArray(g.translations)||g.translations.length===0)return!1;for(const h of g.translations)if(typeof h.id!="string"||typeof h.path!="string")return!1;return!(g.languageName&&typeof g.languageName!="string"||g.localizedLanguageName&&typeof g.localizedLanguageName!="string")}}),define(ye[248],ke([1,0,169,10,21,38]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oP=void 0;const D="https://mobile.events.data.microsoft.com/OneCollector/1.0",S="https://mobile.events.data.microsoft.com/ping";async function v(I,k,p){const d=await(0,E.$tD)("@microsoft/1ds-core-js","dist/ms.core.js"),m=await(0,E.$tD)("@microsoft/1ds-post-js","dist/ms.post.js"),l=new d.AppInsightsCore,b=new m.PostChannel,c={instrumentationKey:I,endpointUrl:D,loggingLevelTelemetry:0,loggingLevelConsole:0,disableCookiesUsage:!0,disableDbgExt:!0,disableInstrumentationKeyValidation:!0,channels:[[b]]};if(p){c.extensionConfig={};const g={alwaysUseXhrOverride:!0,ignoreMc1Ms0CookieProcessing:!0,httpXHROverride:p};c.extensionConfig[b.identifier]=g}return l.initialize(c,[]),l.addTelemetryInitializer(g=>{g.ext=g.ext??{},g.ext.web=g.ext.web??{},g.ext.web.consentDetails='{"GPC_DataSharingOptIn":false}',k&&(g.ext.utc=g.ext.utc??{},g.ext.utc.flags=8462029)}),l}class w{constructor(k,p,d,m,l){this.e=k,this.f=p,this.g=d,this.h=l,this.c=D,this.d=S,this.g||(this.g={}),typeof m=="function"?this.a=m():this.a=m,this.b=null}i(k){if(this.a){if(typeof this.a!="string"){k(this.a);return}this.b||(this.b=v(this.a,this.e,this.h)),this.b.then(p=>{k(p)},p=>{(0,R.$1)(p),console.error(p)})}}log(k,p){if(!this.a)return;p=(0,o.$Kn)(p,this.g),p=(0,C.$7o)(p);const d=this.f+"/"+k;try{this.i(m=>{m.pluginVersionString=p?.properties.version??"Unknown",m.track({name:d,baseData:{name:d,properties:p?.properties,measurements:p?.measurements}})})}catch{}}flush(){return this.a?new Promise(k=>{this.i(p=>{p.unload(!0,()=>{this.a=void 0,k(void 0)})})}):Promise.resolve(void 0)}}e.$oP=w}),define(ye[249],ke([1,0,2,21,3,17,198,25,45,57,31,37,32,38]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ar=void 0;let m=class{static{this.IDLE_START_EVENT_NAME="UserIdleStart"}static{this.IDLE_STOP_EVENT_NAME="UserIdleStop"}constructor(c,g,h){this.k=g,this.l=h,this.d={},this.i=new E.$Sc,this.j=[],this.b=c.appenders,this.c=c.commonProperties??Object.create(null),this.sessionId=this.c.sessionID,this.machineId=this.c["common.machineId"],this.sqmId=this.c["common.sqmId"],this.firstSessionDate=this.c["common.firstSessionDate"],this.msftInternal=this.c["common.msftInternal"],this.f=c.piiPaths||[],this.g=3,this.h=!!c.sendErrorTelemetry,this.j=[/(vscode-)?file:\/\/\/.*?\/resources\/app\//gi];for(const f of this.f)this.j.push(new RegExp((0,C.$Xe)(f),"gi")),f.indexOf("\\")>=0&&this.j.push(new RegExp((0,C.$Xe)(f.replace(/\\/g,"/")),"gi"));this.m(),this.i.add(this.k.onDidChangeConfiguration(f=>{(f.affectsConfiguration(p.$Nl)||f.affectsConfiguration(p.$Pl)||f.affectsConfiguration(p.$Ol))&&this.m()}))}setExperimentProperty(c,g){this.d[c]=g}m(){let c=(0,d.$6o)(this.k);const g=this.l.enabledTelemetryLevels;if(g){this.h=this.sendErrorTelemetry?g.error:!1;const h=g.usage?3:g.error?2:0;c=Math.min(c,h)}this.g=c}get sendErrorTelemetry(){return this.h}get telemetryLevel(){return this.g}dispose(){this.i.dispose()}n(c,g,h){this.g<g||(h=(0,R.$Kn)(h,this.d),h=(0,d.$$o)(h,this.j),h=(0,R.$Kn)(h,this.c),this.b.forEach(f=>f.log(c,h)))}publicLog(c,g){this.n(c,3,g)}publicLog2(c,g){this.publicLog(c,g)}publicLogError(c,g){this.h&&this.n(c,2,g)}publicLogError2(c,g){this.publicLogError(c,g)}};e.$Ar=m,e.$Ar=m=Me([Oe(1,S.$Ki),Oe(2,I.$Qj)],m);function l(){const b=(0,D.localize)(0,null,w.default.nameLong),c=w.default.privacyStatementUrl?(0,D.localize)(2,null,"https://aka.ms/vscode-telemetry",w.default.privacyStatementUrl):(0,D.localize)(1,null,"https://aka.ms/vscode-telemetry"),g=o.$o?"":(0,D.localize)(3,null),h=(0,D.localize)(4,null),f=(0,D.localize)(5,null),u=(0,D.localize)(6,null),t=(0,D.localize)(7,null),s=`
|       | ${h} | ${f} | ${u} |
|:------|:---------------------:|:---------------:|:--------------:|
| all   |            \u2713          |        \u2713        |        \u2713       |
| error |            \u2713          |        \u2713        |        -       |
| crash |            \u2713          |        -        |        -       |
| off   |            -          |        -        |        -       |
`,r=(0,D.localize)(8,null);return`
${b} ${c} ${g}

&nbsp;

${t}
${s}

&nbsp;

${r}
`}k.$Tn.as(v.$Yn.Configuration).registerConfiguration({id:p.$Ml,order:1,type:"object",title:(0,D.localize)(9,null),properties:{[p.$Nl]:{type:"string",enum:["all","error","crash","off"],enumDescriptions:[(0,D.localize)(10,null),(0,D.localize)(11,null),(0,D.localize)(12,null),(0,D.localize)(13,null)],markdownDescription:l(),default:"all",restricted:!0,scope:1,tags:["usesOnlineServices","telemetry"]}}}),k.$Tn.as(v.$Yn.Configuration).registerConfiguration({id:p.$Ml,order:110,type:"object",title:(0,D.localize)(14,null),properties:{[p.$Pl]:{type:"boolean",markdownDescription:w.default.privacyStatementUrl?(0,D.localize)(16,null,w.default.nameLong,w.default.privacyStatementUrl):(0,D.localize)(15,null,w.default.nameLong),default:!0,restricted:!0,markdownDeprecationMessage:(0,D.localize)(17,null,`\`#${p.$Nl}#\``),scope:1,tags:["usesOnlineServices","telemetry"]}}})}),define(ye[250],ke([1,0,25,5,31,32,249,38]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$os=e.$ns=e.$ms=void 0;let v=class extends D.$Ar{constructor(I,k,p,d){super(I,p,d),this.o=k}publicLog(I,k){if(!(this.o<3))return super.publicLog(I,k)}publicLog2(I,k){return this.publicLog(I,k)}publicLogError(I,k){return this.o<2?Promise.resolve(void 0):super.publicLogError(I,k)}publicLogError2(I,k){return this.publicLogError(I,k)}async updateInjectedTelemetryLevel(I){if(I===void 0)throw this.o=0,new Error("Telemetry level cannot be undefined. This will cause infinite looping!");this.o=this.o?Math.min(this.o,I):I,this.o===0&&this.dispose()}};e.$ms=v,e.$ms=v=Me([Oe(2,E.$Ki),Oe(3,o.$Qj)],v),e.$ns=new class extends S.$Xo{async updateInjectedTelemetryLevel(){}},e.$os=(0,R.$fi)(C.$Fl)}),define(ye[251],ke([1,0,14,20,304,248]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pP=void 0;async function D(I,k){const p=await k.request(I,R.CancellationToken.None),d=(await(0,E.$Ee)(p.stream)).toString(),m=p.res.statusCode??200;return{headers:p.res.headers,statusCode:m,responseData:d}}async function S(I){const k={method:I.type,headers:I.headers};return new Promise((d,m)=>{const l=o.request(I.url??"",k,b=>{b.on("data",function(c){d({headers:b.headers,statusCode:b.statusCode??200,responseData:c.toString()})}),b.on("error",function(c){m(c)})});l.write(I.data,b=>{b&&m(b)}),l.end()})}async function v(I,k,p){const d=typeof k.data=="string"?k.data:new TextDecoder().decode(k.data),m={type:"POST",headers:{...k.headers,"Content-Type":"application/json","Content-Length":Buffer.byteLength(k.data).toString()},url:k.urlString,data:d};try{const l=I?await D(m,I):await S(m);p(l.statusCode,l.headers,l.responseData)}catch{p(0,{})}}class w extends C.$oP{constructor(k,p,d,m,l){const b={sendPOST:(c,g)=>{v(k,c,g)}};super(p,d,m,l,b)}}e.$pP=w}),define(ye[252],ke([1,0,10,242]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0});class o extends R.default{i(){(0,E.setUnexpectedErrorHandler)(S=>console.error(S));const D=[];process.on("unhandledRejection",(S,v)=>{D.push(v),setTimeout(()=>{const w=D.indexOf(v);w>=0&&v.catch(I=>{D.splice(w,1),(0,E.$4)(I)||(console.warn(`rejected promise not handled within 1 second: ${I}`),I.stack&&console.warn(`stack trace: ${I.stack}`),S&&(0,E.$1)(S))})},1e3)}),process.on("rejectionHandled",S=>{const v=D.indexOf(S);v>=0&&D.splice(v,1)}),process.on("uncaughtException",S=>{(0,E.$Z)(S)||(0,E.$1)(S)})}}e.default=o}),define(ye[122],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EnvironmentVariableMutatorType=void 0;var E;(function(R){R[R.Replace=1]="Replace",R[R.Append=2]="Append",R[R.Prepend=3]="Prepend"})(E||(e.EnvironmentVariableMutatorType=E={}))}),define(ye[123],ke([1,0,3,122]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4r=void 0;const o=new Map([[R.EnvironmentVariableMutatorType.Append,"APPEND"],[R.EnvironmentVariableMutatorType.Prepend,"PREPEND"],[R.EnvironmentVariableMutatorType.Replace,"REPLACE"]]);class C{constructor(I){this.collections=I,this.a=new Map,this.b=new Map,I.forEach((k,p)=>{this.d(k,p);const d=k.map.entries();let m=d.next();for(;!m.done;){const l=m.value[1],b=m.value[0];let c=this.a.get(b);if(c||(c=[],this.a.set(b,c)),c.length>0&&c[0].type===R.EnvironmentVariableMutatorType.Replace){m=d.next();continue}const g={extensionIdentifier:p,value:l.value,type:l.type,scope:l.scope,variable:l.variable,options:l.options};g.scope||delete g.scope,c.unshift(g),m=d.next()}})}async applyToProcessEnvironment(I,k,p){let d;E.$i&&(d={},Object.keys(I).forEach(m=>d[m.toLowerCase()]=m));for(const[m,l]of this.getVariableMap(k)){const b=E.$i&&d[m.toLowerCase()]||m;for(const c of l){const g=p?await p(c.value):c.value;if(c.options?.applyAtProcessCreation??!0)switch(c.type){case R.EnvironmentVariableMutatorType.Append:I[b]=(I[b]||"")+g;break;case R.EnvironmentVariableMutatorType.Prepend:I[b]=g+(I[b]||"");break;case R.EnvironmentVariableMutatorType.Replace:I[b]=g;break}if(c.options?.applyAtShellIntegration??!1){const h=`VSCODE_ENV_${o.get(c.type)}`;I[h]=(I[h]?I[h]+":":"")+m+"="+this.c(g)}}}}c(I){return I.replaceAll(":","\\x3a")}diff(I,k){const p=new Map,d=new Map,m=new Map;if(I.getVariableMap(k).forEach((l,b)=>{const c=this.getVariableMap(k).get(b),g=S(l,c);g&&p.set(b,g)}),this.getVariableMap(k).forEach((l,b)=>{const c=I.getVariableMap(k).get(b),g=S(l,c);g&&m.set(b,g)}),this.getVariableMap(k).forEach((l,b)=>{const c=I.getVariableMap(k).get(b),g=v(l,c);g&&d.set(b,g)}),!(p.size===0&&d.size===0&&m.size===0))return{added:p,changed:d,removed:m}}getVariableMap(I){const k=new Map;for(const p of this.a.values()){const d=p.filter(m=>D(m,I));d.length>0&&k.set(d[0].variable,d)}return k}getDescriptionMap(I){const k=new Map;for(const p of this.b.values()){const d=p.filter(m=>D(m,I,!0));for(const m of d)k.set(m.extensionIdentifier,m.description)}return k}d(I,k){if(!I.descriptionMap)return;const p=I.descriptionMap.entries();let d=p.next();for(;!d.done;){const m=d.value[1],l=d.value[0];let b=this.b.get(l);b||(b=[],this.b.set(l,b));const c={extensionIdentifier:k,scope:m.scope,description:m.description};c.scope||delete c.scope,b.push(c),d=p.next()}}}e.$4r=C;function D(w,I,k=!1){return w.scope?!!(w.scope.workspaceFolder&&I?.workspaceFolder&&w.scope.workspaceFolder.index===I.workspaceFolder.index):k?I===w.scope:!0}function S(w,I){if(!I)return w;const k=new Set;I.forEach(d=>k.add(d.extensionIdentifier));const p=[];return w.forEach(d=>{k.has(d.extensionIdentifier)||p.push(d)}),p.length===0?void 0:p}function v(w,I){if(!I)return;const k=new Map;I.forEach(d=>k.set(d.extensionIdentifier,d));const p=[];return w.forEach(d=>{const m=k.get(d.extensionIdentifier);m&&(d.type!==m.type||d.value!==m.value||d.scope?.workspaceFolder?.index!==m.scope?.workspaceFolder?.index)&&p.push(m)}),p.length===0?void 0:p}}),define(ye[90],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3r=e.$2r=e.$1r=e.$Zr=e.$Yr=e.$Xr=void 0;function E(v){return[...v.entries()]}e.$Xr=E;function R(v){return v?[...v.entries()]:[]}e.$Yr=R;function o(v){return new Map(v)}e.$Zr=o;function C(v){return new Map(v??[])}e.$1r=C;function D(v){return Array.from(v.entries()).map(w=>[w[0],E(w[1].map),R(w[1].descriptionMap)])}e.$2r=D;function S(v){return new Map(v.map(w=>[w[0],{map:o(w[1]),descriptionMap:C(w[2])}]))}e.$3r=S}),define(ye[253],ke([1,0,15,20,6,2,13]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Or=void 0;let S=class extends C.$Tc{constructor(w,I){super(),this.h=I,this.a=0,this.c=new Map,this.f=new Map,this.g=this.B(new o.$5d),this.onCreateRequest=this.g.event,this.b=w===void 0?15e3:w,this.B((0,C.$Rc)(()=>{for(const k of this.f.values())(0,C.$Oc)(k)}))}createRequest(w){return new Promise((I,k)=>{const p=++this.a;this.c.set(p,I),this.g.fire({requestId:p,...w});const d=new R.$ce;(0,E.$fh)(this.b,d.token).then(()=>k(`Request ${p} timed out (${this.b}ms)`)),this.f.set(p,[(0,C.$Rc)(()=>d.cancel())])})}acceptReply(w,I){const k=this.c.get(w);k?(this.c.delete(w),(0,C.$Oc)(this.f.get(w)||[]),this.f.delete(w),k(I)):this.h.warn(`RequestStore#acceptReply was called without receiving a matching request ${w}`)}};e.$Or=S,e.$Or=S=Me([Oe(1,D.$yj)],S)}),define(ye[91],ke([1,0,5,69,37]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kr=e.$Jr=e.$Ir=e.TerminalExitReason=e.ShellIntegrationStatus=e.ProfileSource=e.FlowControlConstants=e.LocalReconnectConstants=e.TerminalLocationString=e.TerminalLocation=e.HeartbeatConstants=e.$Hr=e.ProcessPropertyType=e.TerminalIpcChannels=e.TitleEventSource=e.WindowsShellType=e.PosixShellType=e.TerminalSettingId=e.TerminalSettingPrefix=e.$Gr=void 0,e.$Gr=new R.$vj("terminalTabFocusMode",!1,!0);var C;(function(u){u.AutomationProfile="terminal.integrated.automationProfile.",u.DefaultProfile="terminal.integrated.defaultProfile.",u.Profiles="terminal.integrated.profiles."})(C||(e.TerminalSettingPrefix=C={}));var D;(function(u){u.SendKeybindingsToShell="terminal.integrated.sendKeybindingsToShell",u.AutomationProfileLinux="terminal.integrated.automationProfile.linux",u.AutomationProfileMacOs="terminal.integrated.automationProfile.osx",u.AutomationProfileWindows="terminal.integrated.automationProfile.windows",u.ProfilesWindows="terminal.integrated.profiles.windows",u.ProfilesMacOs="terminal.integrated.profiles.osx",u.ProfilesLinux="terminal.integrated.profiles.linux",u.DefaultProfileLinux="terminal.integrated.defaultProfile.linux",u.DefaultProfileMacOs="terminal.integrated.defaultProfile.osx",u.DefaultProfileWindows="terminal.integrated.defaultProfile.windows",u.UseWslProfiles="terminal.integrated.useWslProfiles",u.TabsDefaultColor="terminal.integrated.tabs.defaultColor",u.TabsDefaultIcon="terminal.integrated.tabs.defaultIcon",u.TabsEnabled="terminal.integrated.tabs.enabled",u.TabsEnableAnimation="terminal.integrated.tabs.enableAnimation",u.TabsHideCondition="terminal.integrated.tabs.hideCondition",u.TabsShowActiveTerminal="terminal.integrated.tabs.showActiveTerminal",u.TabsShowActions="terminal.integrated.tabs.showActions",u.TabsLocation="terminal.integrated.tabs.location",u.TabsFocusMode="terminal.integrated.tabs.focusMode",u.MacOptionIsMeta="terminal.integrated.macOptionIsMeta",u.MacOptionClickForcesSelection="terminal.integrated.macOptionClickForcesSelection",u.AltClickMovesCursor="terminal.integrated.altClickMovesCursor",u.CopyOnSelection="terminal.integrated.copyOnSelection",u.EnableMultiLinePasteWarning="terminal.integrated.enableMultiLinePasteWarning",u.DrawBoldTextInBrightColors="terminal.integrated.drawBoldTextInBrightColors",u.FontFamily="terminal.integrated.fontFamily",u.FontSize="terminal.integrated.fontSize",u.LetterSpacing="terminal.integrated.letterSpacing",u.LineHeight="terminal.integrated.lineHeight",u.MinimumContrastRatio="terminal.integrated.minimumContrastRatio",u.TabStopWidth="terminal.integrated.tabStopWidth",u.FastScrollSensitivity="terminal.integrated.fastScrollSensitivity",u.MouseWheelScrollSensitivity="terminal.integrated.mouseWheelScrollSensitivity",u.BellDuration="terminal.integrated.bellDuration",u.FontWeight="terminal.integrated.fontWeight",u.FontWeightBold="terminal.integrated.fontWeightBold",u.CursorBlinking="terminal.integrated.cursorBlinking",u.CursorStyle="terminal.integrated.cursorStyle",u.CursorStyleInactive="terminal.integrated.cursorStyleInactive",u.CursorWidth="terminal.integrated.cursorWidth",u.Scrollback="terminal.integrated.scrollback",u.DetectLocale="terminal.integrated.detectLocale",u.DefaultLocation="terminal.integrated.defaultLocation",u.GpuAcceleration="terminal.integrated.gpuAcceleration",u.TerminalTitleSeparator="terminal.integrated.tabs.separator",u.TerminalTitle="terminal.integrated.tabs.title",u.TerminalDescription="terminal.integrated.tabs.description",u.RightClickBehavior="terminal.integrated.rightClickBehavior",u.Cwd="terminal.integrated.cwd",u.ConfirmOnExit="terminal.integrated.confirmOnExit",u.ConfirmOnKill="terminal.integrated.confirmOnKill",u.EnableBell="terminal.integrated.enableBell",u.EnableVisualBell="terminal.integrated.enableVisualBell",u.CommandsToSkipShell="terminal.integrated.commandsToSkipShell",u.AllowChords="terminal.integrated.allowChords",u.AllowMnemonics="terminal.integrated.allowMnemonics",u.TabFocusMode="terminal.integrated.tabFocusMode",u.EnvMacOs="terminal.integrated.env.osx",u.EnvLinux="terminal.integrated.env.linux",u.EnvWindows="terminal.integrated.env.windows",u.EnvironmentChangesIndicator="terminal.integrated.environmentChangesIndicator",u.EnvironmentChangesRelaunch="terminal.integrated.environmentChangesRelaunch",u.ShowExitAlert="terminal.integrated.showExitAlert",u.SplitCwd="terminal.integrated.splitCwd",u.WindowsEnableConpty="terminal.integrated.windowsEnableConpty",u.WordSeparators="terminal.integrated.wordSeparators",u.EnableFileLinks="terminal.integrated.enableFileLinks",u.UnicodeVersion="terminal.integrated.unicodeVersion",u.LocalEchoLatencyThreshold="terminal.integrated.localEchoLatencyThreshold",u.LocalEchoEnabled="terminal.integrated.localEchoEnabled",u.LocalEchoExcludePrograms="terminal.integrated.localEchoExcludePrograms",u.LocalEchoStyle="terminal.integrated.localEchoStyle",u.EnablePersistentSessions="terminal.integrated.enablePersistentSessions",u.PersistentSessionReviveProcess="terminal.integrated.persistentSessionReviveProcess",u.HideOnStartup="terminal.integrated.hideOnStartup",u.CustomGlyphs="terminal.integrated.customGlyphs",u.PersistentSessionScrollback="terminal.integrated.persistentSessionScrollback",u.InheritEnv="terminal.integrated.inheritEnv",u.ShowLinkHover="terminal.integrated.showLinkHover",u.IgnoreProcessNames="terminal.integrated.ignoreProcessNames",u.AutoReplies="terminal.integrated.autoReplies",u.ShellIntegrationEnabled="terminal.integrated.shellIntegration.enabled",u.ShellIntegrationShowWelcome="terminal.integrated.shellIntegration.showWelcome",u.ShellIntegrationDecorationsEnabled="terminal.integrated.shellIntegration.decorationsEnabled",u.ShellIntegrationCommandHistory="terminal.integrated.shellIntegration.history",u.ShellIntegrationSuggestEnabled="terminal.integrated.shellIntegration.suggestEnabled",u.EnableImages="terminal.integrated.enableImages",u.SmoothScrolling="terminal.integrated.smoothScrolling",u.IgnoreBracketedPasteMode="terminal.integrated.ignoreBracketedPasteMode",u.FocusAfterRun="terminal.integrated.focusAfterRun",u.AccessibleViewPreserveCursorPosition="terminal.integrated.accessibleViewPreserveCursorPosition",u.AccessibleViewFocusOnCommandExecution="terminal.integrated.accessibleViewFocusOnCommandExecution",u.StickyScrollEnabled="terminal.integrated.stickyScroll.enabled",u.StickyScrollMaxLineCount="terminal.integrated.stickyScroll.maxLineCount",u.MouseWheelZoom="terminal.integrated.mouseWheelZoom",u.DeveloperPtyHostLatency="terminal.integrated.developer.ptyHost.latency",u.DeveloperPtyHostStartupDelay="terminal.integrated.developer.ptyHost.startupDelay",u.DevMode="terminal.integrated.developer.devMode"})(D||(e.TerminalSettingId=D={}));var S;(function(u){u.PowerShell="pwsh",u.Bash="bash",u.Fish="fish",u.Sh="sh",u.Csh="csh",u.Ksh="ksh",u.Zsh="zsh",u.Python="python"})(S||(e.PosixShellType=S={}));var v;(function(u){u.CommandPrompt="cmd",u.PowerShell="pwsh",u.Wsl="wsl",u.GitBash="gitbash",u.Python="python"})(v||(e.WindowsShellType=v={}));var w;(function(u){u[u.Api=0]="Api",u[u.Process=1]="Process",u[u.Sequence=2]="Sequence",u[u.Config=3]="Config"})(w||(e.TitleEventSource=w={}));var I;(function(u){u.LocalPty="localPty",u.PtyHost="ptyHost",u.PtyHostWindow="ptyHostWindow",u.Logger="logger",u.Heartbeat="heartbeat"})(I||(e.TerminalIpcChannels=I={}));var k;(function(u){u.Cwd="cwd",u.InitialCwd="initialCwd",u.FixedDimensions="fixedDimensions",u.Title="title",u.ShellType="shellType",u.HasChildProcesses="hasChildProcesses",u.ResolvedShellLaunchConfig="resolvedShellLaunchConfig",u.OverrideDimensions="overrideDimensions",u.FailedShellIntegrationActivation="failedShellIntegrationActivation",u.UsedShellIntegrationInjection="usedShellIntegrationInjection"})(k||(e.ProcessPropertyType=k={})),e.$Hr=(0,E.$ei)("ptyService");var p;(function(u){u[u.BeatInterval=5e3]="BeatInterval",u[u.ConnectingBeatInterval=2e4]="ConnectingBeatInterval",u[u.FirstWaitMultiplier=1.2]="FirstWaitMultiplier",u[u.SecondWaitMultiplier=1]="SecondWaitMultiplier",u[u.CreateProcessTimeout=5e3]="CreateProcessTimeout"})(p||(e.HeartbeatConstants=p={}));var d;(function(u){u[u.Panel=1]="Panel",u[u.Editor=2]="Editor"})(d||(e.TerminalLocation=d={}));var m;(function(u){u.TerminalView="view",u.Editor="editor"})(m||(e.TerminalLocationString=m={}));var l;(function(u){u[u.GraceTime=6e4]="GraceTime",u[u.ShortGraceTime=6e3]="ShortGraceTime"})(l||(e.LocalReconnectConstants=l={}));var b;(function(u){u[u.HighWatermarkChars=1e5]="HighWatermarkChars",u[u.LowWatermarkChars=5e3]="LowWatermarkChars",u[u.CharCountAckSize=5e3]="CharCountAckSize"})(b||(e.FlowControlConstants=b={}));var c;(function(u){u.GitBash="Git Bash",u.Pwsh="PowerShell"})(c||(e.ProfileSource=c={}));var g;(function(u){u[u.Off=0]="Off",u[u.FinalTerm=1]="FinalTerm",u[u.VSCode=2]="VSCode"})(g||(e.ShellIntegrationStatus=g={}));var h;(function(u){u[u.Unknown=0]="Unknown",u[u.Shutdown=1]="Shutdown",u[u.Process=2]="Process",u[u.User=3]="User",u[u.Extension=4]="Extension"})(h||(e.TerminalExitReason=h={})),e.$Ir={Backend:"workbench.contributions.terminal.processBackend"};class f{constructor(){this.a=new Map}get backends(){return this.a}registerTerminalBackend(t){const s=this.b(t.remoteAuthority);if(this.a.has(s))throw new Error(`A terminal backend with remote authority '${s}' was already registered.`);this.a.set(s,t)}getTerminalBackend(t){return this.a.get(this.b(t))}b(t){return t?.toLowerCase()??""}}o.$Tn.add(e.$Ir.Backend,new f),e.$Jr=(0,E.$ei)("localPtyService"),e.$Kr=(0,E.$ei)("terminalLogService")}),define(ye[254],ke([1,0,3]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7O=e.$6O=e.$5O=void 0;function R(D){let S=D;S.includes("\\")&&(S=S.replace(/\\/g,"\\\\"));const v=/[\`\$\|\&\>\~\#\!\^\*\;\<\"\']/g;return S=S.replace(v,""),`'${S}'`}e.$5O=R;function o(D,S,v){if(!D)return"";if(!S)return D;S.match(/[\/\\]$/)&&(S=S.slice(0,S.length-1));const w=D.replace(/\\/g,"/").toLowerCase(),I=S.replace(/\\/g,"/").toLowerCase();return w.includes(I)?`~${v}${D.slice(S.length+1)}`:D}e.$6O=o;function C(D){return D.match(/^['"].*['"]$/)&&(D=D.substring(1,D.length-1)),E.OS===1&&D&&D[1]===":"?D[0].toUpperCase()+D.substring(1):D}e.$7O=C}),define(ye[255],ke([1,0,51,4,200,99]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sr=e.$Rr=e.$Qr=e.$Pr=void 0;function D(p,d){const m=[{name:null,description:(0,o.localize)(0,null)}];return m.push(...p.map(l=>({name:l.profileName,description:S(l)}))),d&&m.push(...d.map(l=>({name:l.title,description:v(l)}))),{values:m.map(l=>l.name),markdownDescriptions:m.map(l=>l.description)}}e.$Pr=D;function S(p){let d=`$(${C.ThemeIcon.isThemeIcon(p.icon)?p.icon.id:p.icon?p.icon:E.$kk.terminal.id}) ${p.profileName}
- path: ${p.path}`;return p.args&&(typeof p.args=="string"?d+=`
- args: "${p.args}"`:d+=`
- args: [${p.args.length===0?"":`'${p.args.join("','")}'`}]`),p.overrideName!==void 0&&(d+=`
- overrideName: ${p.overrideName}`),p.color&&(d+=`
- color: ${p.color}`),p.env&&(d+=`
- env: ${JSON.stringify(p.env)}`),d}function v(p){return`$(${C.ThemeIcon.isThemeIcon(p.icon)?p.icon.id:p.icon?p.icon:E.$kk.terminal.id}) ${p.title}
- extensionIdentifier: ${p.extensionIdentifier}`}function w(p,d){if(!p&&!d)return!0;if(typeof p=="string"&&typeof d=="string")return p===d;if(Array.isArray(p)&&Array.isArray(d)){if(p.length!==d.length)return!1;for(let m=0;m<p.length;m++)if(p[m]!==d[m])return!1;return!0}return!1}e.$Qr=w;function I(p,d){if(!p&&!d)return!0;if(!p||!d)return!1;if(C.ThemeIcon.isThemeIcon(p)&&C.ThemeIcon.isThemeIcon(d))return p.id===d.id&&p.color===d.color;if(typeof p=="object"&&"light"in p&&"dark"in p&&typeof d=="object"&&"light"in d&&"dark"in d){const m=p,l=d;if((R.URI.isUri(m.light)||k(m.light))&&(R.URI.isUri(m.dark)||k(m.dark))&&(R.URI.isUri(l.light)||k(l.light))&&(R.URI.isUri(l.dark)||k(l.dark)))return m.light.path===l.light.path&&m.dark.path===l.dark.path}if(R.URI.isUri(p)&&R.URI.isUri(d)||k(p)||k(d)){const m=p,l=d;return m.path===l.path&&m.scheme===l.scheme}return!1}e.$Rr=I;function k(p){return p?typeof p.path=="string"&&typeof p.scheme=="string":!1}e.$Sr=k}),define(ye[256],ke([1,0,51,3,199,45,37,255]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wr=e.$Vr=e.$Ur=e.$Tr=void 0,e.$Tr={type:["string","null"],enum:["terminal.ansiBlack","terminal.ansiRed","terminal.ansiGreen","terminal.ansiYellow","terminal.ansiBlue","terminal.ansiMagenta","terminal.ansiCyan","terminal.ansiWhite"],default:null},e.$Ur={type:"string",enum:Array.from((0,E.$jk)(),b=>b.id),markdownEnumDescriptions:Array.from((0,E.$jk)(),b=>`$(${b.id})`)};const v={args:{description:(0,o.localize)(0,null),type:"array",items:{type:"string"}},overrideName:{description:(0,o.localize)(1,null),type:"boolean"},icon:{description:(0,o.localize)(2,null),...e.$Ur},color:{description:(0,o.localize)(3,null),...e.$Tr},env:{markdownDescription:(0,o.localize)(4,null),type:"object",additionalProperties:{type:["string","null"]},default:{}}},w={type:"object",required:["path"],properties:{path:{description:(0,o.localize)(5,null),type:["string","array"],items:{type:"string"}},...v}},I={type:"object",required:["path"],properties:{path:{description:(0,o.localize)(6,null),type:["string"],items:{type:"string"}},...v}};function k(b){const c=b===2?"linux":b===1?"osx":"windows";return(0,o.localize)(7,null,(0,R.$h)(b),'```json\n"terminal.integrated.profile.'+c+'": {\n  "bash": null\n}\n```',"[","](https://code.visualstudio.com/docs/terminal/profiles)")}const p={id:"terminal",order:100,title:(0,o.localize)(8,null),type:"object",properties:{"terminal.integrated.automationProfile.linux":{restricted:!0,markdownDescription:(0,o.localize)(9,null),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},"terminal.integrated.automationProfile.osx":{restricted:!0,markdownDescription:(0,o.localize)(10,null),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},"terminal.integrated.automationProfile.windows":{restricted:!0,markdownDescription:(0,o.localize)(11,null,"`terminal.integrated.automationShell.windows`"),type:["object","null"],default:null,anyOf:[{type:"null"},I],defaultSnippets:[{body:{path:"${1}",icon:"${2}"}}]},"terminal.integrated.profiles.windows":{restricted:!0,markdownDescription:k(3),type:"object",default:{PowerShell:{source:"PowerShell",icon:"terminal-powershell"},"Command Prompt":{path:["${env:windir}\\Sysnative\\cmd.exe","${env:windir}\\System32\\cmd.exe"],args:[],icon:"terminal-cmd"},"Git Bash":{source:"Git Bash"}},additionalProperties:{anyOf:[{type:"object",required:["source"],properties:{source:{description:(0,o.localize)(12,null),enum:["PowerShell","Git Bash"]},...v}},{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,o.localize)(13,null),type:"string"},id:{description:(0,o.localize)(14,null),type:"string"},title:{description:(0,o.localize)(15,null),type:"string"},...v}},{type:"null"},w]}},"terminal.integrated.profiles.osx":{restricted:!0,markdownDescription:k(1),type:"object",default:{bash:{path:"bash",args:["-l"],icon:"terminal-bash"},zsh:{path:"zsh",args:["-l"]},fish:{path:"fish",args:["-l"]},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,o.localize)(16,null),type:"string"},id:{description:(0,o.localize)(17,null),type:"string"},title:{description:(0,o.localize)(18,null),type:"string"},...v}},{type:"null"},w]}},"terminal.integrated.profiles.linux":{restricted:!0,markdownDescription:k(2),type:"object",default:{bash:{path:"bash",icon:"terminal-bash"},zsh:{path:"zsh"},fish:{path:"fish"},tmux:{path:"tmux",icon:"terminal-tmux"},pwsh:{path:"pwsh",icon:"terminal-powershell"}},additionalProperties:{anyOf:[{type:"object",required:["extensionIdentifier","id","title"],properties:{extensionIdentifier:{description:(0,o.localize)(19,null),type:"string"},id:{description:(0,o.localize)(20,null),type:"string"},title:{description:(0,o.localize)(21,null),type:"string"},...v}},{type:"null"},w]}},"terminal.integrated.useWslProfiles":{description:(0,o.localize)(22,null),type:"boolean",default:!0},"terminal.integrated.inheritEnv":{scope:1,description:(0,o.localize)(23,null),type:"boolean",default:!0},"terminal.integrated.persistentSessionScrollback":{scope:1,markdownDescription:(0,o.localize)(24,null),type:"number",default:100},"terminal.integrated.showLinkHover":{scope:1,description:(0,o.localize)(25,null),type:"boolean",default:!0},"terminal.integrated.ignoreProcessNames":{markdownDescription:(0,o.localize)(26,null,"`#terminal.integrated.confirmOnKill#`"),type:"array",items:{type:"string",uniqueItems:!0},default:["starship","oh-my-posh","bash","zsh"]}}};function d(){D.$Tn.as(C.$Yn.Configuration).registerConfiguration(p),l()}e.$Vr=d;let m;function l(b,c){const g=D.$Tn.as(C.$Yn.Configuration);let h;b&&(h=(0,S.$Pr)(b?.profiles,c));const f=m;m={id:"terminal",order:100,title:(0,o.localize)(27,null),type:"object",properties:{"terminal.integrated.defaultProfile.linux":{restricted:!0,markdownDescription:(0,o.localize)(28,null),type:["string","null"],default:null,enum:b?.os===3?h?.values:void 0,markdownEnumDescriptions:b?.os===3?h?.markdownDescriptions:void 0},"terminal.integrated.defaultProfile.osx":{restricted:!0,markdownDescription:(0,o.localize)(29,null),type:["string","null"],default:null,enum:b?.os===2?h?.values:void 0,markdownEnumDescriptions:b?.os===2?h?.markdownDescriptions:void 0},"terminal.integrated.defaultProfile.windows":{restricted:!0,markdownDescription:(0,o.localize)(30,null),type:["string","null"],default:null,enum:b?.os===1?h?.values:void 0,markdownEnumDescriptions:b?.os===1?h?.markdownDescriptions:void 0}}},g.updateConfigurations({add:[m],remove:f?[f]:[]})}e.$Wr=l}),define(ye[257],ke([1,0,2,12,107,26,108]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$JP=void 0;let S=class extends E.$Tc{constructor(w,I){super(),this.a=w,this.b=I}start(){const w={serverName:"Pty Host",args:["--type=ptyHost","--logsPath",this.b.logsHome.with({scheme:R.Schemas.file}).fsPath],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/terminal/node/ptyHostMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true",VSCODE_RECONNECT_GRACE_TIME:this.a.graceTime,VSCODE_RECONNECT_SHORT_GRACE_TIME:this.a.shortGraceTime,VSCODE_RECONNECT_SCROLLBACK:this.a.scrollback}},I=(0,D.$Om)(this.b.args,this.b.isBuilt);I&&(I.break&&I.port?w.debugBrk=I.port:!I.break&&I.port&&(w.debug=I.port));const k=new o.$Cq(R.$yg.asFileUri("bootstrap-fork").fsPath,w),p=new E.$Sc;return p.add(k),{client:k,store:p,onDidProcessExit:k.onDidProcessExit}}};e.$JP=S,e.$JP=S=Me([Oe(1,C.$li)],S)}),define(ye[258],ke([1,0,28,12,21,7,3,29,17,11,23,122,90,123]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7r=e.$6r=e.$5r=void 0;function m(){const n=/(\d+)\.(\d+)\.(\d+)/g.exec(E.release());let i=0;return n&&n.length===4&&(i=parseInt(n[3])),i}e.$5r=m;async function l(n,i,a,$=S.env,O=I.Promises.exists){if(C.$ic(n))return await O(n)?n:void 0;if(i===void 0&&(i=S.cwd()),C.$mc(n)!=="."){const F=C.$jc(i,n);return await O(F)?F:void 0}const y=(0,o.$On)($,"PATH");if(a===void 0&&(0,w.$Sf)(y)&&(a=y.split(C.$tc)),a===void 0||a.length===0){const F=C.$jc(i,n);return await O(F)?F:void 0}for(const F of a){let Q;if(C.$ic(F)?Q=C.$jc(F,n):Q=C.$jc(i,F,n),await O(Q))return Q;if(D.$i){let te=Q+".com";if(await O(te)||(te=Q+".exe",await O(te)))return te}}const A=C.$jc(i,n);return await O(A)?A:void 0}e.$6r=l;function b(n,i,a,$,O){const P=D.$i&&(!i.windowsEnableConpty||m()<18309);if(!i.shellIntegration.enabled||!n.executable||n.isFeatureTerminal||n.hideFromUser||n.ignoreShellIntegration||P)return;const y=n.args,A=S.$dc==="win32"?C.$nc(n.executable).toLowerCase():C.$nc(n.executable),F=C.$mc(R.$yg.asFileUri("").fsPath);let Q;const te={VSCODE_INJECTION:"1"};if(i.shellIntegration.nonce&&(te.VSCODE_NONCE=i.shellIntegration.nonce),D.$i){if(A==="pwsh.exe"||A==="powershell.exe")return!y||s(y)?Q=h.get(g.WindowsPwsh):t(y)&&(Q=h.get(g.WindowsPwshLogin)),Q?(Q=[...Q],Q[Q.length-1]=(0,v.$Te)(Q[Q.length-1],F,""),i.shellIntegration.suggestEnabled&&(te.VSCODE_SUGGEST="1"),{newArgs:Q,envMixin:te}):void 0;$.warn(`Shell integration cannot be enabled for executable "${n.executable}" and args`,n.args);return}switch(A){case"bash":return!y||y.length===0?Q=h.get(g.Bash):r(y)&&(te.VSCODE_SHELL_LOGIN="1",c(i,te),Q=h.get(g.Bash)),Q?(Q=[...Q],Q[Q.length-1]=(0,v.$Te)(Q[Q.length-1],F),{newArgs:Q,envMixin:te}):void 0;case"fish":{const de=a?.XDG_DATA_DIRS??"/usr/local/share:/usr/share",he=C.$jc(F,"out/vs/workbench/contrib/terminal/browser/media/fish_xdg_data");return te.XDG_DATA_DIRS=`${de}:${he}`,c(i,te),{newArgs:void 0,envMixin:te}}case"pwsh":return!y||s(y)?Q=h.get(g.Pwsh):t(y)&&(Q=h.get(g.PwshLogin)),Q?(i.shellIntegration.suggestEnabled&&(te.VSCODE_SUGGEST="1"),Q=[...Q],Q[Q.length-1]=(0,v.$Te)(Q[Q.length-1],F,""),{newArgs:Q,envMixin:te}):void 0;case"zsh":{if(!y||y.length===0?Q=h.get(g.Zsh):r(y)?(Q=h.get(g.ZshLogin),c(i,te)):(y===h.get(g.Zsh)||y===h.get(g.ZshLogin))&&(Q=y),!Q)return;Q=[...Q],Q[Q.length-1]=(0,v.$Te)(Q[Q.length-1],F);let de;try{de=E.userInfo().username}catch{de="unknown"}const he=C.$jc(E.tmpdir(),`${de}-${O.applicationName}-zsh`);te.ZDOTDIR=he;const B=a?.ZDOTDIR??E.homedir()??"~";te.USER_ZDOTDIR=B;const V=[];return V.push({source:C.$jc(F,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-rc.zsh"),dest:C.$jc(he,".zshrc")}),V.push({source:C.$jc(F,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-profile.zsh"),dest:C.$jc(he,".zprofile")}),V.push({source:C.$jc(F,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-env.zsh"),dest:C.$jc(he,".zshenv")}),V.push({source:C.$jc(F,"out/vs/workbench/contrib/terminal/browser/media/shellIntegration-login.zsh"),dest:C.$jc(he,".zlogin")}),{newArgs:Q,envMixin:te,filesToCopy:V}}}$.warn(`Shell integration cannot be enabled for executable "${n.executable}" and args`,n.args)}e.$7r=b;function c(n,i){if(D.$j&&n.environmentVariableCollections){const a=(0,p.$3r)(n.environmentVariableCollections),O=new d.$4r(a).getVariableMap({workspaceFolder:n.workspaceFolder}).get("PATH"),P=[];if(O)for(const y of O)y.type===k.EnvironmentVariableMutatorType.Prepend&&P.push(y.value);P.length>0&&(i.VSCODE_PATH_PREFIX=P.join(""))}}var g;(function(n){n.WindowsPwsh="windows-pwsh",n.WindowsPwshLogin="windows-pwsh-login",n.Pwsh="pwsh",n.PwshLogin="pwsh-login",n.Zsh="zsh",n.ZshLogin="zsh-login",n.Bash="bash"})(g||(g={}));const h=new Map;h.set(g.WindowsPwsh,["-noexit","-command",'try { . "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1" } catch {}{1}']),h.set(g.WindowsPwshLogin,["-l","-noexit","-command",'try { . "{0}\\out\\vs\\workbench\\contrib\\terminal\\browser\\media\\shellIntegration.ps1" } catch {}{1}']),h.set(g.Pwsh,["-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"{1}']),h.set(g.PwshLogin,["-l","-noexit","-command",'. "{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration.ps1"']),h.set(g.Zsh,["-i"]),h.set(g.ZshLogin,["-il"]),h.set(g.Bash,["--init-file","{0}/out/vs/workbench/contrib/terminal/browser/media/shellIntegration-bash.sh"]);const f=["-login","-l"],u=["-nol","-nologo"];function t(n){return typeof n=="string"?f.includes(n.toLowerCase()):n.length===1&&f.includes(n[0].toLowerCase())||n.length===2&&(f.includes(n[0].toLowerCase())||f.includes(n[1].toLowerCase()))&&(u.includes(n[0].toLowerCase())||u.includes(n[1].toLowerCase()))}function s(n){return typeof n=="string"?u.includes(n.toLowerCase()):n.length===0||n?.length===1&&u.includes(n[0].toLowerCase())}function r(n){return n==="string"&&f.includes(n.toLowerCase())||typeof n!="string"&&n.length===1&&f.includes(n[0].toLowerCase())}}),define(ye[259],ke([1,0,54,51,7,3,11,23,102,258,77]),function(le,e,E,R,o,C,D,S,v,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8r=void 0;var k;(function(a){a.UnixShellsPath="/etc/shells"})(k||(k={}));let p,d=!0;function m(a,$,O,P,y=process.env,A,F,Q,te){return A=A||{existsFile:S.SymlinkSupport.existsFile,readFile:S.Promises.readFile},C.$i?l(O,A,y,F,P.getValue("terminal.integrated.useWslProfiles")!==!1,a&&typeof a=="object"?{...a}:P.getValue("terminal.integrated.profiles.windows"),typeof $=="string"?$:P.getValue("terminal.integrated.defaultProfile.windows"),te,Q):r(A,F,O,a&&typeof a=="object"?{...a}:P.getValue(C.$k?"terminal.integrated.profiles.linux":"terminal.integrated.profiles.osx"),typeof $=="string"?$:P.getValue(C.$k?"terminal.integrated.defaultProfile.linux":"terminal.integrated.defaultProfile.osx"),te,Q,y)}e.$8r=m;async function l(a,$,O,P,y,A,F,Q,te){const de=process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432"),he=`${process.env.windir}\\${de?"Sysnative":"System32"}`;let B=!1;(0,w.$5r)()>=16299&&(B=!0),await h(Q);const V=new Map;if(a){V.set("PowerShell",{source:"PowerShell",icon:R.$kk.terminalPowershell,isAutoDetected:!0}),V.set("Windows PowerShell",{path:`${he}\\WindowsPowerShell\\v1.0\\powershell.exe`,icon:R.$kk.terminalPowershell,isAutoDetected:!0}),V.set("Git Bash",{source:"Git Bash",isAutoDetected:!0}),V.set("Command Prompt",{path:`${he}\\cmd.exe`,icon:R.$kk.terminalCmd,isAutoDetected:!0}),V.set("Cygwin",{path:[{path:`${process.env.HOMEDRIVE}\\cygwin64\\bin\\bash.exe`,isUnsafe:!0},{path:`${process.env.HOMEDRIVE}\\cygwin\\bin\\bash.exe`,isUnsafe:!0}],args:["--login"],isAutoDetected:!0}),V.set("bash (MSYS2)",{path:[{path:`${process.env.HOMEDRIVE}\\msys64\\usr\\bin\\bash.exe`,isUnsafe:!0}],args:["--login","-i"],env:{CHERE_INVOKING:"1"},icon:R.$kk.terminalBash,isAutoDetected:!0});const X=`${process.env.CMDER_ROOT||`${process.env.HOMEDRIVE}\\cmder`}\\vendor\\bin\\vscode_init.cmd`;V.set("Cmder",{path:`${he}\\cmd.exe`,args:["/K",X],requiresPath:process.env.CMDER_ROOT?X:{path:X,isUnsafe:!0},isAutoDetected:!0})}n(A,V);const _=await b(V.entries(),F,$,O,P,te);if(a&&y)try{const X=await t(`${he}\\${B?"wsl":"bash"}.exe`,F);for(const ne of X)(!A||!(ne.profileName in A))&&_.push(ne)}catch{d&&(P?.trace("WSL is not installed, so could not detect WSL profiles"),d=!1)}return _}async function b(a,$,O,P=process.env,y,A){const F=[];for(const[Q,te]of a)F.push(c(Q,te,$,O,P,y,A));return(await Promise.all(F)).filter(Q=>!!Q)}async function c(a,$,O,P,y=process.env,A,F){if($===null)return;let Q,te,de;if("source"in $&&!("path"in $)){const _=p?.get($.source);if(!_)return;Q=_.paths,te=$.args||_.args,$.icon?de=g($.icon):_.icon&&(de=_.icon)}else Q=Array.isArray($.path)?$.path:[$.path],te=C.$i||Array.isArray($.args)?$.args:void 0,de=g($.icon);let he;if(F){const _=Q.map(ne=>typeof ne=="string"?ne:ne.path),X=await F(_);he=new Array(Q.length);for(let ne=0;ne<Q.length;ne++)typeof Q[ne]=="string"?he[ne]=X[ne]:he[ne]={path:X[ne],isUnsafe:!0}}else he=Q.slice();let B;if($.requiresPath){let _;if((0,D.$Sf)($.requiresPath)?_=$.requiresPath:(_=$.requiresPath.path,$.requiresPath.isUnsafe&&(B=_)),!await P.existsFile(_))return}const V=await i(a,O,he,P,y,te,$.env,$.overrideName,$.isAutoDetected,B);if(!V){A?.debug("Terminal profile not validated",a,Q);return}return V.isAutoDetected=$.isAutoDetected,V.icon=de,V.color=$.color,V}function g(a){return typeof a=="string"?{id:a}:a}async function h(a){if(p&&!a)return;const[$,O]=await Promise.all([f(),a||u()]);p=new Map,p.set("Git Bash",{profileName:"Git Bash",paths:$,args:["--login","-i"]}),p.set("PowerShell",{profileName:"PowerShell",paths:O,icon:R.$kk.terminalPowershell})}async function f(){const a=new Set,$=await(0,w.$6r)("git.exe");if($){const y=(0,I.dirname)($);a.add((0,I.resolve)(y,"../.."))}function O(y,A){A&&y.add(A)}O(a,process.env.ProgramW6432),O(a,process.env.ProgramFiles),O(a,process.env["ProgramFiles(X86)"]),O(a,`${process.env.LocalAppData}\\Program`);const P=[];for(const y of a)P.push(`${y}\\Git\\bin\\bash.exe`,`${y}\\Git\\usr\\bin\\bash.exe`,`${y}\\usr\\bin\\bash.exe`);return P.push(`${process.env.UserProfile}\\scoop\\apps\\git\\current\\bin\\bash.exe`),P.push(`${process.env.UserProfile}\\scoop\\apps\\git-with-openssh\\current\\bin\\bash.exe`),P}async function u(){const a=[];for await(const $ of(0,v.$1l)())a.push($.exePath);return a}async function t(a,$){const O=[],P=await new Promise((F,Q)=>{E.exec("wsl.exe -l -q",{encoding:"utf16le",timeout:1e3},(te,de)=>{if(te)return Q("Problem occurred when getting wsl distros");F(de)})});if(!P)return[];const y=new RegExp(/[\r?\n]/),A=P.split(y).filter(F=>F.trim().length>0&&F!=="");for(const F of A){if(F===""||F.startsWith("docker-desktop"))continue;const Q=`${F} (WSL)`,te={profileName:Q,path:a,args:["-d",`${F}`],isDefault:Q===$,icon:s(F),isAutoDetected:!1};O.push(te)}return O}function s(a){return a.includes("Ubuntu")?R.$kk.terminalUbuntu:a.includes("Debian")?R.$kk.terminalDebian:R.$kk.terminalLinux}async function r(a,$,O,P,y,A,F,Q){const te=new Map;if(O&&await a.existsFile("/etc/shells")){const de=(await a.readFile("/etc/shells")).toString(),he=(A||de.split(`
`)).map(V=>{const _=V.indexOf("#");return _===-1?V:V.substring(0,_)}).filter(V=>V.trim().length>0),B=new Map;for(const V of he){let _=(0,o.$nc)(V),X=B.get(_)||0;X++,X>1&&(_=`${_} (${X})`),B.set(_,X),te.set(_,{path:V,isAutoDetected:!0})}}return n(P,te),await b(te.entries(),y,a,Q,$,F)}function n(a,$){if(a)for(const[O,P]of Object.entries(a))P===null||typeof P!="object"||!("path"in P)&&!("source"in P)?$.delete(O):(P.icon=P.icon||$.get(O)?.icon,$.set(O,P))}async function i(a,$,O,P,y,A,F,Q,te,de){if(O.length===0)return Promise.resolve(void 0);const he=O.shift();if(he==="")return i(a,$,O,P,y,A,F,Q,te);const B=typeof he!="string"&&he.isUnsafe,V=typeof he=="string"?he:he.path,_={profileName:a,path:V,args:A,env:F,overrideName:Q,isAutoDetected:te,isDefault:a===$,isUnsafePath:B,requiresUnsafePath:de};if((0,o.$nc)(V)===V){const ne=y.PATH?y.PATH.split(o.$tc):void 0,K=await(0,w.$6r)(V,void 0,ne,void 0,P.existsFile);return K?(_.path=K,_.isFromPath=!0,_):i(a,$,O,P,y,A)}return await P.existsFile((0,o.$hc)(V))?_:i(a,$,O,P,y,A,F,Q,te)}}),define(ye[260],ke([1,0,6,2,3,44,25,13,113,88,253,91,256,259,105,61]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9r=void 0;var b;(function(g){g[g.MaxRestarts=5]="MaxRestarts"})(b||(b={}));let c=class extends R.$Tc{get c(){return this.h(),this.a}get f(){return this.h(),this.b}get g(){return this.b}h(){this.a||this.U()}constructor(h,f,u,t){super(),this.M=h,this.N=f,this.O=u,this.P=t,this.m=!1,this.n=0,this.r=!0,this.u=this.B(new E.$5d),this.onPtyHostExit=this.u.event,this.w=this.B(new E.$5d),this.onPtyHostStart=this.w.event,this.y=this.B(new E.$5d),this.onPtyHostUnresponsive=this.y.event,this.z=this.B(new E.$5d),this.onPtyHostResponsive=this.z.event,this.C=this.B(new E.$5d),this.onPtyHostRequestResolveVariables=this.C.event,this.D=this.B(new E.$5d),this.onProcessData=this.D.event,this.F=this.B(new E.$5d),this.onProcessReady=this.F.event,this.G=this.B(new E.$5d),this.onProcessReplay=this.G.event,this.H=this.B(new E.$5d),this.onProcessOrphanQuestion=this.H.event,this.I=this.B(new E.$5d),this.onDidRequestDetach=this.I.event,this.J=this.B(new E.$5d),this.onDidChangeProperty=this.J.event,this.L=this.B(new E.$5d),this.onProcessExit=this.L.event,(0,p.$Vr)(),this.B(this.M),this.B((0,R.$Rc)(()=>this.W())),this.j=this.B(new I.$Or(void 0,this.O)),this.j.onCreateRequest(this.C.fire,this.C),this.M.onRequestConnection&&E.Event.once(this.M.onRequestConnection)(()=>this.h()),this.M.onWillShutdown?.(()=>this.m=!0)}get Q(){return this.N.getValue("terminal.integrated.ignoreProcessNames")}async R(){return this.g?.refreshIgnoreProcessNames?.(this.Q)}async S(){if(o.$i)return process.env;try{return await(0,w.$km)(this.N,this.O,{_:[]},process.env)}catch(h){return this.O.error("ptyHost was unable to resolve shell environment",h),{}}}U(){const h=this.M.start(),f=h.client;this.O.getLevel()===S.LogLevel.Trace&&this.O.trace("PtyHostService#_startPtyHost",new Error().stack?.replace(/^Error/,"")),C.ProxyChannel.toService(f.getChannel(k.TerminalIpcChannels.Heartbeat)).onBeat(()=>this.X()),this.X(!0),this.B(h.onDidProcessExit(s=>{this.u.fire(s.code),!this.m&&!this.q.isDisposed&&(this.n<=b.MaxRestarts?(this.O.error(`ptyHost terminated unexpectedly with code ${s.code}`),this.n++,this.restartPtyHost()):this.O.error(`ptyHost terminated unexpectedly with code ${s.code}, giving up`))}));const t=C.ProxyChannel.toService(f.getChannel(k.TerminalIpcChannels.PtyHost));return this.B(t.onProcessData(s=>this.D.fire(s))),this.B(t.onProcessReady(s=>this.F.fire(s))),this.B(t.onProcessExit(s=>this.L.fire(s))),this.B(t.onDidChangeProperty(s=>this.J.fire(s))),this.B(t.onProcessReplay(s=>this.G.fire(s))),this.B(t.onProcessOrphanQuestion(s=>this.H.fire(s))),this.B(t.onDidRequestDetach(s=>this.I.fire(s))),this.B(new v.$Nr(this.P,f.getChannel(k.TerminalIpcChannels.Logger))),this.a=h,this.b=t,this.w.fire(),this.B(this.N.onDidChangeConfiguration(async s=>{s.affectsConfiguration("terminal.integrated.ignoreProcessNames")&&await this.R()})),this.R(),[h,t]}async createProcess(h,f,u,t,s,r,n,i,a,$,O){const P=setTimeout(()=>this.$(),k.HeartbeatConstants.CreateProcessTimeout),y=await this.f.createProcess(h,f,u,t,s,r,n,i,a,$,O);return clearTimeout(P),y}updateTitle(h,f,u){return this.f.updateTitle(h,f,u)}updateIcon(h,f,u,t){return this.f.updateIcon(h,f,u,t)}attachToProcess(h){return this.f.attachToProcess(h)}detachFromProcess(h,f){return this.f.detachFromProcess(h,f)}shutdownAll(){return this.f.shutdownAll()}listProcesses(){return this.f.listProcesses()}async getPerformanceMarks(){return this.g?.getPerformanceMarks()??[]}async reduceConnectionGraceTime(){return this.g?.reduceConnectionGraceTime()}start(h){return this.f.start(h)}shutdown(h,f){return this.f.shutdown(h,f)}input(h,f){return this.f.input(h,f)}processBinary(h,f){return this.f.processBinary(h,f)}resize(h,f,u){return this.f.resize(h,f,u)}clearBuffer(h){return this.f.clearBuffer(h)}acknowledgeDataEvent(h,f){return this.f.acknowledgeDataEvent(h,f)}setUnicodeVersion(h,f){return this.f.setUnicodeVersion(h,f)}getInitialCwd(h){return this.f.getInitialCwd(h)}getCwd(h){return this.f.getCwd(h)}async getLatency(){const h=new l.$1d,f=await this.f.getLatency();return h.stop(),[{label:"ptyhostservice<->ptyhost",latency:h.elapsed()},...f]}orphanQuestionReply(h){return this.f.orphanQuestionReply(h)}installAutoReply(h,f){return this.f.installAutoReply(h,f)}uninstallAllAutoReplies(){return this.f.uninstallAllAutoReplies()}uninstallAutoReply(h){return this.f.uninstallAutoReply(h)}getDefaultSystemShell(h){return this.g?.getDefaultSystemShell(h)??(0,m.$7l)(h??o.OS,process.env)}async getProfiles(h,f,u,t=!1){const s=await this.S();return(0,d.$8r)(f,u,t,this.N,s,void 0,this.O,this.bb.bind(this,h))}async getEnvironment(){return this.b?this.f.getEnvironment():{...process.env}}getWslPath(h,f){return this.f.getWslPath(h,f)}getRevivedPtyNewId(h,f){return this.f.getRevivedPtyNewId(h,f)}setTerminalLayoutInfo(h){return this.f.setTerminalLayoutInfo(h)}async getTerminalLayoutInfo(h){return this.g?.getTerminalLayoutInfo(h)}async requestDetachInstance(h,f){return this.f.requestDetachInstance(h,f)}async acceptDetachInstanceReply(h,f){return this.f.acceptDetachInstanceReply(h,f)}async freePortKillProcess(h){if(!this.f.freePortKillProcess)throw new Error("freePortKillProcess does not exist on the pty proxy");return this.f.freePortKillProcess(h)}async serializeTerminalState(h){return this.f.serializeTerminalState(h)}async reviveTerminalProcesses(h,f,u){return this.f.reviveTerminalProcesses(h,f,u)}async refreshProperty(h,f){return this.f.refreshProperty(h,f)}async updateProperty(h,f,u){return this.f.updateProperty(h,f,u)}async restartPtyHost(){this.W(),this.r=!0,this.U()}W(){this.f.shutdownAll(),this.c.store.dispose()}X(h){this.ab(),this.s=setTimeout(()=>this.Y(),h?k.HeartbeatConstants.ConnectingBeatInterval:k.HeartbeatConstants.BeatInterval*k.HeartbeatConstants.FirstWaitMultiplier),this.r||(this.r=!0,this.z.fire())}Y(){this.O.warn(`No ptyHost heartbeat after ${k.HeartbeatConstants.BeatInterval*k.HeartbeatConstants.FirstWaitMultiplier/1e3} seconds`),this.s=void 0,this.t=setTimeout(()=>this.Z(),k.HeartbeatConstants.BeatInterval*k.HeartbeatConstants.SecondWaitMultiplier)}Z(){this.O.error(`No ptyHost heartbeat after ${(k.HeartbeatConstants.BeatInterval*k.HeartbeatConstants.FirstWaitMultiplier+k.HeartbeatConstants.BeatInterval*k.HeartbeatConstants.FirstWaitMultiplier)/1e3} seconds`),this.t=void 0,this.r&&(this.r=!1,this.y.fire())}$(){this.ab(),this.O.error(`No ptyHost response to createProcess after ${k.HeartbeatConstants.CreateProcessTimeout/1e3} seconds`),this.r&&(this.r=!1,this.y.fire())}ab(){this.s&&(clearTimeout(this.s),this.s=void 0),this.t&&(clearTimeout(this.t),this.t=void 0)}bb(h,f){return this.j.createRequest({workspaceId:h,originalText:f})}async acceptPtyHostResolvedVariables(h,f){this.j.acceptReply(h,f)}};e.$9r=c,e.$9r=c=Me([Oe(1,D.$Ki),Oe(2,S.$yj),Oe(3,S.$zj)],c)}),define(ye[34],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_k=void 0,e.$_k=(0,E.$ei)("IUriIdentityService")}),define(ye[124],ke([1,0,34,109,16,19,149,6,2]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$as=void 0;class w{static{this._clock=0}constructor(p){this.uri=p,this.time=w._clock++}touch(){return this.time=w._clock++,this}}let I=class{constructor(p){this.g=p,this.c=new v.$Sc,this.f=2**16;const d=new Map,m=l=>{let b=d.get(l.scheme);return b===void 0&&(b=p.hasProvider(l)&&!this.g.hasCapability(l,1024),d.set(l.scheme,b)),b};this.c.add(S.Event.any(p.onDidChangeFileSystemProviderRegistrations,p.onDidChangeFileSystemProviderCapabilities)(l=>{d.delete(l.scheme)})),this.extUri=new C.$Gg(m),this.d=new D.$_r((l,b)=>this.extUri.compare(l,b,!0),this.f)}dispose(){this.c.dispose(),this.d.clear()}asCanonicalUri(p){this.g.hasProvider(p)&&(p=(0,C.$Sg)(p));const d=this.d.get(p);return d?d.touch().uri.with({fragment:p.fragment}):(this.d.set(p,new w(p)),this.h(),p)}h(){if(this.d.size<this.f)return;const p=[...this.d.entries()].sort((m,l)=>m[1].time<l[1].time?1:m[1].time>l[1].time?-1:0);w._clock=0,this.d.clear();const d=this.f*.5;for(let m=0;m<d;m++)this.d.set(p[m][0],p[m][1].touch())}};e.$as=I,e.$as=I=Me([Oe(0,o.$Bk)],I),(0,R.$0r)(E.$_k,I,1)}),define(ye[92],ke([1,0,202,7,64,19,4,5,12]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ji=e.$Ii=e.$Hi=e.$Gi=e.$Fi=e.$Ei=e.$Di=e.$Ci=e.$Bi=e.$Ai=e.$zi=e.$yi=e.$xi=e.$wi=e.$vi=e.WorkbenchState=e.$ui=e.$ti=e.$si=e.$ri=e.$qi=e.$pi=e.$oi=e.$ni=void 0,e.$ni=(0,S.$ei)("contextService");function w(n){const i=n;return typeof i?.id=="string"&&D.URI.isUri(i.uri)}e.$oi=w;function I(n){return typeof n?.id=="string"&&!w(n)&&!p(n)}e.$pi=I,e.$qi={id:"ext-dev"},e.$ri={id:"empty-window"};function k(n,i){if(typeof n=="string"||typeof n>"u")return typeof n=="string"?{id:(0,R.$nc)(n)}:i?e.$qi:e.$ri;const a=n;return a.configuration?{id:a.id,configPath:a.configuration}:a.folders.length===1?{id:a.id,uri:a.folders[0].uri}:{id:a.id}}e.$si=k;function p(n){const i=n;return typeof i?.id=="string"&&D.URI.isUri(i.configPath)}e.$ti=p;function d(n){const i=n;if(i?.uri)return{id:i.id,uri:D.URI.revive(i.uri)};const a=n;if(a?.configPath)return{id:a.id,configPath:D.URI.revive(a.configPath)};if(n?.id)return{id:n.id}}e.$ui=d;var m;(function(n){n[n.EMPTY=1]="EMPTY",n[n.FOLDER=2]="FOLDER",n[n.WORKSPACE=3]="WORKSPACE"})(m||(e.WorkbenchState=m={}));function l(n){const i=n;return!!(i&&typeof i=="object"&&typeof i.id=="string"&&Array.isArray(i.folders))}e.$vi=l;function b(n){const i=n;return!!(i&&typeof i=="object"&&D.URI.isUri(i.uri)&&typeof i.name=="string"&&typeof i.toResource=="function")}e.$wi=b;class c{constructor(i,a,$,O,P){this.h=i,this.j=$,this.k=O,this.l=P,this.c=o.$ki.forUris(this.l,()=>!0),this.folders=a}update(i){this.h=i.id,this.k=i.configuration,this.j=i.transient,this.l=i.l,this.folders=i.folders}get folders(){return this.g}set folders(i){this.g=i,this.n()}get id(){return this.h}get transient(){return this.j}get configuration(){return this.k}set configuration(i){this.k=i}getFolder(i){return i&&this.c.findSubstr(i)||null}n(){this.c=o.$ki.forUris(this.l,()=>!0);for(const i of this.folders)this.c.set(i.uri,i)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.$xi=c;class g{constructor(i,a){this.raw=a,this.uri=i.uri,this.index=i.index,this.name=i.name}toResource(i){return(0,C.$Rg)(this.uri,i)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.$yi=g;function h(n){return new g({uri:n,index:0,name:(0,C.$Ng)(n)},{uri:n.toString()})}e.$zi=h,e.$Ai="code-workspace",e.$Bi=`.${e.$Ai}`,e.$Ci=[{name:(0,E.localize)(0,null),extensions:[e.$Ai]}],e.$Di="workspace.json";function f(n,i){return C.$Ig.isEqualOrParent(n,i.untitledWorkspacesHome)}e.$Ei=f;function u(n){let i;return D.URI.isUri(n)?i=n:i=n.configuration,i?.scheme===v.Schemas.tmp}e.$Fi=u,e.$Gi="4064f6ec-cb38-4ad0-af64-ee6467e63c82";function t(n){return n.id===e.$Gi}e.$Hi=t;function s(n,i){return!f(n,i)&&!u(n)}e.$Ii=s;function r(n){return(typeof n=="string"?(0,R.$oc)(n):(0,C.$Pg)(n))===e.$Bi}e.$Ji=r}),define(ye[33],ke([1,0,62,6,2,19,4,201,26,16,5,13,92,24,34,15,22,17,11]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fl=e.$el=e.$dl=e.$cl=e.$bl=e.$al=e.ProfileResourceType=void 0;var h;(function(n){n.Settings="settings",n.Keybindings="keybindings",n.Snippets="snippets",n.Tasks="tasks",n.Extensions="extensions",n.GlobalState="globalState"})(h||(e.ProfileResourceType=h={}));function f(n){const i=n;return!!(i&&typeof i=="object"&&typeof i.id=="string"&&typeof i.isDefault=="boolean"&&typeof i.name=="string"&&D.URI.isUri(i.location)&&D.URI.isUri(i.globalStorageHome)&&D.URI.isUri(i.settingsResource)&&D.URI.isUri(i.keybindingsResource)&&D.URI.isUri(i.tasksResource)&&D.URI.isUri(i.snippetsHome)&&D.URI.isUri(i.extensionsResource))}e.$al=f,e.$bl=(0,I.$ei)("IUserDataProfilesService");function u(n,i){return{id:n.id,isDefault:n.isDefault,name:n.name,shortName:n.shortName,icon:n.icon,location:D.URI.revive(n.location).with({scheme:i}),globalStorageHome:D.URI.revive(n.globalStorageHome).with({scheme:i}),settingsResource:D.URI.revive(n.settingsResource).with({scheme:i}),keybindingsResource:D.URI.revive(n.keybindingsResource).with({scheme:i}),tasksResource:D.URI.revive(n.tasksResource).with({scheme:i}),snippetsHome:D.URI.revive(n.snippetsHome).with({scheme:i}),extensionsResource:D.URI.revive(n.extensionsResource).with({scheme:i}),cacheHome:D.URI.revive(n.cacheHome).with({scheme:i}),useDefaultFlags:n.useDefaultFlags,isTransient:n.isTransient}}e.$cl=u;function t(n,i,a,$,O,P){return{id:n,name:i,location:a,isDefault:!1,shortName:O?.shortName,icon:O?.icon,globalStorageHome:P&&O?.useDefaultFlags?.globalState?P.globalStorageHome:(0,C.$Rg)(a,"globalStorage"),settingsResource:P&&O?.useDefaultFlags?.settings?P.settingsResource:(0,C.$Rg)(a,"settings.json"),keybindingsResource:P&&O?.useDefaultFlags?.keybindings?P.keybindingsResource:(0,C.$Rg)(a,"keybindings.json"),tasksResource:P&&O?.useDefaultFlags?.tasks?P.tasksResource:(0,C.$Rg)(a,"tasks.json"),snippetsHome:P&&O?.useDefaultFlags?.snippets?P.snippetsHome:(0,C.$Rg)(a,"snippets"),extensionsResource:P&&O?.useDefaultFlags?.extensions?P.extensionsResource:(0,C.$Rg)(a,"extensions.json"),cacheHome:(0,C.$Rg)($,n),useDefaultFlags:O?.useDefaultFlags,isTransient:O?.transient}}e.$dl=t;let s=class extends o.$Tc{static{this.b="userDataProfiles"}static{this.c="profileAssociations"}get defaultProfile(){return this.profiles[0]}get profiles(){return[...this.C.profiles,...this.s.profiles]}constructor(i,a,$,O){super(),this.t=i,this.u=a,this.w=$,this.y=O,this.f=!0,this.h=this.B(new R.$5d),this.onDidChangeProfiles=this.h.event,this.j=this.B(new R.$5d),this.onWillCreateProfile=this.j.event,this.m=this.B(new R.$5d),this.onWillRemoveProfile=this.m.event,this.n=this.B(new R.$5d),this.onDidResetWorkspaces=this.n.event,this.r=new Map,this.s={profiles:[],workspaces:new d.$Ac,emptyWindows:new Map},this.profilesHome=(0,C.$Rg)(this.t.userRoamingDataHome,"profiles"),this.g=(0,C.$Rg)(this.t.cacheHome,"CachedProfilesData")}init(){this.z=void 0}setEnablement(i){this.f!==i&&(this.z=void 0,this.f=i)}isEnabled(){return this.f}get C(){if(!this.z){const i=this.D(),a=[i];if(this.f)try{for(const P of this.O()){if(!P.name||!(0,g.$Sf)(P.name)||!P.location){this.y.warn("Skipping the invalid stored profile",P.location||P.name);continue}a.push(t((0,C.$Og)(P.location),P.name,P.location,this.g,{shortName:P.shortName,icon:P.icon,useDefaultFlags:P.useDefaultFlags},i))}}catch(P){this.y.error(P)}const $=new d.$Ac,O=new Map;if(a.length)try{const P=this.Q();if(P.workspaces)for(const[y,A]of Object.entries(P.workspaces)){const F=D.URI.parse(y),Q=a.find(te=>te.id===A);Q&&$.set(F,Q)}if(P.emptyWindows)for(const[y,A]of Object.entries(P.emptyWindows)){const F=a.find(Q=>Q.id===A);F&&O.set(y,F)}}catch(P){this.y.error(P)}this.z={profiles:a,workspaces:$,emptyWindows:O}}return this.z}D(){const i=t("__default__profile__",(0,S.localize)(0,null),this.t.userRoamingDataHome,this.g);return{...i,extensionsResource:this.S()??i.extensionsResource,isDefault:!0}}async createTransientProfile(i){const a="Temp",$=new RegExp(`${(0,c.$Xe)(a)}\\s(\\d+)`);let O=0;for(const y of this.profiles){const A=$.exec(y.name),F=A?parseInt(A[1]):0;O=F>O?F:O}const P=`${a} ${O+1}`;return this.createProfile((0,E.$5i)((0,b.$Ag)()).toString(16),P,{transient:!0},i)}async createNamedProfile(i,a,$){return this.createProfile((0,E.$5i)((0,b.$Ag)()).toString(16),i,a,$)}async createProfile(i,a,$,O){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const P=await this.F(i,a,$);return O&&await this.setProfileForWorkspace(O,P),P}async F(i,a,$){if(!(0,g.$Sf)(a)||!a)throw new Error("Name of the profile is mandatory and must be of type `string`");let O=this.r.get(a);return O||(O=(async()=>{try{const P=this.profiles.find(F=>F.name===a||F.id===i);if(P)return P;const y=t(i,a,(0,C.$Rg)(this.profilesHome,i),this.g,$,this.defaultProfile);await this.u.createFolder(y.location);const A=[];return this.j.fire({profile:y,join(F){A.push(F)}}),await l.Promises.settled(A),this.I([y],[],[]),y}finally{this.r.delete(a)}})(),this.r.set(a,O)),O}async updateProfile(i,a){if(!this.f)throw new Error("Profiles are disabled in the current environment.");let $=this.profiles.find(O=>O.id===i.id);if(!$)throw new Error(`Profile '${i.name}' does not exist`);return $=t($.id,a.name??$.name,$.location,this.g,{shortName:a.shortName??$.shortName,icon:a.icon===null?void 0:a.icon??$.icon,transient:a.transient??$.isTransient,useDefaultFlags:a.useDefaultFlags??$.useDefaultFlags},this.defaultProfile),this.I([],[],[$]),$}async removeProfile(i){if(!this.f)throw new Error("Profiles are disabled in the current environment.");if(i.isDefault)throw new Error("Cannot remove default profile");const a=this.profiles.find(O=>O.id===i.id);if(!a)throw new Error(`Profile '${i.name}' does not exist`);const $=[];this.m.fire({profile:a,join(O){$.push(O)}});try{await Promise.allSettled($)}catch(O){this.y.error(O)}for(const O of[...this.C.emptyWindows.keys()])a.id===this.C.emptyWindows.get(O)?.id&&this.C.emptyWindows.delete(O);for(const O of[...this.C.workspaces.keys()])a.id===this.C.workspaces.get(O)?.id&&this.C.workspaces.delete(O);this.M(),this.I([],[a],[]);try{await this.u.del(a.cacheHome,{recursive:!0})}catch(O){(0,w.$Sk)(O)!==1&&this.y.error(O)}}async setProfileForWorkspace(i,a){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const $=this.profiles.find(O=>O.id===a.id);if(!$)throw new Error(`Profile '${a.name}' does not exist`);this.L(i,$)}unsetWorkspace(i,a){if(!this.f)throw new Error("Profiles are disabled in the current environment.");this.L(i,void 0,a)}async resetWorkspaces(){this.s.workspaces.clear(),this.s.emptyWindows.clear(),this.C.workspaces.clear(),this.C.emptyWindows.clear(),this.M(),this.n.fire()}async cleanUp(){if(this.f&&await this.u.exists(this.profilesHome)){const i=await this.u.resolve(this.profilesHome);await Promise.all((i.children||[]).filter(a=>a.isDirectory&&this.profiles.every($=>!this.w.extUri.isEqual($.location,a.resource))).map(a=>this.u.del(a.resource,{recursive:!0})))}}async cleanUpTransientProfiles(){if(!this.f)return;const i=this.s.profiles.filter(a=>!this.H(a));await Promise.allSettled(i.map(a=>this.removeProfile(a)))}getProfileForWorkspace(i){const a=this.G(i);return D.URI.isUri(a)?this.s.workspaces.get(a)??this.C.workspaces.get(a):this.s.emptyWindows.get(a)??this.C.emptyWindows.get(a)}G(i){return(0,p.$oi)(i)?i.uri:(0,p.$ti)(i)?i.configPath:i.id}H(i){return!!([...this.s.emptyWindows.values()].some(a=>this.w.extUri.isEqual(a.location,i.location))||[...this.s.workspaces.values()].some(a=>this.w.extUri.isEqual(a.location,i.location))||[...this.C.emptyWindows.values()].some(a=>this.w.extUri.isEqual(a.location,i.location))||[...this.C.workspaces.values()].some(a=>this.w.extUri.isEqual(a.location,i.location)))}I(i,a,$){const O=[...this.profiles,...i],P=[];this.s.profiles=[];for(let y of O)y.isDefault||a.some(A=>y.id===A.id)||(y=$.find(A=>y.id===A.id)??y,y.isTransient?this.s.profiles.push(y):P.push({location:y.location,name:y.name,shortName:y.shortName,icon:y.icon,useDefaultFlags:y.useDefaultFlags}));this.P(P),this.z=void 0,this.J(i,a,$)}J(i,a,$){this.h.fire({added:i,removed:a,updated:$,all:this.profiles})}L(i,a,$){$=a?.isTransient?!0:$,$||this.L(i,void 0,!0);const O=this.G(i),P=$?this.s:this.C;D.URI.isUri(O)?(P.workspaces.delete(O),a&&P.workspaces.set(O,a)):(P.emptyWindows.delete(O),a&&P.emptyWindows.set(O,a)),$||this.M()}M(){const i={};for(const[$,O]of this.C.workspaces.entries())i[$.toString()]=O.id;const a={};for(const[$,O]of this.C.emptyWindows.entries())a[$.toString()]=O.id;this.R({workspaces:i,emptyWindows:a}),this.z=void 0}N(i){const a={},$=this.D();if(i.workspaces)for(const[P,y]of Object.entries(i.workspaces)){const A=D.URI.parse(y);a[P]=this.w.extUri.isEqual(A,$.location)?$.id:this.w.extUri.basename(A)}const O={};if(i.emptyWindows)for(const[P,y]of Object.entries(i.emptyWindows)){const A=D.URI.parse(y);O[P]=this.w.extUri.isEqual(A,$.location)?$.id:this.w.extUri.basename(A)}return{workspaces:a,emptyWindows:O}}O(){return[]}P(i){throw new Error("not implemented")}Q(){return{}}R(i){throw new Error("not implemented")}S(){}};e.$el=s,e.$el=s=Me([Oe(0,v.$li),Oe(1,w.$Bk),Oe(2,m.$_k),Oe(3,k.$yj)],s);class r extends s{constructor(){super(...arguments),this.a=[],this.X={}}O(){return this.a}P(i){this.a=i}Q(){return this.X}R(i){this.X=i}}e.$fl=r}),define(ye[261],ke([1,0,18,15,20,10,6,2,3,11,4,182,30,36,35,13,31,32,34,33]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5p=e.$4p=e.$3p=e.$2p=void 0;let f=class extends S.$Tc{get onInstallExtension(){return this.n.event}get onDidInstallExtensions(){return this.s.event}get onUninstallExtension(){return this.t.event}get onDidUninstallExtension(){return this.u.event}get onDidUpdateExtensionMetadata(){return this.w.event}constructor(i,a,$,O,P,y){super(),this.z=i,this.C=a,this.D=$,this.F=O,this.G=P,this.H=y,this.h=0,this.j=new Map,this.m=new Map,this.n=this.B(new D.$5d),this.s=this.B(new D.$5d),this.t=this.B(new D.$5d),this.u=this.B(new D.$5d),this.w=this.B(new D.$5d),this.y=[],this.B((0,S.$Rc)(()=>{this.j.forEach(({task:A})=>A.cancel()),this.m.forEach(A=>A.cancel()),this.j.clear(),this.m.clear()}))}async canInstall(i){const a=await this.getTargetPlatform();return i.allTargetPlatforms.some($=>(0,p.$Io)($,i.allTargetPlatforms,a))}async installFromGallery(i,a={}){try{const O=(await this.installGalleryExtensions([{extension:i,options:a}])).find(({identifier:P})=>(0,d.$_o)(P,i.identifier));if(O?.local)return O?.local;throw O?.error?O.error:new p.$Lo(`Unknown error while installing extension ${i.identifier.id}`,p.ExtensionManagementErrorCode.Unknown)}catch($){throw t($)}}async installGalleryExtensions(i){if(!this.z.isEnabled())throw new p.$Lo(k.localize(0,null),p.ExtensionManagementErrorCode.NotAllowed);const a=[],$=[];await Promise.allSettled(i.map(async({extension:O,options:P})=>{try{const y=await this.N(O,!!P?.installGivenVersion,!!P?.installPreReleaseVersion);$.push({...y,options:P})}catch(y){a.push({identifier:O.identifier,operation:2,source:O,error:y})}})),$.length&&a.push(...await this.I($));for(const O of a)O.error&&(this.F.error("Failed to install extension.",O.identifier.id),this.F.error(O.error),O.source&&!I.URI.isUri(O.source)&&s(this.C,"extensionGallery:install",{extensionData:(0,d.$hp)(O.source),error:O.error}));return a}async uninstall(i,a={}){return this.F.trace("ExtensionManagementService#uninstall",i.identifier.id),this.P(i,a)}async toggleAppliationScope(i,a){if((0,m.$zm)(i.manifest)||i.isBuiltin)return i;if(i.isApplicationScoped){let $=await this.updateMetadata(i,{isApplicationScoped:!1},this.H.defaultProfile.extensionsResource);this.D.extUri.isEqual(a,this.H.defaultProfile.extensionsResource)||($=await this.$(i,this.H.defaultProfile.extensionsResource,a));for(const O of this.H.profiles){const P=(await this.getInstalled(1,O.extensionsResource)).find(y=>(0,d.$_o)(y.identifier,i.identifier));P?this.w.fire(P):this.u.fire({identifier:i.identifier,profileLocation:O.extensionsResource})}return $}else{const $=this.D.extUri.isEqual(a,this.H.defaultProfile.extensionsResource)?await this.updateMetadata(i,{isApplicationScoped:!0},this.H.defaultProfile.extensionsResource):await this.$(i,a,this.H.defaultProfile.extensionsResource,{isApplicationScoped:!0});return this.s.fire([{identifier:$.identifier,operation:2,local:$,profileLocation:this.H.defaultProfile.extensionsResource,applicationScoped:!0}]),$}}getExtensionsControlManifest(){const i=new Date().getTime();return(!this.g||i-this.h>1e3*60*5)&&(this.g=this.W(),this.h=i),this.g}registerParticipant(i){this.y.push(i)}async I(i){const a=[],$=new Map,O=[],P=[],y=(F,Q)=>`${d.$ap.create(F).toString()}-${Q.toString()}`,A=(F,Q,te)=>{const de=this.Y(F,Q,te),he=I.URI.isUri(Q)?Q.path:`${Q.identifier.id.toLowerCase()}-${te.profileLocation.toString()}`;$.set(he,{task:de,manifest:F}),this.n.fire({identifier:de.identifier,source:Q,profileLocation:te.profileLocation}),this.F.info("Installing extension:",de.identifier.id),I.URI.isUri(Q)||this.j.set(y(Q,te.profileLocation),{task:de,waitingTasks:[]})};try{for(const{manifest:F,extension:Q,options:te}of i){const de=te.isApplicationScoped||te.isBuiltin||(0,m.$zm)(F),he={...te,installOnlyNewlyAddedFromExtensionPack:I.URI.isUri(Q)?te.installOnlyNewlyAddedFromExtensionPack:!0,isApplicationScoped:de,profileLocation:de?this.H.defaultProfile.extensionsResource:te.profileLocation??this.X()},B=I.URI.isUri(Q)?void 0:this.j.get(y(Q,he.profileLocation));B?(this.F.info("Extension is already requested to install",B.task.identifier.id),O.push(B.task.waitUntilTaskIsFinished())):A(F,Q,he)}await Promise.all([...$.values()].map(async({task:F,manifest:Q})=>{if(F.options.donotIncludePackAndDependencies)this.F.info("Installing the extension without checking dependencies and pack",F.identifier.id);else try{const te=await this.M(F.identifier,Q,!!F.options.installOnlyNewlyAddedFromExtensionPack,!!F.options.installPreReleaseVersion,F.options.profileLocation),de=await this.getInstalled(void 0,F.options.profileLocation),he={...F.options,donotIncludePackAndDependencies:!0,context:{...F.options.context,[p.$Do]:!0}};for(const{gallery:B,manifest:V}of(0,E.$Mb)(te,({gallery:_})=>_.identifier.id)){if($.has(`${B.identifier.id.toLowerCase()}-${he.profileLocation.toString()}`))continue;const _=this.j.get(y(B,he.profileLocation));if(_){if(this.J(F,_.task)){const X=_.task.identifier;this.F.info("Waiting for already requested installing extension",X.id,F.identifier.id),_.waitingTasks.push(F),O.push(D.Event.toPromise(D.Event.filter(this.onDidInstallExtensions,ne=>ne.some(K=>(0,d.$_o)(K.identifier,X)))).then(ne=>{if(this.F.info("Finished waiting for already requested installing extension",X.id,F.identifier.id),!ne.find(G=>(0,d.$_o)(G.identifier,X))?.local)throw new Error(`Extension ${X.id} is not installed`)}))}}else de.some(({identifier:X})=>(0,d.$_o)(X,B.identifier))||A(V,B,he)}}catch(te){if(I.URI.isUri(F.source))(0,E.$Lb)(Q.extensionDependencies)&&this.F.warn("Cannot install dependencies of extension:",F.identifier.id,te.message),(0,E.$Lb)(Q.extensionPack)&&this.F.warn("Cannot install packed extensions of extension:",F.identifier.id,te.message);else throw this.F.error("Error while preparing to install dependencies and extension packs of the extension:",F.identifier.id),te}})),await this.L([...$.values()].map(async({task:F})=>{const Q=new Date().getTime();try{const te=await F.run();if(await this.L(this.y.map(de=>de.postInstall(te,F.source,F.options,o.CancellationToken.None))),!I.URI.isUri(F.source)){const de=F.operation===3,he=de?void 0:(new Date().getTime()-F.source.lastUpdated)/1e3;if(s(this.C,de?"extensionGallery:update":"extensionGallery:install",{extensionData:(0,d.$hp)(F.source),verificationStatus:F.verificationStatus,duration:new Date().getTime()-Q,durationSinceUpdate:he}),v.$o&&F.operation!==3)try{await this.z.reportStatistic(te.manifest.publisher,te.manifest.name,te.manifest.version,"install")}catch{}}P.push({local:te,identifier:F.identifier,operation:F.operation,source:F.source,context:F.options.context,profileLocation:F.profileLocation,applicationScoped:te.isApplicationScoped})}catch(te){throw this.F.error("Error while installing the extension",F.identifier.id,(0,C.$0)(te)),te}})),O.length&&await this.L(O);for(const F of P)this.F.info("Extension installed successfully:",F.identifier.id),a.push(F);return a}catch(F){P.length&&await Promise.allSettled(P.map(async({local:Q,profileLocation:te})=>{try{await this.Z(Q,{versionOnly:!0,profileLocation:te}).run(),this.F.info("Rollback: Uninstalled extension",Q.identifier.id)}catch(de){this.F.warn("Rollback: Error while uninstalling extension",Q.identifier.id,(0,C.$0)(de))}}));for(const{task:Q}of $.values())Q.cancel(),a.push({identifier:Q.identifier,operation:2,source:Q.source,context:Q.options.context,profileLocation:Q.profileLocation,error:F});throw F}finally{for(const{task:F}of $.values())F.source&&!I.URI.isUri(F.source)&&this.j.delete(y(F.source,F.profileLocation));a.length&&this.s.fire(a)}}J(i,a){for(const[,{task:$,waitingTasks:O}]of this.j.entries())if($===i&&(O.includes(a)||O.some(P=>this.J(P,a)))||$===a&&O[0]&&!this.J(i,O[0]))return!1;return!0}async L(i){const a=[],$=[],O=await Promise.allSettled(i);for(const P of O)P.status==="fulfilled"?a.push(P.value):$.push(P.reason);if($.length)throw u($);return a}async M(i,a,$,O,P){if(!this.z.isEnabled())return[];const y=await this.getInstalled(void 0,P),A=[],F=[],Q=async(te,de)=>{A.push(te);const he=de.extensionDependencies||[],B=[...he];if(de.extensionPack){const V=$?y.find(_=>(0,d.$_o)(_.identifier,te)):void 0;for(const _ of de.extensionPack)V&&V.manifest.extensionPack&&V.manifest.extensionPack.some(X=>(0,d.$_o)({id:X},{id:_}))||B.every(X=>!(0,d.$_o)({id:X},{id:_}))&&B.push(_)}if(B.length){const V=B.filter(_=>A.every(X=>!(0,d.$_o)(X,{id:_})));if(V.length){const _=await this.z.getExtensions(V.map(X=>({id:X,preRelease:O})),o.CancellationToken.None);for(const X of _){if(A.find(G=>(0,d.$_o)(G,X.identifier)))continue;const ne=he.some(G=>(0,d.$_o)({id:G},X.identifier));let K;try{K=await this.N(X,!1,O)}catch(G){if(ne)throw G;this.F.info("Skipping the packed extension as it cannot be installed",X.identifier.id,(0,C.$0)(G));continue}F.push({gallery:K.extension,manifest:K.manifest}),await Q(K.extension.identifier,K.manifest)}}}};return await Q(i,a),F}async N(i,a,$){let O;const P=await this.getExtensionsControlManifest();if(P.malicious.some(F=>(0,d.$_o)(i.identifier,F)))throw new p.$Lo(k.localize(1,null,i.identifier.id),p.ExtensionManagementErrorCode.Malicious);const y=P.deprecated[i.identifier.id.toLowerCase()];if(y?.extension?.autoMigrate){if(this.F.info(`The '${i.identifier.id}' extension is deprecated, fetching the compatible '${y.extension.id}' extension instead.`),O=(await this.z.getExtensions([{id:y.extension.id,preRelease:y.extension.preRelease}],{targetPlatform:await this.getTargetPlatform(),compatible:!0},o.CancellationToken.None))[0],!O)throw new p.$Lo(k.localize(2,null,i.identifier.id,y.extension.id),p.ExtensionManagementErrorCode.Deprecated)}else{if(!await this.canInstall(i)){const F=await this.getTargetPlatform();throw new p.$Lo(k.localize(3,null,i.identifier.id,this.G.nameLong,(0,p.$Eo)(F)),p.ExtensionManagementErrorCode.IncompatibleTargetPlatform)}if(O=await this.O(i,a,$),!O)throw!$&&i.properties.isPreReleaseVersion&&(await this.z.getExtensions([i.identifier],o.CancellationToken.None))[0]?new p.$Lo(k.localize(4,null,i.displayName??i.identifier.id),p.ExtensionManagementErrorCode.ReleaseVersionNotFound):new p.$Lo(k.localize(5,null,i.identifier.id,this.G.nameLong,this.G.version),p.ExtensionManagementErrorCode.Incompatible)}this.F.info("Getting Manifest...",O.identifier.id);const A=await this.z.getManifest(O,o.CancellationToken.None);if(A===null)throw new p.$Lo(`Missing manifest for extension ${O.identifier.id}`,p.ExtensionManagementErrorCode.Invalid);if(A.version!==O.version)throw new p.$Lo(`Cannot install '${O.identifier.id}' extension because of version mismatch in Marketplace`,p.ExtensionManagementErrorCode.Invalid);return{extension:O,manifest:A}}async O(i,a,$){const O=await this.getTargetPlatform();let P=null;return!a&&i.hasPreReleaseVersion&&i.properties.isPreReleaseVersion!==$&&(P=(await this.z.getExtensions([{...i.identifier,preRelease:$}],{targetPlatform:O,compatible:!0},o.CancellationToken.None))[0]||null),!P&&await this.z.isExtensionCompatible(i,$,O)&&(P=i),P||(a?P=(await this.z.getExtensions([{...i.identifier,version:i.version}],{targetPlatform:O,compatible:!0},o.CancellationToken.None))[0]||null:P=await this.z.getCompatibleExtension(i,$,O)),P}async P(i,a){const $={...a,profileLocation:i.isApplicationScoped?this.H.defaultProfile.extensionsResource:a.profileLocation??this.X()},O=te=>`${te.id.toLowerCase()}${$.versionOnly?`-${i.manifest.version}`:""}${$.profileLocation?`@${$.profileLocation.toString()}`:""}`,P=this.m.get(O(i.identifier));if(P)return this.F.info("Extensions is already requested to uninstall",i.identifier.id),P.waitUntilTaskIsFinished();const y=te=>{const de=this.Z(te,$);return this.m.set(O(de.extension.identifier),de),$.profileLocation?this.F.info("Uninstalling extension from the profile:",`${te.identifier.id}@${te.manifest.version}`,$.profileLocation.toString()):this.F.info("Uninstalling extension:",`${te.identifier.id}@${te.manifest.version}`),this.t.fire({identifier:te.identifier,profileLocation:$.profileLocation,applicationScoped:te.isApplicationScoped}),de},A=(te,de)=>{de?$.profileLocation?this.F.error("Failed to uninstall extension from the profile:",`${te.identifier.id}@${te.manifest.version}`,$.profileLocation.toString(),de.message):this.F.error("Failed to uninstall extension:",`${te.identifier.id}@${te.manifest.version}`,de.message):$.profileLocation?this.F.info("Successfully uninstalled extension from the profile",`${te.identifier.id}@${te.manifest.version}`,$.profileLocation.toString()):this.F.info("Successfully uninstalled extension:",`${te.identifier.id}@${te.manifest.version}`),s(this.C,"extensionGallery:uninstall",{extensionData:(0,d.$gp)(te),error:de}),this.u.fire({identifier:te.identifier,error:de?.code,profileLocation:$.profileLocation,applicationScoped:te.isApplicationScoped})},F=[],Q=[];try{F.push(y(i));const te=await this.getInstalled(1,$.profileLocation);if($.donotIncludePack)this.F.info("Uninstalling the extension without including packed extension",`${i.identifier.id}@${i.manifest.version}`);else{const de=this.S(i,te);for(const he of de)this.m.has(O(he.identifier))?this.F.info("Extensions is already requested to uninstall",he.identifier.id):F.push(y(he))}$.donotCheckDependents?this.F.info("Uninstalling the extension without checking dependents",`${i.identifier.id}@${i.manifest.version}`):this.Q(F.map(de=>de.extension),te,i),await this.L(F.map(async de=>{try{if(await de.run(),await this.L(this.y.map(he=>he.postUninstall(de.extension,$,o.CancellationToken.None))),de.extension.identifier.uuid)try{await this.z.reportStatistic(de.extension.manifest.publisher,de.extension.manifest.name,de.extension.manifest.version,"uninstall")}catch{}A(de.extension)}catch(he){const B=he instanceof p.$Lo?he:new p.$Lo((0,C.$0)(he),p.ExtensionManagementErrorCode.Internal);throw A(de.extension,B),B}finally{Q.push(de)}}))}catch(te){const de=te instanceof p.$Lo?te:new p.$Lo((0,C.$0)(te),p.ExtensionManagementErrorCode.Internal);for(const he of F){try{he.cancel()}catch{}Q.includes(he)||A(he.extension,de)}throw de}finally{for(const te of F)this.m.delete(O(te.extension.identifier))||this.F.warn("Uninstallation task is not found in the cache",te.extension.identifier.id)}}Q(i,a,$){for(const O of i){const P=this.U(O,a);if(P.length){const y=P.filter(A=>!i.some(F=>(0,d.$_o)(F.identifier,A.identifier)));if(y.length)throw new Error(this.R(O,y,$))}}}R(i,a,$){return $===i?a.length===1?k.localize(6,null,$.manifest.displayName||$.manifest.name,a[0].manifest.displayName||a[0].manifest.name):a.length===2?k.localize(7,null,$.manifest.displayName||$.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name):k.localize(8,null,$.manifest.displayName||$.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name):a.length===1?k.localize(9,null,$.manifest.displayName||$.manifest.name,i.manifest.displayName||i.manifest.name,a[0].manifest.displayName||a[0].manifest.name):a.length===2?k.localize(10,null,$.manifest.displayName||$.manifest.name,i.manifest.displayName||i.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name):k.localize(11,null,$.manifest.displayName||$.manifest.name,i.manifest.displayName||i.manifest.name,a[0].manifest.displayName||a[0].manifest.name,a[1].manifest.displayName||a[1].manifest.name)}S(i,a,$=[]){if($.indexOf(i)!==-1)return[];$.push(i);const O=i.manifest.extensionPack?i.manifest.extensionPack:[];if(O.length){const P=a.filter(A=>!A.isBuiltin&&O.some(F=>(0,d.$_o)({id:F},A.identifier))),y=[];for(const A of P)y.push(...this.S(A,a,$));return[...P,...y]}return[]}U(i,a){return a.filter($=>$.manifest.extensionDependencies&&$.manifest.extensionDependencies.some(O=>(0,d.$_o)({id:O},i.identifier)))}async W(){try{return this.F.trace("ExtensionManagementService.updateControlCache"),await this.z.getExtensionsControlManifest()}catch(i){return this.F.trace("ExtensionManagementService.refreshControlCache - failed to get extension control manifest",(0,C.$0)(i)),{malicious:[],deprecated:{},search:[]}}}};e.$2p=f,e.$2p=f=Me([Oe(0,p.$Ko),Oe(1,c.$Fl),Oe(2,g.$_k),Oe(3,l.$yj),Oe(4,b.$Qj),Oe(5,h.$bl)],f);function u(n){const i=Array.isArray(n)?n:[n];return i.length===1?i[0]instanceof Error?i[0]:new Error(i[0]):i.reduce((a,$)=>new Error(`${a.message}${a.message?",":""}${$ instanceof Error?$.message:$}`),new Error(""))}e.$3p=u;function t(n){if(n instanceof p.$Lo)return n;if(n instanceof p.$Mo){const a=new p.$Lo(n.message,p.ExtensionManagementErrorCode.Gallery);return a.stack=n.stack,a}const i=new p.$Lo(n.message,p.ExtensionManagementErrorCode.Internal);return i.stack=n.stack,i}e.$4p=t;function s(n,i,{extensionData:a,verificationStatus:$,duration:O,error:P,durationSinceUpdate:y}){let A,F;(0,w.$1f)($)&&($===!0?$="Verified":($===!1||(A=p.ExtensionManagementErrorCode.Signature,F=$),$="Unverified")),P&&(P instanceof p.$Lo||P instanceof p.$Mo?(A=P.code,P.code===p.ExtensionManagementErrorCode.Signature&&(F=P.message)):A=p.ExtensionManagementErrorCode.Internal),n.publicLog(i,{...a,verificationStatus:$,success:!P,duration:O,errorcode:A,errorcodeDetail:F,durationSinceUpdate:y})}class r{constructor(){this.d=new R.$dh}async waitUntilTaskIsFinished(){return await this.d.wait(),this.g}async run(){return this.g||(this.g=(0,R.$4g)(i=>this.h(i))),this.d.open(),this.g}cancel(){this.g||(this.g=(0,R.$4g)(i=>new Promise((a,$)=>{const O=i.onCancellationRequested(()=>{O.dispose(),$(new C.$5)})})),this.d.open()),this.g.cancel()}}e.$5p=r}),define(ye[47],ke([1,0,15,14,2,6,24,4,30,36,16,5,13,33,34,11,10,32]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8p=e.$7p=e.$6p=e.ExtensionsProfileScanningErrorCode=void 0;var g;(function(s){s.ERROR_PROFILE_NOT_FOUND="ERROR_PROFILE_NOT_FOUND",s.ERROR_INVALID_CONTENT="ERROR_INVALID_CONTENT"})(g||(e.ExtensionsProfileScanningErrorCode=g={}));class h extends Error{constructor(r,n){super(r),this.code=n}}e.$6p=h,e.$7p=(0,k.$ei)("IExtensionsProfileScannerService");let f=class extends o.$Tc{constructor(r,n,i,a,$,O){super(),this.j=r,this.m=n,this.n=i,this.r=a,this.s=$,this.t=O,this.b=this.B(new C.$5d),this.onAddExtensions=this.b.event,this.c=this.B(new C.$5d),this.onDidAddExtensions=this.c.event,this.f=this.B(new C.$5d),this.onRemoveExtensions=this.f.event,this.g=this.B(new C.$5d),this.onDidRemoveExtensions=this.g.event,this.h=new D.$Ac}scanProfileExtensions(r,n){return this.u(r,void 0,n)}async addExtensionsToProfile(r,n){const i=[],a=[];try{return await this.u(n,$=>{const O=[];for(const P of $)r.some(([y])=>(0,w.$_o)(y.identifier,P.identifier)&&y.manifest.version!==P.version)?i.push(P):O.push(P);for(const[P,y]of r){const A=O.findIndex(Q=>(0,w.$_o)(Q.identifier,P.identifier)&&Q.version===P.manifest.version),F={identifier:P.identifier,version:P.manifest.version,location:P.location,metadata:y};A===-1?(a.push(F),O.push(F)):O.splice(A,1,F)}return a.length&&this.b.fire({extensions:a,profileLocation:n}),i.length&&this.f.fire({extensions:i,profileLocation:n}),O}),a.length&&this.c.fire({extensions:a,profileLocation:n}),i.length&&this.g.fire({extensions:i,profileLocation:n}),a}catch($){throw a.length&&this.c.fire({extensions:a,error:$,profileLocation:n}),i.length&&this.g.fire({extensions:i,error:$,profileLocation:n}),$}}async updateMetadata(r,n){const i=[];return await this.u(n,a=>{const $=[];for(const O of a){const P=r.find(([y])=>(0,w.$_o)(y.identifier,O.identifier)&&y.manifest.version===O.version);P&&(O.metadata={...O.metadata,...P[1]},i.push(O)),$.push(O)}return $}),i}async removeExtensionFromProfile(r,n){const i=[];try{await this.u(n,a=>{const $=[];for(const O of a)(0,w.$_o)(O.identifier,r.identifier)?i.push(O):$.push(O);return i.length&&this.f.fire({extensions:i,profileLocation:n}),$}),i.length&&this.g.fire({extensions:i,profileLocation:n})}catch(a){throw i.length&&this.g.fire({extensions:i,error:a,profileLocation:n}),a}}async u(r,n,i){return this.F(r).queue(async()=>{let a=[],$;try{const O=await this.m.readFile(r);$=JSON.parse(O.value.toString().trim()||"[]")}catch(O){if((0,I.$Sk)(O)!==1)throw O;if(this.r.extUri.isEqual(r,this.n.defaultProfile.extensionsResource)&&($=await this.D()),!$&&i?.bailOutWhenFileNotFound)throw new h((0,b.$0)(O),"ERROR_PROFILE_NOT_FOUND")}if($){Array.isArray($)||this.w(r);let O=!1;for(const P of $){u(P)||this.w(r);let y;if((0,l.$Sf)(P.relativeLocation)&&P.relativeLocation)y=this.z(P.relativeLocation);else if((0,l.$Sf)(P.location)){this.t.warn(`Extensions profile: Ignoring extension with invalid location: ${P.location}`);continue}else{y=S.URI.revive(P.location);const A=this.y(y);A&&(O=!0,P.relativeLocation=A)}(0,l.$Zf)(P.metadata?.hasPreReleaseVersion)&&P.metadata?.preRelease&&(O=!0,P.metadata.hasPreReleaseVersion=!0),a.push({identifier:P.identifier,location:y,version:P.version,metadata:P.metadata})}O&&await this.m.writeFile(r,R.$se.fromString(JSON.stringify($)))}if(n){a=n(a);const O=a.map(P=>({identifier:P.identifier,version:P.version,location:P.location.toJSON(),relativeLocation:this.y(P.location),metadata:P.metadata}));await this.m.writeFile(r,R.$se.fromString(JSON.stringify(O)))}return a})}w(r){const n=new h(`Invalid extensions content in ${r.toString()}`,"ERROR_INVALID_CONTENT");throw this.s.publicLogError2("extensionsProfileScanningError",{code:n.code}),n}y(r){return this.r.extUri.isEqual(this.r.extUri.dirname(r),this.j)?this.r.extUri.basename(r):void 0}z(r){return this.r.extUri.joinPath(this.j,r)}async D(){return this.C||(this.C=(async()=>{const r=this.r.extUri.joinPath(this.n.defaultProfile.location,"extensions.json"),n=this.r.extUri.joinPath(this.j,".init-default-profile-extensions");let i;try{i=(await this.m.readFile(r)).value.toString()}catch($){if((0,I.$Sk)($)===1)return;throw $}this.t.info("Migrating extensions from old default profile location",r.toString());let a;try{const $=JSON.parse(i);Array.isArray($)&&$.every(O=>u(O))?a=$:this.t.warn("Skipping migrating from old default profile locaiton: Found invalid data",$)}catch($){this.t.error($)}if(a)try{await this.m.createFile(this.n.defaultProfile.extensionsResource,R.$se.fromString(JSON.stringify(a)),{overwrite:!1}),this.t.info("Migrated extensions from old default profile location to new location",r.toString(),this.n.defaultProfile.extensionsResource.toString())}catch($){if((0,I.$Sk)($)===3)this.t.info("Migration from old default profile location to new location is done by another window",r.toString(),this.n.defaultProfile.extensionsResource.toString());else throw $}try{await this.m.del(r)}catch($){(0,I.$Sk)($)!==1&&this.t.error($)}try{await this.m.del(n)}catch($){(0,I.$Sk)($)!==1&&this.t.error($)}return a})()),this.C}F(r){let n=this.h.get(r);return n||(n=new E.$lh,this.h.set(r,n)),n}};e.$8p=f,e.$8p=f=Me([Oe(1,I.$Bk),Oe(2,d.$bl),Oe(3,m.$_k),Oe(4,c.$Fl),Oe(5,p.$yj)],f);function u(s){return(0,l.$Uf)(s)&&(0,v.$Jo)(s.identifier)&&(t(s.location)||(0,l.$Sf)(s.location)&&s.location)&&((0,l.$Zf)(s.relativeLocation)||(0,l.$Sf)(s.relativeLocation))&&s.version&&(0,l.$Sf)(s.version)}function t(s){return s?(0,l.$Sf)(s.path)&&(0,l.$Sf)(s.scheme):!1}}),define(ye[59],ke([1,0,18,15,21,14,10,41,166,2,12,7,3,19,55,63,11,4,186,26,36,35,82,16,5,13,31,6,52,47,33,34,216]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t,s,r,n,i,a,$,O,P,y,A){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cq=e.$bq=e.$aq=e.$_p=e.$$p=e.Translations=void 0;var F;(function(_){function X(ne,K){if(ne===K)return!0;const G=Object.keys(ne),oe=new Set;for(const ce of Object.keys(K))oe.add(ce);if(G.length!==oe.size)return!1;for(const ce of G){if(ne[ce]!==K[ce])return!1;oe.delete(ce)}return oe.size===0}_.equals=X})(F||(e.Translations=F={})),e.$$p=(0,r.$ei)("IExtensionsScannerService");let Q=class extends w.$Tc{constructor(X,ne,K,G,oe,ce,se,ge,U,q,M,z){super(),this.systemExtensionsLocation=X,this.userExtensionsLocation=ne,this.r=K,this.s=G,this.t=oe,this.u=ce,this.w=se,this.y=ge,this.z=U,this.C=q,this.D=M,this.F=z,this.g=this.B(new a.$5d),this.onDidChangeCache=this.g.event,this.h=(0,d.$Rg)(this.userExtensionsLocation,".obsolete"),this.j=this.B(this.F.createInstance(he,this.s,this.h)),this.m=this.B(this.F.createInstance(he,this.s,this.h)),this.n=this.B(this.F.createInstance(de,this.h)),this.H=void 0,this.B(this.j.onDidChangeCache(()=>this.g.fire(0))),this.B(this.m.onDidChangeCache(()=>this.g.fire(1)))}getTargetPlatform(){return this.G||(this.G=(0,f.$kp)(this.w,this.y)),this.G}async scanAllExtensions(X,ne,K){const[G,oe]=await Promise.all([this.scanSystemExtensions(X),this.scanUserExtensions(ne)]),ce=K?await this.scanExtensionsUnderDevelopment(X,[...G,...oe]):[];return this.L(G,oe,ce,await this.getTargetPlatform(),!0)}async scanSystemExtensions(X){const ne=[];ne.push(this.M(!!X.useCache,X.language)),ne.push(this.N(X.language,!!X.checkControlFile));const[K,G]=await Promise.all(ne);return this.J([...K,...G],0,X,!1)}async scanUserExtensions(X){const ne=X.profileLocation??this.userExtensionsLocation;this.y.trace("Started scanning user extensions",ne);const K=this.D.extUri.isEqual(X.profileLocation,this.t.defaultProfile.extensionsResource)?{bailOutWhenFileNotFound:!0}:void 0,G=await this.P(ne,!!X.profileLocation,1,!X.includeUninstalled,X.language,!0,K),oe=X.useCache&&!G.devMode&&G.excludeObsolete?this.m:this.n;let ce;try{ce=await oe.scanExtensions(G)}catch(se){if(se instanceof O.$6p&&se.code==="ERROR_PROFILE_NOT_FOUND")await this.I(),ce=await oe.scanExtensions(G);else throw se}return ce=await this.J(ce,1,X,!0),this.y.trace("Scanned user extensions:",ce.length),ce}async scanExtensionsUnderDevelopment(X,ne){if(this.z.isExtensionDevelopment&&this.z.extensionDevelopmentLocationURI){const K=(await Promise.all(this.z.extensionDevelopmentLocationURI.filter(G=>G.scheme===I.Schemas.file).map(async G=>{const oe=await this.P(G,!1,1,!0,X.language,!1,void 0);return(await this.n.scanOneOrMultipleExtensions(oe)).map(se=>(se.type=ne.find(ge=>(0,f.$_o)(ge.identifier,se.identifier))?.type??se.type,this.n.validate(se,oe)))}))).flat();return this.J(K,"development",X,!0)}return[]}async scanExistingExtension(X,ne,K){const G=await this.P(X,!1,ne,!0,K.language,!0,void 0),oe=await this.n.scanExtension(G);return!oe||!K.includeInvalid&&!oe.isValid?null:oe}async scanOneOrMultipleExtensions(X,ne,K){const G=await this.P(X,!1,ne,!0,K.language,!0,void 0),oe=await this.n.scanOneOrMultipleExtensions(G);return this.J(oe,ne,K,!0)}async scanMetadata(X){const ne=(0,d.$Rg)(X,"package.json"),K=(await this.w.readFile(ne)).value.toString();return JSON.parse(K).__metadata}async updateMetadata(X,ne){const K=(0,d.$Rg)(X,"package.json"),G=(await this.w.readFile(K)).value.toString(),oe=JSON.parse(G);ne.isMachineScoped===!1&&delete ne.isMachineScoped,ne.isBuiltin===!1&&delete ne.isBuiltin,oe.__metadata={...oe.__metadata,...ne},await this.w.writeFile((0,d.$Rg)(X,"package.json"),C.$se.fromString(JSON.stringify(oe,null,"	")))}async initializeDefaultProfileExtensions(){try{await this.u.scanProfileExtensions(this.t.defaultProfile.extensionsResource,{bailOutWhenFileNotFound:!0})}catch(X){if(X instanceof O.$6p&&X.code==="ERROR_PROFILE_NOT_FOUND")await this.I();else throw X}}async I(){return this.H||(this.H=(async()=>{try{this.y.info("Started initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString());const X=await this.scanUserExtensions({includeInvalid:!0});if(X.length)await this.u.addExtensionsToProfile(X.map(ne=>[ne,ne.metadata]),this.t.defaultProfile.extensionsResource);else try{await this.w.createFile(this.t.defaultProfile.extensionsResource,C.$se.fromString(JSON.stringify([])))}catch(ne){(0,s.$Sk)(ne)!==1&&this.y.warn("Failed to create default profile extensions manifest in extensions installation folder.",this.userExtensionsLocation.toString(),(0,D.$0)(ne))}this.y.info("Completed initializing default profile extensions in extensions installation folder.",this.userExtensionsLocation.toString())}catch(X){this.y.error(X)}finally{this.H=void 0}})()),this.H}async J(X,ne,K,G){return K.includeAllVersions||(X=this.L(ne===0?X:void 0,ne===1?X:void 0,ne==="development"?X:void 0,await this.getTargetPlatform(),G)),K.includeInvalid||(X=X.filter(oe=>oe.isValid)),X.sort((oe,ce)=>{const se=k.$nc(oe.location.fsPath),ge=k.$nc(ce.location.fsPath);return se<ge?-1:se>ge?1:0})}L(X,ne,K,G,oe){const ce=(ge,U,q)=>{if(ge.isValid&&!U.isValid)return!1;if(ge.isValid===U.isValid){if(oe&&m.gt(ge.manifest.version,U.manifest.version))return this.y.debug(`Skipping extension ${U.location.path} with lower version ${U.manifest.version} in favour of ${ge.location.path} with version ${ge.manifest.version}`),!1;if(m.eq(ge.manifest.version,U.manifest.version)){if(ge.type===0)return this.y.debug(`Skipping extension ${U.location.path} in favour of system extension ${ge.location.path} with same version`),!1;if(ge.targetPlatform===G)return this.y.debug(`Skipping extension ${U.location.path} from different target platform ${U.targetPlatform}`),!1}}return q?this.y.warn(`Overwriting user extension ${ge.location.path} with ${U.location.path}.`):this.y.debug(`Overwriting user extension ${ge.location.path} with ${U.location.path}.`),!0},se=new u.$ym;return X?.forEach(ge=>{const U=se.get(ge.identifier.id);(!U||ce(U,ge,!1))&&se.set(ge.identifier.id,ge)}),ne?.forEach(ge=>{const U=se.get(ge.identifier.id);if(!U&&X&&ge.type===0){this.y.debug(`Skipping obsolete system extension ${ge.location.path}.`);return}(!U||ce(U,ge,!1))&&se.set(ge.identifier.id,ge)}),K?.forEach(ge=>{const U=se.get(ge.identifier.id);(!U||ce(U,ge,!0))&&se.set(ge.identifier.id,ge),se.set(ge.identifier.id,ge)}),[...se.values()]}async M(X,ne){this.y.trace("Started scanning system extensions");const K=await this.P(this.systemExtensionsLocation,!1,0,!0,ne,!0,void 0),oe=await(X&&!K.devMode?this.j:this.n).scanExtensions(K);return this.y.trace("Scanned system extensions:",oe.length),oe}async N(X,ne){const K=this.z.isBuilt?[]:this.C.builtInExtensions;if(!K?.length)return[];this.y.trace("Started scanning dev system extensions");const G=ne?await this.O():{},oe=[],ce=c.URI.file(k.$hc(k.$jc(I.$yg.asFileUri("").fsPath,"..",".build","builtInExtensions")));for(const ge of K){const U=G[ge.name]||"marketplace";switch(U){case"disabled":break;case"marketplace":oe.push((0,d.$Rg)(ce,ge.name));break;default:oe.push(c.URI.file(U));break}}const se=await Promise.all(oe.map(async ge=>this.n.scanExtension(await this.P(ge,!1,0,!0,X,!0,void 0))));return this.y.trace("Scanned dev system extensions:",se.length),(0,E.$Hb)(se)}async O(){try{const X=await this.w.readFile(this.r);return JSON.parse(X.value.toString())}catch{return{}}}async P(X,ne,K,G,oe,ce,se){const ge=await this.f(oe??p.$w),U=await this.Q(X),q=ne&&!this.D.extUri.isEqual(X,this.t.defaultProfile.extensionsResource)?this.t.defaultProfile.extensionsResource:void 0,M=q?await this.Q(q):void 0;return new te(X,U,q,M,ne,se,K,G,ce,this.C.version,this.C.date,this.C.commit,!this.z.isBuilt,oe,ge)}async Q(X){try{const ne=await this.w.stat(X);if(typeof ne.mtime=="number")return ne.mtime}catch{}}};e.$_p=Q,e.$_p=Q=Me([Oe(4,P.$bl),Oe(5,O.$7p),Oe(6,s.$Bk),Oe(7,n.$yj),Oe(8,h.$li),Oe(9,i.$Qj),Oe(10,y.$_k),Oe(11,r.$di)],Q);class te{constructor(X,ne,K,G,oe,ce,se,ge,U,q,M,z,x,Y,Z){this.location=X,this.mtime=ne,this.applicationExtensionslocation=K,this.applicationExtensionslocationMtime=G,this.profile=oe,this.profileScanOptions=ce,this.type=se,this.excludeObsolete=ge,this.validate=U,this.productVersion=q,this.productDate=M,this.productCommit=z,this.devMode=x,this.language=Y,this.translations=Z}static createNlsConfiguration(X){return{language:X.language,pseudo:X.language==="pseudo",devMode:X.devMode,translations:X.translations}}static equals(X,ne){return(0,d.$Kg)(X.location,ne.location)&&X.mtime===ne.mtime&&(0,d.$Kg)(X.applicationExtensionslocation,ne.applicationExtensionslocation)&&X.applicationExtensionslocationMtime===ne.applicationExtensionslocationMtime&&X.profile===ne.profile&&o.$Ln(X.profileScanOptions,ne.profileScanOptions)&&X.type===ne.type&&X.excludeObsolete===ne.excludeObsolete&&X.validate===ne.validate&&X.productVersion===ne.productVersion&&X.productDate===ne.productDate&&X.productCommit===ne.productCommit&&X.devMode===ne.devMode&&X.language===ne.language&&F.equals(X.translations,ne.translations)}}e.$aq=te;let de=class extends w.$Tc{constructor(X,ne,K,G,oe){super(),this.f=X,this.g=ne,this.h=K,this.j=G,this.m=oe}async scanExtensions(X){const ne=X.profile?await this.r(X):await this.n(X);let K={};if(X.excludeObsolete&&X.type===1)try{const G=(await this.j.readFile(this.f)).value.toString();K=JSON.parse(G)}catch{}return(0,b.$6f)(K)?ne:ne.filter(G=>!K[f.$ap.create(G).toString()])}async n(X){const ne=await this.j.resolve(X.location);if(!ne.children?.length)return[];const K=await Promise.all(ne.children.map(async G=>{if(!G.isDirectory||X.type===1&&(0,d.$Og)(G.resource).indexOf(".")===0)return null;const oe=new te(G.resource,X.mtime,X.applicationExtensionslocation,X.applicationExtensionslocationMtime,X.profile,X.profileScanOptions,X.type,X.excludeObsolete,X.validate,X.productVersion,X.productDate,X.productCommit,X.devMode,X.language,X.translations);return this.scanExtension(oe)}));return(0,E.$Hb)(K).sort((G,oe)=>G.location.path<oe.location.path?-1:1)}async r(X){let ne=await this.s(X.location,()=>!0,X);if(X.applicationExtensionslocation&&!this.h.extUri.isEqual(X.location,X.applicationExtensionslocation)){ne=ne.filter(G=>!G.metadata?.isApplicationScoped);const K=await this.s(X.applicationExtensionslocation,G=>!!G.metadata?.isBuiltin||!!G.metadata?.isApplicationScoped,X);ne.push(...K)}return ne}async s(X,ne,K){const G=await this.g.scanProfileExtensions(X,K.profileScanOptions);if(!G.length)return[];const oe=await Promise.all(G.map(async ce=>{if(ne(ce)){const se=new te(ce.location,K.mtime,K.applicationExtensionslocation,K.applicationExtensionslocationMtime,K.profile,K.profileScanOptions,K.type,K.excludeObsolete,K.validate,K.productVersion,K.productDate,K.productCommit,K.devMode,K.language,K.translations);return this.scanExtension(se,ce.metadata)}return null}));return(0,E.$Hb)(oe)}async scanOneOrMultipleExtensions(X){try{if(await this.j.exists((0,d.$Rg)(X.location,"package.json"))){const ne=await this.scanExtension(X);return ne?[ne]:[]}else return await this.scanExtensions(X)}catch(ne){return this.m.error(`Error scanning extensions at ${X.location.path}:`,(0,D.$0)(ne)),[]}}async scanExtension(X,ne){try{let K=await this.scanExtensionManifest(X.location);if(K){K.publisher||(K.publisher=u.$sm),ne=ne??K.__metadata,delete K.__metadata;const G=(0,f.$ep)(K.publisher,K.name),oe=ne?.id?{id:G,uuid:ne.id}:{id:G},ce=ne?.isSystem?0:X.type,se=ce===0||!!ne?.isBuiltin;K=await this.t(X.location,K,te.createNlsConfiguration(X));const ge={type:ce,identifier:oe,manifest:K,location:X.location,isBuiltin:se,targetPlatform:ne?.targetPlatform??"undefined",metadata:ne,isValid:!0,validations:[]};return X.validate?this.validate(ge,X):ge}}catch(K){X.type!==0&&this.m.error(K)}return null}validate(X,ne){let K=!0;const G=(0,t.$pp)(ne.productVersion,ne.productDate,ne.location,X.manifest,X.isBuiltin);for(const[oe,ce]of G)oe===l.default.Error&&(K=!1,this.m.error(this.z(ne.location,ce)));return X.isValid=K,X.validations=G,X}async scanExtensionManifest(X){const ne=(0,d.$Rg)(X,"package.json");let K;try{K=(await this.j.readFile(ne)).value.toString()}catch(oe){return(0,s.$Sk)(oe)!==1&&this.m.error(this.z(X,(0,g.localize)(0,null,ne.path,oe.message))),null}let G;try{G=JSON.parse(K)}catch{const ce=[];(0,S.$on)(K,ce);for(const se of ce)this.m.error(this.z(X,(0,g.localize)(1,null,ne.path,se.offset,se.length,(0,v.$9p)(se.error))));return null}return(0,S.$xn)(G)!=="object"?(this.m.error(this.z(X,(0,g.localize)(2,null,ne.path))),null):G}async t(X,ne,K){const G=await this.u(X,ne,K);if(G)try{const oe=[],ce=await this.w(G.default,oe);if(oe.length>0)return oe.forEach(ge=>{this.m.error(this.z(X,(0,g.localize)(3,null,G.default?.path,(0,v.$9p)(ge.error))))}),ne;if((0,S.$xn)(G)!=="object")return this.m.error(this.z(X,(0,g.localize)(4,null,G.default?.path))),ne;const se=G.values||Object.create(null);return(0,A.$0p)(this.m,ne,se,ce)}catch{}return ne}async u(X,ne,K){const G=(0,d.$Rg)(X,"package.nls.json"),oe=(U,q)=>{q.forEach(M=>{this.m.error(this.z(X,(0,g.localize)(5,null,U?.path,(0,v.$9p)(M.error))))})},ce=U=>{this.m.error(this.z(X,(0,g.localize)(6,null,U?.path)))},se=`${ne.publisher}.${ne.name}`,ge=K.translations[se];if(ge)try{const U=c.URI.file(ge),q=(await this.j.readFile(U)).value.toString(),M=[],z=(0,S.$on)(q,M);return M.length>0?(oe(U,M),{values:void 0,default:G}):(0,S.$xn)(z)!=="object"?(ce(U),{values:void 0,default:G}):{values:z.contents?z.contents.package:void 0,default:G}}catch{return{values:void 0,default:G}}else{if(!await this.j.exists(G))return;let q;try{q=await this.y(X,K)}catch{return}if(!q.localized)return{values:void 0,default:q.original};try{const M=(await this.j.readFile(q.localized)).value.toString(),z=[],x=(0,S.$on)(M,z);return z.length>0?(oe(q.localized,z),{values:void 0,default:q.original}):(0,S.$xn)(x)!=="object"?(ce(q.localized),{values:void 0,default:q.original}):{values:x,default:q.original}}catch{return{values:void 0,default:q.original}}}}async w(X,ne){if(X)try{const K=(await this.j.readFile(X)).value.toString();return(0,S.$on)(K,ne)}catch{}}y(X,ne){return new Promise((K,G)=>{const oe=ce=>{const se=(0,d.$Rg)(X,`package.nls.${ce}.json`);this.j.exists(se).then(ge=>{ge&&K({localized:se,original:(0,d.$Rg)(X,"package.nls.json")});const U=ce.lastIndexOf("-");U===-1?K({localized:(0,d.$Rg)(X,"package.nls.json"),original:null}):(ce=ce.substring(0,U),oe(ce))})};if(ne.devMode||ne.pseudo||!ne.language)return K({localized:(0,d.$Rg)(X,"package.nls.json"),original:null});oe(ne.language)})}z(X,ne){return`[${X.path}]: ${ne}`}};de=Me([Oe(1,O.$7p),Oe(2,y.$_k),Oe(3,s.$Bk),Oe(4,n.$yj)],de);let he=class extends de{constructor(X,ne,K,G,oe,ce,se){super(ne,G,oe,ce,se),this.G=X,this.H=K,this.D=this.B(new R.$ch(3e3)),this.F=this.B(new a.$5d),this.onDidChangeCache=this.F.event}async scanExtensions(X){const ne=this.M(X),K=await this.I(ne);if(this.C=X,K&&K.input&&te.equals(K.input,this.C))return this.m.debug("Using cached extensions scan result",X.location.toString()),this.D.trigger(()=>this.L()),K.result.map(oe=>(oe.location=c.URI.revive(oe.location),oe));const G=await super.scanExtensions(X);return await this.J(ne,{input:X,result:G}),G}async I(X){try{const ne=await this.j.readFile(X),K=JSON.parse(ne.value.toString());return{result:K.result,input:(0,$.$Nh)(K.input)}}catch(ne){this.m.debug("Error while reading the extension cache file:",X.path,(0,D.$0)(ne))}return null}async J(X,ne){try{await this.j.writeFile(X,C.$se.fromString(JSON.stringify(ne)))}catch(K){this.m.debug("Error while writing the extension cache file:",X.path,(0,D.$0)(K))}}async L(){if(!this.C)return;const X=this.M(this.C),ne=await this.I(X);if(!ne)return;const K=ne.result,G=JSON.parse(JSON.stringify(await super.scanExtensions(this.C)));if(!o.$Ln(G,K))try{this.m.info("Invalidating Cache",K,G),await this.j.del(X),this.F.fire()}catch(oe){this.m.error(oe)}}M(X){const ne=this.N(X);return this.h.extUri.joinPath(ne.cacheHome,X.type===0?u.$rm:u.$qm)}N(X){return X.type===0?this.H.defaultProfile:X.profile?this.h.extUri.isEqual(X.location,this.G.extensionsResource)?this.G:this.H.profiles.find(ne=>this.h.extUri.isEqual(X.location,ne.extensionsResource))??this.G:this.H.defaultProfile}};he=Me([Oe(2,P.$bl),Oe(3,O.$7p),Oe(4,y.$_k),Oe(5,s.$Bk),Oe(6,n.$yj)],he);function B(_,X){const ne=(0,f.$cp)(_.manifest.publisher,_.manifest.name);return{id:ne,identifier:new u.$wm(ne),isBuiltin:_.type===0,isUserBuiltin:_.type===1&&_.isBuiltin,isUnderDevelopment:X,extensionLocation:_.location,uuid:_.identifier.uuid,targetPlatform:_.targetPlatform,..._.manifest}}e.$bq=B;class V extends Q{constructor(X,ne,K,G,oe,ce,se,ge,U,q,M,z){super(X,ne,(0,d.$Rg)(K,".vscode-oss-dev","extensions","control.json"),G,oe,ce,se,ge,U,q,M,z),this.R=(async()=>{if(p.$z)try{const x=await this.w.readFile(c.URI.file(p.$z));return JSON.parse(x.value.toString())}catch{}return Object.create(null)})()}f(X){return this.R}}e.$cq=V}),define(ye[262],ke([1,0,54,15,39,6,2,12,7,23,13,33]),function(le,e,E,R,o,C,D,S,v,w,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$eq=void 0;let p=class extends D.$Tc{constructor(m,l){super(),this.b=m,this.f=l,this.a=new R.$kh(5)}async postUninstall(m){const l=this.g(m,"uninstall");l&&(this.f.info(m.identifier.id,m.manifest.version,"Running post uninstall script"),await this.a.queue(async()=>{try{await this.h(l.script,"uninstall",l.args,!0,m),this.f.info("Finished running post uninstall script",m.identifier.id,m.manifest.version)}catch(b){this.f.error("Failed to run post uninstall script",m.identifier.id,m.manifest.version),this.f.error(b)}}));try{await w.Promises.rm(this.m(m))}catch(b){this.f.error("Error while removing extension storage path",m.identifier.id),this.f.error(b)}}g(m,l){const b=`vscode:${l}`;if(m.location.scheme===S.Schemas.file&&m.manifest&&m.manifest.scripts&&typeof m.manifest.scripts[b]=="string"){const c=m.manifest.scripts[b].split(" ");return c.length<2||c[0]!=="node"||!c[1]?(this.f.warn(m.identifier.id,m.manifest.version,`${b} should be a node script`),null):{script:(0,v.$jc)(m.location.fsPath,c[1]),args:c.slice(2)||[]}}return null}h(m,l,b,c,g){return new Promise((h,f)=>{const u=this.j(m,l,b,g);let t;const s=r=>{t&&(clearTimeout(t),t=null),r?f(r):h(void 0)};u.on("error",r=>{s((0,o.$2i)(r)||"Unknown")}),u.on("exit",(r,n)=>{s(r?`post-${l} process exited with code ${r}`:void 0)}),c&&(t=setTimeout(()=>{t=null,u.kill(),f("timed out")},5e3))})}j(m,l,b,c){const g={silent:!0,execArgv:void 0},h=(0,E.fork)(m,[`--type=extension-post-${l}`,...b],g);h.stdout.setEncoding("utf8"),h.stderr.setEncoding("utf8");const f=C.Event.fromNodeEventEmitter(h.stdout,"data"),u=C.Event.fromNodeEventEmitter(h.stderr,"data");f(r=>this.f.info(c.identifier.id,c.manifest.version,`post-${l}`,r)),u(r=>this.f.error(c.identifier.id,c.manifest.version,`post-${l}`,r));const t=C.Event.any(C.Event.map(f,r=>({data:`%c${r}`,format:[""]})),C.Event.map(u,r=>({data:`%c${r}`,format:["color: red"]})));return C.Event.debounce(t,(r,n)=>r?{data:r.data+n.data,format:[...r.format,...n.format]}:{data:n.data,format:n.format},100)(r=>{console.group(c.identifier.id),console.log(r.data,...r.format),console.groupEnd()}),h}m(m){return(0,v.$jc)(this.b.defaultProfile.globalStorageHome.fsPath,m.identifier.id.toLowerCase())}};e.$eq=p,e.$eq=p=Me([Oe(0,k.$bl),Oe(1,I.$yj)],p)}),define(ye[125],ke([1,0,15,14,20,39,10,6,62,2,24,12,7,19,55,11,4,22,23,81,187,83,26,261,30,36,47,59,245,262,217,236,246,82,16,5,13,31,32,34,33]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t,s,r,n,i,a,$,O,P,y,A,F,Q,te,de,he,B,V,_){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lq=e.$kq=e.$jq=e.$iq=void 0,e.$iq=(0,te.$fi)(r.$No);const X=".vsctmp";let ne=class extends s.$2p{constructor(U,q,M,z,x,Y,Z,W,J,N,T,ee){super(U,q,T,M,N,ee),this.eb=x,this.fb=Y,this.gb=Z,this.hb=J,this.db=new Map,this.qb=new I.$Bc;const ie=this.B(W.createInstance(O.$eq));this.ab=this.B(W.createInstance(K,ae=>ie.postUninstall(ae))),this.bb=this.B(new y.$gq(ee,J,T,this,this.F)),this.cb=this.B(W.createInstance($.$dq));const fe=this.B(new A.$hq(this,this.eb,ee,Y,T,J,M));this.B(fe.onDidChangeExtensionsByAnotherSource(ae=>this.pb(ae))),this.rb()}getTargetPlatform(){return this.ib||(this.ib=(0,n.$kp)(this.hb,this.F)),this.ib}async zip(U){this.F.trace("ExtensionManagementService#zip",U.identifier.id);const q=await this.ob(U),M=await(0,h.zip)((0,d.$Rg)(this.cb.extensionsDownloadDir,(0,c.$Ag)()).fsPath,q);return b.URI.file(M)}async unzip(U){return this.F.trace("ExtensionManagementService#unzip",U.toString()),(await this.install(U)).identifier}async getManifest(U){const{location:q,cleanup:M}=await this.kb(U),z=p.$kc(q.fsPath);try{return await(0,P.$fq)(z)}finally{await M()}}getInstalled(U,q=this.H.defaultProfile.extensionsResource){return this.ab.scanExtensions(U??null,q)}scanAllUserInstalledExtensions(){return this.ab.scanAllUserExtensions(!1)}scanInstalledExtensionAtLocation(U){return this.ab.scanUserExtensionAtLocation(U)}async install(U,q={}){this.F.trace("ExtensionManagementService#install",U.toString());const{location:M,cleanup:z}=await this.kb(U);try{const x=await(0,P.$fq)(p.$kc(M.fsPath)),Y=(0,n.$ep)(x.publisher,x.name);if(x.engines&&x.engines.vscode&&!(0,F.$rp)(x.engines.vscode,this.G.version,this.G.date))throw new Error(f.localize(0,null,Y,this.G.version));const W=(await this.I([{manifest:x,extension:M,options:q}])).find(({identifier:J})=>(0,n.$_o)(J,{id:Y}));if(W?.local)return W.local;throw W?.error?W.error:(0,s.$4p)(new Error(`Unknown error while installing extension ${Y}`))}finally{await z()}}async installFromLocation(U,q){this.F.trace("ExtensionManagementService#installFromLocation",U.toString());const M=await this.ab.scanUserExtensionAtLocation(U);if(!M||!M.manifest.name||!M.manifest.version)throw new Error(`Cannot find a valid extension from the location ${U.toString()}`);return await this.tb([[M,void 0]],q),this.F.info("Successfully installed extension",M.identifier.id,q.toString()),M}async installExtensionsFromProfile(U,q,M){this.F.trace("ExtensionManagementService#installExtensionsFromProfile",U,q.toString(),M.toString());const z=(await this.ab.scanExtensions(1,q)).filter(x=>U.some(Y=>(0,n.$_o)(Y,x.identifier)));if(z.length){const x=await Promise.all(z.map(Y=>this.ab.scanMetadata(Y,q)));await this.tb(z.map((Y,Z)=>[Y,x[Z]]),M),this.F.info("Successfully installed extensions",z.map(Y=>Y.identifier.id),M.toString())}return z}async updateMetadata(U,q,M=this.H.defaultProfile.extensionsResource){return this.F.trace("ExtensionManagementService#updateMetadata",U.identifier.id),q.isPreReleaseVersion&&(q.preRelease=!0,q.hasPreReleaseVersion=!0),q.isMachineScoped===!1&&(q.isMachineScoped=void 0),q.isBuiltin===!1&&(q.isBuiltin=void 0),q.pinned===!1&&(q.pinned=void 0),U=await this.ab.updateMetadata(U,q,M),this.bb.invalidate(M),this.w.fire(U),U}async reinstallFromGallery(U){if(this.F.trace("ExtensionManagementService#reinstallFromGallery",U.identifier.id),!this.z.isEnabled())throw new Error(f.localize(1,null));const q=await this.getTargetPlatform(),[M]=await this.z.getExtensions([{...U.identifier,preRelease:U.preRelease}],{targetPlatform:q,compatible:!0},o.CancellationToken.None);if(!M)throw new Error(f.localize(2,null));await this.ab.setUninstalled(U);try{await this.ab.removeUninstalledExtension(U)}catch(z){throw new Error(f.localize(3,null,(0,C.$2i)(z)))}return this.installFromGallery(M)}$(U,q,M,z){return this.ab.copyExtension(U,q,M,z)}copyExtensions(U,q){return this.ab.copyExtensions(U,q)}markAsUninstalled(...U){return this.ab.setUninstalled(...U)}async cleanUp(){this.F.trace("ExtensionManagementService#cleanUp");try{await this.ab.cleanUp()}catch(U){this.F.error(U)}}async download(U,q,M){const{location:z}=await this.cb.download(U,q,!M);return z}async kb(U){if(U.scheme===k.Schemas.file)return{location:U,async cleanup(){}};this.F.trace("Downloading extension from",U.toString());const q=(0,d.$Rg)(this.cb.extensionsDownloadDir,(0,c.$Ag)());return await this.gb.download(U,q),this.F.info("Downloaded extension to",q.toString()),{location:q,cleanup:async()=>{try{await this.hb.del(q)}catch(z){this.F.error(z)}}}}X(){return this.H.defaultProfile.extensionsResource}Y(U,q,M){if(b.URI.isUri(q))return new ce(U,q,M,this.z,this.ab,this.D,this.H,this.eb,this.fb,this.F);const z=n.$ap.create(q).toString();let x=this.db.get(z);return x||(this.db.set(z,x=new oe(U,q,M,this.cb,this.ab,this.D,this.H,this.eb,this.fb,this.F)),x.waitUntilTaskIsFinished().finally(()=>this.db.delete(z))),x}Z(U,q){return new se(U,q.profileLocation,this.fb)}async ob(U){const q=async z=>{let x=await g.Promises.readdir(z);x=x.map(W=>p.$jc(z,W));const Y=await Promise.all(x.map(W=>g.Promises.stat(W)));let Z=Promise.resolve([]);return Y.forEach((W,J)=>{const N=x[J];W.isFile()&&(Z=Z.then(T=>[...T,N])),W.isDirectory()&&(Z=Z.then(T=>q(N).then(ee=>[...T,...ee])))}),Z};return(await q(U.location.fsPath)).map(z=>({path:`extension/${p.$lc(U.location.fsPath,z)}`,localPath:z}))}async pb({added:U,removed:q}){if(q){const M=U&&this.D.extUri.isEqual(q.profileLocation,U.profileLocation)?q.extensions.filter(z=>U.extensions.every(x=>!(0,n.$_o)(x,z))):q.extensions;for(const z of M)this.F.info("Extensions removed from another source",z.id,q.profileLocation.toString()),this.u.fire({identifier:z,profileLocation:q.profileLocation})}if(U){const z=(await this.ab.scanExtensions(1,U.profileLocation)).filter(x=>U.extensions.some(Y=>(0,n.$_o)(Y,x.identifier)));this.s.fire(z.map(x=>(this.F.info("Extensions added from another source",x.identifier.id,U.profileLocation.toString()),{identifier:x.identifier,local:x,profileLocation:U.profileLocation,operation:1})))}}async rb(){this.B(this.ab.onExtract(q=>this.qb.add(q)));const U=await this.hb.resolve(this.eb.userExtensionsLocation);for(const q of U.children??[])q.isDirectory&&this.qb.add(q.resource);this.B(this.hb.watch(this.eb.userExtensionsLocation)),this.B(this.hb.onDidFilesChange(q=>this.sb(q)))}async sb(U){if(!U.affects(this.eb.userExtensionsLocation,1))return;const q=[];for(const M of U.rawAdded){if(this.qb.has(M)||!this.D.extUri.isEqual(this.D.extUri.dirname(M),this.eb.userExtensionsLocation)||this.D.extUri.isEqual(M,this.D.extUri.joinPath(this.eb.userExtensionsLocation,".obsolete"))||this.D.extUri.basename(M).startsWith(".")||!(await this.hb.stat(M)).isDirectory)continue;const z=await this.ab.scanUserExtensionAtLocation(M);z&&z.installedTimestamp===void 0&&(this.qb.add(M),q.push(z))}q.length&&(await this.tb(q.map(M=>[M,void 0]),this.H.defaultProfile.extensionsResource),this.F.info("Added extensions to default profile from external source",q.map(M=>M.identifier.id)))}async tb(U,q){const M=U.map(z=>z[0]);await this.ub(M),await this.fb.addExtensionsToProfile(U,q),this.s.fire(M.map(z=>({local:z,identifier:z.identifier,operation:1,profileLocation:q})))}async ub(U){const q=await this.ab.getUninstalledExtensions();for(const M of U){const z=n.$ap.create(M);q[z.toString()]&&(this.F.trace("Removing the extension from uninstalled list:",z.id),await this.ab.setInstalled(z),this.F.info("Removed the extension from uninstalled list:",z.id))}}};e.$jq=ne,e.$jq=ne=Me([Oe(0,r.$Ko),Oe(1,B.$Fl),Oe(2,de.$yj),Oe(3,t.$mi),Oe(4,a.$$p),Oe(5,i.$7p),Oe(6,u.$po),Oe(7,te.$di),Oe(8,Q.$Bk),Oe(9,he.$Qj),Oe(10,V.$_k),Oe(11,_.$bl)],ne);let K=class extends w.$Tc{constructor(U,q,M,z,x,Y){super(),this.j=U,this.m=q,this.n=M,this.s=z,this.t=x,this.u=Y,this.h=this.B(new S.$5d),this.onExtract=this.h.event,this.c=(0,d.$Rg)(this.n.userExtensionsLocation,".obsolete"),this.g=new E.$lh}async cleanUp(){await this.H(),await this.G()}async scanExtensions(U,q){const M={includeInvalid:!0,profileLocation:q};let z=[];return U===null||U===0?z.push(...await this.n.scanAllExtensions({includeInvalid:!0},M,!1)):U===1&&z.push(...await this.n.scanUserExtensions(M)),z=U!==null?z.filter(x=>x.type===U):z,Promise.all(z.map(x=>this.F(x)))}async scanAllUserExtensions(U){const q=await this.n.scanUserExtensions({includeAllVersions:!U,includeInvalid:!0});return Promise.all(q.map(M=>this.F(M)))}async scanUserExtensionAtLocation(U){try{const q=await this.n.scanExistingExtension(U,1,{includeInvalid:!0});if(q)return await this.F(q)}catch(q){this.u.error(q)}return null}async extractUserExtension(U,q,M,z,x){const Y=U.toString(),Z=b.URI.file(p.$jc(this.n.userExtensionsLocation.fsPath,`.${(0,c.$Ag)()}`)),W=b.URI.file(p.$jc(this.n.userExtensionsLocation.fsPath,Y));let J=await this.m.exists(W);if(J&&z){try{await this.y(U.id,W,"removeExisting")}catch{throw new r.$Lo(f.localize(4,null,W.fsPath,U.id),r.ExtensionManagementErrorCode.Delete)}J=!1}if(J)await this.n.updateMetadata(W,M);else try{try{this.u.trace(`Started extracting the extension from ${q} to ${W.fsPath}`),await(0,h.$Zp)(q,Z.fsPath,{sourcePath:"extension",overwrite:!0},x),this.u.info(`Extracted extension to ${W}:`,U.id)}catch(N){let T=r.ExtensionManagementErrorCode.Extract;throw N instanceof h.$Xp&&(N.type==="CorruptZip"?T=r.ExtensionManagementErrorCode.CorruptZip:N.type==="Incomplete"&&(T=r.ExtensionManagementErrorCode.IncompleteZip)),new r.$Lo(N.message,T)}await this.n.updateMetadata(Z,M);try{this.u.trace(`Started renaming the extension from ${Z.fsPath} to ${W.fsPath}`),await this.C(Z.fsPath,W.fsPath),this.u.info("Renamed to",W.fsPath)}catch(N){if(N.code==="ENOTEMPTY")this.u.info("Rename failed because extension was installed by another source. So ignoring renaming.",U.id);else throw this.u.info(`Rename failed because of ${(0,D.$0)(N)}. Deleted from extracted location`,Z),N}this.h.fire(W)}catch(N){try{await this.m.del(Z,{recursive:!0})}catch{}throw N}return this.D(W,1)}async scanMetadata(U,q){return q?(await this.w(U,q))?.metadata:this.n.scanMetadata(U.location)}async w(U,q){return(await this.s.scanProfileExtensions(q)).find(z=>(0,n.$_o)(z.identifier,U.identifier))}async updateMetadata(U,q,M){return M?await this.s.updateMetadata([[U,q]],M):await this.n.updateMetadata(U.location,q),this.D(U.location,U.type,M)}getUninstalledExtensions(){return this.z()}async setUninstalled(...U){const q=U.map(M=>n.$ap.create(M));await this.z(M=>q.forEach(z=>{M[z.toString()]=!0,this.u.info("Marked extension as uninstalled",z.toString())}))}async setInstalled(U){await this.z(q=>delete q[U.toString()])}async removeExtension(U,q){if(this.t.extUri.isEqualOrParent(U.location,this.n.userExtensionsLocation))return this.y(U.identifier.id,U.location,q)}async removeUninstalledExtension(U){await this.removeExtension(U,"uninstalled"),await this.z(q=>delete q[n.$ap.create(U).toString()])}async copyExtension(U,q,M,z){const x=await this.w(U,q),Y=await this.w(U,M);if(z={...x?.metadata,...z},Y)if(this.t.extUri.isEqual(Y.location,U.location))await this.s.updateMetadata([[U,{...Y.metadata,...z}]],M);else{const Z=await this.D(Y.location,U.type,M);await this.s.removeExtensionFromProfile(Z,M),await this.s.addExtensionsToProfile([[U,{...Y.metadata,...z}]],M)}else await this.s.addExtensionsToProfile([[U,z]],M);return this.D(U.location,U.type,M)}async copyExtensions(U,q){const M=await this.scanExtensions(1,U),z=await Promise.all(M.filter(x=>!x.isApplicationScoped).map(async x=>[x,await this.scanMetadata(x,U)]));await this.s.addExtensionsToProfile(z,q)}async y(U,q,M){this.u.trace(`Deleting ${M} extension from disk`,U,q.fsPath);const z=this.t.extUri.joinPath(this.t.extUri.dirname(q),`${this.t.extUri.basename(q)}.${(0,v.$5i)((0,c.$Ag)()).toString(16)}${X}`);await this.C(q.fsPath,z.fsPath),await this.m.del(z,{recursive:!0}),this.u.info(`Deleted ${M} extension from disk`,U,q.fsPath)}async z(U){return this.g.queue(async()=>{let q;try{q=(await this.m.readFile(this.c,"utf8")).value.toString()}catch(z){if((0,Q.$Sk)(z)!==1)throw z}let M={};if(q)try{M=JSON.parse(q)}catch{}return U&&(U(M),Object.keys(M).length?await this.m.writeFile(this.c,R.$se.fromString(JSON.stringify(M))):await this.m.del(this.c)),M})}async C(U,q){try{await g.Promises.rename(U,q,2*60*1e3)}catch(M){throw new r.$Lo(M.message||f.localize(5,null,U,q),M.code||r.ExtensionManagementErrorCode.Rename)}}async D(U,q,M){if(M){const x=(await this.n.scanUserExtensions({profileLocation:M})).find(Y=>this.t.extUri.isEqual(Y.location,U));if(x)return this.F(x)}else{const z=await this.n.scanExistingExtension(U,q,{includeInvalid:!0});if(z)return this.F(z)}throw new Error(f.localize(6,null,U.path))}async F(U){const q=await this.m.resolve(U.location);let M,z;return q.children&&(M=q.children.find(({name:x})=>/^readme(\.txt|\.md|)$/i.test(x))?.resource,z=q.children.find(({name:x})=>/^changelog(\.txt|\.md|)$/i.test(x))?.resource),{identifier:U.identifier,type:U.type,isBuiltin:U.isBuiltin||!!U.metadata?.isBuiltin,location:U.location,manifest:U.manifest,targetPlatform:U.targetPlatform,validations:U.validations,isValid:U.isValid,readmeUrl:M,changelogUrl:z,publisherDisplayName:U.metadata?.publisherDisplayName||null,publisherId:U.metadata?.publisherId||null,isApplicationScoped:!!U.metadata?.isApplicationScoped,isMachineScoped:!!U.metadata?.isMachineScoped,isPreReleaseVersion:!!U.metadata?.isPreReleaseVersion,hasPreReleaseVersion:!!U.metadata?.hasPreReleaseVersion,preRelease:!!U.metadata?.preRelease,installedTimestamp:U.metadata?.installedTimestamp,updated:!!U.metadata?.updated,pinned:!!U.metadata?.pinned}}async G(){const U=await this.getUninstalledExtensions();if(Object.keys(U).length===0){this.u.debug("No uninstalled extensions found.");return}this.u.debug("Removing uninstalled extensions:",Object.keys(U));const q=await this.n.scanUserExtensions({includeAllVersions:!0,includeUninstalled:!0,includeInvalid:!0}),M=new Set;for(const x of q)U[n.$ap.create(x).toString()]||M.add(x.identifier.id.toLowerCase());try{const x=(0,n.$fp)(q,Y=>Y.identifier);await E.Promises.settled(x.map(async Y=>{const Z=Y.sort((W,J)=>m.rcompare(W.manifest.version,J.manifest.version))[0];M.has(Z.identifier.id.toLowerCase())||await this.j(await this.F(Z))}))}catch(x){this.u.error(x)}const z=q.filter(x=>x.metadata&&U[n.$ap.create(x).toString()]);await Promise.allSettled(z.map(x=>this.removeUninstalledExtension(x)))}async H(){this.u.trace("ExtensionManagementService#removeTempDeleteFolders");let U;try{U=await this.m.resolve(this.n.userExtensionsLocation)}catch(q){(0,Q.$Sk)(q)!==1&&this.u.error(q);return}if(U?.children)try{await Promise.allSettled(U.children.map(async q=>{if(!(!q.isDirectory||!q.name.endsWith(X))){this.u.trace("Deleting the temporarily deleted folder",q.resource.toString());try{await this.m.del(q.resource,{recursive:!0}),this.u.trace("Deleted the temporarily deleted folder",q.resource.toString())}catch(M){(0,Q.$Sk)(M)!==1&&this.u.error(M)}}}))}catch{}}};e.$kq=K,e.$kq=K=Me([Oe(1,Q.$Bk),Oe(2,a.$$p),Oe(3,i.$7p),Oe(4,V.$_k),Oe(5,de.$yj)],K);class G extends s.$5p{get profileLocation(){return this.j}get verificationStatus(){return this.k}get operation(){return(0,l.$Zf)(this.options.operation)?this.l:this.options.operation}constructor(U,q,M,z,x,Y,Z,W,J){super(),this.identifier=U,this.source=q,this.options=M,this.m=z,this.n=x,this.o=Y,this.p=Z,this.q=W,this.s=J,this.j=this.options.profileLocation,this.k=!1,this.l=2}async h(U){const[q,M]=await this.x(U);return this.j=q.isBuiltin||q.isApplicationScoped?this.o.defaultProfile.extensionsResource:this.options.profileLocation,this.n.extUri.isEqual(this.o.defaultProfile.extensionsResource,this.j)&&await this.p.initializeDefaultProfileExtensions(),await this.q.addExtensionsToProfile([[q,M]],this.j),q}async u({zipPath:U,key:q,metadata:M},z,x){let Y=await this.v(q);return Y?Y=await this.m.updateMetadata(Y,M):(this.s.trace("Extracting extension...",q.id),Y=await this.m.extractUserExtension(q,U,M,z,x),this.s.info("Extracting extension completed.",q.id)),Y}async v(U){return await this.w(U)?(this.s.trace("Removing the extension from uninstalled list:",U.id),await this.m.setInstalled(U),this.s.info("Removed the extension from uninstalled list:",U.id),(await this.m.scanAllUserExtensions(!0)).find(z=>n.$ap.create(z).equals(U))):void 0}async w(U){return!!(await this.m.getUninstalledExtensions())[U.toString()]}}class oe extends G{constructor(U,q,M,z,x,Y,Z,W,J,N){super(q.identifier,q,M,x,Y,Z,W,J,N),this.y=q,this.z=z}async x(U){let q;try{q=await this.m.scanExtensions(null,this.options.profileLocation)}catch(Z){throw new r.$Lo(Z,r.ExtensionManagementErrorCode.Scanning)}const M=q.find(Z=>(0,n.$_o)(Z.identifier,this.y.identifier));M&&(this.l=3);const z={id:this.y.identifier.uuid,publisherId:this.y.publisherId,publisherDisplayName:this.y.publisherDisplayName,targetPlatform:this.y.properties.targetPlatform,isApplicationScoped:this.options.isApplicationScoped||M?.isApplicationScoped,isMachineScoped:this.options.isMachineScoped||M?.isMachineScoped,isBuiltin:this.options.isBuiltin||M?.isBuiltin,isSystem:M?.type===0?!0:void 0,updated:!!M,isPreReleaseVersion:this.y.properties.isPreReleaseVersion,hasPreReleaseVersion:M?.hasPreReleaseVersion||this.y.properties.isPreReleaseVersion,installedTimestamp:Date.now(),pinned:this.options.installGivenVersion?!0:this.options.pinned??M?.pinned,preRelease:(0,l.$Yf)(this.options.preRelease)?this.options.preRelease:this.options.installPreReleaseVersion||this.y.properties.isPreReleaseVersion||M?.preRelease};if(M?.manifest.version===this.y.version)try{return[await this.m.updateMetadata(M,z),z]}catch(Z){throw new r.$Lo((0,D.$0)(Z),r.ExtensionManagementErrorCode.UpdateMetadata)}const{location:x,verificationStatus:Y}=await this.z.download(this.y,this.l,!this.options.donotVerifySignature);try{return this.k=Y,this.B(x.fsPath),[await this.u({zipPath:x.fsPath,key:n.$ap.create(this.y),metadata:z},!1,U),z]}catch(Z){try{await this.z.delete(x)}catch(W){this.s.warn("Error while deleting the downloaded file",x.toString(),(0,D.$0)(W))}throw Z}}async B(U){try{await(0,P.$fq)(U)}catch(q){throw new r.$Lo((0,s.$3p)(q).message,r.ExtensionManagementErrorCode.Invalid)}}}e.$lq=oe;class ce extends G{constructor(U,q,M,z,x,Y,Z,W,J,N){super({id:(0,n.$ep)(U.publisher,U.name)},q,M,x,Y,Z,W,J,N),this.y=U,this.z=q,this.A=z}async h(U){const q=await super.h(U);return this.D(q,U),q}async x(U){const q=new n.$ap(this.identifier,this.y.version),z=(await this.m.scanExtensions(1,this.options.profileLocation)).find(Z=>(0,n.$_o)(this.identifier,Z.identifier)),x={isApplicationScoped:this.options.isApplicationScoped||z?.isApplicationScoped,isMachineScoped:this.options.isMachineScoped||z?.isMachineScoped,isBuiltin:this.options.isBuiltin||z?.isBuiltin,installedTimestamp:Date.now(),pinned:this.options.installGivenVersion?!0:this.options.pinned??z?.pinned};if(z)if(this.l=3,q.equals(new n.$ap(z.identifier,z.manifest.version)))try{await this.m.removeExtension(z,"existing")}catch{throw new Error(f.localize(7,null,this.y.displayName||this.y.name))}else!this.options.profileLocation&&m.gt(z.manifest.version,this.y.version)&&await this.m.setUninstalled(z);else{const Z=await this.v(q);if(Z)try{await this.m.removeExtension(Z,"existing")}catch{throw new Error(f.localize(8,null,this.y.displayName||this.y.name))}}return[await this.u({zipPath:p.$kc(this.z.fsPath),key:q,metadata:x},!0,U),x]}async D(U,q){try{let[M]=await this.A.getExtensions([{id:U.identifier.id,version:U.manifest.version}],q);if(M||([M]=await this.A.getExtensions([{id:U.identifier.id}],q)),M){const z={id:M.identifier.uuid,publisherDisplayName:M.publisherDisplayName,publisherId:M.publisherId,isPreReleaseVersion:M.properties.isPreReleaseVersion,hasPreReleaseVersion:U.hasPreReleaseVersion||M.properties.isPreReleaseVersion,preRelease:M.properties.isPreReleaseVersion||this.options.installPreReleaseVersion};await this.m.updateMetadata(U,z,this.options.profileLocation)}}catch{}}}class se extends s.$5p{constructor(U,q,M){super(),this.extension=U,this.j=q,this.k=M}async h(U){await this.k.removeExtensionFromProfile(this.extension,this.j)}}}),define(ye[126],ke([1,0,13,33,34,32,47,16,26,4]),function(le,e,E,R,o,C,D,S,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$AP=void 0;let I=class extends D.$8p{constructor(p,d,m,l,b,c){super(w.URI.file(p.extensionsPath),d,m,l,b,c)}};e.$AP=I,e.$AP=I=Me([Oe(0,v.$mi),Oe(1,S.$Bk),Oe(2,R.$bl),Oe(3,o.$_k),Oe(4,C.$Fl),Oe(5,E.$yj)],I)}),define(ye[263],ke([1,0,15,6,2,42,11,173,5,33]),function(le,e,E,R,o,C,D,S,v,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kp=e.$Jp=e.$Ip=e.$Hp=e.$Gp=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.$Fp=e.$Ep=e.$Dp=void 0,e.$Dp="__$__isNewStorageMarker",e.$Ep="__$__targetStorageMarker",e.$Fp=(0,v.$ei)("storageService");var I;(function(g){g[g.NONE=0]="NONE",g[g.SHUTDOWN=1]="SHUTDOWN"})(I||(e.WillSaveStateReason=I={}));var k;(function(g){g[g.APPLICATION=-1]="APPLICATION",g[g.PROFILE=0]="PROFILE",g[g.WORKSPACE=1]="WORKSPACE"})(k||(e.StorageScope=k={}));var p;(function(g){g[g.USER=0]="USER",g[g.MACHINE=1]="MACHINE"})(p||(e.StorageTarget=p={}));function d(g){const h=g.get(e.$Ep);if(h)try{return JSON.parse(h)}catch{}return Object.create(null)}e.$Gp=d;class m extends o.$Tc{static{this.a=60*1e3}constructor(h={flushInterval:m.a}){super(),this.m=h,this.b=this.B(new R.$8d),this.c=this.B(new R.$8d),this.onDidChangeTarget=this.c.event,this.f=this.B(new R.$5d),this.onWillSaveState=this.f.event,this.h=this.B(new E.$qh(()=>this.n(),this.m.flushInterval)),this.j=this.B(new o.$Uc),this.C=void 0,this.F=void 0,this.H=void 0}onDidChangeValue(h,f,u){return R.Event.filter(this.b.event,t=>t.scope===h&&(f===void 0||t.key===f),u)}n(){this.j.value=(0,E.$uh)(()=>{this.r()&&this.flush(),this.h.schedule()})}r(){return!0}t(){(0,o.$Oc)([this.j,this.h])}initialize(){return this.g||(this.g=(async()=>{(0,C.mark)("code/willInitStorage");try{await this.O()}finally{(0,C.mark)("code/didInitStorage")}this.h.schedule()})()),this.g}u(h,f){const{key:u,external:t}=f;if(u===e.$Ep){switch(h){case-1:this.H=void 0;break;case 0:this.F=void 0;break;case 1:this.C=void 0;break}this.c.fire({scope:h})}else this.b.fire({scope:h,key:u,target:this.J(h)[u],external:t})}w(h){this.f.fire({reason:h})}get(h,f,u){return this.P(f)?.get(h,u)}getBoolean(h,f,u){return this.P(f)?.getBoolean(h,u)}getNumber(h,f,u){return this.P(f)?.getNumber(h,u)}getObject(h,f,u){return this.P(f)?.getObject(h,u)}storeAll(h,f){this.y(()=>{for(const u of h)this.store(u.key,u.value,u.scope,u.target,f)})}store(h,f,u,t,s=!1){if((0,D.$2f)(f)){this.remove(h,u,s);return}this.y(()=>{this.z(h,u,t),this.P(u)?.set(h,f,s)})}remove(h,f,u=!1){this.y(()=>{this.z(h,f,void 0),this.P(f)?.delete(h,u)})}y(h){this.b.pause(),this.c.pause();try{h()}finally{this.b.resume(),this.c.resume()}}keys(h,f){const u=[],t=this.J(h);for(const s of Object.keys(t))t[s]===f&&u.push(s);return u}z(h,f,u,t=!1){const s=this.J(f);typeof u=="number"?s[h]!==u&&(s[h]=u,this.P(f)?.set(e.$Ep,JSON.stringify(s),t)):typeof s[h]=="number"&&(delete s[h],this.P(f)?.set(e.$Ep,JSON.stringify(s),t))}get D(){return this.C||(this.C=this.L(1)),this.C}get G(){return this.F||(this.F=this.L(0)),this.F}get I(){return this.H||(this.H=this.L(-1)),this.H}J(h){switch(h){case-1:return this.I;case 0:return this.G;default:return this.D}}L(h){const f=this.P(h);return f?d(f):Object.create(null)}isNew(h){return this.getBoolean(e.$Dp,h)===!0}async flush(h=I.NONE){this.f.fire({reason:h});const f=this.P(-1),u=this.P(0),t=this.P(1);switch(h){case I.NONE:await E.Promises.settled([f?.whenFlushed()??Promise.resolve(),u?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case I.SHUTDOWN:await E.Promises.settled([f?.flush(0)??Promise.resolve(),u?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const h=this.P(-1)?.items??new Map,f=this.P(0)?.items??new Map,u=this.P(1)?.items??new Map;return c(h,f,u,this.Q(-1)??"",this.Q(0)??"",this.Q(1)??"")}async optimize(h){return await this.flush(),this.P(h)?.optimize()}async switch(h,f){return this.w(I.NONE),(0,w.$al)(h)?this.R(h,f):this.S(h,f)}M(h,f){return!(h.id===f.id||l(f)&&l(h))}N(h,f,u){this.y(()=>{const t=new Set;for(const[s,r]of h)t.add(s),f.get(s)!==r&&this.u(u,{key:s,external:!0});for(const[s]of f.items)t.has(s)||this.u(u,{key:s,external:!0})})}}e.$Hp=m;function l(g){return g.isDefault||!!g.useDefaultFlags?.globalState}e.$Ip=l;class b extends m{constructor(){super(),this.U=this.B(new S.$Bp(new S.$Cp,{hint:S.StorageHint.STORAGE_IN_MEMORY})),this.W=this.B(new S.$Bp(new S.$Cp,{hint:S.StorageHint.STORAGE_IN_MEMORY})),this.X=this.B(new S.$Bp(new S.$Cp,{hint:S.StorageHint.STORAGE_IN_MEMORY})),this.B(this.X.onDidChangeStorage(h=>this.u(1,h))),this.B(this.W.onDidChangeStorage(h=>this.u(0,h))),this.B(this.U.onDidChangeStorage(h=>this.u(-1,h)))}P(h){switch(h){case-1:return this.U;case 0:return this.W;default:return this.X}}Q(h){switch(h){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async O(){}async R(){}async S(){}r(){return!1}hasScope(h){return!1}}e.$Jp=b;async function c(g,h,f,u,t,s){const r=F=>{try{return JSON.parse(F)}catch{return F}},n=new Map,i=new Map;g.forEach((F,Q)=>{n.set(Q,F),i.set(Q,r(F))});const a=new Map,$=new Map;h.forEach((F,Q)=>{a.set(Q,F),$.set(Q,r(F))});const O=new Map,P=new Map;f.forEach((F,Q)=>{O.set(Q,F),P.set(Q,r(F))}),console.group(u!==t?`Storage: Application (path: ${u})`:`Storage: Application & Profile (path: ${u}, default profile)`);const y=[];if(n.forEach((F,Q)=>{y.push({key:Q,value:F})}),console.table(y),console.groupEnd(),console.log(i),u!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const F=[];a.forEach((Q,te)=>{F.push({key:te,value:Q})}),console.table(F),console.groupEnd(),console.log($)}console.group(`Storage: Workspace (path: ${s})`);const A=[];O.forEach((F,Q)=>{A.push({key:Q,value:F})}),console.table(A),console.groupEnd(),console.log(P)}e.$Kp=c}),define(ye[127],ke([1,0,18,20,10,3,29,11,4,25,26,30,36,82,16,13,31,46,247,263,32,61]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pp=e.$Op=e.$Np=void 0;const t=C.$o?"web":(0,k.$Go)(C.$u,D.$ec),s="X-Market-Search-Activity-Id";var r;(function(z){z[z.None=0]="None",z[z.IncludeVersions=1]="IncludeVersions",z[z.IncludeFiles=2]="IncludeFiles",z[z.IncludeCategoryAndTags=4]="IncludeCategoryAndTags",z[z.IncludeSharedAccounts=8]="IncludeSharedAccounts",z[z.IncludeVersionProperties=16]="IncludeVersionProperties",z[z.ExcludeNonValidated=32]="ExcludeNonValidated",z[z.IncludeInstallationTargets=64]="IncludeInstallationTargets",z[z.IncludeAssetUri=128]="IncludeAssetUri",z[z.IncludeStatistics=256]="IncludeStatistics",z[z.IncludeLatestVersionOnly=512]="IncludeLatestVersionOnly",z[z.Unpublished=4096]="Unpublished",z[z.IncludeNameConflictInfo=32768]="IncludeNameConflictInfo"})(r||(r={}));function n(...z){return String(z.reduce((x,Y)=>x|Y,0))}var i;(function(z){z[z.Tag=1]="Tag",z[z.ExtensionId=4]="ExtensionId",z[z.Category=5]="Category",z[z.ExtensionName=7]="ExtensionName",z[z.Target=8]="Target",z[z.Featured=9]="Featured",z[z.SearchText=10]="SearchText",z[z.ExcludeWithFlags=12]="ExcludeWithFlags"})(i||(i={}));const a={Icon:"Microsoft.VisualStudio.Services.Icons.Default",Details:"Microsoft.VisualStudio.Services.Content.Details",Changelog:"Microsoft.VisualStudio.Services.Content.Changelog",Manifest:"Microsoft.VisualStudio.Code.Manifest",VSIX:"Microsoft.VisualStudio.Services.VSIXPackage",License:"Microsoft.VisualStudio.Services.Content.License",Repository:"Microsoft.VisualStudio.Services.Links.Source",Signature:"Microsoft.VisualStudio.Services.VsixSignature"},$={Dependency:"Microsoft.VisualStudio.Code.ExtensionDependencies",ExtensionPack:"Microsoft.VisualStudio.Code.ExtensionPack",Engine:"Microsoft.VisualStudio.Code.Engine",PreRelease:"Microsoft.VisualStudio.Code.PreRelease",LocalizedLanguages:"Microsoft.VisualStudio.Code.LocalizedLanguages",WebExtension:"Microsoft.VisualStudio.Code.WebExtension",SponsorLink:"Microsoft.VisualStudio.Code.SponsorLink",SupportLink:"Microsoft.VisualStudio.Services.Links.Support"},P={pageNumber:1,pageSize:10,sortBy:0,sortOrder:0,flags:r.None,criteria:[],assetTypes:[]};class y{constructor(x=P){this.d=x}get pageNumber(){return this.d.pageNumber}get pageSize(){return this.d.pageSize}get sortBy(){return this.d.sortBy}get sortOrder(){return this.d.sortOrder}get flags(){return this.d.flags}get criteria(){return this.d.criteria}withPage(x,Y=this.d.pageSize){return new y({...this.d,pageNumber:x,pageSize:Y})}withFilter(x,...Y){const Z=[...this.d.criteria,...Y.length?Y.map(W=>({filterType:x,value:W})):[{filterType:x}]];return new y({...this.d,criteria:Z})}withSortBy(x){return new y({...this.d,sortBy:x})}withSortOrder(x){return new y({...this.d,sortOrder:x})}withFlags(...x){return new y({...this.d,flags:x.reduce((Y,Z)=>Y|Z,0)})}withAssetTypes(...x){return new y({...this.d,assetTypes:x})}withSource(x){return new y({...this.d,source:x})}get raw(){const{criteria:x,pageNumber:Y,pageSize:Z,sortBy:W,sortOrder:J,flags:N,assetTypes:T}=this.d;return{filters:[{criteria:x,pageNumber:Y,pageSize:Z,sortBy:W,sortOrder:J}],assetTypes:T,flags:N}}get searchText(){const x=this.d.criteria.filter(Y=>Y.filterType===i.SearchText)[0];return x&&x.value?x.value:""}get telemetryData(){return{filterTypes:this.d.criteria.map(x=>String(x.filterType)),flags:this.d.flags,sortBy:String(this.sortBy),sortOrder:String(this.sortOrder),pageNumber:String(this.pageNumber),source:this.d.source,searchTextLength:this.searchText.length}}}function A(z,x){const Y=(z||[]).filter(Z=>Z.statisticName===x)[0];return Y?Y.value:0}function F(z){const x="Microsoft.VisualStudio.Code.Translation.";return z.files.filter(Z=>Z.assetType.indexOf(x)===0).reduce((Z,W)=>{const J=de(z,W.assetType);return J&&Z.push([W.assetType.substring(x.length),J]),Z},[])}function Q(z){if(z.properties){const x=z.properties.filter(W=>W.key===a.Repository),Y=new RegExp("((git|ssh|http(s)?)|(git@[\\w.]+))(:(//)?)([\\w.@:/\\-~]+)(.git)(/)?"),Z=x.filter(W=>Y.test(W.value))[0];return Z?{uri:Z.value,fallbackUri:Z.value}:null}return de(z,a.Repository)}function te(z){return{uri:`${z.fallbackAssetUri}/${a.VSIX}?redirect=true${z.targetPlatform?`&targetPlatform=${z.targetPlatform}`:""}`,fallbackUri:`${z.fallbackAssetUri}/${a.VSIX}${z.targetPlatform?`?targetPlatform=${z.targetPlatform}`:""}`}}function de(z,x){return z.files.filter(Z=>Z.assetType===x)[0]?{uri:`${z.assetUri}/${x}${z.targetPlatform?`?targetPlatform=${z.targetPlatform}`:""}`,fallbackUri:`${z.fallbackAssetUri}/${x}${z.targetPlatform?`?targetPlatform=${z.targetPlatform}`:""}`}:null}function he(z,x){const Y=z.properties?z.properties.filter(W=>W.key===x):[],Z=Y.length>0&&Y[0].value;return Z?Z.split(",").map(W=>(0,p.$dp)(W)):[]}function B(z){const x=z.properties?z.properties.filter(Y=>Y.key===$.Engine):[];return x.length>0&&x[0].value||""}function V(z){const x=z.properties?z.properties.filter(Y=>Y.key===$.PreRelease):[];return x.length>0&&x[0].value==="true"}function _(z){const x=z.properties?z.properties.filter(Z=>Z.key===$.LocalizedLanguages):[],Y=x.length>0&&x[0].value||"";return Y?Y.split(","):[]}function X(z){return z.properties?.find(x=>x.key===$.SponsorLink)?.value}function ne(z){return z.properties?.find(x=>x.key===$.SupportLink)?.value}function K(z){return z.indexOf("preview")!==-1}function G(z){return z.targetPlatform?(0,k.$Fo)(z.targetPlatform):"undefined"}function oe(z){const x=(0,E.$Mb)(z.versions.map(G)),Y=!!z.tags?.includes(k.$Ao),Z=x.indexOf("web");return Y?Z===-1&&x.push("web"):Z!==-1&&x.splice(Z,1),x}function ce(z,x){for(let Y=0;Y<z.length;Y++){const Z=z[Y];if(Z.version===z[Y-1]?.version){let W=Y;if(G(Z)===x)for(;W>0&&z[W-1].version===Z.version;)W--;W!==Y&&(z.splice(Y,1),z.splice(W,0,Z))}}return z}e.$Np=ce;function se(z,x,Y){z.telemetryData={index:x,querySource:Y,queryActivityId:z.queryContext?.[s]}}function ge(z,x,Y,Z){const W=z.versions[0],J={manifest:de(x,a.Manifest),readme:de(x,a.Details),changelog:de(x,a.Changelog),license:de(x,a.License),repository:Q(x),download:te(x),icon:de(x,a.Icon),signature:de(x,a.Signature),coreTranslations:F(x)};return{identifier:{id:(0,p.$ep)(z.publisher.publisherName,z.extensionName),uuid:z.extensionId},name:z.extensionName,version:x.version,displayName:z.displayName,publisherId:z.publisher.publisherId,publisher:z.publisher.publisherName,publisherDisplayName:z.publisher.displayName,publisherDomain:z.publisher.domain?{link:z.publisher.domain,verified:!!z.publisher.isDomainVerified}:void 0,publisherSponsorLink:X(W),description:z.shortDescription??"",installCount:A(z.statistics,"install"),rating:A(z.statistics,"averagerating"),ratingCount:A(z.statistics,"ratingcount"),categories:z.categories||[],tags:z.tags||[],releaseDate:Date.parse(z.releaseDate),lastUpdated:Date.parse(z.lastUpdated),allTargetPlatforms:Y,assets:J,properties:{dependencies:he(x,$.Dependency),extensionPack:he(x,$.ExtensionPack),engine:B(x),localizedLanguages:_(x),targetPlatform:G(x),isPreReleaseVersion:V(x)},hasPreReleaseVersion:V(W),hasReleaseVersion:!0,preview:K(z.flags),isSigned:!!J.signature,queryContext:Z,supportLink:ne(W)}}let U=class{constructor(x,Y,Z,W,J,N,T,ee){this.k=Y,this.l=Z,this.n=W,this.o=J,this.q=N,this.u=T,this.w=ee;const ie=T.extensionsGallery,fe=ie?.servicePPEUrl&&ee.getValue("_extensionsGallery.enablePPE");this.d=fe?ie.servicePPEUrl:ie?.serviceUrl,this.g=fe?void 0:ie?.searchUrl,this.h=ie?.controlUrl,this.j=(0,g.$Mp)(T.version,T,this.n,this.w,this.q,x,this.o)}x(x=""){return`${this.d}${x}`}isEnabled(){return!!this.d}async getExtensions(x,Y,Z){const W=R.CancellationToken.isCancellationToken(Y)?{}:Y,J=R.CancellationToken.isCancellationToken(Y)?Y:Z,N=[],T=[],ee=[],ie=[];let fe=!0;for(const Ee of x){Ee.uuid?T.push(Ee.uuid):N.push(Ee.id);const Ie=!!(Ee.version||Ee.preRelease);ee.push({id:Ee.id,uuid:Ee.uuid,includePreRelease:Ie}),Ee.version&&ie.push({id:Ee.id,uuid:Ee.uuid,version:Ee.version}),fe=fe&&!!Ee.hasPreRelease&&!Ie}if(!T.length&&!N.length)return[];let ae=new y().withPage(1,x.length);T.length&&(ae=ae.withFilter(i.ExtensionId,...T)),N.length&&(ae=ae.withFilter(i.ExtensionName,...N)),(W.queryAllVersions||fe)&&(ae=ae.withFlags(ae.flags,r.IncludeVersions)),W.source&&(ae=ae.withSource(W.source));const{extensions:pe}=await this.z(ae,{targetPlatform:W.targetPlatform??t,includePreRelease:ee,versions:ie,compatible:!!W.compatible},J);return W.source&&pe.forEach((Ee,Ie)=>se(Ee,Ie,W.source)),pe}async getCompatibleExtension(x,Y,Z){if((0,k.$Ho)(x.allTargetPlatforms,Z))return null;if(await this.isExtensionCompatible(x,Y,Z))return x;const W=new y().withFlags(r.IncludeVersions).withPage(1,1).withFilter(i.ExtensionId,x.identifier.uuid),{extensions:J}=await this.z(W,{targetPlatform:Z,compatible:!0,includePreRelease:Y},R.CancellationToken.None);return J[0]||null}async isExtensionCompatible(x,Y,Z){if(!(0,k.$Io)(x.properties.targetPlatform,x.allTargetPlatforms,Z)||!Y&&x.properties.isPreReleaseVersion)return!1;let W=x.properties.engine;if(!W){const J=await this.getManifest(x,R.CancellationToken.None);if(!J)throw new Error("Manifest was not found");W=J.engines.vscode}return(0,d.$rp)(W,this.u.version,this.u.date)}async y(x,Y,Z,W,J){if(!(0,k.$Io)(G(x),W,J)||Y!=="any"&&V(x)!==(Y==="prerelease"))return!1;if(Z)try{const N=await this.E(x);if(!(0,d.$rp)(N,this.u.version,this.u.date))return!1}catch(N){return this.l.error(`Error while getting the engine for the version ${x.version}.`,(0,o.$0)(N)),!1}return!0}async query(x,Y){let Z=x.text||"";const W=x.pageSize??50;let J=new y().withPage(1,W);Z?(Z=Z.replace(/\bcategory:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(fe,ae,pe)=>(J=J.withFilter(i.Category,pe||ae),"")),Z=Z.replace(/\btag:("([^"]*)"|([^"]\S*))(\s+|\b|$)/g,(fe,ae,pe)=>(J=J.withFilter(i.Tag,pe||ae),"")),Z=Z.replace(/\bfeatured(\s+|\b|$)/g,()=>(J=J.withFilter(i.Featured),"")),Z=Z.trim(),Z&&(Z=Z.length<200?Z:Z.substring(0,200),J=J.withFilter(i.SearchText,Z)),J=J.withSortBy(0)):x.ids?J=J.withFilter(i.ExtensionId,...x.ids):x.names?J=J.withFilter(i.ExtensionName,...x.names):J=J.withSortBy(4),typeof x.sortBy=="number"&&(J=J.withSortBy(x.sortBy)),typeof x.sortOrder=="number"&&(J=J.withSortOrder(x.sortOrder)),x.source&&(J=J.withSource(x.source));const N=async(fe,ae)=>{const{extensions:pe,total:Ee}=await this.z(fe,{targetPlatform:t,compatible:!1,includePreRelease:!!x.includePreRelease},ae);return pe.forEach((Ie,Ne)=>se(Ie,(fe.pageNumber-1)*fe.pageSize+Ne,x.source)),{extensions:pe,total:Ee}},{extensions:T,total:ee}=await N(J,Y),ie=async(fe,ae)=>{if(ae.isCancellationRequested)throw new o.$5;const{extensions:pe}=await N(J.withPage(fe+1),ae);return pe};return{firstPage:T,total:ee,pageSize:J.pageSize,getPage:ie}}async z(x,Y,Z){const W=x.flags;x.flags&r.IncludeLatestVersionOnly&&x.flags&r.IncludeVersions&&(x=x.withFlags(x.flags&~r.IncludeVersions,r.IncludeLatestVersionOnly)),!(x.flags&r.IncludeLatestVersionOnly)&&!(x.flags&r.IncludeVersions)&&(x=x.withFlags(x.flags,r.IncludeLatestVersionOnly)),Y.versions?.length&&(x=x.withFlags(x.flags&~r.IncludeLatestVersionOnly,r.IncludeVersions)),x=x.withFlags(x.flags,r.IncludeAssetUri,r.IncludeCategoryAndTags,r.IncludeFiles,r.IncludeStatistics,r.IncludeVersionProperties);const{galleryExtensions:J,total:N,context:T}=await this.B(x,Z);if(!(x.flags&r.IncludeLatestVersionOnly)){const ae=[];for(const pe of J){const Ee=await this.A(pe,Y,T);Ee&&ae.push(Ee)}return{extensions:ae,total:N}}const ie=[],fe=new Map;for(let ae=0;ae<J.length;ae++){const pe=J[ae],Ee={id:(0,p.$ep)(pe.publisher.publisherName,pe.extensionName),uuid:pe.extensionId},Ie=(0,S.$Yf)(Y.includePreRelease)?Y.includePreRelease:!!Y.includePreRelease.find($e=>(0,p.$_o)($e,Ee))?.includePreRelease;if(Y.compatible&&(0,k.$Ho)(oe(pe),Y.targetPlatform))continue;const Ne=await this.A(pe,Y,T);!Ne||Ne.properties.isPreReleaseVersion&&(!Ie||!Ne.hasReleaseVersion)||!Ne.properties.isPreReleaseVersion&&Ne.properties.targetPlatform!==Y.targetPlatform&&Ne.hasPreReleaseVersion?fe.set(pe.extensionId,ae):ie.push([ae,Ne])}if(fe.size){const ae=new u.$1d,pe=new y().withFlags(W&~r.IncludeLatestVersionOnly,r.IncludeVersions).withPage(1,fe.size).withFilter(i.ExtensionId,...fe.keys()),{extensions:Ee}=await this.z(pe,Y,Z);this.o.publicLog2("galleryService:additionalQuery",{duration:ae.elapsed(),count:fe.size});for(const Ie of Ee){const Ne=fe.get(Ie.identifier.uuid);ie.push([Ne,Ie])}}return{extensions:ie.sort((ae,pe)=>ae[0]-pe[0]).map(([,ae])=>ae),total:N}}async A(x,Y,Z){const W={id:(0,p.$ep)(x.publisher.publisherName,x.extensionName),uuid:x.extensionId},J=Y.versions?.find(ie=>(0,p.$_o)(ie,W))?.version,N=(0,S.$Yf)(Y.includePreRelease)?Y.includePreRelease:!!Y.includePreRelease.find(ie=>(0,p.$_o)(ie,W))?.includePreRelease,T=oe(x),ee=ce(x.versions,Y.targetPlatform);if(Y.compatible&&(0,k.$Ho)(T,Y.targetPlatform))return null;for(let ie=0;ie<ee.length;ie++){const fe=ee[ie];if(!(J&&fe.version!==J)){if(await this.y(fe,N?"any":"release",Y.compatible,T,Y.targetPlatform))return ge(x,fe,T,Z);if(J&&fe.version===J)return null}}return J||Y.compatible?null:ge(x,x.versions[0],T)}async B(x,Y){if(!this.isEnabled())throw new Error("No extension gallery service configured.");x=x.withFlags(x.flags,r.ExcludeNonValidated).withFilter(i.Target,"Microsoft.VisualStudio.Code").withFilter(i.ExcludeWithFlags,n(r.Unpublished));const Z=await this.j,W=JSON.stringify(x.raw),J={...Z,"Content-Type":"application/json",Accept:"application/json;api-version=3.0-preview.1","Accept-Encoding":"gzip","Content-Length":String(W.length)},N=new u.$1d;let T,ee,ie=0;try{if(T=await this.k.request({type:"POST",url:this.g&&x.criteria.some(ae=>ae.filterType===i.SearchText)?this.g:this.x("/extensionquery"),data:W,headers:J},Y),T.res.statusCode&&T.res.statusCode>=400&&T.res.statusCode<500)return{galleryExtensions:[],total:ie};const fe=await(0,c.$yp)(T);if(fe){const ae=fe.results[0],pe=ae.extensions,Ee=ae.resultMetadata&&ae.resultMetadata.filter(Ie=>Ie.metadataType==="ResultCount")[0];return ie=Ee&&Ee.metadataItems.filter(Ie=>Ie.name==="TotalCount")[0].count||0,{galleryExtensions:pe,total:ie,context:{[s]:T.res.headers.activityid}}}return{galleryExtensions:[],total:ie}}catch(fe){const ae=(0,o.$4)(fe)?k.ExtensionGalleryErrorCode.Cancelled:(0,o.$0)(fe).startsWith("XHR timeout")?k.ExtensionGalleryErrorCode.Timeout:k.ExtensionGalleryErrorCode.Failed;throw ee=new k.$Mo((0,o.$0)(fe),ae),ee}finally{this.o.publicLog2("galleryService:query",{...x.telemetryData,requestBodySize:String(W.length),duration:N.elapsed(),success:!!T&&(0,c.$up)(T),responseBodySize:T?.res.headers["Content-Length"],statusCode:T?String(T.res.statusCode):void 0,errorCode:ee?.code,count:String(ie)})}}async reportStatistic(x,Y,Z,W){if(!this.isEnabled())return;const J=C.$o?this.x(`/itemName/${x}.${Y}/version/${Z}/statType/${W==="install"?"1":"3"}/vscodewebextension`):this.x(`/publishers/${x}/extensions/${Y}/${Z}/stats?statType=${W}`),N=C.$o?"api-version=6.1-preview.1":"*/*;api-version=4.0-preview.1",ee={...await this.j,Accept:N};try{await this.k.request({type:"POST",url:J,headers:ee},R.CancellationToken.None)}catch{}}async download(x,Y,Z){this.l.trace("ExtensionGalleryService#download",x.identifier.id);const W=(0,p.$hp)(x),J=new Date().getTime(),N=ae=>this.o.publicLog("galleryService:downloadVSIX",{...W,duration:ae}),T=Z===2?"install":Z===3?"update":"",ee=T?{uri:`${x.assets.download.uri}${v.URI.parse(x.assets.download.uri).query?"&":"?"}${T}=true`,fallbackUri:`${x.assets.download.fallbackUri}${v.URI.parse(x.assets.download.fallbackUri).query?"&":"?"}${T}=true`}:x.assets.download,ie=x.queryContext?.[s]?{[s]:x.queryContext[s]}:void 0,fe=await this.D(ee,ie?{headers:ie}:void 0);await this.q.writeFile(Y,fe.stream),N(new Date().getTime()-J)}async downloadSignatureArchive(x,Y){if(!x.assets.signature)throw new Error("No signature asset found");this.l.trace("ExtensionGalleryService#downloadSignatureArchive",x.identifier.id);const Z=await this.D(x.assets.signature);await this.q.writeFile(Y,Z.stream)}async getReadme(x,Y){if(x.assets.readme){const Z=await this.D(x.assets.readme,{},Y);return await(0,c.$xp)(Z)||""}return""}async getManifest(x,Y){if(x.assets.manifest){const Z=await this.D(x.assets.manifest,{},Y),W=await(0,c.$xp)(Z);return W?JSON.parse(W):null}return null}async C(x,Y){const Z=de(x,a.Manifest);if(!Z)throw new Error("Manifest was not found");const W={"Accept-Encoding":"gzip"},J=await this.D(Z,{headers:W});return await(0,c.$yp)(J)}async getCoreTranslation(x,Y){const Z=x.assets.coreTranslations.filter(W=>W[0]===Y.toUpperCase())[0];if(Z){const W=await this.D(Z[1]),J=await(0,c.$xp)(W);return J?JSON.parse(J):null}return null}async getChangelog(x,Y){if(x.assets.changelog){const Z=await this.D(x.assets.changelog,{},Y);return await(0,c.$xp)(Z)||""}return""}async getAllCompatibleVersions(x,Y,Z){let W=new y().withFlags(r.IncludeVersions,r.IncludeCategoryAndTags,r.IncludeFiles,r.IncludeVersionProperties).withPage(1,1);x.identifier.uuid?W=W.withFilter(i.ExtensionId,x.identifier.uuid):W=W.withFilter(i.ExtensionName,x.identifier.id);const{galleryExtensions:J}=await this.B(W,R.CancellationToken.None);if(!J.length)return[];const N=oe(J[0]);if((0,k.$Ho)(N,Z))return[];const T=[];await Promise.all(J[0].versions.map(async fe=>{try{await this.y(fe,Y?"any":"release",!0,N,Z)&&T.push(fe)}catch{}}));const ee=[],ie=new Set;for(const fe of ce(T,Z))ie.has(fe.version)||(ie.add(fe.version),ee.push({version:fe.version,date:fe.lastUpdated,isPreReleaseVersion:V(fe)}));return ee}async D(x,Y={},Z=R.CancellationToken.None){const W=await this.j,J={type:"GET"},N={...W,...Y.headers||{}};Y={...Y,...J,headers:N};const T=x.uri,ee=x.fallbackUri,ie={...Y,url:T};try{const fe=await this.k.request(ie,Z);if(fe.res.statusCode===200)return fe;const ae=await(0,c.$xp)(fe);throw new Error(`Expected 200, got back ${fe.res.statusCode} instead.

${ae}`)}catch(fe){if((0,o.$4)(fe))throw fe;const ae=(0,o.$0)(fe);this.o.publicLog2("galleryService:cdnFallback",{url:T,message:ae});const pe={...Y,url:ee};return this.k.request(pe,Z)}}async E(x){let Y=B(x);if(!Y){const Z=await this.C(x,R.CancellationToken.None);if(!Z)throw new Error("Manifest was not found");Y=Z.engines.vscode}return Y}async getExtensionsControlManifest(){if(!this.isEnabled())throw new Error("No extension gallery service configured.");if(!this.h)return{malicious:[],deprecated:{},search:[]};const x=await this.k.request({type:"GET",url:this.h},R.CancellationToken.None);if(x.res.statusCode!==200)throw new Error("Could not get extensions report.");const Y=await(0,c.$yp)(x),Z=[],W={},J=[];if(Y){for(const N of Y.malicious)Z.push({id:N});if(Y.migrateToPreRelease)for(const[N,T]of Object.entries(Y.migrateToPreRelease))(!T.engine||(0,d.$rp)(T.engine,this.u.version,this.u.date))&&(W[N.toLowerCase()]={disallowInstall:!0,extension:{id:T.id,displayName:T.displayName,autoMigrate:{storage:!!T.migrateStorage},preRelease:!0}});if(Y.deprecated)for(const[N,T]of Object.entries(Y.deprecated))T&&(W[N.toLowerCase()]=(0,S.$Yf)(T)?{}:T);if(Y.search)for(const N of Y.search)J.push(N)}return{malicious:Z,deprecated:W,search:J}}};U=Me([Oe(1,c.$sp),Oe(2,l.$yj),Oe(3,I.$li),Oe(4,f.$Fl),Oe(5,m.$Bk),Oe(6,b.$Qj),Oe(7,w.$Ki)],U);let q=class extends U{constructor(x,Y,Z,W,J,N,T,ee){super(x,Y,Z,W,J,N,T,ee)}};e.$Op=q,e.$Op=q=Me([Oe(0,h.$Fp),Oe(1,c.$sp),Oe(2,l.$yj),Oe(3,I.$li),Oe(4,f.$Fl),Oe(5,m.$Bk),Oe(6,b.$Qj),Oe(7,w.$Ki)],q);let M=class extends U{constructor(x,Y,Z,W,J,N,T){super(void 0,x,Y,Z,W,J,N,T)}};e.$Pp=M,e.$Pp=M=Me([Oe(0,c.$sp),Oe(1,l.$yj),Oe(2,I.$li),Oe(3,f.$Fl),Oe(4,m.$Bk),Oe(5,b.$Qj),Oe(6,w.$Ki)],M)}),define(ye[264],ke([1,0,6,2,33,53]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$IP=e.$HP=void 0;class D{constructor(w,I){this.a=w,this.b=I}listen(w,I){const k=this.b(w);switch(I){case"onDidChangeProfiles":return E.Event.map(this.a.onDidChangeProfiles,p=>({all:p.all.map(d=>(0,C.$fn)({...d},k)),added:p.added.map(d=>(0,C.$fn)({...d},k)),removed:p.removed.map(d=>(0,C.$fn)({...d},k)),updated:p.updated.map(d=>(0,C.$fn)({...d},k))}))}throw new Error(`Invalid listen ${I}`)}async call(w,I,k){const p=this.b(w);switch(I){case"createProfile":{const d=await this.a.createProfile(k[0],k[1],k[2]);return(0,C.$fn)({...d},p)}case"updateProfile":{let d=(0,o.$cl)((0,C.$gn)(k[0],p),this.a.profilesHome.scheme);return d=await this.a.updateProfile(d,k[1]),(0,C.$fn)({...d},p)}case"removeProfile":{const d=(0,o.$cl)((0,C.$gn)(k[0],p),this.a.profilesHome.scheme);return this.a.removeProfile(d)}}throw new Error(`Invalid call ${I}`)}}e.$HP=D;class S extends R.$Tc{get defaultProfile(){return this.profiles[0]}get profiles(){return this.a}constructor(w,I,k){super(),this.profilesHome=I,this.f=k,this.a=[],this.b=this.B(new E.$5d),this.onDidChangeProfiles=this.b.event,this.c=!0,this.a=w.map(p=>(0,o.$cl)(p,this.profilesHome.scheme)),this.B(this.f.listen("onDidChangeProfiles")(p=>{const d=p.added.map(b=>(0,o.$cl)(b,this.profilesHome.scheme)),m=p.removed.map(b=>(0,o.$cl)(b,this.profilesHome.scheme)),l=p.updated.map(b=>(0,o.$cl)(b,this.profilesHome.scheme));this.a=p.all.map(b=>(0,o.$cl)(b,this.profilesHome.scheme)),this.b.fire({added:d,removed:m,updated:l,all:this.profiles})})),this.onDidResetWorkspaces=this.f.listen("onDidResetWorkspaces")}setEnablement(w){this.c=w}isEnabled(){return this.c}async createNamedProfile(w,I,k){const p=await this.f.call("createNamedProfile",[w,I,k]);return(0,o.$cl)(p,this.profilesHome.scheme)}async createProfile(w,I,k,p){const d=await this.f.call("createProfile",[w,I,k,p]);return(0,o.$cl)(d,this.profilesHome.scheme)}async createTransientProfile(w){const I=await this.f.call("createTransientProfile",[w]);return(0,o.$cl)(I,this.profilesHome.scheme)}async setProfileForWorkspace(w,I){await this.f.call("setProfileForWorkspace",[w,I])}removeProfile(w){return this.f.call("removeProfile",[w])}async updateProfile(w,I){const k=await this.f.call("updateProfile",[w,I]);return(0,o.$cl)(k,this.profilesHome.scheme)}resetWorkspaces(){return this.f.call("resetWorkspaces")}cleanUp(){return this.f.call("cleanUp")}cleanUpTransientProfiles(){return this.f.call("cleanUpTransientProfiles")}}e.$IP=S}),define(ye[128],ke([1,0,4,26,16,13,240,34,33,11,241]),function(le,e,E,R,o,C,D,S,v,w,I){"use strict";var k,p;Object.defineProperty(e,"__esModule",{value:!0}),e.$zP=e.$yP=e.$xP=void 0;let d=class extends v.$el{static{k=this}static{this.a="profileAssociationsMigration"}constructor(c,g,h,f,u){super(h,f,g,u),this.U=c,this.W=h}O(){return this.U.getItem(k.b,[]).map(g=>({...g,location:(0,w.$Sf)(g.location)?this.w.extUri.joinPath(this.profilesHome,g.location):E.URI.revive(g.location)}))}Q(){const c=this.U.getItem(k.c,{});return this.U.getItem(k.a,!1)?c:this.N(c)}S(){return this.w.extUri.joinPath(E.URI.file(this.W.extensionsPath).with({scheme:this.profilesHome.scheme}),"extensions.json")}};e.$xP=d,e.$xP=d=k=Me([Oe(0,D.$sP),Oe(1,S.$_k),Oe(2,R.$mi),Oe(3,o.$Bk),Oe(4,C.$yj)],d);let m=p=class extends d{constructor(c,g,h,f,u){super(c,g,h,f,u),this.$=c}P(c){c.length?this.$.setItem(p.b,c.map(g=>({...g,location:this.w.extUri.basename(g.location)}))):this.$.removeItem(p.b)}O(){const c=super.O();return this.$.getItem("userDataProfilesMigration",!1)||(this.P(c),this.$.setItem("userDataProfilesMigration",!0)),c}R(c){c.emptyWindows||c.workspaces?this.$.setItem(p.c,c):this.$.removeItem(p.c)}Q(){const c="workspaceAndProfileInfo",g=this.$.getItem(c,void 0);if(g){this.$.removeItem(c);const f=g.reduce((u,{workspace:t,profile:s})=>(u[E.URI.revive(t).toString()]=E.URI.revive(s).toString(),u),{});this.$.setItem(p.c,{workspaces:f})}const h=super.Q();return this.$.getItem(p.a,!1)||(this.R(h),this.$.setItem(p.a,!0)),h}};e.$yP=m,e.$yP=m=p=Me([Oe(0,D.$tP),Oe(1,S.$_k),Oe(2,R.$mi),Oe(3,o.$Bk),Oe(4,C.$yj)],m);let l=class extends m{constructor(c,g,h,f){super(new I.$wP(0,g,f,h),c,g,h,f)}async init(){return await this.$.init(),super.init()}};e.$zP=l,e.$zP=l=Me([Oe(0,S.$_k),Oe(1,R.$mi),Oe(2,o.$Bk),Oe(3,C.$yj)],l)}),define(ye[129],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1m=e.$Zm=void 0,e.$Zm=(0,E.$ei)("extensionHostStatusService");class R{constructor(){this.a=new Map}setExitInfo(C,D){this.a.set(C,D)}getExitInfo(C){return this.a.get(C)||null}}e.$1m=R}),define(ye[265],ke([1,0,6,15]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9m=void 0;function o(D){let S=0,v=0,w=0;D>=1e3&&(w=Math.floor(D/1e3),D-=w*1e3),w>=60&&(v=Math.floor(w/60),w-=v*60),v>=60&&(S=Math.floor(v/60),v-=S*60);const I=S?`${S}h`:"",k=v?`${v}m`:"",p=w?`${w}s`:"",d=D?`${D}ms`:"";return`${I}${k}${p}${d}`}class C{constructor(S,v,w,I){this.i=S,this.j=v,this.a=new E.$5d,this.onClose=this.a.event,this.b=108e5,this.c=3e5,this.d=w,this.protocol=I,this.e=!1,this.f=new R.$rh(()=>{this.k(`The reconnection grace time of ${o(this.b)} has expired, so the connection will be disposed.`),this.l()},this.b),this.g=new R.$rh(()=>{this.k(`The reconnection short grace time of ${o(this.c)} has expired, so the connection will be disposed.`),this.l()},this.c),this.protocol.onDidDispose(()=>{this.k("The client has disconnected gracefully, so the connection will be disposed."),this.l()}),this.protocol.onSocketClose(()=>{this.k(`The client has disconnected, will wait for reconnection ${o(this.b)} before disposing...`),this.f.schedule()}),this.k("New connection established.")}k(S){this.i.info(`[${this.d}][${this.j.substr(0,8)}][ManagementConnection] ${S}`)}shortenReconnectionGraceTimeIfNecessary(){this.g.isScheduled()||this.f.isScheduled()&&(this.k(`Another client has connected, will shorten the wait for reconnection ${o(this.c)} before disposing...`),this.g.schedule())}l(){if(this.e)return;this.e=!0,this.f.dispose(),this.g.dispose();const S=this.protocol.getSocket();this.protocol.sendDisconnect(),this.protocol.dispose(),S.end(),this.a.fire(void 0)}acceptReconnection(S,v,w){this.d=S,this.k("The client has reconnected."),this.f.cancel(),this.g.cancel(),this.protocol.beginAcceptReconnection(v,w),this.protocol.endAcceptReconnection()}}e.$9m=C}),define(ye[130],ke([1,0,27,12,7,155,57]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InternalNLSConfiguration=e.$Ql=void 0;const S=o.$jc(R.$yg.asFileUri("").fsPath,"nls.metadata.json"),v=new Map;function w(p){return new Promise(d=>E.exists(p,d))}function I(p,d){return w(S).then(m=>{if(!m||!D.default.commit)return Promise.resolve({locale:"en",osLocale:"en",availableLanguages:{}});const l=`${p}||${d}`;let b=v.get(l);return b||(b=C.getNLSConfiguration(D.default.commit,d,S,p,p).then(c=>(k.is(c)&&(c._languagePackSupport=!0),c)),v.set(l,b)),b})}e.$Ql=I;var k;(function(p){function d(m){const l=m;return l&&typeof l._languagePackId=="string"}p.is=d})(k||(e.InternalNLSConfiguration=k={}))}),define(ye[131],ke([1,0,19,4,26,47,59,16,5,13,31,34,33,130]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nP=void 0;let m=class extends D.$_p{constructor(b,c,g,h,f,u,t,s){super(R.URI.file(f.builtinExtensionsPath),R.URI.file(f.extensionsPath),(0,E.$Rg)(f.userHome,".vscode-oss-dev","extensions","control.json"),b.defaultProfile,b,c,g,h,f,u,t,s),this.R=f}async f(b){const c=await(0,d.$Ql)(b,this.R.userDataPath);if(d.InternalNLSConfiguration.is(c))try{const g=await this.w.readFile(R.URI.file(c._translationsConfigFile));return JSON.parse(g.value.toString())}catch{}return Object.create(null)}};e.$nP=m,e.$nP=m=Me([Oe(0,p.$bl),Oe(1,C.$7p),Oe(2,S.$Bk),Oe(3,w.$yj),Oe(4,o.$mi),Oe(5,I.$Qj),Oe(6,k.$_k),Oe(7,v.$di)],m)}),define(ye[266],ke([1,0,267,27,7,22,12,23]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cn=e.$bn=e.$an=e.$_m=e.$$m=e.$0m=e.ServerConnectionTokenType=void 0;const v=/^[0-9A-Za-z_-]+$/;var w;(function(b){b[b.None=0]="None",b[b.Optional=1]="Optional",b[b.Mandatory=2]="Mandatory"})(w||(e.ServerConnectionTokenType=w={}));class I{constructor(){this.type=0}validate(c){return!0}}e.$0m=I;class k{constructor(c){this.value=c,this.type=2}validate(c){return c===this.value}}e.$$m=k;class p{constructor(c){this.message=c}}e.$_m=p;async function d(b,c){const g=b["without-connection-token"],h=b["connection-token"],f=b["connection-token-file"];if(g)return typeof h<"u"||typeof f<"u"?new p("Please do not use the argument '--connection-token' or '--connection-token-file' at the same time as '--without-connection-token'."):new I;if(typeof f<"u"){if(typeof h<"u")return new p("Please do not use the argument '--connection-token' at the same time as '--connection-token-file'.");let u;try{u=R.readFileSync(f).toString().replace(/\r?\n$/,"")}catch{return new p(`Unable to read the connection token file at '${f}'.`)}return v.test(u)?new k(u):new p(`The connection token defined in '${f} does not adhere to the characters 0-9, a-z, A-Z, _, or -.`)}return typeof h<"u"?v.test(h)?new k(h):new p(`The connection token '${h} does not adhere to the characters 0-9, a-z, A-Z or -.`):new k(await c())}e.$an=d;async function m(b){return d(b,async()=>{if(!b["user-data-dir"])return(0,C.$Ag)();const g=o.$jc(b["user-data-dir"],"token");try{const u=(await S.Promises.readFile(g)).toString().replace(/\r?\n$/,"");if(v.test(u))return u}catch{}const h=(0,C.$Ag)();try{await S.Promises.writeFile(g,h,{mode:384})}catch{}return h})}e.$bn=m;function l(b,c,g){if(b.validate(g.query[D.$rg]))return!0;const h=E.parse(c.headers.cookie||"");return b.validate(h[D.$qg])}e.$cn=l}),define(ye[48],ke([1,0,204,108,67,5,26,75]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sm=e.$Rm=e.$Qm=void 0,e.$Qm={host:{type:"string",cat:"o",args:"ip-address",description:E.localize(0,null)},port:{type:"string",cat:"o",args:"port | port range",description:E.localize(1,null)},"socket-path":{type:"string",cat:"o",args:"path",description:E.localize(2,null)},"connection-token":{type:"string",cat:"o",args:"token",deprecates:["connectionToken"],description:E.localize(3,null)},"connection-token-file":{type:"string",cat:"o",args:"path",deprecates:["connection-secret","connectionTokenFile"],description:E.localize(4,null)},"without-connection-token":{type:"boolean",cat:"o",description:E.localize(5,null)},"disable-websocket-compression":{type:"boolean"},"print-startup-performance":{type:"boolean"},"print-ip-address":{type:"boolean"},"accept-server-license-terms":{type:"boolean",cat:"o",description:E.localize(6,null)},"server-data-dir":{type:"string",cat:"o",description:E.localize(7,null)},"telemetry-level":{type:"string",cat:"o",args:"level",description:E.localize(8,null)},"user-data-dir":o.$9l["user-data-dir"],"enable-smoke-test-driver":o.$9l["enable-smoke-test-driver"],"disable-telemetry":o.$9l["disable-telemetry"],"disable-workspace-trust":o.$9l["disable-workspace-trust"],"file-watcher-polling":{type:"string",deprecates:["fileWatcherPolling"]},log:o.$9l.log,logsPath:o.$9l.logsPath,"force-disable-user-env":o.$9l["force-disable-user-env"],folder:{type:"string",deprecationMessage:"No longer supported. Folder needs to be provided in the browser URL or with `default-folder`."},workspace:{type:"string",deprecationMessage:"No longer supported. Workspace needs to be provided in the browser URL or with `default-workspace`."},"default-folder":{type:"string",description:E.localize(9,null)},"default-workspace":{type:"string",description:E.localize(10,null)},"enable-sync":{type:"boolean"},"github-auth":{type:"string"},"use-test-resolver":{type:"boolean"},"extensions-dir":o.$9l["extensions-dir"],"extensions-download-dir":o.$9l["extensions-download-dir"],"builtin-extensions-dir":o.$9l["builtin-extensions-dir"],"install-extension":o.$9l["install-extension"],"install-builtin-extension":o.$9l["install-builtin-extension"],"update-extensions":o.$9l["update-extensions"],"uninstall-extension":o.$9l["uninstall-extension"],"list-extensions":o.$9l["list-extensions"],"locate-extension":o.$9l["locate-extension"],"show-versions":o.$9l["show-versions"],category:o.$9l.category,force:o.$9l.force,"do-not-sync":o.$9l["do-not-sync"],"pre-release":o.$9l["pre-release"],"start-server":{type:"boolean",cat:"e",description:E.localize(11,null)},"enable-remote-auto-shutdown":{type:"boolean"},"remote-auto-shutdown-without-delay":{type:"boolean"},"use-host-proxy":{type:"boolean"},"without-browser-env-var":{type:"boolean"},help:o.$9l.help,version:o.$9l.version,"locate-shell-integration-path":o.$9l["locate-shell-integration-path"],compatibility:{type:"string"},_:o.$9l._},e.$Rm=(0,C.$fi)(D.$li);class v extends R.$Nm{get userRoamingDataHome(){return this.appSettingsHome}get args(){return super.args}}e.$Sm=v,Me([S.$Ih],v.prototype,"userRoamingDataHome",null)}),define(ye[268],ke([1,0,27,23,77,87,267,89,40,65,3,13,48,7,12,22,31,46,20,4,14,11,58]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$OP=e.$NP=e.CacheControl=e.$MP=void 0;const s={".html":"text/html",".js":"text/javascript",".json":"application/json",".css":"text/css",".svg":"image/svg+xml"};async function r(O,P,y,A){P.writeHead(y,{"Content-Type":"text/plain"}),P.end(A)}e.$MP=r;var n;(function(O){O[O.NO_CACHING=0]="NO_CACHING",O[O.ETAG=1]="ETAG",O[O.NO_EXPIRY=2]="NO_EXPIRY"})(n||(e.CacheControl=n={}));async function i(O,P,y,A,F,Q){try{const te=await R.Promises.stat(O);if(P===1){const de=`W/"${[te.ino,te.size,te.mtime.getTime()].join("-")}"`;if(A.headers["if-none-match"]===de)return F.writeHead(304),void F.end();Q.Etag=de}else P===2?Q["Cache-Control"]="public, max-age=31536000":P===0&&(Q["Cache-Control"]="no-store");Q["Content-Type"]=s[(0,d.$oc)(O)]||(0,w.$ss)(O)||"text/plain",F.writeHead(200,Q),(0,E.createReadStream)(O).pipe(F)}catch(te){return te.code!=="ENOENT"?(y.error(te),console.error(te.toString())):console.error(`File not found: ${O}`),F.writeHead(404,{"Content-Type":"text/plain"}),void F.end("Not found")}}e.$NP=i;const a=(0,d.$mc)(m.$yg.asFileUri("").fsPath);let $=class{constructor(P,y,A,F,Q){this.f=P,this.g=y,this.h=A,this.i=F,this.j=Q,this.a=this.j.extensionsGallery?.resourceUrlTemplate?h.URI.parse(this.j.extensionsGallery.resourceUrlTemplate):void 0;const te=(0,t.$nl)(Q);this.b=`${te}/static`,this.c=`${te}/callback`,this.d=`${te}/web-extension-resource`}async handle(P,y,A){try{const F=A.pathname;return F.startsWith(this.b)&&F.charCodeAt(this.b.length)===47?this.k(P,y,A):F==="/"?this.n(P,y,A):F===this.c?this.p(y):F.startsWith(this.d)&&F.charCodeAt(this.d.length)===47?this.m(P,y,A):r(P,y,404,"Not found.")}catch(F){return this.h.error(F),console.error(F.toString()),r(P,y,500,"Internal Server Error.")}}async k(P,y,A){const F=Object.create(null),te=decodeURIComponent(A.pathname).substring(this.b.length+1),de=(0,d.$jc)(a,te);return(0,v.$fg)(de,a,!I.$k)?i(de,this.g.isBuilt?2:1,this.h,P,y,F):r(P,y,400,"Bad request.")}l(P){const y=P.authority.indexOf(".");return y!==-1?P.authority.substring(y+1):void 0}async m(P,y,A){if(!this.a)return r(P,y,500,"No extension gallery service configured.");const F=decodeURIComponent(A.pathname),Q=(0,d.$hc)(F.substring(this.d.length+1)),te=h.URI.parse(Q).with({scheme:this.a.scheme,authority:Q.substring(0,Q.indexOf("/")),path:Q.substring(Q.indexOf("/")+1)});if(this.l(this.a)!==this.l(te))return r(P,y,403,"Request Forbidden");const de={},he=K=>{const G=P.headers[K];G&&((0,u.$Sf)(G)||G[0])?de[K]=(0,u.$Sf)(G)?G:G[0]:K!==K.toLowerCase()&&he(K.toLowerCase())};he("X-Client-Name"),he("X-Client-Version"),he("X-Machine-Id"),he("X-Client-Commit");const B=await this.i.request({type:"GET",url:te.toString(!0),headers:de},g.CancellationToken.None),V=B.res.statusCode||500;if(V!==200){let K=null;try{K=await(0,c.$xp)(B)}catch{}return r(P,y,V,K||`Request failed with status ${V}`)}const _=Object.create(null),X=K=>{const G=B.res.headers[K];G?_[K]=G:K!==K.toLowerCase()&&X(K.toLowerCase())};X("Cache-Control"),X("Content-Type"),y.writeHead(200,_);const ne=await(0,f.$Ee)(B.stream);return void y.end(ne.buffer)}async n(P,y,A){const F=A.query[m.$rg];if(typeof F=="string"){const q=Object.create(null);q["Set-Cookie"]=D.serialize(m.$qg,F,{sameSite:"lax",maxAge:60*60*24*7});const M=Object.create(null);for(const x in A.query)x!==m.$rg&&(M[x]=A.query[x]);const z=C.format({pathname:"/",query:M});return q.Location=z,y.writeHead(302,q),void y.end()}const Q=q=>{const M=P.headers[q];return Array.isArray(M)?M[0]:M},te=!this.g.isBuilt&&this.g.args["use-test-resolver"],de=te?"test+test":Q("x-original-host")||Q("x-forwarded-host")||P.headers.host;if(!de)return r(P,y,400,"Bad request.");function he(q){return JSON.stringify(q).replace(/"/g,"&quot;")}let B;this.g.args["enable-smoke-test-driver"]&&(B=!1);const V=q=>q&&h.URI.file(o.resolve(q)).with({scheme:m.Schemas.vscodeRemote,authority:de}),_=m.$yg.asFileUri(this.g.isBuilt?"vs/code/browser/workbench/workbench.html":"vs/code/browser/workbench/workbench-dev.html").fsPath,X=!this.g.isBuilt&&this.g.args["github-auth"]?{id:(0,l.$Ag)(),providerId:"github",accessToken:this.g.args["github-auth"],scopes:[["user:email"],["repo"]]}:void 0,ne={embedderIdentifier:"server-distro",extensionsGallery:this.a?{...this.j.extensionsGallery,resourceUrlTemplate:this.a.with({scheme:"http",authority:de,path:`${this.d}/${this.a.authority}${this.a.path}`}).toString(!0)}:void 0};if(!this.g.isBuilt)try{const q=JSON.parse((await R.Promises.readFile((0,d.$jc)(a,"product.overrides.json"))).toString());Object.assign(ne,q)}catch{}const K={remoteAuthority:de,_wrapWebWorkerExtHostInIframe:B,developmentOptions:{enableSmokeTestDriver:this.g.args["enable-smoke-test-driver"]?!0:void 0,logLevel:this.h.getLevel()},settingsSyncOptions:!this.g.isBuilt&&this.g.args["enable-sync"]?{enabled:!0}:void 0,enableWorkspaceTrust:!this.g.args["disable-workspace-trust"],folderUri:V(this.g.args["default-folder"]),workspaceUri:V(this.g.args["default-workspace"]),productConfiguration:ne,callbackRoute:this.c},G=this.j.extensionsGallery?.nlsBaseUrl,oe={WORKBENCH_WEB_CONFIGURATION:he(K),WORKBENCH_AUTH_SESSION:X?he(X):"",WORKBENCH_WEB_BASE_URL:this.b,WORKBENCH_NLS_BASE_URL:G?`${G}${G.endsWith("/")?"":"/"}${this.j.commit}/${this.j.version}/`:""};if(te){const q=[];for(const M of["vscode-test-resolver","github-authentication"]){const z=JSON.parse((await R.Promises.readFile(m.$yg.asFileUri(`${m.$tg}/${M}/package.json`).fsPath)).toString());q.push({extensionPath:M,packageJSON:z})}oe.WORKBENCH_BUILTIN_EXTENSIONS=he(q)}let ce;try{ce=(await R.Promises.readFile(_)).toString().replace(/\{\{([^}]+)\}\}/g,(M,z)=>oe[z]??"undefined")}catch{return y.writeHead(404,{"Content-Type":"text/plain"}),void y.end("Not found")}const U={"Content-Type":"text/html","Content-Security-Policy":["default-src 'self';","img-src 'self' https: data: blob:;","media-src 'self';",`script-src 'self' 'unsafe-eval' ${this.o(ce).join(" ")} 'sha256-75NYUUvf+5++1WbfCZOV3PSWxBhONpaxwx+mkOFRv/Y=' ${te?"":`http://${de}`};`,"child-src 'self';","frame-src 'self' https://*.vscode-cdn.net data:;","worker-src 'self' data: blob:;","style-src 'self' 'unsafe-inline';","connect-src 'self' ws: wss: https:;","font-src 'self' blob:;","manifest-src 'self';"].join(" ")};return this.f.type!==0&&(U["Set-Cookie"]=D.serialize(m.$qg,this.f.value,{sameSite:"lax",maxAge:60*60*24*7})),y.writeHead(200,U),void y.end(ce)}o(P){const y=/<script>([\s\S]+?)<\/script>/img,A=[];let F;for(;F=y.exec(P);){const Q=S.createHash("sha256"),te=F[1].replace(/\r\n/g,`
`),de=Q.update(Buffer.from(te)).digest().toString("base64");A.push(`'sha256-${de}'`)}return A}async p(P){const y=m.$yg.asFileUri("vs/code/browser/workbench/callback.html").fsPath,A=(await R.Promises.readFile(y)).toString(),F=["default-src 'self';","img-src 'self' https: data: blob:;","media-src 'none';",`script-src 'self' ${this.o(A).join(" ")};`,"style-src 'self' 'unsafe-inline';","font-src 'self' blob:;"].join(" ");return P.writeHead(200,{"Content-Type":"text/html","Content-Security-Policy":F}),void P.end(A)}};e.$OP=$,e.$OP=$=Me([Oe(1,p.$Rm),Oe(2,k.$yj),Oe(3,c.$sp),Oe(4,b.$Qj)],$)}),define(ye[269],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uO=void 0,e.$uO=(0,E.$ei)("IExtHostInitDataService")}),define(ye[270],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fO=e.$eO=void 0,e.$eO=(0,E.$ei)("IExtHostRpcService");class R{constructor(C){this.getProxy=C.getProxy.bind(C),this.set=C.set.bind(C),this.dispose=C.dispose.bind(C),this.assertRegistered=C.assertRegistered.bind(C),this.drain=C.drain.bind(C)}}e.$fO=R}),define(ye[72],ke([1,0,53]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bs=void 0;function R(C){return{transformIncoming:D=>D.scheme==="vscode-remote"?{scheme:"file",path:D.path,query:D.query,fragment:D.fragment}:D.scheme==="file"?{scheme:"vscode-local",path:D.path,query:D.query,fragment:D.fragment}:D,transformOutgoing:D=>D.scheme==="file"?{scheme:"vscode-remote",authority:C,path:D.path,query:D.query,fragment:D.fragment}:D.scheme==="vscode-local"?{scheme:"file",path:D.path,query:D.query,fragment:D.fragment}:D,transformOutgoingScheme:D=>D==="file"?"vscode-remote":D==="vscode-local"?"file":D}}function o(C){return new E.$dn(R(C))}e.$bs=o}),define(ye[271],ke([1,0,3,42,4,72,53,104,244,7,19]),function(le,e,E,R,o,C,D,S,v,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$is=void 0;class k{static{this.a=1}constructor(d,m,l,b){this.b=d,this.c=m,this.d=l,this.e=b}async call(d,m,l){switch(m){case"getEnvironmentData":{const b=l,c=(0,C.$bs)(b.remoteAuthority);let g=await this.f(b.profile);return g=(0,D.$fn)(g,c),g}case"getExtensionHostExitInfo":{const b=l;return this.e.getExitInfo(b.reconnectionToken)}case"getDiagnosticInfo":{const b=l,c={machineInfo:(0,v.$fs)()},g=b.includeProcesses?(0,S.$ds)(process.pid):Promise.resolve();let h=[];const f={};if(b.folders){const u=(0,C.$bs)("");h=b.folders.map(s=>o.URI.revive(u.transformIncoming(s))).filter(s=>s.scheme==="file").map(s=>(0,v.$es)(s.fsPath,["node_modules",".git"]).then(r=>{f[(0,w.$nc)(s.fsPath)]=r}))}return Promise.all([g,...h]).then(([u,t])=>(c.processes=u||void 0,c.workspaceMetadata=b.folders?f:void 0,c))}}throw new Error(`IPC Command ${m} not found`)}listen(d,m,l){throw new Error("Not supported")}async f(d){d&&!this.d.profiles.some(l=>l.id===d)&&await this.d.createProfile(d,d);let m=!1;if(process.platform==="linux"){const l=process.glibcVersion;m=(l?parseInt(l.split(".")[1]):28)<=27}return{pid:process.pid,connectionToken:this.b.type!==0?this.b.value:"",appRoot:o.URI.file(this.c.appRoot),settingsPath:this.c.machineSettingsResource,logsPath:this.c.logsHome,extensionHostLogsPath:(0,I.$Rg)(this.c.logsHome,`exthost${k.a++}`),globalStorageHome:this.d.defaultProfile.globalStorageHome,workspaceStorageHome:this.c.workspaceStorageHome,localHistoryHome:this.c.localHistoryHome,userHome:this.c.userHome,os:E.OS,arch:process.arch,marks:R.getMarks(),useHostProxy:!!this.c.args["use-host-proxy"],profiles:{home:this.d.profilesHome,all:[...this.d.profiles].map(l=>({...l}))},isUnsupportedGlibc:m}}}e.$is=k}),define(ye[272],ke([1,0,4,72,70,7,229]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ls=void 0;class S extends D.$js{constructor(I,k){super(new o.$Mq(I),I),this.N=k,this.M=new Map,this.B(this.a)}c(I){let k=this.M.get(I.remoteAuthority);return k||(k=(0,R.$bs)(I.remoteAuthority),this.M.set(I.remoteAuthority,k)),k}f(I,k,p=!1){if(p&&k.path==="/vscode-resource"&&k.query){const d=JSON.parse(k.query).requestResourcePath;return E.URI.from({scheme:"file",path:d})}return E.URI.revive(I.transformIncoming(k))}L(I,k){return new v(I,k,this.b,this.N)}}e.$ls=S;class v extends D.$ks{constructor(I,k,p,d){super(I,k,p,d)}j(I){const k=I.args["file-watcher-polling"];if(k){const p=k.split(C.$tc),d=Number(p[0]);if(d>0)return{usePolling:p.length>1?p.slice(1):!0,pollingInterval:d}}}m(I){if(I.extensionsPath)return[C.$gc.join(I.extensionsPath,"**")]}}}),define(ye[93],ke([1,0,207,11,4,2,5,37,16,12,39,161,63]),function(le,e,E,R,o,C,D,S,v,w,I,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gF=e.$fF=e.$eF=e.EditorsOrder=e.$dF=e.CloseDirection=e.$cF=e.$bF=e.EditorCloseMethod=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.$aF=e.$_E=e.$$E=e.$0E=e.$9E=e.$8E=e.$7E=e.$6E=e.EditorInputCapabilities=e.$5E=e.SaveReason=e.Verbosity=e.$4E=e.$3E=e.$2E=e.$1E=e.$ZE=e.$YE=e.$XE=e.$WE=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.$VE=e.$UE=e.$TE=e.$SE=e.$RE=void 0,e.$RE={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.$SE={id:"default",displayName:(0,E.localize)(0,null),providerDisplayName:(0,E.localize)(1,null)},e.$TE="workbench.editor.sidebysideEditor",e.$UE="workbench.editors.textDiffEditor",e.$VE="workbench.editors.binaryResourceDiffEditor";var d;(function(U){U[U.PROGRAMMATIC=1]="PROGRAMMATIC",U[U.USER=2]="USER",U[U.EDIT=3]="EDIT",U[U.NAVIGATION=4]="NAVIGATION",U[U.JUMP=5]="JUMP"})(d||(e.EditorPaneSelectionChangeReason=d={}));var m;(function(U){U[U.IDENTICAL=1]="IDENTICAL",U[U.SIMILAR=2]="SIMILAR",U[U.DIFFERENT=3]="DIFFERENT"})(m||(e.EditorPaneSelectionCompareResult=m={}));function l(U){const q=U;return!!q&&typeof q.getSelection=="function"&&!!q.onDidChangeSelection}e.$WE=l;function b(U,q,M){for(const z of M.visibleEditorPanes)if(z.group.id===q&&U.matches(z.input))return z.getViewState()}e.$XE=b;function c(U){if($(U))return!1;const q=U;return o.URI.isUri(q?.resource)}e.$YE=c;function g(U){if($(U))return!1;const q=U;return q?.original!==void 0&&q.modified!==void 0}e.$ZE=g;function h(U){if($(U))return!1;const q=U;return!q||q.resources&&!Array.isArray(q.resources)?!1:!!q.resources||!!q.multiDiffSource}e.$1E=h;function f(U){if($(U)||g(U))return!1;const q=U;return q?.primary!==void 0&&q.secondary!==void 0}e.$2E=f;function u(U){if($(U))return!1;const q=U;return q?q.resource===void 0||q.resource.scheme===w.Schemas.untitled||q.forceUntitled===!0:!1}e.$3E=u;function t(U){if($(U))return!1;const q=U;return o.URI.isUri(q?.base?.resource)&&o.URI.isUri(q?.input1?.resource)&&o.URI.isUri(q?.input2?.resource)&&o.URI.isUri(q?.result?.resource)}e.$4E=t;var s;(function(U){U[U.SHORT=0]="SHORT",U[U.MEDIUM=1]="MEDIUM",U[U.LONG=2]="LONG"})(s||(e.Verbosity=s={}));var r;(function(U){U[U.EXPLICIT=1]="EXPLICIT",U[U.AUTO=2]="AUTO",U[U.FOCUS_CHANGE=3]="FOCUS_CHANGE",U[U.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(r||(e.SaveReason=r={}));class n{constructor(){this.a=new Map}registerSource(q,M){let z=this.a.get(q);return z||(z={source:q,label:M},this.a.set(q,z)),z.source}getSourceLabel(q){return this.a.get(q)?.label??q}}e.$5E=new n;var i;(function(U){U[U.None=0]="None",U[U.Readonly=2]="Readonly",U[U.Untitled=4]="Untitled",U[U.Singleton=8]="Singleton",U[U.RequiresTrust=16]="RequiresTrust",U[U.CanSplitInGroup=32]="CanSplitInGroup",U[U.ForceDescription=64]="ForceDescription",U[U.CanDropIntoEditor=128]="CanDropIntoEditor",U[U.MultipleEditors=256]="MultipleEditors",U[U.Scratchpad=512]="Scratchpad",U[U.AuxWindowUnsupported=1024]="AuxWindowUnsupported"})(i||(e.EditorInputCapabilities=i={}));class a extends C.$Tc{}e.$6E=a;function $(U){return U instanceof a}e.$7E=$;function O(U){const q=U;return o.URI.isUri(q?.preferredResource)}function P(U){const q=U;return $(q?.primary)&&$(q?.secondary)}e.$8E=P;function y(U){const q=U;return $(q?.modified)&&$(q?.original)}e.$9E=y;function A(U,q,M,z,x){return ge(z,[(0,k.$1i)({id:"workbench.action.openLargeFile",label:(0,E.localize)(2,null),run:()=>{const Y={...M,limits:{size:Number.MAX_VALUE}};U.openEditor(q,Y)}}),(0,k.$1i)({id:"workbench.action.configureEditorLargeFileConfirmation",label:(0,E.localize)(3,null),run:()=>x.openUserSettings({query:"workbench.editorLargeFileConfirmation"})})],{forceMessage:!0,forceSeverity:p.default.Warning})}e.$0E=A;function F(U){return $(U?.editor)}e.$$E=F;function Q(U){const q=U;return F(U)&&q?.group!==void 0}e.$_E=Q;function te(U){const q=U;return typeof q?.groupId=="number"&&$(q.editor)}e.$aF=te;var de;(function(U){U[U.UNKNOWN=0]="UNKNOWN",U[U.REPLACE=1]="REPLACE",U[U.MOVE=2]="MOVE",U[U.UNPIN=3]="UNPIN"})(de||(e.EditorCloseContext=de={}));var he;(function(U){U[U.GROUP_ACTIVE=0]="GROUP_ACTIVE",U[U.GROUP_INDEX=1]="GROUP_INDEX",U[U.GROUP_LABEL=2]="GROUP_LABEL",U[U.GROUP_LOCKED=3]="GROUP_LOCKED",U[U.EDITOR_OPEN=4]="EDITOR_OPEN",U[U.EDITOR_CLOSE=5]="EDITOR_CLOSE",U[U.EDITOR_MOVE=6]="EDITOR_MOVE",U[U.EDITOR_ACTIVE=7]="EDITOR_ACTIVE",U[U.EDITOR_LABEL=8]="EDITOR_LABEL",U[U.EDITOR_CAPABILITIES=9]="EDITOR_CAPABILITIES",U[U.EDITOR_PIN=10]="EDITOR_PIN",U[U.EDITOR_STICKY=11]="EDITOR_STICKY",U[U.EDITOR_DIRTY=12]="EDITOR_DIRTY",U[U.EDITOR_WILL_DISPOSE=13]="EDITOR_WILL_DISPOSE"})(he||(e.GroupModelChangeKind=he={}));var B;(function(U){U[U.PRIMARY=1]="PRIMARY",U[U.SECONDARY=2]="SECONDARY",U[U.BOTH=3]="BOTH",U[U.ANY=4]="ANY"})(B||(e.SideBySideEditor=B={}));class V{getOriginalUri(q,M){if(!q)return;if(t(q))return e.$cF.getOriginalUri(q.result,M);if(M?.supportSideBySide){const{primary:x,secondary:Y}=this.a(q);if(x&&Y){if(M?.supportSideBySide===B.BOTH)return{primary:this.getOriginalUri(x,{filterByScheme:M.filterByScheme}),secondary:this.getOriginalUri(Y,{filterByScheme:M.filterByScheme})};if(M?.supportSideBySide===B.ANY)return this.getOriginalUri(x,{filterByScheme:M.filterByScheme})??this.getOriginalUri(Y,{filterByScheme:M.filterByScheme});q=M.supportSideBySide===B.PRIMARY?x:Y}}if(g(q)||h(q)||f(q)||t(q))return;const z=O(q)?q.preferredResource:q.resource;return!z||!M||!M.filterByScheme?z:this.b(z,M.filterByScheme)}a(q){return P(q)||f(q)?{primary:q.primary,secondary:q.secondary}:y(q)||g(q)?{primary:q.modified,secondary:q.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(q,M){if(!q)return;if(t(q))return e.$cF.getCanonicalUri(q.result,M);if(M?.supportSideBySide){const{primary:x,secondary:Y}=this.a(q);if(x&&Y){if(M?.supportSideBySide===B.BOTH)return{primary:this.getCanonicalUri(x,{filterByScheme:M.filterByScheme}),secondary:this.getCanonicalUri(Y,{filterByScheme:M.filterByScheme})};if(M?.supportSideBySide===B.ANY)return this.getCanonicalUri(x,{filterByScheme:M.filterByScheme})??this.getCanonicalUri(Y,{filterByScheme:M.filterByScheme});q=M.supportSideBySide===B.PRIMARY?x:Y}}if(g(q)||h(q)||f(q)||t(q))return;const z=q.resource;return!z||!M||!M.filterByScheme?z:this.b(z,M.filterByScheme)}b(q,M){if(Array.isArray(M)){if(M.some(z=>q.scheme===z))return q}else if(M===q.scheme)return q}}var _;(function(U){U[U.UNKNOWN=0]="UNKNOWN",U[U.KEYBOARD=1]="KEYBOARD",U[U.MOUSE=2]="MOUSE"})(_||(e.EditorCloseMethod=_={}));function X(U,q,M,z){if(!U.isSticky(q))return!1;switch(z.preventPinnedEditorClose){case"keyboardAndMouse":return M===_.MOUSE||M===_.KEYBOARD;case"mouse":return M===_.MOUSE;case"keyboard":return M===_.KEYBOARD}return!1}e.$bF=X,e.$cF=new V;var ne;(function(U){U[U.LEFT=0]="LEFT",U[U.RIGHT=1]="RIGHT"})(ne||(e.CloseDirection=ne={}));class K{constructor(){this.c=new Map,this.d=new Map}start(q){const M=this.a=q.get(D.$di);for(const[z,x]of this.c)this.e(z,x,M);this.c.clear()}e(q,M,z){const x=z.createInstance(M);this.d.set(q,x)}registerFileEditorFactory(q){if(this.b)throw new Error("Can only register one file editor factory.");this.b=q}getFileEditorFactory(){return(0,R.$4f)(this.b)}registerEditorSerializer(q,M){if(this.c.has(q)||this.d.has(q))throw new Error(`A editor serializer with type ID '${q}' was already registered.`);return this.a?this.e(q,M,this.a):this.c.set(q,M),(0,C.$Rc)(()=>{this.c.delete(q),this.d.delete(q)})}getEditorSerializer(q){return this.d.get(typeof q=="string"?q:q.typeId)}}S.$Tn.add(e.$RE.EditorFactory,new K);async function G(U,q,M){return!U||!U.length?[]:await Promise.all(U.map(async z=>{const x=o.URI.revive(z.fileUri);if(!x){M.info("Cannot resolve the path because it is not valid.",z);return}if(!await q.canHandleResource(x)){M.info("Cannot resolve the path because it cannot be handled",z);return}let Z=z.exists,W=z.type;if(typeof Z!="boolean"||typeof W!="number")try{W=(await q.stat(x)).isDirectory?v.FileType.Directory:v.FileType.Unknown,Z=!0}catch(N){M.error(N),Z=!1}if(!Z&&z.openOnlyIfExists){M.info("Cannot resolve the path because it does not exist",z);return}if(W===v.FileType.Directory){M.info("Cannot resolve the path because it is a directory",z);return}const J={...z.options,pinned:!0};return Z?{resource:x,options:J}:{resource:x,options:J,forceUntitled:!0}}))}e.$dF=G;var oe;(function(U){U[U.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",U[U.SEQUENTIAL=1]="SEQUENTIAL"})(oe||(e.EditorsOrder=oe={}));function ce(U){const q=U;if(!q)return!1;const M=q;if(M.modified)return ce(M.modified);const z=q;return!!(z.contributionsState&&z.viewState&&Array.isArray(z.cursorState))}e.$eF=ce;function se(U){return(0,I.$3i)(U)}e.$fF=se;function ge(U,q,M){const z=(0,I.$4i)(U,q);return z.forceMessage=M?.forceMessage,z.forceSeverity=M?.forceSeverity,z.allowDialog=M?.allowDialog,z}e.$gF=ge}),define(ye[273],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$HO=void 0,e.$HO=(0,E.$ei)("environmentVariableService")}),define(ye[274],ke([1,0,7,4,66,3,254,11]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$eP=e.$dP=e.$cP=e.$bP=e.$aP=e.$_O=e.$$O=e.$0O=e.$9O=void 0;function v(u,t){if(t)if(C.$i)for(const s in t){let r=s;for(const i in u)if(s.toLowerCase()===i.toLowerCase()){r=i;break}const n=t[s];n!==void 0&&w(u,r,n)}else Object.keys(t).forEach(s=>{const r=t[s];r!==void 0&&w(u,s,r)})}e.$9O=v;function w(u,t,s){typeof s=="string"?u[t]=s:delete u[t]}function I(u,t,s,r){u.TERM_PROGRAM="vscode",t&&(u.TERM_PROGRAM_VERSION=t),d(u,r)&&(u.LANG=m(s)),u.COLORTERM="truecolor"}e.$0O=I;function k(u,t){if(t)for(const s of Object.keys(t)){const r=t[s];r!=null&&(u[s]=r)}}async function p(u,t){return await Promise.all(Object.entries(t).map(async([s,r])=>{if(typeof r=="string")try{t[s]=await u(r)}catch{t[s]=r}})),t}function d(u,t){if(t==="on")return!0;if(t==="auto"){const s=u.LANG;return!s||s.search(/\.UTF\-8$/)===-1&&s.search(/\.utf8$/)===-1&&s.search(/\.euc.+/)===-1}return!1}e.$$O=d;function m(u){const t=u?u.split("-"):[],s=t.length;if(s===0)return"en_US.UTF-8";if(s===1){const r={af:"ZA",am:"ET",be:"BY",bg:"BG",ca:"ES",cs:"CZ",da:"DK",de:"DE",el:"GR",en:"US",es:"ES",et:"EE",eu:"ES",fi:"FI",fr:"FR",he:"IL",hr:"HR",hu:"HU",hy:"AM",is:"IS",it:"IT",ja:"JP",kk:"KZ",ko:"KR",lt:"LT",nl:"NL",no:"NO",pl:"PL",pt:"BR",ro:"RO",ru:"RU",sk:"SK",sl:"SI",sr:"YU",sv:"SE",tr:"TR",uk:"UA",zh:"CN"};t[0]in r&&t.push(r[t[0]])}else t[1]=t[1].toUpperCase();return t.join("_")+".UTF-8"}e.$_O=m;async function l(u,t,s,r,n,i){if(u.cwd){const $=typeof u.cwd=="object"?u.cwd.fsPath:u.cwd,O=await b($,s);return(0,D.$7O)(O||$)}let a;return!u.ignoreConfigurationCwd&&n&&(s&&(n=await b(n,s,i)),n&&(E.$ic(n)?a=n:r&&(a=E.$jc(r.fsPath,n)))),a||(a=r?r.fsPath:t||""),(0,D.$7O)(a)}e.$aP=l;async function b(u,t,s){if(t)try{return await t(u)}catch(r){s?.error("Could not resolve terminal cwd",r);return}return u}function c(u,t,s){if(s)return r=>s.resolveWithEnvironment(t,u,r)}e.$bP=c;async function g(u,t,s,r,n,i){const a={};if(u.strictEnv)k(a,u.env);else{k(a,i);const $={...t};s&&($&&await p(s,$),u.env&&await p(s,u.env)),C.$j&&(a.VSCODE_NODE_OPTIONS&&(a.NODE_OPTIONS=a.VSCODE_NODE_OPTIONS,delete a.VSCODE_NODE_OPTIONS),a.VSCODE_NODE_REPL_EXTERNAL_MODULE&&(a.NODE_REPL_EXTERNAL_MODULE=a.VSCODE_NODE_REPL_EXTERNAL_MODULE,delete a.VSCODE_NODE_REPL_EXTERNAL_MODULE)),(0,o.$3l)(a,"VSCODE_IPC_HOOK_CLI"),v(a,$),v(a,u.env),I(a,r,C.$w,n)}return a}e.$cP=g;async function h(u,t,s,r,n,i,a=C.$i){let $;if((0,S.$Sf)(u)?$=u:($=u.fsPath,a&&i!==1?$=$.replace(/\\/g,"/"):!a&&i===1&&($=$.replace(/\//g,"\\"))),!t)return $;const O=$.includes(" "),P=$.includes("(")||$.includes(")"),y=E.$nc(t,".exe"),A=y==="pwsh"||s==="pwsh"||y==="powershell"||s==="powershell";if(A&&(O||$.includes("'")))return`& '${$.replace(/'/g,"''")}'`;if(P&&A)return`& '${$}'`;if(i===1){if(r!==void 0)return r==="gitbash"?(0,D.$5O)($.replace(/\\/g,"/")):r==="wsl"?n?.getWslPath($,"win-to-unix")||$:O?`"${$}"`:$;const F=t.toLowerCase();return F.includes("wsl")||F.includes("bash.exe")&&!F.toLowerCase().includes("git")?n?.getWslPath($,"win-to-unix")||$:O?`"${$}"`:$}return(0,D.$5O)($)}e.$dP=h;function f(u,t,s){const r=typeof u=="string"?R.URI.parse(u):u;let n=r?t.getWorkspaceFolder(r)??void 0:void 0;if(!n){const i=s.getLastActiveWorkspaceRoot();n=i?t.getWorkspaceFolder(i)??void 0:void 0}return n}e.$eP=f}),define(ye[73],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$QK=e.TestPosition=e.TestIdPathParts=void 0;var E;(function(C){C.Delimiter="\0"})(E||(e.TestIdPathParts=E={}));var R;(function(C){C[C.IsSame=0]="IsSame",C[C.Disconnected=1]="Disconnected",C[C.IsChild=2]="IsChild",C[C.IsParent=3]="IsParent"})(R||(e.TestPosition=R={}));class o{static fromExtHostTestItem(D,S,v=D.parent){if(D._isRoot)return new o([S]);const w=[D.id];for(let I=v;I&&I.id!==S;I=I.parent)w.push(I.id);return w.push(S),new o(w.reverse())}static isRoot(D){return!D.includes("\0")}static root(D){const S=D.indexOf("\0");return S===-1?D:D.slice(0,S)}static fromString(D){return new o(D.split("\0"))}static join(D,S){return new o([...D.path,S])}static joinToString(D,S){return D.toString()+"\0"+S}static parentId(D){const S=D.lastIndexOf("\0");return S===-1?void 0:D.slice(0,S)}static localId(D){const S=D.lastIndexOf("\0");return S===-1?D:D.slice(S+1)}static isChild(D,S){return S.startsWith(D)&&S[D.length]==="\0"}static compare(D,S){return D===S?0:o.isChild(D,S)?2:o.isChild(S,D)?3:1}constructor(D,S=D.length){if(this.path=D,this.d=S,D.length===0||S<1)throw new Error("cannot create test with empty path")}get rootId(){return new o(this.path,1)}get parentId(){return this.d>1?new o(this.path,this.d-1):void 0}get localId(){return this.path[this.d-1]}get controllerId(){return this.path[0]}get isRoot(){return this.d===1}*idsFromRoot(){for(let D=1;D<=this.d;D++)yield new o(this.path,D)}*idsToRoot(){for(let D=this.d;D>0;D--)yield new o(this.path,D)}compare(D){if(typeof D=="string")return o.compare(this.toString(),D);for(let S=0;S<D.d&&S<this.d;S++)if(D.path[S]!==this.path[S])return 1;return D.d>this.d?2:D.d<this.d?3:0}toJSON(){return this.toString()}toString(){if(!this.c){this.c=this.path[0];for(let D=1;D<this.d;D++)this.c+="\0",this.c+=this.path[D]}return this.c}}e.$QK=o}),define(ye[94],ke([1,0,4,79,43,73]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$YK=e.TestsDiffOp=e.TestDiffOpType=e.IStatementCoverage=e.IDeclarationCoverage=e.IBranchCoverage=e.CoverageDetails=e.DetailType=e.$XK=e.IFileCoverage=e.ICoveredCount=e.TestResultItem=e.$WK=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.$VK=e.$UK=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.$TK=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.$SK=e.$RK=e.TestRunProfileBitset=e.ExtTestRunProfileKind=e.TestResultState=void 0;var D;(function(B){B[B.Unset=0]="Unset",B[B.Queued=1]="Queued",B[B.Running=2]="Running",B[B.Passed=3]="Passed",B[B.Failed=4]="Failed",B[B.Skipped=5]="Skipped",B[B.Errored=6]="Errored"})(D||(e.TestResultState=D={}));var S;(function(B){B[B.Run=1]="Run",B[B.Debug=2]="Debug",B[B.Coverage=3]="Coverage"})(S||(e.ExtTestRunProfileKind=S={}));var v;(function(B){B[B.Run=2]="Run",B[B.Debug=4]="Debug",B[B.Coverage=8]="Coverage",B[B.HasNonDefaultProfile=16]="HasNonDefaultProfile",B[B.HasConfigurable=32]="HasConfigurable",B[B.SupportsContinuousRun=64]="SupportsContinuousRun"})(v||(e.TestRunProfileBitset=v={})),e.$RK=[2,4,8,16,32,64];const w=B=>"runId"in B;e.$SK=w;var I;(function(B){B.serialize=V=>({range:V.range.toJSON(),uri:V.uri.toJSON()}),B.deserialize=(V,_)=>({range:o.$6s.lift(_.range),uri:V.asCanonicalUri(E.URI.revive(_.uri))})})(I||(e.IRichLocation=I={}));var k;(function(B){B[B.Error=0]="Error",B[B.Output=1]="Output"})(k||(e.TestMessageType=k={}));var p;(function(B){B.serialize=V=>({message:V.message,type:0,expected:V.expected,actual:V.actual,contextValue:V.contextValue,location:V.location&&I.serialize(V.location)}),B.deserialize=(V,_)=>({message:_.message,type:0,expected:_.expected,actual:_.actual,contextValue:_.contextValue,location:_.location&&I.deserialize(V,_.location)})})(p||(e.ITestErrorMessage=p={}));const d=(B,V)=>`${V?"s":"e"}${B}`;e.$TK=d;var m;(function(B){B.serialize=V=>({message:V.message,type:1,offset:V.offset,length:V.length,location:V.location&&I.serialize(V.location)}),B.deserialize=(V,_)=>({message:_.message,type:1,offset:_.offset,length:_.length,location:_.location&&I.deserialize(V,_.location)})})(m||(e.ITestOutputMessage=m={}));var l;(function(B){B.serialize=V=>V.type===0?p.serialize(V):m.serialize(V),B.deserialize=(V,_)=>_.type===0?p.deserialize(V,_):m.deserialize(V,_)})(l||(e.ITestMessage=l={}));var b;(function(B){B.serializeWithoutMessages=V=>({state:V.state,duration:V.duration,messages:[]}),B.serialize=V=>({state:V.state,duration:V.duration,messages:V.messages.map(l.serialize)}),B.deserialize=(V,_)=>({state:_.state,duration:_.duration,messages:_.messages.map(X=>l.deserialize(V,X))})})(b||(e.ITestTaskState=b={}));const c="\0",g=(B,V)=>B+c+V;e.$UK=g;const h=B=>{const V=B.indexOf(c);return{ctrlId:B.slice(0,V),tagId:B.slice(V+1)}};e.$VK=h;var f;(function(B){B.serialize=V=>({extId:V.extId,label:V.label,tags:V.tags,busy:V.busy,children:void 0,uri:V.uri?.toJSON(),range:V.range?.toJSON()||null,description:V.description,error:V.error,sortText:V.sortText}),B.deserialize=(V,_)=>({extId:_.extId,label:_.label,tags:_.tags,busy:_.busy,children:void 0,uri:_.uri?V.asCanonicalUri(E.URI.revive(_.uri)):void 0,range:_.range?o.$6s.lift(_.range):null,description:_.description,error:_.error,sortText:_.sortText})})(f||(e.ITestItem=f={}));var u;(function(B){B[B.NotExpandable=0]="NotExpandable",B[B.Expandable=1]="Expandable",B[B.BusyExpanding=2]="BusyExpanding",B[B.Expanded=3]="Expanded"})(u||(e.TestItemExpandState=u={}));var t;(function(B){B.serialize=V=>({expand:V.expand,item:f.serialize(V.item)}),B.deserialize=(V,_)=>({controllerId:C.$QK.root(_.item.extId),expand:_.expand,item:f.deserialize(V,_.item)})})(t||(e.InternalTestItem=t={}));var s;(function(B){B.serialize=V=>{let _;return V.item&&(_={},V.item.label!==void 0&&(_.label=V.item.label),V.item.tags!==void 0&&(_.tags=V.item.tags),V.item.busy!==void 0&&(_.busy=V.item.busy),V.item.uri!==void 0&&(_.uri=V.item.uri?.toJSON()),V.item.range!==void 0&&(_.range=V.item.range?.toJSON()),V.item.description!==void 0&&(_.description=V.item.description),V.item.error!==void 0&&(_.error=V.item.error),V.item.sortText!==void 0&&(_.sortText=V.item.sortText)),{extId:V.extId,expand:V.expand,item:_}},B.deserialize=V=>{let _;return V.item&&(_={},V.item.label!==void 0&&(_.label=V.item.label),V.item.tags!==void 0&&(_.tags=V.item.tags),V.item.busy!==void 0&&(_.busy=V.item.busy),V.item.range!==void 0&&(_.range=V.item.range?o.$6s.lift(V.item.range):null),V.item.description!==void 0&&(_.description=V.item.description),V.item.error!==void 0&&(_.error=V.item.error),V.item.sortText!==void 0&&(_.sortText=V.item.sortText)),{extId:V.extId,expand:V.expand,item:_}}})(s||(e.ITestItemUpdate=s={}));const r=(B,V)=>{V.expand!==void 0&&(B.expand=V.expand),V.item!==void 0&&(B.item=B.item?Object.assign(B.item,V.item):V.item)};e.$WK=r;var n;(function(B){B.serializeWithoutMessages=V=>({...t.serialize(V),ownComputedState:V.ownComputedState,computedState:V.computedState,tasks:V.tasks.map(b.serializeWithoutMessages)}),B.serialize=V=>({...t.serialize(V),ownComputedState:V.ownComputedState,computedState:V.computedState,tasks:V.tasks.map(b.serialize)}),B.deserialize=(V,_)=>({...t.deserialize(V,_),ownComputedState:_.ownComputedState,computedState:_.computedState,tasks:_.tasks.map(X=>b.deserialize(V,X)),retired:!0})})(n||(e.TestResultItem=n={}));var i;(function(B){B.empty=()=>({covered:0,total:0}),B.sum=(V,_)=>{V.covered+=_.covered,V.total+=_.total}})(i||(e.ICoveredCount=i={}));var a;(function(B){B.serialize=V=>({statement:V.statement,branch:V.branch,declaration:V.declaration,details:V.details?.map(y.serialize),uri:V.uri.toJSON()}),B.deserialize=(V,_)=>({statement:_.statement,branch:_.branch,declaration:_.declaration,details:_.details?.map(y.deserialize),uri:V.asCanonicalUri(E.URI.revive(_.uri))})})(a||(e.IFileCoverage=a={}));function $(B){return{...B,location:B.location?.toJSON()}}function O(B){return B.location=B.location?R.$5s.isIPosition(B.location)?R.$5s.lift(B.location):o.$6s.lift(B.location):void 0,B}e.$XK=3;var P;(function(B){B[B.Declaration=0]="Declaration",B[B.Statement=1]="Statement",B[B.Branch=2]="Branch"})(P||(e.DetailType=P={}));var y;(function(B){B.serialize=V=>V.type===0?F.serialize(V):Q.serialize(V),B.deserialize=V=>V.type===0?F.deserialize(V):Q.deserialize(V)})(y||(e.CoverageDetails=y={}));var A;(function(B){B.serialize=$,B.deserialize=O})(A||(e.IBranchCoverage=A={}));var F;(function(B){B.serialize=$,B.deserialize=O})(F||(e.IDeclarationCoverage=F={}));var Q;(function(B){B.serialize=V=>({...$(V),branches:V.branches?.map(A.serialize)}),B.deserialize=V=>({...O(V),branches:V.branches?.map(A.deserialize)})})(Q||(e.IStatementCoverage=Q={}));var te;(function(B){B[B.Add=0]="Add",B[B.Update=1]="Update",B[B.DocumentSynced=2]="DocumentSynced",B[B.Remove=3]="Remove",B[B.IncrementPendingExtHosts=4]="IncrementPendingExtHosts",B[B.Retire=5]="Retire",B[B.AddTag=6]="AddTag",B[B.RemoveTag=7]="RemoveTag"})(te||(e.TestDiffOpType=te={}));var de;(function(B){B.deserialize=(V,_)=>_.op===0?{op:_.op,item:t.deserialize(V,_.item)}:_.op===1?{op:_.op,item:s.deserialize(_.item)}:_.op===2?{op:_.op,uri:V.asCanonicalUri(E.URI.revive(_.uri)),docv:_.docv}:_,B.serialize=V=>V.op===0?{op:V.op,item:t.serialize(V.item)}:V.op===1?{op:V.op,item:s.serialize(V.item)}:V})(de||(e.TestsDiffOp=de={}));class he{constructor(V){this.k=V,this.c=new Map,this.f=new Map,this.g=new Set,this.h=0,this.j=0,this.tags=this.c}apply(V){const _=this.v();for(const X of V)switch(X.op){case 0:this.l(t.deserialize(this.k,X.item),_);break;case 1:this.o(s.deserialize(X.item),_);break;case 3:this.p(X.itemId,_);break;case 5:this.q(X.itemId);break;case 4:this.updatePendingRoots(X.amount);break;case 6:this.c.set(X.tag.id,X.tag);break;case 7:this.c.delete(X.id);break}_.complete?.()}l(V,_){const X=C.$QK.parentId(V.item.extId)?.toString();let ne;if(!X)ne=this.w(V),this.g.add(ne),this.f.set(V.item.extId,ne);else if(this.f.has(X)){const K=this.f.get(X);K.children.add(V.item.extId),ne=this.w(V,K),this.f.set(V.item.extId,ne)}else{console.error(`Test with unknown parent ID: ${JSON.stringify(V)}`);return}return _.add?.(ne),V.expand===2&&this.h++,ne}o(V,_){const X=this.f.get(V.extId);if(X)return V.expand!==void 0&&(X.expand===2&&this.h--,V.expand===2&&this.h++),(0,e.$WK)(X,V),_.update?.(X),X}p(V,_){const X=this.f.get(V);if(!X)return;const ne=C.$QK.parentId(X.item.extId)?.toString();ne?this.f.get(ne).children.delete(X.item.extId):this.g.delete(X);const K=[[V]];for(;K.length;)for(const G of K.pop()){const oe=this.f.get(G);oe&&(K.push(oe.children),this.f.delete(G),_.remove?.(oe,oe!==X),oe.expand===2&&this.h--)}}q(V){}updatePendingRoots(V){this.j+=V}v(){return{}}}e.$YK=he}),define(ye[132],ke([1,0,15,6,2,96,94,73]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$N=e.$0N=e.$9N=e.$8N=e.$7N=e.TestItemEventOp=void 0;var v;(function(g){g[g.Upsert=0]="Upsert",g[g.SetTags=1]="SetTags",g[g.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",g[g.RemoveChild=3]="RemoveChild",g[g.SetProp=4]="SetProp",g[g.Bulk=5]="Bulk",g[g.DocumentSynced=6]="DocumentSynced"})(v||(e.TestItemEventOp=v={}));const w=(g,h)=>g===h,k=Object.entries({range:(g,h)=>g===h?!0:!g||!h?!1:g.equalsRange(h),busy:w,label:w,description:w,error:w,sortText:w,tags:(g,h)=>!(g.length!==h.length||g.some(f=>!h.includes(f)))}),p=(g,h)=>{let f;for(const[u,t]of k)t(g[u],h[u])||(f?f[u]=h[u]:f={[u]:h[u]});return f};class d extends o.$Tc{get root(){return this.s.root}constructor(h){super(),this.s=h,this.f=this.B(new E.$qh(()=>this.flushDiff(),200)),this.g=this.B(new R.$5d),this.tree=new Map,this.j=new Map,this.m=[],this.onDidGenerateDiff=this.g.event,this.root.canResolveChildren=!0,this.z(this.root,void 0)}set resolveHandler(h){this.h=h;for(const f of this.tree.values())this.J(f)}get resolveHandler(){return this.h}collectDiff(){const h=this.m;return this.m=[],h}pushDiff(h){switch(h.op){case 2:{for(const f of this.m)if(f.op===2&&f.uri===h.uri){f.docv=h.docv;return}break}case 1:{const f=this.m[this.m.length-1];if(f){if(f.op===1&&f.item.extId===h.item.extId){(0,D.$WK)(f.item,h.item);return}if(f.op===0&&f.item.item.extId===h.item.extId){(0,D.$WK)(f.item,h.item);return}}break}}this.m.push(h),this.f.isScheduled()||this.f.schedule()}expand(h,f){const u=this.tree.get(h);if(u){if((u.expandLevels===void 0||f>u.expandLevels)&&(u.expandLevels=f),u.expand===1){const t=this.M(u);return t.isOpen()?this.L(u,f-1):t.wait().then(()=>this.L(u,f-1))}else if(u.expand===3)return u.resolveBarrier?.isOpen()===!1?u.resolveBarrier.wait().then(()=>this.L(u,f-1)):this.L(u,f-1)}}dispose(){for(const h of this.tree.values())this.s.getApiFor(h.actual).listener=void 0;this.tree.clear(),this.m=[],super.dispose()}w(h,f){switch(f.op){case 3:this.O(S.$QK.joinToString(h.fullId,f.id));break;case 0:this.z(f.item,h);break;case 5:for(const u of f.ops)this.w(h,u);break;case 1:this.C(f.new,f.old,h.fullId.toString());break;case 2:this.J(h);break;case 4:this.pushDiff({op:1,item:{extId:h.fullId.toString(),item:f.update}});break;case 6:this.y(h.actual.uri);break;default:(0,C.$9c)(f)}}y(h){h&&this.pushDiff({op:2,uri:h,docv:this.s.getDocumentVersion(h)})}z(h,f){const u=S.$QK.fromExtHostTestItem(h,this.root.id,f?.actual),t=this.s.getApiFor(h);t.parent&&t.parent!==f?.actual&&this.s.getChildren(t.parent).delete(h.id);let s=this.tree.get(u.toString());if(!s){s={fullId:u,actual:h,expandLevels:f?.expandLevels?f.expandLevels-1:void 0,expand:0},h.tags.forEach(this.D,this),this.tree.set(s.fullId.toString(),s),this.G(h,f),this.pushDiff({op:0,item:{controllerId:this.s.controllerId,expand:s.expand,item:this.s.toITestItem(h)}}),this.I(h,s,f);return}if(s.actual===h){this.H(h,s,f);return}if(s.actual.uri?.toString()!==h.uri?.toString())return this.O(u.toString()),this.z(h,f);const r=this.s.getChildren(s.actual),n=s.actual,i=p(this.s.toITestItem(n),this.s.toITestItem(h));this.s.getApiFor(n).listener=void 0,s.actual=h,s.expand=0,i&&(i.hasOwnProperty("tags")&&(this.C(h.tags,n.tags,u.toString()),delete i.tags),this.w(s,{op:4,update:i})),this.I(h,s,f);for(const[a,$]of r)this.s.getChildren(h).get($.id)||this.O(S.$QK.joinToString(u,$.id));this.y(s.actual.uri)}C(h,f,u){const t=new Set(f.map(s=>s.id));for(const s of h)t.delete(s.id)||this.D(s);this.pushDiff({op:1,item:{extId:u,item:{tags:h.map(s=>(0,D.$UK)(this.s.controllerId,s.id))}}}),t.forEach(this.F,this)}D(h){const f=this.j.get(h.id);f?f.refCount++:(this.j.set(h.id,{refCount:1}),this.pushDiff({op:6,tag:{id:(0,D.$UK)(this.s.controllerId,h.id)}}))}F(h){const f=this.j.get(h);f&&!--f.refCount&&(this.j.delete(h),this.pushDiff({op:7,id:(0,D.$UK)(this.s.controllerId,h)}))}G(h,f){this.s.getApiFor(h).parent=f&&f.actual!==this.root?f.actual:void 0}H(h,f,u){this.G(h,u);const t=this.s.getApiFor(h);t.parent=u?.actual,t.listener=s=>this.w(f,s),this.J(f)}I(h,f,u){this.H(h,f,u);for(const[t,s]of this.s.getChildren(h))this.z(s,f)}J(h){let f;this.h?h.resolveBarrier?f=h.resolveBarrier.isOpen()?3:2:f=h.actual.canResolveChildren?1:0:f=0,f!==h.expand&&(h.expand=f,this.pushDiff({op:1,item:{extId:h.fullId.toString(),expand:f}}),f===1&&h.expandLevels!==void 0&&this.M(h))}L(h,f){if(f<0)return;const u=[];for(const[t,s]of this.s.getChildren(h.actual)){const r=this.expand(S.$QK.joinToString(h.fullId,s.id),f);(0,E.$3g)(r)&&u.push(r)}if(u.length)return Promise.all(u).then(()=>{})}M(h){if(h.resolveBarrier)return h.resolveBarrier;if(!this.h){const s=new E.$dh;return s.open(),s}h.expand=2,this.N(h);const f=h.resolveBarrier=new E.$dh,u=s=>{console.error(`Unhandled error in resolveHandler of test controller "${this.s.controllerId}"`,s)};let t;try{t=this.h(h.actual===this.root?void 0:h.actual)}catch(s){u(s)}return(0,E.$3g)(t)?t.catch(u).then(()=>{f.open(),this.J(h)}):(f.open(),this.J(h)),h.resolveBarrier}N(h){this.pushDiff({op:1,item:{extId:h.fullId.toString(),expand:h.expand}})}O(h){const f=this.tree.get(h);if(!f)throw new Error("attempting to remove non-existent child");this.pushDiff({op:3,itemId:h});const u=[f];for(;u.length;){const t=u.pop();if(t){this.s.getApiFor(t.actual).listener=void 0;for(const s of t.actual.tags)this.F(s.id);this.tree.delete(t.fullId.toString());for(const[s,r]of this.s.getChildren(t.actual))u.push(this.tree.get(S.$QK.joinToString(t.fullId,r.id)))}}}flushDiff(){const h=this.collectDiff();h.length&&this.g.fire(h)}}e.$7N=d;class m extends Error{constructor(h){super(`Attempted to insert a duplicate test item ID ${h}`)}}e.$8N=m;class l extends Error{constructor(h){super(`TestItem with ID "${h}" is invalid. Make sure to create it from the createTestItem method.`)}}e.$9N=l;class b extends Error{constructor(h,f,u){super(`TestItem with ID "${h}" is from controller "${f}" and cannot be added as a child of an item from controller "${u}".`)}}e.$0N=b;const c=(g,h,f)=>{let u=new Map;return{get size(){return u.size},forEach(t,s){for(const r of u.values())t.call(s,r,this)},[Symbol.iterator](){return u.entries()},replace(t){const s=new Map,r=new Set(u.keys()),n={op:5,ops:[]};for(const i of t){if(!(i instanceof f))throw new l(i.id);const a=h(i).controllerId;if(a!==g.controllerId)throw new b(i.id,a,g.controllerId);if(s.has(i.id))throw new m(i.id);s.set(i.id,i),r.delete(i.id),n.ops.push({op:0,item:i})}for(const i of r.keys())n.ops.push({op:3,id:i});g.listener?.(n),u=s},add(t){if(!(t instanceof f))throw new l(t.id);u.set(t.id,t),g.listener?.({op:0,item:t})},delete(t){u.delete(t)&&g.listener?.({op:3,id:t})},get(t){return u.get(t)},toJSON(){return Array.from(u.values())}}};e.$$N=c}),define(ye[133],ke([1,0,132]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$aO=e.$_N=void 0;const R=new WeakMap,o=(D,S)=>{const v={controllerId:S};return R.set(D,v),v};e.$_N=o;const C=D=>{const S=R.get(D);if(!S)throw new E.$9N(D?.id||"<unknown>");return S};e.$aO=C}),define(ye[275],ke([1,0,25,5]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zE=e.$yE=e.$xE=e.$wE=e.$vE=e.$uE=e.$tE=e.$sE=e.$rE=e.$qE=e.$pE=e.$oE=e.$nE=e.$mE=e.$lE=e.$kE=e.$jE=e.$iE=e.$hE=e.$gE=e.$fE=e.$eE=e.$dE=e.$cE=e.$bE=void 0,e.$bE=".vscode",e.$cE="settings",e.$dE=`${e.$bE}/${e.$cE}.json`,e.$eE="vscode://schemas/settings/default",e.$fE="vscode://schemas/settings/user",e.$gE="vscode://schemas/settings/profile",e.$hE="vscode://schemas/settings/machine",e.$iE="vscode://schemas/settings/workspace",e.$jE="vscode://schemas/settings/folder",e.$kE="vscode://schemas/launch",e.$lE="vscode://schemas/tasks",e.$mE=[1],e.$nE=[2,3,4,5,6],e.$oE=[3,4,5],e.$pE=[1,...e.$oE],e.$qE=[2,3,4,5,6],e.$rE=[3,4,5,6],e.$sE=[4,5,6],e.$tE="tasks",e.$uE="launch",e.$vE=Object.create(null),e.$vE[e.$tE]=`${e.$bE}/${e.$tE}.json`,e.$vE[e.$uE]=`${e.$bE}/${e.$uE}.json`,e.$wE=Object.create(null),e.$wE[e.$tE]=`${e.$tE}.json`,e.$xE=(0,R.$fi)(E.$Ki),e.$yE=`{
	"version": "2.0.0",
	"tasks": []
}`,e.$zE="workbench.settings.applyToAllProfiles"}),define(ye[134],ke([1,0,5]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4O=e.VariableKind=e.$3O=void 0,e.$3O=(0,E.$ei)("configurationResolverService");var R;(function(C){C.Unknown="unknown",C.Env="env",C.Config="config",C.Command="command",C.Input="input",C.ExtensionInstallFolder="extensionInstallFolder",C.WorkspaceFolder="workspaceFolder",C.Cwd="cwd",C.WorkspaceFolderBasename="workspaceFolderBasename",C.UserHome="userHome",C.LineNumber="lineNumber",C.SelectedText="selectedText",C.File="file",C.FileWorkspaceFolder="fileWorkspaceFolder",C.FileWorkspaceFolderBasename="fileWorkspaceFolderBasename",C.RelativeFile="relativeFile",C.RelativeFileDirname="relativeFileDirname",C.FileDirname="fileDirname",C.FileExtname="fileExtname",C.FileBasename="fileBasename",C.FileBasenameNoExtension="fileBasenameNoExtension",C.FileDirnameBasename="fileDirnameBasename",C.ExecPath="execPath",C.ExecInstallFolder="execInstallFolder",C.PathSeparator="pathSeparator",C.PathSeparatorAlias="/"})(R||(e.VariableKind=R={}));class o extends Error{constructor(D,S){super(S),this.variable=D}}e.$4O=o}),define(ye[276],ke([1,0,7,29,11,21,3,170,208,134,17]),function(le,e,E,R,o,C,D,S,v,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fP=void 0;class k{static{this.VARIABLE_LHS="${"}static{this.VARIABLE_REGEXP=/\$\{(.*?)\}/g}constructor(d,m,l,b){this.h=new Map,this.a=d,this.b=m,this.g=l,b&&(this.c=b.then(c=>this.i(c)))}i(d){if(D.$i){const m=Object.create(null);return Object.keys(d).forEach(l=>{m[l.toLowerCase()]=d[l]}),m}return d}resolveWithEnvironment(d,m,l){return this.l({env:this.i(d),userHome:void 0},m?m.uri:void 0,l)}async resolveAsync(d,m){const l={env:await this.c,userHome:await this.g};return this.l(l,d?d.uri:void 0,m)}async j(d,m,l,b){const c=C.$Hn(m);D.$i&&c.windows?Object.keys(c.windows).forEach(h=>c[h]=c.windows[h]):D.$j&&c.osx?Object.keys(c.osx).forEach(h=>c[h]=c.osx[h]):D.$k&&c.linux&&Object.keys(c.linux).forEach(h=>c[h]=c.linux[h]),delete c.windows,delete c.osx,delete c.linux;const g={env:await this.c,userHome:await this.g};return this.l(g,d?d.uri:void 0,c,l,b)}async resolveAnyAsync(d,m,l){return this.j(d,m,l)}async resolveAnyMap(d,m,l){const b=new Map;return{newConfig:await this.j(d,m,l,b),resolvedVariables:b}}resolveWithInteractionReplace(d,m,l,b){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(d,m,l,b){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(d,m){if(this.h.has(d))throw new Error("Variable "+d+" is contributed twice.");this.h.set(d,m)}async l(d,m,l,b,c){if(o.$Sf(l))return this.m(d,m,l,b,c);if(Array.isArray(l))return Promise.all(l.map(g=>this.l(d,m,g,b,c)));if(o.$Uf(l)){const g=Object.create(null),h=await Promise.all(Object.keys(l).map(async f=>[await this.m(d,m,f,b,c),await this.l(d,m,l[f],b,c)]));for(const[f,u]of h)g[f]=u;return g}return l}m(d,m,l,b,c){return(0,I.$bf)(l,k.VARIABLE_REGEXP,async(g,h)=>{if(h.includes(k.VARIABLE_LHS))return g;let f=await this.o(d,g,h,m,b);return c?.set(h,f),f!==g&&o.$Sf(f)&&f.match(k.VARIABLE_REGEXP)&&(f=await this.m(d,m,f,b,c)),f})}n(d){return this.b?this.b.getUriLabel(d,{noPrefix:!0}):d.fsPath}async o(d,m,l,b,c){let g;const h=l.split(":");h.length>1&&(l=h[0],g=h[1]);const f=s=>{const r=this.a.getFilePath();if(r)return(0,S.$9v)(r);throw new w.$4O(s,(0,v.localize)(0,null,m))},u=s=>{const r=f(s);if(this.a.getWorkspaceFolderPathForFile){const n=this.a.getWorkspaceFolderPathForFile();if(n)return(0,S.$9v)(n)}throw new w.$4O(s,(0,v.localize)(1,null,m,E.$nc(r)))},t=s=>{if(g){const r=this.a.getFolderUri(g);if(r)return r;throw new w.$4O(s,(0,v.localize)(2,null,m,g))}if(b)return b;throw this.a.getWorkspaceFolderCount()>1?new w.$4O(s,(0,v.localize)(3,null,m)):new w.$4O(s,(0,v.localize)(4,null,m))};switch(l){case"env":if(g){if(d.env){const s=d.env[D.$i?g.toLowerCase():g];if(o.$Sf(s))return s}return""}throw new w.$4O(w.VariableKind.Env,(0,v.localize)(5,null,m));case"config":if(g){const s=this.a.getConfigurationValue(b,g);if(o.$2f(s))throw new w.$4O(w.VariableKind.Config,(0,v.localize)(6,null,m,g));if(o.$Uf(s))throw new w.$4O(w.VariableKind.Config,(0,v.localize)(7,null,m,g));return s}throw new w.$4O(w.VariableKind.Config,(0,v.localize)(8,null,m));case"command":return this.p(w.VariableKind.Command,m,g,c,"command");case"input":return this.p(w.VariableKind.Input,m,g,c,"input");case"extensionInstallFolder":if(g){const s=await this.a.getExtension(g);if(!s)throw new w.$4O(w.VariableKind.ExtensionInstallFolder,(0,v.localize)(9,null,m,g));return this.n(s.extensionLocation)}throw new w.$4O(w.VariableKind.ExtensionInstallFolder,(0,v.localize)(10,null,m));default:switch(l){case"workspaceRoot":case"workspaceFolder":return(0,S.$9v)(this.n(t(w.VariableKind.WorkspaceFolder)));case"cwd":return b||g?(0,S.$9v)(this.n(t(w.VariableKind.Cwd))):R.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return(0,S.$9v)(E.$nc(this.n(t(w.VariableKind.WorkspaceFolderBasename))));case"userHome":{if(d.userHome)return d.userHome;throw new w.$4O(w.VariableKind.UserHome,(0,v.localize)(11,null,m))}case"lineNumber":{const s=this.a.getLineNumber();if(s)return s;throw new w.$4O(w.VariableKind.LineNumber,(0,v.localize)(12,null,m))}case"selectedText":{const s=this.a.getSelectedText();if(s)return s;throw new w.$4O(w.VariableKind.SelectedText,(0,v.localize)(13,null,m))}case"file":return f(w.VariableKind.File);case"fileWorkspaceFolder":return u(w.VariableKind.FileWorkspaceFolder);case"fileWorkspaceFolderBasename":return E.$nc(u(w.VariableKind.FileWorkspaceFolderBasename));case"relativeFile":return b||g?E.$lc(this.n(t(w.VariableKind.RelativeFile)),f(w.VariableKind.RelativeFile)):f(w.VariableKind.RelativeFile);case"relativeFileDirname":{const s=E.$mc(f(w.VariableKind.RelativeFileDirname));if(b||g){const r=E.$lc(this.n(t(w.VariableKind.RelativeFileDirname)),s);return r.length===0?".":r}return s}case"fileDirname":return E.$mc(f(w.VariableKind.FileDirname));case"fileExtname":return E.$oc(f(w.VariableKind.FileExtname));case"fileBasename":return E.$nc(f(w.VariableKind.FileBasename));case"fileBasenameNoExtension":{const s=E.$nc(f(w.VariableKind.FileBasenameNoExtension));return s.slice(0,s.length-E.$oc(s).length)}case"fileDirnameBasename":return E.$nc(E.$mc(f(w.VariableKind.FileDirnameBasename)));case"execPath":{const s=this.a.getExecPath();return s||m}case"execInstallFolder":{const s=this.a.getAppRoot();return s||m}case"pathSeparator":case"/":return E.sep;default:try{const s=g?`${l}:${g}`:l;return this.p(w.VariableKind.Unknown,m,s,c,void 0)}catch{return m}}}}p(d,m,l,b,c){if(l&&b){const g=c===void 0?b[l]:b[c+":"+l];if(typeof g=="string")return g;throw new w.$4O(d,(0,v.localize)(14,null,m))}return m}}e.$fP=k}),define(ye[277],ke([1,0,5,93]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nD=e.$mD=e.OpenEditorContext=e.GroupsOrder=e.$lD=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.$kD=void 0,e.$kD=(0,E.$ei)("editorGroupsService");var o;(function(m){m[m.UP=0]="UP",m[m.DOWN=1]="DOWN",m[m.LEFT=2]="LEFT",m[m.RIGHT=3]="RIGHT"})(o||(e.GroupDirection=o={}));var C;(function(m){m[m.HORIZONTAL=0]="HORIZONTAL",m[m.VERTICAL=1]="VERTICAL"})(C||(e.GroupOrientation=C={}));var D;(function(m){m[m.FIRST=0]="FIRST",m[m.LAST=1]="LAST",m[m.NEXT=2]="NEXT",m[m.PREVIOUS=3]="PREVIOUS"})(D||(e.GroupLocation=D={}));var S;(function(m){m[m.MAXIMIZE=0]="MAXIMIZE",m[m.EXPAND=1]="EXPAND",m[m.EVEN=2]="EVEN"})(S||(e.GroupsArrangement=S={}));var v;(function(m){m[m.COPY_EDITORS=0]="COPY_EDITORS",m[m.MOVE_EDITORS=1]="MOVE_EDITORS"})(v||(e.MergeGroupMode=v={}));function w(m){const l=m;return(0,R.$7E)(l?.editor)&&(0,R.$7E)(l?.replacement)}e.$lD=w;var I;(function(m){m[m.CREATION_TIME=0]="CREATION_TIME",m[m.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",m[m.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(I||(e.GroupsOrder=I={}));var k;(function(m){m[m.NEW_EDITOR=1]="NEW_EDITOR",m[m.MOVE_EDITOR=2]="MOVE_EDITOR",m[m.COPY_EDITOR=3]="COPY_EDITOR"})(k||(e.OpenEditorContext=k={}));function p(m){const l=m;return!!l&&typeof l.id=="number"&&Array.isArray(l.editors)}e.$mD=p;function d(m){return m.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.$nD=d}),define(ye[135],ke([1,0,5,277]),function(le,e,E,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sD=e.$rD=e.$qD=e.$pD=e.$oD=void 0,e.$oD=(0,E.$ei)("editorService"),e.$pD=-1,e.$qD=-2,e.$rD=-3;function o(C){const D=C;return typeof C=="number"||(0,R.$mD)(D)}e.$sD=o}),define(ye[278],ke([1,0,275,118,92,90,134,93,135,12,227,273,91]),function(le,e,E,R,o,C,D,S,v,w,I,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$iP=e.$hP=void 0,e.$hP="remoteterminal";let d=class{get onPtyHostExit(){return this.b.listen("$onPtyHostExitEvent")}get onPtyHostStart(){return this.b.listen("$onPtyHostStartEvent")}get onPtyHostUnresponsive(){return this.b.listen("$onPtyHostUnresponsiveEvent")}get onPtyHostResponsive(){return this.b.listen("$onPtyHostResponsiveEvent")}get onPtyHostRequestResolveVariables(){return this.b.listen("$onPtyHostRequestResolveVariablesEvent")}get onProcessData(){return this.b.listen("$onProcessDataEvent")}get onProcessExit(){return this.b.listen("$onProcessExitEvent")}get onProcessReady(){return this.b.listen("$onProcessReadyEvent")}get onProcessReplay(){return this.b.listen("$onProcessReplayEvent")}get onProcessOrphanQuestion(){return this.b.listen("$onProcessOrphanQuestion")}get onExecuteCommand(){return this.b.listen("$onExecuteCommand")}get onDidRequestDetach(){return this.b.listen("$onDidRequestDetach")}get onDidChangeProperty(){return this.b.listen("$onDidChangeProperty")}constructor(l,b,c,g,h,f,u,t,s,r){this.a=l,this.b=b,this.c=c,this.d=g,this.e=h,this.f=f,this.g=u,this.h=t,this.i=s,this.j=r}restartPtyHost(){return this.b.call("$restartPtyHost",[])}async createProcess(l,b,c,g,h,f,u,t){await this.c.whenRemoteConfigurationLoaded();const s=Object.create(null),r=c?this.d.getWorkspaceFolder(c)??void 0:void 0;let n;try{n=(await this.e.resolveAnyMap(r,{shellLaunchConfig:l,configuration:b})).resolvedVariables}catch(Q){this.h.error(Q)}if(n)for(const[Q,te]of n.entries())(/^config:/.test(Q)||Q==="selectedText"||Q==="lineNumber")&&(s[Q]=te);const i=[];for(const[Q,te]of this.f.collections.entries())i.push([Q,(0,C.$Xr)(te.map),(0,C.$Yr)(te.descriptionMap)]);const a=await this.g.resolveAuthority(this.a),$=a.options&&a.options.extensionHostEnv,O=this.d.getWorkspace(),P=O.folders,y=c?this.d.getWorkspaceFolder(c):null,A=S.$cF.getOriginalUri(this.i.activeEditor,{supportSideBySide:S.SideBySideEditor.PRIMARY,filterByScheme:[w.Schemas.file,w.Schemas.vscodeUserData,w.Schemas.vscodeRemote]}),F={configuration:b,resolvedVariables:s,envVariableCollections:i,shellLaunchConfig:l,workspaceId:O.id,workspaceName:this.j.getWorkspaceLabel(O),workspaceFolders:P,activeWorkspaceFolder:y,activeFileResource:A,shouldPersistTerminal:h,options:g,cols:f,rows:u,unicodeVersion:t,resolverEnv:$};return await this.b.call("$createProcess",F)}requestDetachInstance(l,b){return this.b.call("$requestDetachInstance",[l,b])}acceptDetachInstanceReply(l,b){return this.b.call("$acceptDetachInstanceReply",[l,b])}attachToProcess(l){return this.b.call("$attachToProcess",[l])}detachFromProcess(l,b){return this.b.call("$detachFromProcess",[l,b])}listProcesses(){return this.b.call("$listProcesses")}getLatency(){return this.b.call("$getLatency")}getPerformanceMarks(){return this.b.call("$getPerformanceMarks")}reduceConnectionGraceTime(){return this.b.call("$reduceConnectionGraceTime")}processBinary(l,b){return this.b.call("$processBinary",[l,b])}start(l){return this.b.call("$start",[l])}input(l,b){return this.b.call("$input",[l,b])}acknowledgeDataEvent(l,b){return this.b.call("$acknowledgeDataEvent",[l,b])}setUnicodeVersion(l,b){return this.b.call("$setUnicodeVersion",[l,b])}shutdown(l,b){return this.b.call("$shutdown",[l,b])}resize(l,b,c){return this.b.call("$resize",[l,b,c])}clearBuffer(l){return this.b.call("$clearBuffer",[l])}getInitialCwd(l){return this.b.call("$getInitialCwd",[l])}getCwd(l){return this.b.call("$getCwd",[l])}orphanQuestionReply(l){return this.b.call("$orphanQuestionReply",[l])}sendCommandResult(l,b,c){return this.b.call("$sendCommandResult",[l,b,c])}freePortKillProcess(l){return this.b.call("$freePortKillProcess",[l])}installAutoReply(l,b){return this.b.call("$installAutoReply",[l,b])}uninstallAllAutoReplies(){return this.b.call("$uninstallAllAutoReplies",[])}getDefaultSystemShell(l){return this.b.call("$getDefaultSystemShell",[l])}getProfiles(l,b,c){return this.b.call("$getProfiles",[this.d.getWorkspace().id,l,b,c])}acceptPtyHostResolvedVariables(l,b){return this.b.call("$acceptPtyHostResolvedVariables",[l,b])}getEnvironment(){return this.b.call("$getEnvironment")}getWslPath(l,b){return this.b.call("$getWslPath",[l,b])}setTerminalLayoutInfo(l){const c={workspaceId:this.d.getWorkspace().id,tabs:l?l.tabs:[]};return this.b.call("$setTerminalLayoutInfo",c)}updateTitle(l,b,c){return this.b.call("$updateTitle",[l,b,c])}updateIcon(l,b,c,g){return this.b.call("$updateIcon",[l,b,c,g])}refreshProperty(l,b){return this.b.call("$refreshProperty",[l,b])}updateProperty(l,b,c){return this.b.call("$updateProperty",[l,b,c])}getTerminalLayoutInfo(){const b={workspaceId:this.d.getWorkspace().id};return this.b.call("$getTerminalLayoutInfo",b)}reviveTerminalProcesses(l,b,c){return this.b.call("$reviveTerminalProcesses",[l,b,c])}getRevivedPtyNewId(l){return this.b.call("$getRevivedPtyNewId",[l])}serializeTerminalState(l){return this.b.call("$serializeTerminalState",[l])}};e.$iP=d,e.$iP=d=Me([Oe(2,E.$xE),Oe(3,o.$ni),Oe(4,D.$3O),Oe(5,k.$HO),Oe(6,R.$gl),Oe(7,p.$Kr),Oe(8,v.$oD),Oe(9,I.$Av)],d)}),define(ye[279],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6m=e.$5m=e.$4m=e.$3m=e.$2m=e.ExtHostConnectionType=void 0;var E;(function(I){I[I.IPC=1]="IPC",I[I.Socket=2]="Socket",I[I.MessagePort=3]="MessagePort"})(E||(e.ExtHostConnectionType=E={}));class R{static{this.ENV_KEY="VSCODE_EXTHOST_IPC_HOOK"}constructor(k){this.pipeName=k,this.type=1}serialize(k){k[R.ENV_KEY]=this.pipeName}}e.$2m=R;class o{constructor(){this.type=2}static{this.ENV_KEY="VSCODE_EXTHOST_WILL_SEND_SOCKET"}serialize(k){k[o.ENV_KEY]="1"}}e.$3m=o;class C{constructor(){this.type=3}static{this.ENV_KEY="VSCODE_WILL_SEND_MESSAGE_PORT"}serialize(k){k[C.ENV_KEY]="1"}}e.$4m=C;function D(I){delete I[R.ENV_KEY],delete I[o.ENV_KEY],delete I[C.ENV_KEY]}function S(I,k){D(k),I.serialize(k)}e.$5m=S;function v(I){if(I[R.ENV_KEY])return w(I,new R(I[R.ENV_KEY]));if(I[o.ENV_KEY])return w(I,new o);if(I[C.ENV_KEY])return w(I,new C);throw new Error("No connection information defined in environment!")}e.$6m=v;function w(I,k){return D(I),k}}),define(ye[280],ke([1,0,14]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.$Fm=e.$Em=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var R;(function(w){w[w.Desktop=1]="Desktop",w[w.Web=2]="Web"})(R||(e.UIKind=R={}));var o;(function(w){w[w.VersionMismatch=55]="VersionMismatch",w[w.UnexpectedError=81]="UnexpectedError"})(o||(e.ExtensionHostExitCode=o={}));var C;(function(w){w[w.Initialized=0]="Initialized",w[w.Ready=1]="Ready",w[w.Terminate=2]="Terminate"})(C||(e.MessageType=C={}));function D(w){const I=E.$se.alloc(1);switch(w){case 0:I.writeUInt8(1,0);break;case 1:I.writeUInt8(2,0);break;case 2:I.writeUInt8(3,0);break}return I}e.$Em=D;function S(w,I){if(w.byteLength!==1)return!1;switch(w.readUInt8(0)){case 1:return I===0;case 2:return I===1;case 3:return I===2;default:return!1}}e.$Fm=S;var v;(function(w){w.Start="START_NATIVE_LOG",w.End="END_NATIVE_LOG"})(v||(e.NativeLogMarkers=v={}))}),define(ye[281],ke([1,0,5,6,13,269,280,58,38,21,4,2,206]),function(le,e,E,R,o,C,D,S,v,w,I,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yO=e.$xO=e.$wO=e.$vO=void 0;let d=class extends k.$Tc{constructor(c,g){super(),this.s=c,this.t=g,this.a=this.B(new R.$5d),this.onDidChangeTelemetryEnabled=this.a.event,this.b=this.B(new R.$5d),this.onDidChangeTelemetryConfiguration=this.b.event,this.c={usage:!0,error:!0},this.f=0,this.g=!1,this.j=!1,this.r=new Map,this.m=I.URI.revive(this.s.environment.extensionTelemetryLogResource),this.j=this.s.environment.isExtensionTelemetryLoggingOnly,this.n=g.createLogger(this.m,{id:v.$2o,name:(0,p.localize)(0,null,this.j?" (Not Sent)":""),hidden:!0}),this.B(this.n),this.B(g.onDidChangeLogLevel(h=>{(0,o.$Aj)(h)&&this.u()})),this.n.info("Below are logs for extension telemetry events sent to the telemetry output channel API once the log level is set to trace."),this.n.info("===========================================================")}u(){this.t.setVisibility(this.m,this.g&&this.t.getLogLevel()===o.LogLevel.Trace)}getTelemetryConfiguration(){return this.f===3}getTelemetryDetails(){return{isCrashEnabled:this.f>=1,isErrorsEnabled:this.c.error?this.f>=2:!1,isUsageEnabled:this.c.usage?this.f>=3:!1}}instantiateLogger(c,g,h){const f=this.getTelemetryDetails(),u=new m(g,h,c,this.n,this.j,this.getBuiltInCommonProperties(c),{isUsageEnabled:f.isUsageEnabled,isErrorsEnabled:f.isErrorsEnabled}),t=this.r.get(c.identifier.value)??[];return this.r.set(c.identifier.value,[...t,u]),u.apiTelemetryLogger}$initializeTelemetryLevel(c,g,h){this.f=c,this.g=g,this.c=h??{usage:!0,error:!0},this.u()}getBuiltInCommonProperties(c){const g=Object.create(null);switch(g["common.extname"]=`${c.publisher}.${c.name}`,g["common.extversion"]=c.version,g["common.vscodemachineid"]=this.s.telemetryInfo.machineId,g["common.vscodesessionid"]=this.s.telemetryInfo.sessionId,g["common.sqmid"]=this.s.telemetryInfo.sqmId,g["common.vscodeversion"]=this.s.version,g["common.isnewappinstall"]=l(this.s.telemetryInfo.firstSessionDate),g["common.product"]=this.s.environment.appHost,this.s.uiKind){case D.UIKind.Web:g["common.uikind"]="web";break;case D.UIKind.Desktop:g["common.uikind"]="desktop";break;default:g["common.uikind"]="unknown"}return g["common.remotename"]=(0,S.$ml)((0,v.$8o)(this.s.remote.authority)),g}$onDidChangeTelemetryLevel(c){this.h=this.getTelemetryConfiguration(),this.f=c;const g=this.getTelemetryDetails();this.r.forEach((h,f)=>{const u=h.filter(t=>!t.isDisposed);u.length===0?this.r.delete(f):this.r.set(f,u)}),this.r.forEach(h=>{for(const f of h)f.updateTelemetryEnablements(g.isUsageEnabled,g.isErrorsEnabled)}),this.h!==this.getTelemetryConfiguration()&&this.a.fire(this.getTelemetryConfiguration()),this.b.fire(this.getTelemetryDetails()),this.u()}onExtensionError(c,g){const f=this.r.get(c.value)?.filter(t=>!t.isDisposed);if(!f)return this.r.delete(c.value),!1;let u=!1;for(const t of f)t.ignoreUnhandledExtHostErrors||(t.logError(g),u=!0);return u}};e.$vO=d,e.$vO=d=Me([Oe(0,C.$uO),Oe(1,o.$zj)],d);class m{static validateSender(c){if(typeof c!="object")throw new TypeError("TelemetrySender argument is invalid");if(typeof c.sendEventData!="function")throw new TypeError("TelemetrySender.sendEventData must be a function");if(typeof c.sendErrorData!="function")throw new TypeError("TelemetrySender.sendErrorData must be a function");if(typeof c.flush<"u"&&typeof c.flush!="function")throw new TypeError("TelemetrySender.flush must be a function or undefined")}constructor(c,g,h,f,u,t,s){this.g=h,this.h=f,this.i=u,this.j=t,this.a=new R.$5d,this.ignoreUnhandledExtHostErrors=g?.ignoreUnhandledErrors??!1,this.b=g?.ignoreBuiltInCommonProperties??!1,this.c=g?.additionalCommonProperties,this.f=c,this.d={isUsageEnabled:s.isUsageEnabled,isErrorsEnabled:s.isErrorsEnabled}}updateTelemetryEnablements(c,g){this.e&&(this.d={isUsageEnabled:c,isErrorsEnabled:g},this.a.fire(this.e))}mixInCommonPropsAndCleanData(c){let g="properties"in c?c.properties??{}:c;return g=(0,v.$$o)(g,[]),this.c&&(g=(0,w.$Kn)(g,this.c)),this.b||(g=(0,w.$Kn)(g,this.j)),"properties"in c?c.properties=g:c=g,c}k(c,g){this.f&&(this.g.publisher==="vscode"?c=this.g.name+"/"+c:c=this.g.identifier.value+"/"+c,g=this.mixInCommonPropsAndCleanData(g||{}),this.i||this.f?.sendEventData(c,g),this.h.trace(c,g))}logUsage(c,g){this.d.isUsageEnabled&&this.k(c,g)}logError(c,g){if(!(!this.d.isErrorsEnabled||!this.f))if(typeof c=="string")this.k(c,g);else{const h={name:c.name,message:c.message,stack:c.stack,cause:c.cause},f=(0,v.$$o)(h,[]),u=new Error(f.message,{cause:f.cause});u.stack=f.stack,u.name=f.name,g=this.mixInCommonPropsAndCleanData(g||{}),this.i||this.f.sendErrorData(u,g),this.h.trace("exception",g)}}get apiTelemetryLogger(){if(!this.e){const c=this,g={logUsage:c.logUsage.bind(c),get isUsageEnabled(){return c.d.isUsageEnabled},get isErrorsEnabled(){return c.d.isErrorsEnabled},logError:c.logError.bind(c),dispose:c.dispose.bind(c),onDidChangeEnableStates:c.a.event.bind(c)};this.e=Object.freeze(g)}return this.e}get isDisposed(){return!this.f}dispose(){if(this.f?.flush){let c=this.f;this.f=void 0,Promise.resolve(c.flush()).then(c=void 0),this.e=void 0}else this.f=void 0}}e.$wO=m;function l(b){const c=Date.now()-new Date(b).getTime();return isNaN(c)?!1:c<1e3*60*60*24}e.$xO=l,e.$yO=(0,E.$ei)("IExtHostTelemetry")}),define(ye[282],ke([1,0,6,4,36,235,35,5]),function(le,e,E,R,o,C,D,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1F=e.$ZF=e.$YF=e.ActivationKind=e.$XF=e.$WF=e.$VF=e.$UF=e.$TF=e.ExtensionHostStartup=e.$SF=e.$RF=e.$QF=e.$PF=void 0,e.$PF=Object.freeze({identifier:new D.$wm("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:R.URI.parse("void:location"),isBuiltin:!1,targetPlatform:"undefined",isUserBuiltin:!1,isUnderDevelopment:!1}),e.$QF="extensions.webWorker",e.$RF=(0,S.$ei)("extensionService");class v{constructor(u){this.dependency=u}}e.$SF=v;var w;(function(f){f[f.EagerAutoStart=1]="EagerAutoStart",f[f.EagerManualStart=2]="EagerManualStart",f[f.Lazy=3]="Lazy"})(w||(e.ExtensionHostStartup=w={}));class I{get versionId(){return this.c}get allExtensions(){return this.d}get myExtensions(){return this.e}constructor(u,t,s){this.c=u,this.d=t.slice(0),this.e=s.slice(0),this.f=null}toSnapshot(){return{versionId:this.c,allExtensions:this.d,myExtensions:this.e,activationEvents:C.$AF.createActivationEventsMap(this.d)}}set(u,t,s){if(this.c>u)throw new Error(`ExtensionHostExtensions: invalid versionId ${u} (current: ${this.c})`);const r=[],n=[],i=[],a=[],$=k(this.d),O=k(t),P=(te,de)=>te.extensionLocation.toString()===de.extensionLocation.toString()||te.isBuiltin===de.isBuiltin||te.isUserBuiltin===de.isUserBuiltin||te.isUnderDevelopment===de.isUnderDevelopment;for(const te of this.d){const de=O.get(te.identifier);if(!de){r.push(te.identifier),$.delete(te.identifier);continue}if(!P(te,de)){r.push(te.identifier),$.delete(te.identifier);continue}}for(const te of t){const de=$.get(te.identifier);if(!de){n.push(te);continue}if(!P(de,te)){r.push(de.identifier),$.delete(de.identifier);continue}}const y=new D.$xm(this.e),A=new D.$xm(s);for(const te of this.e)A.has(te)||i.push(te);for(const te of s)y.has(te)||a.push(te);const F=C.$AF.createActivationEventsMap(n),Q={versionId:u,toRemove:r,toAdd:n,addActivationEvents:F,myToRemove:i,myToAdd:a};return this.delta(Q),Q}delta(u){if(this.c>=u.versionId)return null;const{toRemove:t,toAdd:s,myToRemove:r,myToAdd:n}=u,i=new D.$xm(t),a=new D.$xm(r);for(let $=0;$<this.d.length;$++)i.has(this.d[$].identifier)&&(this.d.splice($,1),$--);for(let $=0;$<this.e.length;$++)a.has(this.e[$])&&(this.e.splice($,1),$--);for(const $ of s)this.d.push($);for(const $ of n)this.e.push($);return this.f=null,u}containsExtension(u){for(const t of this.e)if(D.$wm.equals(t,u))return!0;return!1}containsActivationEvent(u){return this.f||(this.f=this.g()),this.f.has(u)}g(){const u=new Set;for(const t of this.d){if(!this.containsExtension(t.identifier))continue;const s=C.$AF.readActivationEvents(t);for(const r of s)u.add(r)}return u}}e.$TF=I;function k(f){const u=new D.$ym;for(const t of f)u.set(t.identifier,t);return u}function p(f,u){return f.enabledApiProposals?f.enabledApiProposals.includes(u):!1}e.$UF=p;function d(f,u){if(!p(f,u))throw new Error(`Extension '${f.identifier.value}' CANNOT use API proposal: ${u}.
Its package.json#enabledApiProposals-property declares: ${f.enabledApiProposals?.join(", ")??"[]"} but NOT ${u}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${f.identifier.value}`)}e.$VF=d;class m{constructor(u,t,s,r){this.codeLoadingTime=u,this.activateCallTime=t,this.activateResolvedTime=s,this.activationReason=r}}e.$WF=m;class l{constructor(u,t){this.description=u,this.value=t}}e.$XF=l;var b;(function(f){f[f.Normal=0]="Normal",f[f.Immediate=1]="Immediate"})(b||(e.ActivationKind=b={}));function c(f){return{type:f.isBuiltin?0:1,isBuiltin:f.isBuiltin||f.isUserBuiltin,identifier:{id:(0,o.$ep)(f.publisher,f.name),uuid:f.uuid},manifest:f,location:f.extensionLocation,targetPlatform:f.targetPlatform,validations:[],isValid:!0}}e.$YF=c;function g(f,u){return{identifier:new D.$wm((0,o.$cp)(f.manifest.publisher,f.manifest.name)),isBuiltin:f.type===0,isUserBuiltin:f.type===1&&f.isBuiltin,isUnderDevelopment:!!u,extensionLocation:f.location,...f.manifest,uuid:f.identifier.uuid,targetPlatform:f.targetPlatform}}e.$ZF=g;class h{constructor(){this.onDidRegisterExtensions=E.Event.None,this.onDidChangeExtensionsStatus=E.Event.None,this.onDidChangeExtensions=E.Event.None,this.onWillActivateByEvent=E.Event.None,this.onDidChangeResponsiveChange=E.Event.None,this.onWillStop=E.Event.None,this.extensions=[]}activateByEvent(u){return Promise.resolve(void 0)}activateById(u,t){return Promise.resolve(void 0)}activationEventIsDone(u){return!1}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(u){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPorts(u,t){return Promise.resolve([])}stopExtensionHosts(){}async startExtensionHosts(){}async setRemoteEnvironment(u){}canAddExtension(){return!1}canRemoveExtension(){return!1}}e.$1F=h}),define(ye[283],ke([1,0,35,209,55]),function(le,e,E,R,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$CP=void 0;function C(D,S,v,w){const I=new E.$ym;return D.forEach(k=>{const p=I.get(k.identifier);p&&w.warn((0,R.localize)(0,null,p.extensionLocation.fsPath,k.extensionLocation.fsPath)),I.set(k.identifier,k)}),S.forEach(k=>{const p=I.get(k.identifier);if(p)if(p.isBuiltin){if(o.gte(p.version,k.version)){w.warn(`Skipping extension ${k.extensionLocation.path} in favour of the builtin extension ${p.extensionLocation.path}.`);return}k.isBuiltin=!0}else w.warn((0,R.localize)(1,null,p.extensionLocation.fsPath,k.extensionLocation.fsPath));else if(k.isBuiltin){w.warn(`Skipping obsolete builtin extension ${k.extensionLocation.path}`);return}I.set(k.identifier,k)}),v.forEach(k=>{w.info((0,R.localize)(2,null,k.extensionLocation.fsPath));const p=I.get(k.identifier);p&&p.isBuiltin&&(k.isBuiltin=!0),I.set(k.identifier,k)}),Array.from(I.values())}e.$CP=C}),define(ye[284],ke([1,0,7,3,29,4,42,53,69,59,283,12]),function(le,e,E,R,o,C,D,S,v,w,I,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$GP=e.$FP=void 0;class p{constructor(l,b,c,g,h,f,u){this.c=l,this.d=c,this.f=g,this.g=h,this.h=f,this.i=u,this.a=Promise.resolve(),this.b=Promise.resolve();const t=b.args["install-builtin-extension"];if(t){h.trace("Installing builtin extensions passed via args...");const r={isMachineScoped:!!b.args["do-not-sync"],installPreReleaseVersion:!!b.args["pre-release"]};D.mark("code/server/willInstallBuiltinExtensions"),this.b=this.a=l.installExtensions([],this.j(t),r,!!b.args.force).then(()=>{D.mark("code/server/didInstallBuiltinExtensions"),h.trace("Finished installing builtin extensions")},n=>{h.error(n)})}const s=b.args["install-extension"];s&&(h.trace("Installing extensions passed via args..."),this.b=this.a.then(()=>l.installExtensions(this.j(s),[],{isMachineScoped:!!b.args["do-not-sync"],installPreReleaseVersion:!!b.args["pre-release"],isApplicationScoped:!0},!!b.args.force)).then(()=>{h.trace("Finished installing extensions")},r=>{h.error(r)}))}j(l){return l.map(b=>/\.vsix$/i.test(b)?C.URI.file((0,E.$ic)(b)?b:(0,E.$jc)((0,o.cwd)(),b)):b)}whenExtensionsReady(){return this.b}async scanExtensions(l,b,c,g){D.mark("code/server/willScanExtensions"),this.g.trace(`Scanning extensions using UI language: ${l}`),await this.a;const h=c?c.filter(u=>u.scheme===k.Schemas.file).map(u=>u.fsPath):void 0;b=b??this.d.defaultProfile.extensionsResource;const f=await this.k(b,l??R.$w,h,g);return this.g.trace("Scanned Extensions",f),this.r(f),D.mark("code/server/didScanExtensions"),f}async scanSingleExtension(l,b,c){await this.a;const g=l.scheme===k.Schemas.file?l.fsPath:null;if(!g)return null;const h=await this.o(g,b,c??R.$w);return h?(this.r([h]),h):null}async k(l,b,c,g){await this.q(b,g);const[h,f,u]=await Promise.all([this.m(b),this.n(l,b),this.l(b,c)]);return(0,I.$CP)(h,f,u,this.g)}async l(l,b){return b?(await Promise.all(b.map(c=>this.f.scanOneOrMultipleExtensions(C.URI.file((0,E.$kc)(c)),1,{language:l})))).flat().map(c=>(0,w.$bq)(c,!0)):[]}async m(l){return(await this.f.scanSystemExtensions({language:l,useCache:!0})).map(c=>(0,w.$bq)(c,!1))}async n(l,b){return(await this.f.scanUserExtensions({profileLocation:l,language:b,useCache:!0})).map(g=>(0,w.$bq)(g,!1))}async o(l,b,c){const g=C.URI.file((0,E.$kc)(l)),h=b?0:1,f=await this.f.scanExistingExtension(g,h,{language:c});return f?(0,w.$bq)(f,!1):null}async q(l,b){if(!(l===R.$g||!this.h.isEnabled())){try{if((await this.i.getInstalledLanguages()).find(g=>g.id===l)){this.g.trace(`Language Pack ${l} is already installed. Skipping language pack installation.`);return}}catch(c){this.g.error(c)}if(!b){this.g.trace(`No language pack id provided for language ${l}. Skipping language pack installation.`);return}this.g.trace(`Language Pack ${b} for language ${l} is not installed. It will be installed now.`);try{await this.c.installExtensions([b],[],{isMachineScoped:!0},!0)}catch(c){this.g.error(c)}}}r(l){const b=(t,s)=>t.replace(/file/g,"vscode-remote"),c=t=>{let s="";return s+=t.global?"g":"",s+=t.ignoreCase?"i":"",s+=t.multiline?"m":"",new RegExp(b(t.source,!0),s)},g=new class{mapDefined(t){return v.$hj.create(t)}mapNot(t){return v.$mj.create(t)}mapEquals(t,s){return t==="resourceScheme"&&typeof s=="string"?v.$ij.create(t,b(s,!1)):v.$ij.create(t,s)}mapNotEquals(t,s){return t==="resourceScheme"&&typeof s=="string"?v.$lj.create(t,b(s,!1)):v.$lj.create(t,s)}mapGreater(t,s){return v.$nj.create(t,s)}mapGreaterEquals(t,s){return v.$oj.create(t,s)}mapSmaller(t,s){return v.$pj.create(t,s)}mapSmallerEquals(t,s){return v.$qj.create(t,s)}mapRegex(t,s){return t==="resourceScheme"&&s?v.$rj.create(t,c(s)):v.$rj.create(t,s)}mapIn(t,s){return v.$jj.create(t,s)}mapNotIn(t,s){return v.$kj.create(t,s)}},h=t=>{if(!t||!t.when||!/resourceScheme/.test(t.when))return;const s=v.$cj.deserialize(t.when);if(!s)return;const r=s.map(g);t.when=r.serialize()},f=t=>{if(Array.isArray(t))for(const s of t)h(s);else h(t)},u=t=>{for(const s in t)f(t[s])};l.forEach(t=>{t.contributes&&(t.contributes.menus&&u(t.contributes.menus),t.contributes.keybindings&&f(t.contributes.keybindings),t.contributes.views&&u(t.contributes.views))})}}e.$FP=p;class d{constructor(l,b){this.a=l,this.b=b}listen(l,b){throw new Error("Invalid listen")}async call(l,b,c){const g=this.b(l);switch(b){case"whenExtensionsReady":return this.a.whenExtensionsReady();case"scanExtensions":{const h=c[0],f=c[1]?C.URI.revive(g.transformIncoming(c[1])):void 0,u=Array.isArray(c[2])?c[2].map(r=>C.URI.revive(g.transformIncoming(r))):void 0,t=c[3];return(await this.a.scanExtensions(h,f,u,t)).map(r=>(0,S.$fn)(r,g))}case"scanSingleExtension":{const h=await this.a.scanSingleExtension(C.URI.revive(g.transformIncoming(c[0])),c[1],c[2]);return h?(0,S.$fn)(h,g):null}}throw new Error("Invalid call")}}e.$GP=d}),define(ye[136],ke([1,0]),function(le,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6v=e.$5v=e.$4v=e.$3v=void 0;class E{static{this.count=0}constructor(v){this._proxyIdentifierBrand=void 0,this.sid=v,this.nid=++E.count}}e.$3v=E;const R=[];function o(S){const v=new E(S);return R[v.nid]=v,v}e.$4v=o;function C(S){return R[S].sid}e.$5v=C;class D{constructor(v){this.value=v}}e.$6v=D}),define(ye[285],ke([1,0,136]),function(le,e,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1L=e.$ZL=e.ExtHostTestingResource=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.$YL=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var R;(function(l){l[l.Default=0]="Default",l[l.InCenter=1]="InCenter",l[l.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",l[l.AtTop=3]="AtTop"})(R||(e.TextEditorRevealType=R={}));var o;(function(l){l[l.UnknownInput=0]="UnknownInput",l[l.TextInput=1]="TextInput",l[l.TextDiffInput=2]="TextDiffInput",l[l.TextMergeInput=3]="TextMergeInput",l[l.NotebookInput=4]="NotebookInput",l[l.NotebookDiffInput=5]="NotebookDiffInput",l[l.CustomEditorInput=6]="CustomEditorInput",l[l.WebviewEditorInput=7]="WebviewEditorInput",l[l.TerminalEditorInput=8]="TerminalEditorInput",l[l.InteractiveEditorInput=9]="InteractiveEditorInput",l[l.ChatEditorInput=10]="ChatEditorInput"})(o||(e.TabInputKind=o={}));var C;(function(l){l[l.TAB_OPEN=0]="TAB_OPEN",l[l.TAB_CLOSE=1]="TAB_CLOSE",l[l.TAB_UPDATE=2]="TAB_UPDATE",l[l.TAB_MOVE=3]="TAB_MOVE"})(C||(e.TabModelOperationKind=C={}));var D;(function(l){l[l.Editable=0]="Editable",l[l.SupportsHotExit=1]="SupportsHotExit"})(D||(e.WebviewEditorCapabilities=D={}));var S;(function(l){l[l.Int8Array=1]="Int8Array",l[l.Uint8Array=2]="Uint8Array",l[l.Uint8ClampedArray=3]="Uint8ClampedArray",l[l.Int16Array=4]="Int16Array",l[l.Uint16Array=5]="Uint16Array",l[l.Int32Array=6]="Int32Array",l[l.Uint32Array=7]="Uint32Array",l[l.Float32Array=8]="Float32Array",l[l.Float64Array=9]="Float64Array",l[l.BigInt64Array=10]="BigInt64Array",l[l.BigUint64Array=11]="BigUint64Array"})(S||(e.WebviewMessageArrayBufferViewType=S={}));var v;(function(l){l[l.Text=1]="Text",l[l.Error=2]="Error",l[l.Rich=3]="Rich"})(v||(e.CellOutputKind=v={}));var w;(function(l){l[l.Default=0]="Default",l[l.InCenter=1]="InCenter",l[l.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",l[l.AtTop=3]="AtTop"})(w||(e.NotebookEditorRevealType=w={}));var I;(function(l){l[l.None=0]="None",l[l.Process=1]="Process",l[l.Output=2]="Output"})(I||(e.CandidatePortSource=I={}));class k{static{this.a=0}static mixin(b){return b._id=k.a++,b}}e.$YL=k;var p;(function(l){l.label="a",l.kind="b",l.detail="c",l.documentation="d",l.sortText="e",l.filterText="f",l.preselect="g",l.insertText="h",l.insertTextRules="i",l.range="j",l.commitCharacters="k",l.additionalTextEdits="l",l.kindModifier="m",l.commandIdent="n",l.commandId="o",l.commandArguments="p"})(p||(e.ISuggestDataDtoField=p={}));var d;(function(l){l.defaultRanges="a",l.completions="b",l.isIncomplete="c",l.duration="d"})(d||(e.ISuggestResultDtoField=d={}));var m;(function(l){l[l.Workspace=0]="Workspace",l[l.TextDocument=1]="TextDocument"})(m||(e.ExtHostTestingResource=m={})),e.$ZL={MainThreadAuthentication:(0,E.$4v)("MainThreadAuthentication"),MainThreadBulkEdits:(0,E.$4v)("MainThreadBulkEdits"),MainThreadChatProvider:(0,E.$4v)("MainThreadChatProvider"),MainThreadChatAgents2:(0,E.$4v)("MainThreadChatAgents2"),MainThreadChatVariables:(0,E.$4v)("MainThreadChatVariables"),MainThreadClipboard:(0,E.$4v)("MainThreadClipboard"),MainThreadCommands:(0,E.$4v)("MainThreadCommands"),MainThreadComments:(0,E.$4v)("MainThreadComments"),MainThreadConfiguration:(0,E.$4v)("MainThreadConfiguration"),MainThreadConsole:(0,E.$4v)("MainThreadConsole"),MainThreadDebugService:(0,E.$4v)("MainThreadDebugService"),MainThreadDecorations:(0,E.$4v)("MainThreadDecorations"),MainThreadDiagnostics:(0,E.$4v)("MainThreadDiagnostics"),MainThreadDialogs:(0,E.$4v)("MainThreadDiaglogs"),MainThreadDocuments:(0,E.$4v)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,E.$4v)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,E.$4v)("MainThreadTextEditors"),MainThreadEditorInsets:(0,E.$4v)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,E.$4v)("MainThreadEditorTabs"),MainThreadErrors:(0,E.$4v)("MainThreadErrors"),MainThreadTreeViews:(0,E.$4v)("MainThreadTreeViews"),MainThreadDownloadService:(0,E.$4v)("MainThreadDownloadService"),MainThreadLanguageFeatures:(0,E.$4v)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,E.$4v)("MainThreadLanguages"),MainThreadLogger:(0,E.$4v)("MainThreadLogger"),MainThreadMessageService:(0,E.$4v)("MainThreadMessageService"),MainThreadOutputService:(0,E.$4v)("MainThreadOutputService"),MainThreadProgress:(0,E.$4v)("MainThreadProgress"),MainThreadQuickDiff:(0,E.$4v)("MainThreadQuickDiff"),MainThreadQuickOpen:(0,E.$4v)("MainThreadQuickOpen"),MainThreadStatusBar:(0,E.$4v)("MainThreadStatusBar"),MainThreadSecretState:(0,E.$4v)("MainThreadSecretState"),MainThreadStorage:(0,E.$4v)("MainThreadStorage"),MainThreadSpeech:(0,E.$4v)("MainThreadSpeechProvider"),MainThreadTelemetry:(0,E.$4v)("MainThreadTelemetry"),MainThreadTerminalService:(0,E.$4v)("MainThreadTerminalService"),MainThreadWebviews:(0,E.$4v)("MainThreadWebviews"),MainThreadWebviewPanels:(0,E.$4v)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,E.$4v)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,E.$4v)("MainThreadCustomEditors"),MainThreadUrls:(0,E.$4v)("MainThreadUrls"),MainThreadUriOpeners:(0,E.$4v)("MainThreadUriOpeners"),MainThreadProfileContentHandlers:(0,E.$4v)("MainThreadProfileContentHandlers"),MainThreadWorkspace:(0,E.$4v)("MainThreadWorkspace"),MainThreadFileSystem:(0,E.$4v)("MainThreadFileSystem"),MainThreadFileSystemEventService:(0,E.$4v)("MainThreadFileSystemEventService"),MainThreadExtensionService:(0,E.$4v)("MainThreadExtensionService"),MainThreadSCM:(0,E.$4v)("MainThreadSCM"),MainThreadSearch:(0,E.$4v)("MainThreadSearch"),MainThreadShare:(0,E.$4v)("MainThreadShare"),MainThreadTask:(0,E.$4v)("MainThreadTask"),MainThreadWindow:(0,E.$4v)("MainThreadWindow"),MainThreadLabelService:(0,E.$4v)("MainThreadLabelService"),MainThreadNotebook:(0,E.$4v)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,E.$4v)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,E.$4v)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,E.$4v)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,E.$4v)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,E.$4v)("MainThreadInteractive"),MainThreadChat:(0,E.$4v)("MainThreadChat"),MainThreadInlineChat:(0,E.$4v)("MainThreadInlineChatShape"),MainThreadTheming:(0,E.$4v)("MainThreadTheming"),MainThreadTunnelService:(0,E.$4v)("MainThreadTunnelService"),MainThreadManagedSockets:(0,E.$4v)("MainThreadManagedSockets"),MainThreadTimeline:(0,E.$4v)("MainThreadTimeline"),MainThreadTesting:(0,E.$4v)("MainThreadTesting"),MainThreadLocalization:(0,E.$4v)("MainThreadLocalizationShape"),MainThreadAiRelatedInformation:(0,E.$4v)("MainThreadAiRelatedInformation"),MainThreadAiEmbeddingVector:(0,E.$4v)("MainThreadAiEmbeddingVector"),MainThreadIssueReporter:(0,E.$4v)("MainThreadIssueReporter")},e.$1L={ExtHostCommands:(0,E.$4v)("ExtHostCommands"),ExtHostConfiguration:(0,E.$4v)("ExtHostConfiguration"),ExtHostDiagnostics:(0,E.$4v)("ExtHostDiagnostics"),ExtHostDebugService:(0,E.$4v)("ExtHostDebugService"),ExtHostDecorations:(0,E.$4v)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,E.$4v)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,E.$4v)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,E.$4v)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,E.$4v)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,E.$4v)("ExtHostEditors"),ExtHostTreeViews:(0,E.$4v)("ExtHostTreeViews"),ExtHostFileSystem:(0,E.$4v)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,E.$4v)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,E.$4v)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,E.$4v)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,E.$4v)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,E.$4v)("ExtHostQuickOpen"),ExtHostQuickDiff:(0,E.$4v)("ExtHostQuickDiff"),ExtHostStatusBar:(0,E.$4v)("ExtHostStatusBar"),ExtHostShare:(0,E.$4v)("ExtHostShare"),ExtHostExtensionService:(0,E.$4v)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,E.$4v)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,E.$4v)("ExtHostTerminalService"),ExtHostSCM:(0,E.$4v)("ExtHostSCM"),ExtHostSearch:(0,E.$4v)("ExtHostSearch"),ExtHostTask:(0,E.$4v)("ExtHostTask"),ExtHostWorkspace:(0,E.$4v)("ExtHostWorkspace"),ExtHostWindow:(0,E.$4v)("ExtHostWindow"),ExtHostWebviews:(0,E.$4v)("ExtHostWebviews"),ExtHostWebviewPanels:(0,E.$4v)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,E.$4v)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,E.$4v)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,E.$4v)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,E.$4v)("ExtHostEditorTabs"),ExtHostProgress:(0,E.$4v)("ExtHostProgress"),ExtHostComments:(0,E.$4v)("ExtHostComments"),ExtHostSecretState:(0,E.$4v)("ExtHostSecretState"),ExtHostStorage:(0,E.$4v)("ExtHostStorage"),ExtHostUrls:(0,E.$4v)("ExtHostUrls"),ExtHostUriOpeners:(0,E.$4v)("ExtHostUriOpeners"),ExtHostProfileContentHandlers:(0,E.$4v)("ExtHostProfileContentHandlers"),ExtHostOutputService:(0,E.$4v)("ExtHostOutputService"),ExtHostLabelService:(0,E.$4v)("ExtHostLabelService"),ExtHostNotebook:(0,E.$4v)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,E.$4v)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,E.$4v)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,E.$4v)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,E.$4v)("ExtHostNotebookRenderers"),ExtHostNotebookDocumentSaveParticipant:(0,E.$4v)("ExtHostNotebookDocumentSaveParticipant"),ExtHostInteractive:(0,E.$4v)("ExtHostInteractive"),ExtHostInlineChat:(0,E.$4v)("ExtHostInlineChatShape"),ExtHostChat:(0,E.$4v)("ExtHostChat"),ExtHostChatAgents2:(0,E.$4v)("ExtHostChatAgents"),ExtHostChatVariables:(0,E.$4v)("ExtHostChatVariables"),ExtHostChatProvider:(0,E.$4v)("ExtHostChatProvider"),ExtHostSpeech:(0,E.$4v)("ExtHostSpeech"),ExtHostAiRelatedInformation:(0,E.$4v)("ExtHostAiRelatedInformation"),ExtHostAiEmbeddingVector:(0,E.$4v)("ExtHostAiEmbeddingVector"),ExtHostTheming:(0,E.$4v)("ExtHostTheming"),ExtHostTunnelService:(0,E.$4v)("ExtHostTunnelService"),ExtHostManagedSockets:(0,E.$4v)("ExtHostManagedSockets"),ExtHostAuthentication:(0,E.$4v)("ExtHostAuthentication"),ExtHostTimeline:(0,E.$4v)("ExtHostTimeline"),ExtHostTesting:(0,E.$4v)("ExtHostTesting"),ExtHostTelemetry:(0,E.$4v)("ExtHostTelemetry"),ExtHostLocalization:(0,E.$4v)("ExtHostLocalization"),ExtHostIssueReporter:(0,E.$4v)("ExtHostIssueReporter")}}),define(ye[286],ke([1,0,14,24,12,109,5]),function(le,e,E,R,o,C,D){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$MJ=e.$LJ=e.$KJ=e.$JJ=void 0,e.$JJ=(0,D.$ei)("notebookDocumentService");const S=["W","X","Y","Z","a","b","c","d","e","f"],v=new RegExp(`^[${S.join("")}]+`),w=7;function I(d){if(d.scheme!==o.Schemas.vscodeNotebookCell)return;const m=d.fragment.indexOf("s");if(m<0)return;const l=parseInt(d.fragment.substring(0,m).replace(v,""),w),b=(0,E.$Le)(d.fragment.substring(m+1)).toString();if(!isNaN(l))return{handle:l,notebook:d.with({scheme:b,fragment:null})}}e.$KJ=I;function k(d,m){const l=m.toString(w),c=`${l.length<S.length?S[l.length-1]:"z"}${l}s${(0,E.$Me)(E.$se.fromString(d.scheme),!0,!0)}`;return d.with({scheme:o.Schemas.vscodeNotebookCell,fragment:c})}e.$LJ=k;class p{constructor(){this.a=new R.$Ac}getNotebook(m){if(m.scheme===o.Schemas.vscodeNotebookCell){const l=I(m);if(l){const b=this.a.get(l.notebook);if(b)return b}}return this.a.get(m)}addNotebookDocument(m){this.a.set(m.uri,m)}removeNotebookDocument(m){this.a.delete(m.uri)}}e.$MJ=p,(0,C.$0r)(e.$JJ,p,1)}),define(ye[137],ke([1,0,14,80,49,65,12,7,3,69,286]),function(le,e,E,R,o,C,D,S,v,w,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5J=e.$4J=e.$3J=e.$2J=e.CellStatusbarAlignment=e.$1J=e.$ZJ=e.$YJ=e.NotebookEditorPriority=e.$XJ=e.$WJ=e.$VJ=e.$UJ=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookExecutionState=e.NotebookCellExecutionState=e.NotebookRunState=e.$TJ=e.$SJ=e.$RJ=e.$QJ=e.CellKind=e.$PJ=e.$OJ=e.$NJ=void 0,e.$NJ="workbench.editor.notebook",e.$OJ="workbench.editor.notebookTextDiffEditor",e.$PJ="workbench.editor.interactive";var k;(function(_){_[_.Markup=1]="Markup",_[_.Code=2]="Code"})(k||(e.CellKind=k={})),e.$QJ=["application/json","application/javascript","text/html","image/svg+xml",C.$qs.latex,C.$qs.markdown,"image/png","image/jpeg",C.$qs.text],e.$RJ=[C.$qs.latex,C.$qs.markdown,"application/json","text/html","image/svg+xml","image/png","image/jpeg",C.$qs.text],e.$SJ=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.$TJ="_notAvailable";var p;(function(_){_[_.Running=1]="Running",_[_.Idle=2]="Idle"})(p||(e.NotebookRunState=p={}));var d;(function(_){_[_.Unconfirmed=1]="Unconfirmed",_[_.Pending=2]="Pending",_[_.Executing=3]="Executing"})(d||(e.NotebookCellExecutionState=d={}));var m;(function(_){_[_.Unconfirmed=1]="Unconfirmed",_[_.Pending=2]="Pending",_[_.Executing=3]="Executing"})(m||(e.NotebookExecutionState=m={}));var l;(function(_){_[_.WithHardKernelDependency=0]="WithHardKernelDependency",_[_.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",_[_.Pure=2]="Pure",_[_.Never=3]="Never"})(l||(e.NotebookRendererMatch=l={}));var b;(function(_){_.Always="always",_.Never="never",_.Optional="optional"})(b||(e.RendererMessagingSpec=b={}));var c;(function(_){_[_.ModelChange=1]="ModelChange",_[_.Move=2]="Move",_[_.ChangeCellLanguage=5]="ChangeCellLanguage",_[_.Initialize=6]="Initialize",_[_.ChangeCellMetadata=7]="ChangeCellMetadata",_[_.Output=8]="Output",_[_.OutputItem=9]="OutputItem",_[_.ChangeCellContent=10]="ChangeCellContent",_[_.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",_[_.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",_[_.ChangeCellMime=13]="ChangeCellMime",_[_.Unknown=100]="Unknown"})(c||(e.NotebookCellsChangeType=c={}));var g;(function(_){_[_.Handle=0]="Handle",_[_.Index=1]="Index"})(g||(e.SelectionStateType=g={}));var h;(function(_){_[_.Replace=1]="Replace",_[_.Output=2]="Output",_[_.Metadata=3]="Metadata",_[_.CellLanguage=4]="CellLanguage",_[_.DocumentMetadata=5]="DocumentMetadata",_[_.Move=6]="Move",_[_.OutputItems=7]="OutputItems",_[_.PartialMetadata=8]="PartialMetadata",_[_.PartialInternalMetadata=9]="PartialInternalMetadata"})(h||(e.CellEditType=h={}));var f;(function(_){_.scheme=D.Schemas.vscodeNotebookCell;function X(se,ge){return(0,I.$LJ)(se,ge)}_.generate=X;function ne(se){return(0,I.$KJ)(se)}_.parse=ne;function K(se,ge){return se.with({scheme:D.Schemas.vscodeNotebookCellOutput,fragment:`op${ge??""},${se.scheme!==D.Schemas.file?se.scheme:""}`})}_.generateCellOutputUri=K;function G(se){if(se.scheme!==D.Schemas.vscodeNotebookCellOutput)return;const ge=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(se.fragment);if(!ge)return;const U=ge[1]&&ge[1]!==""?ge[1]:void 0,q=ge[2];return{outputId:U,notebook:se.with({scheme:q||D.Schemas.file,fragment:null})}}_.parseCellOutputUri=G;function oe(se,ge,U){return _.generate(se,ge).with({scheme:U})}_.generateCellPropertyUri=oe;function ce(se,ge){if(se.scheme===ge)return _.parse(se.with({scheme:_.scheme}))}_.parseCellPropertyUri=ce})(f||(e.CellUri=f={}));const u=_=>v.$i?_.replace(/\//g,"\\"):_;class t{constructor(X=[],ne=e.$QJ){this.e=ne,this.d=[...new Set(X)].map(K=>({pattern:K,matches:R.$Xj(u(K))}))}sort(X){const ne=new Map(o.Iterable.map(X,G=>[G,u(G)]));let K=[];for(const{matches:G}of this.d)for(const[oe,ce]of ne)if(G(ce)){K.push(oe),ne.delete(oe);break}return ne.size&&(K=K.concat([...ne.keys()].sort((G,oe)=>this.e.indexOf(G)-this.e.indexOf(oe)))),K}prioritize(X,ne){const K=this.f(X);if(K===-1){this.d.unshift({pattern:X,matches:R.$Xj(u(X))});return}const G=new Set(ne.map(ce=>this.f(ce,K)));G.delete(-1);const oe=Array.from(G).sort();this.d.splice(K+1,0,...oe.map(ce=>this.d[ce]));for(let ce=oe.length-1;ce>=0;ce--)this.d.splice(oe[ce],1)}toArray(){return this.d.map(X=>X.pattern)}f(X,ne=this.d.length){const K=u(X);for(let G=0;G<ne;G++)if(this.d[G].matches(K))return G;return-1}}e.$UJ=t;function s(_,X,ne,K=(G,oe)=>G===oe){const G=[];function oe(ge,U,q){if(U===0&&q.length===0)return;const M=G[G.length-1];M&&M.start+M.deleteCount===ge?(M.deleteCount+=U,M.toInsert.push(...q)):G.push({start:ge,deleteCount:U,toInsert:q})}let ce=0,se=0;for(;;){if(ce===_.length){oe(ce,0,X.slice(se));break}if(se===X.length){oe(ce,_.length-ce,[]);break}const ge=_[ce],U=X[se];if(K(ge,U)){ce+=1,se+=1;continue}ne(U)?(oe(ce,1,[]),ce+=1):(oe(ce,0,[U]),se+=1)}return G}e.$VJ=s,e.$WJ=new w.$vj("notebookEditorCursorAtBoundary","none"),e.$XJ=new w.$vj("notebookEditorCursorAtLineBoundary","none");var r;(function(_){_.default="default",_.option="option"})(r||(e.NotebookEditorPriority=r={}));function n(_){const X=_;return!!((typeof X.include=="string"||R.$Yj(X.include))&&(typeof X.exclude=="string"||R.$Yj(X.exclude)))}e.$YJ=n;function i(_,X,ne){if(Array.isArray(_.viewType)&&_.viewType.indexOf(X)>=0||_.viewType===X)return!0;if(_.filenamePattern){const K=n(_.filenamePattern)?_.filenamePattern.include:_.filenamePattern,G=n(_.filenamePattern)?_.filenamePattern.exclude:void 0;if(R.$Wj(K,(0,S.$nc)(ne.fsPath).toLowerCase()))return!(G&&R.$Wj(G,(0,S.$nc)(ne.fsPath).toLowerCase()))}return!1}e.$ZJ=i,e.$1J={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",diffOverviewRuler:"notebook.diff.overviewRuler",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",stickyScrollEnabled:"notebook.stickyScroll.enabled",stickyScrollMode:"notebook.stickyScroll.mode",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputScrollingDeprecated:"notebook.experimental.outputScrolling",outputScrolling:"notebook.output.scrolling",textOutputLineLimit:"notebook.output.textLineLimit",LinkifyOutputFilePaths:"notebook.output.linkifyFilePaths",formatOnSave:"notebook.formatOnSave.enabled",insertFinalNewline:"notebook.insertFinalNewline",formatOnCellExecution:"notebook.formatOnCellExecution",codeActionsOnSave:"notebook.codeActionsOnSave",outputWordWrap:"notebook.output.wordWrap",outputLineHeightDeprecated:"notebook.outputLineHeight",outputLineHeight:"notebook.output.lineHeight",outputFontSizeDeprecated:"notebook.outputFontSize",outputFontSize:"notebook.output.fontSize",outputFontFamilyDeprecated:"notebook.outputFontFamily",outputFontFamily:"notebook.output.fontFamily",findScope:"notebook.find.scope",logging:"notebook.logging",confirmDeleteRunningCell:"notebook.confirmDeleteRunningCell",remoteSaving:"notebook.experimental.remoteSave",gotoSymbolsAllSymbols:"notebook.gotoSymbols.showAllSymbols",scrollToRevealCell:"notebook.scrolling.revealNextCellOnExecute",anchorToFocusedCell:"notebook.scrolling.experimental.anchorToFocusedCell",cellChat:"notebook.experimental.cellChat",notebookVariablesView:"notebook.experimental.variablesView"};var a;(function(_){_[_.Left=1]="Left",_[_.Right=2]="Right"})(a||(e.CellStatusbarAlignment=a={}));class ${static{this.d="notebook/"}static create(X){return`${$.d}${X}`}static parse(X){if(X.startsWith($.d))return X.substring($.d.length)}}e.$2J=$;function O(_){return["application/vnd.code.notebook.stdout","application/vnd.code.notebook.stderr"].includes(_)}e.$3J=O;const P=new TextDecoder;function y(_){const X=[];let ne=!1;for(const ce of _)(X.length===0||ne)&&(X.push(ce),ne=!0);let K=Q(X);const G=E.$se.concat(X.map(ce=>E.$se.wrap(ce))),oe=V(G);return K=K||oe.byteLength!==G.byteLength,{data:oe,didCompression:K}}e.$4J=y,e.$5J="\x1B[A";const A=e.$5J.split("").map(_=>_.charCodeAt(0)),F=10;function Q(_){let X=!1;return _.forEach((ne,K)=>{if(K===0||ne.length<e.$5J.length)return;const G=_[K-1],oe=ne.subarray(0,e.$5J.length);if(oe[0]===A[0]&&oe[1]===A[1]&&oe[2]===A[2]){const ce=G.lastIndexOf(F);if(ce===-1)return;X=!0,_[K-1]=G.subarray(0,ce),_[K]=ne.subarray(e.$5J.length)}}),X}function te(_){let X=_;do _=X,X=_.replace(/[^\n]\x08/gm,"");while(X.length<_.length);return _}function de(_){for(_=_.replace(/\r+\n/gm,`
`);_.search(/\r[^$]/g)>-1;){const X=_.match(/^(.*)\r+/m)[1];let ne=_.match(/\r+(.*)$/m)[1];ne=ne+X.slice(ne.length,X.length),_=_.replace(/\r+.*$/m,"\r").replace(/^.*\r/m,ne)}return _}const he=8,B=13;function V(_){return!_.buffer.includes(he)&&!_.buffer.includes(B)?_:E.$se.fromString(de(te(P.decode(_.buffer))))}}),define(ye[138],ke([1,0,18,10,100,24,65,17,11,4,22,35,16,118,137]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m){"use strict";var l,b,c,g,h,f,u,t,s,r,n,i,a,$,O,P,y;Object.defineProperty(e,"__esModule",{value:!0}),e.InlineEditTriggerKind=e.$6N=e.KeywordRecognitionStatus=e.SpeechToTextStatus=e.RelatedInformationType=e.$5N=e.$4N=e.$3N=e.$2N=e.$1N=e.$ZN=e.$YN=e.$XN=e.$WN=e.$VN=e.$UN=e.ChatResultFeedbackKind=e.InteractiveEditorResponseFeedbackKind=e.$TN=e.ChatVariableLevel=e.ChatCopyKind=e.InteractiveSessionVoteDirection=e.$SN=e.$RN=e.$QN=e.$PN=e.$ON=e.$NN=e.$MN=e.$LN=e.$KN=e.$JN=e.$IN=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.$HN=e.$GN=e.$FN=e.$EN=e.$DN=e.$CN=e.$BN=e.$AN=e.TestRunProfileKind=e.TestResultState=e.$zN=e.$yN=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.$xN=e.NotebookVariablesRequestKind=e.$wN=e.$vN=e.NotebookControllerAffinity2=e.NotebookControllerAffinity=e.$uN=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.$tN=e.$sN=e.$rN=e.$qN=e.$pN=e.ColorThemeKind=e.$oN=e.$nN=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.$mN=e.$lN=e.DebugConsoleMode=e.$kN=e.$jN=e.$iN=e.$hN=e.$gN=e.CommentThreadState=e.CommentState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.$fN=e.$eN=e.FileChangeType=e.$dN=e.NewSymbolNameTag=e.$cN=e.$bN=e.$aN=e.$_M=e.InlineCompletionTriggerKind=e.$$M=e.$0M=e.$9M=e.$8M=e.$7M=e.$6M=e.$5M=e.$4M=e.$3M=e.$2M=e.$1M=e.$ZM=e.$YM=e.ConfigurationTarget=e.$XM=e.$WM=e.$VM=e.$UM=e.$TM=e.$SM=e.$RM=e.$QM=e.$PM=e.TreeItemCheckboxState=e.TreeItemCollapsibleState=e.$OM=e.ViewBadge=e.ProgressLocation=e.$NM=e.$MM=e.TaskScope=e.ShellQuoting=e.$LM=e.$KM=e.$JM=e.TaskPanelKind=e.TaskRevealKind=e.$IM=e.TerminalLocation=e.$HM=e.$GM=e.$FM=e.TerminalExitReason=e.SourceControlInputBoxValidationType=e.ColorFormat=e.$EM=e.$DM=e.$CM=e.$BM=e.SyntaxTokenType=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.$AM=e.StatusBarAlignment=e.ViewColumn=e.$zM=e.$yM=e.$xM=e.$wM=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.$vM=e.$uM=e.InlayHintKind=e.SignatureHelpTriggerKind=e.$tM=e.$sM=e.$rM=e.$qM=e.$pM=e.LanguageStatusSeverity=e.$oM=e.$nM=e.$mM=e.$lM=e.$kM=e.$jM=e.CodeActionTriggerKind=e.$iM=e.$hM=e.SymbolTag=e.SymbolKind=e.$gM=e.$fM=e.DocumentHighlightKind=e.$eM=e.$dM=e.$cM=e.$bM=e.DiagnosticSeverity=e.DiagnosticTag=e.$aM=e.$_L=e.FileEditType=e.$$L=e.$0L=e.$9L=e.EnvironmentVariableMutatorType=e.EndOfLine=e.$8L=e.$7L=e.$6L=e.$5L=e.$4L=e.$3L=e.$2L=e.TerminalQuickFixType=e.TerminalOutputAnchor=void 0;function A(j){return Object.assign(j,{apply:function(...re){if(re.length===0)return Reflect.construct(j,[]);{const ve=re.length===1?[]:re[1];return Reflect.construct(j,ve,re[0].constructor)}},call:function(...re){if(re.length===0)return Reflect.construct(j,[]);{const[ve,...Ue]=re;return Reflect.construct(j,Ue,ve.constructor)}}})}var F;(function(j){j[j.Top=0]="Top",j[j.Bottom=1]="Bottom"})(F||(e.TerminalOutputAnchor=F={}));var Q;(function(j){j[j.TerminalCommand=0]="TerminalCommand",j[j.Opener=1]="Opener",j[j.Command=3]="Command"})(Q||(e.TerminalQuickFixType=Q={}));let te=l=class{static from(...L){let re=L;return new l(function(){if(re){for(const ve of re)ve&&typeof ve.dispose=="function"&&ve.dispose();re=void 0}})}#e;constructor(L){this.#e=L}dispose(){typeof this.#e=="function"&&(this.#e(),this.#e=void 0)}};e.$2L=te,e.$2L=te=l=Me([A],te);let de=b=class{static Min(...L){if(L.length===0)throw new TypeError;let re=L[0];for(let ve=1;ve<L.length;ve++){const Ue=L[ve];Ue.isBefore(re)&&(re=Ue)}return re}static Max(...L){if(L.length===0)throw new TypeError;let re=L[0];for(let ve=1;ve<L.length;ve++){const Ue=L[ve];Ue.isAfter(re)&&(re=Ue)}return re}static isPosition(L){if(!L)return!1;if(L instanceof b)return!0;const{line:re,character:ve}=L;return typeof re=="number"&&typeof ve=="number"}static of(L){if(L instanceof b)return L;if(this.isPosition(L))return new b(L.line,L.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this.c}get character(){return this.e}constructor(L,re){if(L<0)throw(0,R.$7)("line must be non-negative");if(re<0)throw(0,R.$7)("character must be non-negative");this.c=L,this.e=re}isBefore(L){return this.c<L.c?!0:L.c<this.c?!1:this.e<L.e}isBeforeOrEqual(L){return this.c<L.c?!0:L.c<this.c?!1:this.e<=L.e}isAfter(L){return!this.isBeforeOrEqual(L)}isAfterOrEqual(L){return!this.isBefore(L)}isEqual(L){return this.c===L.c&&this.e===L.e}compareTo(L){return this.c<L.c?-1:this.c>L.line?1:this.e<L.e?-1:this.e>L.e?1:0}translate(L,re=0){if(L===null||re===null)throw(0,R.$7)();let ve;return typeof L>"u"?ve=0:typeof L=="number"?ve=L:(ve=typeof L.lineDelta=="number"?L.lineDelta:0,re=typeof L.characterDelta=="number"?L.characterDelta:0),ve===0&&re===0?this:new b(this.line+ve,this.character+re)}with(L,re=this.character){if(L===null||re===null)throw(0,R.$7)();let ve;return typeof L>"u"?ve=this.line:typeof L=="number"?ve=L:(ve=typeof L.line=="number"?L.line:this.line,re=typeof L.character=="number"?L.character:this.character),ve===this.line&&re===this.character?this:new b(ve,re)}toJSON(){return{line:this.line,character:this.character}}};e.$3L=de,e.$3L=de=b=Me([A],de);let he=c=class{static isRange(L){return L instanceof c?!0:L?de.isPosition(L.start)&&de.isPosition(L.end):!1}static of(L){if(L instanceof c)return L;if(this.isRange(L))return new c(L.start,L.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this.c}get end(){return this.e}constructor(L,re,ve,Ue){let Ge,Qe;if(typeof L=="number"&&typeof re=="number"&&typeof ve=="number"&&typeof Ue=="number"?(Ge=new de(L,re),Qe=new de(ve,Ue)):de.isPosition(L)&&de.isPosition(re)&&(Ge=de.of(L),Qe=de.of(re)),!Ge||!Qe)throw new Error("Invalid arguments");Ge.isBefore(Qe)?(this.c=Ge,this.e=Qe):(this.c=Qe,this.e=Ge)}contains(L){return c.isRange(L)?this.contains(L.start)&&this.contains(L.end):de.isPosition(L)?!(de.of(L).isBefore(this.c)||this.e.isBefore(L)):!1}isEqual(L){return this.c.isEqual(L.c)&&this.e.isEqual(L.e)}intersection(L){const re=de.Max(L.start,this.c),ve=de.Min(L.end,this.e);if(!re.isAfter(ve))return new c(re,ve)}union(L){if(this.contains(L))return this;if(L.contains(this))return L;const re=de.Min(L.start,this.c),ve=de.Max(L.end,this.end);return new c(re,ve)}get isEmpty(){return this.c.isEqual(this.e)}get isSingleLine(){return this.c.line===this.e.line}with(L,re=this.end){if(L===null||re===null)throw(0,R.$7)();let ve;return L?de.isPosition(L)?ve=L:(ve=L.start||this.start,re=L.end||this.end):ve=this.start,ve.isEqual(this.c)&&re.isEqual(this.end)?this:new c(ve,re)}toJSON(){return[this.start,this.end]}};e.$4L=he,e.$4L=he=c=Me([A],he);let B=g=class extends he{static isSelection(L){return L instanceof g?!0:L?he.isRange(L)&&de.isPosition(L.anchor)&&de.isPosition(L.active)&&typeof L.isReversed=="boolean":!1}get anchor(){return this.f}get active(){return this.g}constructor(L,re,ve,Ue){let Ge,Qe;if(typeof L=="number"&&typeof re=="number"&&typeof ve=="number"&&typeof Ue=="number"?(Ge=new de(L,re),Qe=new de(ve,Ue)):de.isPosition(L)&&de.isPosition(re)&&(Ge=de.of(L),Qe=de.of(re)),!Ge||!Qe)throw new Error("Invalid arguments");super(Ge,Qe),this.f=Ge,this.g=Qe}get isReversed(){return this.f===this.e}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};e.$5L=B,e.$5L=B=g=Me([A],B);const V=j=>{if(typeof j!="string"||j.length===0||!/^[0-9A-Za-z_\-]+$/.test(j))throw(0,R.$7)("connectionToken")};class _{static isResolvedAuthority(L){return L&&typeof L=="object"&&typeof L.host=="string"&&typeof L.port=="number"&&(L.connectionToken===void 0||typeof L.connectionToken=="string")}constructor(L,re,ve){if(typeof L!="string"||L.length===0)throw(0,R.$7)("host");if(typeof re!="number"||re===0||Math.round(re)!==re)throw(0,R.$7)("port");typeof ve<"u"&&V(ve),this.host=L,this.port=Math.round(re),this.connectionToken=ve}}e.$6L=_;class X{static isManagedResolvedAuthority(L){return L&&typeof L=="object"&&typeof L.makeConnection=="function"&&(L.connectionToken===void 0||typeof L.connectionToken=="string")}constructor(L,re){this.makeConnection=L,this.connectionToken=re,typeof re<"u"&&V(re)}}e.$7L=X;class ne extends Error{static NotAvailable(L,re){return new ne(L,d.RemoteAuthorityResolverErrorCode.NotAvailable,re)}static TemporarilyNotAvailable(L){return new ne(L,d.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}constructor(L,re=d.RemoteAuthorityResolverErrorCode.Unknown,ve){super(L),this._message=L,this._code=re,this._detail=ve,Object.setPrototypeOf(this,ne.prototype)}}e.$8L=ne;var K;(function(j){j[j.LF=1]="LF",j[j.CRLF=2]="CRLF"})(K||(e.EndOfLine=K={}));var G;(function(j){j[j.Replace=1]="Replace",j[j.Append=2]="Append",j[j.Prepend=3]="Prepend"})(G||(e.EnvironmentVariableMutatorType=G={}));let oe=h=class{static isTextEdit(L){return L instanceof h?!0:L?he.isRange(L)&&typeof L.newText=="string":!1}static replace(L,re){return new h(L,re)}static insert(L,re){return h.replace(new he(L,L),re)}static delete(L){return h.replace(L,"")}static setEndOfLine(L){const re=new h(new he(new de(0,0),new de(0,0)),"");return re.newEol=L,re}get range(){return this.c}set range(L){if(L&&!he.isRange(L))throw(0,R.$7)("range");this.c=L}get newText(){return this.e||""}set newText(L){if(L&&typeof L!="string")throw(0,R.$7)("newText");this.e=L}get newEol(){return this.f}set newEol(L){if(L&&typeof L!="number")throw(0,R.$7)("newEol");this.f=L}constructor(L,re){this.c=L,this.e=re}toJSON(){return{range:this.range,newText:this.newText,newEol:this.f}}};e.$9L=oe,e.$9L=oe=h=Me([A],oe);let ce=f=class{static isNotebookCellEdit(L){return L instanceof f?!0:L?qt.isNotebookRange(L)&&Array.isArray(L.newCells):!1}static replaceCells(L,re){return new f(L,re)}static insertCells(L,re){return new f(new qt(L,L),re)}static deleteCells(L){return new f(L,[])}static updateCellMetadata(L,re){const ve=new f(new qt(L,L),[]);return ve.newCellMetadata=re,ve}static updateNotebookMetadata(L){const re=new f(new qt(0,0),[]);return re.newNotebookMetadata=L,re}constructor(L,re){this.range=L,this.newCells=re}};e.$0L=ce,e.$0L=ce=f=Me([A],ce);class se{static isSnippetTextEdit(L){return L instanceof se?!0:L?he.isRange(L.range)&&q.isSnippetString(L.snippet):!1}static replace(L,re){return new se(L,re)}static insert(L,re){return se.replace(new he(L,L),re)}constructor(L,re){this.range=L,this.snippet=re}}e.$$L=se;var ge;(function(j){j[j.File=1]="File",j[j.Text=2]="Text",j[j.Cell=3]="Cell",j[j.CellReplace=5]="CellReplace",j[j.Snippet=6]="Snippet"})(ge||(e.FileEditType=ge={}));let U=class{constructor(){this.c=[]}_allEntries(){return this.c}renameFile(L,re,ve,Ue){this.c.push({_type:1,from:L,to:re,options:ve,metadata:Ue})}createFile(L,re,ve){this.c.push({_type:1,from:void 0,to:L,options:re,metadata:ve})}deleteFile(L,re,ve){this.c.push({_type:1,from:L,to:void 0,options:re,metadata:ve})}e(L,re,ve){this.c.push({_type:3,metadata:ve,uri:L,edit:{editType:5,metadata:re},notebookMetadata:re})}f(L,re,ve,Ue){const Ge=re.start,Qe=re.end;(Ge!==Qe||ve.length>0)&&this.c.push({_type:5,uri:L,index:Ge,count:Qe-Ge,cells:ve,metadata:Ue})}g(L,re,ve,Ue){this.c.push({_type:3,metadata:Ue,uri:L,edit:{editType:3,index:re,metadata:ve}})}replace(L,re,ve,Ue){this.c.push({_type:2,uri:L,edit:new oe(re,ve),metadata:Ue})}insert(L,re,ve,Ue){this.replace(L,new he(re,re),ve,Ue)}delete(L,re,ve){this.replace(L,re,"",ve)}has(L){return this.c.some(re=>re._type===2&&re.uri.toString()===L.toString())}set(L,re){if(re)for(const ve of re){if(!ve)continue;let Ue,Ge;Array.isArray(ve)?(Ue=ve[0],Ge=ve[1]):Ue=ve,ce.isNotebookCellEdit(Ue)?Ue.newCellMetadata?this.g(L,Ue.range.start,Ue.newCellMetadata,Ge):Ue.newNotebookMetadata?this.e(L,Ue.newNotebookMetadata,Ge):this.f(L,Ue.range,Ue.newCells,Ge):se.isSnippetTextEdit(Ue)?this.c.push({_type:6,uri:L,range:Ue.range,edit:Ue.snippet,metadata:Ge}):this.c.push({_type:2,uri:L,edit:Ue,metadata:Ge})}else{for(let ve=0;ve<this.c.length;ve++){const Ue=this.c[ve];switch(Ue._type){case 2:case 6:case 3:case 5:Ue.uri.toString()===L.toString()&&(this.c[ve]=void 0);break}}(0,E.$Ib)(this.c)}}get(L){const re=[];for(const ve of this.c)ve._type===2&&ve.uri.toString()===L.toString()&&re.push(ve.edit);return re}entries(){const L=new C.$Ac;for(const re of this.c)if(re._type===2){let ve=L.get(re.uri);ve||(ve=[re.uri,[]],L.set(re.uri,ve)),ve[1].push(re.edit)}return[...L.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};e.$_L=U,e.$_L=U=Me([A],U);let q=u=class{static isSnippetString(L){return L instanceof u?!0:L?typeof L.value=="string":!1}static c(L){return L.replace(/\$|}|\\/g,"\\$&")}constructor(L){this.e=1,this.value=L||""}appendText(L){return this.value+=u.c(L),this}appendTabstop(L=this.e++){return this.value+="$",this.value+=L,this}appendPlaceholder(L,re=this.e++){if(typeof L=="function"){const ve=new u;ve.e=this.e,L(ve),this.e=ve.e,L=ve.value}else L=u.c(L);return this.value+="${",this.value+=re,this.value+=":",this.value+=L,this.value+="}",this}appendChoice(L,re=this.e++){const ve=L.map(Ue=>Ue.replaceAll(/[|\\,]/g,"\\$&")).join(",");return this.value+="${",this.value+=re,this.value+="|",this.value+=ve,this.value+="|}",this}appendVariable(L,re){if(typeof re=="function"){const ve=new u;ve.e=this.e,re(ve),this.e=ve.e,re=ve.value}else typeof re=="string"&&(re=re.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=L,re&&(this.value+=":",this.value+=re),this.value+="}",this}};e.$aM=q,e.$aM=q=u=Me([A],q);var M;(function(j){j[j.Unnecessary=1]="Unnecessary",j[j.Deprecated=2]="Deprecated"})(M||(e.DiagnosticTag=M={}));var z;(function(j){j[j.Hint=3]="Hint",j[j.Information=2]="Information",j[j.Warning=1]="Warning",j[j.Error=0]="Error"})(z||(e.DiagnosticSeverity=z={}));let x=t=class{static isLocation(L){return L instanceof t?!0:L?he.isRange(L.range)&&w.URI.isUri(L.uri):!1}constructor(L,re){if(this.uri=L,re)if(he.isRange(re))this.range=he.of(re);else if(de.isPosition(re))this.range=new he(re,re);else throw new Error("Illegal argument")}toJSON(){return{uri:this.uri,range:this.range}}};e.$bM=x,e.$bM=x=t=Me([A],x);let Y=class{static is(L){return L?typeof L.message=="string"&&L.location&&he.isRange(L.location.range)&&w.URI.isUri(L.location.uri):!1}constructor(L,re){this.location=L,this.message=re}static isEqual(L,re){return L===re?!0:!L||!re?!1:L.message===re.message&&L.location.range.isEqual(re.location.range)&&L.location.uri.toString()===re.location.uri.toString()}};e.$cM=Y,e.$cM=Y=Me([A],Y);let Z=class{constructor(L,re,ve=z.Error){if(!he.isRange(L))throw new TypeError("range must be set");if(!re)throw new TypeError("message must be set");this.range=L,this.message=re,this.severity=ve}toJSON(){return{severity:z[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(L,re){return L===re?!0:!L||!re?!1:L.message===re.message&&L.severity===re.severity&&L.code===re.code&&L.severity===re.severity&&L.source===re.source&&L.range.isEqual(re.range)&&(0,E.$ub)(L.tags,re.tags)&&(0,E.$ub)(L.relatedInformation,re.relatedInformation,Y.isEqual)}};e.$dM=Z,e.$dM=Z=Me([A],Z);let W=class{constructor(L,re){if(!L)throw new Error("Illegal argument, contents must be defined");Array.isArray(L)?this.contents=L:this.contents=[L],this.range=re}};e.$eM=W,e.$eM=W=Me([A],W);var J;(function(j){j[j.Text=0]="Text",j[j.Read=1]="Read",j[j.Write=2]="Write"})(J||(e.DocumentHighlightKind=J={}));let N=class{constructor(L,re=J.Text){this.range=L,this.kind=re}toJSON(){return{range:this.range,kind:J[this.kind]}}};e.$fM=N,e.$fM=N=Me([A],N);let T=class{constructor(L,re){this.uri=L,this.highlights=re}toJSON(){return{uri:this.uri,highlights:this.highlights.map(L=>L.toJSON())}}};e.$gM=T,e.$gM=T=Me([A],T);var ee;(function(j){j[j.File=0]="File",j[j.Module=1]="Module",j[j.Namespace=2]="Namespace",j[j.Package=3]="Package",j[j.Class=4]="Class",j[j.Method=5]="Method",j[j.Property=6]="Property",j[j.Field=7]="Field",j[j.Constructor=8]="Constructor",j[j.Enum=9]="Enum",j[j.Interface=10]="Interface",j[j.Function=11]="Function",j[j.Variable=12]="Variable",j[j.Constant=13]="Constant",j[j.String=14]="String",j[j.Number=15]="Number",j[j.Boolean=16]="Boolean",j[j.Array=17]="Array",j[j.Object=18]="Object",j[j.Key=19]="Key",j[j.Null=20]="Null",j[j.EnumMember=21]="EnumMember",j[j.Struct=22]="Struct",j[j.Event=23]="Event",j[j.Operator=24]="Operator",j[j.TypeParameter=25]="TypeParameter"})(ee||(e.SymbolKind=ee={}));var ie;(function(j){j[j.Deprecated=1]="Deprecated"})(ie||(e.SymbolTag=ie={}));let fe=s=class{static validate(L){if(!L.name)throw new Error("name must not be falsy")}constructor(L,re,ve,Ue,Ge){this.name=L,this.kind=re,this.containerName=Ge,typeof ve=="string"&&(this.containerName=ve),Ue instanceof x?this.location=Ue:ve instanceof he&&(this.location=new x(Ue,ve)),s.validate(this)}toJSON(){return{name:this.name,kind:ee[this.kind],location:this.location,containerName:this.containerName}}};e.$hM=fe,e.$hM=fe=s=Me([A],fe);let ae=r=class{static validate(L){if(!L.name)throw new Error("name must not be falsy");if(!L.range.contains(L.selectionRange))throw new Error("selectionRange must be contained in fullRange");L.children?.forEach(r.validate)}constructor(L,re,ve,Ue,Ge){this.name=L,this.detail=re,this.kind=ve,this.range=Ue,this.selectionRange=Ge,this.children=[],r.validate(this)}};e.$iM=ae,e.$iM=ae=r=Me([A],ae);var pe;(function(j){j[j.Invoke=1]="Invoke",j[j.Automatic=2]="Automatic"})(pe||(e.CodeActionTriggerKind=pe={}));let Ee=class{constructor(L,re){this.title=L,this.kind=re}};e.$jM=Ee,e.$jM=Ee=Me([A],Ee);let Ie=class{static{n=this}static{this.c="."}constructor(L){this.value=L}append(L){return new n(this.value?this.value+n.c+L:L)}intersects(L){return this.contains(L)||L.contains(this)}contains(L){return this.value===L.value||L.value.startsWith(this.value+n.c)}};e.$kM=Ie,e.$kM=Ie=n=Me([A],Ie),Ie.Empty=new Ie(""),Ie.QuickFix=Ie.Empty.append("quickfix"),Ie.Refactor=Ie.Empty.append("refactor"),Ie.RefactorExtract=Ie.Refactor.append("extract"),Ie.RefactorInline=Ie.Refactor.append("inline"),Ie.RefactorMove=Ie.Refactor.append("move"),Ie.RefactorRewrite=Ie.Refactor.append("rewrite"),Ie.Source=Ie.Empty.append("source"),Ie.SourceOrganizeImports=Ie.Source.append("organizeImports"),Ie.SourceFixAll=Ie.Source.append("fixAll"),Ie.Notebook=Ie.Empty.append("notebook");let Ne=class{constructor(L,re){if(this.range=L,this.parent=re,re&&!re.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};e.$lM=Ne,e.$lM=Ne=Me([A],Ne);class $e{constructor(L,re,ve,Ue,Ge,Qe){this.kind=L,this.name=re,this.detail=ve,this.uri=Ue,this.range=Ge,this.selectionRange=Qe}}e.$mM=$e;class Se{constructor(L,re){this.fromRanges=re,this.from=L}}e.$nM=Se;class De{constructor(L,re){this.fromRanges=re,this.to=L}}e.$oM=De;var Te;(function(j){j[j.Information=0]="Information",j[j.Warning=1]="Warning",j[j.Error=2]="Error"})(Te||(e.LanguageStatusSeverity=Te={}));let Fe=class{constructor(L,re){this.range=L,this.command=re}get isResolved(){return!!this.command}};e.$pM=Fe,e.$pM=Fe=Me([A],Fe);let Ve=i=class{#e;static isMarkdownString(L){return L instanceof i?!0:L&&L.appendCodeblock&&L.appendMarkdown&&L.appendText&&L.value!==void 0}constructor(L,re=!1){this.#e=new o.$sk(L,{supportThemeIcons:re})}get value(){return this.#e.value}set value(L){this.#e.value=L}get isTrusted(){return this.#e.isTrusted}set isTrusted(L){this.#e.isTrusted=L}get supportThemeIcons(){return this.#e.supportThemeIcons}set supportThemeIcons(L){this.#e.supportThemeIcons=L}get supportHtml(){return this.#e.supportHtml}set supportHtml(L){this.#e.supportHtml=L}get baseUri(){return this.#e.baseUri}set baseUri(L){this.#e.baseUri=L}appendText(L){return this.#e.appendText(L),this}appendMarkdown(L){return this.#e.appendMarkdown(L),this}appendCodeblock(L,re){return this.#e.appendCodeblock(re??"",L),this}};e.$qM=Ve,e.$qM=Ve=i=Me([A],Ve);let He=class{constructor(L,re){this.label=L,this.documentation=re}};e.$rM=He,e.$rM=He=Me([A],He);let Je=class{constructor(L,re){this.label=L,this.documentation=re,this.parameters=[]}};e.$sM=Je,e.$sM=Je=Me([A],Je);let Ye=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};e.$tM=Ye,e.$tM=Ye=Me([A],Ye);var _e;(function(j){j[j.Invoke=1]="Invoke",j[j.TriggerCharacter=2]="TriggerCharacter",j[j.ContentChange=3]="ContentChange"})(_e||(e.SignatureHelpTriggerKind=_e={}));var et;(function(j){j[j.Type=1]="Type",j[j.Parameter=2]="Parameter"})(et||(e.InlayHintKind=et={}));let Xe=class{constructor(L){this.value=L}};e.$uM=Xe,e.$uM=Xe=Me([A],Xe);let me=class{constructor(L,re,ve){this.position=L,this.label=re,this.kind=ve}};e.$vM=me,e.$vM=me=Me([A],me);var Ce;(function(j){j[j.Invoke=0]="Invoke",j[j.TriggerCharacter=1]="TriggerCharacter",j[j.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Ce||(e.CompletionTriggerKind=Ce={}));var Le;(function(j){j[j.Text=0]="Text",j[j.Method=1]="Method",j[j.Function=2]="Function",j[j.Constructor=3]="Constructor",j[j.Field=4]="Field",j[j.Variable=5]="Variable",j[j.Class=6]="Class",j[j.Interface=7]="Interface",j[j.Module=8]="Module",j[j.Property=9]="Property",j[j.Unit=10]="Unit",j[j.Value=11]="Value",j[j.Enum=12]="Enum",j[j.Keyword=13]="Keyword",j[j.Snippet=14]="Snippet",j[j.Color=15]="Color",j[j.File=16]="File",j[j.Reference=17]="Reference",j[j.Folder=18]="Folder",j[j.EnumMember=19]="EnumMember",j[j.Constant=20]="Constant",j[j.Struct=21]="Struct",j[j.Event=22]="Event",j[j.Operator=23]="Operator",j[j.TypeParameter=24]="TypeParameter",j[j.User=25]="User",j[j.Issue=26]="Issue"})(Le||(e.CompletionItemKind=Le={}));var Re;(function(j){j[j.Deprecated=1]="Deprecated"})(Re||(e.CompletionItemTag=Re={}));let je=class{constructor(L,re){this.label=L,this.kind=re}toJSON(){return{label:this.label,kind:this.kind&&Le[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};e.$wM=je,e.$wM=je=Me([A],je);let Be=class{constructor(L=[],re=!1){this.items=L,this.isIncomplete=re}};e.$xM=Be,e.$xM=Be=Me([A],Be);let We=class{constructor(L,re,ve){this.insertText=L,this.range=re,this.command=ve}};e.$yM=We,e.$yM=We=Me([A],We);let xe=class{constructor(L){this.commands=void 0,this.suppressSuggestions=void 0,this.items=L}};e.$zM=xe,e.$zM=xe=Me([A],xe);var it;(function(j){j[j.Active=-1]="Active",j[j.Beside=-2]="Beside",j[j.One=1]="One",j[j.Two=2]="Two",j[j.Three=3]="Three",j[j.Four=4]="Four",j[j.Five=5]="Five",j[j.Six=6]="Six",j[j.Seven=7]="Seven",j[j.Eight=8]="Eight",j[j.Nine=9]="Nine"})(it||(e.ViewColumn=it={}));var Ze;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(Ze||(e.StatusBarAlignment=Ze={}));function nt(j,L){return`${k.$wm.toKey(j)}.${L}`}e.$AM=nt;var ot;(function(j){j[j.Off=0]="Off",j[j.On=1]="On",j[j.Relative=2]="Relative",j[j.Interval=3]="Interval"})(ot||(e.TextEditorLineNumbersStyle=ot={}));var ct;(function(j){j[j.Manual=1]="Manual",j[j.AfterDelay=2]="AfterDelay",j[j.FocusOut=3]="FocusOut"})(ct||(e.TextDocumentSaveReason=ct={}));var at;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(at||(e.TextEditorRevealType=at={}));var lt;(function(j){j[j.Keyboard=1]="Keyboard",j[j.Mouse=2]="Mouse",j[j.Command=3]="Command"})(lt||(e.TextEditorSelectionChangeKind=lt={}));var St;(function(j){j[j.Undo=1]="Undo",j[j.Redo=2]="Redo"})(St||(e.TextDocumentChangeReason=St={}));var Ht;(function(j){j[j.OpenOpen=0]="OpenOpen",j[j.ClosedClosed=1]="ClosedClosed",j[j.OpenClosed=2]="OpenClosed",j[j.ClosedOpen=3]="ClosedOpen"})(Ht||(e.DecorationRangeBehavior=Ht={})),function(j){function L(re){switch(re){case"keyboard":return j.Keyboard;case"mouse":return j.Mouse;case"api":return j.Command}}j.fromValue=L}(lt||(e.TextEditorSelectionChangeKind=lt={}));var kt;(function(j){j[j.Other=0]="Other",j[j.Comment=1]="Comment",j[j.String=2]="String",j[j.RegEx=3]="RegEx"})(kt||(e.SyntaxTokenType=kt={})),function(j){function L(re){switch(re){case j.Other:return"other";case j.Comment:return"comment";case j.String:return"string";case j.RegEx:return"regex"}return"other"}j.toString=L}(kt||(e.SyntaxTokenType=kt={}));let Ct=class{constructor(L,re){if(re&&!w.URI.isUri(re))throw(0,R.$7)("target");if(!he.isRange(L)||L.isEmpty)throw(0,R.$7)("range");this.range=L,this.target=re}};e.$BM=Ct,e.$BM=Ct=Me([A],Ct);let bt=class{constructor(L,re,ve,Ue){this.red=L,this.green=re,this.blue=ve,this.alpha=Ue}};e.$CM=bt,e.$CM=bt=Me([A],bt);let It=class{constructor(L,re){if(re&&!(re instanceof bt))throw(0,R.$7)("color");if(!he.isRange(L)||L.isEmpty)throw(0,R.$7)("range");this.range=L,this.color=re}};e.$DM=It,e.$DM=It=Me([A],It);let At=class{constructor(L){if(!L||typeof L!="string")throw(0,R.$7)("label");this.label=L}};e.$EM=At,e.$EM=At=Me([A],At);var ht;(function(j){j[j.RGB=0]="RGB",j[j.HEX=1]="HEX",j[j.HSL=2]="HSL"})(ht||(e.ColorFormat=ht={}));var Lt;(function(j){j[j.Error=0]="Error",j[j.Warning=1]="Warning",j[j.Information=2]="Information"})(Lt||(e.SourceControlInputBoxValidationType=Lt={}));var Ft;(function(j){j[j.Unknown=0]="Unknown",j[j.Shutdown=1]="Shutdown",j[j.Process=2]="Process",j[j.User=3]="User",j[j.Extension=4]="Extension"})(Ft||(e.TerminalExitReason=Ft={}));class rt{constructor(L,re,ve){if(this.startIndex=L,this.length=re,this.tooltip=ve,typeof L!="number"||L<0)throw(0,R.$7)("startIndex");if(typeof re!="number"||re<1)throw(0,R.$7)("length");if(ve!==void 0&&typeof ve!="string")throw(0,R.$7)("tooltip")}}e.$FM=rt;class gt{constructor(L){this.uri=L}}e.$GM=gt;class wt{constructor(L){this.terminalCommand=L}}e.$HM=wt;var Vt;(function(j){j[j.Panel=1]="Panel",j[j.Editor=2]="Editor"})(Vt||(e.TerminalLocation=Vt={}));class Mt{constructor(L){if(this.options=L,typeof L!="object")throw(0,R.$7)("options")}}e.$IM=Mt;var Wt;(function(j){j[j.Always=1]="Always",j[j.Silent=2]="Silent",j[j.Never=3]="Never"})(Wt||(e.TaskRevealKind=Wt={}));var jt;(function(j){j[j.Shared=1]="Shared",j[j.Dedicated=2]="Dedicated",j[j.New=3]="New"})(jt||(e.TaskPanelKind=jt={}));let Rt=class{static{a=this}static{this.Clean=new a("clean","Clean")}static{this.Build=new a("build","Build")}static{this.Rebuild=new a("rebuild","Rebuild")}static{this.Test=new a("test","Test")}static from(L){switch(L){case"clean":return a.Clean;case"build":return a.Build;case"rebuild":return a.Rebuild;case"test":return a.Test;default:return}}constructor(L,re){if(this.label=re,typeof L!="string"||typeof re!="string")throw(0,R.$7)("name");this.c=L}get id(){return this.c}};e.$JM=Rt,e.$JM=Rt=a=Me([A],Rt);function Gt(j){let L="";for(let re=0;re<j.length;re++)L+=j[re].replace(/,/g,",,")+",";return L}let yt=class{constructor(L,re,ve){if(typeof L!="string")throw(0,R.$7)("process");this.e=[],this.c=L,re!==void 0&&(Array.isArray(re)?(this.e=re,this.f=ve):this.f=re)}get process(){return this.c}set process(L){if(typeof L!="string")throw(0,R.$7)("process");this.c=L}get args(){return this.e}set args(L){Array.isArray(L)||(L=[]),this.e=L}get options(){return this.f}set options(L){this.f=L}computeId(){const L=[];if(L.push("process"),this.c!==void 0&&L.push(this.c),this.e&&this.e.length>0)for(const re of this.e)L.push(re);return Gt(L)}};e.$KM=yt,e.$KM=yt=Me([A],yt);let $t=class{constructor(L,re,ve){if(this.f=[],Array.isArray(re)){if(!L)throw(0,R.$7)("command can't be undefined or null");if(typeof L!="string"&&typeof L.value!="string")throw(0,R.$7)("command");this.e=L,this.f=re,this.g=ve}else{if(typeof L!="string")throw(0,R.$7)("commandLine");this.c=L,this.g=re}}get commandLine(){return this.c}set commandLine(L){if(typeof L!="string")throw(0,R.$7)("commandLine");this.c=L}get command(){return this.e?this.e:""}set command(L){if(typeof L!="string"&&typeof L.value!="string")throw(0,R.$7)("command");this.e=L}get args(){return this.f}set args(L){this.f=L||[]}get options(){return this.g}set options(L){this.g=L}computeId(){const L=[];if(L.push("shell"),this.c!==void 0&&L.push(this.c),this.e!==void 0&&L.push(typeof this.e=="string"?this.e:this.e.value),this.f&&this.f.length>0)for(const re of this.f)L.push(typeof re=="string"?re:re.value);return Gt(L)}};e.$LM=$t,e.$LM=$t=Me([A],$t);var en;(function(j){j[j.Escape=1]="Escape",j[j.Strong=2]="Strong",j[j.Weak=3]="Weak"})(en||(e.ShellQuoting=en={}));var Ot;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace"})(Ot||(e.TaskScope=Ot={}));class Jt{constructor(L){this.c=L}computeId(){return"customExecution"+(0,I.$Ag)()}set callback(L){this.c=L}get callback(){return this.c}}e.$MM=Jt;let Tt=class{static{$=this}static{this.c="customExecution"}static{this.e="process"}static{this.f="shell"}static{this.g="$empty"}constructor(L,re,ve,Ue,Ge,Qe){this.k=!1,this.l=this.definition=L;let tt;typeof re=="string"?(this.o=this.name=re,this.w=this.source=ve,this.execution=Ue,tt=Ge,this.k=!0):re===Ot.Global||re===Ot.Workspace?(this.target=re,this.o=this.name=ve,this.w=this.source=Ue,this.execution=Ge,tt=Qe):(this.target=re,this.o=this.name=ve,this.w=this.source=Ue,this.execution=Ge,tt=Qe),typeof tt=="string"?(this.r=[tt],this.t=!0):Array.isArray(tt)?(this.r=tt,this.t=!0):(this.r=[],this.t=!1),this.u=!1,this.y=Object.create(null),this.z=Object.create(null)}get _id(){return this.j}set _id(L){this.j=L}get _deprecated(){return this.k}B(){this.j!==void 0&&(this.j=void 0,this.m=void 0,this.C())}C(){this.q instanceof yt?this.l={type:$.e,id:this.q.computeId()}:this.q instanceof $t?this.l={type:$.f,id:this.q.computeId()}:this.q instanceof Jt?this.l={type:$.c,id:this.q.computeId()}:this.l={type:$.g,id:(0,I.$Ag)()}}get definition(){return this.l}set definition(L){if(L==null)throw(0,R.$7)("Kind can't be undefined or null");this.B(),this.l=L}get scope(){return this.m}set target(L){this.B(),this.m=L}get name(){return this.o}set name(L){if(typeof L!="string")throw(0,R.$7)("name");this.B(),this.o=L}get execution(){return this.q}set execution(L){L===null&&(L=void 0),this.B(),this.q=L;const re=this.l.type;($.g===re||$.e===re||$.f===re||$.c===re)&&this.C()}get problemMatchers(){return this.r}set problemMatchers(L){if(Array.isArray(L))this.B(),this.r=L,this.t=!0;else{this.B(),this.r=[],this.t=!1;return}}get hasDefinedMatchers(){return this.t}get isBackground(){return this.u}set isBackground(L){L!==!0&&L!==!1&&(L=!1),this.B(),this.u=L}get source(){return this.w}set source(L){if(typeof L!="string"||L.length===0)throw(0,R.$7)("source must be a string of length > 0");this.B(),this.w=L}get group(){return this.x}set group(L){L===null&&(L=void 0),this.B(),this.x=L}get detail(){return this.A}set detail(L){L===null&&(L=void 0),this.A=L}get presentationOptions(){return this.y}set presentationOptions(L){L==null&&(L=Object.create(null)),this.B(),this.y=L}get runOptions(){return this.z}set runOptions(L){L==null&&(L=Object.create(null)),this.B(),this.z=L}};e.$NM=Tt,e.$NM=Tt=$=Me([A],Tt);var Kt;(function(j){j[j.SourceControl=1]="SourceControl",j[j.Window=10]="Window",j[j.Notification=15]="Notification"})(Kt||(e.ProgressLocation=Kt={}));var Yt;(function(j){function L(re){const ve=re;return(0,v.$Wf)(ve.value)?ve.tooltip&&!(0,v.$Sf)(ve.tooltip)?(console.log("INVALID view badge, invalid tooltip",ve.tooltip),!1):!0:(console.log("INVALID view badge, invalid value",ve.value),!1)}j.isViewBadge=L})(Yt||(e.ViewBadge=Yt={}));let Ut=O=class{static isTreeItem(L,re){const ve=L;if(ve.checkboxState!==void 0){const Ue=(0,v.$Wf)(ve.checkboxState)?ve.checkboxState:(0,v.$Uf)(ve.checkboxState)&&(0,v.$Wf)(ve.checkboxState.state)?ve.checkboxState.state:void 0,Ge=!(0,v.$Wf)(ve.checkboxState)&&(0,v.$Uf)(ve.checkboxState)?ve.checkboxState.tooltip:void 0;if(Ue===void 0||Ue!==Bt.Checked&&Ue!==Bt.Unchecked||Ge!==void 0&&!(0,v.$Sf)(Ge))return console.log("INVALID tree item, invalid checkboxState",ve.checkboxState),!1}if(L instanceof O)return!0;if(ve.label!==void 0&&!(0,v.$Sf)(ve.label)&&!ve.label?.label)return console.log("INVALID tree item, invalid label",ve.label),!1;if(ve.id!==void 0&&!(0,v.$Sf)(ve.id))return console.log("INVALID tree item, invalid id",ve.id),!1;if(ve.iconPath!==void 0&&!(0,v.$Sf)(ve.iconPath)&&!w.URI.isUri(ve.iconPath)&&(!ve.iconPath||!(0,v.$Sf)(ve.iconPath.id))){const Ue=ve.iconPath;if(!Ue||!(0,v.$Sf)(Ue.light)&&!w.URI.isUri(Ue.light)&&!(0,v.$Sf)(Ue.dark)&&!w.URI.isUri(Ue.dark))return console.log("INVALID tree item, invalid iconPath",ve.iconPath),!1}return ve.description!==void 0&&!(0,v.$Sf)(ve.description)&&typeof ve.description!="boolean"?(console.log("INVALID tree item, invalid description",ve.description),!1):ve.resourceUri!==void 0&&!w.URI.isUri(ve.resourceUri)?(console.log("INVALID tree item, invalid resourceUri",ve.resourceUri),!1):ve.tooltip!==void 0&&!(0,v.$Sf)(ve.tooltip)&&!(ve.tooltip instanceof Ve)?(console.log("INVALID tree item, invalid tooltip",ve.tooltip),!1):ve.command!==void 0&&!ve.command.command?(console.log("INVALID tree item, invalid command",ve.command),!1):ve.collapsibleState!==void 0&&ve.collapsibleState<zt.None&&ve.collapsibleState>zt.Expanded?(console.log("INVALID tree item, invalid collapsibleState",ve.collapsibleState),!1):ve.contextValue!==void 0&&!(0,v.$Sf)(ve.contextValue)?(console.log("INVALID tree item, invalid contextValue",ve.contextValue),!1):ve.accessibilityInformation!==void 0&&!ve.accessibilityInformation?.label?(console.log("INVALID tree item, invalid accessibilityInformation",ve.accessibilityInformation),!1):!0}constructor(L,re=zt.None){this.collapsibleState=re,w.URI.isUri(L)?this.resourceUri=L:this.label=L}};e.$OM=Ut,e.$OM=Ut=O=Me([A],Ut);var zt;(function(j){j[j.None=0]="None",j[j.Collapsed=1]="Collapsed",j[j.Expanded=2]="Expanded"})(zt||(e.TreeItemCollapsibleState=zt={}));var Bt;(function(j){j[j.Unchecked=0]="Unchecked",j[j.Checked=1]="Checked"})(Bt||(e.TreeItemCheckboxState=Bt={}));let Xt=class{async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}constructor(L){this.value=L}};e.$PM=Xt,e.$PM=Xt=Me([A],Xt);class Zt extends Xt{}e.$QM=Zt;class rn extends Zt{#e;constructor(L){super(""),this.#e=L}asFile(){return this.#e}}e.$RM=rn;class tn{constructor(L,re,ve,Ue){this.name=L,this.uri=re,this._itemId=ve,this.c=Ue}data(){return this.c()}}e.$SM=tn;let Qt=class{#e=new Map;constructor(L){for(const[re,ve]of L??[]){const Ue=this.#e.get(this.#t(re));Ue?Ue.push(ve):this.#e.set(this.#t(re),[ve])}}get(L){return this.#e.get(this.#t(L))?.[0]}set(L,re){this.#e.set(this.#t(L),[re])}forEach(L,re){for(const[ve,Ue]of this.#e)for(const Ge of Ue)L.call(re,Ge,ve,this)}*[Symbol.iterator](){for(const[L,re]of this.#e)for(const ve of re)yield[L,ve]}#t(L){return L.toLowerCase()}};e.$TM=Qt,e.$TM=Qt=Me([A],Qt);let xt=class{constructor(L){this.insertText=L}};e.$UM=xt,e.$UM=xt=Me([A],xt);let _t=class{constructor(L,re){this.label=re,this.insertText=L}};e.$VM=_t,e.$VM=_t=Me([A],_t);let be=class{constructor(L,re){this.id=L,this.color=re}static isThemeIcon(L){return typeof L.id!="string"?(console.log("INVALID ThemeIcon, invalid id",L.id),!1):!0}};e.$WM=be,e.$WM=be=Me([A],be),be.File=new be("file"),be.Folder=new be("folder");let Pe=class{constructor(L){this.id=L}};e.$XM=Pe,e.$XM=Pe=Me([A],Pe);var ue;(function(j){j[j.Global=1]="Global",j[j.Workspace=2]="Workspace",j[j.WorkspaceFolder=3]="WorkspaceFolder"})(ue||(e.ConfigurationTarget=ue={}));let H=class{get base(){return this.c}set base(L){this.c=L,this.e=w.URI.file(L)}get baseUri(){return this.e}set baseUri(L){this.e=L,this.c=L.fsPath}constructor(L,re){if(typeof L!="string"&&(!L||!w.URI.isUri(L)&&!w.URI.isUri(L.uri)))throw(0,R.$7)("base");if(typeof re!="string")throw(0,R.$7)("pattern");typeof L=="string"?this.baseUri=w.URI.file(L):w.URI.isUri(L)?this.baseUri=L:this.baseUri=L.uri,this.pattern=re}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};e.$YM=H,e.$YM=H=Me([A],H);const we=new WeakMap;function Ae(j,L){we.set(j,L)}e.$ZM=Ae;let qe=class{constructor(L,re,ve,Ue,Ge){this.enabled=typeof L=="boolean"?L:!0,typeof re=="string"&&(this.condition=re),typeof ve=="string"&&(this.hitCondition=ve),typeof Ue=="string"&&(this.logMessage=Ue),typeof Ge=="string"&&(this.mode=Ge)}get id(){return this.c||(this.c=we.get(this)??(0,I.$Ag)()),this.c}};e.$1M=qe,e.$1M=qe=Me([A],qe);let ze=class extends qe{constructor(L,re,ve,Ue,Ge,Qe){if(super(re,ve,Ue,Ge,Qe),L===null)throw(0,R.$7)("location");this.location=L}};e.$2M=ze,e.$2M=ze=Me([A],ze);let Ke=class extends qe{constructor(L,re,ve,Ue,Ge,Qe){super(re,ve,Ue,Ge,Qe),this.functionName=L}};e.$3M=Ke,e.$3M=Ke=Me([A],Ke);let st=class extends qe{constructor(L,re,ve,Ue,Ge,Qe,tt,ft){if(super(Ue,Ge,Qe,tt,ft),!re)throw(0,R.$7)("dataId");this.label=L,this.dataId=re,this.canPersist=ve}};e.$4M=st,e.$4M=st=Me([A],st);let dt=class{constructor(L,re,ve){this.command=L,this.args=re||[],this.options=ve}};e.$5M=dt,e.$5M=dt=Me([A],dt);let pt=class{constructor(L,re){this.port=L,this.host=re}};e.$6M=pt,e.$6M=pt=Me([A],pt);let ut=class{constructor(L){this.path=L}};e.$7M=ut,e.$7M=ut=Me([A],ut);let mt=class{constructor(L){this.implementation=L}};e.$8M=mt,e.$8M=mt=Me([A],mt);let ln=class{constructor(L,re,ve){this.session=L,this.threadId=re,this.frameId=ve}};e.$9M=ln,e.$9M=ln=Me([A],ln);let un=class{constructor(L,re){this.session=L,this.threadId=re}};e.$0M=un,e.$0M=un=Me([A],un);let fn=class{constructor(L,re){this.range=L,this.expression=re}};e.$$M=fn,e.$$M=fn=Me([A],fn);var In;(function(j){j[j.Invoke=0]="Invoke",j[j.Automatic=1]="Automatic"})(In||(e.InlineCompletionTriggerKind=In={}));let hn=class{constructor(L,re){this.range=L,this.text=re}};e.$_M=hn,e.$_M=hn=Me([A],hn);let dn=class{constructor(L,re,ve=!0){this.range=L,this.variableName=re,this.caseSensitiveLookup=ve}};e.$aN=dn,e.$aN=dn=Me([A],dn);let mn=class{constructor(L,re){this.range=L,this.expression=re}};e.$bN=mn,e.$bN=mn=Me([A],mn);let gn=class{constructor(L,re){this.frameId=L,this.stoppedLocation=re}};e.$cN=gn,e.$cN=gn=Me([A],gn);var An;(function(j){j[j.AIGenerated=1]="AIGenerated"})(An||(e.NewSymbolNameTag=An={}));class hi{constructor(L,re){this.newSymbolName=L,this.tags=re}}e.$dN=hi;var Rn;(function(j){j[j.Changed=1]="Changed",j[j.Created=2]="Created",j[j.Deleted=3]="Deleted"})(Rn||(e.FileChangeType=Rn={}));let $n=P=class extends Error{static FileExists(L){return new P(L,p.FileSystemProviderErrorCode.FileExists,P.FileExists)}static FileNotFound(L){return new P(L,p.FileSystemProviderErrorCode.FileNotFound,P.FileNotFound)}static FileNotADirectory(L){return new P(L,p.FileSystemProviderErrorCode.FileNotADirectory,P.FileNotADirectory)}static FileIsADirectory(L){return new P(L,p.FileSystemProviderErrorCode.FileIsADirectory,P.FileIsADirectory)}static NoPermissions(L){return new P(L,p.FileSystemProviderErrorCode.NoPermissions,P.NoPermissions)}static Unavailable(L){return new P(L,p.FileSystemProviderErrorCode.Unavailable,P.Unavailable)}constructor(L,re=p.FileSystemProviderErrorCode.Unknown,ve){super(w.URI.isUri(L)?L.toString(!0):L),this.code=ve?.name??"Unknown",(0,p.$Qk)(this,re),Object.setPrototypeOf(this,P.prototype),typeof Error.captureStackTrace=="function"&&typeof ve=="function"&&Error.captureStackTrace(this,ve)}};e.$eN=$n,e.$eN=$n=P=Me([A],$n);let pn=class{constructor(L,re,ve){this.start=L,this.end=re,this.kind=ve}};e.$fN=pn,e.$fN=pn=Me([A],pn);var On;(function(j){j[j.Comment=1]="Comment",j[j.Imports=2]="Imports",j[j.Region=3]="Region"})(On||(e.FoldingRangeKind=On={}));var Nn;(function(j){j[j.Collapsed=0]="Collapsed",j[j.Expanded=1]="Expanded"})(Nn||(e.CommentThreadCollapsibleState=Nn={}));var Ln;(function(j){j[j.Editing=0]="Editing",j[j.Preview=1]="Preview"})(Ln||(e.CommentMode=Ln={}));var Fn;(function(j){j[j.Published=0]="Published",j[j.Draft=1]="Draft"})(Fn||(e.CommentState=Fn={}));var Mn;(function(j){j[j.Unresolved=0]="Unresolved",j[j.Resolved=1]="Resolved"})(Mn||(e.CommentThreadState=Mn={}));class di{constructor(L,re=[]){this.tokenTypes=L,this.tokenModifiers=re}}e.$gN=di;function mi(j){return typeof j>"u"||(0,v.$Tf)(j)}class bn{constructor(L){if(this.c=0,this.e=0,this.f=!0,this.g=[],this.j=0,this.k=new Map,this.l=new Map,this.m=!1,L){this.m=!0;for(let re=0,ve=L.tokenTypes.length;re<ve;re++)this.k.set(L.tokenTypes[re],re);for(let re=0,ve=L.tokenModifiers.length;re<ve;re++)this.l.set(L.tokenModifiers[re],re)}}push(L,re,ve,Ue,Ge){if(typeof L=="number"&&typeof re=="number"&&typeof ve=="number"&&typeof Ue=="number"&&(typeof Ge=="number"||typeof Ge>"u"))return typeof Ge>"u"&&(Ge=0),this.q(L,re,ve,Ue,Ge);if(he.isRange(L)&&typeof re=="string"&&mi(ve))return this.o(L,re,ve);throw(0,R.$7)()}o(L,re,ve){if(!this.m)throw new Error("Legend must be provided in constructor");if(L.start.line!==L.end.line)throw new Error("`range` cannot span multiple lines");if(!this.k.has(re))throw new Error("`tokenType` is not in the provided legend");const Ue=L.start.line,Ge=L.start.character,Qe=L.end.character-L.start.character,tt=this.k.get(re);let ft=0;if(ve)for(const vt of ve){if(!this.l.has(vt))throw new Error("`tokenModifier` is not in the provided legend");const Et=this.l.get(vt);ft|=1<<Et>>>0}this.q(Ue,Ge,Qe,tt,ft)}q(L,re,ve,Ue,Ge){if(this.f&&(L<this.c||L===this.c&&re<this.e)){this.f=!1;const ft=this.g.length/5|0;let vt=0,Et=0;for(let Pt=0;Pt<ft;Pt++){let Nt=this.g[5*Pt],nn=this.g[5*Pt+1];Nt===0?(Nt=vt,nn+=Et):Nt+=vt,this.g[5*Pt]=Nt,this.g[5*Pt+1]=nn,vt=Nt,Et=nn}}let Qe=L,tt=re;this.f&&this.j>0&&(Qe-=this.c,Qe===0&&(tt-=this.e)),this.g[this.j++]=Qe,this.g[this.j++]=tt,this.g[this.j++]=ve,this.g[this.j++]=Ue,this.g[this.j++]=Ge,this.c=L,this.e=re}static r(L){const re=[],ve=L.length/5|0;for(let tt=0;tt<ve;tt++)re[tt]=tt;re.sort((tt,ft)=>{const vt=L[5*tt],Et=L[5*ft];if(vt===Et){const Pt=L[5*tt+1],Nt=L[5*ft+1];return Pt-Nt}return vt-Et});const Ue=new Uint32Array(L.length);let Ge=0,Qe=0;for(let tt=0;tt<ve;tt++){const ft=5*re[tt],vt=L[ft+0],Et=L[ft+1],Pt=L[ft+2],Nt=L[ft+3],nn=L[ft+4],fi=vt-Ge,xi=fi===0?Et-Qe:Et,sn=5*tt;Ue[sn+0]=fi,Ue[sn+1]=xi,Ue[sn+2]=Pt,Ue[sn+3]=Nt,Ue[sn+4]=nn,Ge=vt,Qe=Et}return Ue}build(L){return this.f?new wn(new Uint32Array(this.g),L):new wn(bn.r(this.g),L)}}e.$hN=bn;class wn{constructor(L,re){this.resultId=re,this.data=L}}e.$iN=wn;class gi{constructor(L,re,ve){this.start=L,this.deleteCount=re,this.data=ve}}e.$jN=gi;class $i{constructor(L,re){this.resultId=re,this.edits=L}}e.$kN=$i;var jn;(function(j){j[j.Separate=0]="Separate",j[j.MergeWithParent=1]="MergeWithParent"})(jn||(e.DebugConsoleMode=jn={}));class pi{constructor(L){this.name=L}}e.$lN=pi;let vn=class{static{this.Back={iconPath:new be("arrow-left")}}constructor(){}};e.$mN=vn,e.$mN=vn=Me([A],vn);var Tn;(function(j){j[j.Separator=-1]="Separator",j[j.Default=0]="Default"})(Tn||(e.QuickPickItemKind=Tn={}));var Un;(function(j){j[j.Info=1]="Info",j[j.Warning=2]="Warning",j[j.Error=3]="Error"})(Un||(e.InputBoxValidationSeverity=Un={}));var zn;(function(j){j[j.UI=1]="UI",j[j.Workspace=2]="Workspace"})(zn||(e.ExtensionKind=zn={}));class bi{static validate(L){if(typeof L.badge=="string"){let re=(0,S.$tf)(L.badge,0);if(re<L.badge.length&&(re+=(0,S.$tf)(L.badge,re)),L.badge.length>re)throw new Error("The 'badge'-property must be undefined or a short character")}else if(L.badge&&!be.isThemeIcon(L.badge))throw new Error("The 'badge'-property is not a valid ThemeIcon");if(!L.color&&!L.badge&&!L.tooltip)throw new Error("The decoration is empty");return!0}constructor(L,re,ve){this.badge=L,this.tooltip=re,this.color=ve}}e.$nN=bi;let yn=class{constructor(L){this.kind=L}};e.$oN=yn,e.$oN=yn=Me([A],yn);var Bn;(function(j){j[j.Light=1]="Light",j[j.Dark=2]="Dark",j[j.HighContrast=3]="HighContrast",j[j.HighContrastLight=4]="HighContrastLight"})(Bn||(e.ColorThemeKind=Bn={}));class qt{static isNotebookRange(L){return L instanceof qt?!0:L?typeof L.start=="number"&&typeof L.end=="number":!1}get start(){return this.c}get end(){return this.e}get isEmpty(){return this.c===this.e}constructor(L,re){if(L<0)throw(0,R.$7)("start must be positive");if(re<0)throw(0,R.$7)("end must be positive");L<=re?(this.c=L,this.e=re):(this.c=re,this.e=L)}with(L){let re=this.c,ve=this.e;return L.start!==void 0&&(re=L.start),L.end!==void 0&&(ve=L.end),re===this.c&&ve===this.e?this:new qt(re,ve)}}e.$pN=qt;class on{static validate(L){if(typeof L.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof L.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof L.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(L){return Array.isArray(L)&&L.every(re=>on.isNotebookCellData(re))}static isNotebookCellData(L){return!0}constructor(L,re,ve,Ue,Ge,Qe,tt){this.kind=L,this.value=re,this.languageId=ve,this.mime=Ue,this.outputs=Ge??[],this.metadata=Qe,this.executionSummary=tt,on.validate(this)}}e.$qN=on;class wi{constructor(L){this.cells=L}}e.$rN=wi;class Dt{static isNotebookCellOutputItem(L){return L instanceof Dt?!0:L?typeof L.mime=="string"&&L.data instanceof Uint8Array:!1}static error(L){const re={name:L.name,message:L.message,stack:L.stack};return Dt.json(re,"application/vnd.code.notebook.error")}static stdout(L){return Dt.text(L,"application/vnd.code.notebook.stdout")}static stderr(L){return Dt.text(L,"application/vnd.code.notebook.stderr")}static bytes(L,re="application/octet-stream"){return new Dt(L,re)}static#e=new TextEncoder;static text(L,re=D.$qs.text){const ve=Dt.#e.encode(String(L));return new Dt(ve,re)}static json(L,re="text/x-json"){const ve=JSON.stringify(L,void 0,"	");return Dt.text(ve,re)}constructor(L,re){this.data=L,this.mime=re;const ve=(0,D.$us)(re,!0);if(!ve)throw new Error(`INVALID mime type: ${re}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=ve}}e.$sN=Dt;class an{static isNotebookCellOutput(L){return L instanceof an?!0:!L||typeof L!="object"?!1:typeof L.id=="string"&&Array.isArray(L.items)}static ensureUniqueMimeTypes(L,re=!1){const ve=new Set,Ue=new Set;for(let Ge=0;Ge<L.length;Ge++){const Qe=L[Ge],tt=(0,D.$us)(Qe.mime);if(!ve.has(tt)||(0,m.$3J)(tt)){ve.add(tt);continue}Ue.add(Ge),re&&console.warn(`DUPLICATED mime type '${Qe.mime}' will be dropped`)}return Ue.size===0?L:L.filter((Ge,Qe)=>!Ue.has(Qe))}constructor(L,re,ve){this.items=an.ensureUniqueMimeTypes(L,!0),typeof re=="string"?(this.id=re,this.metadata=ve):(this.id=(0,I.$Ag)(),this.metadata=re??ve)}}e.$tN=an;var qn;(function(j){j[j.Markup=1]="Markup",j[j.Code=2]="Code"})(qn||(e.NotebookCellKind=qn={}));var Hn;(function(j){j[j.Idle=1]="Idle",j[j.Pending=2]="Pending",j[j.Executing=3]="Executing"})(Hn||(e.NotebookCellExecutionState=Hn={}));var Vn;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(Vn||(e.NotebookCellStatusBarAlignment=Vn={}));var Wn;(function(j){j[j.Default=0]="Default",j[j.InCenter=1]="InCenter",j[j.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",j[j.AtTop=3]="AtTop"})(Wn||(e.NotebookEditorRevealType=Wn={}));class vi{constructor(L,re){this.text=L,this.alignment=re}}e.$uN=vi;var Gn;(function(j){j[j.Default=1]="Default",j[j.Preferred=2]="Preferred"})(Gn||(e.NotebookControllerAffinity=Gn={}));var Jn;(function(j){j[j.Default=1]="Default",j[j.Preferred=2]="Preferred",j[j.Hidden=-1]="Hidden"})(Jn||(e.NotebookControllerAffinity2=Jn={}));class yi{constructor(L,re=[]){this.uri=L,this.provides=(0,E.$3b)(re)}}e.$vN=yi;class Ei{constructor(L){this.label=L}}e.$wN=Ei;var Xn;(function(j){j[j.Named=1]="Named",j[j.Indexed=2]="Indexed"})(Xn||(e.NotebookVariablesRequestKind=Xn={}));let En=class{constructor(L,re){this.label=L,this.timestamp=re}};e.$xN=En,e.$xN=En=Me([A],En);var Kn;(function(j){j[j.Production=1]="Production",j[j.Development=2]="Development",j[j.Test=3]="Test"})(Kn||(e.ExtensionMode=Kn={}));var Yn;(function(j){j[j.Node=1]="Node",j[j.Webworker=2]="Webworker"})(Yn||(e.ExtensionRuntime=Yn={}));var Zn;(function(j){j[j.Other=0]="Other",j[j.Comment=1]="Comment",j[j.String=2]="String",j[j.RegEx=3]="RegEx"})(Zn||(e.StandardTokenType=Zn={}));class ki{constructor(L,re){this.ranges=L,this.wordPattern=re}}e.$yN=ki;class Di{constructor(L){this.c=L}get autoForwardAction(){return this.c}}e.$zN=Di;var Qn;(function(j){j[j.Queued=1]="Queued",j[j.Running=2]="Running",j[j.Passed=3]="Passed",j[j.Failed=4]="Failed",j[j.Skipped=5]="Skipped",j[j.Errored=6]="Errored"})(Qn||(e.TestResultState=Qn={}));var xn;(function(j){j[j.Run=1]="Run",j[j.Debug=2]="Debug",j[j.Coverage=3]="Coverage"})(xn||(e.TestRunProfileKind=xn={}));let kn=class{constructor(L=void 0,re=void 0,ve=void 0,Ue=!1){this.include=L,this.exclude=re,this.profile=ve,this.continuous=Ue}};e.$AN=kn,e.$AN=kn=Me([A],kn);let Dn=y=class{static diff(L,re,ve){const Ue=new y(L);return Ue.expectedOutput=re,Ue.actualOutput=ve,Ue}constructor(L){this.message=L}};e.$BN=Dn,e.$BN=Dn=y=Me([A],Dn);let Pn=class{constructor(L){this.id=L}};e.$CN=Pn,e.$CN=Pn=Me([A],Pn);class cn{constructor(L,re){this.covered=L,this.total=re}}e.$DN=cn;const Sn=j=>{if(j&&j.covered>j.total)throw new Error(`The total number of covered items (${j.covered}) cannot be greater than the total (${j.total})`)};class Cn{static fromDetails(L,re){const ve=new cn(0,0),Ue=new cn(0,0),Ge=new cn(0,0);for(const tt of re)if("branches"in tt){ve.total+=1,ve.covered+=tt.executed?1:0;for(const ft of tt.branches)Ue.total+=1,Ue.covered+=ft.executed?1:0}else Ge.total+=1,Ge.covered+=tt.executed?1:0;const Qe=new Cn(L,ve,Ue.total>0?Ue:void 0,Ge.total>0?Ge:void 0);return Qe.detailedCoverage=re,Qe}constructor(L,re,ve,Ue){this.uri=L,this.statementCoverage=re,this.branchCoverage=ve,this.declarationCoverage=Ue,Sn(re),Sn(ve),Sn(Ue)}}e.$EN=Cn;class Pi{get executionCount(){return+this.executed}set executionCount(L){this.executed=L}constructor(L,re,ve=[]){this.executed=L,this.location=re,this.branches=ve}}e.$FN=Pi;class Si{get executionCount(){return+this.executed}set executionCount(L){this.executed=L}constructor(L,re,ve){this.executed=L,this.location=re,this.label=ve}}e.$GN=Si;class Ci{get executionCount(){return+this.executed}set executionCount(L){this.executed=L}constructor(L,re,ve){this.name=L,this.executed=re,this.location=ve}}e.$HN=Ci;var _n;(function(j){j[j.None=0]="None",j[j.Option=1]="Option",j[j.Default=2]="Default",j[j.Preferred=3]="Preferred"})(_n||(e.ExternalUriOpenerPriority=_n={}));var ei;(function(j){j[j.Untrusted=0]="Untrusted",j[j.Trusted=1]="Trusted",j[j.Unspecified=2]="Unspecified"})(ei||(e.WorkspaceTrustState=ei={}));var ti;(function(j){j[j.Notify=1]="Notify",j[j.OpenBrowser=2]="OpenBrowser",j[j.OpenPreview=3]="OpenPreview",j[j.Silent=4]="Silent",j[j.Ignore=5]="Ignore",j[j.OpenBrowserOnce=6]="OpenBrowserOnce"})(ti||(e.PortAutoForwardAction=ti={}));class Ii{constructor(L,re,ve,Ue,Ge,Qe){this.kind=L,this.name=re,this.detail=ve,this.uri=Ue,this.range=Ge,this.selectionRange=Qe}}e.$IN=Ii;class Ai{constructor(L){this.uri=L}}e.$JN=Ai;class Ri{constructor(L,re){this.original=L,this.modified=re}}e.$KN=Ri;class Oi{constructor(L,re,ve,Ue){this.base=L,this.input1=re,this.input2=ve,this.result=Ue}}e.$LN=Oi;class Ni{constructor(L,re){this.uri=L,this.viewType=re}}e.$MN=Ni;class Li{constructor(L){this.viewType=L}}e.$NN=Li;class Fi{constructor(L,re){this.uri=L,this.notebookType=re}}e.$ON=Fi;class Mi{constructor(L,re,ve){this.original=L,this.modified=re,this.notebookType=ve}}e.$PN=Mi;class ji{constructor(){}}e.$QN=ji;class Ti{constructor(L,re){this.uri=L,this.inputBoxUri=re}}e.$RN=Ti;class Ui{constructor(L){this.providerId=L}}e.$SN=Ui;var ni;(function(j){j[j.Down=0]="Down",j[j.Up=1]="Up"})(ni||(e.InteractiveSessionVoteDirection=ni={}));var ii;(function(j){j[j.Action=1]="Action",j[j.Toolbar=2]="Toolbar"})(ii||(e.ChatCopyKind=ii={}));var si;(function(j){j[j.Short=1]="Short",j[j.Medium=2]="Medium",j[j.Full=3]="Full"})(si||(e.ChatVariableLevel=si={}));class zi{constructor(L,re){this.label=L,this.values=re}}e.$TN=zi;var ri;(function(j){j[j.Unhelpful=0]="Unhelpful",j[j.Helpful=1]="Helpful",j[j.Undone=2]="Undone",j[j.Accepted=3]="Accepted",j[j.Bug=4]="Bug"})(ri||(e.InteractiveEditorResponseFeedbackKind=ri={}));var oi;(function(j){j[j.Unhelpful=0]="Unhelpful",j[j.Helpful=1]="Helpful"})(oi||(e.ChatResultFeedbackKind=oi={}));class Bi{constructor(L){this.value=typeof L=="string"?new Ve(L):L}}e.$UN=Bi;class qi{constructor(L,re){this.value=L,this.baseUri=re}}e.$VN=qi;class Hi{constructor(L,re){this.value=L,this.title=re}}e.$WN=Hi;class Vi{constructor(L){this.value=L}}e.$XN=Vi;class Wi{constructor(L){this.value=L}}e.$YN=Wi;class Gi{constructor(L){this.value=L}}e.$ZN=Gi;class Ji{constructor(L,re,ve,Ue){this.prompt=L,this.command=re,this.variables=ve,this.participant=Ue}}e.$1N=Ji;class Xi{constructor(L,re,ve,Ue){this.response=L,this.result=re,this.participant=ve,this.command=Ue}}e.$2N=Xi;class Ki{constructor(L){this.content=L}}e.$3N=Ki;class Yi{constructor(L,re){this.content=L,this.name=re}}e.$4N=Yi;class Zi{constructor(L){this.content=L}}e.$5N=Zi;var ai;(function(j){j[j.SymbolInformation=1]="SymbolInformation",j[j.CommandInformation=2]="CommandInformation",j[j.SearchInformation=3]="SearchInformation",j[j.SettingInformation=4]="SettingInformation"})(ai||(e.RelatedInformationType=ai={}));var ci;(function(j){j[j.Started=1]="Started",j[j.Recognizing=2]="Recognizing",j[j.Recognized=3]="Recognized",j[j.Stopped=4]="Stopped"})(ci||(e.SpeechToTextStatus=ci={}));var li;(function(j){j[j.Recognized=1]="Recognized",j[j.Stopped=2]="Stopped"})(li||(e.KeywordRecognitionStatus=li={}));class Qi{constructor(L,re){this.text=L,this.range=re}}e.$6N=Qi;var ui;(function(j){j[j.Invoke=0]="Invoke",j[j.Automatic=1]="Automatic"})(ui||(e.InlineEditTriggerKind=ui={}))}),define(ye[139],ke([1,0,18,14,154,76,100,24,146,52,65,21,19,11,4,43,176,231,133,93,137,73,94,135,282,138]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t,s,r,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DebugTreeItem=e.TerminalQuickFix=e.ChatAgentUserActionEvent=e.ChatAgentResult=e.ChatAgentCompletionItem=e.ChatAgentResolvedVariable=e.ChatAgentRequest=e.ChatResponseProgress=e.ChatResponsePart=e.ChatResponseReferencePart=e.ChatResponseCommandButtonPart=e.ChatResponseProgressPart=e.ChatResponseAnchorPart=e.ChatResponseFilesPart=e.ChatResponseMarkdownPart=e.InteractiveEditorResponseFeedbackKind=e.ChatVariableLevel=e.ChatVariable=e.LanguageModelMessage=e.ChatInlineFollowup=e.ChatFollowup=e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookKernelSourceAction=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.MappedEditsContext=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.MultiDocumentHighlight=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.$dO=e.$cO=e.MarkdownString=e.$bO=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Location=e.Range=e.Selection=void 0;var i;(function(be){function Pe(H){const{selectionStartLineNumber:we,selectionStartColumn:Ae,positionLineNumber:qe,positionColumn:ze}=H,Ke=new n.$3L(we-1,Ae-1),st=new n.$3L(qe-1,ze-1);return new n.$5L(Ke,st)}be.to=Pe;function ue(H){const{anchor:we,active:Ae}=H;return{selectionStartLineNumber:we.line+1,selectionStartColumn:we.character+1,positionLineNumber:Ae.line+1,positionColumn:Ae.character+1}}be.from=ue})(i||(e.Selection=i={}));var a;(function(be){function Pe(H){if(!H)return;const{start:we,end:Ae}=H;return{startLineNumber:we.line+1,startColumn:we.character+1,endLineNumber:Ae.line+1,endColumn:Ae.character+1}}be.from=Pe;function ue(H){if(!H)return;const{startLineNumber:we,startColumn:Ae,endLineNumber:qe,endColumn:ze}=H;return new n.$4L(we-1,Ae-1,qe-1,ze-1)}be.to=ue})(a||(e.Range=a={}));var $;(function(be){function Pe(H){return{uri:H.uri,range:a.from(H.range)}}be.from=Pe;function ue(H){return new n.$bM(m.URI.revive(H.uri),a.to(H.range))}be.to=ue})($||(e.Location=$={}));var O;(function(be){function Pe(ue){switch(ue){case 1:return n.StandardTokenType.Comment;case 0:return n.StandardTokenType.Other;case 3:return n.StandardTokenType.RegEx;case 2:return n.StandardTokenType.String}}be.to=Pe})(O||(e.TokenType=O={}));var P;(function(be){function Pe(H){return new n.$3L(H.lineNumber-1,H.column-1)}be.to=Pe;function ue(H){return{lineNumber:H.line+1,column:H.character+1}}be.from=ue})(P||(e.Position=P={}));var y;(function(be){function Pe(we,Ae,qe){return(0,E.$Hb)((0,E.$3b)(we).map(ze=>ue(ze,Ae,qe)))}be.from=Pe;function ue(we,Ae,qe){if(typeof we=="string")return{$serialized:!0,language:we,isBuiltin:qe?.isBuiltin};if(we)return{$serialized:!0,language:we.language,scheme:H(we.scheme,Ae),pattern:Be.from(we.pattern)??void 0,exclusive:we.exclusive,notebookType:we.notebookType,isBuiltin:qe?.isBuiltin}}function H(we,Ae){return Ae&&typeof we=="string"?Ae.transformOutgoingScheme(we):we}})(y||(e.DocumentSelector=y={}));var A;(function(be){function Pe(H){switch(H){case n.DiagnosticTag.Unnecessary:return 1;case n.DiagnosticTag.Deprecated:return 2}}be.from=Pe;function ue(H){switch(H){case 1:return n.DiagnosticTag.Unnecessary;case 2:return n.DiagnosticTag.Deprecated;default:return}}be.to=ue})(A||(e.DiagnosticTag=A={}));var F;(function(be){function Pe(H){let we;return H.code&&((0,d.$Sf)(H.code)||(0,d.$Wf)(H.code)?we=String(H.code):we={value:String(H.code.value),target:H.code.target}),{...a.from(H.range),message:H.message,source:H.source,code:we,severity:te.from(H.severity),relatedInformation:H.relatedInformation&&H.relatedInformation.map(Q.from),tags:Array.isArray(H.tags)?(0,E.$Hb)(H.tags.map(A.from)):void 0}}be.from=Pe;function ue(H){const we=new n.$dM(a.to(H),H.message,te.to(H.severity));return we.source=H.source,we.code=(0,d.$Sf)(H.code)?H.code:H.code?.value,we.relatedInformation=H.relatedInformation&&H.relatedInformation.map(Q.to),we.tags=H.tags&&(0,E.$Hb)(H.tags.map(A.to)),we}be.to=ue})(F||(e.Diagnostic=F={}));var Q;(function(be){function Pe(H){return{...a.from(H.location.range),message:H.message,resource:H.location.uri}}be.from=Pe;function ue(H){return new n.$cM(new n.$bM(H.resource,a.to(H)),H.message)}be.to=ue})(Q||(e.DiagnosticRelatedInformation=Q={}));var te;(function(be){function Pe(H){switch(H){case n.DiagnosticSeverity.Error:return c.MarkerSeverity.Error;case n.DiagnosticSeverity.Warning:return c.MarkerSeverity.Warning;case n.DiagnosticSeverity.Information:return c.MarkerSeverity.Info;case n.DiagnosticSeverity.Hint:return c.MarkerSeverity.Hint}return c.MarkerSeverity.Error}be.from=Pe;function ue(H){switch(H){case c.MarkerSeverity.Info:return n.DiagnosticSeverity.Information;case c.MarkerSeverity.Warning:return n.DiagnosticSeverity.Warning;case c.MarkerSeverity.Error:return n.DiagnosticSeverity.Error;case c.MarkerSeverity.Hint:return n.DiagnosticSeverity.Hint;default:return n.DiagnosticSeverity.Error}}be.to=ue})(te||(e.DiagnosticSeverity=te={}));var de;(function(be){function Pe(H){return typeof H=="number"&&H>=n.ViewColumn.One?H-1:H===n.ViewColumn.Beside?s.$qD:s.$pD}be.from=Pe;function ue(H){if(typeof H=="number"&&H>=0)return H+1;throw new Error("invalid 'EditorGroupColumn'")}be.to=ue})(de||(e.ViewColumn=de={}));function he(be){return typeof be.range<"u"}function B(be){return be.length===0?!0:!!he(be[0])}e.$bO=B;var V;(function(be){function Pe(ze){return ze.map(be.from)}be.fromMany=Pe;function ue(ze){return ze&&typeof ze=="object"&&typeof ze.language=="string"&&typeof ze.value=="string"}function H(ze){let Ke;if(ue(ze)){const{language:ut,value:mt}=ze;Ke={value:"```"+ut+`
`+mt+"\n```\n"}}else n.$qM.isMarkdownString(ze)?Ke={value:ze.value,isTrusted:ze.isTrusted,supportThemeIcons:ze.supportThemeIcons,supportHtml:ze.supportHtml,baseUri:ze.baseUri}:typeof ze=="string"?Ke={value:ze}:Ke={value:""};const st=Object.create(null);Ke.uris=st;const dt=ut=>{try{let mt=m.URI.parse(ut,!0);mt=mt.with({query:we(mt.query,st)}),st[ut]=mt}catch{}return""},pt=new v.marked.Renderer;return pt.link=dt,pt.image=ut=>typeof ut=="string"?dt(D.$Ak(ut).href):"",(0,v.marked)(Ke.value,{renderer:pt}),Ke}be.from=H;function we(ze,Ke){if(!ze)return ze;let st;try{st=(0,w.$Mh)(ze)}catch{}if(!st)return ze;let dt=!1;return st=(0,k.$Jn)(st,pt=>{if(m.URI.isUri(pt)){const ut=`__uri_${Math.random().toString(16).slice(2,8)}`;return Ke[ut]=pt,dt=!0,ut}else return}),dt?JSON.stringify(st):ze}function Ae(ze){const Ke=new n.$qM(ze.value,ze.supportThemeIcons);return Ke.isTrusted=ze.isTrusted,Ke.supportHtml=ze.supportHtml,Ke.baseUri=ze.baseUri?m.URI.from(ze.baseUri):void 0,Ke}be.to=Ae;function qe(ze){if(ze)return typeof ze=="string"?ze:be.from(ze)}be.fromStrict=qe})(V||(e.MarkdownString=V={}));function _(be){return B(be)?be.map(Pe=>({range:a.from(Pe.range),hoverMessage:Array.isArray(Pe.hoverMessage)?V.fromMany(Pe.hoverMessage):Pe.hoverMessage?V.from(Pe.hoverMessage):void 0,renderOptions:Pe.renderOptions})):be.map(Pe=>({range:a.from(Pe)}))}e.$cO=_;function X(be){return typeof be>"u"?be:typeof be=="string"?m.URI.file(be):be}e.$dO=X;var ne;(function(be){function Pe(ue){return typeof ue>"u"?ue:{contentText:ue.contentText,contentIconPath:ue.contentIconPath?X(ue.contentIconPath):void 0,border:ue.border,borderColor:ue.borderColor,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,color:ue.color,backgroundColor:ue.backgroundColor,margin:ue.margin,width:ue.width,height:ue.height}}be.from=Pe})(ne||(e.ThemableDecorationAttachmentRenderOptions=ne={}));var K;(function(be){function Pe(ue){return typeof ue>"u"?ue:{backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?X(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?ne.from(ue.before):void 0,after:ue.after?ne.from(ue.after):void 0}}be.from=Pe})(K||(e.ThemableDecorationRenderOptions=K={}));var G;(function(be){function Pe(ue){if(typeof ue>"u")return ue;switch(ue){case n.DecorationRangeBehavior.OpenOpen:return 0;case n.DecorationRangeBehavior.ClosedClosed:return 1;case n.DecorationRangeBehavior.OpenClosed:return 2;case n.DecorationRangeBehavior.ClosedOpen:return 3}}be.from=Pe})(G||(e.DecorationRangeBehavior=G={}));var oe;(function(be){function Pe(ue){return{isWholeLine:ue.isWholeLine,rangeBehavior:ue.rangeBehavior?G.from(ue.rangeBehavior):void 0,overviewRulerLane:ue.overviewRulerLane,light:ue.light?K.from(ue.light):void 0,dark:ue.dark?K.from(ue.dark):void 0,backgroundColor:ue.backgroundColor,outline:ue.outline,outlineColor:ue.outlineColor,outlineStyle:ue.outlineStyle,outlineWidth:ue.outlineWidth,border:ue.border,borderColor:ue.borderColor,borderRadius:ue.borderRadius,borderSpacing:ue.borderSpacing,borderStyle:ue.borderStyle,borderWidth:ue.borderWidth,fontStyle:ue.fontStyle,fontWeight:ue.fontWeight,textDecoration:ue.textDecoration,cursor:ue.cursor,color:ue.color,opacity:ue.opacity,letterSpacing:ue.letterSpacing,gutterIconPath:ue.gutterIconPath?X(ue.gutterIconPath):void 0,gutterIconSize:ue.gutterIconSize,overviewRulerColor:ue.overviewRulerColor,before:ue.before?ne.from(ue.before):void 0,after:ue.after?ne.from(ue.after):void 0}}be.from=Pe})(oe||(e.DecorationRenderOptions=oe={}));var ce;(function(be){function Pe(H){return{text:H.newText,eol:H.newEol&&me.from(H.newEol),range:a.from(H.range)}}be.from=Pe;function ue(H){const we=new n.$9L(a.to(H.range),H.text);return we.newEol=typeof H.eol>"u"?void 0:me.to(H.eol),we}be.to=ue})(ce||(e.TextEdit=ce={}));var se;(function(be){function Pe(H,we){const Ae={edits:[]};if(H instanceof n.$_L){const qe=new S.$Bc;for(const ze of H._allEntries())ze._type===1&&m.URI.isUri(ze.to)&&ze.from===void 0&&qe.add(ze.to);for(const ze of H._allEntries())if(ze._type===1){let Ke;ze.options?.contents&&(ArrayBuffer.isView(ze.options.contents)?Ke={type:"base64",value:(0,R.$Me)(R.$se.wrap(ze.options.contents))}:Ke={type:"dataTransferItem",id:ze.options.contents._itemId}),Ae.edits.push({oldResource:ze.from,newResource:ze.to,options:{...ze.options,contents:Ke},metadata:ze.metadata})}else ze._type===2?Ae.edits.push({resource:ze.uri,textEdit:ce.from(ze.edit),versionId:qe.has(ze.uri)?void 0:we?.getTextDocumentVersion(ze.uri),metadata:ze.metadata}):ze._type===6?Ae.edits.push({resource:ze.uri,textEdit:{range:a.from(ze.range),text:ze.edit.value,insertAsSnippet:!0},versionId:qe.has(ze.uri)?void 0:we?.getTextDocumentVersion(ze.uri),metadata:ze.metadata}):ze._type===3?Ae.edits.push({metadata:ze.metadata,resource:ze.uri,cellEdit:ze.edit,notebookMetadata:ze.notebookMetadata,notebookVersionId:we?.getNotebookDocumentVersion(ze.uri)}):ze._type===5&&Ae.edits.push({metadata:ze.metadata,resource:ze.uri,notebookVersionId:we?.getNotebookDocumentVersion(ze.uri),cellEdit:{editType:1,index:ze.index,count:ze.count,cells:ze.cells.map(at.from)}})}return Ae}be.from=Pe;function ue(H){const we=new n.$_L,Ae=new S.$Ac;for(const qe of H.edits)if(qe.textEdit){const ze=qe,Ke=m.URI.revive(ze.resource),st=a.to(ze.textEdit.range),dt=ze.textEdit.text,pt=ze.textEdit.insertAsSnippet;let ut;pt?ut=n.$$L.replace(st,new n.$aM(dt)):ut=n.$9L.replace(st,dt);const mt=Ae.get(Ke);mt?mt.push(ut):Ae.set(Ke,[ut])}else we.renameFile(m.URI.revive(qe.oldResource),m.URI.revive(qe.newResource),qe.options);for(const[qe,ze]of Ae)we.set(qe,ze);return we}be.to=ue})(se||(e.WorkspaceEdit=se={}));var ge;(function(be){const Pe=Object.create(null);Pe[n.SymbolKind.File]=0,Pe[n.SymbolKind.Module]=1,Pe[n.SymbolKind.Namespace]=2,Pe[n.SymbolKind.Package]=3,Pe[n.SymbolKind.Class]=4,Pe[n.SymbolKind.Method]=5,Pe[n.SymbolKind.Property]=6,Pe[n.SymbolKind.Field]=7,Pe[n.SymbolKind.Constructor]=8,Pe[n.SymbolKind.Enum]=9,Pe[n.SymbolKind.Interface]=10,Pe[n.SymbolKind.Function]=11,Pe[n.SymbolKind.Variable]=12,Pe[n.SymbolKind.Constant]=13,Pe[n.SymbolKind.String]=14,Pe[n.SymbolKind.Number]=15,Pe[n.SymbolKind.Boolean]=16,Pe[n.SymbolKind.Array]=17,Pe[n.SymbolKind.Object]=18,Pe[n.SymbolKind.Key]=19,Pe[n.SymbolKind.Null]=20,Pe[n.SymbolKind.EnumMember]=21,Pe[n.SymbolKind.Struct]=22,Pe[n.SymbolKind.Event]=23,Pe[n.SymbolKind.Operator]=24,Pe[n.SymbolKind.TypeParameter]=25;function ue(we){return typeof Pe[we]=="number"?Pe[we]:6}be.from=ue;function H(we){for(const Ae in Pe)if(Pe[Ae]===we)return Number(Ae);return n.SymbolKind.Property}be.to=H})(ge||(e.SymbolKind=ge={}));var U;(function(be){function Pe(H){switch(H){case n.SymbolTag.Deprecated:return 1}}be.from=Pe;function ue(H){switch(H){case 1:return n.SymbolTag.Deprecated}}be.to=ue})(U||(e.SymbolTag=U={}));var q;(function(be){function Pe(H){return{name:H.name,kind:ge.from(H.kind),tags:H.tags&&H.tags.map(U.from),containerName:H.containerName,location:Z.from(H.location)}}be.from=Pe;function ue(H){const we=new n.$hM(H.name,ge.to(H.kind),H.containerName,Z.to(H.location));return we.tags=H.tags&&H.tags.map(U.to),we}be.to=ue})(q||(e.WorkspaceSymbol=q={}));var M;(function(be){function Pe(H){const we={name:H.name||"!!MISSING: name!!",detail:H.detail,range:a.from(H.range),selectionRange:a.from(H.selectionRange),kind:ge.from(H.kind),tags:H.tags?.map(U.from)??[]};return H.children&&(we.children=H.children.map(Pe)),we}be.from=Pe;function ue(H){const we=new n.$iM(H.name,H.detail,ge.to(H.kind),a.to(H.range),a.to(H.selectionRange));return(0,E.$Lb)(H.tags)&&(we.tags=H.tags.map(U.to)),H.children&&(we.children=H.children.map(ue)),we}be.to=ue})(M||(e.DocumentSymbol=M={}));var z;(function(be){function Pe(H){const we=new n.$mM(ge.to(H.kind),H.name,H.detail||"",m.URI.revive(H.uri),a.to(H.range),a.to(H.selectionRange));return we._sessionId=H._sessionId,we._itemId=H._itemId,we}be.to=Pe;function ue(H,we,Ae){if(we=we??H._sessionId,Ae=Ae??H._itemId,we===void 0||Ae===void 0)throw new Error("invalid item");return{_sessionId:we,_itemId:Ae,name:H.name,detail:H.detail,kind:ge.from(H.kind),uri:H.uri,range:a.from(H.range),selectionRange:a.from(H.selectionRange),tags:H.tags?.map(U.from)}}be.from=ue})(z||(e.CallHierarchyItem=z={}));var x;(function(be){function Pe(ue){return new n.$nM(z.to(ue.from),ue.fromRanges.map(H=>a.to(H)))}be.to=Pe})(x||(e.CallHierarchyIncomingCall=x={}));var Y;(function(be){function Pe(ue){return new n.$oM(z.to(ue.to),ue.fromRanges.map(H=>a.to(H)))}be.to=Pe})(Y||(e.CallHierarchyOutgoingCall=Y={}));var Z;(function(be){function Pe(H){return{range:H.range&&a.from(H.range),uri:H.uri}}be.from=Pe;function ue(H){return new n.$bM(m.URI.revive(H.uri),a.to(H.range))}be.to=ue})(Z||(e.location=Z={}));var W;(function(be){function Pe(H){const we=H,Ae=H;return{originSelectionRange:we.originSelectionRange?a.from(we.originSelectionRange):void 0,uri:we.targetUri?we.targetUri:Ae.uri,range:a.from(we.targetRange?we.targetRange:Ae.range),targetSelectionRange:we.targetSelectionRange?a.from(we.targetSelectionRange):void 0}}be.from=Pe;function ue(H){return{targetUri:m.URI.revive(H.uri),targetRange:a.to(H.range),targetSelectionRange:H.targetSelectionRange?a.to(H.targetSelectionRange):void 0,originSelectionRange:H.originSelectionRange?a.to(H.originSelectionRange):void 0}}be.to=ue})(W||(e.DefinitionLink=W={}));var J;(function(be){function Pe(H){return{range:a.from(H.range),contents:V.fromMany(H.contents)}}be.from=Pe;function ue(H){return new n.$eM(H.contents.map(V.to),a.to(H.range))}be.to=ue})(J||(e.Hover=J={}));var N;(function(be){function Pe(H){return{range:a.from(H.range),expression:H.expression}}be.from=Pe;function ue(H){return new n.$$M(a.to(H.range),H.expression)}be.to=ue})(N||(e.EvaluatableExpression=N={}));var T;(function(be){function Pe(H){if(H instanceof n.$_M)return{type:"text",range:a.from(H.range),text:H.text};if(H instanceof n.$aN)return{type:"variable",range:a.from(H.range),variableName:H.variableName,caseSensitiveLookup:H.caseSensitiveLookup};if(H instanceof n.$bN)return{type:"expression",range:a.from(H.range),expression:H.expression};throw new Error("Unknown 'InlineValue' type")}be.from=Pe;function ue(H){switch(H.type){case"text":return{range:a.to(H.range),text:H.text};case"variable":return{range:a.to(H.range),variableName:H.variableName,caseSensitiveLookup:H.caseSensitiveLookup};case"expression":return{range:a.to(H.range),expression:H.expression}}}be.to=ue})(T||(e.InlineValue=T={}));var ee;(function(be){function Pe(H){return{frameId:H.frameId,stoppedLocation:a.from(H.stoppedLocation)}}be.from=Pe;function ue(H){return new n.$cN(H.frameId,a.to(H.stoppedLocation))}be.to=ue})(ee||(e.InlineValueContext=ee={}));var ie;(function(be){function Pe(H){return{range:a.from(H.range),kind:H.kind}}be.from=Pe;function ue(H){return new n.$fM(a.to(H.range),H.kind)}be.to=ue})(ie||(e.DocumentHighlight=ie={}));var fe;(function(be){function Pe(H){return{uri:H.uri,highlights:H.highlights.map(ie.from)}}be.from=Pe;function ue(H){return new n.$gM(m.URI.revive(H.uri),H.highlights.map(ie.to))}be.to=ue})(fe||(e.MultiDocumentHighlight=fe={}));var ae;(function(be){function Pe(ue){switch(ue){case 1:return n.CompletionTriggerKind.TriggerCharacter;case 2:return n.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return n.CompletionTriggerKind.Invoke}}be.to=Pe})(ae||(e.CompletionTriggerKind=ae={}));var pe;(function(be){function Pe(ue){return{triggerKind:ae.to(ue.triggerKind),triggerCharacter:ue.triggerCharacter}}be.to=Pe})(pe||(e.CompletionContext=pe={}));var Ee;(function(be){function Pe(H){switch(H){case n.CompletionItemTag.Deprecated:return 1}}be.from=Pe;function ue(H){switch(H){case 1:return n.CompletionItemTag.Deprecated}}be.to=ue})(Ee||(e.CompletionItemTag=Ee={}));var Ie;(function(be){const Pe=new Map([[n.CompletionItemKind.Method,0],[n.CompletionItemKind.Function,1],[n.CompletionItemKind.Constructor,2],[n.CompletionItemKind.Field,3],[n.CompletionItemKind.Variable,4],[n.CompletionItemKind.Class,5],[n.CompletionItemKind.Interface,7],[n.CompletionItemKind.Struct,6],[n.CompletionItemKind.Module,8],[n.CompletionItemKind.Property,9],[n.CompletionItemKind.Unit,12],[n.CompletionItemKind.Value,13],[n.CompletionItemKind.Constant,14],[n.CompletionItemKind.Enum,15],[n.CompletionItemKind.EnumMember,16],[n.CompletionItemKind.Keyword,17],[n.CompletionItemKind.Snippet,27],[n.CompletionItemKind.Text,18],[n.CompletionItemKind.Color,19],[n.CompletionItemKind.File,20],[n.CompletionItemKind.Reference,21],[n.CompletionItemKind.Folder,23],[n.CompletionItemKind.Event,10],[n.CompletionItemKind.Operator,11],[n.CompletionItemKind.TypeParameter,24],[n.CompletionItemKind.Issue,26],[n.CompletionItemKind.User,25]]);function ue(Ae){return Pe.get(Ae)??9}be.from=ue;const H=new Map([[0,n.CompletionItemKind.Method],[1,n.CompletionItemKind.Function],[2,n.CompletionItemKind.Constructor],[3,n.CompletionItemKind.Field],[4,n.CompletionItemKind.Variable],[5,n.CompletionItemKind.Class],[7,n.CompletionItemKind.Interface],[6,n.CompletionItemKind.Struct],[8,n.CompletionItemKind.Module],[9,n.CompletionItemKind.Property],[12,n.CompletionItemKind.Unit],[13,n.CompletionItemKind.Value],[14,n.CompletionItemKind.Constant],[15,n.CompletionItemKind.Enum],[16,n.CompletionItemKind.EnumMember],[17,n.CompletionItemKind.Keyword],[27,n.CompletionItemKind.Snippet],[18,n.CompletionItemKind.Text],[19,n.CompletionItemKind.Color],[20,n.CompletionItemKind.File],[21,n.CompletionItemKind.Reference],[23,n.CompletionItemKind.Folder],[10,n.CompletionItemKind.Event],[11,n.CompletionItemKind.Operator],[24,n.CompletionItemKind.TypeParameter],[25,n.CompletionItemKind.User],[26,n.CompletionItemKind.Issue]]);function we(Ae){return H.get(Ae)??n.CompletionItemKind.Property}be.to=we})(Ie||(e.CompletionItemKind=Ie={}));var Ne;(function(be){function Pe(ue,H){const we=new n.$wM(ue.label);return we.insertText=ue.insertText,we.kind=Ie.to(ue.kind),we.tags=ue.tags?.map(Ee.to),we.detail=ue.detail,we.documentation=D.$uk(ue.documentation)?V.to(ue.documentation):ue.documentation,we.sortText=ue.sortText,we.filterText=ue.filterText,we.preselect=ue.preselect,we.commitCharacters=ue.commitCharacters,l.$6s.isIRange(ue.range)?we.range=a.to(ue.range):typeof ue.range=="object"&&(we.range={inserting:a.to(ue.range.insert),replacing:a.to(ue.range.replace)}),we.keepWhitespace=typeof ue.insertTextRules>"u"?!1:!!(ue.insertTextRules&1),typeof ue.insertTextRules<"u"&&ue.insertTextRules&4?we.insertText=new n.$aM(ue.insertText):(we.insertText=ue.insertText,we.textEdit=we.range instanceof n.$4L?new n.$9L(we.range,we.insertText):void 0),ue.additionalTextEdits&&ue.additionalTextEdits.length>0&&(we.additionalTextEdits=ue.additionalTextEdits.map(Ae=>ce.to(Ae))),we.command=H&&ue.command?H.fromInternal(ue.command):void 0,we}be.to=Pe})(Ne||(e.CompletionItem=Ne={}));var $e;(function(be){function Pe(H){if(typeof H.label!="string"&&!Array.isArray(H.label))throw new TypeError("Invalid label");return{label:H.label,documentation:V.fromStrict(H.documentation)}}be.from=Pe;function ue(H){return{label:H.label,documentation:D.$uk(H.documentation)?V.to(H.documentation):H.documentation}}be.to=ue})($e||(e.ParameterInformation=$e={}));var Se;(function(be){function Pe(H){return{label:H.label,documentation:V.fromStrict(H.documentation),parameters:Array.isArray(H.parameters)?H.parameters.map($e.from):[],activeParameter:H.activeParameter}}be.from=Pe;function ue(H){return{label:H.label,documentation:D.$uk(H.documentation)?V.to(H.documentation):H.documentation,parameters:Array.isArray(H.parameters)?H.parameters.map($e.to):[],activeParameter:H.activeParameter}}be.to=ue})(Se||(e.SignatureInformation=Se={}));var De;(function(be){function Pe(H){return{activeSignature:H.activeSignature,activeParameter:H.activeParameter,signatures:Array.isArray(H.signatures)?H.signatures.map(Se.from):[]}}be.from=Pe;function ue(H){return{activeSignature:H.activeSignature,activeParameter:H.activeParameter,signatures:Array.isArray(H.signatures)?H.signatures.map(Se.to):[]}}be.to=ue})(De||(e.SignatureHelp=De={}));var Te;(function(be){function Pe(ue,H){const we=new n.$vM(P.to(H.position),typeof H.label=="string"?H.label:H.label.map(Fe.to.bind(void 0,ue)),H.kind&&Ve.to(H.kind));return we.textEdits=H.textEdits&&H.textEdits.map(ce.to),we.tooltip=D.$uk(H.tooltip)?V.to(H.tooltip):H.tooltip,we.paddingLeft=H.paddingLeft,we.paddingRight=H.paddingRight,we}be.to=Pe})(Te||(e.InlayHint=Te={}));var Fe;(function(be){function Pe(ue,H){const we=new n.$uM(H.label);return we.tooltip=D.$uk(H.tooltip)?V.to(H.tooltip):H.tooltip,b.Command.is(H.command)&&(we.command=ue.fromInternal(H.command)),H.location&&(we.location=Z.to(H.location)),we}be.to=Pe})(Fe||(e.InlayHintLabelPart=Fe={}));var Ve;(function(be){function Pe(H){return H}be.from=Pe;function ue(H){return H}be.to=ue})(Ve||(e.InlayHintKind=Ve={}));var He;(function(be){function Pe(H){return{range:a.from(H.range),url:H.target,tooltip:H.tooltip}}be.from=Pe;function ue(H){let we;if(H.url)try{we=typeof H.url=="string"?m.URI.parse(H.url,!0):m.URI.revive(H.url)}catch{}return new n.$BM(a.to(H.range),we)}be.to=ue})(He||(e.DocumentLink=He={}));var Je;(function(be){function Pe(H){const we=new n.$EM(H.label);return H.textEdit&&(we.textEdit=ce.to(H.textEdit)),H.additionalTextEdits&&(we.additionalTextEdits=H.additionalTextEdits.map(Ae=>ce.to(Ae))),we}be.to=Pe;function ue(H){return{label:H.label,textEdit:H.textEdit?ce.from(H.textEdit):void 0,additionalTextEdits:H.additionalTextEdits?H.additionalTextEdits.map(we=>ce.from(we)):void 0}}be.from=ue})(Je||(e.ColorPresentation=Je={}));var Ye;(function(be){function Pe(H){return new n.$CM(H[0],H[1],H[2],H[3])}be.to=Pe;function ue(H){return[H.red,H.green,H.blue,H.alpha]}be.from=ue})(Ye||(e.Color=Ye={}));var _e;(function(be){function Pe(H){return{range:a.from(H.range)}}be.from=Pe;function ue(H){return new n.$lM(a.to(H.range))}be.to=ue})(_e||(e.SelectionRange=_e={}));var et;(function(be){function Pe(ue){switch(ue){case 2:return n.TextDocumentSaveReason.AfterDelay;case 1:return n.TextDocumentSaveReason.Manual;case 3:case 4:return n.TextDocumentSaveReason.FocusOut}}be.to=Pe})(et||(e.TextDocumentSaveReason=et={}));var Xe;(function(be){function Pe(H){switch(H){case n.TextEditorLineNumbersStyle.Off:return 0;case n.TextEditorLineNumbersStyle.Relative:return 2;case n.TextEditorLineNumbersStyle.Interval:return 3;case n.TextEditorLineNumbersStyle.On:default:return 1}}be.from=Pe;function ue(H){switch(H){case 0:return n.TextEditorLineNumbersStyle.Off;case 2:return n.TextEditorLineNumbersStyle.Relative;case 3:return n.TextEditorLineNumbersStyle.Interval;case 1:default:return n.TextEditorLineNumbersStyle.On}}be.to=ue})(Xe||(e.TextEditorLineNumbersStyle=Xe={}));var me;(function(be){function Pe(H){if(H===n.EndOfLine.CRLF)return 1;if(H===n.EndOfLine.LF)return 0}be.from=Pe;function ue(H){if(H===1)return n.EndOfLine.CRLF;if(H===0)return n.EndOfLine.LF}be.to=ue})(me||(e.EndOfLine=me={}));var Ce;(function(be){function Pe(ue){if(typeof ue=="object")return ue.viewId;switch(ue){case n.ProgressLocation.SourceControl:return 3;case n.ProgressLocation.Window:return 10;case n.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}be.from=Pe})(Ce||(e.ProgressLocation=Ce={}));var Le;(function(be){function Pe(H){const we={start:H.start+1,end:H.end+1};return H.kind&&(we.kind=Re.from(H.kind)),we}be.from=Pe;function ue(H){const we={start:H.start-1,end:H.end-1};return H.kind&&(we.kind=Re.to(H.kind)),we}be.to=ue})(Le||(e.FoldingRange=Le={}));var Re;(function(be){function Pe(H){if(H)switch(H){case n.FoldingRangeKind.Comment:return b.$Wt.Comment;case n.FoldingRangeKind.Imports:return b.$Wt.Imports;case n.FoldingRangeKind.Region:return b.$Wt.Region}}be.from=Pe;function ue(H){if(H)switch(H.value){case b.$Wt.Comment.value:return n.FoldingRangeKind.Comment;case b.$Wt.Imports.value:return n.FoldingRangeKind.Imports;case b.$Wt.Region.value:return n.FoldingRangeKind.Region}}be.to=ue})(Re||(e.FoldingRangeKind=Re={}));var je;(function(be){function Pe(ue){if(ue)return{pinned:typeof ue.preview=="boolean"?!ue.preview:void 0,inactive:ue.background,preserveFocus:ue.preserveFocus,selection:typeof ue.selection=="object"?a.from(ue.selection):void 0,override:typeof ue.override=="boolean"?h.$SE.id:void 0}}be.from=Pe})(je||(e.TextEditorOpenOptions=je={}));var Be;(function(be){function Pe(Ae){return Ae instanceof n.$YM?Ae.toJSON():typeof Ae=="string"?Ae:ue(Ae)||H(Ae)?new n.$YM(Ae.baseUri??Ae.base,Ae.pattern).toJSON():Ae}be.from=Pe;function ue(Ae){const qe=Ae;return qe?m.URI.isUri(qe.baseUri)&&typeof qe.pattern=="string":!1}function H(Ae){const qe=Ae;return qe?typeof qe.base=="string"&&typeof qe.pattern=="string":!1}function we(Ae){return typeof Ae=="string"?Ae:new n.$YM(m.URI.revive(Ae.baseUri),Ae.pattern)}be.to=we})(Be||(e.GlobPattern=Be={}));var We;(function(be){function Pe(ue){if(ue){if(Array.isArray(ue))return ue.map(Pe);if(typeof ue=="string")return ue;{const H=ue;return{language:H.language,scheme:H.scheme,pattern:Be.from(H.pattern),exclusive:H.exclusive,notebookType:H.notebookType}}}else return}be.from=Pe})(We||(e.LanguageSelector=We={}));var xe;(function(be){function Pe(H){return!!H&&typeof H=="object"&&"documents"in H&&Array.isArray(H.documents)&&H.documents.every(we=>Array.isArray(we)&&we.every(Ae=>Ae&&typeof Ae=="object"&&"uri"in Ae&&m.URI.isUri(Ae.uri)&&"version"in Ae&&typeof Ae.version=="number"&&"ranges"in Ae&&Array.isArray(Ae.ranges)&&Ae.ranges.every(qe=>qe instanceof n.$4L)))}be.is=Pe;function ue(H){return{documents:H.documents.map(we=>we.map(Ae=>({uri:m.URI.from(Ae.uri),version:Ae.version,ranges:Ae.ranges.map(qe=>a.from(qe))})))}}be.from=ue})(xe||(e.MappedEditsContext=xe={}));var it;(function(be){function Pe(H){return{start:H.start,end:H.end}}be.from=Pe;function ue(H){return new n.$pN(H.start,H.end)}be.to=ue})(it||(e.NotebookRange=it={}));var Ze;(function(be){function Pe(H){return{timing:typeof H.runStartTime=="number"&&typeof H.runEndTime=="number"?{startTime:H.runStartTime,endTime:H.runEndTime}:void 0,executionOrder:H.executionOrder,success:H.lastRunSuccess}}be.to=Pe;function ue(H){return{lastRunSuccess:H.success,runStartTime:H.timing?.startTime,runEndTime:H.timing?.endTime,executionOrder:H.executionOrder}}be.from=ue})(Ze||(e.NotebookCellExecutionSummary=Ze={}));var nt;(function(be){function Pe(ue){if(ue===f.NotebookCellExecutionState.Unconfirmed)return n.NotebookCellExecutionState.Pending;if(ue===f.NotebookCellExecutionState.Pending)return;if(ue===f.NotebookCellExecutionState.Executing)return n.NotebookCellExecutionState.Executing;throw new Error(`Unknown state: ${ue}`)}be.to=Pe})(nt||(e.NotebookCellExecutionState=nt={}));var ot;(function(be){function Pe(H){switch(H){case n.NotebookCellKind.Markup:return f.CellKind.Markup;case n.NotebookCellKind.Code:default:return f.CellKind.Code}}be.from=Pe;function ue(H){switch(H){case f.CellKind.Markup:return n.NotebookCellKind.Markup;case f.CellKind.Code:default:return n.NotebookCellKind.Code}}be.to=ue})(ot||(e.NotebookCellKind=ot={}));var ct;(function(be){function Pe(H){const we={metadata:H.metadata??Object.create(null),cells:[]};for(const Ae of H.cells)n.$qN.validate(Ae),we.cells.push(at.from(Ae));return we}be.from=Pe;function ue(H){const we=new n.$rN(H.cells.map(at.to));return(0,d.$6f)(H.metadata)||(we.metadata=H.metadata),we}be.to=ue})(ct||(e.NotebookData=ct={}));var at;(function(be){function Pe(H){return{cellKind:ot.from(H.kind),language:H.languageId,mime:H.mime,source:H.value,metadata:H.metadata,internalMetadata:Ze.from(H.executionSummary??{}),outputs:H.outputs?H.outputs.map(St.from):[]}}be.from=Pe;function ue(H){return new n.$qN(ot.to(H.cellKind),H.source,H.language,H.mime,H.outputs?H.outputs.map(St.to):void 0,H.metadata,H.internalMetadata?Ze.to(H.internalMetadata):void 0)}be.to=ue})(at||(e.NotebookCellData=at={}));var lt;(function(be){function Pe(H){return{mime:H.mime,valueBytes:R.$se.wrap(H.data)}}be.from=Pe;function ue(H){return new n.$sN(H.valueBytes.buffer,H.mime)}be.to=ue})(lt||(e.NotebookCellOutputItem=lt={}));var St;(function(be){function Pe(H){return{outputId:H.id,items:H.items.map(lt.from),metadata:H.metadata}}be.from=Pe;function ue(H){const we=H.items.map(lt.to);return new n.$tN(we,H.outputId,H.metadata)}be.to=ue})(St||(e.NotebookCellOutput=St={}));var Ht;(function(be){function Pe(we){return H(we)?{include:Be.from(we.include)??void 0,exclude:Be.from(we.exclude)??void 0}:Be.from(we)??void 0}be.from=Pe;function ue(we){return H(we)?{include:Be.to(we.include),exclude:Be.to(we.exclude)}:Be.to(we)}be.to=ue;function H(we){const Ae=we;return Ae?!(0,d.$2f)(Ae.include)&&!(0,d.$2f)(Ae.exclude):!1}})(Ht||(e.NotebookExclusiveDocumentPattern=Ht={}));var kt;(function(be){function Pe(ue,H,we){const Ae=typeof ue.command=="string"?{title:"",command:ue.command}:ue.command;return{alignment:ue.alignment===n.NotebookCellStatusBarAlignment.Left?1:2,command:H.toInternal(Ae,we),text:ue.text,tooltip:ue.tooltip,accessibilityInformation:ue.accessibilityInformation,priority:ue.priority}}be.from=Pe})(kt||(e.NotebookStatusBarItem=kt={}));var Ct;(function(be){function Pe(ue,H,we){const Ae=typeof ue.command=="string"?{title:"",command:ue.command}:ue.command;return{command:H.toInternal(Ae,we),label:ue.label,description:ue.description,detail:ue.detail,documentation:ue.documentation}}be.from=Pe})(Ct||(e.NotebookKernelSourceAction=Ct={}));var bt;(function(be){function Pe(ue){return{transientOutputs:ue?.transientOutputs??!1,transientCellMetadata:ue?.transientCellMetadata??{},transientDocumentMetadata:ue?.transientDocumentMetadata??{},cellContentMetadata:ue?.cellContentMetadata??{}}}be.from=Pe})(bt||(e.NotebookDocumentContentOptions=bt={}));var It;(function(be){function Pe(H){return{uri:H.uri,provides:H.provides}}be.from=Pe;function ue(H){return new n.$vN(m.URI.revive(H.uri),H.provides)}be.to=ue})(It||(e.NotebookRendererScript=It={}));var At;(function(be){function Pe(H){return{message:V.fromStrict(H.message)||"",type:0,expected:H.expectedOutput,actual:H.actualOutput,contextValue:H.contextValue,location:H.location&&{range:a.from(H.location.range),uri:H.location.uri}}}be.from=Pe;function ue(H){const we=new n.$BN(typeof H.message=="string"?H.message:V.to(H.message));return we.actualOutput=H.actual,we.expectedOutput=H.expected,we.contextValue=H.contextValue,we.location=H.location?Z.to(H.location):void 0,we}be.to=ue})(At||(e.TestMessage=At={}));var ht;(function(be){be.namespace=t.$UK,be.denamespace=t.$VK})(ht||(e.TestTag=ht={}));var Lt;(function(be){function Pe(H){const we=(0,g.$aO)(H).controllerId;return{extId:u.$QK.fromExtHostTestItem(H,we).toString(),label:H.label,uri:m.URI.revive(H.uri),busy:H.busy,tags:H.tags.map(Ae=>ht.namespace(we,Ae.id)),range:l.$6s.lift(a.from(H.range)),description:H.description||null,sortText:H.sortText||null,error:H.error&&V.fromStrict(H.error)||null}}be.from=Pe;function ue(H){return{parent:void 0,error:void 0,id:u.$QK.fromString(H.extId).localId,label:H.label,uri:m.URI.revive(H.uri),tags:(H.tags||[]).map(we=>{const{tagId:Ae}=ht.denamespace(we);return new n.$CN(Ae)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:a.to(H.range||void 0),canResolveChildren:!1,busy:H.busy,description:H.description||void 0,sortText:H.sortText||void 0}}be.toPlain=ue})(Lt||(e.TestItem=Lt={})),function(be){function Pe(H){return{id:H.id}}be.from=Pe;function ue(H){return new n.$CN(H.id)}be.to=ue}(ht||(e.TestTag=ht={}));var Ft;(function(be){const Pe=(H,we)=>{const Ae=[];for(const[ze,Ke]of we)u.$QK.compare(Ke.item.extId,ze)===2&&(we.delete(ze),Ae.push(Ke));const qe={...Lt.toPlain(H.item),parent:void 0,taskStates:H.tasks.map(ze=>({state:ze.state,duration:ze.duration,messages:ze.messages.filter(Ke=>Ke.type===0).map(At.to)})),children:Ae.map(ze=>Pe(ze,we))};for(const ze of qe.children)ze.parent=qe;return qe};function ue(H){const we=[],Ae=new Map;for(const qe of H.items){Ae.set(qe.item.extId,qe);const ze=u.$QK.root(qe.item.extId);H.request.targets.some(Ke=>Ke.controllerId===ze&&Ke.testIds.includes(qe.item.extId))&&we.push(qe)}return{completedAt:H.completedAt,results:we.map(qe=>Pe(qe,Ae))}}be.to=ue})(Ft||(e.TestResults=Ft={}));var rt;(function(be){function Pe(Ae){return{covered:Ae.covered,total:Ae.total}}function ue(Ae){return"line"in Ae?P.from(Ae):a.from(Ae)}function H(Ae){return"branches"in Ae?{count:Ae.executed,location:ue(Ae.location),type:1,branches:Ae.branches.length?Ae.branches.map(qe=>({count:qe.executed,location:qe.location&&ue(qe.location),label:qe.label})):void 0}:{type:0,name:Ae.name,count:Ae.executed,location:ue(Ae.location)}}be.fromDetailed=H;function we(Ae){return{uri:Ae.uri,statement:Pe(Ae.statementCoverage),branch:Ae.branchCoverage&&Pe(Ae.branchCoverage),declaration:Ae.declarationCoverage&&Pe(Ae.declarationCoverage),details:Ae.detailedCoverage?.map(H)}}be.fromFile=we})(rt||(e.TestCoverage=rt={}));var gt;(function(be){function Pe(ue){switch(ue){case 1:return n.CodeActionTriggerKind.Invoke;case 2:return n.CodeActionTriggerKind.Automatic}}be.to=Pe})(gt||(e.CodeActionTriggerKind=gt={}));var wt;(function(be){function Pe(H){const we=new n.$IN(ge.to(H.kind),H.name,H.detail||"",m.URI.revive(H.uri),a.to(H.range),a.to(H.selectionRange));return we._sessionId=H._sessionId,we._itemId=H._itemId,we}be.to=Pe;function ue(H,we,Ae){if(we=we??H._sessionId,Ae=Ae??H._itemId,we===void 0||Ae===void 0)throw new Error("invalid item");return{_sessionId:we,_itemId:Ae,kind:ge.from(H.kind),name:H.name,detail:H.detail??"",uri:H.uri,range:a.from(H.range),selectionRange:a.from(H.selectionRange),tags:H.tags?.map(U.from)}}be.from=ue})(wt||(e.TypeHierarchyItem=wt={}));var Vt;(function(be){function Pe(ue){if(ue)return{value:ue.value,tooltip:ue.tooltip}}be.from=Pe})(Vt||(e.ViewBadge=Vt={}));var Mt;(function(be){function Pe(Ae,qe,ze){const Ke=qe.fileData;return Ke?new n.$RM(new n.$SM(Ke.name,m.URI.revive(Ke.uri),Ke.id,(0,C.$db)(()=>ze(Ke.id)))):Ae===I.$qs.uriList&&qe.uriListData?new n.$QM(we(qe.uriListData)):new n.$QM(qe.asString)}be.to=Pe;async function ue(Ae,qe){const ze=await qe.asString();if(Ae===I.$qs.uriList)return{asString:ze,fileData:void 0,uriListData:H(ze)};const Ke=qe.asFile();return{asString:ze,fileData:Ke?{name:Ke.name,uri:Ke.uri,id:Ke._itemId??Ke.id}:void 0}}be.from=ue;function H(Ae){return o.$Ct.split(Ae).map(qe=>{if(qe.startsWith("#"))return qe;try{return m.URI.parse(qe)}catch{}return qe})}function we(Ae){return o.$Ct.create(Ae.map(qe=>typeof qe=="string"?qe:m.URI.revive(qe)))}})(Mt||(e.DataTransferItem=Mt={}));var Wt;(function(be){function Pe(H,we){const Ae=H.items.map(([qe,ze])=>[qe,Mt.to(qe,ze,we)]);return new n.$TM(Ae)}be.toDataTransfer=Pe;async function ue(H){const we={items:[]},Ae=[];for(const[qe,ze]of H)Ae.push((async()=>{we.items.push([qe,await Mt.from(qe,ze)])})());return await Promise.all(Ae),we}be.from=ue})(Wt||(e.DataTransfer=Wt={}));var jt;(function(be){function Pe(H,we){return{kind:"reply",agentId:H.participant??we?.agentId??"",subCommand:H.command??we?.command,message:H.prompt,title:H.label}}be.from=Pe;function ue(H){return{prompt:H.message,label:H.title,participant:H.agentId,command:H.subCommand}}be.to=ue})(jt||(e.ChatFollowup=jt={}));var Rt;(function(be){function Pe(ue){return"commandId"in ue?{kind:"command",title:ue.title??"",commandId:ue.commandId??"",when:ue.when??"",args:ue.args}:{kind:"reply",message:ue.message,title:ue.title,tooltip:ue.tooltip}}be.from=Pe})(Rt||(e.ChatInlineFollowup=Rt={}));var Gt;(function(be){function Pe(H){switch(H.role){case 0:return new n.$3N(H.content);case 1:return new n.$4N(H.content);case 2:return new n.$5N(H.content)}}be.to=Pe;function ue(H){if(H instanceof n.$3N)return{role:0,content:H.content};if(H instanceof n.$4N)return{role:1,content:H.content};if(H instanceof n.$5N)return{role:2,content:H.content};throw new Error("Invalid LanguageModelMessage")}be.from=ue})(Gt||(e.LanguageModelMessage=Gt={}));var yt;(function(be){function Pe(we){const Ae={};for(const qe of Object.keys(we))Ae[qe]=we[qe].map(be.to);return Ae}be.objectTo=Pe;function ue(we){return{level:$t.to(we.level),kind:we.kind,value:(0,m.$vc)(we.value)?m.URI.revive(we.value):we.value,description:we.description}}be.to=ue;function H(we){return{level:$t.from(we.level),kind:we.kind,value:we.value,description:we.description}}be.from=H})(yt||(e.ChatVariable=yt={}));var $t;(function(be){function Pe(H){switch(H){case"short":return n.ChatVariableLevel.Short;case"medium":return n.ChatVariableLevel.Medium;case"full":default:return n.ChatVariableLevel.Full}}be.to=Pe;function ue(H){switch(H){case n.ChatVariableLevel.Short:return"short";case n.ChatVariableLevel.Medium:return"medium";case n.ChatVariableLevel.Full:default:return"full"}}be.from=ue})($t||(e.ChatVariableLevel=$t={}));var en;(function(be){function Pe(ue){switch(ue){case 1:return n.InteractiveEditorResponseFeedbackKind.Helpful;case 0:return n.InteractiveEditorResponseFeedbackKind.Unhelpful;case 2:return n.InteractiveEditorResponseFeedbackKind.Undone;case 3:return n.InteractiveEditorResponseFeedbackKind.Accepted;case 4:return n.InteractiveEditorResponseFeedbackKind.Bug}}be.to=Pe})(en||(e.InteractiveEditorResponseFeedbackKind=en={}));var Ot;(function(be){function Pe(H){return{kind:"markdownContent",content:V.from(H.value)}}be.to=Pe;function ue(H){return new n.$UN(V.to(H.content))}be.from=ue})(Ot||(e.ChatResponseMarkdownPart=Ot={}));var Jt;(function(be){function Pe(H){const{value:we,baseUri:Ae}=H;function qe(ze,Ke){return ze.map(st=>{const dt=m.URI.joinPath(Ke,st.name);return{label:st.name,uri:dt,children:st.children&&qe(st.children,dt)}})}return{kind:"treeData",treeData:{label:(0,p.$Og)(Ae),uri:Ae,children:qe(we,Ae)}}}be.to=Pe;function ue(H){const we=(0,w.$Nh)(H.treeData);function Ae(Ke){return Ke.map(st=>({name:st.label,children:st.children&&Ae(st.children)}))}const qe=we.uri,ze=we.children?Ae(we.children):[];return new n.$VN(ze,qe)}be.from=ue})(Jt||(e.ChatResponseFilesPart=Jt={}));var Tt;(function(be){function Pe(H){return{kind:"inlineReference",name:H.title,inlineReference:m.URI.isUri(H.value)?H.value:$.from(H.value)}}be.to=Pe;function ue(H){const we=(0,w.$Nh)(H);return new n.$WN(m.URI.isUri(we.inlineReference)?we.inlineReference:$.to(we.inlineReference),H.name)}be.from=ue})(Tt||(e.ChatResponseAnchorPart=Tt={}));var Kt;(function(be){function Pe(H){return{kind:"progressMessage",content:V.from(H.value)}}be.to=Pe;function ue(H){return new n.$XN(H.content.value)}be.from=ue})(Kt||(e.ChatResponseProgressPart=Kt={}));var Yt;(function(be){function Pe(H,we,Ae){return{kind:"command",command:we.toInternal(H.value,Ae)??{command:H.value.command,title:H.value.title}}}be.to=Pe;function ue(H,we){return new n.$YN(we.fromInternal(H.command)??{command:H.command.id,title:H.command.title})}be.from=ue})(Yt||(e.ChatResponseCommandButtonPart=Yt={}));var Ut;(function(be){function Pe(H){return{kind:"reference",reference:m.URI.isUri(H.value)?H.value:$.from(H.value)}}be.to=Pe;function ue(H){const we=(0,w.$Nh)(H);return new n.$ZN(m.URI.isUri(we.reference)?we.reference:$.to(we.reference))}be.from=ue})(Ut||(e.ChatResponseReferencePart=Ut={}));var zt;(function(be){function Pe(we){return we instanceof n.$UN?Ot.to(we):we instanceof n.$WN?Tt.to(we):we instanceof n.$ZN?Ut.to(we):we instanceof n.$XN?Kt.to(we):we instanceof n.$VN?Jt.to(we):{kind:"content",content:""}}be.to=Pe;function ue(we,Ae){switch(we.kind){case"reference":return Ut.from(we);case"markdownContent":case"inlineReference":case"progressMessage":case"treeData":case"command":return H(we,Ae)}}be.from=ue;function H(we,Ae){switch(we.kind){case"markdownContent":return Ot.from(we);case"inlineReference":return Tt.from(we);case"progressMessage":return;case"treeData":return Jt.from(we);case"command":return Yt.from(we,Ae)}}be.fromContent=H})(zt||(e.ChatResponsePart=zt={}));var Bt;(function(be){function Pe(we,Ae){return"markdownContent"in Ae?((0,r.$VF)(we,"chatParticipantAdditions"),{content:V.from(Ae.markdownContent),kind:"markdownContent"}):"content"in Ae?"vulnerabilities"in Ae&&Ae.vulnerabilities?((0,r.$VF)(we,"chatParticipantAdditions"),{content:Ae.content,vulnerabilities:Ae.vulnerabilities,kind:"vulnerability"}):typeof Ae.content=="string"?{content:Ae.content,kind:"content"}:((0,r.$VF)(we,"chatParticipantAdditions"),{content:V.from(Ae.content),kind:"markdownContent"}):"documents"in Ae?{documents:Ae.documents.map(qe=>({uri:qe.uri,version:qe.version,ranges:qe.ranges.map(ze=>a.from(ze))})),kind:"usedContext"}:"reference"in Ae?{reference:"uri"in Ae.reference?{uri:Ae.reference.uri,range:a.from(Ae.reference.range)}:Ae.reference,kind:"reference"}:"inlineReference"in Ae?{inlineReference:"uri"in Ae.inlineReference?{uri:Ae.inlineReference.uri,range:a.from(Ae.inlineReference.range)}:Ae.inlineReference,name:Ae.title,kind:"inlineReference"}:"participant"in Ae?((0,r.$VF)(we,"chatParticipantAdditions"),{agentName:Ae.participant,command:Ae.command,kind:"agentDetection"}):"message"in Ae?{content:V.from(Ae.message),kind:"progressMessage"}:void 0}be.from=Pe;function ue(we){switch(we.kind){case"markdownContent":case"inlineReference":case"treeData":return be.to(we);case"content":return{content:we.content};case"usedContext":return{documents:we.documents.map(Ae=>({uri:m.URI.revive(Ae.uri),version:Ae.version,ranges:Ae.ranges.map(qe=>a.to(qe))}))};case"reference":return{reference:(0,m.$vc)(we.reference)?m.URI.revive(we.reference):$.to(we.reference)};case"agentDetection":return;case"progressMessage":return{message:we.content.value};case"vulnerability":return{content:we.content,vulnerabilities:we.vulnerabilities};default:return}}be.to=ue;function H(we,Ae){switch(we.kind){case"markdownContent":return{content:we.content.value};case"inlineReference":return{inlineReference:(0,m.$vc)(we.inlineReference)?m.URI.revive(we.inlineReference):$.to(we.inlineReference),title:we.name};case"command":return{command:Ae.fromInternal(we.command)??{command:we.command.id,title:we.command.title}};default:return}}be.toProgressContent=H})(Bt||(e.ChatResponseProgress=Bt={}));var Xt;(function(be){function Pe(ue){return{prompt:ue.message,command:ue.command,variables:ue.variables.variables.map(Zt.to)}}be.to=Pe})(Xt||(e.ChatAgentRequest=Xt={}));var Zt;(function(be){function Pe(ue){return{name:ue.name,range:[ue.range.start,ue.range.endExclusive],values:ue.values.map(yt.to)}}be.to=Pe})(Zt||(e.ChatAgentResolvedVariable=Zt={}));var rn;(function(be){function Pe(ue){return{label:ue.label,values:ue.values.map(yt.from),insertText:ue.insertText,detail:ue.detail,documentation:ue.documentation}}be.from=Pe})(rn||(e.ChatAgentCompletionItem=rn={}));var tn;(function(be){function Pe(ue){return{errorDetails:ue.errorDetails,metadata:ue.metadata}}be.to=Pe})(tn||(e.ChatAgentResult=tn={}));var Qt;(function(be){function Pe(ue,H,we){if(H.action.kind==="vote")return;const Ae=tn.to(ue);return H.action.kind==="command"?{action:{kind:"command",commandButton:Bt.toProgressContent(H.action.commandButton,we)},result:Ae}:H.action.kind==="followUp"?{action:{kind:"followUp",followup:jt.to(H.action.followup)},result:Ae}:{action:H.action,result:Ae}}be.to=Pe})(Qt||(e.ChatAgentUserActionEvent=Qt={}));var xt;(function(be){function Pe(ue,H,we){return"terminalCommand"in ue?{terminalCommand:ue.terminalCommand,shouldExecute:ue.shouldExecute}:"uri"in ue?{uri:ue.uri}:H.toInternal(ue,we)}be.from=Pe})(xt||(e.TerminalQuickFix=xt={}));var _t;(function(be){function Pe(ue,H){return{id:H,label:ue.label,description:ue.description,canEdit:ue.canEdit,collapsibleState:ue.collapsibleState||0,contextValue:ue.contextValue}}be.from=Pe})(_t||(e.DebugTreeItem=_t={}))}),define(ye[287],ke([1,0,43,133,73,132,94,139,4]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tO=e.$sO=e.$rO=e.$qO=void 0;const w=(h,f,u,t)=>{let s=f;return{enumerable:!0,configurable:!1,get(){return s},set(r){if(!u(s,r)){const n=s;s=r,h.listener?.(t(r,n))}}}},I=(h,f)=>h===f,k={range:(h,f)=>h===f?!0:!h||!f?!1:h.isEqual(f),label:I,description:I,sortText:I,busy:I,error:I,canResolveChildren:I,tags:(h,f)=>!(h.length!==f.length||h.some(u=>!f.find(t=>u.id===t.id)))},p=h=>f=>({op:4,update:h(f)}),d=(h,f)=>({range:(()=>{let u;const t=p(s=>({range:E.$6s.lift(S.Range.from(s))}));return{enumerable:!0,configurable:!1,get(){return u},set(s){h.listener?.({op:6}),k.range(u,s)||(u=s,h.listener?.(t(s)))}}})(),label:w(h,f,k.label,p(u=>({label:u}))),description:w(h,void 0,k.description,p(u=>({description:u}))),sortText:w(h,void 0,k.sortText,p(u=>({sortText:u}))),canResolveChildren:w(h,!1,k.canResolveChildren,u=>({op:2,state:u})),busy:w(h,!1,k.busy,p(u=>({busy:u}))),error:w(h,void 0,k.error,p(u=>({error:S.MarkdownString.fromStrict(u)||null}))),tags:w(h,[],k.tags,(u,t)=>({op:1,new:u.map(S.TestTag.from),old:t.map(S.TestTag.from)}))}),m=h=>{const f=o.$QK.fromString(h.extId),u=new b(f.controllerId,f.localId,h.label,v.URI.revive(h.uri)||void 0);return u.range=S.Range.to(h.range||void 0),u.description=h.description||void 0,u.sortText=h.sortText||void 0,u.tags=h.tags.map(t=>S.TestTag.to({id:(0,D.$VK)(t).tagId})),u},l=h=>{let f;for(const u of h.tests){const t=m(u.item);(0,R.$aO)(t).parent=f,f=t}return f};e.$qO=l;class b{constructor(f,u,t,s){if(u.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(u)} symbol`);const r=(0,R.$_N)(this,f);Object.defineProperties(this,{id:{value:u,enumerable:!0,writable:!1},uri:{value:s,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return r.parent instanceof c?void 0:r.parent}},children:{value:(0,C.$$N)(r,R.$aO,b),enumerable:!0,writable:!1},...d(r,t)})}}e.$rO=b;class c extends b{constructor(f,u){super(f,f,u,void 0),this._isRoot=!0}}e.$sO=c;class g extends C.$7N{constructor(f,u,t){super({controllerId:f,getDocumentVersion:s=>s&&t.getDocument(s)?.version,getApiFor:R.$aO,getChildren:s=>s.children,root:new c(f,u),toITestItem:S.TestItem.from})}}e.$tO=g}),define(ye[288],ke([1,0,11,138,139,21,285,18,13,52,43,79,4,2,5,270,287,14,136,39,61,38,281,22]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EO=e.$DO=e.$CO=e.$BO=e.$AO=e.$zO=void 0;let r=class{#e;#t;#n;constructor(P,y,A){this.b=new Map,this.c=new Map,this.#e=P.getProxy(D.$ZL.MainThreadCommands),this.d=y,this.#n=A,this.#t=P.getProxy(D.$ZL.MainThreadTelemetry),this.converter=new n(this,F=>{const Q=this.c.get(F);return Q?.result===a.Void?Q:void 0},y),this.f=[{processArgument(F){return(0,w.$Nh)(F)}},{processArgument(F){return(0,C.$Jn)(F,function(Q){if(I.$6s.isIRange(Q))return o.Range.to(Q);if(k.$5s.isIPosition(Q))return o.Position.to(Q);if(I.$6s.isIRange(Q.range)&&p.URI.isUri(Q.uri))return o.location.to(Q);if(Q instanceof c.$se)return Q.buffer.buffer;if(!Array.isArray(Q))return Q})}}]}registerArgumentProcessor(P){this.f.push(P)}registerApiCommand(P){const y=this.registerCommand(!1,P.id,async(...A)=>{const F=P.args.map((te,de)=>{if(!te.validate(A[de]))throw new Error(`Invalid argument '${te.name}' when running '${P.id}', received: ${typeof A[de]=="object"?JSON.stringify(A[de],null,"	"):A[de]} `);return te.convert(A[de])}),Q=await this.executeCommand(P.internalId,...F);return P.result.convert(Q,A,this.converter)},void 0,{description:P.description,args:P.args,returns:P.result.description});return this.c.set(P.id,P),new R.$2L(()=>{y.dispose(),this.c.delete(P.id)})}registerCommand(P,y,A,F,Q,te){if(this.d.trace("ExtHostCommands#registerCommand",y),!y.trim().length)throw new Error("invalid id");if(this.b.has(y))throw new Error(`command '${y}' already exists`);return this.b.set(y,{callback:A,thisArg:F,metadata:Q,extension:te}),P&&this.#e.$registerCommand(y),new R.$2L(()=>{this.b.delete(y)&&P&&this.#e.$unregisterCommand(y)})}executeCommand(P,...y){return this.d.trace("ExtHostCommands#executeCommand",P),this.g(P,y,!0)}async g(P,y,A){if(this.b.has(P))return this.#e.$fireCommandActivationEvent(P),this.h(P,y,!1);{let F=!1;const Q=(0,C.$Jn)(y,function(te){if(te instanceof R.$3L)return o.Position.from(te);if(te instanceof R.$4L)return o.Range.from(te);if(te instanceof R.$bM)return o.location.from(te);if(R.$pN.isNotebookRange(te))return o.NotebookRange.from(te);if(te instanceof ArrayBuffer)return F=!0,c.$se.wrap(new Uint8Array(te));if(te instanceof Uint8Array)return F=!0,c.$se.wrap(te);if(te instanceof c.$se)return F=!0,te;if(!Array.isArray(te))return te});try{const te=await this.#e.$executeCommand(P,F?new g.$6v(Q):Q,A);return(0,w.$Nh)(te)}catch(te){if(te instanceof Error&&te.message==="$executeCommand:retry")return this.g(P,y,!1);throw te}}}async h(P,y,A){const F=this.b.get(P);if(!F)throw new Error("Unknown command");const{callback:Q,thisArg:te,metadata:de}=F;if(de?.args)for(let B=0;B<de.args.length;B++)try{(0,E.$0f)(y[B],de.args[B].constraint)}catch{throw new Error(`Running the contributed command: '${P}' failed. Illegal argument '${de.args[B].name}' - ${de.args[B].description}`)}const he=f.$1d.create();try{return await Q.apply(te,y)}catch(B){if(P===this.converter.delegatingCommandId){const V=this.converter.getActualCommand(...y);V&&(P=V.command)}if(this.d.error(B,P,F.extension?.identifier),!A)throw B;if(F.extension?.identifier){const V=this.#n.onExtensionError(F.extension.identifier,B);this.d.trace("forwarded error to extension?",V,F.extension?.identifier)}throw new class extends Error{constructor(){super((0,h.$2i)(B)),this.id=P,this.source=F.extension?.displayName??F.extension?.name}}}finally{this.j(F,P,he.elapsed())}}j(P,y,A){P.extension&&this.#t.$publicLog2("Extension:ActionExecuted",{extensionId:P.extension.identifier.value,id:new u.$Wo(y),duration:A})}$executeContributedCommand(P,...y){this.d.trace("ExtHostCommands#$executeContributedCommand",P);const A=this.b.get(P);return A?(y=y.map(F=>this.f.reduce((Q,te)=>te.processArgument(Q,A.extension?.identifier),F)),this.h(P,y,!0)):Promise.reject(new Error(`Contributed command '${P}' does not exist.`))}getCommands(P=!1){return this.d.trace("ExtHostCommands#getCommands",P),this.#e.$getCommands().then(y=>(P&&(y=y.filter(A=>A[0]!=="_")),y))}$getContributedCommandMetadata(){const P=Object.create(null);for(const[y,A]of this.b){const{metadata:F}=A;F&&(P[y]=F)}return Promise.resolve(P)}};e.$zO=r,e.$zO=r=Me([Oe(0,l.$eO),Oe(1,v.$yj),Oe(2,t.$yO)],r),e.$AO=(0,m.$ei)("IExtHostCommands");class n{constructor(P,y,A){this.d=P,this.f=y,this.g=A,this.delegatingCommandId=`__vsc${(0,s.$Ag)()}`,this.b=new Map,this.c=0,this.d.registerCommand(!0,this.delegatingCommandId,this.h,this)}toInternal(P,y){if(!P)return;const A={$ident:void 0,id:P.command,title:P.title,tooltip:P.tooltip};if(!P.command)return A;const F=this.f(P.command);if(F)A.id=F.internalId,A.arguments=F.args.map((Q,te)=>Q.convert(P.arguments&&P.arguments[te]));else if((0,S.$Lb)(P.arguments)){const Q=`${P.command} /${++this.c}`;this.b.set(Q,P),y.add((0,d.$Rc)(()=>{this.b.delete(Q),this.g.trace("CommandsConverter#DISPOSE",Q)})),A.$ident=Q,A.id=this.delegatingCommandId,A.arguments=[Q],this.g.trace("CommandsConverter#CREATE",P.command,Q)}return A}fromInternal(P){return typeof P.$ident=="string"?this.b.get(P.$ident):{command:P.id,title:P.title,arguments:P.arguments}}getActualCommand(...P){return this.b.get(P[0])}h(...P){const y=this.getActualCommand(...P);return this.g.trace("CommandsConverter#EXECUTE",P[0],y?y.command:"MISSING"),y?this.d.executeCommand(y.command,...y.arguments||[]):Promise.reject(`Actual command not found, wanted to execute ${P[0]}`)}}e.$BO=n;class i{static{this.Uri=new i("uri","Uri of a text document",P=>p.URI.isUri(P),P=>P)}static{this.Position=new i("position","A position in a text document",P=>R.$3L.isPosition(P),o.Position.from)}static{this.Range=new i("range","A range in a text document",P=>R.$4L.isRange(P),o.Range.from)}static{this.Selection=new i("selection","A selection in a text document",P=>R.$5L.isSelection(P),o.Selection.from)}static{this.Number=new i("number","",P=>typeof P=="number",P=>P)}static{this.String=new i("string","",P=>typeof P=="string",P=>P)}static{this.StringArray=i.Arr(i.String)}static Arr(P){return new i(`${P.name}_array`,`Array of ${P.name}, ${P.description}`,y=>Array.isArray(y)&&y.every(A=>P.validate(A)),y=>y.map(A=>P.convert(A)))}static{this.CallHierarchyItem=new i("item","A call hierarchy item",P=>P instanceof R.$mM,o.CallHierarchyItem.from)}static{this.TypeHierarchyItem=new i("item","A type hierarchy item",P=>P instanceof R.$IN,o.TypeHierarchyItem.from)}static{this.TestItem=new i("testItem","A VS Code TestItem",P=>P instanceof b.$rO,o.TestItem.from)}constructor(P,y,A,F){this.name=P,this.description=y,this.validate=A,this.convert=F}optional(){return new i(this.name,`(optional) ${this.description}`,P=>P==null||this.validate(P),P=>P===void 0?void 0:P===null?null:this.convert(P))}with(P,y){return new i(P??this.name,y??this.description,this.validate,this.convert)}}e.$CO=i;class a{static{this.Void=new a("no result",P=>P)}constructor(P,y){this.description=P,this.convert=y}}e.$DO=a;class ${constructor(P,y,A,F,Q){this.id=P,this.internalId=y,this.description=A,this.args=F,this.result=Q}}e.$EO=$}),define(ye[289],ke([1,0,10,2,12,222]),function(le,e,E,R,o,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mP=e.$lP=void 0,e.$lP="remoteFilesystem";class D extends C.$kP{static register(v,w,I){const k=v.getConnection();if(!k)return R.$Tc.None;const p=new R.$Sc,d=(async()=>{try{const m=await v.getRawEnvironment();m?w.registerProvider(o.Schemas.vscodeRemote,p.add(new D(m,k))):I.error("Cannot register remote filesystem provider. Remote environment doesnot exist.")}catch(m){I.error("Cannot register remote filesystem provider. Error while fetching remote environment.",(0,E.$0)(m))}})();return p.add(w.onWillActivateFileSystemProvider(m=>{m.scheme===o.Schemas.vscodeRemote&&m.join(d)})),p}constructor(v,w){super(w.getChannel(e.$lP),{pathCaseSensitive:v.os===3})}}e.$mP=D}),define(ye[74],ke([1,0,89,78,28,290,14,10,6,2,7,3,22,44,106]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ai=e.$_h=e.$$h=e.$0h=e.$9h=e.$8h=e.$7h=e.$6h=void 0;class l{traceSocketEvent(y,A){m.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,y,A)}constructor(y,A=""){this.f=!0,this.debugLabel=A,this.socket=y,this.traceSocketEvent("created",{type:"NodeSocket"}),this.a=F=>{if(this.traceSocketEvent("error",{code:F?.code,message:F?.message}),F){if(F.code==="EPIPE")return;(0,S.$1)(F)}},this.socket.on("error",this.a),this.b=F=>{this.traceSocketEvent("close",{hadError:F}),this.f=!1},this.socket.on("close",this.b),this.d=()=>{this.traceSocketEvent("nodeEndReceived"),this.f=!1},this.socket.on("end",this.d)}dispose(){this.socket.off("error",this.a),this.socket.off("close",this.b),this.socket.off("end",this.d),this.socket.destroy()}onData(y){const A=F=>{this.traceSocketEvent("read",F),y(D.$se.wrap(F))};return this.socket.on("data",A),{dispose:()=>this.socket.off("data",A)}}onClose(y){const A=F=>{y({type:0,hadError:F,error:void 0})};return this.socket.on("close",A),{dispose:()=>this.socket.off("close",A)}}onEnd(y){const A=()=>{y()};return this.socket.on("end",A),{dispose:()=>this.socket.off("end",A)}}write(y){if(!(this.socket.destroyed||!this.f))try{this.traceSocketEvent("write",y),this.socket.write(y.buffer,A=>{if(A){if(A.code==="EPIPE")return;(0,S.$1)(A)}})}catch(A){if(A.code==="EPIPE")return;(0,S.$1)(A)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((y,A)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),y();return}const F=()=>{this.socket.off("close",F),this.socket.off("end",F),this.socket.off("error",F),this.socket.off("timeout",F),this.socket.off("drain",F),this.traceSocketEvent("nodeDrainEnd"),y()};this.socket.on("close",F),this.socket.on("end",F),this.socket.on("error",F),this.socket.on("timeout",F),this.socket.on("drain",F)})}}e.$6h=l;var b;(function(P){P[P.MinHeaderByteSize=2]="MinHeaderByteSize",P[P.MaxWebSocketMessageLength=262144]="MaxWebSocketMessageLength"})(b||(b={}));var c;(function(P){P[P.PeekHeader=1]="PeekHeader",P[P.ReadHeader=2]="ReadHeader",P[P.ReadBody=3]="ReadBody",P[P.Fin=4]="Fin"})(c||(c={}));class g extends w.$Tc{get permessageDeflate(){return this.a.permessageDeflate}get recordedInflateBytes(){return this.a.recordedInflateBytes}traceSocketEvent(y,A){this.socket.traceSocketEvent(y,A)}constructor(y,A,F,Q){super(),this.f=this.B(new v.$5d),this.g=this.B(new v.$5d),this.h=!1,this.j={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0,opcode:0},this.socket=y,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:A,inflateBytesLength:F?.byteLength||0,recordInflateBytes:Q}),this.a=this.B(new h(this,A,F,Q,this.f,(te,de)=>this.m(te,de))),this.B(this.a.onError(te=>{console.error(te),(0,S.$1)(te),this.g.fire({type:0,hadError:!0,error:te})})),this.b=new m.$1h,this.B(this.socket.onData(te=>this.n(te))),this.B(this.socket.onClose(async te=>{this.a.isProcessingReadQueue()&&await v.Event.toPromise(this.a.onDidFinishProcessingReadQueue),this.g.fire(te)}))}dispose(){this.a.isProcessingWriteQueue()?this.B(this.a.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(y){return this.f.event(y)}onClose(y){return this.g.event(y)}onEnd(y){return this.socket.onEnd(y)}write(y){let A=0;for(;A<y.byteLength;)this.a.writeMessage(y.slice(A,Math.min(A+262144,y.byteLength)),{compressed:!0,opcode:2}),A+=262144}m(y,{compressed:A,opcode:F}){if(this.h)return;this.traceSocketEvent("webSocketNodeSocketWrite",y);let Q=2;y.byteLength<126?Q+=0:y.byteLength<2**16?Q+=2:Q+=8;const te=D.$se.alloc(Q),de=A?64:0,he=F&15;if(te.writeUInt8(128|de|he,0),y.byteLength<126)te.writeUInt8(y.byteLength,1);else if(y.byteLength<2**16){te.writeUInt8(126,1);let B=1;te.writeUInt8(y.byteLength>>>8&255,++B),te.writeUInt8(y.byteLength>>>0&255,++B)}else{te.writeUInt8(127,1);let B=1;te.writeUInt8(0,++B),te.writeUInt8(0,++B),te.writeUInt8(0,++B),te.writeUInt8(0,++B),te.writeUInt8(y.byteLength>>>24&255,++B),te.writeUInt8(y.byteLength>>>16&255,++B),te.writeUInt8(y.byteLength>>>8&255,++B),te.writeUInt8(y.byteLength>>>0&255,++B)}this.socket.write(D.$se.concat([te,y]))}end(){this.h=!0,this.socket.end()}n(y){if(y.byteLength!==0){for(this.b.acceptChunk(y);this.b.byteLength>=this.j.readLen;)if(this.j.state===1){const A=this.b.peek(this.j.readLen),F=A.readUInt8(0),Q=(F&128)>>>7,te=(F&64)>>>6,de=F&15,he=A.readUInt8(1),B=(he&128)>>>7,V=he&127;this.j.state=2,this.j.readLen=2+(B?4:0)+(V===126?2:0)+(V===127?8:0),this.j.fin=Q,this.j.firstFrameOfMessage&&(this.j.compressed=!!te),this.j.firstFrameOfMessage=!!Q,this.j.mask=0,this.j.opcode=de,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,opcode:this.j.opcode})}else if(this.j.state===2){const A=this.b.read(this.j.readLen),F=A.readUInt8(1),Q=(F&128)>>>7;let te=F&127,de=1;te===126?te=A.readUInt8(++de)*2**8+A.readUInt8(++de):te===127&&(te=A.readUInt8(++de)*0+A.readUInt8(++de)*0+A.readUInt8(++de)*0+A.readUInt8(++de)*0+A.readUInt8(++de)*2**24+A.readUInt8(++de)*2**16+A.readUInt8(++de)*2**8+A.readUInt8(++de));let he=0;Q&&(he=A.readUInt8(++de)*2**24+A.readUInt8(++de)*2**16+A.readUInt8(++de)*2**8+A.readUInt8(++de)),this.j.state=3,this.j.readLen=te,this.j.mask=he,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,mask:this.j.mask,opcode:this.j.opcode})}else if(this.j.state===3){const A=this.b.read(this.j.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",A),t(A,this.j.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",A),this.j.state=1,this.j.readLen=2,this.j.mask=0,this.j.opcode<=2?this.a.acceptFrame(A,this.j.compressed,!!this.j.fin):this.j.opcode===9&&this.a.writeMessage(A,{compressed:!1,opcode:10})}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this.a.isProcessingWriteQueue()&&await v.Event.toPromise(this.a.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.$7h=g;class h extends w.$Tc{get permessageDeflate(){return!!(this.b&&this.f)}get recordedInflateBytes(){return this.b?this.b.recordedInflateBytes:D.$se.alloc(0)}constructor(y,A,F,Q,te,de){super(),this.n=y,this.r=te,this.s=de,this.a=this.B(new v.$5d),this.onError=this.a.event,this.g=[],this.h=[],this.j=this.B(new v.$5d),this.onDidFinishProcessingReadQueue=this.j.event,this.m=this.B(new v.$5d),this.onDidFinishProcessingWriteQueue=this.m.event,this.t=!1,this.y=!1,A?(this.b=this.B(new f(this.n,Q,F,{windowBits:15})),this.f=this.B(new u(this.n,{windowBits:15})),this.B(this.b.onError(he=>this.a.fire(he))),this.B(this.f.onError(he=>this.a.fire(he)))):(this.b=null,this.f=null)}writeMessage(y,A){this.g.push({data:y,options:A}),this.u()}async u(){if(!this.t){for(this.t=!0;this.g.length>0;){const{data:y,options:A}=this.g.shift();if(this.f&&A.compressed){const F=await this.w(this.f,y);this.s(F,A)}else this.s(y,{...A,compressed:!1})}this.t=!1,this.m.fire()}}isProcessingWriteQueue(){return this.t}w(y,A){return new Promise((F,Q)=>{y.write(A),y.flush(te=>F(te))})}acceptFrame(y,A,F){this.h.push({data:y,isCompressed:A,isLastFrameOfMessage:F}),this.z()}async z(){if(!this.y){for(this.y=!0;this.h.length>0;){const y=this.h.shift();if(this.b&&y.isCompressed){const A=await this.C(this.b,y.data,y.isLastFrameOfMessage);this.r.fire(A)}else this.r.fire(y.data)}this.y=!1,this.j.fire()}}isProcessingReadQueue(){return this.y}C(y,A,F){return new Promise((Q,te)=>{y.write(A),F&&y.write(D.$se.fromByteArray([0,0,255,255])),y.flush(de=>Q(de))})}}class f extends w.$Tc{get recordedInflateBytes(){return this.j?D.$se.concat(this.f):D.$se.alloc(0)}constructor(y,A,F,Q){super(),this.h=y,this.j=A,this.a=this.B(new v.$5d),this.onError=this.a.event,this.f=[],this.g=[],this.b=(0,C.createInflateRaw)(Q),this.b.on("error",te=>{this.h.traceSocketEvent("zlibInflateError",{message:te?.message,code:te?.code}),this.a.fire(te)}),this.b.on("data",te=>{this.h.traceSocketEvent("zlibInflateData",te),this.g.push(D.$se.wrap(te))}),F&&(this.h.traceSocketEvent("zlibInflateInitialWrite",F.buffer),this.b.write(F.buffer),this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateInitialFlushFired"),this.g.length=0}))}write(y){this.j&&this.f.push(y.clone()),this.h.traceSocketEvent("zlibInflateWrite",y),this.b.write(y.buffer)}flush(y){this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateFlushFired");const A=D.$se.concat(this.g);this.g.length=0,y(A)})}}class u extends w.$Tc{constructor(y,A){super(),this.g=y,this.a=this.B(new v.$5d),this.onError=this.a.event,this.f=[],this.b=(0,C.createDeflateRaw)({windowBits:15}),this.b.on("error",F=>{this.g.traceSocketEvent("zlibDeflateError",{message:F?.message,code:F?.code}),this.a.fire(F)}),this.b.on("data",F=>{this.g.traceSocketEvent("zlibDeflateData",F),this.f.push(D.$se.wrap(F))})}write(y){this.g.traceSocketEvent("zlibDeflateWrite",y.buffer),this.b.write(y.buffer)}flush(y){this.b.flush(2,()=>{this.g.traceSocketEvent("zlibDeflateFlushFired");let A=D.$se.concat(this.f);this.f.length=0,A=A.slice(0,A.byteLength-4),y(A)})}}function t(P,y){if(y===0)return;const A=P.byteLength>>>2;for(let B=0;B<A;B++){const V=P.readUInt32BE(B*4);P.writeUInt32BE(V^y,B*4)}const F=A*4,Q=P.byteLength-F,te=y>>>24&255,de=y>>>16&255,he=y>>>8&255;Q>=1&&P.writeUInt8(P.readUInt8(F)^te,F),Q>=2&&P.writeUInt8(P.readUInt8(F+1)^de,F+1),Q>=3&&P.writeUInt8(P.readUInt8(F+2)^he,F+2)}e.$8h=process.env.XDG_RUNTIME_DIR;const s={2:107,1:103};function r(){const P=(0,p.$Ag)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${P}-sock`;const y=process.platform!=="darwin"&&e.$8h?e.$8h:(0,o.tmpdir)(),A=(0,I.$jc)(y,`vscode-ipc-${P}.sock`);return i(A),A}e.$9h=r;function n(P,y,A){const Q=(0,E.createHash)("sha256").update(P).digest("hex").substr(0,8);if(process.platform==="win32")return`\\\\.\\pipe\\${Q}-${A}-${y}-sock`;const te=A.substr(0,4),de=y.substr(0,6);let he;return process.platform!=="darwin"&&e.$8h&&!process.env.VSCODE_PORTABLE?he=(0,I.$jc)(e.$8h,`vscode-${Q}-${te}-${de}.sock`):he=(0,I.$jc)(P,`${te}-${de}.sock`),i(he),he}e.$0h=n;function i(P){const y=s[k.$u];typeof y=="number"&&P.length>=y&&console.warn(`WARNING: IPC handle "${P}" is longer than ${y} chars, try a shorter --user-data-dir`)}class a extends d.$Uh{static b(y){const A=v.Event.fromNodeEventEmitter(y,"connection");return v.Event.map(A,F=>({protocol:new m.$2h(new l(F,"ipc-server-connection")),onDidClientDisconnect:v.Event.once(v.Event.fromNodeEventEmitter(F,"close"))}))}constructor(y){super(a.b(y)),this.d=y}dispose(){super.dispose(),this.d&&(this.d.close(),this.d=null)}}e.$$h=a;function $(P){return new Promise((y,A)=>{const F=(0,R.createServer)();F.on("error",A),F.listen(P,()=>{F.removeListener("error",A),y(new a(F))})})}e.$_h=$;function O(P,y){return new Promise((A,F)=>{const Q=(0,R.createConnection)(P,()=>{Q.removeListener("error",F),A(m.$3h.fromSocket(new l(Q,`ipc-client${y}`),y))});Q.once("error",F)})}e.$ai=O}),define(ye[140],ke([1,0,87,15,14,10,11,25,26,88,13,46,239,290]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zr=e.$yr=void 0;let m=class extends k.$tp{constructor(g,h,f,u){super(u),this.m=g,this.n=h,this.r=f,this.s(),this.B(g.onDidChangeConfiguration(t=>{t.affectsConfiguration("http")&&this.s()}))}s(){const g=this.m.getValue("http");this.f=g?.proxy,this.g=!!g?.proxyStrictSSL,this.h=g?.proxyAuthorization}async request(g,h){const{f,g:u}=this;let t;try{t=await(0,w.$km)(this.m,this.r,this.n.args,process.env)}catch(n){this.j||(this.j=!0,this.r.error("resolving shell environment failed",(0,C.$0)(n)))}const s={...process.env,...t},r=g.agent?g.agent:await(0,p.$xr)(g.url||"",s,{proxyUrl:f,strictSSL:u});return g.agent=r,g.strictSSL=u,this.h&&(g.headers={...g.headers||{},"Proxy-Authorization":this.h}),this.c(g.isChromiumNetwork?"electron":"node",g,()=>b(g,h))}async resolveProxy(g){}async loadCertificates(){return(await new Promise((h,f)=>{le(["@vscode/proxy-agent"],h,f)})).loadSystemCertificates({log:this.r})}};e.$yr=m,e.$yr=m=Me([Oe(0,S.$Ki),Oe(1,v.$mi),Oe(2,I.$yj),Oe(3,I.$zj)],m);async function l(c){return((0,E.parse)(c.url).protocol==="https:"?await new Promise((f,u)=>{le(["https"],f,u)}):await new Promise((f,u)=>{le(["http"],f,u)})).request}async function b(c,g){return R.Promises.withAsyncBody(async(h,f)=>{const u=(0,E.parse)(c.url),t=c.getRawRequest?c.getRawRequest(c):await l(c),s={hostname:u.hostname,port:u.port?parseInt(u.port):u.protocol==="https:"?443:80,protocol:u.protocol,path:u.path,method:c.type||"GET",headers:c.headers,agent:c.agent,rejectUnauthorized:(0,D.$Yf)(c.strictSSL)?c.strictSSL:!0};c.user&&c.password&&(s.auth=c.user+":"+c.password);const r=t(s,n=>{const i=(0,D.$Wf)(c.followRedirects)?c.followRedirects:3;if(n.statusCode&&n.statusCode>=300&&n.statusCode<400&&i>0&&n.headers.location)b({...c,url:n.headers.location,followRedirects:i-1},g).then(h,f);else{let a=n;!c.isChromiumNetwork&&n.headers["content-encoding"]==="gzip"&&(a=n.pipe((0,d.createGunzip)())),h({res:n,stream:(0,o.$He)(a)})}});r.on("error",f),c.timeout&&r.setTimeout(c.timeout),c.isChromiumNetwork&&r.removeHeader("Content-Length"),c.data&&typeof c.data=="string"&&r.write(c.data),r.end(),g.onCancellationRequested(()=>{r.abort(),f(new C.$5)})})}e.$zr=b}),define(ye[141],ke([1,0,54,78,130,12,7,14,6,74,88,13,48,3,66,129,2,279,25]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8m=e.$7m=void 0;async function h(n={},i,a,$,O,P){const y=await(0,o.$Ql)(a,$.userDataPath);let A={};if(i)try{A=await(0,I.$km)(P,O,$.args,process.env)}catch(B){O.error("ExtensionHostConnection#buildUserEnvironment resolving shell environment failed",B)}const Q={...process.env,...A,VSCODE_AMD_ENTRYPOINT:"vs/workbench/api/node/extensionHostProcess",VSCODE_HANDLES_UNCAUGHT_ERRORS:"true",VSCODE_NLS_CONFIG:JSON.stringify(y,void 0,0),...n},te=$.isBuilt?(0,D.$jc)($.appRoot,"bin"):(0,D.$jc)($.appRoot,"resources","server","bin-dev"),de=(0,D.$jc)(te,"remote-cli");let he=t(Q,"PATH");return he?he=de+D.$tc+he:he=de,s(Q,"PATH",he),$.args["without-browser-env-var"]||(Q.BROWSER=(0,D.$jc)(te,"helpers",d.$i?"browser.cmd":"browser.sh")),r(Q),Q}e.$7m=h;class f{constructor(i,a){this.socket=i,this.initialDataChunk=a}socketDrain(){return this.socket.drain()}toIExtHostSocketMessage(){let i,a,$;return this.socket instanceof w.$6h?(i=!0,a=!1,$=S.$se.alloc(0)):(i=!1,a=this.socket.permessageDeflate,$=this.socket.recordedInflateBytes),{type:"VSCODE_EXTHOST_IPC_SOCKET",initialDataChunk:this.initialDataChunk.buffer.toString("base64"),skipWebSocketFrames:i,permessageDeflate:a,inflateBytes:$.buffer.toString("base64")}}}let u=class{constructor(i,a,$,O,P,y,A,F){this.i=i,this.j=P,this.l=y,this.m=A,this.n=F,this.b=new v.$5d,this.onClose=this.b.event,this.c=!d.$i||!this.j.args["socket-path"],this.d=!1,this.f=a,this.g=null,this.h=new f($,O),this.p("New connection established.")}get o(){return`[${this.f}][${this.i.substr(0,8)}][ExtensionHostConnection] `}p(i){this.l.info(`${this.o}${i}`)}q(i){this.l.error(`${this.o}${i}`)}async r(i,a){const $=new b.$Sc;$.add(a.socket),$.add((0,b.$Rc)(()=>{i.destroy()}));const O=()=>{$.dispose()};$.add(a.socket.onEnd(O)),$.add(a.socket.onClose(O)),$.add(v.Event.fromNodeEventEmitter(i,"end")(O)),$.add(v.Event.fromNodeEventEmitter(i,"close")(O)),$.add(v.Event.fromNodeEventEmitter(i,"error")(O)),$.add(a.socket.onData(P=>i.write(P.buffer))),$.add(v.Event.fromNodeEventEmitter(i,"data")(P=>{a.socket.write(S.$se.wrap(P))})),a.initialDataChunk.byteLength>0&&i.write(a.initialDataChunk.buffer)}async s(i,a){await a.socketDrain();const $=a.toIExtHostSocketMessage();let O;a.socket instanceof w.$6h?O=a.socket.socket:O=a.socket.socket.socket,i.send($,O)}shortenReconnectionGraceTimeIfNecessary(){if(!this.g)return;const i={type:"VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"};this.g.send(i)}acceptReconnection(i,a,$){this.f=i,this.p("The client has reconnected.");const O=new f(a,$);if(!this.g){this.h=O;return}this.s(this.g,O)}t(){this.d||(this.d=!0,this.h&&(this.h.socket.end(),this.h=null),this.g&&(this.g.kill(),this.g=null),this.b.fire(void 0))}async start(i){try{let a=process.execArgv?process.execArgv.filter(de=>!/^--inspect(-brk)?=/.test(de)):[];i.port&&!process.pkg&&(a=[`--inspect${i.break?"-brk":""}=${i.port}`]);const $=await h(i.env,!0,i.language,this.j,this.l,this.n);(0,m.$4l)($);let O;if(this.c)(0,c.$5m)(new c.$3m,$),O=null;else{const{namedPipeServer:de,pipeName:he}=await this.u();(0,c.$5m)(new c.$2m(he),$),O=de}const P={env:$,execArgv:a,silent:!0};P.execArgv.unshift("--dns-result-order=ipv4first");const y=["--type=extensionHost","--transformURIs"],A=this.j.args["use-host-proxy"];y.push(`--useHostProxy=${A?"true":"false"}`),this.g=E.fork(C.$yg.asFileUri("bootstrap-fork").fsPath,y,P);const F=this.g.pid;this.p(`<${F}> Launched Extension Host Process.`),this.g.stdout.setEncoding("utf8"),this.g.stderr.setEncoding("utf8");const Q=v.Event.fromNodeEventEmitter(this.g.stdout,"data"),te=v.Event.fromNodeEventEmitter(this.g.stderr,"data");if(Q(de=>this.p(`<${F}> ${de}`)),te(de=>this.p(`<${F}><stderr> ${de}`)),this.g.on("error",de=>{this.q(`<${F}> Extension Host Process had an error`),this.l.error(de),this.t()}),this.g.on("exit",(de,he)=>{this.m.setExitInfo(this.i,{code:de,signal:he}),this.p(`<${F}> Extension Host Process exited with code: ${de}, signal: ${he}.`),this.t()}),O)O.on("connection",de=>{O.close(),this.r(de,this.h)});else{const de=he=>{he.type==="VSCODE_EXTHOST_IPC_READY"&&(this.g.removeListener("message",de),this.s(this.g,this.h),this.h=null)};this.g.on("message",de)}}catch(a){console.error("ExtensionHostConnection errored"),a&&console.error(a)}}u(){return new Promise((i,a)=>{const $=(0,w.$9h)(),O=R.createServer();O.on("error",a),O.listen($,()=>{O?.removeListener("error",a),i({pipeName:$,namedPipeServer:O})})})}};e.$8m=u,e.$8m=u=Me([Oe(4,p.$Rm),Oe(5,k.$yj),Oe(6,l.$Zm),Oe(7,g.$Ki)],u);function t(n,i){const a=Object.keys(n).filter(O=>O.toLowerCase()===i.toLowerCase()),$=a.length>0?a[0]:i;return n[$]}function s(n,i,a){const $=Object.keys(n).filter(P=>P.toLowerCase()===i.toLowerCase()),O=$.length>0?$[0]:i;n[O]=a}function r(n){for(const i of Object.keys(n))n[i]===null&&delete n[i]}}),define(ye[291],ke([1,0,84,13,68,117,25,46,140,38,32,30,127,125,86,111,57,2,112,70,12,16,31,48,120,85,121,10,4,7,29,237,83,34,124,67,3,59,131,33,47,71,128,126,114,115,203,292]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t,s,r,n,i,a,$,O,P,y,A,F,Q,te,de,he,B,V,_,X,ne,K,G,oe,ce,se){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.run=void 0;class ge extends c.$Tc{constructor(z,x){super(),this.a=z,this.b=x,this.c()}c(){process.once("exit",()=>this.dispose())}async run(){const z=await this.f();await z.invokeFunction(async x=>{const Y=x.get(D.$Ki),Z=x.get(R.$yj);de.$i&&(Y.getValue("security.restrictUNCAccess")===!1?(0,se.disableUNCAccessRestrictions)():(0,se.addUNCHostToAllowlist)(Y.getValue("security.allowedUNCHosts")));try{await this.g(z.createInstance(r.$Sp,new R.$Gj(Z.getLevel(),!1)))}catch(W){throw Z.error(W),console.error((0,a.$0)(W)),W}})}async f(){const z=new E.$ci,x={_serviceBrand:void 0,...b.default};z.set(t.$Qj,x);const Y=new s.$Sm(this.a,x);z.set(s.$Rm,Y);const Z=new oe.$rP((0,R.$Mj)(Y),Y.logsHome);z.set(R.$zj,Z);const W=new G.$BP(this.B(Z.createLogger("remoteCLI",{name:(0,ce.localize)(0,null)})));z.set(R.$yj,W),W.trace(`Remote configuration data at ${this.b}`),W.trace("process arguments:",this.a);const J=this.B(new g.$nq(W));z.set(u.$Bk,J),J.registerProvider(f.Schemas.file,this.B(new h.$Mq(W)));const N=new Q.$as(J);z.set(F.$_k,N);const T=this.B(new ne.$zP(N,Y,J,W));z.set(V.$bl,T);const ee=this.B(new C.$lo(T.defaultProfile.settingsResource,J,new X.$Xn,W));return z.set(D.$Ki,ee),await Promise.all([ee.initialize(),T.init()]),z.set(S.$sp,new o.$bi(v.$yr)),z.set(A.$po,new o.$bi(y.$QP)),z.set(I.$Fl,w.$Yo),z.set(k.$Ko,new o.$bi(p.$Pp)),z.set(_.$7p,new o.$bi(K.$AP)),z.set(he.$$p,new o.$bi(B.$nP)),z.set(m.$Qp,new o.$bi(m.$Rp)),z.set(d.$iq,new o.$bi(d.$jq)),z.set(n.$sr,new o.$bi(i.$ur)),new l.$Pq(z)}async g(z){if(this.a["list-extensions"])return z.listExtensions(!!this.a["show-versions"],this.a.category);if(this.a["install-extension"]||this.a["install-builtin-extension"]){const x={isMachineScoped:!!this.a["do-not-sync"],installPreReleaseVersion:!!this.a["pre-release"]};return z.installExtensions(this.h(this.a["install-extension"]||[]),this.h(this.a["install-builtin-extension"]||[]),x,!!this.a.force)}else{if(this.a["uninstall-extension"])return z.uninstallExtensions(this.h(this.a["uninstall-extension"]),!!this.a.force);if(this.a["update-extensions"])return z.updateExtensions();if(this.a["locate-extension"])return z.locateExtension(this.a["locate-extension"])}}h(z){return z.map(x=>/\.vsix$/i.test(x)?$.URI.file((0,O.$ic)(x)?x:(0,O.$jc)((0,P.cwd)(),x)):x)}}function U(M){setTimeout(()=>process.exit(M),0)}async function q(M,z,x){if(M.help){const Z=b.default.serverApplicationName+(de.$i?".cmd":"");console.log((0,te.$_l)(b.default.nameLong,Z,b.default.version,x,{noInputFiles:!0,noPipe:!0}));return}if(M.version){console.log((0,te.$am)(b.default.version,b.default.commit));return}const Y=new ge(M,z);try{await Y.run(),U(0)}catch{U(1)}finally{Y.dispose()}}e.run=q}),define(ye[293],ke([1,0,74,305,27,288,4,13,92]),function(le,e,E,R,o,C,D,S,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$GO=e.$FO=void 0;class w{constructor(p,d,m){this.b=p,this.c=d,this.f=m,this.a=R.createServer((l,b)=>this.h(l,b)),this.g().catch(l=>(d.error(l),""))}get ipcHandlePath(){return this.f}async g(){try{this.a.listen(this.ipcHandlePath),this.a.on("error",p=>this.c.error(p))}catch{this.c.error("Could not start open from terminal server.")}return this.f}h(p,d){const m=(b,c)=>{d.writeHead(b,{"content-type":"application/json"}),d.end(JSON.stringify(c||null),g=>g&&this.c.error(g))},l=[];p.setEncoding("utf8"),p.on("data",b=>l.push(b)),p.on("end",async()=>{try{const b=JSON.parse(l.join(""));let c;switch(b.type){case"open":c=await this.i(b);break;case"openExternal":c=await this.j(b);break;case"status":c=await this.l(b);break;case"extensionManagement":c=await this.k(b);break;default:m(404,`Unknown message type: ${b.type}`);break}m(200,c)}catch(b){const c=b instanceof Error?b.message:JSON.stringify(b);m(500,c),this.c.error("Error while processing pipe request",b)}})}async i(p){const{fileURIs:d,folderURIs:m,forceNewWindow:l,diffMode:b,mergeMode:c,addMode:g,forceReuseWindow:h,gotoLineMode:f,waitMarkerFilePath:u,remoteAuthority:t}=p,s=[];if(Array.isArray(m))for(const a of m)try{s.push({folderUri:D.URI.parse(a)})}catch{}if(Array.isArray(d))for(const a of d)try{(0,v.$Ji)(a)?s.push({workspaceUri:D.URI.parse(a)}):s.push({fileUri:D.URI.parse(a)})}catch{}const r=u?D.URI.file(u):void 0,i={forceNewWindow:l,diffMode:b,mergeMode:c,addMode:g,gotoLineMode:f,forceReuseWindow:h,preferNewWindow:!h&&!r&&!g,waitMarkerFileURI:r,remoteAuthority:t};this.b.executeCommand("_remoteCLI.windowOpen",s,i)}async j(p){for(const d of p.uris){const m=D.URI.parse(d),l=m.scheme==="file"?m:d;await this.b.executeCommand("_remoteCLI.openExternal",l)}}async k(p){const d=l=>l?.map(b=>/\.vsix$/i.test(b)?D.URI.parse(b):b),m={list:p.list,install:d(p.install),uninstall:d(p.uninstall),force:p.force};return await this.b.executeCommand("_remoteCLI.manageExtensions",m)}async l(p){return await this.b.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this.a.close(),this.f&&process.platform!=="win32"&&o.existsSync(this.f)&&o.unlinkSync(this.f)}}e.$FO=w;let I=class extends w{constructor(p,d){super(p,d,(0,E.$9h)())}};e.$GO=I,e.$GO=I=Me([Oe(0,C.$AO),Oe(1,S.$yj)],I)}),define(ye[294],ke([1,0,28,6,21,2,7,3,4,74,72,293,123,90,274,276,141,15]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gP=void 0;class g extends l.$fP{constructor(u,t,s,r,n){super({getFolderUri:i=>{const a=t.filter($=>$.name===i);if(a&&a.length>0)return a[0].uri},getWorkspaceFolderCount:()=>t.length,getConfigurationValue:(i,a)=>r[`config:${a}`],getExecPath:()=>u.VSCODE_EXEC_PATH,getAppRoot:()=>u.VSCODE_CWD,getFilePath:()=>{if(s)return D.$hc(s.fsPath)},getSelectedText:()=>r.selectedText,getLineNumber:()=>r.lineNumber,getExtension:async i=>{const $=(await n.getInstalled()).find(O=>O.identifier.id===i);return $&&{extensionLocation:$.location}}},void 0,Promise.resolve(E.homedir()),Promise.resolve(u))}}class h extends C.$Tc{constructor(u,t,s,r,n,i){super(),this.g=u,this.h=t,this.j=s,this.m=r,this.n=n,this.r=i,this.a=0,this.b=new Map,this.c=this.B(new R.$5d),this.onExecuteCommand=this.c.event}async call(u,t,s){switch(t){case"$restartPtyHost":return this.j.restartPtyHost.apply(this.j,s);case"$createProcess":{const r=(0,I.$bs)(u.remoteAuthority);return this.s(r,s)}case"$attachToProcess":return this.j.attachToProcess.apply(this.j,s);case"$detachFromProcess":return this.j.detachFromProcess.apply(this.j,s);case"$listProcesses":return this.j.listProcesses.apply(this.j,s);case"$getLatency":return this.j.getLatency.apply(this.j,s);case"$getPerformanceMarks":return this.j.getPerformanceMarks.apply(this.j,s);case"$orphanQuestionReply":return this.j.orphanQuestionReply.apply(this.j,s);case"$acceptPtyHostResolvedVariables":return this.j.acceptPtyHostResolvedVariables.apply(this.j,s);case"$start":return this.j.start.apply(this.j,s);case"$input":return this.j.input.apply(this.j,s);case"$acknowledgeDataEvent":return this.j.acknowledgeDataEvent.apply(this.j,s);case"$shutdown":return this.j.shutdown.apply(this.j,s);case"$resize":return this.j.resize.apply(this.j,s);case"$clearBuffer":return this.j.clearBuffer.apply(this.j,s);case"$getInitialCwd":return this.j.getInitialCwd.apply(this.j,s);case"$getCwd":return this.j.getCwd.apply(this.j,s);case"$processBinary":return this.j.processBinary.apply(this.j,s);case"$sendCommandResult":return this.u(s[0],s[1],s[2]);case"$installAutoReply":return this.j.installAutoReply.apply(this.j,s);case"$uninstallAllAutoReplies":return this.j.uninstallAllAutoReplies.apply(this.j,s);case"$getDefaultSystemShell":return this.w.apply(this,s);case"$getProfiles":return this.y.apply(this,s);case"$getEnvironment":return this.z();case"$getWslPath":return this.C(s[0],s[1]);case"$getTerminalLayoutInfo":return this.j.getTerminalLayoutInfo(s);case"$setTerminalLayoutInfo":return this.j.setTerminalLayoutInfo(s);case"$serializeTerminalState":return this.j.serializeTerminalState.apply(this.j,s);case"$reviveTerminalProcesses":return this.j.reviveTerminalProcesses.apply(this.j,s);case"$getRevivedPtyNewId":return this.j.getRevivedPtyNewId.apply(this.j,s);case"$setUnicodeVersion":return this.j.setUnicodeVersion.apply(this.j,s);case"$reduceConnectionGraceTime":return this.D();case"$updateIcon":return this.j.updateIcon.apply(this.j,s);case"$updateTitle":return this.j.updateTitle.apply(this.j,s);case"$updateProperty":return this.j.updateProperty.apply(this.j,s);case"$refreshProperty":return this.j.refreshProperty.apply(this.j,s);case"$requestDetachInstance":return this.j.requestDetachInstance(s[0],s[1]);case"$acceptDetachedInstance":return this.j.acceptDetachInstanceReply(s[0],s[1]);case"$freePortKillProcess":return this.j.freePortKillProcess.apply(this.j,s);case"$acceptDetachInstanceReply":return this.j.acceptDetachInstanceReply.apply(this.j,s)}throw new Error(`IPC Command ${t} not found`)}listen(u,t,s){switch(t){case"$onPtyHostExitEvent":return this.j.onPtyHostExit||R.Event.None;case"$onPtyHostStartEvent":return this.j.onPtyHostStart||R.Event.None;case"$onPtyHostUnresponsiveEvent":return this.j.onPtyHostUnresponsive||R.Event.None;case"$onPtyHostResponsiveEvent":return this.j.onPtyHostResponsive||R.Event.None;case"$onPtyHostRequestResolveVariablesEvent":return this.j.onPtyHostRequestResolveVariables||R.Event.None;case"$onProcessDataEvent":return this.j.onProcessData;case"$onProcessReadyEvent":return this.j.onProcessReady;case"$onProcessExitEvent":return this.j.onProcessExit;case"$onProcessReplayEvent":return this.j.onProcessReplay;case"$onProcessOrphanQuestion":return this.j.onProcessOrphanQuestion;case"$onExecuteCommand":return this.onExecuteCommand;case"$onDidRequestDetach":return this.j.onDidRequestDetach||R.Event.None;case"$onDidChangeProperty":return this.j.onDidChangeProperty}throw new Error(`IPC Command ${t} not found`)}async s(u,t){const s={name:t.shellLaunchConfig.name,executable:t.shellLaunchConfig.executable,args:t.shellLaunchConfig.args,cwd:typeof t.shellLaunchConfig.cwd=="string"||typeof t.shellLaunchConfig.cwd>"u"?t.shellLaunchConfig.cwd:v.URI.revive(u.transformIncoming(t.shellLaunchConfig.cwd)),env:t.shellLaunchConfig.env,useShellEnvironment:t.shellLaunchConfig.useShellEnvironment,reconnectionProperties:t.shellLaunchConfig.reconnectionProperties,type:t.shellLaunchConfig.type,isFeatureTerminal:t.shellLaunchConfig.isFeatureTerminal},r=await(0,b.$7m)(t.resolverEnv,!!t.shellLaunchConfig.useShellEnvironment,S.$w,this.g,this.h,this.r);this.h.trace("baseEnv",r);const n=V=>({uri:v.URI.revive(u.transformIncoming(V.uri)),name:V.name,index:V.index,toResource:()=>{throw new Error("Not implemented")}}),i=t.workspaceFolders.map(n),a=t.activeWorkspaceFolder?n(t.activeWorkspaceFolder):void 0,$=t.activeFileResource?v.URI.revive(u.transformIncoming(t.activeFileResource)):void 0,O=new g(r,i,$,t.resolvedVariables,this.n),P=m.$bP(a,process.env,O),y=await m.$aP(s,E.homedir(),P,a?.uri,t.configuration["terminal.integrated.cwd"],this.h);s.cwd=y;const A=S.$i?"terminal.integrated.env.windows":S.$j?"terminal.integrated.env.osx":"terminal.integrated.env.linux",F=t.configuration[A],Q=await m.$cP(s,F,P,this.m.version,t.configuration["terminal.integrated.detectLocale"],r);if(!s.strictEnv){const V=[];for(const[K,G,oe]of t.envVariableCollections)V.push([K,{map:(0,d.$Zr)(G),descriptionMap:(0,d.$1r)(oe)}]);const _=new Map(V),X=new p.$4r(_),ne=a?a??void 0:void 0;await X.applyToProcessEnvironment(Q,{workspaceFolder:ne},P)}this.h.debug("Terminal process launching on remote agent",{shellLaunchConfig:s,initialCwd:y,cols:t.cols,rows:t.rows,env:Q});const te=(0,w.$9h)();Q.VSCODE_IPC_HOOK_CLI=te;const de=await this.j.createProcess(s,y,t.cols,t.rows,t.unicodeVersion,Q,r,t.options,t.shouldPersistTerminal,t.workspaceId,t.workspaceName),he={executeCommand:(V,..._)=>this.t(de,V,_,u)},B=new k.$FO(he,this.h,te);return this.j.onProcessExit(V=>V.id===de&&B.dispose()),{persistentTerminalId:de,resolvedShellLaunchConfig:s}}t(u,t,s,r){const{resolve:n,reject:i,promise:a}=(0,c.$0g)(),$=++this.a;this.b.set($,{resolve:n,reject:i,uriTransformer:r});const O=(0,o.$Jn)(s,P=>{if(P&&P.$mid===1)return r.transformOutgoing(P);if(P&&P instanceof v.URI)return r.transformOutgoingURI(P)});return this.c.fire({reqId:$,persistentProcessId:u,commandId:t,commandArgs:O}),a}u(u,t,s){const r=this.b.get(u);if(!r)return;this.b.delete(u);const n=(0,o.$Jn)(s,i=>{if(i&&i.$mid===1)return r.uriTransformer.transformIncoming(i)});t?r.reject(n):r.resolve(n)}w(u){return this.j.getDefaultSystemShell(u)}async y(u,t,s,r){return this.j.getProfiles(u,t,s,r)||[]}z(){return{...process.env}}C(u,t){return this.j.getWslPath(u,t)}D(){return this.j.reduceConnectionGraceTime()}}e.$gP=h}),define(ye[295],ke([1,0,28,6,2,12,7,101,23,44,25,117,211,83,212,26,127,30,86,120,221,125,16,112,70,68,111,84,85,121,13,57,31,46,238,140,119,32,38,252,91,260,34,124,271,272,243,250,294,72,48,278,289,129,59,131,47,33,71,251,115,128,126,114,113,205,284,234,264,257]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t,s,r,n,i,a,$,O,P,y,A,F,Q,te,de,he,B,V,_,X,ne,K,G,oe,ce,se,ge,U,q,M,z,x,Y,Z,W,J,N,T,ee,ie,fe,ae,pe,Ee,Ie,Ne,$e,Se){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$LP=e.$KP=void 0;const De="monacoworkbench";async function Te(Xe,me,Ce,Le){const Re=new a.$ci,je=new He,Be={_serviceBrand:void 0,...y.default};Re.set(A.$Qj,Be);const We=new q.$Sm(me,Be);Re.set(l.$li,We),Re.set(l.$mi,We);const xe=new ee.$rP((0,P.$Mj)(We),We.logsHome);Re.set(P.$zj,xe),je.registerChannel("logger",new pe.$Mr(xe,rt=>Ve(rt.remoteAuthority)));const it=xe.createLogger("remoteagent",{name:(0,Ee.localize)(0,null)}),Ze=new ae.$BP(it,[new Je((0,P.$Mj)(We))]);Re.set(P.$yj,Ze),setTimeout(()=>et(We.logsHome.with({scheme:C.Schemas.file}).fsPath).then(null,rt=>Ze.error(rt)),1e4),Ze.onDidChangeLogLevel(rt=>(0,P.log)(Ze,rt,`Log level changed to ${(0,P.$Nj)(Ze.getLevel())}`)),Ze.trace(`Remote configuration data at ${Ce}`),Ze.trace("process arguments:",We.args),Array.isArray(Be.serverGreeting)&&Ze.info(`

${Be.serverGreeting.join(`
`)}

`),je.registerChannel(p.$no.ChannelName,new p.$no);const nt=new w.$Yh(rt=>rt.clientId==="renderer"),ot=Le.add(new s.$nq(Ze));Re.set(t.$Bk,ot),ot.registerProvider(C.Schemas.file,Le.add(new r.$Mq(Ze)));const ct=new K.$as(ot);Re.set(ne.$_k,ct);const at=new k.$lo(We.machineSettingsResource,ot,new N.$Xn,Ze);Re.set(I.$Ki,at);const lt=new ie.$zP(ct,We,ot,Ze);Re.set(J.$bl,lt),je.registerChannel("userDataProfiles",new $e.$HP(lt,rt=>Ve(rt.remoteAuthority)));const[,,St,Ht]=await Promise.all([at.initialize(),lt.init(),(0,S.$kn)(Ze.error.bind(Ze)),(0,S.$ln)(Ze.error.bind(Ze))]),kt=new x.$1m;Re.set(x.$Zm,kt);const Ct=new te.$yr(at,We,Ze,xe);Re.set(F.$sp,Ct);let bt=B.$3o;const It=(0,B.$9o)(Be,at);if((0,B.$4o)(Be,We)){!(0,B.$5o)(Be,We)&&Be.aiConfig?.ariaKey&&(bt=new T.$pP(Ct,It,De,null,Be.aiConfig.ariaKey),Le.add((0,o.$Rc)(()=>bt?.flush())));const rt={appenders:[bt],commonProperties:(0,de.$Uo)((0,E.release)(),(0,E.hostname)(),process.arch,Be.commit,Be.version+"-remote",St,Ht,It,"remoteAgent"),piiPaths:(0,B.$0o)(We)},gt=We.args["telemetry-level"];let wt=3;gt==="all"?wt=3:gt==="error"?wt=2:gt==="crash"?wt=1:gt!==void 0&&(wt=0),Re.set(se.$os,new n.$bi(se.$ms,[rt,wt]))}else Re.set(se.$os,se.$ns);Re.set(c.$Ko,new n.$bi(b.$Pp));const At=je.getChannel("download",nt);Re.set(d.$po,new m.$ro(At,()=>Ve("renderer"))),Re.set(W.$7p,new n.$bi(fe.$AP)),Re.set(Y.$$p,new n.$bi(Z.$nP)),Re.set(g.$Qp,new n.$bi(g.$Rp)),Re.set(u.$iq,new n.$bi(u.$jq));const ht=new i.$Pq(Re);Re.set($.$sr,ht.createInstance(O.$ur));const Lt=ht.createInstance(Se.$JP,{graceTime:108e5,shortGraceTime:3e5,scrollback:at.getValue("terminal.integrated.persistentSessionScrollback")??100}),Ft=ht.createInstance(X.$9r,Lt);return Re.set(_.$Hr,Ft),ht.invokeFunction(rt=>{const gt=rt.get(u.$iq),wt=rt.get(Y.$$p),Vt=rt.get(c.$Ko),Mt=rt.get($.$sr),Wt=new G.$is(Xe,We,lt,kt);je.registerChannel("remoteextensionsenvironment",Wt);const jt=new ce.$ps(rt.get(se.$os),bt);je.registerChannel("telemetry",jt),je.registerChannel(M.$hP,new ge.$gP(We,Ze,Ft,Be,gt,at));const Rt=new Ie.$FP(ht.createInstance(h.$Sp,Ze),We,lt,wt,Ze,Vt,Mt);je.registerChannel(Ne.$EP,new Ie.$GP(Rt,$t=>Ve($t.remoteAuthority)));const Gt=new oe.$ls(Ze,We);je.registerChannel(z.$lP,Gt),je.registerChannel("request",new Q.$vr(rt.get(F.$sp)));const yt=new f.$Tp(gt,$t=>Ve($t.remoteAuthority));return je.registerChannel("extensions",yt),Rt.whenExtensionsReady().then(()=>gt.cleanUp()),Le.add(new V.default(rt.get(he.$Fl))),{telemetryService:rt.get(he.$Fl)}}),{socketServer:je,instantiationService:ht}}e.$KP=Te;const Fe=Object.create(null);function Ve(Xe){return Fe[Xe]||(Fe[Xe]=(0,U.$bs)(Xe)),Fe[Xe]}class He extends w.$Uh{constructor(){const me=new R.$5d;super(me.event),this.b=me}acceptConnection(me,Ce){this.b.fire({protocol:me,onDidClientDisconnect:Ce})}}e.$LP=He;class Je extends P.$Dj{constructor(me=P.$Bj){super(),this.setLevel(me),this.g=!!process.stdout.isTTY}trace(me,...Ce){this.f(P.LogLevel.Trace)&&(this.g?console.log(`\x1B[90m[${Ye()}]\x1B[0m`,me,...Ce):console.log(`[${Ye()}]`,me,...Ce))}debug(me,...Ce){this.f(P.LogLevel.Debug)&&(this.g?console.log(`\x1B[90m[${Ye()}]\x1B[0m`,me,...Ce):console.log(`[${Ye()}]`,me,...Ce))}info(me,...Ce){this.f(P.LogLevel.Info)&&(this.g?console.log(`\x1B[90m[${Ye()}]\x1B[0m`,me,...Ce):console.log(`[${Ye()}]`,me,...Ce))}warn(me,...Ce){this.f(P.LogLevel.Warning)&&(this.g?console.warn(`\x1B[93m[${Ye()}]\x1B[0m`,me,...Ce):console.warn(`[${Ye()}]`,me,...Ce))}error(me,...Ce){this.f(P.LogLevel.Error)&&(this.g?console.error(`\x1B[91m[${Ye()}]\x1B[0m`,me,...Ce):console.error(`[${Ye()}]`,me,...Ce))}flush(){}}function Ye(){const Xe=new Date;return`${_e(Xe.getHours())}:${_e(Xe.getMinutes())}:${_e(Xe.getSeconds())}`}function _e(Xe){return Xe<10?`0${Xe}`:String(Xe)}async function et(Xe){const me=D.$nc(Xe),Ce=D.$mc(Xe),je=(await v.Promises.readdir(Ce)).filter(We=>/^\d{8}T\d{6}$/.test(We)).sort().filter(We=>We!==me),Be=je.slice(0,Math.max(0,je.length-9));await Promise.all(Be.map(We=>v.Promises.rm(D.$jc(Ce,We))))}}),define(ye[296],ke([1,0,89,27,78,297,87,95,14,10,40,2,12,7,42,3,17,4,22,171,157,292,106,74,25,5,13,31,58,32,141,265,266,48,295,268]),function(le,e,E,R,o,C,D,S,v,w,I,k,p,d,m,l,b,c,g,h,f,u,t,s,r,n,i,a,$,O,P,y,A,F,Q,te){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$PP=void 0;const de=5*60*1e3;let he=class extends k.$Tc{constructor(X,ne,K,G,oe,ce,se,ge){super(),this.n=X,this.r=ne,this.s=K,this.t=oe,this.u=ce,this.w=se,this.y=ge,this.h=V.create(this.u),this.j=(0,$.$nl)(ce),this.a=Object.create(null),this.b=Object.create(null),this.f=new Set,this.g=G?this.y.createInstance(te.$OP,this.r):null,this.w.info("Extension host agent started."),this.L(!0)}async handleRequest(X,ne){if(X.method!=="GET")return(0,te.$MP)(X,ne,405,`Unsupported method ${X.method}`);if(!X.url)return(0,te.$MP)(X,ne,400,"Bad request.");const K=D.parse(X.url,!0);let G=K.pathname;if(!G)return(0,te.$MP)(X,ne,400,"Bad request.");if(G.startsWith(this.j)&&G.charCodeAt(this.j.length)===47&&(G=G.substring(this.j.length)),G==="/version")return ne.writeHead(200,{"Content-Type":"text/plain"}),void ne.end(this.u.commit||"");if(G==="/delay-shutdown")return this.N(),ne.writeHead(200),void ne.end("OK");if(!(0,A.$cn)(this.r,X,K))return(0,te.$MP)(X,ne,403,"Forbidden.");if(G==="/vscode-remote-resource"){const oe=K.query.path;if(typeof oe!="string")return(0,te.$MP)(X,ne,400,"Bad request.");let ce;try{ce=c.URI.from({scheme:p.Schemas.file,path:oe}).fsPath}catch{return(0,te.$MP)(X,ne,400,"Bad request.")}const se=Object.create(null);this.t.isBuilt&&((0,I.$fg)(ce,this.t.builtinExtensionsPath,!l.$k)||(0,I.$fg)(ce,this.t.extensionsPath,!l.$k))&&(se["Cache-Control"]="public, max-age=31536000"),se.Vary="Origin";const ge=X.headers.origin;return ge&&this.h.matches(ge)&&(se["Access-Control-Allow-Origin"]=ge),(0,te.$NP)(ce,1,this.w,X,ne,se)}if(this.g){this.g.handle(X,ne,K);return}return ne.writeHead(404,{"Content-Type":"text/plain"}),void ne.end("Not found")}handleUpgrade(X,ne){let K=(0,g.$Ag)(),G=!1,oe=!1;if(X.url){const M=D.parse(X.url,!0).query;typeof M.reconnectionToken=="string"&&(K=M.reconnectionToken),M.reconnection==="true"&&(G=!0),M.skipWebSocketFrames==="true"&&(oe=!0)}if(X.headers.upgrade===void 0||X.headers.upgrade.toLowerCase()!=="websocket"){ne.end("HTTP/1.1 400 Bad Request");return}const ce=X.headers["sec-websocket-key"],se=E.createHash("sha1");se.update(ce+"258EAFA5-E914-47DA-95CA-C5AB0DC85B11");const U=["HTTP/1.1 101 Switching Protocols","Upgrade: websocket","Connection: Upgrade",`Sec-WebSocket-Accept: ${se.digest("base64")}`];let q=!1;if(!oe&&!this.t.args["disable-websocket-compression"]&&X.headers["sec-websocket-extensions"]){const M=Array.isArray(X.headers["sec-websocket-extensions"])?X.headers["sec-websocket-extensions"]:[X.headers["sec-websocket-extensions"]];for(const z of M)if(!/\b((server_max_window_bits)|(server_no_context_takeover)|(client_no_context_takeover))\b/.test(z)){if(/\b(permessage-deflate)\b/.test(z)){q=!0,U.push("Sec-WebSocket-Extensions: permessage-deflate");break}if(/\b(x-webkit-deflate-frame)\b/.test(z)){q=!0,U.push("Sec-WebSocket-Extensions: x-webkit-deflate-frame");break}}}ne.write(U.join(`\r
`)+`\r
\r
`),ne.setTimeout(0),ne.setNoDelay(!0),oe?this.D(new s.$6h(ne,`server-connection-${K}`),G,K):this.D(new s.$7h(new s.$6h(ne,`server-connection-${K}`),q,null,!0),G,K)}handleServerError(X){this.w.error("Error occurred in server"),this.w.error(X)}z(X){let ne;return X instanceof s.$6h?ne=X.socket:ne=X.socket.socket,ne.remoteAddress||"<unknown>"}async C(X,ne,K){const G=ne.getSocket();this.w.error(`${X} ${K}.`);const oe={type:"error",reason:K};ne.sendControl(v.$se.fromString(JSON.stringify(oe))),ne.dispose(),await G.drain(),G.dispose()}D(X,ne,K){const G=this.z(X),oe=`[${G}][${K.substr(0,8)}]`,ce=new t.$5h({socket:X}),se=this.s?new this.s.validator:null,ge=this.s?new this.s.signer:null;let U;(function(x){x[x.WaitingForAuth=0]="WaitingForAuth",x[x.WaitingForConnectionType=1]="WaitingForConnectionType",x[x.Done=2]="Done",x[x.Error=3]="Error"})(U||(U={}));let q=0;const M=x=>{q=3,z.dispose(),this.C(oe,ce,x)},z=ce.onControlMessage(x=>{if(q===0){let Y;try{Y=JSON.parse(x.toString())}catch{return M("Malformed first message")}if(Y.type!=="auth")return M("Invalid first message");if(this.r.type===2&&!this.r.validate(Y.auth))return M("Unauthorized client refused: auth mismatch");let Z=(0,g.$Ag)();if(ge)try{Z=ge.sign(Y.data)}catch{}let W=(0,g.$Ag)();if(se)try{W=se.createNewMessage(W)}catch{}const J={type:"sign",data:W,signedData:Z};ce.sendControl(v.$se.fromString(JSON.stringify(J))),q=1}else if(q===1){let Y;try{Y=JSON.parse(x.toString())}catch{return M("Malformed second message")}if(Y.type!=="connectionType")return M("Invalid second message");if(typeof Y.signedData!="string")return M("Invalid second message field type");const Z=Y.commit,W=this.u.commit;if(Z&&W&&Z!==W)return M("Client refused: version mismatch");let J=!1;if(!se)J=!0;else if(this.r.validate(Y.signedData))J=!0;else try{J=se.validate(Y.signedData)==="ok"}catch{}if(!J){if(this.t.isBuilt)return M("Unauthorized client refused");this.w.error(`${oe} Unauthorized client handshake failed but we proceed because of dev mode.`)}for(const N in this.b)this.b[N].shortenReconnectionGraceTimeIfNecessary();for(const N in this.a)this.a[N].shortenReconnectionGraceTimeIfNecessary();q=2,z.dispose(),this.F(G,oe,ce,X,ne,K,Y)}})}async F(X,ne,K,G,oe,ce,se){const ge=se.desiredConnectionType===1?`${ne}[ManagementConnection]`:se.desiredConnectionType===2?`${ne}[ExtensionHostConnection]`:ne;if(se.desiredConnectionType===1)if(oe){if(!this.b[ce])return this.f.has(ce)?this.C(ge,K,"Unknown reconnection token (seen before)"):this.C(ge,K,"Unknown reconnection token (never seen)");K.sendControl(v.$se.fromString(JSON.stringify({type:"ok"})));const U=K.readEntireBuffer();K.dispose(),this.b[ce].acceptReconnection(X,G,U)}else{if(this.b[ce])return this.C(ge,K,"Duplicate reconnection token");K.sendControl(v.$se.fromString(JSON.stringify({type:"ok"})));const U=new y.$9m(this.w,ce,X,K);this.n.acceptConnection(U.protocol,U.onClose),this.b[ce]=U,this.f.add(ce),U.onClose(()=>{delete this.b[ce]})}else if(se.desiredConnectionType===2){const U=se.args||{language:"en"},q=await this.I(U);if(q.port&&this.w.trace(`${ge} - startParams debug port ${q.port}`),this.w.trace(`${ge} - startParams language: ${q.language}`),this.w.trace(`${ge} - startParams env: ${JSON.stringify(q.env)}`),oe){if(!this.a[ce])return this.f.has(ce)?this.C(ge,K,"Unknown reconnection token (seen before)"):this.C(ge,K,"Unknown reconnection token (never seen)");K.sendPause(),K.sendControl(v.$se.fromString(JSON.stringify(q.port?{debugPort:q.port}:{})));const M=K.readEntireBuffer();K.dispose(),this.a[ce].acceptReconnection(X,G,M)}else{if(this.a[ce])return this.C(ge,K,"Duplicate reconnection token");K.sendPause(),K.sendControl(v.$se.fromString(JSON.stringify(q.port?{debugPort:q.port}:{})));const M=K.readEntireBuffer();K.dispose();const z=this.y.createInstance(P.$8m,ce,X,G,M);this.a[ce]=z,this.f.add(ce),z.onClose(()=>{delete this.a[ce],this.J()}),z.start(q)}}else if(se.desiredConnectionType===3){const U=se.args;this.G(K,U)}else return this.C(ge,K,"Unknown initial data received")}async G(X,ne){const K=X.getSocket().socket,G=X.readEntireBuffer();X.dispose(),K.pause();const oe=await this.H(ne.host,ne.port);G.byteLength>0&&oe.write(G.buffer),oe.on("end",()=>K.end()),oe.on("close",()=>K.end()),oe.on("error",()=>K.destroy()),K.on("end",()=>oe.end()),K.on("close",()=>oe.end()),K.on("error",()=>oe.destroy()),oe.pipe(K),K.pipe(oe)}H(X,ne){return new Promise((K,G)=>{const oe=o.createConnection({host:X,port:ne,autoSelectFamily:!0},()=>{oe.removeListener("error",G),oe.pause(),K(oe)});oe.once("error",G)})}I(X){return typeof X.port=="number"?(0,f.$Cg)(X.port,10,5e3).then(ne=>(X.port=ne,X)):(X.debugId=void 0,X.port=void 0,X.break=void 0,Promise.resolve(X))}async J(){if(!this.t.args["enable-remote-auto-shutdown"])return;this.O(),!!Object.keys(this.a).length||(console.log("Last EH closed, waiting before shutting down"),this.w.info("Last EH closed, waiting before shutting down"),this.L())}L(X=!1){this.t.args["enable-remote-auto-shutdown"]&&(this.t.args["remote-auto-shutdown-without-delay"]&&!X?this.M():this.m=setTimeout(()=>{this.m=void 0,this.M()},de))}M(){if(!!Object.keys(this.a).length){console.log("New EH opened, aborting shutdown"),this.w.info("New EH opened, aborting shutdown");return}else console.log("Last EH closed, shutting down"),this.w.info("Last EH closed, shutting down"),this.dispose(),process.exit(0)}N(){this.m&&(console.log("Got delay-shutdown request while in shutdown timeout, delaying"),this.w.info("Got delay-shutdown request while in shutdown timeout, delaying"),this.O(),this.L())}O(){this.m&&(console.log("Cancelling previous shutdown timeout"),this.w.info("Cancelling previous shutdown timeout"),clearTimeout(this.m),this.m=void 0)}};he=Me([Oe(4,F.$Rm),Oe(5,a.$Qj),Oe(6,i.$yj),Oe(7,n.$di)],he);async function B(_,X,ne){const K=await(0,A.$bn)(X);K instanceof A.$_m&&(console.warn(K.message),process.exit(1));function G(J){(0,w.setUnexpectedErrorHandler)(N=>{(0,w.$Z)(N)&&N.stack&&/unexpectedErrorHandler/.test(N.stack)||J(N)})}const oe=[];G(J=>{oe.push(J),console.error(J)});let ce=!1;process.on("SIGPIPE",()=>{ce||(ce=!0,(0,w.$1)(new Error("Unexpected SIGPIPE")))});const se=new k.$Sc,{socketServer:ge,instantiationService:U}=await(0,Q.$KP)(K,X,ne,se);U.invokeFunction(J=>{const N=J.get(i.$yj);oe.forEach(T=>N.error(T)),oe.length=0,G(T=>N.error(T))}),U.invokeFunction(J=>{const N=J.get(r.$Ki);l.$i&&(N.getValue("security.restrictUNCAccess")===!1?(0,u.disableUNCAccessRestrictions)():(0,u.addUNCHostToAllowlist)(N.getValue("security.allowedUNCHosts")))}),U.invokeFunction(J=>{const N=J.get(i.$yj);if(l.$i&&process.env.HOMEDRIVE&&process.env.HOMEPATH){const T=(0,d.$jc)(process.env.HOMEDRIVE,"node_modules"),ee=(0,d.$mc)((0,d.$jc)(process.env.HOMEDRIVE,process.env.HOMEPATH)),ie=(0,d.$jc)(ee,"node_modules");if(R.existsSync(T)||R.existsSync(ie)){const fe=`

*
* !!!! Server terminated due to presence of CVE-2020-1416 !!!!
*
* Please remove the following directories and re-try
* ${T}
* ${ie}
*
* For more information on the vulnerability https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-1416
*

`;N.warn(fe),console.warn(fe),process.exit(0)}}});const q=U.invokeFunction(J=>{const N=J.get(i.$yj);if(R.existsSync((0,d.$jc)(p.$yg.asFileUri("").fsPath,"../node_modules/vsda")))try{return globalThis._VSCODE_NODE_MODULES.vsda}catch(ee){N.error(ee)}return null}),M=R.existsSync(p.$yg.asFileUri("vs/code/browser/workbench/workbench.html").fsPath);if(M&&_&&typeof _!="string"){const J=K.type!==0?`?${p.$rg}=${K.value}`:"";console.log(`Web UI available at http://localhost${_.port===80?"":`:${_.port}`}/${J}`)}const z=U.createInstance(he,ge,K,q,M);m.mark("code/server/ready");const x=C.performance.now(),Y=global.vscodeServerStartTime,Z=global.vscodeServerListenTime,W=global.vscodeServerCodeLoadedTime;if(U.invokeFunction(async J=>{const N=J.get(O.$Fl);if(N.publicLog2("serverStart",{startTime:Y,startedTime:Z,codeLoadedTime:W,readyTime:x}),l.$k){const T=J.get(i.$yj),ee=await(0,h.$Bg)(T.error.bind(T));ee&&N.publicLog2("serverPlatformInfo",{platformId:ee.id,platformVersionId:ee.version_id,platformIdLike:ee.id_like})}}),X["print-startup-performance"]){const J=S.$U.get();let N="";N+=`

### Load AMD-module
`,N+=S.$U.toMarkdownTable(["Module","Duration"],J.amdLoad),N+=`

### Load commonjs-module
`,N+=S.$U.toMarkdownTable(["Module","Duration"],J.nodeRequire),N+=`

### Invoke AMD-module factory
`,N+=S.$U.toMarkdownTable(["Module","Duration"],J.amdInvoke),N+=`

### Invoke commonjs-module
`,N+=S.$U.toMarkdownTable(["Module","Duration"],J.nodeEval),N+=`Start-up time: ${Z-Y}
`,N+=`Code loading time: ${W-Y}
`,N+=`Initialized time: ${x-Y}
`,N+=`
`,console.log(N)}return z}e.$PP=B;class V{static create(X){const ne=X.webEndpointUrlTemplate,K=X.commit,G=X.quality;if(!ne||!K||!G)return new V(null);const oe=(0,g.$Ag)(),se=new URL(ne.replace("{{uuid}}",oe).replace("{{commit}}",K).replace("{{quality}}",G)).origin,ge=(0,b.$Xe)(se).replace(oe,"[a-zA-Z0-9\\-]+");try{const U=(0,b.$7e)(`^${ge}$`,!0,{matchCase:!1});return new V(U)}catch{return new V(null)}}constructor(X){this.a=X}matches(X){return this.a?this.a.test(X):!1}}}),define(ye[306],ke([1,0,28,27,12,291,296,67,7,297,48,57,42]),function(le,e,E,R,o,C,D,S,v,w,I,k,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.createServer=e.spawnCli=void 0,p.mark("code/server/codeLoaded"),global.vscodeServerCodeLoadedTime=w.performance.now();const d={onMultipleValues:(n,i)=>{console.error(`Option '${n}' can only be defined once. Using value ${i}.`)},onEmptyValue:n=>{console.error(`Ignoring option '${n}': Value must not be empty.`)},onUnknownOption:n=>{console.error(`Ignoring option '${n}': not supported for server.`)},onDeprecatedOption:(n,i)=>{console.warn(`Option '${n}' is deprecated: ${i}`)}},m=(0,S.$0l)(process.argv.slice(2),I.$Qm,d),l=m["server-data-dir"]||process.env.VSCODE_AGENT_FOLDER||(0,v.$jc)(E.homedir(),k.default.serverDataFolderName||".vscode-remote"),b=(0,v.$jc)(l,"data"),c=(0,v.$jc)(b,"User"),g=(0,v.$jc)(c,"globalStorage"),h=(0,v.$jc)(c,"History"),f=(0,v.$jc)(b,"Machine");m["user-data-dir"]=b;const u=(0,v.$mc)(o.$yg.asFileUri("").fsPath),t=(0,v.$jc)(u,"extensions");m["builtin-extensions-dir"]=t,m["extensions-dir"]=m["extensions-dir"]||(0,v.$jc)(l,"extensions"),[l,m["extensions-dir"],b,c,f,g,h].forEach(n=>{try{R.existsSync(n)||R.mkdirSync(n,{mode:448})}catch(i){console.error(i)}});function s(){(0,C.run)(m,l,I.$Qm)}e.spawnCli=s;function r(n){return(0,D.$PP)(n,m,l)}e.createServer=r})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/863d2581ecda6849923a2118d93a088b0745d9d6/core/vs/server/node/server.main.js.map
