/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/(function(){var Se=["exports","require","vs/base/common/uri","vs/base/common/lifecycle","vs/base/common/event","vs/platform/instantiation/common/instantiation","vs/workbench/api/common/extHost.protocol","vs/workbench/api/common/extHostTypes","vs/base/common/async","vs/nls","vs/nls!vs/workbench/api/node/extensionHostProcess","vs/base/common/platform","vs/base/common/strings","vs/platform/log/common/log","vs/base/common/errors","vs/workbench/api/common/extHostTypeConverters","vs/base/common/network","vs/base/common/path","vs/base/common/types","vs/base/common/arrays","vs/workbench/api/common/extHostRpcService","vs/base/common/buffer","vs/base/common/cancellation","vs/base/common/resources","vs/base/common/objects","vs/platform/extensions/common/extensions","vs/workbench/services/extensions/common/extensions","vs/workbench/api/common/extHostInitDataService","vs/base/common/map","vs/editor/common/core/range","vs/base/common/uuid","vs/base/node/pfs","vs/platform/files/common/files","vs/workbench/api/common/extHostCommands","vs/base/common/extpath","vs/base/common/glob","vs/workbench/services/search/common/search","vs/platform/registry/common/platform","vs/base/common/stopwatch","vs/base/common/severity","vs/base/common/errorMessage","vs/platform/workspace/common/workspace","vs/workbench/api/common/extHostWorkspace","vs/workbench/api/common/extHostConfiguration","vs/base/common/lazy","vs/platform/contextkey/common/contextkey","vs/workbench/api/common/extHostTerminalService","vs/workbench/api/common/extHostExtensionService","vs/base/common/iterator","vs/editor/common/core/position","vs/base/common/process","child_process","vs/platform/configuration/common/configuration","vs/base/common/decorators","vs/base/common/hash","vs/base/common/themables","vs/base/common/marshalling","fs","vs/base/common/performance","vs/workbench/api/common/extHostFileSystemInfo","vs/workbench/api/common/extHostVariableResolverService","vs/base/common/assert","net","os","vs/platform/remote/common/remoteAuthorityResolver","vs/platform/remote/common/remoteHosts","vs/workbench/api/common/extHostUriTransformerService","vs/workbench/contrib/testing/common/testId","vs/workbench/services/extensions/common/proxyIdentifier","vs/workbench/api/common/extHostFileSystemConsumer","vs/workbench/api/common/extHostTunnelService","vs/workbench/api/common/extHostEditorTabs","vs/workbench/api/common/extHostDocumentsAndEditors","vs/base/common/collections","vs/base/common/functional","vs/base/common/linkedList","vs/base/common/normalization","vs/base/common/ternarySearchTree","vs/base/common/codicons","vs/editor/common/model","vs/base/common/htmlContent","vs/base/parts/ipc/common/ipc","vs/base/parts/ipc/common/ipc.net","vs/editor/common/languages","vs/platform/instantiation/common/extensions","vs/platform/files/common/watcher","vs/platform/configuration/common/configurationRegistry","vs/platform/telemetry/common/telemetryUtils","vs/platform/tunnel/common/tunnel","vs/workbench/contrib/testing/common/testTypes","vs/workbench/api/common/extHostTelemetry","vs/workbench/api/common/extHostApiDeprecationService","vs/workbench/api/common/extHostWebview","vs/workbench/api/common/extHostStoragePaths","vs/workbench/services/search/common/searchExtTypes","vs/workbench/api/common/extHostTask","vs/workbench/api/common/extHostDebugService","vs/workbench/api/common/extHostSearch","vs/base/common/stream","vs/editor/common/model/textModelSearch","vs/base/common/mime","vs/base/common/processes","vs/base/common/labels","vs/base/node/extpath","vs/base/node/processes","vs/platform/instantiation/common/descriptors","vs/platform/instantiation/common/serviceCollection","vs/platform/progress/common/progress","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/platform/sign/common/sign","vs/workbench/api/common/cache","vs/workbench/contrib/testing/common/testItemCollection","vs/workbench/contrib/webview/common/webview","vs/workbench/services/extensions/common/extensionHostProtocol","vs/workbench/api/common/extHostLocalizationService","vs/workbench/api/common/extHostManagedSockets","vs/workbench/api/common/extHostSecretState","vs/workbench/api/common/extHostStorage","vs/workbench/contrib/notebook/common/notebookCommon","vs/workbench/services/search/node/ripgrepSearchUtils","vs/base/parts/ipc/node/ipc.net","vs/base/common/idGenerator","vs/base/common/numbers","vs/base/common/filters","vs/base/common/uint","vs/editor/common/core/characterClassifier","vs/editor/common/core/wordHelper","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeBase","vs/base/common/comparers","vs/base/common/fuzzyScorer","vs/base/common/uriIpc","vs/editor/common/services/semanticTokensDto","vs/editor/common/config/editorOptions","vs/platform/environment/common/environment","vs/platform/extensionManagement/common/extensionManagement","vs/platform/markers/common/markers","vs/platform/product/common/productService","vs/platform/extensionManagement/common/implicitActivationEvents","vs/platform/sign/node/signService","vs/workbench/common/editor","vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/workbench/api/common/extHostTestingPrivateApi","vs/workbench/services/authentication/common/authentication","vs/workbench/services/editor/common/editorGroupsService","vs/workbench/services/environment/common/environmentService","vs/workbench/services/extensions/common/extensionDescriptionRegistry","vs/workbench/api/common/extHostLoggerService","vs/workbench/api/common/extHostWindow","vs/workbench/api/common/extHostDecorations","vs/workbench/api/common/extHostDocumentData","vs/workbench/api/common/extHostNotebookEditor","vs/workbench/api/common/extHostTestItem","vs/workbench/api/common/extHostTextEditor","vs/workbench/api/common/extHostOutput","vs/workbench/services/remote/common/remoteAgentService","vs/workbench/services/search/common/textSearchManager","vs/workbench/services/search/node/textSearchManager","vs/workbench/services/search/node/ripgrepTextSearchEngine","vs/base/common/amd","vs/base/common/arraysFind","vs/base/common/json","vs/base/common/marked/marked","vs/base/common/naturalLanguage/korean","vs/base/common/cache","vs/base/common/symbols","vs/base/common/iconLabels","vs/base/common/dataTransfer","vs/base/node/ports","vs/editor/common/core/eolCounter","vs/editor/common/core/editOperation","vs/editor/common/core/selection","vs/editor/common/core/textModelDefaults","vs/editor/common/core/wordCharacterClassifier","vs/editor/common/languages/languageConfiguration","vs/editor/common/languages/linkComputer","vs/editor/common/model/pieceTreeTextBuffer/rbTreeBase","vs/editor/common/model/prefixSumComputer","vs/editor/common/model/mirrorTextModel","vs/editor/common/services/treeViewsDnd","vs/editor/common/tokenizationRegistry","vs/nls!vs/base/common/actions","vs/base/common/actions","vs/nls!vs/base/common/date","vs/base/common/date","vs/nls!vs/base/common/errorMessage","vs/nls!vs/base/common/platform","vs/base/common/console","vs/amdX","vs/base/parts/ipc/node/ipc.cp","vs/base/parts/storage/common/storage","vs/editor/common/core/stringBuilder","vs/editor/common/core/textChange","vs/editor/common/languageSelector","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBuffer","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBufferBuilder","vs/nls!vs/editor/common/config/editorOptions","vs/nls!vs/editor/common/languages","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/contextkey/common/contextkey","vs/nls!vs/platform/contextkey/common/scanner","vs/nls!vs/platform/dialogs/common/dialogs","vs/nls!vs/platform/extensionManagement/common/extensionManagement","vs/nls!vs/platform/extensions/common/extensionValidator","vs/nls!vs/platform/externalTerminal/node/externalTerminalService","vs/nls!vs/platform/files/common/files","vs/nls!vs/platform/files/common/io","vs/nls!vs/platform/files/node/diskFileSystemProvider","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/iconRegistry","vs/nls!vs/platform/userDataProfile/common/userDataProfile","vs/nls!vs/platform/workspace/common/workspace","vs/nls!vs/workbench/api/common/extHostChatAgents2","vs/nls!vs/workbench/api/common/extHostChatProvider","vs/nls!vs/workbench/api/common/extHostDiagnostics","vs/nls!vs/workbench/api/common/extHostExtensionService","vs/nls!vs/workbench/api/common/extHostLanguageFeatures","vs/nls!vs/workbench/api/common/extHostLogService","vs/nls!vs/workbench/api/common/extHostNotebook","vs/nls!vs/workbench/api/common/extHostStatusBar","vs/nls!vs/workbench/api/common/extHostTelemetry","vs/nls!vs/workbench/api/common/extHostTerminalService","vs/nls!vs/workbench/api/common/extHostTreeViews","vs/nls!vs/workbench/api/common/extHostTunnelService","vs/nls!vs/workbench/api/common/extHostWorkspace","vs/nls!vs/workbench/api/node/extHostDebugService","vs/nls!vs/workbench/common/configuration","vs/nls!vs/workbench/common/editor","vs/nls!vs/workbench/common/views","vs/nls!vs/workbench/contrib/debug/common/abstractDebugAdapter","vs/nls!vs/workbench/contrib/debug/common/debug","vs/nls!vs/workbench/contrib/debug/node/debugAdapter","vs/nls!vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/nls!vs/workbench/contrib/tasks/common/tasks","vs/nls!vs/workbench/services/configurationResolver/common/variableResolver","vs/nls!vs/workbench/services/editor/common/editorResolverService","vs/nls!vs/workbench/services/extensions/common/extensionsRegistry","vs/nls!vs/workbench/services/remote/common/tunnelModel","vs/nls!vs/workbench/services/search/common/queryBuilder","vs/platform/contextkey/common/scanner","vs/platform/extensions/common/extensionValidator","vs/platform/instantiation/common/graph","vs/platform/dialogs/common/dialogs","vs/platform/externalTerminal/common/externalTerminal","vs/platform/externalTerminal/node/externalTerminalService","vs/platform/files/common/io","vs/platform/files/node/watcher/nodejs/nodejsWatcherLib","vs/platform/files/node/watcher/nodejs/nodejsWatcher","vs/platform/files/node/watcher/nodejs/nodejsClient","vs/platform/files/node/watcher/watcherClient","vs/platform/instantiation/common/instantiationService","vs/platform/files/common/diskFileSystemProvider","vs/platform/files/node/diskFileSystemProvider","vs/platform/log/common/logService","vs/platform/log/node/spdlogLog","vs/platform/notification/common/notification","vs/platform/product/common/product","vs/platform/configuration/common/configurationModels","vs/platform/remote/common/managedSocket","vs/platform/remote/common/remoteAgentConnection","vs/platform/remote/common/remoteSocketFactoryService","vs/platform/sign/common/abstractSignService","vs/platform/telemetry/common/commonProperties","vs/platform/telemetry/common/telemetry","vs/platform/extensionManagement/common/extensionManagementUtil","vs/platform/terminal/common/environmentVariableShared","vs/platform/terminal/common/terminalDataBuffering","vs/platform/theme/common/iconRegistry","vs/platform/uriIdentity/common/uriIdentity","vs/platform/workspace/common/editSessions","vs/platform/workspace/common/virtualWorkspace","vs/platform/userDataProfile/common/userDataProfile","vs/platform/storage/common/storage","vs/workbench/api/common/extHostLogService","vs/workbench/api/common/extHostMemento","vs/workbench/api/common/extHostNotebookDocuments","vs/workbench/api/common/extHostSecrets","vs/workbench/api/common/extHostWebviewMessaging","vs/workbench/api/node/proxyResolver","http","vs/workbench/api/node/uriTransformer","vs/workbench/common/views","vs/workbench/contrib/chat/common/chatService","vs/workbench/contrib/debug/common/debug","vs/workbench/contrib/debug/common/debugUtils","vs/workbench/contrib/debug/node/debugAdapter","vs/workbench/contrib/debug/node/terminals","vs/workbench/contrib/notebook/common/notebookExecutionService","vs/workbench/contrib/notebook/common/notebookKernelService","vs/workbench/contrib/search/common/cellSearchModel","vs/workbench/api/common/extHostCodeInsets","vs/workbench/services/configurationResolver/common/configurationResolver","vs/workbench/services/configurationResolver/common/variableResolver","vs/workbench/services/editor/common/editorService","vs/workbench/services/extensions/common/extensionHostEnv","vs/workbench/api/common/extHostExtensionActivator","vs/workbench/services/extensions/common/extensionsApiProposals","vs/workbench/services/extensions/common/extensionsRegistry","vs/workbench/contrib/tasks/common/taskDefinitionRegistry","vs/workbench/contrib/tasks/common/tasks","vs/workbench/services/extensions/common/lazyPromise","vs/workbench/api/common/extHostChat","vs/workbench/api/common/extHostClipboard","vs/workbench/api/common/extHostConsoleForwarder","vs/workbench/api/common/extHostDialogs","vs/workbench/api/common/extHostLabelService","vs/workbench/api/common/extHostMessageService","vs/workbench/api/common/extHostProfileContentHandler","vs/workbench/api/common/extHostSpeech","vs/workbench/api/common/extHostUriOpener","vs/workbench/api/common/extHostUrls","vs/workbench/api/node/extHostConsoleForwarder","vs/workbench/api/node/extHostLoggerService","vs/workbench/services/extensions/common/rpcProtocol","vs/workbench/services/notebook/common/notebookDocumentService","vs/workbench/api/common/extHostAiRelatedInformation","vs/workbench/api/common/extHostAuthentication","vs/workbench/api/common/extHostDocumentContentProviders","vs/workbench/api/common/extHostEmbeddingVector","vs/workbench/api/common/extHostIssueReporter","vs/workbench/api/common/extHostTheming","vs/workbench/api/common/extHostBulkEdits","vs/workbench/api/common/extHostChatAgents2","vs/workbench/api/common/extHostChatProvider","vs/workbench/api/common/extHostChatVariables","vs/workbench/api/common/extHostComments","vs/workbench/api/common/extHostCustomEditors","vs/workbench/api/common/extHostDiagnostics","vs/workbench/api/common/extHostDocumentSaveParticipant","vs/workbench/api/common/extHostDocuments","vs/workbench/api/common/extHostFileSystem","vs/workbench/api/common/extHostFileSystemEventService","vs/workbench/api/common/extHostLanguageFeatures","vs/workbench/api/common/extHostLanguages","vs/workbench/api/common/extHostNotebookDocument","vs/workbench/api/common/extHostNotebookDocumentSaveParticipant","vs/workbench/api/common/extHostNotebookEditors","vs/workbench/api/common/extHostNotebookRenderers","vs/workbench/api/common/extHostProgress","vs/workbench/api/common/extHostQuickDiff","vs/workbench/api/common/extHostQuickOpen","vs/workbench/api/common/extHostSCM","vs/workbench/api/common/extHostShare","vs/workbench/api/common/extHostStatusBar","vs/workbench/api/common/extHostApiCommands","vs/workbench/api/common/extHostInlineChat","vs/workbench/api/common/extHostInteractive","vs/workbench/api/common/extHostNotebookKernels","vs/workbench/api/common/extHostTesting","vs/workbench/api/common/extHostTextEditors","vs/workbench/api/common/extHostTimeline","vs/workbench/api/common/extHostTreeViews","vs/workbench/api/common/extHostWebviewPanels","vs/workbench/api/common/extHostWebviewView","vs/workbench/api/node/extHostDiskFileSystemProvider","vs/workbench/api/node/extHostDownloadService","vs/workbench/api/node/extHostStoragePaths","vs/workbench/api/node/extHostTerminalService","vs/workbench/services/output/common/output","vs/workbench/common/configuration","vs/workbench/services/editor/common/editorResolverService","vs/workbench/services/path/common/pathService","vs/workbench/services/remote/common/tunnelModel","vs/workbench/contrib/search/common/searchNotebookHelpers","vs/workbench/api/common/extHostNotebook","vs/workbench/services/search/common/fileSearchManager","vs/workbench/services/search/common/queryBuilder","vs/workbench/services/extensions/common/workspaceContains","vs/workbench/api/common/extHostRequireInterceptor","vs/workbench/api/common/extensionHostMain","vs/workbench/api/node/extHostDebugService","vs/workbench/api/node/extHostTask","vs/workbench/api/node/extHostVariableResolverService","vs/workbench/api/common/extHost.api.impl","vs/workbench/api/common/extHost.common.services","vs/workbench/services/search/node/ripgrepFileSearch","@vscode/ripgrep","vs/workbench/services/search/node/fileSearch","string_decoder","vs/workbench/services/textfile/common/encoding","vs/workbench/services/search/node/ripgrepSearchProvider","vs/workbench/services/search/node/textSearchAdapter","vs/workbench/services/search/node/rawSearchService","vs/workbench/api/node/extHostSearch","vs/platform/tunnel/node/tunnelService","vs/workbench/api/node/extHostCLIServer","vs/workbench/api/node/extHostExtensionService","vs/workbench/api/node/extHostTunnelService","vs/workbench/api/node/extHost.node.services","util","vs/base/common/semver/semver","graceful-fs","https","tls","@vscode/proxy-agent","events","vscode-regexpp","crypto","zlib","vs/workbench/api/node/extensionHostProcess","minimist"],De=function(me){for(var e=[],I=0,F=me.length;I<F;I++)e[I]=Se[me[I]];return e};define(Se[158],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$U=e.$T=void 0,e.$T=!1;class I{static get(){const $=new Map,L=new Map,R=new Map,w=new Map;function v(E,k){E.has(k.detail)||E.set(k.detail,-k.timestamp)}function S(E,k){const l=E.get(k.detail);l&&(l>=0||E.set(k.detail,l+k.timestamp))}let M=[];typeof me=="function"&&typeof me.getStats=="function"&&(M=me.getStats().slice(0).sort((E,k)=>E.timestamp-k.timestamp));for(const E of M)switch(E.type){case 10:v($,E);break;case 11:case 12:S($,E);break;case 21:v(L,E);break;case 22:S(L,E);break;case 33:v(R,E);break;case 34:S(R,E);break;case 31:v(w,E);break;case 32:S(w,E);break}let C=0;R.forEach(E=>C+=E);function b(E){const k=[];return E.forEach((l,p)=>k.push([p,l])),k}return{amdLoad:b($),amdInvoke:b(L),nodeRequire:b(R),nodeEval:b(w),nodeRequireTotal:C}}static toMarkdownTable($,L){let R="";const w=[];return $.forEach((v,S)=>{w[S]=v.length}),L.forEach(v=>{v.forEach((S,M)=>{typeof S>"u"&&(S=v[M]="-");const C=S.toString().length;w[M]=Math.max(C,w[M])})}),$.forEach((v,S)=>{R+=`| ${v+" ".repeat(w[S]-v.toString().length)} `}),R+=`|
`,$.forEach((v,S)=>{R+=`| ${"-".repeat(w[S])} `}),R+=`|
`,L.forEach(v=>{v.forEach((S,M)=>{typeof S<"u"&&(R+=`| ${S+" ".repeat(w[M]-S.toString().length)} `)}),R+=`|
`}),R}}e.$U=I}),define(Se[159],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rb=e.$qb=e.$pb=e.$ob=e.$nb=e.$mb=e.$lb=e.$kb=e.$jb=e.$ib=e.$hb=e.$gb=e.$fb=void 0;function I(l,p,o){const i=F(l,p);if(i!==-1)return l[i]}e.$fb=I;function F(l,p,o=l.length-1){for(let i=o;i>=0;i--){const n=l[i];if(p(n))return i}return-1}e.$gb=F;function $(l,p){const o=L(l,p);return o===-1?void 0:l[o]}e.$hb=$;function L(l,p,o=0,i=l.length){let n=o,r=i;for(;n<r;){const a=Math.floor((n+r)/2);p(l[a])?n=a+1:r=a}return n-1}e.$ib=L;function R(l,p){const o=w(l,p);return o===l.length?void 0:l[o]}e.$jb=R;function w(l,p,o=0,i=l.length){let n=o,r=i;for(;n<r;){const a=Math.floor((n+r)/2);p(l[a])?r=a:n=a+1}return n}e.$kb=w;function v(l,p,o=0,i=l.length){const n=w(l,p,o,i);return n===l.length?-1:n}e.$lb=v;class S{static{this.assertInvariants=!1}constructor(p){this.e=p,this.c=0}findLastMonotonous(p){if(S.assertInvariants){if(this.d){for(const i of this.e)if(this.d(i)&&!p(i))throw new Error("MonotonousArray: current predicate must be weaker than (or equal to) the previous predicate.")}this.d=p}const o=L(this.e,p,this.c);return this.c=o+1,o===-1?void 0:this.e[o]}}e.$mb=S;function M(l,p){if(l.length===0)return;let o=l[0];for(let i=1;i<l.length;i++){const n=l[i];p(n,o)>0&&(o=n)}return o}e.$nb=M;function C(l,p){if(l.length===0)return;let o=l[0];for(let i=1;i<l.length;i++){const n=l[i];p(n,o)>=0&&(o=n)}return o}e.$ob=C;function b(l,p){return M(l,(o,i)=>-p(o,i))}e.$pb=b;function E(l,p){if(l.length===0)return-1;let o=0;for(let i=1;i<l.length;i++){const n=l[i];p(n,l[o])>0&&(o=i)}return o}e.$qb=E;function k(l,p){for(const o of l){const i=p(o);if(i!==void 0)return i}}e.$rb=k}),define(Se[73],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$N=e.$M=e.$L=e.$K=void 0;function I(R,w){const v=Object.create(null);for(const S of R){const M=w(S);let C=v[M];C||(C=v[M]=[]),C.push(S)}return v}e.$K=I;function F(R,w){const v=[],S=[];for(const M of R)w.has(M)||v.push(M);for(const M of w)R.has(M)||S.push(M);return{removed:v,added:S}}e.$L=F;function $(R,w){const v=[],S=[];for(const[M,C]of R)w.has(M)||v.push(C);for(const[M,C]of w)R.has(M)||S.push(C);return{removed:v,added:S}}e.$M=$;function L(R,w){const v=new Set;for(const S of w)R.has(S)&&v.add(S);return v}e.$N=L}),define(Se[53],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kh=e.$Jh=e.$Ih=void 0;function I(R){return(w,v,S)=>{let M=null,C=null;if(typeof S.value=="function"?(M="value",C=S.value):typeof S.get=="function"&&(M="get",C=S.get),!C)throw new Error("not supported");S[M]=R(C,v)}}function F(R,w,v){let S=null,M=null;if(typeof v.value=="function"?(S="value",M=v.value,M.length!==0&&console.warn("Memoize should only be used in functions with zero parameters")):typeof v.get=="function"&&(S="get",M=v.get),!M)throw new Error("not supported");const C=`$memoize$${w}`;v[S]=function(...b){return this.hasOwnProperty(C)||Object.defineProperty(this,C,{configurable:!1,enumerable:!1,writable:!1,value:M.apply(this,b)}),this[C]}}e.$Ih=F;function $(R,w,v){return I((S,M)=>{const C=`$debounce$${M}`,b=`$debounce$result$${M}`;return function(...E){this[b]||(this[b]=v?v():void 0),clearTimeout(this[C]),w&&(this[b]=w(this[b],...E),E=[this[b]]),this[C]=setTimeout(()=>{S.apply(this,E),this[b]=v?v():void 0},R)}})}e.$Jh=$;function L(R,w,v){return I((S,M)=>{const C=`$throttle$timer$${M}`,b=`$throttle$result$${M}`,E=`$throttle$lastRun$${M}`,k=`$throttle$pending$${M}`;return function(...l){if(this[b]||(this[b]=v?v():void 0),(this[E]===null||this[E]===void 0)&&(this[E]=-Number.MAX_VALUE),w&&(this[b]=w(this[b],...l)),this[k])return;const p=this[E]+R;p<=Date.now()?(this[E]=Date.now(),S.apply(this,[this[b]]),this[b]=v?v():void 0):(this[k]=!0,this[C]=setTimeout(()=>{this[k]=!1,this[E]=Date.now(),S.apply(this,[this[b]]),this[b]=v?v():void 0},p-Date.now()))}})}e.$Kh=L}),define(Se[14],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cb=e.$bb=e.$ab=e.$_=e.$$=e.$0=e.$9=e.$8=e.$7=e.$6=e.$5=e.$4=e.$3=e.$2=e.$1=e.$Z=e.setUnexpectedErrorHandler=e.$X=e.$W=void 0;class I{constructor(){this.b=[],this.a=function(t){setTimeout(()=>{throw t.stack?n.isErrorNoTelemetry(t)?new n(t.message+`

`+t.stack):new Error(t.message+`

`+t.stack):t},0)}}addListener(t){return this.b.push(t),()=>{this.d(t)}}c(t){this.b.forEach(d=>{d(t)})}d(t){this.b.splice(this.b.indexOf(t),1)}setUnexpectedErrorHandler(t){this.a=t}getUnexpectedErrorHandler(){return this.a}onUnexpectedError(t){this.a(t),this.c(t)}onUnexpectedExternalError(t){this.a(t)}}e.$W=I,e.$X=new I;function F(a){e.$X.setUnexpectedErrorHandler(a)}e.setUnexpectedErrorHandler=F;function $(a){if(!a||typeof a!="object")return!1;const t=a;return t.code==="EPIPE"&&t.syscall?.toUpperCase()==="WRITE"}e.$Z=$;function L(a){S(a)||e.$X.onUnexpectedError(a)}e.$1=L;function R(a){S(a)||e.$X.onUnexpectedExternalError(a)}e.$2=R;function w(a){if(a instanceof Error){const{name:t,message:d}=a,u=a.stacktrace||a.stack;return{$isError:!0,name:t,message:d,stack:u,noTelemetry:n.isErrorNoTelemetry(a)}}return a}e.$3=w;const v="Canceled";function S(a){return a instanceof M?!0:a instanceof Error&&a.name===v&&a.message===v}e.$4=S;class M extends Error{constructor(){super(v),this.name=this.message}}e.$5=M;function C(){const a=new Error(v);return a.name=a.message,a}e.$6=C;function b(a){return a?new Error(`Illegal argument: ${a}`):new Error("Illegal argument")}e.$7=b;function E(a){return a?new Error(`Illegal state: ${a}`):new Error("Illegal state")}e.$8=E;class k extends TypeError{constructor(t){super(t?`${t} is read-only and cannot be changed`:"Cannot change read-only property")}}e.$9=k;function l(a){return a?a.message?a.message:a.stack?a.stack.split(`
`)[0]:String(a):"Error"}e.$0=l;class p extends Error{constructor(t){super("NotImplemented"),t&&(this.message=t)}}e.$$=p;class o extends Error{constructor(t){super("NotSupported"),t&&(this.message=t)}}e.$_=o;class i extends Error{constructor(){super(...arguments),this.isExpected=!0}}e.$ab=i;class n extends Error{constructor(t){super(t),this.name="CodeExpectedError"}static fromError(t){if(t instanceof n)return t;const d=new n;return d.message=t.message,d.stack=t.stack,d}static isErrorNoTelemetry(t){return t.name==="CodeExpectedError"}}e.$bb=n;class r extends Error{constructor(t){super(t||"An unexpected bug occurred."),Object.setPrototypeOf(this,r.prototype)}}e.$cb=r}),define(Se[19],De([1,0,14,159]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ac=e.$_b=e.$$b=e.$0b=e.$9b=e.$8b=e.$7b=e.CompareResult=e.$6b=e.$5b=e.$4b=e.$3b=e.$2b=e.$1b=e.$Zb=e.$Yb=e.$Xb=e.$Wb=e.$Vb=e.$Ub=e.$Tb=e.$Sb=e.$Rb=e.$Qb=e.$Pb=e.$Ob=e.$Nb=e.$Mb=e.$Lb=e.$Kb=e.$Jb=e.$Ib=e.$Hb=e.$Gb=e.top=e.$Eb=e.$Db=e.$Cb=e.$Bb=e.$Ab=e.$zb=e.$yb=e.$xb=e.$wb=e.$vb=e.$ub=e.$tb=e.$sb=void 0;function $(le,he=0){return le[le.length-(1+he)]}e.$sb=$;function L(le){if(le.length===0)throw new Error("Invalid tail call");return[le.slice(0,le.length-1),le[le.length-1]]}e.$tb=L;function R(le,he,ce=(de,H)=>de===H){if(le===he)return!0;if(!le||!he||le.length!==he.length)return!1;for(let de=0,H=le.length;de<H;de++)if(!ce(le[de],he[de]))return!1;return!0}e.$ub=R;function w(le,he){const ce=le.length-1;he<ce&&(le[he]=le[ce]),le.pop()}e.$vb=w;function v(le,he,ce){return S(le.length,de=>ce(le[de],he))}e.$wb=v;function S(le,he){let ce=0,de=le-1;for(;ce<=de;){const H=(ce+de)/2|0,x=he(H);if(x<0)ce=H+1;else if(x>0)de=H-1;else return H}return-(ce+1)}e.$xb=S;function M(le,he,ce){if(le=le|0,le>=he.length)throw new TypeError("invalid index");const de=he[Math.floor(he.length*Math.random())],H=[],x=[],ue=[];for(const be of he){const Pe=ce(be,de);Pe<0?H.push(be):Pe>0?x.push(be):ue.push(be)}return le<H.length?M(le,H,ce):le<H.length+ue.length?ue[0]:M(le-(H.length+ue.length),x,ce)}e.$yb=M;function C(le,he){const ce=[];let de;for(const H of le.slice(0).sort(he))!de||he(de[0],H)!==0?(de=[H],ce.push(de)):de.push(H);return ce}e.$zb=C;function*b(le,he){let ce,de;for(const H of le)de!==void 0&&he(de,H)?ce.push(H):(ce&&(yield ce),ce=[H]),de=H;ce&&(yield ce)}e.$Ab=b;function E(le,he){for(let ce=0;ce<=le.length;ce++)he(ce===0?void 0:le[ce-1],ce===le.length?void 0:le[ce])}e.$Bb=E;function k(le,he){for(let ce=0;ce<le.length;ce++)he(ce===0?void 0:le[ce-1],le[ce],ce+1===le.length?void 0:le[ce+1])}e.$Cb=k;function l(le,he,ce){const de=[];function H(be,Pe,we){if(Pe===0&&we.length===0)return;const Ae=de[de.length-1];Ae&&Ae.start+Ae.deleteCount===be?(Ae.deleteCount+=Pe,Ae.toInsert.push(...we)):de.push({start:be,deleteCount:Pe,toInsert:we})}let x=0,ue=0;for(;;){if(x===le.length){H(x,0,he.slice(ue));break}if(ue===he.length){H(x,le.length-x,[]);break}const be=le[x],Pe=he[ue],we=ce(be,Pe);we===0?(x+=1,ue+=1):we<0?(H(x,1,[]),x+=1):we>0&&(H(x,0,[Pe]),ue+=1)}return de}e.$Db=l;function p(le,he,ce){const de=l(le,he,ce),H=[],x=[];for(const ue of de)H.push(...le.slice(ue.start,ue.start+ue.deleteCount)),x.push(...ue.toInsert);return{removed:H,added:x}}e.$Eb=p;function o(le,he,ce){if(ce===0)return[];const de=le.slice(0,ce).sort(he);return n(le,he,de,ce,le.length),de}e.top=o;function i(le,he,ce,de,H){return ce===0?Promise.resolve([]):new Promise((x,ue)=>{(async()=>{const be=le.length,Pe=le.slice(0,ce).sort(he);for(let we=ce,Ae=Math.min(ce+de,be);we<be;we=Ae,Ae=Math.min(Ae+de,be)){if(we>ce&&await new Promise(Oe=>setTimeout(Oe)),H&&H.isCancellationRequested)throw new I.$5;n(le,he,Pe,we,Ae)}return Pe})().then(x,ue)})}e.$Gb=i;function n(le,he,ce,de,H){for(const x=ce.length;de<H;de++){const ue=le[de];if(he(ue,ce[x-1])<0){ce.pop();const be=(0,F.$kb)(ce,Pe=>he(ue,Pe)<0);ce.splice(be,0,ue)}}}function r(le){return le.filter(he=>!!he)}e.$Hb=r;function a(le){let he=0;for(let ce=0;ce<le.length;ce++)le[ce]&&(le[he]=le[ce],he+=1);le.length=he}e.$Ib=a;function t(le,he,ce){le.splice(ce,0,le.splice(he,1)[0])}e.$Jb=t;function d(le){return!Array.isArray(le)||le.length===0}e.$Kb=d;function u(le){return Array.isArray(le)&&le.length>0}e.$Lb=u;function s(le,he=ce=>ce){const ce=new Set;return le.filter(de=>{const H=he(de);return ce.has(H)?!1:(ce.add(H),!0)})}e.$Mb=s;function c(le){const he=new Set;return ce=>{const de=le(ce);return he.has(de)?!1:(he.add(de),!0)}}e.$Nb=c;function h(le,he){return le.length>0?le[0]:he}e.$Ob=h;function m(le,he){return le.length>0?le[le.length-1]:he}e.$Pb=m;function D(le,he,ce=(de,H)=>de===H){let de=0;for(let H=0,x=Math.min(le.length,he.length);H<x&&ce(le[H],he[H]);H++)de++;return de}e.$Qb=D;function g(le){return[].concat(...le)}e.$Rb=g;function f(le,he){let ce=typeof he=="number"?le:0;typeof he=="number"?ce=le:(ce=0,he=le);const de=[];if(ce<=he)for(let H=ce;H<he;H++)de.push(H);else for(let H=ce;H>he;H--)de.push(H);return de}e.$Sb=f;function y(le,he,ce){return le.reduce((de,H)=>(de[he(H)]=ce?ce(H):H,de),Object.create(null))}e.$Tb=y;function A(le,he){return le.push(he),()=>N(le,he)}e.$Ub=A;function N(le,he){const ce=le.indexOf(he);if(ce>-1)return le.splice(ce,1),he}e.$Vb=N;function U(le,he,ce){const de=le.slice(0,he),H=le.slice(he);return de.concat(ce,H)}e.$Wb=U;function z(le,he){let ce;if(typeof he=="number"){let de=he;ce=()=>{const H=Math.sin(de++)*179426549;return H-Math.floor(H)}}else ce=Math.random;for(let de=le.length-1;de>0;de-=1){const H=Math.floor(ce()*(de+1)),x=le[de];le[de]=le[H],le[H]=x}}e.$Xb=z;function T(le,he){const ce=le.indexOf(he);ce>-1&&(le.splice(ce,1),le.unshift(he))}e.$Yb=T;function P(le,he){const ce=le.indexOf(he);ce>-1&&(le.splice(ce,1),le.push(he))}e.$Zb=P;function O(le,he){for(const ce of he)le.push(ce)}e.$1b=O;function j(le,he){return Array.isArray(le)?le.map(he):he(le)}e.$2b=j;function K(le){return Array.isArray(le)?le:[le]}e.$3b=K;function ie(le){return le[Math.floor(Math.random()*le.length)]}e.$4b=ie;function _(le,he,ce){const de=Y(le,he),H=le.length,x=ce.length;le.length=H+x;for(let ue=H-1;ue>=de;ue--)le[ue+x]=le[ue];for(let ue=0;ue<x;ue++)le[ue+de]=ce[ue]}e.$5b=_;function X(le,he,ce,de){const H=Y(le,he);let x=le.splice(H,ce);return x===void 0&&(x=[]),_(le,H,de),x}e.$6b=X;function Y(le,he){return he<0?Math.max(he+le.length,0):Math.min(he,le.length)}var ae;(function(le){function he(x){return x<0}le.isLessThan=he;function ce(x){return x<=0}le.isLessThanOrEqual=ce;function de(x){return x>0}le.isGreaterThan=de;function H(x){return x===0}le.isNeitherLessOrGreaterThan=H,le.greaterThan=1,le.lessThan=-1,le.neitherLessOrGreaterThan=0})(ae||(e.CompareResult=ae={}));function ee(le,he){return(ce,de)=>he(le(ce),le(de))}e.$7b=ee;function fe(...le){return(he,ce)=>{for(const de of le){const H=de(he,ce);if(!ae.isNeitherLessOrGreaterThan(H))return H}return ae.neitherLessOrGreaterThan}}e.$8b=fe;const re=(le,he)=>le-he;e.$9b=re;const J=(le,he)=>(0,e.$9b)(le?1:0,he?1:0);e.$0b=J;function B(le){return(he,ce)=>-le(he,ce)}e.$$b=B;class se{constructor(he){this.g=he,this.c=0,this.d=this.g.length-1}get length(){return this.d-this.c+1}takeWhile(he){let ce=this.c;for(;ce<this.g.length&&he(this.g[ce]);)ce++;const de=ce===this.c?null:this.g.slice(this.c,ce);return this.c=ce,de}takeFromEndWhile(he){let ce=this.d;for(;ce>=0&&he(this.g[ce]);)ce--;const de=ce===this.d?null:this.g.slice(ce+1,this.d+1);return this.d=ce,de}peek(){if(this.length!==0)return this.g[this.c]}peekLast(){if(this.length!==0)return this.g[this.d]}dequeue(){const he=this.g[this.c];return this.c++,he}removeLast(){const he=this.g[this.d];return this.d--,he}takeCount(he){const ce=this.g.slice(this.c,this.c+he);return this.c+=he,ce}}e.$_b=se;class Ee{static{this.empty=new Ee(he=>{})}constructor(he){this.iterate=he}forEach(he){this.iterate(ce=>(he(ce),!0))}toArray(){const he=[];return this.iterate(ce=>(he.push(ce),!0)),he}filter(he){return new Ee(ce=>this.iterate(de=>he(de)?ce(de):!0))}map(he){return new Ee(ce=>this.iterate(de=>ce(he(de))))}some(he){let ce=!1;return this.iterate(de=>(ce=he(de),!ce)),ce}findFirst(he){let ce;return this.iterate(de=>he(de)?(ce=de,!1):!0),ce}findLast(he){let ce;return this.iterate(de=>(he(de)&&(ce=de),!0)),ce}findLastMaxBy(he){let ce,de=!0;return this.iterate(H=>((de||ae.isGreaterThan(he(H,ce)))&&(de=!1,ce=H),!0)),ce}}e.$ac=Ee}),define(Se[61],De([1,0,14]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ad=e.$_c=e.$$c=e.$0c=e.$9c=e.ok=void 0;function F(S,M){if(!S)throw new Error(M?`Assertion failed (${M})`:"Assertion Failed")}e.ok=F;function $(S,M="Unreachable"){throw new Error(M)}e.$9c=$;function L(S){if(!S)throw new I.$cb("Assertion Failed")}e.$0c=L;function R(S){S||(0,I.$1)(new I.$cb("Soft Assertion Failed"))}e.$$c=R;function w(S){if(!S()){debugger;S(),(0,I.$1)(new I.$cb("Assertion Failed"))}}e.$_c=w;function v(S,M){let C=0;for(;C<S.length-1;){const b=S[C],E=S[C+1];if(!M(b,E))return!1;C++}return!0}e.$ad=v}),define(Se[74],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$db=void 0;function I(F,$){const L=this;let R=!1,w;return function(){if(R)return w;if(R=!0,$)try{w=F.apply(L,arguments)}finally{$()}else w=F.apply(L,arguments);return w}}e.$db=I}),define(Se[121],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kO=e.$jO=void 0;class I{constructor($){this.a=$,this.b=0}nextId(){return this.a+ ++this.b}}e.$jO=I,e.$kO=new I("id#")}),define(Se[48],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Iterable=void 0;var I;(function(F){function $(t){return t&&typeof t=="object"&&typeof t[Symbol.iterator]=="function"}F.is=$;const L=Object.freeze([]);function R(){return L}F.empty=R;function*w(t){yield t}F.single=w;function v(t){return $(t)?t:w(t)}F.wrap=v;function S(t){return t||L}F.from=S;function*M(t){for(let d=t.length-1;d>=0;d--)yield t[d]}F.reverse=M;function C(t){return!t||t[Symbol.iterator]().next().done===!0}F.isEmpty=C;function b(t){return t[Symbol.iterator]().next().value}F.first=b;function E(t,d){for(const u of t)if(d(u))return!0;return!1}F.some=E;function k(t,d){for(const u of t)if(d(u))return u}F.find=k;function*l(t,d){for(const u of t)d(u)&&(yield u)}F.filter=l;function*p(t,d){let u=0;for(const s of t)yield d(s,u++)}F.map=p;function*o(...t){for(const d of t)yield*d}F.concat=o;function i(t,d,u){let s=u;for(const c of t)s=d(s,c);return s}F.reduce=i;function*n(t,d,u=t.length){for(d<0&&(d+=t.length),u<0?u+=t.length:u>t.length&&(u=t.length);d<u;d++)yield t[d]}F.slice=n;function r(t,d=Number.POSITIVE_INFINITY){const u=[];if(d===0)return[u,t];const s=t[Symbol.iterator]();for(let c=0;c<d;c++){const h=s.next();if(h.done)return[u,F.empty()];u.push(h.value)}return[u,{[Symbol.iterator](){return s}}]}F.consume=r;async function a(t){const d=[];for await(const u of t)d.push(u);return Promise.resolve(d)}F.asyncToArray=a})(I||(e.Iterable=I={}))}),define(Se[160],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xn=e.$wn=e.$vn=e.$un=e.$tn=e.$sn=e.$rn=e.$qn=e.$pn=e.$on=e.$nn=e.$mn=e.ParseOptions=e.ParseErrorCode=e.SyntaxKind=e.ScanError=void 0;var I;(function(t){t[t.None=0]="None",t[t.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=2]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",t[t.InvalidUnicode=4]="InvalidUnicode",t[t.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",t[t.InvalidCharacter=6]="InvalidCharacter"})(I||(e.ScanError=I={}));var F;(function(t){t[t.OpenBraceToken=1]="OpenBraceToken",t[t.CloseBraceToken=2]="CloseBraceToken",t[t.OpenBracketToken=3]="OpenBracketToken",t[t.CloseBracketToken=4]="CloseBracketToken",t[t.CommaToken=5]="CommaToken",t[t.ColonToken=6]="ColonToken",t[t.NullKeyword=7]="NullKeyword",t[t.TrueKeyword=8]="TrueKeyword",t[t.FalseKeyword=9]="FalseKeyword",t[t.StringLiteral=10]="StringLiteral",t[t.NumericLiteral=11]="NumericLiteral",t[t.LineCommentTrivia=12]="LineCommentTrivia",t[t.BlockCommentTrivia=13]="BlockCommentTrivia",t[t.LineBreakTrivia=14]="LineBreakTrivia",t[t.Trivia=15]="Trivia",t[t.Unknown=16]="Unknown",t[t.EOF=17]="EOF"})(F||(e.SyntaxKind=F={}));var $;(function(t){t[t.InvalidSymbol=1]="InvalidSymbol",t[t.InvalidNumberFormat=2]="InvalidNumberFormat",t[t.PropertyNameExpected=3]="PropertyNameExpected",t[t.ValueExpected=4]="ValueExpected",t[t.ColonExpected=5]="ColonExpected",t[t.CommaExpected=6]="CommaExpected",t[t.CloseBraceExpected=7]="CloseBraceExpected",t[t.CloseBracketExpected=8]="CloseBracketExpected",t[t.EndOfFileExpected=9]="EndOfFileExpected",t[t.InvalidCommentToken=10]="InvalidCommentToken",t[t.UnexpectedEndOfComment=11]="UnexpectedEndOfComment",t[t.UnexpectedEndOfString=12]="UnexpectedEndOfString",t[t.UnexpectedEndOfNumber=13]="UnexpectedEndOfNumber",t[t.InvalidUnicode=14]="InvalidUnicode",t[t.InvalidEscapeCharacter=15]="InvalidEscapeCharacter",t[t.InvalidCharacter=16]="InvalidCharacter"})($||(e.ParseErrorCode=$={}));var L;(function(t){t.DEFAULT={allowTrailingComma:!0}})(L||(e.ParseOptions=L={}));function R(t,d=!1){let u=0;const s=t.length;let c="",h=0,m=16,D=0;function g(T){let P=0,O=0;for(;P<T;){const j=t.charCodeAt(u);if(j>=48&&j<=57)O=O*16+j-48;else if(j>=65&&j<=70)O=O*16+j-65+10;else if(j>=97&&j<=102)O=O*16+j-97+10;else break;u++,P++}return P<T&&(O=-1),O}function f(T){u=T,c="",h=0,m=16,D=0}function y(){const T=u;if(t.charCodeAt(u)===48)u++;else for(u++;u<t.length&&S(t.charCodeAt(u));)u++;if(u<t.length&&t.charCodeAt(u)===46)if(u++,u<t.length&&S(t.charCodeAt(u)))for(u++;u<t.length&&S(t.charCodeAt(u));)u++;else return D=3,t.substring(T,u);let P=u;if(u<t.length&&(t.charCodeAt(u)===69||t.charCodeAt(u)===101))if(u++,(u<t.length&&t.charCodeAt(u)===43||t.charCodeAt(u)===45)&&u++,u<t.length&&S(t.charCodeAt(u))){for(u++;u<t.length&&S(t.charCodeAt(u));)u++;P=u}else D=3;return t.substring(T,P)}function A(){let T="",P=u;for(;;){if(u>=s){T+=t.substring(P,u),D=2;break}const O=t.charCodeAt(u);if(O===34){T+=t.substring(P,u),u++;break}if(O===92){if(T+=t.substring(P,u),u++,u>=s){D=2;break}switch(t.charCodeAt(u++)){case 34:T+='"';break;case 92:T+="\\";break;case 47:T+="/";break;case 98:T+="\b";break;case 102:T+="\f";break;case 110:T+=`
`;break;case 114:T+="\r";break;case 116:T+="	";break;case 117:{const K=g(4);K>=0?T+=String.fromCharCode(K):D=4;break}default:D=5}P=u;continue}if(O>=0&&O<=31)if(v(O)){T+=t.substring(P,u),D=2;break}else D=6;u++}return T}function N(){if(c="",D=0,h=u,u>=s)return h=s,m=17;let T=t.charCodeAt(u);if(w(T)){do u++,c+=String.fromCharCode(T),T=t.charCodeAt(u);while(w(T));return m=15}if(v(T))return u++,c+=String.fromCharCode(T),T===13&&t.charCodeAt(u)===10&&(u++,c+=`
`),m=14;switch(T){case 123:return u++,m=1;case 125:return u++,m=2;case 91:return u++,m=3;case 93:return u++,m=4;case 58:return u++,m=6;case 44:return u++,m=5;case 34:return u++,c=A(),m=10;case 47:{const P=u-1;if(t.charCodeAt(u+1)===47){for(u+=2;u<s&&!v(t.charCodeAt(u));)u++;return c=t.substring(P,u),m=12}if(t.charCodeAt(u+1)===42){u+=2;const O=s-1;let j=!1;for(;u<O;){if(t.charCodeAt(u)===42&&t.charCodeAt(u+1)===47){u+=2,j=!0;break}u++}return j||(u++,D=1),c=t.substring(P,u),m=13}return c+=String.fromCharCode(T),u++,m=16}case 45:if(c+=String.fromCharCode(T),u++,u===s||!S(t.charCodeAt(u)))return m=16;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return c+=y(),m=11;default:for(;u<s&&U(T);)u++,T=t.charCodeAt(u);if(h!==u){switch(c=t.substring(h,u),c){case"true":return m=8;case"false":return m=9;case"null":return m=7}return m=16}return c+=String.fromCharCode(T),u++,m=16}}function U(T){if(w(T)||v(T))return!1;switch(T){case 125:case 93:case 123:case 91:case 34:case 58:case 44:case 47:return!1}return!0}function z(){let T;do T=N();while(T>=12&&T<=15);return T}return{setPosition:f,getPosition:()=>u,scan:d?z:N,getToken:()=>m,getTokenValue:()=>c,getTokenOffset:()=>h,getTokenLength:()=>u-h,getTokenError:()=>D}}e.$mn=R;function w(t){return t===32||t===9||t===11||t===12||t===160||t===5760||t>=8192&&t<=8203||t===8239||t===8287||t===12288||t===65279}function v(t){return t===10||t===13||t===8232||t===8233}function S(t){return t>=48&&t<=57}var M;(function(t){t[t.nullCharacter=0]="nullCharacter",t[t.maxAsciiCharacter=127]="maxAsciiCharacter",t[t.lineFeed=10]="lineFeed",t[t.carriageReturn=13]="carriageReturn",t[t.lineSeparator=8232]="lineSeparator",t[t.paragraphSeparator=8233]="paragraphSeparator",t[t.nextLine=133]="nextLine",t[t.space=32]="space",t[t.nonBreakingSpace=160]="nonBreakingSpace",t[t.enQuad=8192]="enQuad",t[t.emQuad=8193]="emQuad",t[t.enSpace=8194]="enSpace",t[t.emSpace=8195]="emSpace",t[t.threePerEmSpace=8196]="threePerEmSpace",t[t.fourPerEmSpace=8197]="fourPerEmSpace",t[t.sixPerEmSpace=8198]="sixPerEmSpace",t[t.figureSpace=8199]="figureSpace",t[t.punctuationSpace=8200]="punctuationSpace",t[t.thinSpace=8201]="thinSpace",t[t.hairSpace=8202]="hairSpace",t[t.zeroWidthSpace=8203]="zeroWidthSpace",t[t.narrowNoBreakSpace=8239]="narrowNoBreakSpace",t[t.ideographicSpace=12288]="ideographicSpace",t[t.mathematicalSpace=8287]="mathematicalSpace",t[t.ogham=5760]="ogham",t[t._=95]="_",t[t.$=36]="$",t[t._0=48]="_0",t[t._1=49]="_1",t[t._2=50]="_2",t[t._3=51]="_3",t[t._4=52]="_4",t[t._5=53]="_5",t[t._6=54]="_6",t[t._7=55]="_7",t[t._8=56]="_8",t[t._9=57]="_9",t[t.a=97]="a",t[t.b=98]="b",t[t.c=99]="c",t[t.d=100]="d",t[t.e=101]="e",t[t.f=102]="f",t[t.g=103]="g",t[t.h=104]="h",t[t.i=105]="i",t[t.j=106]="j",t[t.k=107]="k",t[t.l=108]="l",t[t.m=109]="m",t[t.n=110]="n",t[t.o=111]="o",t[t.p=112]="p",t[t.q=113]="q",t[t.r=114]="r",t[t.s=115]="s",t[t.t=116]="t",t[t.u=117]="u",t[t.v=118]="v",t[t.w=119]="w",t[t.x=120]="x",t[t.y=121]="y",t[t.z=122]="z",t[t.A=65]="A",t[t.B=66]="B",t[t.C=67]="C",t[t.D=68]="D",t[t.E=69]="E",t[t.F=70]="F",t[t.G=71]="G",t[t.H=72]="H",t[t.I=73]="I",t[t.J=74]="J",t[t.K=75]="K",t[t.L=76]="L",t[t.M=77]="M",t[t.N=78]="N",t[t.O=79]="O",t[t.P=80]="P",t[t.Q=81]="Q",t[t.R=82]="R",t[t.S=83]="S",t[t.T=84]="T",t[t.U=85]="U",t[t.V=86]="V",t[t.W=87]="W",t[t.X=88]="X",t[t.Y=89]="Y",t[t.Z=90]="Z",t[t.ampersand=38]="ampersand",t[t.asterisk=42]="asterisk",t[t.at=64]="at",t[t.backslash=92]="backslash",t[t.bar=124]="bar",t[t.caret=94]="caret",t[t.closeBrace=125]="closeBrace",t[t.closeBracket=93]="closeBracket",t[t.closeParen=41]="closeParen",t[t.colon=58]="colon",t[t.comma=44]="comma",t[t.dot=46]="dot",t[t.doubleQuote=34]="doubleQuote",t[t.equals=61]="equals",t[t.exclamation=33]="exclamation",t[t.greaterThan=62]="greaterThan",t[t.lessThan=60]="lessThan",t[t.minus=45]="minus",t[t.openBrace=123]="openBrace",t[t.openBracket=91]="openBracket",t[t.openParen=40]="openParen",t[t.percent=37]="percent",t[t.plus=43]="plus",t[t.question=63]="question",t[t.semicolon=59]="semicolon",t[t.singleQuote=39]="singleQuote",t[t.slash=47]="slash",t[t.tilde=126]="tilde",t[t.backspace=8]="backspace",t[t.formFeed=12]="formFeed",t[t.byteOrderMark=65279]="byteOrderMark",t[t.tab=9]="tab",t[t.verticalTab=11]="verticalTab"})(M||(M={}));function C(t,d){const u=[],s=new Object;let c;const h={value:{},offset:0,length:0,type:"object",parent:void 0};let m=!1;function D(g,f,y,A){h.value=g,h.offset=f,h.length=y,h.type=A,h.colonOffset=void 0,c=h}try{n(t,{onObjectBegin:(g,f)=>{if(d<=g)throw s;c=void 0,m=d>g,u.push("")},onObjectProperty:(g,f,y)=>{if(d<f||(D(g,f,y,"property"),u[u.length-1]=g,d<=f+y))throw s},onObjectEnd:(g,f)=>{if(d<=g)throw s;c=void 0,u.pop()},onArrayBegin:(g,f)=>{if(d<=g)throw s;c=void 0,u.push(0)},onArrayEnd:(g,f)=>{if(d<=g)throw s;c=void 0,u.pop()},onLiteralValue:(g,f,y)=>{if(d<f||(D(g,f,y,a(g)),d<=f+y))throw s},onSeparator:(g,f,y)=>{if(d<=f)throw s;if(g===":"&&c&&c.type==="property")c.colonOffset=f,m=!1,c=void 0;else if(g===","){const A=u[u.length-1];typeof A=="number"?u[u.length-1]=A+1:(m=!0,u[u.length-1]=""),c=void 0}}})}catch(g){if(g!==s)throw g}return{path:u,previousNode:c,isAtPropertyKey:m,matches:g=>{let f=0;for(let y=0;f<g.length&&y<u.length;y++)if(g[f]===u[y]||g[f]==="*")f++;else if(g[f]!=="**")return!1;return f===g.length}}}e.$nn=C;function b(t,d=[],u=L.DEFAULT){let s=null,c=[];const h=[];function m(g){Array.isArray(c)?c.push(g):s!==null&&(c[s]=g)}return n(t,{onObjectBegin:()=>{const g={};m(g),h.push(c),c=g,s=null},onObjectProperty:g=>{s=g},onObjectEnd:()=>{c=h.pop()},onArrayBegin:()=>{const g=[];m(g),h.push(c),c=g,s=null},onArrayEnd:()=>{c=h.pop()},onLiteralValue:m,onError:(g,f,y)=>{d.push({error:g,offset:f,length:y})}},u),c[0]}e.$on=b;function E(t,d=[],u=L.DEFAULT){let s={type:"array",offset:-1,length:-1,children:[],parent:void 0};function c(g){s.type==="property"&&(s.length=g-s.offset,s=s.parent)}function h(g){return s.children.push(g),g}n(t,{onObjectBegin:g=>{s=h({type:"object",offset:g,length:-1,parent:s,children:[]})},onObjectProperty:(g,f,y)=>{s=h({type:"property",offset:f,length:-1,parent:s,children:[]}),s.children.push({type:"string",value:g,offset:f,length:y,parent:s})},onObjectEnd:(g,f)=>{s.length=g+f-s.offset,s=s.parent,c(g+f)},onArrayBegin:(g,f)=>{s=h({type:"array",offset:g,length:-1,parent:s,children:[]})},onArrayEnd:(g,f)=>{s.length=g+f-s.offset,s=s.parent,c(g+f)},onLiteralValue:(g,f,y)=>{h({type:a(g),offset:f,length:y,parent:s,value:g}),c(f+y)},onSeparator:(g,f,y)=>{s.type==="property"&&(g===":"?s.colonOffset=f:g===","&&c(f))},onError:(g,f,y)=>{d.push({error:g,offset:f,length:y})}},u);const D=s.children[0];return D&&delete D.parent,D}e.$pn=E;function k(t,d){if(!t)return;let u=t;for(const s of d)if(typeof s=="string"){if(u.type!=="object"||!Array.isArray(u.children))return;let c=!1;for(const h of u.children)if(Array.isArray(h.children)&&h.children[0].value===s){u=h.children[1],c=!0;break}if(!c)return}else{const c=s;if(u.type!=="array"||c<0||!Array.isArray(u.children)||c>=u.children.length)return;u=u.children[c]}return u}e.$qn=k;function l(t){if(!t.parent||!t.parent.children)return[];const d=l(t.parent);if(t.parent.type==="property"){const u=t.parent.children[0].value;d.push(u)}else if(t.parent.type==="array"){const u=t.parent.children.indexOf(t);u!==-1&&d.push(u)}return d}e.$rn=l;function p(t){switch(t.type){case"array":return t.children.map(p);case"object":{const d=Object.create(null);for(const u of t.children){const s=u.children[1];s&&(d[u.children[0].value]=p(s))}return d}case"null":case"string":case"number":case"boolean":return t.value;default:return}}e.$sn=p;function o(t,d,u=!1){return d>=t.offset&&d<t.offset+t.length||u&&d===t.offset+t.length}e.$tn=o;function i(t,d,u=!1){if(o(t,d,u)){const s=t.children;if(Array.isArray(s))for(let c=0;c<s.length&&s[c].offset<=d;c++){const h=i(s[c],d,u);if(h)return h}return t}}e.$un=i;function n(t,d,u=L.DEFAULT){const s=R(t,!1);function c(ee){return ee?()=>ee(s.getTokenOffset(),s.getTokenLength()):()=>!0}function h(ee){return ee?fe=>ee(fe,s.getTokenOffset(),s.getTokenLength()):()=>!0}const m=c(d.onObjectBegin),D=h(d.onObjectProperty),g=c(d.onObjectEnd),f=c(d.onArrayBegin),y=c(d.onArrayEnd),A=h(d.onLiteralValue),N=h(d.onSeparator),U=c(d.onComment),z=h(d.onError),T=u&&u.disallowComments,P=u&&u.allowTrailingComma;function O(){for(;;){const ee=s.scan();switch(s.getTokenError()){case 4:j(14);break;case 5:j(15);break;case 3:j(13);break;case 1:T||j(11);break;case 2:j(12);break;case 6:j(16);break}switch(ee){case 12:case 13:T?j(10):U();break;case 16:j(1);break;case 15:case 14:break;default:return ee}}}function j(ee,fe=[],re=[]){if(z(ee),fe.length+re.length>0){let J=s.getToken();for(;J!==17;){if(fe.indexOf(J)!==-1){O();break}else if(re.indexOf(J)!==-1)break;J=O()}}}function K(ee){const fe=s.getTokenValue();return ee?A(fe):D(fe),O(),!0}function ie(){switch(s.getToken()){case 11:{let ee=0;try{ee=JSON.parse(s.getTokenValue()),typeof ee!="number"&&(j(2),ee=0)}catch{j(2)}A(ee);break}case 7:A(null);break;case 8:A(!0);break;case 9:A(!1);break;default:return!1}return O(),!0}function _(){return s.getToken()!==10?(j(3,[],[2,5]),!1):(K(!1),s.getToken()===6?(N(":"),O(),ae()||j(4,[],[2,5])):j(5,[],[2,5]),!0)}function X(){m(),O();let ee=!1;for(;s.getToken()!==2&&s.getToken()!==17;){if(s.getToken()===5){if(ee||j(4,[],[]),N(","),O(),s.getToken()===2&&P)break}else ee&&j(6,[],[]);_()||j(4,[],[2,5]),ee=!0}return g(),s.getToken()!==2?j(7,[2],[]):O(),!0}function Y(){f(),O();let ee=!1;for(;s.getToken()!==4&&s.getToken()!==17;){if(s.getToken()===5){if(ee||j(4,[],[]),N(","),O(),s.getToken()===4&&P)break}else ee&&j(6,[],[]);ae()||j(4,[],[4,5]),ee=!0}return y(),s.getToken()!==4?j(8,[4],[]):O(),!0}function ae(){switch(s.getToken()){case 3:return Y();case 1:return X();case 10:return K(!0);default:return ie()}}return O(),s.getToken()===17?u.allowEmptyContent?!0:(j(4,[],[]),!1):ae()?(s.getToken()!==17&&j(9,[],[]),!0):(j(4,[],[]),!1)}e.$vn=n;function r(t,d){const u=R(t),s=[];let c,h=0,m;do switch(m=u.getPosition(),c=u.scan(),c){case 12:case 13:case 17:h!==m&&s.push(t.substring(h,m)),d!==void 0&&s.push(u.getTokenValue().replace(/[^\r\n]/g,d)),h=u.getPosition();break}while(c!==17);return s.join("")}e.$wn=r;function a(t){switch(typeof t){case"boolean":return"boolean";case"number":return"number";case"string":return"string";case"object":{if(t){if(Array.isArray(t))return"array"}else return"null";return"object"}default:return"null"}}e.$xn=a}),define(Se[44],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$V=void 0;class I{constructor($){this.d=$,this.a=!1}get hasValue(){return this.a}get value(){if(!this.a)try{this.b=this.d()}catch($){this.c=$}finally{this.a=!0}if(this.c)throw this.c;return this.b}get rawValue(){return this.b}}e.$V=I}),define(Se[75],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4c=void 0;class I{static{this.Undefined=new I(void 0)}constructor(L){this.element=L,this.next=I.Undefined,this.prev=I.Undefined}}class F{constructor(){this.a=I.Undefined,this.b=I.Undefined,this.c=0}get size(){return this.c}isEmpty(){return this.a===I.Undefined}clear(){let L=this.a;for(;L!==I.Undefined;){const R=L.next;L.prev=I.Undefined,L.next=I.Undefined,L=R}this.a=I.Undefined,this.b=I.Undefined,this.c=0}unshift(L){return this.d(L,!1)}push(L){return this.d(L,!0)}d(L,R){const w=new I(L);if(this.a===I.Undefined)this.a=w,this.b=w;else if(R){const S=this.b;this.b=w,w.prev=S,S.next=w}else{const S=this.a;this.a=w,w.next=S,S.prev=w}this.c+=1;let v=!1;return()=>{v||(v=!0,this.e(w))}}shift(){if(this.a!==I.Undefined){const L=this.a.element;return this.e(this.a),L}}pop(){if(this.b!==I.Undefined){const L=this.b.element;return this.e(this.b),L}}e(L){if(L.prev!==I.Undefined&&L.next!==I.Undefined){const R=L.prev;R.next=L.next,L.next.prev=R}else L.prev===I.Undefined&&L.next===I.Undefined?(this.a=I.Undefined,this.b=I.Undefined):L.next===I.Undefined?(this.b=this.b.prev,this.b.next=I.Undefined):L.prev===I.Undefined&&(this.a=this.a.next,this.a.prev=I.Undefined);this.c-=1}*[Symbol.iterator](){let L=this.a;for(;L!==I.Undefined;)yield L.element,L=L.next}}e.$4c=F}),define(Se[28],De([1,0]),function(me,e){"use strict";var I,F,$;Object.defineProperty(e,"__esModule",{value:!0}),e.$Hc=e.$Gc=e.$Fc=e.$Ec=e.$Dc=e.$Cc=e.Touch=e.$Bc=e.$Ac=e.$zc=e.$yc=e.$xc=void 0;function L(n,r,a){let t=n.get(r);return t===void 0&&(t=a,n.set(r,t)),t}e.$xc=L;function R(n){const r=[];return n.forEach((a,t)=>{r.push(`${t} => ${a}`)}),`Map(${n.size}) {${r.join(", ")}}`}e.$yc=R;function w(n){const r=[];return n.forEach(a=>{r.push(a)}),`Set(${n.size}) {${r.join(", ")}}`}e.$zc=w;class v{constructor(r,a){this.uri=r,this.value=a}}function S(n){return Array.isArray(n)}class M{static{this.c=r=>r.toString()}constructor(r,a){if(this[I]="ResourceMap",r instanceof M)this.d=new Map(r.d),this.e=a??M.c;else if(S(r)){this.d=new Map,this.e=a??M.c;for(const[t,d]of r)this.set(t,d)}else this.d=new Map,this.e=r??M.c}set(r,a){return this.d.set(this.e(r),new v(r,a)),this}get(r){return this.d.get(this.e(r))?.value}has(r){return this.d.has(this.e(r))}get size(){return this.d.size}clear(){this.d.clear()}delete(r){return this.d.delete(this.e(r))}forEach(r,a){typeof a<"u"&&(r=r.bind(a));for(const[t,d]of this.d)r(d.value,d.uri,this)}*values(){for(const r of this.d.values())yield r.value}*keys(){for(const r of this.d.values())yield r.uri}*entries(){for(const r of this.d.values())yield[r.uri,r.value]}*[(I=Symbol.toStringTag,Symbol.iterator)](){for(const[,r]of this.d)yield[r.uri,r.value]}}e.$Ac=M;class C{constructor(r,a){this[F]="ResourceSet",!r||typeof r=="function"?this.c=new M(r):(this.c=new M(a),r.forEach(this.add,this))}get size(){return this.c.size}add(r){return this.c.set(r,r),this}clear(){this.c.clear()}delete(r){return this.c.delete(r)}forEach(r,a){this.c.forEach((t,d)=>r.call(a,d,d,this))}has(r){return this.c.has(r)}entries(){return this.c.entries()}keys(){return this.c.keys()}values(){return this.c.keys()}[(F=Symbol.toStringTag,Symbol.iterator)](){return this.keys()}}e.$Bc=C;var b;(function(n){n[n.None=0]="None",n[n.AsOld=1]="AsOld",n[n.AsNew=2]="AsNew"})(b||(e.Touch=b={}));class E{constructor(){this[$]="LinkedMap",this.c=new Map,this.d=void 0,this.e=void 0,this.f=0,this.g=0}clear(){this.c.clear(),this.d=void 0,this.e=void 0,this.f=0,this.g++}isEmpty(){return!this.d&&!this.e}get size(){return this.f}get first(){return this.d?.value}get last(){return this.e?.value}has(r){return this.c.has(r)}get(r,a=0){const t=this.c.get(r);if(t)return a!==0&&this.l(t,a),t.value}set(r,a,t=0){let d=this.c.get(r);if(d)d.value=a,t!==0&&this.l(d,t);else{switch(d={key:r,value:a,next:void 0,previous:void 0},t){case 0:this.j(d);break;case 1:this.i(d);break;case 2:this.j(d);break;default:this.j(d);break}this.c.set(r,d),this.f++}return this}delete(r){return!!this.remove(r)}remove(r){const a=this.c.get(r);if(a)return this.c.delete(r),this.k(a),this.f--,a.value}shift(){if(!this.d&&!this.e)return;if(!this.d||!this.e)throw new Error("Invalid list");const r=this.d;return this.c.delete(r.key),this.k(r),this.f--,r.value}forEach(r,a){const t=this.g;let d=this.d;for(;d;){if(a?r.bind(a)(d.value,d.key,this):r(d.value,d.key,this),this.g!==t)throw new Error("LinkedMap got modified during iteration.");d=d.next}}keys(){const r=this,a=this.g;let t=this.d;const d={[Symbol.iterator](){return d},next(){if(r.g!==a)throw new Error("LinkedMap got modified during iteration.");if(t){const u={value:t.key,done:!1};return t=t.next,u}else return{value:void 0,done:!0}}};return d}values(){const r=this,a=this.g;let t=this.d;const d={[Symbol.iterator](){return d},next(){if(r.g!==a)throw new Error("LinkedMap got modified during iteration.");if(t){const u={value:t.value,done:!1};return t=t.next,u}else return{value:void 0,done:!0}}};return d}entries(){const r=this,a=this.g;let t=this.d;const d={[Symbol.iterator](){return d},next(){if(r.g!==a)throw new Error("LinkedMap got modified during iteration.");if(t){const u={value:[t.key,t.value],done:!1};return t=t.next,u}else return{value:void 0,done:!0}}};return d}[($=Symbol.toStringTag,Symbol.iterator)](){return this.entries()}h(r){if(r>=this.size)return;if(r===0){this.clear();return}let a=this.d,t=this.size;for(;a&&t>r;)this.c.delete(a.key),a=a.next,t--;this.d=a,this.f=t,a&&(a.previous=void 0),this.g++}i(r){if(!this.d&&!this.e)this.e=r;else if(this.d)r.next=this.d,this.d.previous=r;else throw new Error("Invalid list");this.d=r,this.g++}j(r){if(!this.d&&!this.e)this.d=r;else if(this.e)r.previous=this.e,this.e.next=r;else throw new Error("Invalid list");this.e=r,this.g++}k(r){if(r===this.d&&r===this.e)this.d=void 0,this.e=void 0;else if(r===this.d){if(!r.next)throw new Error("Invalid list");r.next.previous=void 0,this.d=r.next}else if(r===this.e){if(!r.previous)throw new Error("Invalid list");r.previous.next=void 0,this.e=r.previous}else{const a=r.next,t=r.previous;if(!a||!t)throw new Error("Invalid list");a.previous=t,t.next=a}r.next=void 0,r.previous=void 0,this.g++}l(r,a){if(!this.d||!this.e)throw new Error("Invalid list");if(!(a!==1&&a!==2)){if(a===1){if(r===this.d)return;const t=r.next,d=r.previous;r===this.e?(d.next=void 0,this.e=d):(t.previous=d,d.next=t),r.previous=void 0,r.next=this.d,this.d.previous=r,this.d=r,this.g++}else if(a===2){if(r===this.e)return;const t=r.next,d=r.previous;r===this.d?(t.previous=void 0,this.d=t):(t.previous=d,d.next=t),r.next=void 0,r.previous=this.e,this.e.next=r,this.e=r,this.g++}}}toJSON(){const r=[];return this.forEach((a,t)=>{r.push([t,a])}),r}fromJSON(r){this.clear();for(const[a,t]of r)this.set(a,t)}}e.$Cc=E;class k extends E{constructor(r,a=1){super(),this.m=r,this.n=Math.min(Math.max(0,a),1)}get limit(){return this.m}set limit(r){this.m=r,this.o()}get ratio(){return this.n}set ratio(r){this.n=Math.min(Math.max(0,r),1),this.o()}get(r,a=2){return super.get(r,a)}peek(r){return super.get(r,0)}set(r,a){return super.set(r,a,2),this.o(),this}o(){this.size>this.m&&this.h(Math.round(this.m*this.n))}}e.$Dc=k;class l{constructor(){this.c=new Map}add(r){return this.c.set(r,(this.c.get(r)||0)+1),this}delete(r){let a=this.c.get(r)||0;return a===0?!1:(a--,a===0?this.c.delete(r):this.c.set(r,a),!0)}has(r){return this.c.has(r)}}e.$Ec=l;class p{constructor(r){if(this.c=new Map,this.d=new Map,r)for(const[a,t]of r)this.set(a,t)}clear(){this.c.clear(),this.d.clear()}set(r,a){this.c.set(r,a),this.d.set(a,r)}get(r){return this.c.get(r)}getKey(r){return this.d.get(r)}delete(r){const a=this.c.get(r);return a===void 0?!1:(this.c.delete(r),this.d.delete(a),!0)}forEach(r,a){this.c.forEach((t,d)=>{r.call(a,t,d,this)})}keys(){return this.c.keys()}values(){return this.c.values()}}e.$Fc=p;class o{constructor(){this.c=new Map}add(r,a){let t=this.c.get(r);t||(t=new Set,this.c.set(r,t)),t.add(a)}delete(r,a){const t=this.c.get(r);t&&(t.delete(a),t.size===0&&this.c.delete(r))}forEach(r,a){const t=this.c.get(r);t&&t.forEach(a)}get(r){const a=this.c.get(r);return a||new Set}}e.$Gc=o;function i(n,r){if(n===r)return!0;if(n.size!==r.size)return!1;for(const[a,t]of n)if(!r.has(a)||r.get(a)!==t)return!1;for(const[a]of r)if(!n.has(a))return!1;return!0}e.$Hc=i}),define(Se[3],De([1,0,19,73,28,74,48]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3c=e.$2c=e.$1c=e.$Zc=e.$Yc=e.$Xc=e.$Wc=e.$Vc=e.$Uc=e.$Tc=e.$Sc=e.$Rc=e.$Qc=e.$Pc=e.$Oc=e.$Nc=e.$Mc=e.$Lc=e.$Kc=e.$Jc=e.$Ic=void 0;const w=!1;let v=null;class S{constructor(){this.b=new Map}static{this.a=0}c(A){let N=this.b.get(A);return N||(N={parent:null,source:null,isSingleton:!1,value:A,idx:S.a++},this.b.set(A,N)),N}trackDisposable(A){const N=this.c(A);N.source||(N.source=new Error().stack)}setParent(A,N){const U=this.c(A);U.parent=N}markAsDisposed(A){this.b.delete(A)}markAsSingleton(A){this.c(A).isSingleton=!0}f(A,N){const U=N.get(A);if(U)return U;const z=A.parent?this.f(this.c(A.parent),N):A;return N.set(A,z),z}getTrackedDisposables(){const A=new Map;return[...this.b.entries()].filter(([,U])=>U.source!==null&&!this.f(U,A).isSingleton).flatMap(([U])=>U)}computeLeakingDisposables(A=10,N){let U;if(N)U=N;else{const j=new Map,K=[...this.b.values()].filter(_=>_.source!==null&&!this.f(_,j).isSingleton);if(K.length===0)return;const ie=new Set(K.map(_=>_.value));if(U=K.filter(_=>!(_.parent&&ie.has(_.parent))),U.length===0)throw new Error("There are cyclic diposable chains!")}if(!U)return;function z(j){function K(_,X){for(;_.length>0&&X.some(Y=>typeof Y=="string"?Y===_[0]:_[0].match(Y));)_.shift()}const ie=j.source.split(`
`).map(_=>_.trim().replace("at ","")).filter(_=>_!=="");return K(ie,["Error",/^trackDisposable \(.*\)$/,/^DisposableTracker.trackDisposable \(.*\)$/]),ie.reverse()}const T=new $.$Gc;for(const j of U){const K=z(j);for(let ie=0;ie<=K.length;ie++)T.add(K.slice(0,ie).join(`
`),j)}U.sort((0,I.$7b)(j=>j.idx,I.$9b));let P="",O=0;for(const j of U.slice(0,A)){O++;const K=z(j),ie=[];for(let _=0;_<K.length;_++){let X=K[_];X=`(shared with ${T.get(K.slice(0,_+1).join(`
`)).size}/${U.length} leaks) at ${X}`;const ae=T.get(K.slice(0,_).join(`
`)),ee=(0,F.$K)([...ae].map(fe=>z(fe)[_]),fe=>fe);delete ee[K[_]];for(const[fe,re]of Object.entries(ee))ie.unshift(`    - stacktraces of ${re.length} other leaks continue with ${fe}`);ie.unshift(X)}P+=`


==================== Leaking disposable ${O}/${U.length}: ${j.value.constructor.name} ====================
${ie.join(`
`)}
============================================================

`}return U.length>A&&(P+=`


... and ${U.length-A} more leaking disposables

`),{leaks:U,details:P}}}e.$Ic=S;function M(y){v=y}if(e.$Jc=M,w){const y="__is_disposable_tracked__";M(new class{trackDisposable(A){const N=new Error("Potentially leaked disposable").stack;setTimeout(()=>{A[y]||console.log(N)},3e3)}setParent(A,N){if(A&&A!==t.None)try{A[y]=!0}catch{}}markAsDisposed(A){if(A&&A!==t.None)try{A[y]=!0}catch{}}markAsSingleton(A){}})}function C(y){return v?.trackDisposable(y),y}e.$Kc=C;function b(y){v?.markAsDisposed(y)}e.$Lc=b;function E(y,A){v?.setParent(y,A)}function k(y,A){if(v)for(const N of y)v.setParent(N,A)}function l(y){return v?.markAsSingleton(y),y}e.$Mc=l;function p(y){return typeof y.dispose=="function"&&y.dispose.length===0}e.$Nc=p;function o(y){if(R.Iterable.is(y)){const A=[];for(const N of y)if(N)try{N.dispose()}catch(U){A.push(U)}if(A.length===1)throw A[0];if(A.length>1)throw new AggregateError(A,"Encountered errors while disposing of store");return Array.isArray(y)?[]:y}else if(y)return y.dispose(),y}e.$Oc=o;function i(y){for(const A of y)p(A)&&A.dispose();return[]}e.$Pc=i;function n(...y){const A=r(()=>o(y));return k(y,A),A}e.$Qc=n;function r(y){const A=C({dispose:(0,L.$db)(()=>{b(A),y()})});return A}e.$Rc=r;class a{static{this.DISABLE_DISPOSED_WARNING=!1}constructor(){this.f=new Set,this.g=!1,C(this)}dispose(){this.g||(b(this),this.g=!0,this.clear())}get isDisposed(){return this.g}clear(){if(this.f.size!==0)try{o(this.f)}finally{this.f.clear()}}add(A){if(!A)return A;if(A===this)throw new Error("Cannot register a disposable on itself!");return E(A,this),this.g?a.DISABLE_DISPOSED_WARNING||console.warn(new Error("Trying to add a disposable to a DisposableStore that has already been disposed of. The added object will be leaked!").stack):this.f.add(A),A}delete(A){if(A){if(A===this)throw new Error("Cannot dispose a disposable on itself!");this.f.delete(A),A.dispose()}}deleteAndLeak(A){A&&this.f.has(A)&&(this.f.delete(A),E(A,null))}}e.$Sc=a;class t{static{this.None=Object.freeze({dispose(){}})}constructor(){this.q=new a,C(this),E(this.q,this)}dispose(){b(this),this.q.dispose()}B(A){if(A===this)throw new Error("Cannot register a disposable on itself!");return this.q.add(A)}}e.$Tc=t;class d{constructor(){this.b=!1,C(this)}get value(){return this.b?void 0:this.a}set value(A){this.b||A===this.a||(this.a?.dispose(),A&&E(A,this),this.a=A)}clear(){this.value=void 0}dispose(){this.b=!0,b(this),this.a?.dispose(),this.a=void 0}clearAndLeak(){const A=this.a;return this.a=void 0,A&&E(A,null),A}}e.$Uc=d;class u{constructor(A){this.a=new d,this.b=!1,this.a.value=A}get value(){return this.a.value}set value(A){this.b||A===this.a.value||(this.a.value=A)}dispose(){this.b=!0,this.a.dispose()}}e.$Vc=u;class s{constructor(A){this.b=A,this.a=1}acquire(){return this.a++,this}release(){return--this.a===0&&this.b.dispose(),this}}e.$Wc=s;class c{constructor(){this.dispose=()=>{},this.unset=()=>{},this.isset=()=>!1,C(this)}set(A){let N=A;return this.unset=()=>N=void 0,this.isset=()=>N!==void 0,this.dispose=()=>{N&&(N(),N=void 0,b(this))},this}}e.$Xc=c;class h{constructor(){this.a=new Map}acquire(A,...N){let U=this.a.get(A);U||(U={counter:0,object:this.b(A,...N)},this.a.set(A,U));const{object:z}=U,T=(0,L.$db)(()=>{--U.counter===0&&(this.c(A,U.object),this.a.delete(A))});return U.counter++,{object:z,dispose:T}}}e.$Yc=h;class m{constructor(A){this.a=A}async acquire(A,...N){const U=this.a.acquire(A,...N);try{return{object:await U.object,dispose:()=>U.dispose()}}catch(z){throw U.dispose(),z}}}e.$Zc=m;class D{constructor(A){this.object=A}dispose(){}}e.$1c=D;function g(y){const A=new a;try{y(A)}finally{A.dispose()}}e.$2c=g;class f{constructor(){this.a=new Map,this.b=!1,C(this)}dispose(){b(this),this.b=!0,this.clearAndDisposeAll()}clearAndDisposeAll(){if(this.a.size)try{o(this.a.values())}finally{this.a.clear()}}has(A){return this.a.has(A)}get size(){return this.a.size}get(A){return this.a.get(A)}set(A,N,U=!1){this.b&&console.warn(new Error("Trying to add a disposable to a DisposableMap that has already been disposed of. The added object will be leaked!").stack),U||this.a.get(A)?.dispose(),this.a.set(A,N)}deleteAndDispose(A){this.a.get(A)?.dispose(),this.a.delete(A)}keys(){return this.a.keys()}values(){return this.a.values()}[Symbol.iterator](){return this.a[Symbol.iterator]()}}e.$3c=f}),function(me,e){typeof define=="function"&&define.amd?define(Se[161],De([0]),e):typeof exports=="object"&&typeof module<"u"?e(exports):(me=typeof globalThis<"u"?globalThis:me||self,e(me.marked={}))}(this,function(me){"use strict";function e(he,ce){for(var de=0;de<ce.length;de++){var H=ce[de];H.enumerable=H.enumerable||!1,H.configurable=!0,"value"in H&&(H.writable=!0),Object.defineProperty(he,H.key,H)}}function I(he,ce,de){return ce&&e(he.prototype,ce),de&&e(he,de),Object.defineProperty(he,"prototype",{writable:!1}),he}function F(he,ce){if(he){if(typeof he=="string")return $(he,ce);var de=Object.prototype.toString.call(he).slice(8,-1);if(de==="Object"&&he.constructor&&(de=he.constructor.name),de==="Map"||de==="Set")return Array.from(he);if(de==="Arguments"||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(de))return $(he,ce)}}function $(he,ce){(ce==null||ce>he.length)&&(ce=he.length);for(var de=0,H=new Array(ce);de<ce;de++)H[de]=he[de];return H}function L(he,ce){var de=typeof Symbol<"u"&&he[Symbol.iterator]||he["@@iterator"];if(de)return(de=de.call(he)).next.bind(de);if(Array.isArray(he)||(de=F(he))||ce&&he&&typeof he.length=="number"){de&&(he=de);var H=0;return function(){return H>=he.length?{done:!0}:{done:!1,value:he[H++]}}}throw new TypeError(`Invalid attempt to iterate non-iterable instance.
In order to be iterable, non-array objects must have a [Symbol.iterator]() method.`)}function R(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartLists:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}me.defaults=R();function w(he){me.defaults=he}var v=/[&<>"']/,S=/[&<>"']/g,M=/[<>"']|&(?!#?\w+;)/,C=/[<>"']|&(?!#?\w+;)/g,b={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},E=function(ce){return b[ce]};function k(he,ce){if(ce){if(v.test(he))return he.replace(S,E)}else if(M.test(he))return he.replace(C,E);return he}var l=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/ig;function p(he){return he.replace(l,function(ce,de){return de=de.toLowerCase(),de==="colon"?":":de.charAt(0)==="#"?de.charAt(1)==="x"?String.fromCharCode(parseInt(de.substring(2),16)):String.fromCharCode(+de.substring(1)):""})}var o=/(^|[^\[])\^/g;function i(he,ce){he=typeof he=="string"?he:he.source,ce=ce||"";var de={replace:function(x,ue){return ue=ue.source||ue,ue=ue.replace(o,"$1"),he=he.replace(x,ue),de},getRegex:function(){return new RegExp(he,ce)}};return de}var n=/[^\w:]/g,r=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function a(he,ce,de){if(he){var H;try{H=decodeURIComponent(p(de)).replace(n,"").toLowerCase()}catch{return null}if(H.indexOf("javascript:")===0||H.indexOf("vbscript:")===0||H.indexOf("data:")===0)return null}ce&&!r.test(de)&&(de=c(ce,de));try{de=encodeURI(de).replace(/%25/g,"%")}catch{return null}return de}var t={},d=/^[^:]+:\/*[^/]*$/,u=/^([^:]+:)[\s\S]*$/,s=/^([^:]+:\/*[^/]*)[\s\S]*$/;function c(he,ce){t[" "+he]||(d.test(he)?t[" "+he]=he+"/":t[" "+he]=g(he,"/",!0)),he=t[" "+he];var de=he.indexOf(":")===-1;return ce.substring(0,2)==="//"?de?ce:he.replace(u,"$1")+ce:ce.charAt(0)==="/"?de?ce:he.replace(s,"$1")+ce:he+ce}var h={exec:function(){}};function m(he){for(var ce=1,de,H;ce<arguments.length;ce++){de=arguments[ce];for(H in de)Object.prototype.hasOwnProperty.call(de,H)&&(he[H]=de[H])}return he}function D(he,ce){var de=he.replace(/\|/g,function(ue,be,Pe){for(var we=!1,Ae=be;--Ae>=0&&Pe[Ae]==="\\";)we=!we;return we?"|":" |"}),H=de.split(/ \|/),x=0;if(H[0].trim()||H.shift(),H.length>0&&!H[H.length-1].trim()&&H.pop(),H.length>ce)H.splice(ce);else for(;H.length<ce;)H.push("");for(;x<H.length;x++)H[x]=H[x].trim().replace(/\\\|/g,"|");return H}function g(he,ce,de){var H=he.length;if(H===0)return"";for(var x=0;x<H;){var ue=he.charAt(H-x-1);if(ue===ce&&!de)x++;else if(ue!==ce&&de)x++;else break}return he.slice(0,H-x)}function f(he,ce){if(he.indexOf(ce[1])===-1)return-1;for(var de=he.length,H=0,x=0;x<de;x++)if(he[x]==="\\")x++;else if(he[x]===ce[0])H++;else if(he[x]===ce[1]&&(H--,H<0))return x;return-1}function y(he){he&&he.sanitize&&!he.silent&&console.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options")}function A(he,ce){if(ce<1)return"";for(var de="";ce>1;)ce&1&&(de+=he),ce>>=1,he+=he;return de+he}function N(he,ce,de,H){var x=ce.href,ue=ce.title?k(ce.title):null,be=he[1].replace(/\\([\[\]])/g,"$1");if(he[0].charAt(0)!=="!"){H.state.inLink=!0;var Pe={type:"link",raw:de,href:x,title:ue,text:be,tokens:H.inlineTokens(be)};return H.state.inLink=!1,Pe}return{type:"image",raw:de,href:x,title:ue,text:k(be)}}function U(he,ce){var de=he.match(/^(\s+)(?:```)/);if(de===null)return ce;var H=de[1];return ce.split(`
`).map(function(x){var ue=x.match(/^\s+/);if(ue===null)return x;var be=ue[0];return be.length>=H.length?x.slice(H.length):x}).join(`
`)}var z=function(){function he(de){this.options=de||me.defaults}var ce=he.prototype;return ce.space=function(H){var x=this.rules.block.newline.exec(H);if(x&&x[0].length>0)return{type:"space",raw:x[0]}},ce.code=function(H){var x=this.rules.block.code.exec(H);if(x){var ue=x[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:x[0],codeBlockStyle:"indented",text:this.options.pedantic?ue:g(ue,`
`)}}},ce.fences=function(H){var x=this.rules.block.fences.exec(H);if(x){var ue=x[0],be=U(ue,x[3]||"");return{type:"code",raw:ue,lang:x[2]?x[2].trim():x[2],text:be}}},ce.heading=function(H){var x=this.rules.block.heading.exec(H);if(x){var ue=x[2].trim();if(/#$/.test(ue)){var be=g(ue,"#");(this.options.pedantic||!be||/ $/.test(be))&&(ue=be.trim())}return{type:"heading",raw:x[0],depth:x[1].length,text:ue,tokens:this.lexer.inline(ue)}}},ce.hr=function(H){var x=this.rules.block.hr.exec(H);if(x)return{type:"hr",raw:x[0]}},ce.blockquote=function(H){var x=this.rules.block.blockquote.exec(H);if(x){var ue=x[0].replace(/^ *>[ \t]?/gm,"");return{type:"blockquote",raw:x[0],tokens:this.lexer.blockTokens(ue,[]),text:ue}}},ce.list=function(H){var x=this.rules.block.list.exec(H);if(x){var ue,be,Pe,we,Ae,Oe,ze,W,V,Z,Q,$e,ve=x[1].trim(),Te=ve.length>1,He={type:"list",raw:"",ordered:Te,start:Te?+ve.slice(0,-1):"",loose:!1,items:[]};ve=Te?"\\d{1,9}\\"+ve.slice(-1):"\\"+ve,this.options.pedantic&&(ve=Te?ve:"[*+-]");for(var Qe=new RegExp("^( {0,3}"+ve+")((?:[	 ][^\\n]*)?(?:\\n|$))");H&&($e=!1,!(!(x=Qe.exec(H))||this.rules.block.hr.test(H)));){if(ue=x[0],H=H.substring(ue.length),W=x[2].split(`
`,1)[0],V=H.split(`
`,1)[0],this.options.pedantic?(we=2,Q=W.trimLeft()):(we=x[2].search(/[^ ]/),we=we>4?1:we,Q=W.slice(we),we+=x[1].length),Oe=!1,!W&&/^ *$/.test(V)&&(ue+=V+`
`,H=H.substring(V.length+1),$e=!0),!$e)for(var tt=new RegExp("^ {0,"+Math.min(3,we-1)+"}(?:[*+-]|\\d{1,9}[.)])((?: [^\\n]*)?(?:\\n|$))"),st=new RegExp("^ {0,"+Math.min(3,we-1)+"}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)"),lt=new RegExp("^ {0,"+Math.min(3,we-1)+"}(?:```|~~~)"),rt=new RegExp("^ {0,"+Math.min(3,we-1)+"}#");H&&(Z=H.split(`
`,1)[0],W=Z,this.options.pedantic&&(W=W.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!(lt.test(W)||rt.test(W)||tt.test(W)||st.test(H)));){if(W.search(/[^ ]/)>=we||!W.trim())Q+=`
`+W.slice(we);else if(!Oe)Q+=`
`+W;else break;!Oe&&!W.trim()&&(Oe=!0),ue+=Z+`
`,H=H.substring(Z.length+1)}He.loose||(ze?He.loose=!0:/\n *\n *$/.test(ue)&&(ze=!0)),this.options.gfm&&(be=/^\[[ xX]\] /.exec(Q),be&&(Pe=be[0]!=="[ ] ",Q=Q.replace(/^\[[ xX]\] +/,""))),He.items.push({type:"list_item",raw:ue,task:!!be,checked:Pe,loose:!1,text:Q}),He.raw+=ue}He.items[He.items.length-1].raw=ue.trimRight(),He.items[He.items.length-1].text=Q.trimRight(),He.raw=He.raw.trimRight();var Ie=He.items.length;for(Ae=0;Ae<Ie;Ae++){this.lexer.state.top=!1,He.items[Ae].tokens=this.lexer.blockTokens(He.items[Ae].text,[]);var Ue=He.items[Ae].tokens.filter(function(Ge){return Ge.type==="space"}),Le=Ue.every(function(Ge){for(var ne=Ge.raw.split(""),oe=0,Ce=L(ne),Ke;!(Ke=Ce()).done;){var xe=Ke.value;if(xe===`
`&&(oe+=1),oe>1)return!0}return!1});!He.loose&&Ue.length&&Le&&(He.loose=!0,He.items[Ae].loose=!0)}return He}},ce.html=function(H){var x=this.rules.block.html.exec(H);if(x){var ue={type:"html",raw:x[0],pre:!this.options.sanitizer&&(x[1]==="pre"||x[1]==="script"||x[1]==="style"),text:x[0]};if(this.options.sanitize){var be=this.options.sanitizer?this.options.sanitizer(x[0]):k(x[0]);ue.type="paragraph",ue.text=be,ue.tokens=this.lexer.inline(be)}return ue}},ce.def=function(H){var x=this.rules.block.def.exec(H);if(x){x[3]&&(x[3]=x[3].substring(1,x[3].length-1));var ue=x[1].toLowerCase().replace(/\s+/g," ");return{type:"def",tag:ue,raw:x[0],href:x[2],title:x[3]}}},ce.table=function(H){var x=this.rules.block.table.exec(H);if(x){var ue={type:"table",header:D(x[1]).map(function(ze){return{text:ze}}),align:x[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:x[3]&&x[3].trim()?x[3].replace(/\n[ \t]*$/,"").split(`
`):[]};if(ue.header.length===ue.align.length){ue.raw=x[0];var be=ue.align.length,Pe,we,Ae,Oe;for(Pe=0;Pe<be;Pe++)/^ *-+: *$/.test(ue.align[Pe])?ue.align[Pe]="right":/^ *:-+: *$/.test(ue.align[Pe])?ue.align[Pe]="center":/^ *:-+ *$/.test(ue.align[Pe])?ue.align[Pe]="left":ue.align[Pe]=null;for(be=ue.rows.length,Pe=0;Pe<be;Pe++)ue.rows[Pe]=D(ue.rows[Pe],ue.header.length).map(function(ze){return{text:ze}});for(be=ue.header.length,we=0;we<be;we++)ue.header[we].tokens=this.lexer.inline(ue.header[we].text);for(be=ue.rows.length,we=0;we<be;we++)for(Oe=ue.rows[we],Ae=0;Ae<Oe.length;Ae++)Oe[Ae].tokens=this.lexer.inline(Oe[Ae].text);return ue}}},ce.lheading=function(H){var x=this.rules.block.lheading.exec(H);if(x)return{type:"heading",raw:x[0],depth:x[2].charAt(0)==="="?1:2,text:x[1],tokens:this.lexer.inline(x[1])}},ce.paragraph=function(H){var x=this.rules.block.paragraph.exec(H);if(x){var ue=x[1].charAt(x[1].length-1)===`
`?x[1].slice(0,-1):x[1];return{type:"paragraph",raw:x[0],text:ue,tokens:this.lexer.inline(ue)}}},ce.text=function(H){var x=this.rules.block.text.exec(H);if(x)return{type:"text",raw:x[0],text:x[0],tokens:this.lexer.inline(x[0])}},ce.escape=function(H){var x=this.rules.inline.escape.exec(H);if(x)return{type:"escape",raw:x[0],text:k(x[1])}},ce.tag=function(H){var x=this.rules.inline.tag.exec(H);if(x)return!this.lexer.state.inLink&&/^<a /i.test(x[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(x[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(x[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(x[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:x[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(x[0]):k(x[0]):x[0]}},ce.link=function(H){var x=this.rules.inline.link.exec(H);if(x){var ue=x[2].trim();if(!this.options.pedantic&&/^</.test(ue)){if(!/>$/.test(ue))return;var be=g(ue.slice(0,-1),"\\");if((ue.length-be.length)%2===0)return}else{var Pe=f(x[2],"()");if(Pe>-1){var we=x[0].indexOf("!")===0?5:4,Ae=we+x[1].length+Pe;x[2]=x[2].substring(0,Pe),x[0]=x[0].substring(0,Ae).trim(),x[3]=""}}var Oe=x[2],ze="";if(this.options.pedantic){var W=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(Oe);W&&(Oe=W[1],ze=W[3])}else ze=x[3]?x[3].slice(1,-1):"";return Oe=Oe.trim(),/^</.test(Oe)&&(this.options.pedantic&&!/>$/.test(ue)?Oe=Oe.slice(1):Oe=Oe.slice(1,-1)),N(x,{href:Oe&&Oe.replace(this.rules.inline._escapes,"$1"),title:ze&&ze.replace(this.rules.inline._escapes,"$1")},x[0],this.lexer)}},ce.reflink=function(H,x){var ue;if((ue=this.rules.inline.reflink.exec(H))||(ue=this.rules.inline.nolink.exec(H))){var be=(ue[2]||ue[1]).replace(/\s+/g," ");if(be=x[be.toLowerCase()],!be||!be.href){var Pe=ue[0].charAt(0);return{type:"text",raw:Pe,text:Pe}}return N(ue,be,ue[0],this.lexer)}},ce.emStrong=function(H,x,ue){ue===void 0&&(ue="");var be=this.rules.inline.emStrong.lDelim.exec(H);if(be&&!(be[3]&&ue.match(/(?:[0-9A-Za-z\xAA\xB2\xB3\xB5\xB9\xBA\xBC-\xBE\xC0-\xD6\xD8-\xF6\xF8-\u02C1\u02C6-\u02D1\u02E0-\u02E4\u02EC\u02EE\u0370-\u0374\u0376\u0377\u037A-\u037D\u037F\u0386\u0388-\u038A\u038C\u038E-\u03A1\u03A3-\u03F5\u03F7-\u0481\u048A-\u052F\u0531-\u0556\u0559\u0560-\u0588\u05D0-\u05EA\u05EF-\u05F2\u0620-\u064A\u0660-\u0669\u066E\u066F\u0671-\u06D3\u06D5\u06E5\u06E6\u06EE-\u06FC\u06FF\u0710\u0712-\u072F\u074D-\u07A5\u07B1\u07C0-\u07EA\u07F4\u07F5\u07FA\u0800-\u0815\u081A\u0824\u0828\u0840-\u0858\u0860-\u086A\u0870-\u0887\u0889-\u088E\u08A0-\u08C9\u0904-\u0939\u093D\u0950\u0958-\u0961\u0966-\u096F\u0971-\u0980\u0985-\u098C\u098F\u0990\u0993-\u09A8\u09AA-\u09B0\u09B2\u09B6-\u09B9\u09BD\u09CE\u09DC\u09DD\u09DF-\u09E1\u09E6-\u09F1\u09F4-\u09F9\u09FC\u0A05-\u0A0A\u0A0F\u0A10\u0A13-\u0A28\u0A2A-\u0A30\u0A32\u0A33\u0A35\u0A36\u0A38\u0A39\u0A59-\u0A5C\u0A5E\u0A66-\u0A6F\u0A72-\u0A74\u0A85-\u0A8D\u0A8F-\u0A91\u0A93-\u0AA8\u0AAA-\u0AB0\u0AB2\u0AB3\u0AB5-\u0AB9\u0ABD\u0AD0\u0AE0\u0AE1\u0AE6-\u0AEF\u0AF9\u0B05-\u0B0C\u0B0F\u0B10\u0B13-\u0B28\u0B2A-\u0B30\u0B32\u0B33\u0B35-\u0B39\u0B3D\u0B5C\u0B5D\u0B5F-\u0B61\u0B66-\u0B6F\u0B71-\u0B77\u0B83\u0B85-\u0B8A\u0B8E-\u0B90\u0B92-\u0B95\u0B99\u0B9A\u0B9C\u0B9E\u0B9F\u0BA3\u0BA4\u0BA8-\u0BAA\u0BAE-\u0BB9\u0BD0\u0BE6-\u0BF2\u0C05-\u0C0C\u0C0E-\u0C10\u0C12-\u0C28\u0C2A-\u0C39\u0C3D\u0C58-\u0C5A\u0C5D\u0C60\u0C61\u0C66-\u0C6F\u0C78-\u0C7E\u0C80\u0C85-\u0C8C\u0C8E-\u0C90\u0C92-\u0CA8\u0CAA-\u0CB3\u0CB5-\u0CB9\u0CBD\u0CDD\u0CDE\u0CE0\u0CE1\u0CE6-\u0CEF\u0CF1\u0CF2\u0D04-\u0D0C\u0D0E-\u0D10\u0D12-\u0D3A\u0D3D\u0D4E\u0D54-\u0D56\u0D58-\u0D61\u0D66-\u0D78\u0D7A-\u0D7F\u0D85-\u0D96\u0D9A-\u0DB1\u0DB3-\u0DBB\u0DBD\u0DC0-\u0DC6\u0DE6-\u0DEF\u0E01-\u0E30\u0E32\u0E33\u0E40-\u0E46\u0E50-\u0E59\u0E81\u0E82\u0E84\u0E86-\u0E8A\u0E8C-\u0EA3\u0EA5\u0EA7-\u0EB0\u0EB2\u0EB3\u0EBD\u0EC0-\u0EC4\u0EC6\u0ED0-\u0ED9\u0EDC-\u0EDF\u0F00\u0F20-\u0F33\u0F40-\u0F47\u0F49-\u0F6C\u0F88-\u0F8C\u1000-\u102A\u103F-\u1049\u1050-\u1055\u105A-\u105D\u1061\u1065\u1066\u106E-\u1070\u1075-\u1081\u108E\u1090-\u1099\u10A0-\u10C5\u10C7\u10CD\u10D0-\u10FA\u10FC-\u1248\u124A-\u124D\u1250-\u1256\u1258\u125A-\u125D\u1260-\u1288\u128A-\u128D\u1290-\u12B0\u12B2-\u12B5\u12B8-\u12BE\u12C0\u12C2-\u12C5\u12C8-\u12D6\u12D8-\u1310\u1312-\u1315\u1318-\u135A\u1369-\u137C\u1380-\u138F\u13A0-\u13F5\u13F8-\u13FD\u1401-\u166C\u166F-\u167F\u1681-\u169A\u16A0-\u16EA\u16EE-\u16F8\u1700-\u1711\u171F-\u1731\u1740-\u1751\u1760-\u176C\u176E-\u1770\u1780-\u17B3\u17D7\u17DC\u17E0-\u17E9\u17F0-\u17F9\u1810-\u1819\u1820-\u1878\u1880-\u1884\u1887-\u18A8\u18AA\u18B0-\u18F5\u1900-\u191E\u1946-\u196D\u1970-\u1974\u1980-\u19AB\u19B0-\u19C9\u19D0-\u19DA\u1A00-\u1A16\u1A20-\u1A54\u1A80-\u1A89\u1A90-\u1A99\u1AA7\u1B05-\u1B33\u1B45-\u1B4C\u1B50-\u1B59\u1B83-\u1BA0\u1BAE-\u1BE5\u1C00-\u1C23\u1C40-\u1C49\u1C4D-\u1C7D\u1C80-\u1C88\u1C90-\u1CBA\u1CBD-\u1CBF\u1CE9-\u1CEC\u1CEE-\u1CF3\u1CF5\u1CF6\u1CFA\u1D00-\u1DBF\u1E00-\u1F15\u1F18-\u1F1D\u1F20-\u1F45\u1F48-\u1F4D\u1F50-\u1F57\u1F59\u1F5B\u1F5D\u1F5F-\u1F7D\u1F80-\u1FB4\u1FB6-\u1FBC\u1FBE\u1FC2-\u1FC4\u1FC6-\u1FCC\u1FD0-\u1FD3\u1FD6-\u1FDB\u1FE0-\u1FEC\u1FF2-\u1FF4\u1FF6-\u1FFC\u2070\u2071\u2074-\u2079\u207F-\u2089\u2090-\u209C\u2102\u2107\u210A-\u2113\u2115\u2119-\u211D\u2124\u2126\u2128\u212A-\u212D\u212F-\u2139\u213C-\u213F\u2145-\u2149\u214E\u2150-\u2189\u2460-\u249B\u24EA-\u24FF\u2776-\u2793\u2C00-\u2CE4\u2CEB-\u2CEE\u2CF2\u2CF3\u2CFD\u2D00-\u2D25\u2D27\u2D2D\u2D30-\u2D67\u2D6F\u2D80-\u2D96\u2DA0-\u2DA6\u2DA8-\u2DAE\u2DB0-\u2DB6\u2DB8-\u2DBE\u2DC0-\u2DC6\u2DC8-\u2DCE\u2DD0-\u2DD6\u2DD8-\u2DDE\u2E2F\u3005-\u3007\u3021-\u3029\u3031-\u3035\u3038-\u303C\u3041-\u3096\u309D-\u309F\u30A1-\u30FA\u30FC-\u30FF\u3105-\u312F\u3131-\u318E\u3192-\u3195\u31A0-\u31BF\u31F0-\u31FF\u3220-\u3229\u3248-\u324F\u3251-\u325F\u3280-\u3289\u32B1-\u32BF\u3400-\u4DBF\u4E00-\uA48C\uA4D0-\uA4FD\uA500-\uA60C\uA610-\uA62B\uA640-\uA66E\uA67F-\uA69D\uA6A0-\uA6EF\uA717-\uA71F\uA722-\uA788\uA78B-\uA7CA\uA7D0\uA7D1\uA7D3\uA7D5-\uA7D9\uA7F2-\uA801\uA803-\uA805\uA807-\uA80A\uA80C-\uA822\uA830-\uA835\uA840-\uA873\uA882-\uA8B3\uA8D0-\uA8D9\uA8F2-\uA8F7\uA8FB\uA8FD\uA8FE\uA900-\uA925\uA930-\uA946\uA960-\uA97C\uA984-\uA9B2\uA9CF-\uA9D9\uA9E0-\uA9E4\uA9E6-\uA9FE\uAA00-\uAA28\uAA40-\uAA42\uAA44-\uAA4B\uAA50-\uAA59\uAA60-\uAA76\uAA7A\uAA7E-\uAAAF\uAAB1\uAAB5\uAAB6\uAAB9-\uAABD\uAAC0\uAAC2\uAADB-\uAADD\uAAE0-\uAAEA\uAAF2-\uAAF4\uAB01-\uAB06\uAB09-\uAB0E\uAB11-\uAB16\uAB20-\uAB26\uAB28-\uAB2E\uAB30-\uAB5A\uAB5C-\uAB69\uAB70-\uABE2\uABF0-\uABF9\uAC00-\uD7A3\uD7B0-\uD7C6\uD7CB-\uD7FB\uF900-\uFA6D\uFA70-\uFAD9\uFB00-\uFB06\uFB13-\uFB17\uFB1D\uFB1F-\uFB28\uFB2A-\uFB36\uFB38-\uFB3C\uFB3E\uFB40\uFB41\uFB43\uFB44\uFB46-\uFBB1\uFBD3-\uFD3D\uFD50-\uFD8F\uFD92-\uFDC7\uFDF0-\uFDFB\uFE70-\uFE74\uFE76-\uFEFC\uFF10-\uFF19\uFF21-\uFF3A\uFF41-\uFF5A\uFF66-\uFFBE\uFFC2-\uFFC7\uFFCA-\uFFCF\uFFD2-\uFFD7\uFFDA-\uFFDC]|\uD800[\uDC00-\uDC0B\uDC0D-\uDC26\uDC28-\uDC3A\uDC3C\uDC3D\uDC3F-\uDC4D\uDC50-\uDC5D\uDC80-\uDCFA\uDD07-\uDD33\uDD40-\uDD78\uDD8A\uDD8B\uDE80-\uDE9C\uDEA0-\uDED0\uDEE1-\uDEFB\uDF00-\uDF23\uDF2D-\uDF4A\uDF50-\uDF75\uDF80-\uDF9D\uDFA0-\uDFC3\uDFC8-\uDFCF\uDFD1-\uDFD5]|\uD801[\uDC00-\uDC9D\uDCA0-\uDCA9\uDCB0-\uDCD3\uDCD8-\uDCFB\uDD00-\uDD27\uDD30-\uDD63\uDD70-\uDD7A\uDD7C-\uDD8A\uDD8C-\uDD92\uDD94\uDD95\uDD97-\uDDA1\uDDA3-\uDDB1\uDDB3-\uDDB9\uDDBB\uDDBC\uDE00-\uDF36\uDF40-\uDF55\uDF60-\uDF67\uDF80-\uDF85\uDF87-\uDFB0\uDFB2-\uDFBA]|\uD802[\uDC00-\uDC05\uDC08\uDC0A-\uDC35\uDC37\uDC38\uDC3C\uDC3F-\uDC55\uDC58-\uDC76\uDC79-\uDC9E\uDCA7-\uDCAF\uDCE0-\uDCF2\uDCF4\uDCF5\uDCFB-\uDD1B\uDD20-\uDD39\uDD80-\uDDB7\uDDBC-\uDDCF\uDDD2-\uDE00\uDE10-\uDE13\uDE15-\uDE17\uDE19-\uDE35\uDE40-\uDE48\uDE60-\uDE7E\uDE80-\uDE9F\uDEC0-\uDEC7\uDEC9-\uDEE4\uDEEB-\uDEEF\uDF00-\uDF35\uDF40-\uDF55\uDF58-\uDF72\uDF78-\uDF91\uDFA9-\uDFAF]|\uD803[\uDC00-\uDC48\uDC80-\uDCB2\uDCC0-\uDCF2\uDCFA-\uDD23\uDD30-\uDD39\uDE60-\uDE7E\uDE80-\uDEA9\uDEB0\uDEB1\uDF00-\uDF27\uDF30-\uDF45\uDF51-\uDF54\uDF70-\uDF81\uDFB0-\uDFCB\uDFE0-\uDFF6]|\uD804[\uDC03-\uDC37\uDC52-\uDC6F\uDC71\uDC72\uDC75\uDC83-\uDCAF\uDCD0-\uDCE8\uDCF0-\uDCF9\uDD03-\uDD26\uDD36-\uDD3F\uDD44\uDD47\uDD50-\uDD72\uDD76\uDD83-\uDDB2\uDDC1-\uDDC4\uDDD0-\uDDDA\uDDDC\uDDE1-\uDDF4\uDE00-\uDE11\uDE13-\uDE2B\uDE80-\uDE86\uDE88\uDE8A-\uDE8D\uDE8F-\uDE9D\uDE9F-\uDEA8\uDEB0-\uDEDE\uDEF0-\uDEF9\uDF05-\uDF0C\uDF0F\uDF10\uDF13-\uDF28\uDF2A-\uDF30\uDF32\uDF33\uDF35-\uDF39\uDF3D\uDF50\uDF5D-\uDF61]|\uD805[\uDC00-\uDC34\uDC47-\uDC4A\uDC50-\uDC59\uDC5F-\uDC61\uDC80-\uDCAF\uDCC4\uDCC5\uDCC7\uDCD0-\uDCD9\uDD80-\uDDAE\uDDD8-\uDDDB\uDE00-\uDE2F\uDE44\uDE50-\uDE59\uDE80-\uDEAA\uDEB8\uDEC0-\uDEC9\uDF00-\uDF1A\uDF30-\uDF3B\uDF40-\uDF46]|\uD806[\uDC00-\uDC2B\uDCA0-\uDCF2\uDCFF-\uDD06\uDD09\uDD0C-\uDD13\uDD15\uDD16\uDD18-\uDD2F\uDD3F\uDD41\uDD50-\uDD59\uDDA0-\uDDA7\uDDAA-\uDDD0\uDDE1\uDDE3\uDE00\uDE0B-\uDE32\uDE3A\uDE50\uDE5C-\uDE89\uDE9D\uDEB0-\uDEF8]|\uD807[\uDC00-\uDC08\uDC0A-\uDC2E\uDC40\uDC50-\uDC6C\uDC72-\uDC8F\uDD00-\uDD06\uDD08\uDD09\uDD0B-\uDD30\uDD46\uDD50-\uDD59\uDD60-\uDD65\uDD67\uDD68\uDD6A-\uDD89\uDD98\uDDA0-\uDDA9\uDEE0-\uDEF2\uDFB0\uDFC0-\uDFD4]|\uD808[\uDC00-\uDF99]|\uD809[\uDC00-\uDC6E\uDC80-\uDD43]|\uD80B[\uDF90-\uDFF0]|[\uD80C\uD81C-\uD820\uD822\uD840-\uD868\uD86A-\uD86C\uD86F-\uD872\uD874-\uD879\uD880-\uD883][\uDC00-\uDFFF]|\uD80D[\uDC00-\uDC2E]|\uD811[\uDC00-\uDE46]|\uD81A[\uDC00-\uDE38\uDE40-\uDE5E\uDE60-\uDE69\uDE70-\uDEBE\uDEC0-\uDEC9\uDED0-\uDEED\uDF00-\uDF2F\uDF40-\uDF43\uDF50-\uDF59\uDF5B-\uDF61\uDF63-\uDF77\uDF7D-\uDF8F]|\uD81B[\uDE40-\uDE96\uDF00-\uDF4A\uDF50\uDF93-\uDF9F\uDFE0\uDFE1\uDFE3]|\uD821[\uDC00-\uDFF7]|\uD823[\uDC00-\uDCD5\uDD00-\uDD08]|\uD82B[\uDFF0-\uDFF3\uDFF5-\uDFFB\uDFFD\uDFFE]|\uD82C[\uDC00-\uDD22\uDD50-\uDD52\uDD64-\uDD67\uDD70-\uDEFB]|\uD82F[\uDC00-\uDC6A\uDC70-\uDC7C\uDC80-\uDC88\uDC90-\uDC99]|\uD834[\uDEE0-\uDEF3\uDF60-\uDF78]|\uD835[\uDC00-\uDC54\uDC56-\uDC9C\uDC9E\uDC9F\uDCA2\uDCA5\uDCA6\uDCA9-\uDCAC\uDCAE-\uDCB9\uDCBB\uDCBD-\uDCC3\uDCC5-\uDD05\uDD07-\uDD0A\uDD0D-\uDD14\uDD16-\uDD1C\uDD1E-\uDD39\uDD3B-\uDD3E\uDD40-\uDD44\uDD46\uDD4A-\uDD50\uDD52-\uDEA5\uDEA8-\uDEC0\uDEC2-\uDEDA\uDEDC-\uDEFA\uDEFC-\uDF14\uDF16-\uDF34\uDF36-\uDF4E\uDF50-\uDF6E\uDF70-\uDF88\uDF8A-\uDFA8\uDFAA-\uDFC2\uDFC4-\uDFCB\uDFCE-\uDFFF]|\uD837[\uDF00-\uDF1E]|\uD838[\uDD00-\uDD2C\uDD37-\uDD3D\uDD40-\uDD49\uDD4E\uDE90-\uDEAD\uDEC0-\uDEEB\uDEF0-\uDEF9]|\uD839[\uDFE0-\uDFE6\uDFE8-\uDFEB\uDFED\uDFEE\uDFF0-\uDFFE]|\uD83A[\uDC00-\uDCC4\uDCC7-\uDCCF\uDD00-\uDD43\uDD4B\uDD50-\uDD59]|\uD83B[\uDC71-\uDCAB\uDCAD-\uDCAF\uDCB1-\uDCB4\uDD01-\uDD2D\uDD2F-\uDD3D\uDE00-\uDE03\uDE05-\uDE1F\uDE21\uDE22\uDE24\uDE27\uDE29-\uDE32\uDE34-\uDE37\uDE39\uDE3B\uDE42\uDE47\uDE49\uDE4B\uDE4D-\uDE4F\uDE51\uDE52\uDE54\uDE57\uDE59\uDE5B\uDE5D\uDE5F\uDE61\uDE62\uDE64\uDE67-\uDE6A\uDE6C-\uDE72\uDE74-\uDE77\uDE79-\uDE7C\uDE7E\uDE80-\uDE89\uDE8B-\uDE9B\uDEA1-\uDEA3\uDEA5-\uDEA9\uDEAB-\uDEBB]|\uD83C[\uDD00-\uDD0C]|\uD83E[\uDFF0-\uDFF9]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD86D[\uDC00-\uDF38\uDF40-\uDFFF]|\uD86E[\uDC00-\uDC1D\uDC20-\uDFFF]|\uD873[\uDC00-\uDEA1\uDEB0-\uDFFF]|\uD87A[\uDC00-\uDFE0]|\uD87E[\uDC00-\uDE1D]|\uD884[\uDC00-\uDF4A])/))){var Pe=be[1]||be[2]||"";if(!Pe||Pe&&(ue===""||this.rules.inline.punctuation.exec(ue))){var we=be[0].length-1,Ae,Oe,ze=we,W=0,V=be[0][0]==="*"?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(V.lastIndex=0,x=x.slice(-1*H.length+we);(be=V.exec(x))!=null;)if(Ae=be[1]||be[2]||be[3]||be[4]||be[5]||be[6],!!Ae){if(Oe=Ae.length,be[3]||be[4]){ze+=Oe;continue}else if((be[5]||be[6])&&we%3&&!((we+Oe)%3)){W+=Oe;continue}if(ze-=Oe,!(ze>0)){if(Oe=Math.min(Oe,Oe+ze+W),Math.min(we,Oe)%2){var Z=H.slice(1,we+be.index+Oe);return{type:"em",raw:H.slice(0,we+be.index+Oe+1),text:Z,tokens:this.lexer.inlineTokens(Z)}}var Q=H.slice(2,we+be.index+Oe-1);return{type:"strong",raw:H.slice(0,we+be.index+Oe+1),text:Q,tokens:this.lexer.inlineTokens(Q)}}}}}},ce.codespan=function(H){var x=this.rules.inline.code.exec(H);if(x){var ue=x[2].replace(/\n/g," "),be=/[^ ]/.test(ue),Pe=/^ /.test(ue)&&/ $/.test(ue);return be&&Pe&&(ue=ue.substring(1,ue.length-1)),ue=k(ue,!0),{type:"codespan",raw:x[0],text:ue}}},ce.br=function(H){var x=this.rules.inline.br.exec(H);if(x)return{type:"br",raw:x[0]}},ce.del=function(H){var x=this.rules.inline.del.exec(H);if(x)return{type:"del",raw:x[0],text:x[2],tokens:this.lexer.inlineTokens(x[2])}},ce.autolink=function(H,x){var ue=this.rules.inline.autolink.exec(H);if(ue){var be,Pe;return ue[2]==="@"?(be=k(this.options.mangle?x(ue[1]):ue[1]),Pe="mailto:"+be):(be=k(ue[1]),Pe=be),{type:"link",raw:ue[0],text:be,href:Pe,tokens:[{type:"text",raw:be,text:be}]}}},ce.url=function(H,x){var ue;if(ue=this.rules.inline.url.exec(H)){var be,Pe;if(ue[2]==="@")be=k(this.options.mangle?x(ue[0]):ue[0]),Pe="mailto:"+be;else{var we;do we=ue[0],ue[0]=this.rules.inline._backpedal.exec(ue[0])[0];while(we!==ue[0]);be=k(ue[0]),ue[1]==="www."?Pe="http://"+be:Pe=be}return{type:"link",raw:ue[0],text:be,href:Pe,tokens:[{type:"text",raw:be,text:be}]}}},ce.inlineText=function(H,x){var ue=this.rules.inline.text.exec(H);if(ue){var be;return this.lexer.state.inRawBlock?be=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(ue[0]):k(ue[0]):ue[0]:be=k(this.options.smartypants?x(ue[0]):ue[0]),{type:"text",raw:ue[0],text:be}}},he}(),T={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*\n)|~{3,})([^\n]*)\n(?:|([\s\S]*?)\n)(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?<?([^\s>]+)>?(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:h,lheading:/^([^\n]+)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/};T._label=/(?!\s*\])(?:\\.|[^\[\]\\])+/,T._title=/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/,T.def=i(T.def).replace("label",T._label).replace("title",T._title).getRegex(),T.bullet=/(?:[*+-]|\d{1,9}[.)])/,T.listItemStart=i(/^( *)(bull) */).replace("bull",T.bullet).getRegex(),T.list=i(T.list).replace(/bull/g,T.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+T.def.source+")").getRegex(),T._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",T._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,T.html=i(T.html,"i").replace("comment",T._comment).replace("tag",T._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),T.paragraph=i(T._paragraph).replace("hr",T.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",T._tag).getRegex(),T.blockquote=i(T.blockquote).replace("paragraph",T.paragraph).getRegex(),T.normal=m({},T),T.gfm=m({},T.normal,{table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"}),T.gfm.table=i(T.gfm.table).replace("hr",T.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",T._tag).getRegex(),T.gfm.paragraph=i(T._paragraph).replace("hr",T.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",T.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",T._tag).getRegex(),T.pedantic=m({},T.normal,{html:i(`^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:"[^"]*"|'[^']*'|\\s[^'"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))`).replace("comment",T._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:h,paragraph:i(T.normal._paragraph).replace("hr",T.hr).replace("heading",` *#{1,6} *[^
]`).replace("lheading",T.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()});var P={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:h,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:([punct_])|[^\s*]))|^_+(?:([punct*])|([^\s_]))/,rDelimAst:/^[^_*]*?\_\_[^_*]*?\*[^_*]*?(?=\_\_)|[^*]+(?=[^*])|[punct_](\*+)(?=[\s]|$)|[^punct*_\s](\*+)(?=[punct_\s]|$)|[punct_\s](\*+)(?=[^punct*_\s])|[\s](\*+)(?=[punct_])|[punct_](\*+)(?=[punct_])|[^punct*_\s](\*+)(?=[^punct*_\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?\_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|[punct*](\_+)(?=[\s]|$)|[^punct*_\s](\_+)(?=[punct*\s]|$)|[punct*\s](\_+)(?=[^punct*_\s])|[\s](\_+)(?=[punct*])|[punct*](\_+)(?=[punct*])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:h,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^([\spunctuation])/};P._punctuation="!\"#$%&'()+\\-.,/:;<=>?@\\[\\]`^{|}~",P.punctuation=i(P.punctuation).replace(/punctuation/g,P._punctuation).getRegex(),P.blockSkip=/\[[^\]]*?\]\([^\)]*?\)|`[^`]*?`|<[^>]*?>/g,P.escapedEmSt=/\\\*|\\_/g,P._comment=i(T._comment).replace("(?:-->|$)","-->").getRegex(),P.emStrong.lDelim=i(P.emStrong.lDelim).replace(/punct/g,P._punctuation).getRegex(),P.emStrong.rDelimAst=i(P.emStrong.rDelimAst,"g").replace(/punct/g,P._punctuation).getRegex(),P.emStrong.rDelimUnd=i(P.emStrong.rDelimUnd,"g").replace(/punct/g,P._punctuation).getRegex(),P._escapes=/\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/g,P._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,P._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,P.autolink=i(P.autolink).replace("scheme",P._scheme).replace("email",P._email).getRegex(),P._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,P.tag=i(P.tag).replace("comment",P._comment).replace("attribute",P._attribute).getRegex(),P._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,P._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,P._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,P.link=i(P.link).replace("label",P._label).replace("href",P._href).replace("title",P._title).getRegex(),P.reflink=i(P.reflink).replace("label",P._label).replace("ref",T._label).getRegex(),P.nolink=i(P.nolink).replace("ref",T._label).getRegex(),P.reflinkSearch=i(P.reflinkSearch,"g").replace("reflink",P.reflink).replace("nolink",P.nolink).getRegex(),P.normal=m({},P),P.pedantic=m({},P.normal,{strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:i(/^!?\[(label)\]\((.*?)\)/).replace("label",P._label).getRegex(),reflink:i(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",P._label).getRegex()}),P.gfm=m({},P.normal,{escape:i(P.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/}),P.gfm.url=i(P.gfm.url,"i").replace("email",P.gfm._extended_email).getRegex(),P.breaks=m({},P.gfm,{br:i(P.br).replace("{2,}","*").getRegex(),text:i(P.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()});function O(he){return he.replace(/---/g,"\u2014").replace(/--/g,"\u2013").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1\u2018").replace(/'/g,"\u2019").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1\u201C").replace(/"/g,"\u201D").replace(/\.{3}/g,"\u2026")}function j(he){var ce="",de,H,x=he.length;for(de=0;de<x;de++)H=he.charCodeAt(de),Math.random()>.5&&(H="x"+H.toString(16)),ce+="&#"+H+";";return ce}var K=function(){function he(de){this.tokens=[],this.tokens.links=Object.create(null),this.options=de||me.defaults,this.options.tokenizer=this.options.tokenizer||new z,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};var H={block:T.normal,inline:P.normal};this.options.pedantic?(H.block=T.pedantic,H.inline=P.pedantic):this.options.gfm&&(H.block=T.gfm,this.options.breaks?H.inline=P.breaks:H.inline=P.gfm),this.tokenizer.rules=H}he.lex=function(H,x){var ue=new he(x);return ue.lex(H)},he.lexInline=function(H,x){var ue=new he(x);return ue.inlineTokens(H)};var ce=he.prototype;return ce.lex=function(H){H=H.replace(/\r\n|\r/g,`
`),this.blockTokens(H,this.tokens);for(var x;x=this.inlineQueue.shift();)this.inlineTokens(x.src,x.tokens);return this.tokens},ce.blockTokens=function(H,x){var ue=this;x===void 0&&(x=[]),this.options.pedantic?H=H.replace(/\t/g,"    ").replace(/^ +$/gm,""):H=H.replace(/^( *)(\t+)/gm,function(ze,W,V){return W+"    ".repeat(V.length)});for(var be,Pe,we,Ae;H;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some(function(ze){return(be=ze.call({lexer:ue},H,x))?(H=H.substring(be.raw.length),x.push(be),!0):!1}))){if(be=this.tokenizer.space(H)){H=H.substring(be.raw.length),be.raw.length===1&&x.length>0?x[x.length-1].raw+=`
`:x.push(be);continue}if(be=this.tokenizer.code(H)){H=H.substring(be.raw.length),Pe=x[x.length-1],Pe&&(Pe.type==="paragraph"||Pe.type==="text")?(Pe.raw+=`
`+be.raw,Pe.text+=`
`+be.text,this.inlineQueue[this.inlineQueue.length-1].src=Pe.text):x.push(be);continue}if(be=this.tokenizer.fences(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.heading(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.hr(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.blockquote(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.list(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.html(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.def(H)){H=H.substring(be.raw.length),Pe=x[x.length-1],Pe&&(Pe.type==="paragraph"||Pe.type==="text")?(Pe.raw+=`
`+be.raw,Pe.text+=`
`+be.raw,this.inlineQueue[this.inlineQueue.length-1].src=Pe.text):this.tokens.links[be.tag]||(this.tokens.links[be.tag]={href:be.href,title:be.title});continue}if(be=this.tokenizer.table(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.lheading(H)){H=H.substring(be.raw.length),x.push(be);continue}if(we=H,this.options.extensions&&this.options.extensions.startBlock&&function(){var ze=1/0,W=H.slice(1),V=void 0;ue.options.extensions.startBlock.forEach(function(Z){V=Z.call({lexer:this},W),typeof V=="number"&&V>=0&&(ze=Math.min(ze,V))}),ze<1/0&&ze>=0&&(we=H.substring(0,ze+1))}(),this.state.top&&(be=this.tokenizer.paragraph(we))){Pe=x[x.length-1],Ae&&Pe.type==="paragraph"?(Pe.raw+=`
`+be.raw,Pe.text+=`
`+be.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Pe.text):x.push(be),Ae=we.length!==H.length,H=H.substring(be.raw.length);continue}if(be=this.tokenizer.text(H)){H=H.substring(be.raw.length),Pe=x[x.length-1],Pe&&Pe.type==="text"?(Pe.raw+=`
`+be.raw,Pe.text+=`
`+be.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=Pe.text):x.push(be);continue}if(H){var Oe="Infinite loop on byte: "+H.charCodeAt(0);if(this.options.silent){console.error(Oe);break}else throw new Error(Oe)}}return this.state.top=!0,x},ce.inline=function(H,x){return x===void 0&&(x=[]),this.inlineQueue.push({src:H,tokens:x}),x},ce.inlineTokens=function(H,x){var ue=this;x===void 0&&(x=[]);var be,Pe,we,Ae=H,Oe,ze,W;if(this.tokens.links){var V=Object.keys(this.tokens.links);if(V.length>0)for(;(Oe=this.tokenizer.rules.inline.reflinkSearch.exec(Ae))!=null;)V.includes(Oe[0].slice(Oe[0].lastIndexOf("[")+1,-1))&&(Ae=Ae.slice(0,Oe.index)+"["+A("a",Oe[0].length-2)+"]"+Ae.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;(Oe=this.tokenizer.rules.inline.blockSkip.exec(Ae))!=null;)Ae=Ae.slice(0,Oe.index)+"["+A("a",Oe[0].length-2)+"]"+Ae.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;(Oe=this.tokenizer.rules.inline.escapedEmSt.exec(Ae))!=null;)Ae=Ae.slice(0,Oe.index)+"++"+Ae.slice(this.tokenizer.rules.inline.escapedEmSt.lastIndex);for(;H;)if(ze||(W=""),ze=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some(function(Q){return(be=Q.call({lexer:ue},H,x))?(H=H.substring(be.raw.length),x.push(be),!0):!1}))){if(be=this.tokenizer.escape(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.tag(H)){H=H.substring(be.raw.length),Pe=x[x.length-1],Pe&&be.type==="text"&&Pe.type==="text"?(Pe.raw+=be.raw,Pe.text+=be.text):x.push(be);continue}if(be=this.tokenizer.link(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.reflink(H,this.tokens.links)){H=H.substring(be.raw.length),Pe=x[x.length-1],Pe&&be.type==="text"&&Pe.type==="text"?(Pe.raw+=be.raw,Pe.text+=be.text):x.push(be);continue}if(be=this.tokenizer.emStrong(H,Ae,W)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.codespan(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.br(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.del(H)){H=H.substring(be.raw.length),x.push(be);continue}if(be=this.tokenizer.autolink(H,j)){H=H.substring(be.raw.length),x.push(be);continue}if(!this.state.inLink&&(be=this.tokenizer.url(H,j))){H=H.substring(be.raw.length),x.push(be);continue}if(we=H,this.options.extensions&&this.options.extensions.startInline&&function(){var Q=1/0,$e=H.slice(1),ve=void 0;ue.options.extensions.startInline.forEach(function(Te){ve=Te.call({lexer:this},$e),typeof ve=="number"&&ve>=0&&(Q=Math.min(Q,ve))}),Q<1/0&&Q>=0&&(we=H.substring(0,Q+1))}(),be=this.tokenizer.inlineText(we,O)){H=H.substring(be.raw.length),be.raw.slice(-1)!=="_"&&(W=be.raw.slice(-1)),ze=!0,Pe=x[x.length-1],Pe&&Pe.type==="text"?(Pe.raw+=be.raw,Pe.text+=be.text):x.push(be);continue}if(H){var Z="Infinite loop on byte: "+H.charCodeAt(0);if(this.options.silent){console.error(Z);break}else throw new Error(Z)}}return x},I(he,null,[{key:"rules",get:function(){return{block:T,inline:P}}}]),he}(),ie=function(){function he(de){this.options=de||me.defaults}var ce=he.prototype;return ce.code=function(H,x,ue){var be=(x||"").match(/\S*/)[0];if(this.options.highlight){var Pe=this.options.highlight(H,be);Pe!=null&&Pe!==H&&(ue=!0,H=Pe)}return H=H.replace(/\n$/,"")+`
`,be?'<pre><code class="'+this.options.langPrefix+k(be,!0)+'">'+(ue?H:k(H,!0))+`</code></pre>
`:"<pre><code>"+(ue?H:k(H,!0))+`</code></pre>
`},ce.blockquote=function(H){return`<blockquote>
`+H+`</blockquote>
`},ce.html=function(H){return H},ce.heading=function(H,x,ue,be){if(this.options.headerIds){var Pe=this.options.headerPrefix+be.slug(ue);return"<h"+x+' id="'+Pe+'">'+H+"</h"+x+`>
`}return"<h"+x+">"+H+"</h"+x+`>
`},ce.hr=function(){return this.options.xhtml?`<hr/>
`:`<hr>
`},ce.list=function(H,x,ue){var be=x?"ol":"ul",Pe=x&&ue!==1?' start="'+ue+'"':"";return"<"+be+Pe+`>
`+H+"</"+be+`>
`},ce.listitem=function(H){return"<li>"+H+`</li>
`},ce.checkbox=function(H){return"<input "+(H?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "},ce.paragraph=function(H){return"<p>"+H+`</p>
`},ce.table=function(H,x){return x&&(x="<tbody>"+x+"</tbody>"),`<table>
<thead>
`+H+`</thead>
`+x+`</table>
`},ce.tablerow=function(H){return`<tr>
`+H+`</tr>
`},ce.tablecell=function(H,x){var ue=x.header?"th":"td",be=x.align?"<"+ue+' align="'+x.align+'">':"<"+ue+">";return be+H+("</"+ue+`>
`)},ce.strong=function(H){return"<strong>"+H+"</strong>"},ce.em=function(H){return"<em>"+H+"</em>"},ce.codespan=function(H){return"<code>"+H+"</code>"},ce.br=function(){return this.options.xhtml?"<br/>":"<br>"},ce.del=function(H){return"<del>"+H+"</del>"},ce.link=function(H,x,ue){if(H=a(this.options.sanitize,this.options.baseUrl,H),H===null)return ue;var be='<a href="'+k(H)+'"';return x&&(be+=' title="'+x+'"'),be+=">"+ue+"</a>",be},ce.image=function(H,x,ue){if(H=a(this.options.sanitize,this.options.baseUrl,H),H===null)return ue;var be='<img src="'+H+'" alt="'+ue+'"';return x&&(be+=' title="'+x+'"'),be+=this.options.xhtml?"/>":">",be},ce.text=function(H){return H},he}(),_=function(){function he(){}var ce=he.prototype;return ce.strong=function(H){return H},ce.em=function(H){return H},ce.codespan=function(H){return H},ce.del=function(H){return H},ce.html=function(H){return H},ce.text=function(H){return H},ce.link=function(H,x,ue){return""+ue},ce.image=function(H,x,ue){return""+ue},ce.br=function(){return""},he}(),X=function(){function he(){this.seen={}}var ce=he.prototype;return ce.serialize=function(H){return H.toLowerCase().trim().replace(/<[!\/a-z].*?>/ig,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")},ce.getNextSafeSlug=function(H,x){var ue=H,be=0;if(this.seen.hasOwnProperty(ue)){be=this.seen[H];do be++,ue=H+"-"+be;while(this.seen.hasOwnProperty(ue))}return x||(this.seen[H]=be,this.seen[ue]=0),ue},ce.slug=function(H,x){x===void 0&&(x={});var ue=this.serialize(H);return this.getNextSafeSlug(ue,x.dryrun)},he}(),Y=function(){function he(de){this.options=de||me.defaults,this.options.renderer=this.options.renderer||new ie,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new _,this.slugger=new X}he.parse=function(H,x){var ue=new he(x);return ue.parse(H)},he.parseInline=function(H,x){var ue=new he(x);return ue.parseInline(H)};var ce=he.prototype;return ce.parse=function(H,x){x===void 0&&(x=!0);var ue="",be,Pe,we,Ae,Oe,ze,W,V,Z,Q,$e,ve,Te,He,Qe,tt,st,lt,rt,Ie=H.length;for(be=0;be<Ie;be++){if(Q=H[be],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Q.type]&&(rt=this.options.extensions.renderers[Q.type].call({parser:this},Q),rt!==!1||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(Q.type))){ue+=rt||"";continue}switch(Q.type){case"space":continue;case"hr":{ue+=this.renderer.hr();continue}case"heading":{ue+=this.renderer.heading(this.parseInline(Q.tokens),Q.depth,p(this.parseInline(Q.tokens,this.textRenderer)),this.slugger);continue}case"code":{ue+=this.renderer.code(Q.text,Q.lang,Q.escaped);continue}case"table":{for(V="",W="",Ae=Q.header.length,Pe=0;Pe<Ae;Pe++)W+=this.renderer.tablecell(this.parseInline(Q.header[Pe].tokens),{header:!0,align:Q.align[Pe]});for(V+=this.renderer.tablerow(W),Z="",Ae=Q.rows.length,Pe=0;Pe<Ae;Pe++){for(ze=Q.rows[Pe],W="",Oe=ze.length,we=0;we<Oe;we++)W+=this.renderer.tablecell(this.parseInline(ze[we].tokens),{header:!1,align:Q.align[we]});Z+=this.renderer.tablerow(W)}ue+=this.renderer.table(V,Z);continue}case"blockquote":{Z=this.parse(Q.tokens),ue+=this.renderer.blockquote(Z);continue}case"list":{for($e=Q.ordered,ve=Q.start,Te=Q.loose,Ae=Q.items.length,Z="",Pe=0;Pe<Ae;Pe++)Qe=Q.items[Pe],tt=Qe.checked,st=Qe.task,He="",Qe.task&&(lt=this.renderer.checkbox(tt),Te?Qe.tokens.length>0&&Qe.tokens[0].type==="paragraph"?(Qe.tokens[0].text=lt+" "+Qe.tokens[0].text,Qe.tokens[0].tokens&&Qe.tokens[0].tokens.length>0&&Qe.tokens[0].tokens[0].type==="text"&&(Qe.tokens[0].tokens[0].text=lt+" "+Qe.tokens[0].tokens[0].text)):Qe.tokens.unshift({type:"text",text:lt}):He+=lt),He+=this.parse(Qe.tokens,Te),Z+=this.renderer.listitem(He,st,tt);ue+=this.renderer.list(Z,$e,ve);continue}case"html":{ue+=this.renderer.html(Q.text);continue}case"paragraph":{ue+=this.renderer.paragraph(this.parseInline(Q.tokens));continue}case"text":{for(Z=Q.tokens?this.parseInline(Q.tokens):Q.text;be+1<Ie&&H[be+1].type==="text";)Q=H[++be],Z+=`
`+(Q.tokens?this.parseInline(Q.tokens):Q.text);ue+=x?this.renderer.paragraph(Z):Z;continue}default:{var Ue='Token with "'+Q.type+'" type was not found.';if(this.options.silent){console.error(Ue);return}else throw new Error(Ue)}}}return ue},ce.parseInline=function(H,x){x=x||this.renderer;var ue="",be,Pe,we,Ae=H.length;for(be=0;be<Ae;be++){if(Pe=H[be],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[Pe.type]&&(we=this.options.extensions.renderers[Pe.type].call({parser:this},Pe),we!==!1||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(Pe.type))){ue+=we||"";continue}switch(Pe.type){case"escape":{ue+=x.text(Pe.text);break}case"html":{ue+=x.html(Pe.text);break}case"link":{ue+=x.link(Pe.href,Pe.title,this.parseInline(Pe.tokens,x));break}case"image":{ue+=x.image(Pe.href,Pe.title,Pe.text);break}case"strong":{ue+=x.strong(this.parseInline(Pe.tokens,x));break}case"em":{ue+=x.em(this.parseInline(Pe.tokens,x));break}case"codespan":{ue+=x.codespan(Pe.text);break}case"br":{ue+=x.br();break}case"del":{ue+=x.del(this.parseInline(Pe.tokens,x));break}case"text":{ue+=x.text(Pe.text);break}default:{var Oe='Token with "'+Pe.type+'" type was not found.';if(this.options.silent){console.error(Oe);return}else throw new Error(Oe)}}}return ue},he}();function ae(he,ce,de){if(typeof he>"u"||he===null)throw new Error("marked(): input parameter is undefined or null");if(typeof he!="string")throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(he)+", string expected");if(typeof ce=="function"&&(de=ce,ce=null),ce=m({},ae.defaults,ce||{}),y(ce),de){var H=ce.highlight,x;try{x=K.lex(he,ce)}catch(Ae){return de(Ae)}var ue=function(Oe){var ze;if(!Oe)try{ce.walkTokens&&ae.walkTokens(x,ce.walkTokens),ze=Y.parse(x,ce)}catch(W){Oe=W}return ce.highlight=H,Oe?de(Oe):de(null,ze)};if(!H||H.length<3||(delete ce.highlight,!x.length))return ue();var be=0;ae.walkTokens(x,function(Ae){Ae.type==="code"&&(be++,setTimeout(function(){H(Ae.text,Ae.lang,function(Oe,ze){if(Oe)return ue(Oe);ze!=null&&ze!==Ae.text&&(Ae.text=ze,Ae.escaped=!0),be--,be===0&&ue()})},0))}),be===0&&ue();return}function Pe(Ae){if(Ae.message+=`
Please report this to https://github.com/markedjs/marked.`,ce.silent)return"<p>An error occurred:</p><pre>"+k(Ae.message+"",!0)+"</pre>";throw Ae}try{var we=K.lex(he,ce);if(ce.walkTokens){if(ce.async)return Promise.all(ae.walkTokens(we,ce.walkTokens)).then(function(){return Y.parse(we,ce)}).catch(Pe);ae.walkTokens(we,ce.walkTokens)}return Y.parse(we,ce)}catch(Ae){Pe(Ae)}}ae.options=ae.setOptions=function(he){return m(ae.defaults,he),w(ae.defaults),ae},ae.getDefaults=R,ae.defaults=me.defaults,ae.use=function(){for(var he=arguments.length,ce=new Array(he),de=0;de<he;de++)ce[de]=arguments[de];var H=m.apply(void 0,[{}].concat(ce)),x=ae.defaults.extensions||{renderers:{},childTokens:{}},ue;ce.forEach(function(be){if(be.extensions&&(ue=!0,be.extensions.forEach(function(we){if(!we.name)throw new Error("extension name required");if(we.renderer){var Ae=x.renderers?x.renderers[we.name]:null;Ae?x.renderers[we.name]=function(){for(var Oe=arguments.length,ze=new Array(Oe),W=0;W<Oe;W++)ze[W]=arguments[W];var V=we.renderer.apply(this,ze);return V===!1&&(V=Ae.apply(this,ze)),V}:x.renderers[we.name]=we.renderer}if(we.tokenizer){if(!we.level||we.level!=="block"&&we.level!=="inline")throw new Error("extension level must be 'block' or 'inline'");x[we.level]?x[we.level].unshift(we.tokenizer):x[we.level]=[we.tokenizer],we.start&&(we.level==="block"?x.startBlock?x.startBlock.push(we.start):x.startBlock=[we.start]:we.level==="inline"&&(x.startInline?x.startInline.push(we.start):x.startInline=[we.start]))}we.childTokens&&(x.childTokens[we.name]=we.childTokens)})),be.renderer&&function(){var we=ae.defaults.renderer||new ie,Ae=function(W){var V=we[W];we[W]=function(){for(var Z=arguments.length,Q=new Array(Z),$e=0;$e<Z;$e++)Q[$e]=arguments[$e];var ve=be.renderer[W].apply(we,Q);return ve===!1&&(ve=V.apply(we,Q)),ve}};for(var Oe in be.renderer)Ae(Oe);H.renderer=we}(),be.tokenizer&&function(){var we=ae.defaults.tokenizer||new z,Ae=function(W){var V=we[W];we[W]=function(){for(var Z=arguments.length,Q=new Array(Z),$e=0;$e<Z;$e++)Q[$e]=arguments[$e];var ve=be.tokenizer[W].apply(we,Q);return ve===!1&&(ve=V.apply(we,Q)),ve}};for(var Oe in be.tokenizer)Ae(Oe);H.tokenizer=we}(),be.walkTokens){var Pe=ae.defaults.walkTokens;H.walkTokens=function(we){var Ae=[];return Ae.push(be.walkTokens.call(this,we)),Pe&&(Ae=Ae.concat(Pe.call(this,we))),Ae}}ue&&(H.extensions=x),ae.setOptions(H)})},ae.walkTokens=function(he,ce){for(var de=[],H=function(){var Pe=ue.value;switch(de=de.concat(ce.call(ae,Pe)),Pe.type){case"table":{for(var we=L(Pe.header),Ae;!(Ae=we()).done;){var Oe=Ae.value;de=de.concat(ae.walkTokens(Oe.tokens,ce))}for(var ze=L(Pe.rows),W;!(W=ze()).done;)for(var V=W.value,Z=L(V),Q;!(Q=Z()).done;){var $e=Q.value;de=de.concat(ae.walkTokens($e.tokens,ce))}break}case"list":{de=de.concat(ae.walkTokens(Pe.items,ce));break}default:ae.defaults.extensions&&ae.defaults.extensions.childTokens&&ae.defaults.extensions.childTokens[Pe.type]?ae.defaults.extensions.childTokens[Pe.type].forEach(function(ve){de=de.concat(ae.walkTokens(Pe[ve],ce))}):Pe.tokens&&(de=de.concat(ae.walkTokens(Pe.tokens,ce)))}},x=L(he),ue;!(ue=x()).done;)H();return de},ae.parseInline=function(he,ce){if(typeof he>"u"||he===null)throw new Error("marked.parseInline(): input parameter is undefined or null");if(typeof he!="string")throw new Error("marked.parseInline(): input parameter is of type "+Object.prototype.toString.call(he)+", string expected");ce=m({},ae.defaults,ce||{}),y(ce);try{var de=K.lexInline(he,ce);return ce.walkTokens&&ae.walkTokens(de,ce.walkTokens),Y.parseInline(de,ce)}catch(H){if(H.message+=`
Please report this to https://github.com/markedjs/marked.`,ce.silent)return"<p>An error occurred:</p><pre>"+k(H.message+"",!0)+"</pre>";throw H}},ae.Parser=Y,ae.parser=Y.parse,ae.Renderer=ie,ae.TextRenderer=_,ae.Lexer=K,ae.lexer=K.lex,ae.Tokenizer=z,ae.Slugger=X,ae.parse=ae;var ee=ae.options,fe=ae.setOptions,re=ae.use,J=ae.walkTokens,B=ae.parseInline,se=ae,Ee=Y.parse,le=K.lex;me.Lexer=K,me.Parser=Y,me.Renderer=ie,me.Slugger=X,me.TextRenderer=_,me.Tokenizer=z,me.getDefaults=R,me.lexer=le,me.marked=ae,me.options=ee,me.parse=se,me.parseInline=B,me.parser=Ee,me.setOptions=fe,me.use=re,me.walkTokens=J,Object.defineProperty(me,"__esModule",{value:!0})}),define(Se[162],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3j=void 0;function I(l){const p=L(l);if(p&&p.length>0)return new Uint32Array(p)}e.$3j=I;let F=0;const $=new Uint32Array(10);function L(l){if(F=0,R(l,C,4352),F>0||(R(l,b,4449),F>0)||(R(l,E,4520),F>0)||(R(l,k,12593),F))return $.subarray(0,F);if(l>=44032&&l<=55203){const p=l-44032,o=p%588,i=Math.floor(p/588),n=Math.floor(o/28),r=o%28-1;if(i<C.length?R(i,C,0):4352+i-12593<k.length&&R(4352+i,k,12593),n<b.length?R(n,b,0):4449+n-12593<k.length&&R(4449+n-12593,k,12593),r>=0&&(r<E.length?R(r,E,0):4520+r-12593<k.length&&R(4520+r-12593,k,12593)),F>0)return $.subarray(0,F)}}function R(l,p,o){l>=o&&l<o+p.length&&w(p[l-o])}function w(l){l!==0&&($[F++]=l&255,l>>8&&($[F++]=l>>8&255),l>>16&&($[F++]=l>>16&255))}var v;(function(l){l[l.InitialConsonant=4352]="InitialConsonant",l[l.Vowel=4449]="Vowel",l[l.FinalConsonant=4520]="FinalConsonant",l[l.CompatibilityJamo=12593]="CompatibilityJamo"})(v||(v={}));var S;(function(l){l[l.NUL=0]="NUL",l[l.A=65]="A",l[l.B=66]="B",l[l.C=67]="C",l[l.D=68]="D",l[l.E=69]="E",l[l.F=70]="F",l[l.G=71]="G",l[l.H=72]="H",l[l.I=73]="I",l[l.J=74]="J",l[l.K=75]="K",l[l.L=76]="L",l[l.M=77]="M",l[l.N=78]="N",l[l.O=79]="O",l[l.P=80]="P",l[l.Q=81]="Q",l[l.R=82]="R",l[l.S=83]="S",l[l.T=84]="T",l[l.U=85]="U",l[l.V=86]="V",l[l.W=87]="W",l[l.X=88]="X",l[l.Y=89]="Y",l[l.Z=90]="Z",l[l.a=97]="a",l[l.b=98]="b",l[l.c=99]="c",l[l.d=100]="d",l[l.e=101]="e",l[l.f=102]="f",l[l.g=103]="g",l[l.h=104]="h",l[l.i=105]="i",l[l.j=106]="j",l[l.k=107]="k",l[l.l=108]="l",l[l.m=109]="m",l[l.n=110]="n",l[l.o=111]="o",l[l.p=112]="p",l[l.q=113]="q",l[l.r=114]="r",l[l.s=115]="s",l[l.t=116]="t",l[l.u=117]="u",l[l.v=118]="v",l[l.w=119]="w",l[l.x=120]="x",l[l.y=121]="y",l[l.z=122]="z"})(S||(S={}));var M;(function(l){l[l.fa=24934]="fa",l[l.fg=26470]="fg",l[l.fq=29030]="fq",l[l.fr=29286]="fr",l[l.ft=29798]="ft",l[l.fv=30310]="fv",l[l.fx=30822]="fx",l[l.hk=27496]="hk",l[l.hl=27752]="hl",l[l.ho=28520]="ho",l[l.ml=27757]="ml",l[l.nj=27246]="nj",l[l.nl=27758]="nl",l[l.np=28782]="np",l[l.qt=29809]="qt",l[l.rt=29810]="rt",l[l.sg=26483]="sg",l[l.sw=30579]="sw"})(M||(M={}));const C=new Uint8Array([114,82,115,101,69,102,97,113,81,116,84,100,119,87,99,122,120,118,103]),b=new Uint16Array([107,111,105,79,106,112,117,80,104,27496,28520,27752,121,110,27246,28782,27758,98,109,27757,108]),E=new Uint16Array([114,82,29810,115,30579,26483,101,102,29286,24934,29030,29798,30822,30310,26470,97,113,29809,116,84,100,119,99,122,120,118,103]),k=new Uint16Array([114,82,29810,115,30579,26483,101,69,102,29286,24934,29030,29798,30822,30310,26470,97,113,81,29809,116,84,100,119,87,99,122,120,118,103,107,111,105,79,106,112,117,80,104,27496,28520,27752,121,110,27246,28782,27758,98,109,27757,108])}),define(Se[76],De([1,0,28]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tl=e.$Sl=e.$Rl=void 0;const F=new I.$Dc(1e4);function $(S){return v(S,"NFC",F)}e.$Rl=$;const L=new I.$Dc(1e4);function R(S){return v(S,"NFD",L)}e.$Sl=R;const w=/[^\u0000-\u0080]/;function v(S,M,C){if(!S)return S;const b=C.get(S);if(b)return b;let E;return w.test(S)?E=S.normalize(M):E=S,C.set(S,E),E}e.$Tl=function(){const S=/[\u0300-\u036f]/g;return function(M){return R(M).replace(S,"")}}()}),define(Se[122],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jm=e.$im=e.$hm=e.rot=e.$fm=void 0;function I(w,v,S){return Math.min(Math.max(w,v),S)}e.$fm=I;function F(w,v){return(v+w%v)%v}e.rot=F;class ${constructor(){this.a=0}getNext(){return this.a++}}e.$hm=$;class L{constructor(){this.a=1,this.b=0}update(v){return this.b=this.b+(v-this.b)/this.a,this.a+=1,this.b}get value(){return this.b}}e.$im=L;class R{constructor(v){this.a=0,this.b=0,this.c=[],this.d=0,this.e=0,this.c=new Array(v),this.c.fill(0,0,v)}update(v){const S=this.c[this.d];return this.c[this.d]=v,this.d=(this.d+1)%this.c.length,this.e-=S,this.e+=v,this.a<this.c.length&&(this.a+=1),this.b=this.e/this.a,this.b}get value(){return this.b}}e.$jm=R}),function(){function me($){const L=[];typeof $=="number"&&L.push("code/timeOrigin",$);function R(v){L.push(v,Date.now())}function w(){const v=[];for(let S=0;S<L.length;S+=2)v.push({name:L[S],startTime:L[S+1]});return v}return{mark:R,getMarks:w}}function e(){if(typeof performance=="object"&&typeof performance.mark=="function"&&!performance.nodeTiming)return typeof performance.timeOrigin!="number"&&!performance.timing?me():{mark($){performance.mark($)},getMarks(){let $=performance.timeOrigin;typeof $!="number"&&($=performance.timing.navigationStart||performance.timing.redirectStart||performance.timing.fetchStart);const L=[{name:"code/timeOrigin",startTime:Math.round($)}];for(const R of performance.getEntriesByType("mark"))L.push({name:R.name,startTime:Math.round($+R.startTime)});return L}};if(typeof process=="object"){const $=performance?.timeOrigin??Math.round((require.__$__nodeRequire||require)("perf_hooks").performance.timeOrigin);return me($)}else return console.trace("perf-util loaded in UNKNOWN environment"),me()}function I($){return $.MonacoPerformanceMarks||($.MonacoPerformanceMarks=e()),$.MonacoPerformanceMarks}var F;typeof global=="object"?F=global:typeof self=="object"?F=self:F={},typeof define=="function"?define("vs/base/common/performance",[],function(){return I(F)}):typeof module=="object"&&typeof module.exports=="object"?module.exports=I(F):(console.trace("perf-util defined in UNKNOWN context (neither requirejs or commonjs)"),F.perf=I(F))}(),function(me,e){if(typeof exports=="object"&&typeof module=="object")module.exports=e();else if(typeof define=="function"&&define.amd)define("vs/base/common/semver/semver",[],e);else{var I=e();for(var F in I)(typeof exports=="object"?exports:me)[F]=I[F]}}(typeof self<"u"?self:this,function(){return function(me){var e={};function I(F){if(e[F])return e[F].exports;var $=e[F]={i:F,l:!1,exports:{}};return me[F].call($.exports,$,$.exports,I),$.l=!0,$.exports}return I.m=me,I.c=e,I.d=function(F,$,L){I.o(F,$)||Object.defineProperty(F,$,{enumerable:!0,get:L})},I.r=function(F){typeof Symbol<"u"&&Symbol.toStringTag&&Object.defineProperty(F,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(F,"__esModule",{value:!0})},I.t=function(F,$){if(1&$&&(F=I(F)),8&$||4&$&&typeof F=="object"&&F&&F.__esModule)return F;var L=Object.create(null);if(I.r(L),Object.defineProperty(L,"default",{enumerable:!0,value:F}),2&$&&typeof F!="string")for(var R in F)I.d(L,R,function(w){return F[w]}.bind(null,R));return L},I.n=function(F){var $=F&&F.__esModule?function(){return F.default}:function(){return F};return I.d($,"a",$),$},I.o=function(F,$){return Object.prototype.hasOwnProperty.call(F,$)},I.p="",I(I.s=0)}([function(me,e,I){(function(F){var $;e=me.exports=re,$=typeof F=="object"&&F.env&&F.env.NODE_DEBUG&&/\bsemver\b/i.test(F.env.NODE_DEBUG)?function(){var V=Array.prototype.slice.call(arguments,0);V.unshift("SEMVER"),console.log.apply(console,V)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var L=256,R=Number.MAX_SAFE_INTEGER||9007199254740991,w=e.re=[],v=e.src=[],S=0,M=S++;v[M]="0|[1-9]\\d*";var C=S++;v[C]="[0-9]+";var b=S++;v[b]="\\d*[a-zA-Z-][a-zA-Z0-9-]*";var E=S++;v[E]="("+v[M]+")\\.("+v[M]+")\\.("+v[M]+")";var k=S++;v[k]="("+v[C]+")\\.("+v[C]+")\\.("+v[C]+")";var l=S++;v[l]="(?:"+v[M]+"|"+v[b]+")";var p=S++;v[p]="(?:"+v[C]+"|"+v[b]+")";var o=S++;v[o]="(?:-("+v[l]+"(?:\\."+v[l]+")*))";var i=S++;v[i]="(?:-?("+v[p]+"(?:\\."+v[p]+")*))";var n=S++;v[n]="[0-9A-Za-z-]+";var r=S++;v[r]="(?:\\+("+v[n]+"(?:\\."+v[n]+")*))";var a=S++,t="v?"+v[E]+v[o]+"?"+v[r]+"?";v[a]="^"+t+"$";var d="[v=\\s]*"+v[k]+v[i]+"?"+v[r]+"?",u=S++;v[u]="^"+d+"$";var s=S++;v[s]="((?:<|>)?=?)";var c=S++;v[c]=v[C]+"|x|X|\\*";var h=S++;v[h]=v[M]+"|x|X|\\*";var m=S++;v[m]="[v=\\s]*("+v[h]+")(?:\\.("+v[h]+")(?:\\.("+v[h]+")(?:"+v[o]+")?"+v[r]+"?)?)?";var D=S++;v[D]="[v=\\s]*("+v[c]+")(?:\\.("+v[c]+")(?:\\.("+v[c]+")(?:"+v[i]+")?"+v[r]+"?)?)?";var g=S++;v[g]="^"+v[s]+"\\s*"+v[m]+"$";var f=S++;v[f]="^"+v[s]+"\\s*"+v[D]+"$";var y=S++;v[y]="(?:^|[^\\d])(\\d{1,16})(?:\\.(\\d{1,16}))?(?:\\.(\\d{1,16}))?(?:$|[^\\d])";var A=S++;v[A]="(?:~>?)";var N=S++;v[N]="(\\s*)"+v[A]+"\\s+",w[N]=new RegExp(v[N],"g");var U=S++;v[U]="^"+v[A]+v[m]+"$";var z=S++;v[z]="^"+v[A]+v[D]+"$";var T=S++;v[T]="(?:\\^)";var P=S++;v[P]="(\\s*)"+v[T]+"\\s+",w[P]=new RegExp(v[P],"g");var O=S++;v[O]="^"+v[T]+v[m]+"$";var j=S++;v[j]="^"+v[T]+v[D]+"$";var K=S++;v[K]="^"+v[s]+"\\s*("+d+")$|^$";var ie=S++;v[ie]="^"+v[s]+"\\s*("+t+")$|^$";var _=S++;v[_]="(\\s*)"+v[s]+"\\s*("+d+"|"+v[m]+")",w[_]=new RegExp(v[_],"g");var X=S++;v[X]="^\\s*("+v[m]+")\\s+-\\s+("+v[m]+")\\s*$";var Y=S++;v[Y]="^\\s*("+v[D]+")\\s+-\\s+("+v[D]+")\\s*$";var ae=S++;v[ae]="(<|>)?=?\\s*\\*";for(var ee=0;ee<35;ee++)$(ee,v[ee]),w[ee]||(w[ee]=new RegExp(v[ee]));function fe(V,Z){if(V instanceof re)return V;if(typeof V!="string"||V.length>L||!(Z?w[u]:w[a]).test(V))return null;try{return new re(V,Z)}catch{return null}}function re(V,Z){if(V instanceof re){if(V.loose===Z)return V;V=V.version}else if(typeof V!="string")throw new TypeError("Invalid Version: "+V);if(V.length>L)throw new TypeError("version is longer than "+L+" characters");if(!(this instanceof re))return new re(V,Z);$("SemVer",V,Z),this.loose=Z;var Q=V.trim().match(Z?w[u]:w[a]);if(!Q)throw new TypeError("Invalid Version: "+V);if(this.raw=V,this.major=+Q[1],this.minor=+Q[2],this.patch=+Q[3],this.major>R||this.major<0)throw new TypeError("Invalid major version");if(this.minor>R||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>R||this.patch<0)throw new TypeError("Invalid patch version");Q[4]?this.prerelease=Q[4].split(".").map(function($e){if(/^[0-9]+$/.test($e)){var ve=+$e;if(ve>=0&&ve<R)return ve}return $e}):this.prerelease=[],this.build=Q[5]?Q[5].split("."):[],this.format()}e.parse=fe,e.valid=function(V,Z){var Q=fe(V,Z);return Q?Q.version:null},e.clean=function(V,Z){var Q=fe(V.trim().replace(/^[=v]+/,""),Z);return Q?Q.version:null},e.SemVer=re,re.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},re.prototype.toString=function(){return this.version},re.prototype.compare=function(V){return $("SemVer.compare",this.version,this.loose,V),V instanceof re||(V=new re(V,this.loose)),this.compareMain(V)||this.comparePre(V)},re.prototype.compareMain=function(V){return V instanceof re||(V=new re(V,this.loose)),B(this.major,V.major)||B(this.minor,V.minor)||B(this.patch,V.patch)},re.prototype.comparePre=function(V){if(V instanceof re||(V=new re(V,this.loose)),this.prerelease.length&&!V.prerelease.length)return-1;if(!this.prerelease.length&&V.prerelease.length)return 1;if(!this.prerelease.length&&!V.prerelease.length)return 0;var Z=0;do{var Q=this.prerelease[Z],$e=V.prerelease[Z];if($("prerelease compare",Z,Q,$e),Q===void 0&&$e===void 0)return 0;if($e===void 0)return 1;if(Q===void 0)return-1;if(Q!==$e)return B(Q,$e)}while(++Z)},re.prototype.inc=function(V,Z){switch(V){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",Z);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",Z);break;case"prepatch":this.prerelease.length=0,this.inc("patch",Z),this.inc("pre",Z);break;case"prerelease":this.prerelease.length===0&&this.inc("patch",Z),this.inc("pre",Z);break;case"major":this.minor===0&&this.patch===0&&this.prerelease.length!==0||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":this.patch===0&&this.prerelease.length!==0||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":this.prerelease.length===0&&this.patch++,this.prerelease=[];break;case"pre":if(this.prerelease.length===0)this.prerelease=[0];else{for(var Q=this.prerelease.length;--Q>=0;)typeof this.prerelease[Q]=="number"&&(this.prerelease[Q]++,Q=-2);Q===-1&&this.prerelease.push(0)}Z&&(this.prerelease[0]===Z?isNaN(this.prerelease[1])&&(this.prerelease=[Z,0]):this.prerelease=[Z,0]);break;default:throw new Error("invalid increment argument: "+V)}return this.format(),this.raw=this.version,this},e.inc=function(V,Z,Q,$e){typeof Q=="string"&&($e=Q,Q=void 0);try{return new re(V,Q).inc(Z,$e).version}catch{return null}},e.diff=function(V,Z){if(he(V,Z))return null;var Q=fe(V),$e=fe(Z);if(Q.prerelease.length||$e.prerelease.length){for(var ve in Q)if((ve==="major"||ve==="minor"||ve==="patch")&&Q[ve]!==$e[ve])return"pre"+ve;return"prerelease"}for(var ve in Q)if((ve==="major"||ve==="minor"||ve==="patch")&&Q[ve]!==$e[ve])return ve},e.compareIdentifiers=B;var J=/^[0-9]+$/;function B(V,Z){var Q=J.test(V),$e=J.test(Z);return Q&&$e&&(V=+V,Z=+Z),Q&&!$e?-1:$e&&!Q?1:V<Z?-1:V>Z?1:0}function se(V,Z,Q){return new re(V,Q).compare(new re(Z,Q))}function Ee(V,Z,Q){return se(V,Z,Q)>0}function le(V,Z,Q){return se(V,Z,Q)<0}function he(V,Z,Q){return se(V,Z,Q)===0}function ce(V,Z,Q){return se(V,Z,Q)!==0}function de(V,Z,Q){return se(V,Z,Q)>=0}function H(V,Z,Q){return se(V,Z,Q)<=0}function x(V,Z,Q,$e){var ve;switch(Z){case"===":typeof V=="object"&&(V=V.version),typeof Q=="object"&&(Q=Q.version),ve=V===Q;break;case"!==":typeof V=="object"&&(V=V.version),typeof Q=="object"&&(Q=Q.version),ve=V!==Q;break;case"":case"=":case"==":ve=he(V,Q,$e);break;case"!=":ve=ce(V,Q,$e);break;case">":ve=Ee(V,Q,$e);break;case">=":ve=de(V,Q,$e);break;case"<":ve=le(V,Q,$e);break;case"<=":ve=H(V,Q,$e);break;default:throw new TypeError("Invalid operator: "+Z)}return ve}function ue(V,Z){if(V instanceof ue){if(V.loose===Z)return V;V=V.value}if(!(this instanceof ue))return new ue(V,Z);$("comparator",V,Z),this.loose=Z,this.parse(V),this.semver===be?this.value="":this.value=this.operator+this.semver.version,$("comp",this)}e.rcompareIdentifiers=function(V,Z){return B(Z,V)},e.major=function(V,Z){return new re(V,Z).major},e.minor=function(V,Z){return new re(V,Z).minor},e.patch=function(V,Z){return new re(V,Z).patch},e.compare=se,e.compareLoose=function(V,Z){return se(V,Z,!0)},e.rcompare=function(V,Z,Q){return se(Z,V,Q)},e.sort=function(V,Z){return V.sort(function(Q,$e){return e.compare(Q,$e,Z)})},e.rsort=function(V,Z){return V.sort(function(Q,$e){return e.rcompare(Q,$e,Z)})},e.gt=Ee,e.lt=le,e.eq=he,e.neq=ce,e.gte=de,e.lte=H,e.cmp=x,e.Comparator=ue;var be={};function Pe(V,Z){if(V instanceof Pe)return V.loose===Z?V:new Pe(V.raw,Z);if(V instanceof ue)return new Pe(V.value,Z);if(!(this instanceof Pe))return new Pe(V,Z);if(this.loose=Z,this.raw=V,this.set=V.split(/\s*\|\|\s*/).map(function(Q){return this.parseRange(Q.trim())},this).filter(function(Q){return Q.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+V);this.format()}function we(V){return!V||V.toLowerCase()==="x"||V==="*"}function Ae(V,Z,Q,$e,ve,Te,He,Qe,tt,st,lt,rt,Ie){return((Z=we(Q)?"":we($e)?">="+Q+".0.0":we(ve)?">="+Q+"."+$e+".0":">="+Z)+" "+(Qe=we(tt)?"":we(st)?"<"+(+tt+1)+".0.0":we(lt)?"<"+tt+"."+(+st+1)+".0":rt?"<="+tt+"."+st+"."+lt+"-"+rt:"<="+Qe)).trim()}function Oe(V,Z){for(var Q=0;Q<V.length;Q++)if(!V[Q].test(Z))return!1;if(Z.prerelease.length){for(Q=0;Q<V.length;Q++)if($(V[Q].semver),V[Q].semver!==be&&V[Q].semver.prerelease.length>0){var $e=V[Q].semver;if($e.major===Z.major&&$e.minor===Z.minor&&$e.patch===Z.patch)return!0}return!1}return!0}function ze(V,Z,Q){try{Z=new Pe(Z,Q)}catch{return!1}return Z.test(V)}function W(V,Z,Q,$e){var ve,Te,He,Qe,tt;switch(V=new re(V,$e),Z=new Pe(Z,$e),Q){case">":ve=Ee,Te=H,He=le,Qe=">",tt=">=";break;case"<":ve=le,Te=de,He=Ee,Qe="<",tt="<=";break;default:throw new TypeError('Must provide a hilo val of "<" or ">"')}if(ze(V,Z,$e))return!1;for(var st=0;st<Z.set.length;++st){var lt=Z.set[st],rt=null,Ie=null;if(lt.forEach(function(Ue){Ue.semver===be&&(Ue=new ue(">=0.0.0")),rt=rt||Ue,Ie=Ie||Ue,ve(Ue.semver,rt.semver,$e)?rt=Ue:He(Ue.semver,Ie.semver,$e)&&(Ie=Ue)}),rt.operator===Qe||rt.operator===tt||(!Ie.operator||Ie.operator===Qe)&&Te(V,Ie.semver)||Ie.operator===tt&&He(V,Ie.semver))return!1}return!0}ue.prototype.parse=function(V){var Z=this.loose?w[K]:w[ie],Q=V.match(Z);if(!Q)throw new TypeError("Invalid comparator: "+V);this.operator=Q[1],this.operator==="="&&(this.operator=""),Q[2]?this.semver=new re(Q[2],this.loose):this.semver=be},ue.prototype.toString=function(){return this.value},ue.prototype.test=function(V){return $("Comparator.test",V,this.loose),this.semver===be||(typeof V=="string"&&(V=new re(V,this.loose)),x(V,this.operator,this.semver,this.loose))},ue.prototype.intersects=function(V,Z){if(!(V instanceof ue))throw new TypeError("a Comparator is required");var Q;if(this.operator==="")return Q=new Pe(V.value,Z),ze(this.value,Q,Z);if(V.operator==="")return Q=new Pe(this.value,Z),ze(V.semver,Q,Z);var $e=!(this.operator!==">="&&this.operator!==">"||V.operator!==">="&&V.operator!==">"),ve=!(this.operator!=="<="&&this.operator!=="<"||V.operator!=="<="&&V.operator!=="<"),Te=this.semver.version===V.semver.version,He=!(this.operator!==">="&&this.operator!=="<="||V.operator!==">="&&V.operator!=="<="),Qe=x(this.semver,"<",V.semver,Z)&&(this.operator===">="||this.operator===">")&&(V.operator==="<="||V.operator==="<"),tt=x(this.semver,">",V.semver,Z)&&(this.operator==="<="||this.operator==="<")&&(V.operator===">="||V.operator===">");return $e||ve||Te&&He||Qe||tt},e.Range=Pe,Pe.prototype.format=function(){return this.range=this.set.map(function(V){return V.join(" ").trim()}).join("||").trim(),this.range},Pe.prototype.toString=function(){return this.range},Pe.prototype.parseRange=function(V){var Z=this.loose;V=V.trim(),$("range",V,Z);var Q=Z?w[Y]:w[X];V=V.replace(Q,Ae),$("hyphen replace",V),V=V.replace(w[_],"$1$2$3"),$("comparator trim",V,w[_]),V=(V=(V=V.replace(w[N],"$1~")).replace(w[P],"$1^")).split(/\s+/).join(" ");var $e=Z?w[K]:w[ie],ve=V.split(" ").map(function(Te){return function(He,Qe){return $("comp",He),He=function(tt,st){return tt.trim().split(/\s+/).map(function(lt){return function(rt,Ie){$("caret",rt,Ie);var Ue=Ie?w[j]:w[O];return rt.replace(Ue,function(Le,Ge,ne,oe,Ce){var Ke;return $("caret",rt,Le,Ge,ne,oe,Ce),we(Ge)?Ke="":we(ne)?Ke=">="+Ge+".0.0 <"+(+Ge+1)+".0.0":we(oe)?Ke=Ge==="0"?">="+Ge+"."+ne+".0 <"+Ge+"."+(+ne+1)+".0":">="+Ge+"."+ne+".0 <"+(+Ge+1)+".0.0":Ce?($("replaceCaret pr",Ce),Ce.charAt(0)!=="-"&&(Ce="-"+Ce),Ke=Ge==="0"?ne==="0"?">="+Ge+"."+ne+"."+oe+Ce+" <"+Ge+"."+ne+"."+(+oe+1):">="+Ge+"."+ne+"."+oe+Ce+" <"+Ge+"."+(+ne+1)+".0":">="+Ge+"."+ne+"."+oe+Ce+" <"+(+Ge+1)+".0.0"):($("no pr"),Ke=Ge==="0"?ne==="0"?">="+Ge+"."+ne+"."+oe+" <"+Ge+"."+ne+"."+(+oe+1):">="+Ge+"."+ne+"."+oe+" <"+Ge+"."+(+ne+1)+".0":">="+Ge+"."+ne+"."+oe+" <"+(+Ge+1)+".0.0"),$("caret return",Ke),Ke})}(lt,st)}).join(" ")}(He,Qe),$("caret",He),He=function(tt,st){return tt.trim().split(/\s+/).map(function(lt){return function(rt,Ie){var Ue=Ie?w[z]:w[U];return rt.replace(Ue,function(Le,Ge,ne,oe,Ce){var Ke;return $("tilde",rt,Le,Ge,ne,oe,Ce),we(Ge)?Ke="":we(ne)?Ke=">="+Ge+".0.0 <"+(+Ge+1)+".0.0":we(oe)?Ke=">="+Ge+"."+ne+".0 <"+Ge+"."+(+ne+1)+".0":Ce?($("replaceTilde pr",Ce),Ce.charAt(0)!=="-"&&(Ce="-"+Ce),Ke=">="+Ge+"."+ne+"."+oe+Ce+" <"+Ge+"."+(+ne+1)+".0"):Ke=">="+Ge+"."+ne+"."+oe+" <"+Ge+"."+(+ne+1)+".0",$("tilde return",Ke),Ke})}(lt,st)}).join(" ")}(He,Qe),$("tildes",He),He=function(tt,st){return $("replaceXRanges",tt,st),tt.split(/\s+/).map(function(lt){return function(rt,Ie){rt=rt.trim();var Ue=Ie?w[f]:w[g];return rt.replace(Ue,function(Le,Ge,ne,oe,Ce,Ke){$("xRange",rt,Le,Ge,ne,oe,Ce,Ke);var xe=we(ne),nt=xe||we(oe),Ne=nt||we(Ce);return Ge==="="&&Ne&&(Ge=""),xe?Le=Ge===">"||Ge==="<"?"<0.0.0":"*":Ge&&Ne?(nt&&(oe=0),Ne&&(Ce=0),Ge===">"?(Ge=">=",nt?(ne=+ne+1,oe=0,Ce=0):Ne&&(oe=+oe+1,Ce=0)):Ge==="<="&&(Ge="<",nt?ne=+ne+1:oe=+oe+1),Le=Ge+ne+"."+oe+"."+Ce):nt?Le=">="+ne+".0.0 <"+(+ne+1)+".0.0":Ne&&(Le=">="+ne+"."+oe+".0 <"+ne+"."+(+oe+1)+".0"),$("xRange return",Le),Le})}(lt,st)}).join(" ")}(He,Qe),$("xrange",He),He=function(tt,st){return $("replaceStars",tt,st),tt.trim().replace(w[ae],"")}(He,Qe),$("stars",He),He}(Te,Z)}).join(" ").split(/\s+/);return this.loose&&(ve=ve.filter(function(Te){return!!Te.match($e)})),ve=ve.map(function(Te){return new ue(Te,Z)})},Pe.prototype.intersects=function(V,Z){if(!(V instanceof Pe))throw new TypeError("a Range is required");return this.set.some(function(Q){return Q.every(function($e){return V.set.some(function(ve){return ve.every(function(Te){return $e.intersects(Te,Z)})})})})},e.toComparators=function(V,Z){return new Pe(V,Z).set.map(function(Q){return Q.map(function($e){return $e.value}).join(" ").trim().split(" ")})},Pe.prototype.test=function(V){if(!V)return!1;typeof V=="string"&&(V=new re(V,this.loose));for(var Z=0;Z<this.set.length;Z++)if(Oe(this.set[Z],V))return!0;return!1},e.satisfies=ze,e.maxSatisfying=function(V,Z,Q){var $e=null,ve=null;try{var Te=new Pe(Z,Q)}catch{return null}return V.forEach(function(He){Te.test(He)&&($e&&ve.compare(He)!==-1||(ve=new re($e=He,Q)))}),$e},e.minSatisfying=function(V,Z,Q){var $e=null,ve=null;try{var Te=new Pe(Z,Q)}catch{return null}return V.forEach(function(He){Te.test(He)&&($e&&ve.compare(He)!==1||(ve=new re($e=He,Q)))}),$e},e.validRange=function(V,Z){try{return new Pe(V,Z).range||"*"}catch{return null}},e.ltr=function(V,Z,Q){return W(V,Z,"<",Q)},e.gtr=function(V,Z,Q){return W(V,Z,">",Q)},e.outside=W,e.prerelease=function(V,Z){var Q=fe(V,Z);return Q&&Q.prerelease.length?Q.prerelease:null},e.intersects=function(V,Z,Q){return V=new Pe(V,Q),Z=new Pe(Z,Q),V.intersects(Z)},e.coerce=function(V){if(V instanceof re)return V;if(typeof V!="string")return null;var Z=V.match(w[y]);return Z==null?null:fe((Z[1]||"0")+"."+(Z[2]||"0")+"."+(Z[3]||"0"))}}).call(this,I(1))},function(me,e){var I,F,$=me.exports={};function L(){throw new Error("setTimeout has not been defined")}function R(){throw new Error("clearTimeout has not been defined")}function w(p){if(I===setTimeout)return setTimeout(p,0);if((I===L||!I)&&setTimeout)return I=setTimeout,setTimeout(p,0);try{return I(p,0)}catch{try{return I.call(null,p,0)}catch{return I.call(this,p,0)}}}(function(){try{I=typeof setTimeout=="function"?setTimeout:L}catch{I=L}try{F=typeof clearTimeout=="function"?clearTimeout:R}catch{F=R}})();var v,S=[],M=!1,C=-1;function b(){M&&v&&(M=!1,v.length?S=v.concat(S):C=-1,S.length&&E())}function E(){if(!M){var p=w(b);M=!0;for(var o=S.length;o;){for(v=S,S=[];++C<o;)v&&v[C].run();C=-1,o=S.length}v=null,M=!1,function(i){if(F===clearTimeout)return clearTimeout(i);if((F===R||!F)&&clearTimeout)return F=clearTimeout,clearTimeout(i);try{F(i)}catch{try{return F.call(null,i)}catch{return F.call(this,i)}}}(p)}}function k(p,o){this.fun=p,this.array=o}function l(){}$.nextTick=function(p){var o=new Array(arguments.length-1);if(arguments.length>1)for(var i=1;i<arguments.length;i++)o[i-1]=arguments[i];S.push(new k(p,o)),S.length!==1||M||w(E)},k.prototype.run=function(){this.fun.apply(null,this.array)},$.title="browser",$.browser=!0,$.env={},$.argv=[],$.version="",$.versions={},$.on=l,$.addListener=l,$.once=l,$.off=l,$.removeListener=l,$.removeAllListeners=l,$.emit=l,$.prependListener=l,$.prependOnceListener=l,$.listeners=function(p){return[]},$.binding=function(p){throw new Error("process.binding is not supported")},$.cwd=function(){return"/"},$.chdir=function(p){throw new Error("process.chdir is not supported")},$.umask=function(){return 0}}])}),define(Se[38],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1d=void 0;const I=globalThis.performance&&typeof globalThis.performance.now=="function";class F{static create(L){return new F(L)}constructor(L){this.c=I&&L===!1?Date.now:globalThis.performance.now.bind(globalThis.performance),this.a=this.c(),this.b=-1}stop(){this.b=this.c()}reset(){this.a=this.c(),this.b=-1}elapsed(){return this.b!==-1?this.b-this.a:this.c()-this.a}}e.$1d=F}),define(Se[4],De([1,0,14,74,3,75,38]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$be=e.$ae=e.$_d=e.$$d=e.$0d=e.$9d=e.$8d=e.$7d=e.$6d=e.$5d=e.$4d=e.$3d=e.Event=void 0;const w=!1,v=!1;var S;(function(g){g.None=()=>$.$Tc.None;function f(H){if(v){const{onDidAddListener:x}=H,ue=k.create();let be=0;H.onDidAddListener=()=>{++be===2&&(console.warn("snapshotted emitter LIKELY used public and SHOULD HAVE BEEN created with DisposableStore. snapshotted here"),ue.print()),x?.()}}}function y(H,x){return ie(H,()=>{},0,void 0,!0,void 0,x)}g.defer=y;function A(H){return(x,ue=null,be)=>{let Pe=!1,we;return we=H(Ae=>{if(!Pe)return we?we.dispose():Pe=!0,x.call(ue,Ae)},null,be),Pe&&we.dispose(),we}}g.once=A;function N(H,x,ue){return j((be,Pe=null,we)=>H(Ae=>be.call(Pe,x(Ae)),null,we),ue)}g.map=N;function U(H,x,ue){return j((be,Pe=null,we)=>H(Ae=>{x(Ae),be.call(Pe,Ae)},null,we),ue)}g.forEach=U;function z(H,x,ue){return j((be,Pe=null,we)=>H(Ae=>x(Ae)&&be.call(Pe,Ae),null,we),ue)}g.filter=z;function T(H){return H}g.signal=T;function P(...H){return(x,ue=null,be)=>{const Pe=(0,$.$Qc)(...H.map(we=>we(Ae=>x.call(ue,Ae))));return K(Pe,be)}}g.any=P;function O(H,x,ue,be){let Pe=ue;return N(H,we=>(Pe=x(Pe,we),Pe),be)}g.reduce=O;function j(H,x){let ue;const be={onWillAddFirstListener(){ue=H(Pe.fire,Pe)},onDidRemoveLastListener(){ue?.dispose()}};x||f(be);const Pe=new n(be);return x?.add(Pe),Pe.event}function K(H,x){return x instanceof Array?x.push(H):x&&x.add(H),H}function ie(H,x,ue=100,be=!1,Pe=!1,we,Ae){let Oe,ze,W,V=0,Z;const Q={leakWarningThreshold:we,onWillAddFirstListener(){Oe=H(ve=>{V++,ze=x(ze,ve),be&&!W&&($e.fire(ze),ze=void 0),Z=()=>{const Te=ze;ze=void 0,W=void 0,(!be||V>1)&&$e.fire(Te),V=0},typeof ue=="number"?(clearTimeout(W),W=setTimeout(Z,ue)):W===void 0&&(W=0,queueMicrotask(Z))})},onWillRemoveListener(){Pe&&V>0&&Z?.()},onDidRemoveLastListener(){Z=void 0,Oe.dispose()}};Ae||f(Q);const $e=new n(Q);return Ae?.add($e),$e.event}g.debounce=ie;function _(H,x=0,ue){return g.debounce(H,(be,Pe)=>be?(be.push(Pe),be):[Pe],x,void 0,!0,void 0,ue)}g.accumulate=_;function X(H,x=(be,Pe)=>be===Pe,ue){let be=!0,Pe;return z(H,we=>{const Ae=be||!x(we,Pe);return be=!1,Pe=we,Ae},ue)}g.latch=X;function Y(H,x,ue){return[g.filter(H,x,ue),g.filter(H,be=>!x(be),ue)]}g.split=Y;function ae(H,x=!1,ue=[],be){let Pe=ue.slice(),we=H(ze=>{Pe?Pe.push(ze):Oe.fire(ze)});be&&be.add(we);const Ae=()=>{Pe?.forEach(ze=>Oe.fire(ze)),Pe=null},Oe=new n({onWillAddFirstListener(){we||(we=H(ze=>Oe.fire(ze)),be&&be.add(we))},onDidAddFirstListener(){Pe&&(x?setTimeout(Ae):Ae())},onDidRemoveLastListener(){we&&we.dispose(),we=null}});return be&&be.add(Oe),Oe.event}g.buffer=ae;function ee(H,x){return(be,Pe,we)=>{const Ae=x(new re);return H(function(Oe){const ze=Ae.evaluate(Oe);ze!==fe&&be.call(Pe,ze)},void 0,we)}}g.chain=ee;const fe=Symbol("HaltChainable");class re{constructor(){this.f=[]}map(x){return this.f.push(x),this}forEach(x){return this.f.push(ue=>(x(ue),ue)),this}filter(x){return this.f.push(ue=>x(ue)?ue:fe),this}reduce(x,ue){let be=ue;return this.f.push(Pe=>(be=x(be,Pe),be)),this}latch(x=(ue,be)=>ue===be){let ue=!0,be;return this.f.push(Pe=>{const we=ue||!x(Pe,be);return ue=!1,be=Pe,we?Pe:fe}),this}evaluate(x){for(const ue of this.f)if(x=ue(x),x===fe)break;return x}}function J(H,x,ue=be=>be){const be=(...Oe)=>Ae.fire(ue(...Oe)),Pe=()=>H.on(x,be),we=()=>H.removeListener(x,be),Ae=new n({onWillAddFirstListener:Pe,onDidRemoveLastListener:we});return Ae.event}g.fromNodeEventEmitter=J;function B(H,x,ue=be=>be){const be=(...Oe)=>Ae.fire(ue(...Oe)),Pe=()=>H.addEventListener(x,be),we=()=>H.removeEventListener(x,be),Ae=new n({onWillAddFirstListener:Pe,onDidRemoveLastListener:we});return Ae.event}g.fromDOMEventEmitter=B;function se(H){return new Promise(x=>A(H)(x))}g.toPromise=se;function Ee(H){const x=new n;return H.then(ue=>{x.fire(ue)},()=>{x.fire(void 0)}).finally(()=>{x.dispose()}),x.event}g.fromPromise=Ee;function le(H,x,ue){return x(ue),H(be=>x(be))}g.runAndSubscribe=le;class he{constructor(x,ue){this._observable=x,this.f=0,this.g=!1;const be={onWillAddFirstListener:()=>{x.addObserver(this)},onDidRemoveLastListener:()=>{x.removeObserver(this)}};ue||f(be),this.emitter=new n(be),ue&&ue.add(this.emitter)}beginUpdate(x){this.f++}handlePossibleChange(x){}handleChange(x,ue){this.g=!0}endUpdate(x){this.f--,this.f===0&&(this._observable.reportChanges(),this.g&&(this.g=!1,this.emitter.fire(this._observable.get())))}}function ce(H,x){return new he(H,x).emitter.event}g.fromObservable=ce;function de(H){return(x,ue,be)=>{let Pe=0,we=!1;const Ae={beginUpdate(){Pe++},endUpdate(){Pe--,Pe===0&&(H.reportChanges(),we&&(we=!1,x.call(ue)))},handlePossibleChange(){},handleChange(){we=!0}};H.addObserver(Ae),H.reportChanges();const Oe={dispose(){H.removeObserver(Ae)}};return be instanceof $.$Sc?be.add(Oe):Array.isArray(be)&&be.push(Oe),Oe}}g.fromObservableLight=de})(S||(e.Event=S={}));class M{static{this.all=new Set}static{this.f=0}constructor(f){this.listenerCount=0,this.invocationCount=0,this.elapsedOverall=0,this.durations=[],this.name=`${f}_${M.f++}`,M.all.add(this)}start(f){this.g=new R.$1d,this.listenerCount=f}stop(){if(this.g){const f=this.g.elapsed();this.durations.push(f),this.elapsedOverall+=f,this.invocationCount+=1,this.g=void 0}}}e.$3d=M;let C=-1;function b(g){const f=C;return C=g,{dispose(){C=f}}}e.$4d=b;class E{constructor(f,y=Math.random().toString(18).slice(2,5)){this.threshold=f,this.name=y,this.g=0}dispose(){this.f?.clear()}check(f,y){const A=this.threshold;if(A<=0||y<A)return;this.f||(this.f=new Map);const N=this.f.get(f.value)||0;if(this.f.set(f.value,N+1),this.g-=1,this.g<=0){this.g=A*.5;let U,z=0;for(const[T,P]of this.f)(!U||z<P)&&(U=T,z=P);console.warn(`[${this.name}] potential listener LEAK detected, having ${y} listeners already. MOST frequent listener (${z}):`),console.warn(U)}return()=>{const U=this.f.get(f.value)||0;this.f.set(f.value,U-1)}}}class k{static create(){return new k(new Error().stack??"")}constructor(f){this.value=f}print(){console.warn(this.value.split(`
`).slice(2).join(`
`))}}let l=0;class p{constructor(f){this.value=f,this.id=l++}}const o=2,i=(g,f)=>{if(g instanceof p)f(g);else for(let y=0;y<g.length;y++){const A=g[y];A&&f(A)}};class n{constructor(f){this.w=0,this.f=f,this.g=C>0||this.f?.leakWarningThreshold?new E(this.f?.leakWarningThreshold??C):void 0,this.j=this.f?._profName?new M(this.f._profName):void 0,this.u=this.f?.deliveryQueue}dispose(){if(!this.m){if(this.m=!0,this.u?.current===this&&this.u.reset(),this.t){if(w){const f=this.t;queueMicrotask(()=>{i(f,y=>y.stack?.print())})}this.t=void 0,this.w=0}this.f?.onDidRemoveLastListener?.(),this.g?.dispose()}}get event(){return this.q??=(f,y,A)=>{if(this.g&&this.w>this.g.threshold*3)return console.warn(`[${this.g.name}] REFUSES to accept new listeners because it exceeded its threshold by far`),$.$Tc.None;if(this.m)return $.$Tc.None;y&&(f=f.bind(y));const N=new p(f);let U,z;this.g&&this.w>=Math.ceil(this.g.threshold*.2)&&(N.stack=k.create(),U=this.g.check(N.stack,this.w+1)),w&&(N.stack=z??k.create()),this.t?this.t instanceof p?(this.u??=new a,this.t=[this.t,N]):this.t.push(N):(this.f?.onWillAddFirstListener?.(this),this.t=N,this.f?.onDidAddFirstListener?.(this)),this.w++;const T=(0,$.$Rc)(()=>{U?.(),this.x(N)});return A instanceof $.$Sc?A.add(T):Array.isArray(A)&&A.push(T),T},this.q}x(f){if(this.f?.onWillRemoveListener?.(this),!this.t)return;if(this.w===1){this.t=void 0,this.f?.onDidRemoveLastListener?.(this),this.w=0;return}const y=this.t,A=y.indexOf(f);if(A===-1)throw console.log("disposed?",this.m),console.log("size?",this.w),console.log("arr?",JSON.stringify(this.t)),new Error("Attempted to dispose unknown listener");this.w--,y[A]=void 0;const N=this.u.current===this;if(this.w*o<=y.length){let U=0;for(let z=0;z<y.length;z++)y[z]?y[U++]=y[z]:N&&(this.u.end--,U<this.u.i&&this.u.i--);y.length=U}}y(f,y){if(!f)return;const A=this.f?.onListenerError||I.$1;if(!A){f.value(y);return}try{f.value(y)}catch(N){A(N)}}z(f){const y=f.current.t;for(;f.i<f.end;)this.y(y[f.i++],f.value);f.reset()}fire(f){if(this.u?.current&&(this.z(this.u),this.j?.stop()),this.j?.start(this.w),this.t)if(this.t instanceof p)this.y(this.t,f);else{const y=this.u;y.enqueue(this,f,this.t.length),this.z(y)}this.j?.stop()}hasListeners(){return this.w>0}}e.$5d=n;const r=()=>new a;e.$6d=r;class a{constructor(){this.i=-1,this.end=0}enqueue(f,y,A){this.i=0,this.end=A,this.current=f,this.value=y}reset(){this.i=this.end,this.current=void 0,this.value=void 0}}class t extends n{async fireAsync(f,y,A){if(this.t)for(this.h||(this.h=new L.$4c),i(this.t,N=>this.h.push([N.value,f]));this.h.size>0&&!y.isCancellationRequested;){const[N,U]=this.h.shift(),z=[],T={...U,token:y,waitUntil:P=>{if(Object.isFrozen(z))throw new Error("waitUntil can NOT be called asynchronous");A&&(P=A(P,N)),z.push(P)}};try{N(T)}catch(P){(0,I.$1)(P);continue}Object.freeze(z),await Promise.allSettled(z).then(P=>{for(const O of P)O.status==="rejected"&&(0,I.$1)(O.reason)})}}}e.$7d=t;class d extends n{get isPaused(){return this.h!==0}constructor(f){super(f),this.h=0,this.s=new L.$4c,this.A=f?.merge}pause(){this.h++}resume(){if(this.h!==0&&--this.h===0)if(this.A){if(this.s.size>0){const f=Array.from(this.s);this.s.clear(),super.fire(this.A(f))}}else for(;!this.h&&this.s.size!==0;)super.fire(this.s.shift())}fire(f){this.w&&(this.h!==0?this.s.push(f):super.fire(f))}}e.$8d=d;class u extends d{constructor(f){super(f),this.k=f.delay??100}fire(f){this.o||(this.pause(),this.o=setTimeout(()=>{this.o=void 0,this.resume()},this.k)),super.fire(f)}}e.$9d=u;class s extends n{constructor(f){super(f),this.h=[],this.k=f?.merge}fire(f){this.hasListeners()&&(this.h.push(f),this.h.length===1&&queueMicrotask(()=>{this.k?super.fire(this.k(this.h)):this.h.forEach(y=>super.fire(y)),this.h=[]}))}}e.$0d=s;class c{constructor(){this.g=!1,this.h=[],this.f=new n({onWillAddFirstListener:()=>this.j(),onDidRemoveLastListener:()=>this.k()})}get event(){return this.f.event}add(f){const y={event:f,listener:null};this.h.push(y),this.g&&this.m(y);const A=()=>{this.g&&this.o(y);const N=this.h.indexOf(y);this.h.splice(N,1)};return(0,$.$Rc)((0,F.$db)(A))}j(){this.g=!0,this.h.forEach(f=>this.m(f))}k(){this.g=!1,this.h.forEach(f=>this.o(f))}m(f){f.listener=f.event(y=>this.f.fire(y))}o(f){f.listener?.dispose(),f.listener=null}dispose(){this.f.dispose();for(const f of this.h)f.listener?.dispose();this.h=[]}}e.$$d=c;class h{constructor(f,y,A,N){this.f=new $.$Sc;const U=this.f.add(new c),z=this.f.add(new $.$3c);function T(P){z.set(P,U.add(N(P)))}for(const P of f)T(P);this.f.add(y(P=>{T(P)})),this.f.add(A(P=>{z.deleteAndDispose(P)})),this.event=U.event}dispose(){this.f.dispose()}}e.$_d=h;class m{constructor(){this.f=[]}wrapEvent(f){return(y,A,N)=>f(U=>{const z=this.f[this.f.length-1];z?z.push(()=>y.call(A,U)):y.call(A,U)},void 0,N)}bufferEvents(f){const y=[];this.f.push(y);const A=f();return this.f.pop(),y.forEach(N=>N()),A}}e.$ae=m;class D{constructor(){this.f=!1,this.g=S.None,this.h=$.$Tc.None,this.j=new n({onDidAddFirstListener:()=>{this.f=!0,this.h=this.g(this.j.fire,this.j)},onDidRemoveLastListener:()=>{this.f=!1,this.h.dispose()}}),this.event=this.j.event}set input(f){this.g=f,this.f&&(this.h.dispose(),this.h=f(this.j.fire,this.j))}dispose(){this.h.dispose(),this.j.dispose()}}e.$be=D}),define(Se[22],De([1,0,4]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ce=e.CancellationToken=void 0;const F=Object.freeze(function(w,v){const S=setTimeout(w.bind(v),0);return{dispose(){clearTimeout(S)}}});var $;(function(w){function v(S){return S===w.None||S===w.Cancelled||S instanceof L?!0:!S||typeof S!="object"?!1:typeof S.isCancellationRequested=="boolean"&&typeof S.onCancellationRequested=="function"}w.isCancellationToken=v,w.None=Object.freeze({isCancellationRequested:!1,onCancellationRequested:I.Event.None}),w.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:F})})($||(e.CancellationToken=$={}));class L{constructor(){this.a=!1,this.b=null}cancel(){this.a||(this.a=!0,this.b&&(this.b.fire(void 0),this.dispose()))}get isCancellationRequested(){return this.a}get onCancellationRequested(){return this.a?F:(this.b||(this.b=new I.$5d),this.b.event)}dispose(){this.b&&(this.b.dispose(),this.b=null)}}class R{constructor(v){this.f=void 0,this.g=void 0,this.g=v&&v.onCancellationRequested(this.cancel,this)}get token(){return this.f||(this.f=new L),this.f}cancel(){this.f?this.f instanceof L&&this.f.cancel():this.f=$.Cancelled}dispose(v=!1){v&&this.cancel(),this.g?.dispose(),this.f?this.f instanceof L&&this.f.dispose():this.f=$.None}}e.$ce=R}),define(Se[163],De([1,0,22]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pe=e.$Oe=e.$Ne=void 0;class F{constructor(w){this.b=w,this.a=null}get(){if(this.a)return this.a;const w=new I.$ce,v=this.b(w.token);return this.a={promise:v,dispose:()=>{this.a=null,w.cancel(),w.dispose()}},this.a}}e.$Ne=F;class ${constructor(w){this.c=w,this.a=void 0,this.b=void 0}get(w){const v=JSON.stringify(w);return this.b!==v&&(this.b=v,this.a=this.c(w)),this.a}}e.$Oe=$;class L{get cachedValues(){return this.a}constructor(w){this.b=w,this.a=new Map}get(w){if(this.a.has(w))return this.a.get(w);const v=this.b(w);return this.a.set(w,v),v}}e.$Pe=L}),define(Se[98],De([1,0,14,3]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$re=e.$qe=e.$pe=e.$oe=e.$ne=e.$me=e.$le=e.$ke=e.$je=e.$ie=e.$he=e.$ge=e.$fe=e.$ee=e.$de=void 0;function $(r){const a=r;return a?typeof a.read=="function":!1}e.$de=$;function L(r){const a=r;return a?[a.on,a.pause,a.resume,a.destroy].every(t=>typeof t=="function"):!1}e.$ee=L;function R(r){const a=r;return a?L(a.stream)&&Array.isArray(a.buffer)&&typeof a.ended=="boolean":!1}e.$fe=R;function w(r,a){return new v(r,a)}e.$ge=w;class v{constructor(a,t){this.e=a,this.f=t,this.a={flowing:!1,ended:!1,destroyed:!1},this.b={data:[],error:[]},this.c={data:[],error:[],end:[]},this.d=[]}pause(){this.a.destroyed||(this.a.flowing=!1)}resume(){this.a.destroyed||this.a.flowing||(this.a.flowing=!0,this.j(),this.k(),this.l())}write(a){if(!this.a.destroyed){if(this.a.flowing)this.g(a);else if(this.b.data.push(a),typeof this.f?.highWaterMark=="number"&&this.b.data.length>this.f.highWaterMark)return new Promise(t=>this.d.push(t))}}error(a){this.a.destroyed||(this.a.flowing?this.h(a):this.b.error.push(a))}end(a){this.a.destroyed||(typeof a<"u"&&this.write(a),this.a.flowing?(this.i(),this.destroy()):this.a.ended=!0)}g(a){this.c.data.slice(0).forEach(t=>t(a))}h(a){this.c.error.length===0?(0,I.$1)(a):this.c.error.slice(0).forEach(t=>t(a))}i(){this.c.end.slice(0).forEach(a=>a())}on(a,t){if(!this.a.destroyed)switch(a){case"data":this.c.data.push(t),this.resume();break;case"end":this.c.end.push(t),this.a.flowing&&this.l()&&this.destroy();break;case"error":this.c.error.push(t),this.a.flowing&&this.k();break}}removeListener(a,t){if(this.a.destroyed)return;let d;switch(a){case"data":d=this.c.data;break;case"end":d=this.c.end;break;case"error":d=this.c.error;break}if(d){const u=d.indexOf(t);u>=0&&d.splice(u,1)}}j(){if(this.b.data.length>0){const a=this.e(this.b.data);this.g(a),this.b.data.length=0;const t=[...this.d];this.d.length=0,t.forEach(d=>d())}}k(){if(this.c.error.length>0){for(const a of this.b.error)this.h(a);this.b.error.length=0}}l(){return this.a.ended?(this.i(),this.c.end.length>0):!1}destroy(){this.a.destroyed||(this.a.destroyed=!0,this.a.ended=!0,this.b.data.length=0,this.b.error.length=0,this.c.data.length=0,this.c.error.length=0,this.c.end.length=0,this.d.length=0)}}function S(r,a){const t=[];let d;for(;(d=r.read())!==null;)t.push(d);return a(t)}e.$he=S;function M(r,a,t){const d=[];let u;for(;(u=r.read())!==null&&d.length<t;)d.push(u);return u===null&&d.length>0?a(d):{read:()=>{if(d.length>0)return d.shift();if(typeof u<"u"){const s=u;return u=void 0,s}return r.read()}}}e.$ie=M;function C(r,a){return new Promise((t,d)=>{const u=[];b(r,{onData:s=>{a&&u.push(s)},onError:s=>{a?d(s):t(void 0)},onEnd:()=>{t(a?a(u):void 0)}})})}e.$je=C;function b(r,a,t){r.on("error",d=>{t?.isCancellationRequested||a.onError(d)}),r.on("end",()=>{t?.isCancellationRequested||a.onEnd()}),r.on("data",d=>{t?.isCancellationRequested||a.onData(d)})}e.$ke=b;function E(r,a){return new Promise((t,d)=>{const u=new F.$Sc,s=[],c=D=>{if(s.push(D),s.length>a)return u.dispose(),r.pause(),t({stream:r,buffer:s,ended:!1})},h=D=>(u.dispose(),d(D)),m=()=>(u.dispose(),t({stream:r,buffer:s,ended:!0}));u.add((0,F.$Rc)(()=>r.removeListener("error",h))),r.on("error",h),u.add((0,F.$Rc)(()=>r.removeListener("end",m))),r.on("end",m),u.add((0,F.$Rc)(()=>r.removeListener("data",c))),r.on("data",c)})}e.$le=E;function k(r,a){const t=w(a);return t.end(r),t}e.$me=k;function l(){const r=w(()=>{throw new Error("not supported")});return r.end(),r}e.$ne=l;function p(r){let a=!1;return{read:()=>a?null:(a=!0,r)}}e.$oe=p;function o(r,a,t){const d=w(t);return b(r,{onData:u=>d.write(a.data(u)),onError:u=>d.error(a.error?a.error(u):u),onEnd:()=>d.end()}),d}e.$pe=o;function i(r,a,t){let d=!1;return{read:()=>{const u=a.read();return d?u:(d=!0,u!==null?t([r,u]):r)}}}e.$qe=i;function n(r,a,t){let d=!1;const u=w(t);return b(a,{onData:s=>d?u.write(s):(d=!0,u.write(t([r,s]))),onError:s=>u.error(s),onEnd:()=>{d||(d=!0,u.write(r)),u.end()}}),u}e.$re=n}),define(Se[21],De([1,0,44,98]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Me=e.$Le=e.$Ke=e.$Je=e.$Ie=e.$He=e.$Ge=e.$Fe=e.$Ee=e.$De=e.$Ce=e.$Be=e.$Ae=e.$ze=e.$ye=e.$xe=e.$we=e.$ve=e.$ue=e.$te=e.$se=void 0;const $=typeof Buffer<"u",L=new I.$V(()=>new Uint8Array(256));let R,w;class v{static alloc(y){return $?new v(Buffer.allocUnsafe(y)):new v(new Uint8Array(y))}static wrap(y){return $&&!Buffer.isBuffer(y)&&(y=Buffer.from(y.buffer,y.byteOffset,y.byteLength)),new v(y)}static fromString(y,A){return!(A?.dontUseNodeBuffer||!1)&&$?new v(Buffer.from(y)):(R||(R=new TextEncoder),new v(R.encode(y)))}static fromByteArray(y){const A=v.alloc(y.length);for(let N=0,U=y.length;N<U;N++)A.buffer[N]=y[N];return A}static concat(y,A){if(typeof A>"u"){A=0;for(let z=0,T=y.length;z<T;z++)A+=y[z].byteLength}const N=v.alloc(A);let U=0;for(let z=0,T=y.length;z<T;z++){const P=y[z];N.set(P,U),U+=P.byteLength}return N}constructor(y){this.buffer=y,this.byteLength=this.buffer.byteLength}clone(){const y=v.alloc(this.byteLength);return y.set(this),y}toString(){return $?this.buffer.toString():(w||(w=new TextDecoder),w.decode(this.buffer))}slice(y,A){return new v(this.buffer.subarray(y,A))}set(y,A){if(y instanceof v)this.buffer.set(y.buffer,A);else if(y instanceof Uint8Array)this.buffer.set(y,A);else if(y instanceof ArrayBuffer)this.buffer.set(new Uint8Array(y),A);else if(ArrayBuffer.isView(y))this.buffer.set(new Uint8Array(y.buffer,y.byteOffset,y.byteLength),A);else throw new Error("Unknown argument 'array'")}readUInt32BE(y){return b(this.buffer,y)}writeUInt32BE(y,A){E(this.buffer,y,A)}readUInt32LE(y){return k(this.buffer,y)}writeUInt32LE(y,A){l(this.buffer,y,A)}readUInt8(y){return p(this.buffer,y)}writeUInt8(y,A){o(this.buffer,y,A)}indexOf(y,A=0){return S(this.buffer,y instanceof v?y.buffer:y,A)}}e.$se=v;function S(f,y,A=0){const N=y.byteLength,U=f.byteLength;if(N===0)return 0;if(N===1)return f.indexOf(y[0]);if(N>U-A)return-1;const z=L.value;z.fill(y.length);for(let j=0;j<y.length;j++)z[y[j]]=y.length-j-1;let T=A+y.length-1,P=T,O=-1;for(;T<U;)if(f[T]===y[P]){if(P===0){O=T;break}T--,P--}else T+=Math.max(y.length-P,z[f[T]]),P=y.length-1;return O}e.$te=S;function M(f,y){return f[y+0]<<0>>>0|f[y+1]<<8>>>0}e.$ue=M;function C(f,y,A){f[A+0]=y&255,y=y>>>8,f[A+1]=y&255}e.$ve=C;function b(f,y){return f[y]*2**24+f[y+1]*2**16+f[y+2]*2**8+f[y+3]}e.$we=b;function E(f,y,A){f[A+3]=y,y=y>>>8,f[A+2]=y,y=y>>>8,f[A+1]=y,y=y>>>8,f[A]=y}e.$xe=E;function k(f,y){return f[y+0]<<0>>>0|f[y+1]<<8>>>0|f[y+2]<<16>>>0|f[y+3]<<24>>>0}e.$ye=k;function l(f,y,A){f[A+0]=y&255,y=y>>>8,f[A+1]=y&255,y=y>>>8,f[A+2]=y&255,y=y>>>8,f[A+3]=y&255}e.$ze=l;function p(f,y){return f[y]}e.$Ae=p;function o(f,y,A){f[A]=y}e.$Be=o;function i(f){return F.$he(f,y=>v.concat(y))}e.$Ce=i;function n(f){return F.$oe(f)}e.$De=n;function r(f){return F.$je(f,y=>v.concat(y))}e.$Ee=r;async function a(f){return f.ended?v.concat(f.buffer):v.concat([...f.buffer,await r(f.stream)])}e.$Fe=a;function t(f){return F.$me(f,y=>v.concat(y))}e.$Ge=t;function d(f){return F.$pe(f,{data:y=>typeof y=="string"?v.fromString(y):v.wrap(y)},y=>v.concat(y))}e.$He=d;function u(f){return F.$ge(y=>v.concat(y),f)}e.$Ie=u;function s(f,y){return F.$qe(f,y,A=>v.concat(A))}e.$Je=s;function c(f,y){return F.$re(f,y,A=>v.concat(A))}e.$Ke=c;function h(f){let y=0,A=0,N=0;const U=new Uint8Array(Math.floor(f.length/4*3)),z=P=>{switch(A){case 3:U[N++]=y|P,A=0;break;case 2:U[N++]=y|P>>>2,y=P<<6,A=3;break;case 1:U[N++]=y|P>>>4,y=P<<4,A=2;break;default:y=P<<2,A=1}};for(let P=0;P<f.length;P++){const O=f.charCodeAt(P);if(O>=65&&O<=90)z(O-65);else if(O>=97&&O<=122)z(O-97+26);else if(O>=48&&O<=57)z(O-48+52);else if(O===43||O===45)z(62);else if(O===47||O===95)z(63);else{if(O===61)break;throw new SyntaxError(`Unexpected base64 character ${f[P]}`)}}const T=N;for(;A>0;)z(0);return v.wrap(U).slice(0,T)}e.$Le=h;const m="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",D="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_";function g({buffer:f},y=!0,A=!1){const N=A?D:m;let U="";const z=f.byteLength%3;let T=0;for(;T<f.byteLength-z;T+=3){const P=f[T+0],O=f[T+1],j=f[T+2];U+=N[P>>>2],U+=N[(P<<4|O>>>4)&63],U+=N[(O<<2|j>>>6)&63],U+=N[j&63]}if(z===1){const P=f[T+0];U+=N[P>>>2],U+=N[P<<4&63],y&&(U+="==")}else if(z===2){const P=f[T+0],O=f[T+1];U+=N[P>>>2],U+=N[(P<<4|O>>>4)&63],U+=N[O<<2&63],y&&(U+="=")}return U}e.$Me=g}),define(Se[12],De([1,0,163,44]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rf=e.$Qf=e.$Pf=e.$Of=e.GraphemeBreakType=e.$Nf=e.$Mf=e.$Lf=e.$Kf=e.$Jf=e.$If=e.$Hf=e.$Gf=e.$Ff=e.$Ef=e.$Df=e.$Cf=e.$Bf=e.$Af=e.$zf=e.$yf=e.$xf=e.$wf=e.$vf=e.$uf=e.$tf=e.$sf=e.$rf=e.$qf=e.$pf=e.$of=e.$nf=e.$mf=e.$lf=e.$kf=e.$jf=e.$if=e.$hf=e.$gf=e.$ff=e.$ef=e.$df=e.$cf=e.$bf=e.$af=e.$_e=e.$$e=e.$0e=e.$9e=e.$8e=e.$7e=e.$6e=e.$5e=e.$4e=e.$3e=e.$2e=e.$1e=e.$Ze=e.$Ye=e.$Xe=e.$We=e.$Ve=e.$Ue=e.$Te=e.$Se=void 0;function $(Ie){return!Ie||typeof Ie!="string"?!0:Ie.trim().length===0}e.$Se=$;const L=/{(\d+)}/g;function R(Ie,...Ue){return Ue.length===0?Ie:Ie.replace(L,function(Le,Ge){const ne=parseInt(Ge,10);return isNaN(ne)||ne<0||ne>=Ue.length?Le:Ue[ne]})}e.$Te=R;const w=/{([^}]+)}/g;function v(Ie,Ue){return Object.keys(Ue).length===0?Ie:Ie.replace(w,(Le,Ge)=>Ue[Ge]??Le)}e.$Ue=v;function S(Ie){return Ie.replace(/[<>"'&]/g,Ue=>{switch(Ue){case"<":return"&lt;";case">":return"&gt;";case'"':return"&quot;";case"'":return"&apos;";case"&":return"&amp;"}return Ue})}e.$Ve=S;function M(Ie){return Ie.replace(/[<>&]/g,function(Ue){switch(Ue){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return Ue}})}e.$We=M;function C(Ie){return Ie.replace(/[\\\{\}\*\+\?\|\^\$\.\[\]\(\)]/g,"\\$&")}e.$Xe=C;function b(Ie,Ue){let Le=0;const Ge=Ue.charCodeAt(0);for(let ne=Ie.length-1;ne>=0;ne--)Ie.charCodeAt(ne)===Ge&&Le++;return Le}e.$Ye=b;function E(Ie,Ue,Le="\u2026"){return Ie.length<=Ue?Ie:`${Ie.substr(0,Ue)}${Le}`}e.$Ze=E;function k(Ie,Ue,Le="\u2026"){if(Ie.length<=Ue)return Ie;const Ge=Math.ceil(Ue/2)-Le.length/2,ne=Math.floor(Ue/2)-Le.length/2;return`${Ie.substr(0,Ge)}${Le}${Ie.substr(Ie.length-ne)}`}e.$1e=k;function l(Ie,Ue=" "){const Le=p(Ie,Ue);return o(Le,Ue)}e.$2e=l;function p(Ie,Ue){if(!Ie||!Ue)return Ie;const Le=Ue.length;if(Le===0||Ie.length===0)return Ie;let Ge=0;for(;Ie.indexOf(Ue,Ge)===Ge;)Ge=Ge+Le;return Ie.substring(Ge)}e.$3e=p;function o(Ie,Ue){if(!Ie||!Ue)return Ie;const Le=Ue.length,Ge=Ie.length;if(Le===0||Ge===0)return Ie;let ne=Ge,oe=-1;for(;oe=Ie.lastIndexOf(Ue,ne-1),!(oe===-1||oe+Le!==ne);){if(oe===0)return"";ne=oe}return Ie.substring(0,ne)}e.$4e=o;function i(Ie){return Ie.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")}e.$5e=i;function n(Ie){return Ie.replace(/\*/g,"")}e.$6e=n;function r(Ie,Ue,Le={}){if(!Ie)throw new Error("Cannot create regex from empty string");Ue||(Ie=C(Ie)),Le.wholeWord&&(/\B/.test(Ie.charAt(0))||(Ie="\\b"+Ie),/\B/.test(Ie.charAt(Ie.length-1))||(Ie=Ie+"\\b"));let Ge="";return Le.global&&(Ge+="g"),Le.matchCase||(Ge+="i"),Le.multiline&&(Ge+="m"),Le.unicode&&(Ge+="u"),new RegExp(Ie,Ge)}e.$7e=r;function a(Ie){return Ie.source==="^"||Ie.source==="^$"||Ie.source==="$"||Ie.source==="^\\s*$"?!1:!!(Ie.exec("")&&Ie.lastIndex===0)}e.$8e=a;function t(Ie){return Ie.split(/\r\n|\r|\n/)}e.$9e=t;function d(Ie){const Ue=[],Le=Ie.split(/(\r\n|\r|\n)/);for(let Ge=0;Ge<Math.ceil(Le.length/2);Ge++)Ue.push(Le[2*Ge]+(Le[2*Ge+1]??""));return Ue}e.$0e=d;function u(Ie){for(let Ue=0,Le=Ie.length;Ue<Le;Ue++){const Ge=Ie.charCodeAt(Ue);if(Ge!==32&&Ge!==9)return Ue}return-1}e.$$e=u;function s(Ie,Ue=0,Le=Ie.length){for(let Ge=Ue;Ge<Le;Ge++){const ne=Ie.charCodeAt(Ge);if(ne!==32&&ne!==9)return Ie.substring(Ue,Ge)}return Ie.substring(Ue,Le)}e.$_e=s;function c(Ie,Ue=Ie.length-1){for(let Le=Ue;Le>=0;Le--){const Ge=Ie.charCodeAt(Le);if(Ge!==32&&Ge!==9)return Le}return-1}e.$af=c;function h(Ie,Ue,Le){const Ge=[];let ne=0;for(const oe of Ie.matchAll(Ue)){if(Ge.push(Ie.slice(ne,oe.index)),oe.index===void 0)throw new Error("match.index should be defined");ne=oe.index+oe[0].length,Ge.push(Le(oe[0],...oe.slice(1),oe.index,Ie,oe.groups))}return Ge.push(Ie.slice(ne)),Promise.all(Ge).then(oe=>oe.join(""))}e.$bf=h;function m(Ie,Ue){return Ie<Ue?-1:Ie>Ue?1:0}e.$cf=m;function D(Ie,Ue,Le=0,Ge=Ie.length,ne=0,oe=Ue.length){for(;Le<Ge&&ne<oe;Le++,ne++){const xe=Ie.charCodeAt(Le),nt=Ue.charCodeAt(ne);if(xe<nt)return-1;if(xe>nt)return 1}const Ce=Ge-Le,Ke=oe-ne;return Ce<Ke?-1:Ce>Ke?1:0}e.$df=D;function g(Ie,Ue){return f(Ie,Ue,0,Ie.length,0,Ue.length)}e.$ef=g;function f(Ie,Ue,Le=0,Ge=Ie.length,ne=0,oe=Ue.length){for(;Le<Ge&&ne<oe;Le++,ne++){let xe=Ie.charCodeAt(Le),nt=Ue.charCodeAt(ne);if(xe===nt)continue;if(xe>=128||nt>=128)return D(Ie.toLowerCase(),Ue.toLowerCase(),Le,Ge,ne,oe);A(xe)&&(xe-=32),A(nt)&&(nt-=32);const Ne=xe-nt;if(Ne!==0)return Ne}const Ce=Ge-Le,Ke=oe-ne;return Ce<Ke?-1:Ce>Ke?1:0}e.$ff=f;function y(Ie){return Ie>=48&&Ie<=57}e.$gf=y;function A(Ie){return Ie>=97&&Ie<=122}e.$hf=A;function N(Ie){return Ie>=65&&Ie<=90}e.$if=N;function U(Ie,Ue){return Ie.length===Ue.length&&f(Ie,Ue)===0}e.$jf=U;function z(Ie,Ue){const Le=Ue.length;return Ue.length>Ie.length?!1:f(Ie,Ue,0,Le)===0}e.$kf=z;function T(Ie,Ue){const Le=Math.min(Ie.length,Ue.length);let Ge;for(Ge=0;Ge<Le;Ge++)if(Ie.charCodeAt(Ge)!==Ue.charCodeAt(Ge))return Ge;return Le}e.$lf=T;function P(Ie,Ue){const Le=Math.min(Ie.length,Ue.length);let Ge;const ne=Ie.length-1,oe=Ue.length-1;for(Ge=0;Ge<Le;Ge++)if(Ie.charCodeAt(ne-Ge)!==Ue.charCodeAt(oe-Ge))return Ge;return Le}e.$mf=P;function O(Ie){return 55296<=Ie&&Ie<=56319}e.$nf=O;function j(Ie){return 56320<=Ie&&Ie<=57343}e.$of=j;function K(Ie,Ue){return(Ie-55296<<10)+(Ue-56320)+65536}e.$pf=K;function ie(Ie,Ue,Le){const Ge=Ie.charCodeAt(Le);if(O(Ge)&&Le+1<Ue){const ne=Ie.charCodeAt(Le+1);if(j(ne))return K(Ge,ne)}return Ge}e.$qf=ie;function _(Ie,Ue){const Le=Ie.charCodeAt(Ue-1);if(j(Le)&&Ue>1){const Ge=Ie.charCodeAt(Ue-2);if(O(Ge))return K(Ge,Le)}return Le}class X{get offset(){return this.e}constructor(Ue,Le=0){this.c=Ue,this.d=Ue.length,this.e=Le}setOffset(Ue){this.e=Ue}prevCodePoint(){const Ue=_(this.c,this.e);return this.e-=Ue>=65536?2:1,Ue}nextCodePoint(){const Ue=ie(this.c,this.d,this.e);return this.e+=Ue>=65536?2:1,Ue}eol(){return this.e>=this.d}}e.$rf=X;class Y{get offset(){return this.c.offset}constructor(Ue,Le=0){this.c=new X(Ue,Le)}nextGraphemeLength(){const Ue=ve.getInstance(),Le=this.c,Ge=Le.offset;let ne=Ue.getGraphemeBreakType(Le.nextCodePoint());for(;!Le.eol();){const oe=Le.offset,Ce=Ue.getGraphemeBreakType(Le.nextCodePoint());if(Q(ne,Ce)){Le.setOffset(oe);break}ne=Ce}return Le.offset-Ge}prevGraphemeLength(){const Ue=ve.getInstance(),Le=this.c,Ge=Le.offset;let ne=Ue.getGraphemeBreakType(Le.prevCodePoint());for(;Le.offset>0;){const oe=Le.offset,Ce=Ue.getGraphemeBreakType(Le.prevCodePoint());if(Q(Ce,ne)){Le.setOffset(oe);break}ne=Ce}return Ge-Le.offset}eol(){return this.c.eol()}}e.$sf=Y;function ae(Ie,Ue){return new Y(Ie,Ue).nextGraphemeLength()}e.$tf=ae;function ee(Ie,Ue){return new Y(Ie,Ue).prevGraphemeLength()}e.$uf=ee;function fe(Ie,Ue){Ue>0&&j(Ie.charCodeAt(Ue))&&Ue--;const Le=Ue+ae(Ie,Ue);return[Le-ee(Ie,Le),Le]}e.$vf=fe;function re(Ie){const Ue=new Y(Ie);let Le=0;for(;!Ue.eol();)Le++,Ue.nextGraphemeLength();return Le}e.$wf=re;let J;function B(){return/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA\u07FE-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u088E\u08A0-\u08C9\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDC7\uFDF0-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE35\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDD23\uDE80-\uDEA9\uDEAD-\uDF45\uDF51-\uDF81\uDF86-\uDFF6]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD4B-\uDFFF]|\uD83B[\uDC00-\uDEBB])/}function se(Ie){return J||(J=B()),J.test(Ie)}e.$xf=se;const Ee=/^[\t\n\r\x20-\x7E]*$/;function le(Ie){return Ee.test(Ie)}e.$yf=le,e.$zf=/[\u2028\u2029]/;function he(Ie){return e.$zf.test(Ie)}e.$Af=he;function ce(Ie){return Ie>=11904&&Ie<=55215||Ie>=63744&&Ie<=64255||Ie>=65281&&Ie<=65374}e.$Bf=ce;function de(Ie){return Ie>=127462&&Ie<=127487||Ie===8986||Ie===8987||Ie===9200||Ie===9203||Ie>=9728&&Ie<=10175||Ie===11088||Ie===11093||Ie>=127744&&Ie<=128591||Ie>=128640&&Ie<=128764||Ie>=128992&&Ie<=129008||Ie>=129280&&Ie<=129535||Ie>=129648&&Ie<=129782}e.$Cf=de;function H(Ie,Ue,Le=""){const Ge=Ie.trimStart();if(Ge.length<Ue)return Ge;const ne=/\b/g;let oe=0;for(;ne.test(Ge)&&!(Ge.length-ne.lastIndex<Ue);)oe=ne.lastIndex,ne.lastIndex+=1;return oe===0?Ge:Le+Ge.substring(oe).trimStart()}e.$Df=H;const x=/(:?\x1b\[|\x9B)[=?>!]?[\d;:]*["$#'* ]?[a-zA-Z@^`{}|~]/g,ue=/\x1b\].*?\x07/g;function be(Ie){return Ie&&(Ie=Ie.replace(x,"").replace(ue,"")),Ie}e.$Ef=be,e.$Ff="\uFEFF";function Pe(Ie){return!!(Ie&&Ie.length>0&&Ie.charCodeAt(0)===65279)}e.$Gf=Pe;function we(Ie){return Pe(Ie)?Ie.substr(1):Ie}e.$Hf=we;function Ae(Ie,Ue){if(!Ie||!Ue||Ie.length<Ue.length)return!1;const Le=Ue.length,Ge=Ie.toLowerCase();let ne=0,oe=-1;for(;ne<Le;){const Ce=Ge.indexOf(Ue[ne],oe+1);if(Ce<0)return!1;oe=Ce,ne++}return!0}e.$If=Ae;function Oe(Ie,Ue=!1){return Ie?(Ue&&(Ie=Ie.replace(/\\./g,"")),Ie.toLowerCase()!==Ie):!1}e.$Jf=Oe;function ze(Ie){return Ie.charAt(0).toUpperCase()+Ie.slice(1)}e.$Kf=ze;function W(Ie,Ue=1){if(Ue===0)return"";let Le=-1;do Le=Ie.indexOf(`
`,Le+1),Ue--;while(Ue>0&&Le>=0);return Le===-1?Ie:(Ie[Le-1]==="\r"&&Le--,Ie.substr(0,Le))}e.$Lf=W;function V(Ie){return Ie=Ie%(2*26),Ie<26?String.fromCharCode(97+Ie):String.fromCharCode(65+Ie-26)}e.$Mf=V;function Z(Ie){return ve.getInstance().getGraphemeBreakType(Ie)}e.$Nf=Z;function Q(Ie,Ue){return Ie===0?Ue!==5&&Ue!==7:Ie===2&&Ue===3?!1:Ie===4||Ie===2||Ie===3||Ue===4||Ue===2||Ue===3?!0:!(Ie===8&&(Ue===8||Ue===9||Ue===11||Ue===12)||(Ie===11||Ie===9)&&(Ue===9||Ue===10)||(Ie===12||Ie===10)&&Ue===10||Ue===5||Ue===13||Ue===7||Ie===1||Ie===13&&Ue===14||Ie===6&&Ue===6)}var $e;(function(Ie){Ie[Ie.Other=0]="Other",Ie[Ie.Prepend=1]="Prepend",Ie[Ie.CR=2]="CR",Ie[Ie.LF=3]="LF",Ie[Ie.Control=4]="Control",Ie[Ie.Extend=5]="Extend",Ie[Ie.Regional_Indicator=6]="Regional_Indicator",Ie[Ie.SpacingMark=7]="SpacingMark",Ie[Ie.L=8]="L",Ie[Ie.V=9]="V",Ie[Ie.T=10]="T",Ie[Ie.LV=11]="LV",Ie[Ie.LVT=12]="LVT",Ie[Ie.ZWJ=13]="ZWJ",Ie[Ie.Extended_Pictographic=14]="Extended_Pictographic"})($e||(e.GraphemeBreakType=$e={}));class ve{static{this.c=null}static getInstance(){return ve.c||(ve.c=new ve),ve.c}constructor(){this.d=Te()}getGraphemeBreakType(Ue){if(Ue<32)return Ue===10?3:Ue===13?2:4;if(Ue<127)return 0;const Le=this.d,Ge=Le.length/3;let ne=1;for(;ne<=Ge;)if(Ue<Le[3*ne])ne=2*ne;else if(Ue>Le[3*ne+1])ne=2*ne+1;else return Le[3*ne+2];return 0}}function Te(){return JSON.parse("[0,0,0,51229,51255,12,44061,44087,12,127462,127487,6,7083,7085,5,47645,47671,12,54813,54839,12,128678,128678,14,3270,3270,5,9919,9923,14,45853,45879,12,49437,49463,12,53021,53047,12,71216,71218,7,128398,128399,14,129360,129374,14,2519,2519,5,4448,4519,9,9742,9742,14,12336,12336,14,44957,44983,12,46749,46775,12,48541,48567,12,50333,50359,12,52125,52151,12,53917,53943,12,69888,69890,5,73018,73018,5,127990,127990,14,128558,128559,14,128759,128760,14,129653,129655,14,2027,2035,5,2891,2892,7,3761,3761,5,6683,6683,5,8293,8293,4,9825,9826,14,9999,9999,14,43452,43453,5,44509,44535,12,45405,45431,12,46301,46327,12,47197,47223,12,48093,48119,12,48989,49015,12,49885,49911,12,50781,50807,12,51677,51703,12,52573,52599,12,53469,53495,12,54365,54391,12,65279,65279,4,70471,70472,7,72145,72147,7,119173,119179,5,127799,127818,14,128240,128244,14,128512,128512,14,128652,128652,14,128721,128722,14,129292,129292,14,129445,129450,14,129734,129743,14,1476,1477,5,2366,2368,7,2750,2752,7,3076,3076,5,3415,3415,5,4141,4144,5,6109,6109,5,6964,6964,5,7394,7400,5,9197,9198,14,9770,9770,14,9877,9877,14,9968,9969,14,10084,10084,14,43052,43052,5,43713,43713,5,44285,44311,12,44733,44759,12,45181,45207,12,45629,45655,12,46077,46103,12,46525,46551,12,46973,46999,12,47421,47447,12,47869,47895,12,48317,48343,12,48765,48791,12,49213,49239,12,49661,49687,12,50109,50135,12,50557,50583,12,51005,51031,12,51453,51479,12,51901,51927,12,52349,52375,12,52797,52823,12,53245,53271,12,53693,53719,12,54141,54167,12,54589,54615,12,55037,55063,12,69506,69509,5,70191,70193,5,70841,70841,7,71463,71467,5,72330,72342,5,94031,94031,5,123628,123631,5,127763,127765,14,127941,127941,14,128043,128062,14,128302,128317,14,128465,128467,14,128539,128539,14,128640,128640,14,128662,128662,14,128703,128703,14,128745,128745,14,129004,129007,14,129329,129330,14,129402,129402,14,129483,129483,14,129686,129704,14,130048,131069,14,173,173,4,1757,1757,1,2200,2207,5,2434,2435,7,2631,2632,5,2817,2817,5,3008,3008,5,3201,3201,5,3387,3388,5,3542,3542,5,3902,3903,7,4190,4192,5,6002,6003,5,6439,6440,5,6765,6770,7,7019,7027,5,7154,7155,7,8205,8205,13,8505,8505,14,9654,9654,14,9757,9757,14,9792,9792,14,9852,9853,14,9890,9894,14,9937,9937,14,9981,9981,14,10035,10036,14,11035,11036,14,42654,42655,5,43346,43347,7,43587,43587,5,44006,44007,7,44173,44199,12,44397,44423,12,44621,44647,12,44845,44871,12,45069,45095,12,45293,45319,12,45517,45543,12,45741,45767,12,45965,45991,12,46189,46215,12,46413,46439,12,46637,46663,12,46861,46887,12,47085,47111,12,47309,47335,12,47533,47559,12,47757,47783,12,47981,48007,12,48205,48231,12,48429,48455,12,48653,48679,12,48877,48903,12,49101,49127,12,49325,49351,12,49549,49575,12,49773,49799,12,49997,50023,12,50221,50247,12,50445,50471,12,50669,50695,12,50893,50919,12,51117,51143,12,51341,51367,12,51565,51591,12,51789,51815,12,52013,52039,12,52237,52263,12,52461,52487,12,52685,52711,12,52909,52935,12,53133,53159,12,53357,53383,12,53581,53607,12,53805,53831,12,54029,54055,12,54253,54279,12,54477,54503,12,54701,54727,12,54925,54951,12,55149,55175,12,68101,68102,5,69762,69762,7,70067,70069,7,70371,70378,5,70720,70721,7,71087,71087,5,71341,71341,5,71995,71996,5,72249,72249,7,72850,72871,5,73109,73109,5,118576,118598,5,121505,121519,5,127245,127247,14,127568,127569,14,127777,127777,14,127872,127891,14,127956,127967,14,128015,128016,14,128110,128172,14,128259,128259,14,128367,128368,14,128424,128424,14,128488,128488,14,128530,128532,14,128550,128551,14,128566,128566,14,128647,128647,14,128656,128656,14,128667,128673,14,128691,128693,14,128715,128715,14,128728,128732,14,128752,128752,14,128765,128767,14,129096,129103,14,129311,129311,14,129344,129349,14,129394,129394,14,129413,129425,14,129466,129471,14,129511,129535,14,129664,129666,14,129719,129722,14,129760,129767,14,917536,917631,5,13,13,2,1160,1161,5,1564,1564,4,1807,1807,1,2085,2087,5,2307,2307,7,2382,2383,7,2497,2500,5,2563,2563,7,2677,2677,5,2763,2764,7,2879,2879,5,2914,2915,5,3021,3021,5,3142,3144,5,3263,3263,5,3285,3286,5,3398,3400,7,3530,3530,5,3633,3633,5,3864,3865,5,3974,3975,5,4155,4156,7,4229,4230,5,5909,5909,7,6078,6085,7,6277,6278,5,6451,6456,7,6744,6750,5,6846,6846,5,6972,6972,5,7074,7077,5,7146,7148,7,7222,7223,5,7416,7417,5,8234,8238,4,8417,8417,5,9000,9000,14,9203,9203,14,9730,9731,14,9748,9749,14,9762,9763,14,9776,9783,14,9800,9811,14,9831,9831,14,9872,9873,14,9882,9882,14,9900,9903,14,9929,9933,14,9941,9960,14,9974,9974,14,9989,9989,14,10006,10006,14,10062,10062,14,10160,10160,14,11647,11647,5,12953,12953,14,43019,43019,5,43232,43249,5,43443,43443,5,43567,43568,7,43696,43696,5,43765,43765,7,44013,44013,5,44117,44143,12,44229,44255,12,44341,44367,12,44453,44479,12,44565,44591,12,44677,44703,12,44789,44815,12,44901,44927,12,45013,45039,12,45125,45151,12,45237,45263,12,45349,45375,12,45461,45487,12,45573,45599,12,45685,45711,12,45797,45823,12,45909,45935,12,46021,46047,12,46133,46159,12,46245,46271,12,46357,46383,12,46469,46495,12,46581,46607,12,46693,46719,12,46805,46831,12,46917,46943,12,47029,47055,12,47141,47167,12,47253,47279,12,47365,47391,12,47477,47503,12,47589,47615,12,47701,47727,12,47813,47839,12,47925,47951,12,48037,48063,12,48149,48175,12,48261,48287,12,48373,48399,12,48485,48511,12,48597,48623,12,48709,48735,12,48821,48847,12,48933,48959,12,49045,49071,12,49157,49183,12,49269,49295,12,49381,49407,12,49493,49519,12,49605,49631,12,49717,49743,12,49829,49855,12,49941,49967,12,50053,50079,12,50165,50191,12,50277,50303,12,50389,50415,12,50501,50527,12,50613,50639,12,50725,50751,12,50837,50863,12,50949,50975,12,51061,51087,12,51173,51199,12,51285,51311,12,51397,51423,12,51509,51535,12,51621,51647,12,51733,51759,12,51845,51871,12,51957,51983,12,52069,52095,12,52181,52207,12,52293,52319,12,52405,52431,12,52517,52543,12,52629,52655,12,52741,52767,12,52853,52879,12,52965,52991,12,53077,53103,12,53189,53215,12,53301,53327,12,53413,53439,12,53525,53551,12,53637,53663,12,53749,53775,12,53861,53887,12,53973,53999,12,54085,54111,12,54197,54223,12,54309,54335,12,54421,54447,12,54533,54559,12,54645,54671,12,54757,54783,12,54869,54895,12,54981,55007,12,55093,55119,12,55243,55291,10,66045,66045,5,68325,68326,5,69688,69702,5,69817,69818,5,69957,69958,7,70089,70092,5,70198,70199,5,70462,70462,5,70502,70508,5,70750,70750,5,70846,70846,7,71100,71101,5,71230,71230,7,71351,71351,5,71737,71738,5,72000,72000,7,72160,72160,5,72273,72278,5,72752,72758,5,72882,72883,5,73031,73031,5,73461,73462,7,94192,94193,7,119149,119149,7,121403,121452,5,122915,122916,5,126980,126980,14,127358,127359,14,127535,127535,14,127759,127759,14,127771,127771,14,127792,127793,14,127825,127867,14,127897,127899,14,127945,127945,14,127985,127986,14,128000,128007,14,128021,128021,14,128066,128100,14,128184,128235,14,128249,128252,14,128266,128276,14,128335,128335,14,128379,128390,14,128407,128419,14,128444,128444,14,128481,128481,14,128499,128499,14,128526,128526,14,128536,128536,14,128543,128543,14,128556,128556,14,128564,128564,14,128577,128580,14,128643,128645,14,128649,128649,14,128654,128654,14,128660,128660,14,128664,128664,14,128675,128675,14,128686,128689,14,128695,128696,14,128705,128709,14,128717,128719,14,128725,128725,14,128736,128741,14,128747,128748,14,128755,128755,14,128762,128762,14,128981,128991,14,129009,129023,14,129160,129167,14,129296,129304,14,129320,129327,14,129340,129342,14,129356,129356,14,129388,129392,14,129399,129400,14,129404,129407,14,129432,129442,14,129454,129455,14,129473,129474,14,129485,129487,14,129648,129651,14,129659,129660,14,129671,129679,14,129709,129711,14,129728,129730,14,129751,129753,14,129776,129782,14,917505,917505,4,917760,917999,5,10,10,3,127,159,4,768,879,5,1471,1471,5,1536,1541,1,1648,1648,5,1767,1768,5,1840,1866,5,2070,2073,5,2137,2139,5,2274,2274,1,2363,2363,7,2377,2380,7,2402,2403,5,2494,2494,5,2507,2508,7,2558,2558,5,2622,2624,7,2641,2641,5,2691,2691,7,2759,2760,5,2786,2787,5,2876,2876,5,2881,2884,5,2901,2902,5,3006,3006,5,3014,3016,7,3072,3072,5,3134,3136,5,3157,3158,5,3260,3260,5,3266,3266,5,3274,3275,7,3328,3329,5,3391,3392,7,3405,3405,5,3457,3457,5,3536,3537,7,3551,3551,5,3636,3642,5,3764,3772,5,3895,3895,5,3967,3967,7,3993,4028,5,4146,4151,5,4182,4183,7,4226,4226,5,4253,4253,5,4957,4959,5,5940,5940,7,6070,6070,7,6087,6088,7,6158,6158,4,6432,6434,5,6448,6449,7,6679,6680,5,6742,6742,5,6754,6754,5,6783,6783,5,6912,6915,5,6966,6970,5,6978,6978,5,7042,7042,7,7080,7081,5,7143,7143,7,7150,7150,7,7212,7219,5,7380,7392,5,7412,7412,5,8203,8203,4,8232,8232,4,8265,8265,14,8400,8412,5,8421,8432,5,8617,8618,14,9167,9167,14,9200,9200,14,9410,9410,14,9723,9726,14,9733,9733,14,9745,9745,14,9752,9752,14,9760,9760,14,9766,9766,14,9774,9774,14,9786,9786,14,9794,9794,14,9823,9823,14,9828,9828,14,9833,9850,14,9855,9855,14,9875,9875,14,9880,9880,14,9885,9887,14,9896,9897,14,9906,9916,14,9926,9927,14,9935,9935,14,9939,9939,14,9962,9962,14,9972,9972,14,9978,9978,14,9986,9986,14,9997,9997,14,10002,10002,14,10017,10017,14,10055,10055,14,10071,10071,14,10133,10135,14,10548,10549,14,11093,11093,14,12330,12333,5,12441,12442,5,42608,42610,5,43010,43010,5,43045,43046,5,43188,43203,7,43302,43309,5,43392,43394,5,43446,43449,5,43493,43493,5,43571,43572,7,43597,43597,7,43703,43704,5,43756,43757,5,44003,44004,7,44009,44010,7,44033,44059,12,44089,44115,12,44145,44171,12,44201,44227,12,44257,44283,12,44313,44339,12,44369,44395,12,44425,44451,12,44481,44507,12,44537,44563,12,44593,44619,12,44649,44675,12,44705,44731,12,44761,44787,12,44817,44843,12,44873,44899,12,44929,44955,12,44985,45011,12,45041,45067,12,45097,45123,12,45153,45179,12,45209,45235,12,45265,45291,12,45321,45347,12,45377,45403,12,45433,45459,12,45489,45515,12,45545,45571,12,45601,45627,12,45657,45683,12,45713,45739,12,45769,45795,12,45825,45851,12,45881,45907,12,45937,45963,12,45993,46019,12,46049,46075,12,46105,46131,12,46161,46187,12,46217,46243,12,46273,46299,12,46329,46355,12,46385,46411,12,46441,46467,12,46497,46523,12,46553,46579,12,46609,46635,12,46665,46691,12,46721,46747,12,46777,46803,12,46833,46859,12,46889,46915,12,46945,46971,12,47001,47027,12,47057,47083,12,47113,47139,12,47169,47195,12,47225,47251,12,47281,47307,12,47337,47363,12,47393,47419,12,47449,47475,12,47505,47531,12,47561,47587,12,47617,47643,12,47673,47699,12,47729,47755,12,47785,47811,12,47841,47867,12,47897,47923,12,47953,47979,12,48009,48035,12,48065,48091,12,48121,48147,12,48177,48203,12,48233,48259,12,48289,48315,12,48345,48371,12,48401,48427,12,48457,48483,12,48513,48539,12,48569,48595,12,48625,48651,12,48681,48707,12,48737,48763,12,48793,48819,12,48849,48875,12,48905,48931,12,48961,48987,12,49017,49043,12,49073,49099,12,49129,49155,12,49185,49211,12,49241,49267,12,49297,49323,12,49353,49379,12,49409,49435,12,49465,49491,12,49521,49547,12,49577,49603,12,49633,49659,12,49689,49715,12,49745,49771,12,49801,49827,12,49857,49883,12,49913,49939,12,49969,49995,12,50025,50051,12,50081,50107,12,50137,50163,12,50193,50219,12,50249,50275,12,50305,50331,12,50361,50387,12,50417,50443,12,50473,50499,12,50529,50555,12,50585,50611,12,50641,50667,12,50697,50723,12,50753,50779,12,50809,50835,12,50865,50891,12,50921,50947,12,50977,51003,12,51033,51059,12,51089,51115,12,51145,51171,12,51201,51227,12,51257,51283,12,51313,51339,12,51369,51395,12,51425,51451,12,51481,51507,12,51537,51563,12,51593,51619,12,51649,51675,12,51705,51731,12,51761,51787,12,51817,51843,12,51873,51899,12,51929,51955,12,51985,52011,12,52041,52067,12,52097,52123,12,52153,52179,12,52209,52235,12,52265,52291,12,52321,52347,12,52377,52403,12,52433,52459,12,52489,52515,12,52545,52571,12,52601,52627,12,52657,52683,12,52713,52739,12,52769,52795,12,52825,52851,12,52881,52907,12,52937,52963,12,52993,53019,12,53049,53075,12,53105,53131,12,53161,53187,12,53217,53243,12,53273,53299,12,53329,53355,12,53385,53411,12,53441,53467,12,53497,53523,12,53553,53579,12,53609,53635,12,53665,53691,12,53721,53747,12,53777,53803,12,53833,53859,12,53889,53915,12,53945,53971,12,54001,54027,12,54057,54083,12,54113,54139,12,54169,54195,12,54225,54251,12,54281,54307,12,54337,54363,12,54393,54419,12,54449,54475,12,54505,54531,12,54561,54587,12,54617,54643,12,54673,54699,12,54729,54755,12,54785,54811,12,54841,54867,12,54897,54923,12,54953,54979,12,55009,55035,12,55065,55091,12,55121,55147,12,55177,55203,12,65024,65039,5,65520,65528,4,66422,66426,5,68152,68154,5,69291,69292,5,69633,69633,5,69747,69748,5,69811,69814,5,69826,69826,5,69932,69932,7,70016,70017,5,70079,70080,7,70095,70095,5,70196,70196,5,70367,70367,5,70402,70403,7,70464,70464,5,70487,70487,5,70709,70711,7,70725,70725,7,70833,70834,7,70843,70844,7,70849,70849,7,71090,71093,5,71103,71104,5,71227,71228,7,71339,71339,5,71344,71349,5,71458,71461,5,71727,71735,5,71985,71989,7,71998,71998,5,72002,72002,7,72154,72155,5,72193,72202,5,72251,72254,5,72281,72283,5,72344,72345,5,72766,72766,7,72874,72880,5,72885,72886,5,73023,73029,5,73104,73105,5,73111,73111,5,92912,92916,5,94095,94098,5,113824,113827,4,119142,119142,7,119155,119162,4,119362,119364,5,121476,121476,5,122888,122904,5,123184,123190,5,125252,125258,5,127183,127183,14,127340,127343,14,127377,127386,14,127491,127503,14,127548,127551,14,127744,127756,14,127761,127761,14,127769,127769,14,127773,127774,14,127780,127788,14,127796,127797,14,127820,127823,14,127869,127869,14,127894,127895,14,127902,127903,14,127943,127943,14,127947,127950,14,127972,127972,14,127988,127988,14,127992,127994,14,128009,128011,14,128019,128019,14,128023,128041,14,128064,128064,14,128102,128107,14,128174,128181,14,128238,128238,14,128246,128247,14,128254,128254,14,128264,128264,14,128278,128299,14,128329,128330,14,128348,128359,14,128371,128377,14,128392,128393,14,128401,128404,14,128421,128421,14,128433,128434,14,128450,128452,14,128476,128478,14,128483,128483,14,128495,128495,14,128506,128506,14,128519,128520,14,128528,128528,14,128534,128534,14,128538,128538,14,128540,128542,14,128544,128549,14,128552,128555,14,128557,128557,14,128560,128563,14,128565,128565,14,128567,128576,14,128581,128591,14,128641,128642,14,128646,128646,14,128648,128648,14,128650,128651,14,128653,128653,14,128655,128655,14,128657,128659,14,128661,128661,14,128663,128663,14,128665,128666,14,128674,128674,14,128676,128677,14,128679,128685,14,128690,128690,14,128694,128694,14,128697,128702,14,128704,128704,14,128710,128714,14,128716,128716,14,128720,128720,14,128723,128724,14,128726,128727,14,128733,128735,14,128742,128744,14,128746,128746,14,128749,128751,14,128753,128754,14,128756,128758,14,128761,128761,14,128763,128764,14,128884,128895,14,128992,129003,14,129008,129008,14,129036,129039,14,129114,129119,14,129198,129279,14,129293,129295,14,129305,129310,14,129312,129319,14,129328,129328,14,129331,129338,14,129343,129343,14,129351,129355,14,129357,129359,14,129375,129387,14,129393,129393,14,129395,129398,14,129401,129401,14,129403,129403,14,129408,129412,14,129426,129431,14,129443,129444,14,129451,129453,14,129456,129465,14,129472,129472,14,129475,129482,14,129484,129484,14,129488,129510,14,129536,129647,14,129652,129652,14,129656,129658,14,129661,129663,14,129667,129670,14,129680,129685,14,129705,129708,14,129712,129718,14,129723,129727,14,129731,129733,14,129744,129750,14,129754,129759,14,129768,129775,14,129783,129791,14,917504,917504,4,917506,917535,4,917632,917759,4,918000,921599,4,0,9,4,11,12,4,14,31,4,169,169,14,174,174,14,1155,1159,5,1425,1469,5,1473,1474,5,1479,1479,5,1552,1562,5,1611,1631,5,1750,1756,5,1759,1764,5,1770,1773,5,1809,1809,5,1958,1968,5,2045,2045,5,2075,2083,5,2089,2093,5,2192,2193,1,2250,2273,5,2275,2306,5,2362,2362,5,2364,2364,5,2369,2376,5,2381,2381,5,2385,2391,5,2433,2433,5,2492,2492,5,2495,2496,7,2503,2504,7,2509,2509,5,2530,2531,5,2561,2562,5,2620,2620,5,2625,2626,5,2635,2637,5,2672,2673,5,2689,2690,5,2748,2748,5,2753,2757,5,2761,2761,7,2765,2765,5,2810,2815,5,2818,2819,7,2878,2878,5,2880,2880,7,2887,2888,7,2893,2893,5,2903,2903,5,2946,2946,5,3007,3007,7,3009,3010,7,3018,3020,7,3031,3031,5,3073,3075,7,3132,3132,5,3137,3140,7,3146,3149,5,3170,3171,5,3202,3203,7,3262,3262,7,3264,3265,7,3267,3268,7,3271,3272,7,3276,3277,5,3298,3299,5,3330,3331,7,3390,3390,5,3393,3396,5,3402,3404,7,3406,3406,1,3426,3427,5,3458,3459,7,3535,3535,5,3538,3540,5,3544,3550,7,3570,3571,7,3635,3635,7,3655,3662,5,3763,3763,7,3784,3789,5,3893,3893,5,3897,3897,5,3953,3966,5,3968,3972,5,3981,3991,5,4038,4038,5,4145,4145,7,4153,4154,5,4157,4158,5,4184,4185,5,4209,4212,5,4228,4228,7,4237,4237,5,4352,4447,8,4520,4607,10,5906,5908,5,5938,5939,5,5970,5971,5,6068,6069,5,6071,6077,5,6086,6086,5,6089,6099,5,6155,6157,5,6159,6159,5,6313,6313,5,6435,6438,7,6441,6443,7,6450,6450,5,6457,6459,5,6681,6682,7,6741,6741,7,6743,6743,7,6752,6752,5,6757,6764,5,6771,6780,5,6832,6845,5,6847,6862,5,6916,6916,7,6965,6965,5,6971,6971,7,6973,6977,7,6979,6980,7,7040,7041,5,7073,7073,7,7078,7079,7,7082,7082,7,7142,7142,5,7144,7145,5,7149,7149,5,7151,7153,5,7204,7211,7,7220,7221,7,7376,7378,5,7393,7393,7,7405,7405,5,7415,7415,7,7616,7679,5,8204,8204,5,8206,8207,4,8233,8233,4,8252,8252,14,8288,8292,4,8294,8303,4,8413,8416,5,8418,8420,5,8482,8482,14,8596,8601,14,8986,8987,14,9096,9096,14,9193,9196,14,9199,9199,14,9201,9202,14,9208,9210,14,9642,9643,14,9664,9664,14,9728,9729,14,9732,9732,14,9735,9741,14,9743,9744,14,9746,9746,14,9750,9751,14,9753,9756,14,9758,9759,14,9761,9761,14,9764,9765,14,9767,9769,14,9771,9773,14,9775,9775,14,9784,9785,14,9787,9791,14,9793,9793,14,9795,9799,14,9812,9822,14,9824,9824,14,9827,9827,14,9829,9830,14,9832,9832,14,9851,9851,14,9854,9854,14,9856,9861,14,9874,9874,14,9876,9876,14,9878,9879,14,9881,9881,14,9883,9884,14,9888,9889,14,9895,9895,14,9898,9899,14,9904,9905,14,9917,9918,14,9924,9925,14,9928,9928,14,9934,9934,14,9936,9936,14,9938,9938,14,9940,9940,14,9961,9961,14,9963,9967,14,9970,9971,14,9973,9973,14,9975,9977,14,9979,9980,14,9982,9985,14,9987,9988,14,9992,9996,14,9998,9998,14,10000,10001,14,10004,10004,14,10013,10013,14,10024,10024,14,10052,10052,14,10060,10060,14,10067,10069,14,10083,10083,14,10085,10087,14,10145,10145,14,10175,10175,14,11013,11015,14,11088,11088,14,11503,11505,5,11744,11775,5,12334,12335,5,12349,12349,14,12951,12951,14,42607,42607,5,42612,42621,5,42736,42737,5,43014,43014,5,43043,43044,7,43047,43047,7,43136,43137,7,43204,43205,5,43263,43263,5,43335,43345,5,43360,43388,8,43395,43395,7,43444,43445,7,43450,43451,7,43454,43456,7,43561,43566,5,43569,43570,5,43573,43574,5,43596,43596,5,43644,43644,5,43698,43700,5,43710,43711,5,43755,43755,7,43758,43759,7,43766,43766,5,44005,44005,5,44008,44008,5,44012,44012,7,44032,44032,11,44060,44060,11,44088,44088,11,44116,44116,11,44144,44144,11,44172,44172,11,44200,44200,11,44228,44228,11,44256,44256,11,44284,44284,11,44312,44312,11,44340,44340,11,44368,44368,11,44396,44396,11,44424,44424,11,44452,44452,11,44480,44480,11,44508,44508,11,44536,44536,11,44564,44564,11,44592,44592,11,44620,44620,11,44648,44648,11,44676,44676,11,44704,44704,11,44732,44732,11,44760,44760,11,44788,44788,11,44816,44816,11,44844,44844,11,44872,44872,11,44900,44900,11,44928,44928,11,44956,44956,11,44984,44984,11,45012,45012,11,45040,45040,11,45068,45068,11,45096,45096,11,45124,45124,11,45152,45152,11,45180,45180,11,45208,45208,11,45236,45236,11,45264,45264,11,45292,45292,11,45320,45320,11,45348,45348,11,45376,45376,11,45404,45404,11,45432,45432,11,45460,45460,11,45488,45488,11,45516,45516,11,45544,45544,11,45572,45572,11,45600,45600,11,45628,45628,11,45656,45656,11,45684,45684,11,45712,45712,11,45740,45740,11,45768,45768,11,45796,45796,11,45824,45824,11,45852,45852,11,45880,45880,11,45908,45908,11,45936,45936,11,45964,45964,11,45992,45992,11,46020,46020,11,46048,46048,11,46076,46076,11,46104,46104,11,46132,46132,11,46160,46160,11,46188,46188,11,46216,46216,11,46244,46244,11,46272,46272,11,46300,46300,11,46328,46328,11,46356,46356,11,46384,46384,11,46412,46412,11,46440,46440,11,46468,46468,11,46496,46496,11,46524,46524,11,46552,46552,11,46580,46580,11,46608,46608,11,46636,46636,11,46664,46664,11,46692,46692,11,46720,46720,11,46748,46748,11,46776,46776,11,46804,46804,11,46832,46832,11,46860,46860,11,46888,46888,11,46916,46916,11,46944,46944,11,46972,46972,11,47000,47000,11,47028,47028,11,47056,47056,11,47084,47084,11,47112,47112,11,47140,47140,11,47168,47168,11,47196,47196,11,47224,47224,11,47252,47252,11,47280,47280,11,47308,47308,11,47336,47336,11,47364,47364,11,47392,47392,11,47420,47420,11,47448,47448,11,47476,47476,11,47504,47504,11,47532,47532,11,47560,47560,11,47588,47588,11,47616,47616,11,47644,47644,11,47672,47672,11,47700,47700,11,47728,47728,11,47756,47756,11,47784,47784,11,47812,47812,11,47840,47840,11,47868,47868,11,47896,47896,11,47924,47924,11,47952,47952,11,47980,47980,11,48008,48008,11,48036,48036,11,48064,48064,11,48092,48092,11,48120,48120,11,48148,48148,11,48176,48176,11,48204,48204,11,48232,48232,11,48260,48260,11,48288,48288,11,48316,48316,11,48344,48344,11,48372,48372,11,48400,48400,11,48428,48428,11,48456,48456,11,48484,48484,11,48512,48512,11,48540,48540,11,48568,48568,11,48596,48596,11,48624,48624,11,48652,48652,11,48680,48680,11,48708,48708,11,48736,48736,11,48764,48764,11,48792,48792,11,48820,48820,11,48848,48848,11,48876,48876,11,48904,48904,11,48932,48932,11,48960,48960,11,48988,48988,11,49016,49016,11,49044,49044,11,49072,49072,11,49100,49100,11,49128,49128,11,49156,49156,11,49184,49184,11,49212,49212,11,49240,49240,11,49268,49268,11,49296,49296,11,49324,49324,11,49352,49352,11,49380,49380,11,49408,49408,11,49436,49436,11,49464,49464,11,49492,49492,11,49520,49520,11,49548,49548,11,49576,49576,11,49604,49604,11,49632,49632,11,49660,49660,11,49688,49688,11,49716,49716,11,49744,49744,11,49772,49772,11,49800,49800,11,49828,49828,11,49856,49856,11,49884,49884,11,49912,49912,11,49940,49940,11,49968,49968,11,49996,49996,11,50024,50024,11,50052,50052,11,50080,50080,11,50108,50108,11,50136,50136,11,50164,50164,11,50192,50192,11,50220,50220,11,50248,50248,11,50276,50276,11,50304,50304,11,50332,50332,11,50360,50360,11,50388,50388,11,50416,50416,11,50444,50444,11,50472,50472,11,50500,50500,11,50528,50528,11,50556,50556,11,50584,50584,11,50612,50612,11,50640,50640,11,50668,50668,11,50696,50696,11,50724,50724,11,50752,50752,11,50780,50780,11,50808,50808,11,50836,50836,11,50864,50864,11,50892,50892,11,50920,50920,11,50948,50948,11,50976,50976,11,51004,51004,11,51032,51032,11,51060,51060,11,51088,51088,11,51116,51116,11,51144,51144,11,51172,51172,11,51200,51200,11,51228,51228,11,51256,51256,11,51284,51284,11,51312,51312,11,51340,51340,11,51368,51368,11,51396,51396,11,51424,51424,11,51452,51452,11,51480,51480,11,51508,51508,11,51536,51536,11,51564,51564,11,51592,51592,11,51620,51620,11,51648,51648,11,51676,51676,11,51704,51704,11,51732,51732,11,51760,51760,11,51788,51788,11,51816,51816,11,51844,51844,11,51872,51872,11,51900,51900,11,51928,51928,11,51956,51956,11,51984,51984,11,52012,52012,11,52040,52040,11,52068,52068,11,52096,52096,11,52124,52124,11,52152,52152,11,52180,52180,11,52208,52208,11,52236,52236,11,52264,52264,11,52292,52292,11,52320,52320,11,52348,52348,11,52376,52376,11,52404,52404,11,52432,52432,11,52460,52460,11,52488,52488,11,52516,52516,11,52544,52544,11,52572,52572,11,52600,52600,11,52628,52628,11,52656,52656,11,52684,52684,11,52712,52712,11,52740,52740,11,52768,52768,11,52796,52796,11,52824,52824,11,52852,52852,11,52880,52880,11,52908,52908,11,52936,52936,11,52964,52964,11,52992,52992,11,53020,53020,11,53048,53048,11,53076,53076,11,53104,53104,11,53132,53132,11,53160,53160,11,53188,53188,11,53216,53216,11,53244,53244,11,53272,53272,11,53300,53300,11,53328,53328,11,53356,53356,11,53384,53384,11,53412,53412,11,53440,53440,11,53468,53468,11,53496,53496,11,53524,53524,11,53552,53552,11,53580,53580,11,53608,53608,11,53636,53636,11,53664,53664,11,53692,53692,11,53720,53720,11,53748,53748,11,53776,53776,11,53804,53804,11,53832,53832,11,53860,53860,11,53888,53888,11,53916,53916,11,53944,53944,11,53972,53972,11,54000,54000,11,54028,54028,11,54056,54056,11,54084,54084,11,54112,54112,11,54140,54140,11,54168,54168,11,54196,54196,11,54224,54224,11,54252,54252,11,54280,54280,11,54308,54308,11,54336,54336,11,54364,54364,11,54392,54392,11,54420,54420,11,54448,54448,11,54476,54476,11,54504,54504,11,54532,54532,11,54560,54560,11,54588,54588,11,54616,54616,11,54644,54644,11,54672,54672,11,54700,54700,11,54728,54728,11,54756,54756,11,54784,54784,11,54812,54812,11,54840,54840,11,54868,54868,11,54896,54896,11,54924,54924,11,54952,54952,11,54980,54980,11,55008,55008,11,55036,55036,11,55064,55064,11,55092,55092,11,55120,55120,11,55148,55148,11,55176,55176,11,55216,55238,9,64286,64286,5,65056,65071,5,65438,65439,5,65529,65531,4,66272,66272,5,68097,68099,5,68108,68111,5,68159,68159,5,68900,68903,5,69446,69456,5,69632,69632,7,69634,69634,7,69744,69744,5,69759,69761,5,69808,69810,7,69815,69816,7,69821,69821,1,69837,69837,1,69927,69931,5,69933,69940,5,70003,70003,5,70018,70018,7,70070,70078,5,70082,70083,1,70094,70094,7,70188,70190,7,70194,70195,7,70197,70197,7,70206,70206,5,70368,70370,7,70400,70401,5,70459,70460,5,70463,70463,7,70465,70468,7,70475,70477,7,70498,70499,7,70512,70516,5,70712,70719,5,70722,70724,5,70726,70726,5,70832,70832,5,70835,70840,5,70842,70842,5,70845,70845,5,70847,70848,5,70850,70851,5,71088,71089,7,71096,71099,7,71102,71102,7,71132,71133,5,71219,71226,5,71229,71229,5,71231,71232,5,71340,71340,7,71342,71343,7,71350,71350,7,71453,71455,5,71462,71462,7,71724,71726,7,71736,71736,7,71984,71984,5,71991,71992,7,71997,71997,7,71999,71999,1,72001,72001,1,72003,72003,5,72148,72151,5,72156,72159,7,72164,72164,7,72243,72248,5,72250,72250,1,72263,72263,5,72279,72280,7,72324,72329,1,72343,72343,7,72751,72751,7,72760,72765,5,72767,72767,5,72873,72873,7,72881,72881,7,72884,72884,7,73009,73014,5,73020,73021,5,73030,73030,1,73098,73102,7,73107,73108,7,73110,73110,7,73459,73460,5,78896,78904,4,92976,92982,5,94033,94087,7,94180,94180,5,113821,113822,5,118528,118573,5,119141,119141,5,119143,119145,5,119150,119154,5,119163,119170,5,119210,119213,5,121344,121398,5,121461,121461,5,121499,121503,5,122880,122886,5,122907,122913,5,122918,122922,5,123566,123566,5,125136,125142,5,126976,126979,14,126981,127182,14,127184,127231,14,127279,127279,14,127344,127345,14,127374,127374,14,127405,127461,14,127489,127490,14,127514,127514,14,127538,127546,14,127561,127567,14,127570,127743,14,127757,127758,14,127760,127760,14,127762,127762,14,127766,127768,14,127770,127770,14,127772,127772,14,127775,127776,14,127778,127779,14,127789,127791,14,127794,127795,14,127798,127798,14,127819,127819,14,127824,127824,14,127868,127868,14,127870,127871,14,127892,127893,14,127896,127896,14,127900,127901,14,127904,127940,14,127942,127942,14,127944,127944,14,127946,127946,14,127951,127955,14,127968,127971,14,127973,127984,14,127987,127987,14,127989,127989,14,127991,127991,14,127995,127999,5,128008,128008,14,128012,128014,14,128017,128018,14,128020,128020,14,128022,128022,14,128042,128042,14,128063,128063,14,128065,128065,14,128101,128101,14,128108,128109,14,128173,128173,14,128182,128183,14,128236,128237,14,128239,128239,14,128245,128245,14,128248,128248,14,128253,128253,14,128255,128258,14,128260,128263,14,128265,128265,14,128277,128277,14,128300,128301,14,128326,128328,14,128331,128334,14,128336,128347,14,128360,128366,14,128369,128370,14,128378,128378,14,128391,128391,14,128394,128397,14,128400,128400,14,128405,128406,14,128420,128420,14,128422,128423,14,128425,128432,14,128435,128443,14,128445,128449,14,128453,128464,14,128468,128475,14,128479,128480,14,128482,128482,14,128484,128487,14,128489,128494,14,128496,128498,14,128500,128505,14,128507,128511,14,128513,128518,14,128521,128525,14,128527,128527,14,128529,128529,14,128533,128533,14,128535,128535,14,128537,128537,14]")}function He(Ie,Ue){if(Ie===0)return 0;const Le=Qe(Ie,Ue);if(Le!==void 0)return Le;const Ge=new X(Ue,Ie);return Ge.prevCodePoint(),Ge.offset}e.$Of=He;function Qe(Ie,Ue){const Le=new X(Ue,Ie);let Ge=Le.prevCodePoint();for(;tt(Ge)||Ge===65039||Ge===8419;){if(Le.offset===0)return;Ge=Le.prevCodePoint()}if(!de(Ge))return;let ne=Le.offset;return ne>0&&Le.prevCodePoint()===8205&&(ne=Le.offset),ne}function tt(Ie){return 127995<=Ie&&Ie<=127999}var st;(function(Ie){Ie[Ie.zwj=8205]="zwj",Ie[Ie.emojiVariantSelector=65039]="emojiVariantSelector",Ie[Ie.enclosingKeyCap=8419]="enclosingKeyCap"})(st||(st={})),e.$Pf="\xA0";class lt{static{this.c=new F.$V(()=>JSON.parse('{"_common":[8232,32,8233,32,5760,32,8192,32,8193,32,8194,32,8195,32,8196,32,8197,32,8198,32,8200,32,8201,32,8202,32,8287,32,8199,32,8239,32,2042,95,65101,95,65102,95,65103,95,8208,45,8209,45,8210,45,65112,45,1748,45,8259,45,727,45,8722,45,10134,45,11450,45,1549,44,1643,44,8218,44,184,44,42233,44,894,59,2307,58,2691,58,1417,58,1795,58,1796,58,5868,58,65072,58,6147,58,6153,58,8282,58,1475,58,760,58,42889,58,8758,58,720,58,42237,58,451,33,11601,33,660,63,577,63,2429,63,5038,63,42731,63,119149,46,8228,46,1793,46,1794,46,42510,46,68176,46,1632,46,1776,46,42232,46,1373,96,65287,96,8219,96,8242,96,1370,96,1523,96,8175,96,65344,96,900,96,8189,96,8125,96,8127,96,8190,96,697,96,884,96,712,96,714,96,715,96,756,96,699,96,701,96,700,96,702,96,42892,96,1497,96,2036,96,2037,96,5194,96,5836,96,94033,96,94034,96,65339,91,10088,40,10098,40,12308,40,64830,40,65341,93,10089,41,10099,41,12309,41,64831,41,10100,123,119060,123,10101,125,65342,94,8270,42,1645,42,8727,42,66335,42,5941,47,8257,47,8725,47,8260,47,9585,47,10187,47,10744,47,119354,47,12755,47,12339,47,11462,47,20031,47,12035,47,65340,92,65128,92,8726,92,10189,92,10741,92,10745,92,119311,92,119355,92,12756,92,20022,92,12034,92,42872,38,708,94,710,94,5869,43,10133,43,66203,43,8249,60,10094,60,706,60,119350,60,5176,60,5810,60,5120,61,11840,61,12448,61,42239,61,8250,62,10095,62,707,62,119351,62,5171,62,94015,62,8275,126,732,126,8128,126,8764,126,65372,124,65293,45,120784,50,120794,50,120804,50,120814,50,120824,50,130034,50,42842,50,423,50,1000,50,42564,50,5311,50,42735,50,119302,51,120785,51,120795,51,120805,51,120815,51,120825,51,130035,51,42923,51,540,51,439,51,42858,51,11468,51,1248,51,94011,51,71882,51,120786,52,120796,52,120806,52,120816,52,120826,52,130036,52,5070,52,71855,52,120787,53,120797,53,120807,53,120817,53,120827,53,130037,53,444,53,71867,53,120788,54,120798,54,120808,54,120818,54,120828,54,130038,54,11474,54,5102,54,71893,54,119314,55,120789,55,120799,55,120809,55,120819,55,120829,55,130039,55,66770,55,71878,55,2819,56,2538,56,2666,56,125131,56,120790,56,120800,56,120810,56,120820,56,120830,56,130040,56,547,56,546,56,66330,56,2663,57,2920,57,2541,57,3437,57,120791,57,120801,57,120811,57,120821,57,120831,57,130041,57,42862,57,11466,57,71884,57,71852,57,71894,57,9082,97,65345,97,119834,97,119886,97,119938,97,119990,97,120042,97,120094,97,120146,97,120198,97,120250,97,120302,97,120354,97,120406,97,120458,97,593,97,945,97,120514,97,120572,97,120630,97,120688,97,120746,97,65313,65,119808,65,119860,65,119912,65,119964,65,120016,65,120068,65,120120,65,120172,65,120224,65,120276,65,120328,65,120380,65,120432,65,913,65,120488,65,120546,65,120604,65,120662,65,120720,65,5034,65,5573,65,42222,65,94016,65,66208,65,119835,98,119887,98,119939,98,119991,98,120043,98,120095,98,120147,98,120199,98,120251,98,120303,98,120355,98,120407,98,120459,98,388,98,5071,98,5234,98,5551,98,65314,66,8492,66,119809,66,119861,66,119913,66,120017,66,120069,66,120121,66,120173,66,120225,66,120277,66,120329,66,120381,66,120433,66,42932,66,914,66,120489,66,120547,66,120605,66,120663,66,120721,66,5108,66,5623,66,42192,66,66178,66,66209,66,66305,66,65347,99,8573,99,119836,99,119888,99,119940,99,119992,99,120044,99,120096,99,120148,99,120200,99,120252,99,120304,99,120356,99,120408,99,120460,99,7428,99,1010,99,11429,99,43951,99,66621,99,128844,67,71922,67,71913,67,65315,67,8557,67,8450,67,8493,67,119810,67,119862,67,119914,67,119966,67,120018,67,120174,67,120226,67,120278,67,120330,67,120382,67,120434,67,1017,67,11428,67,5087,67,42202,67,66210,67,66306,67,66581,67,66844,67,8574,100,8518,100,119837,100,119889,100,119941,100,119993,100,120045,100,120097,100,120149,100,120201,100,120253,100,120305,100,120357,100,120409,100,120461,100,1281,100,5095,100,5231,100,42194,100,8558,68,8517,68,119811,68,119863,68,119915,68,119967,68,120019,68,120071,68,120123,68,120175,68,120227,68,120279,68,120331,68,120383,68,120435,68,5024,68,5598,68,5610,68,42195,68,8494,101,65349,101,8495,101,8519,101,119838,101,119890,101,119942,101,120046,101,120098,101,120150,101,120202,101,120254,101,120306,101,120358,101,120410,101,120462,101,43826,101,1213,101,8959,69,65317,69,8496,69,119812,69,119864,69,119916,69,120020,69,120072,69,120124,69,120176,69,120228,69,120280,69,120332,69,120384,69,120436,69,917,69,120492,69,120550,69,120608,69,120666,69,120724,69,11577,69,5036,69,42224,69,71846,69,71854,69,66182,69,119839,102,119891,102,119943,102,119995,102,120047,102,120099,102,120151,102,120203,102,120255,102,120307,102,120359,102,120411,102,120463,102,43829,102,42905,102,383,102,7837,102,1412,102,119315,70,8497,70,119813,70,119865,70,119917,70,120021,70,120073,70,120125,70,120177,70,120229,70,120281,70,120333,70,120385,70,120437,70,42904,70,988,70,120778,70,5556,70,42205,70,71874,70,71842,70,66183,70,66213,70,66853,70,65351,103,8458,103,119840,103,119892,103,119944,103,120048,103,120100,103,120152,103,120204,103,120256,103,120308,103,120360,103,120412,103,120464,103,609,103,7555,103,397,103,1409,103,119814,71,119866,71,119918,71,119970,71,120022,71,120074,71,120126,71,120178,71,120230,71,120282,71,120334,71,120386,71,120438,71,1292,71,5056,71,5107,71,42198,71,65352,104,8462,104,119841,104,119945,104,119997,104,120049,104,120101,104,120153,104,120205,104,120257,104,120309,104,120361,104,120413,104,120465,104,1211,104,1392,104,5058,104,65320,72,8459,72,8460,72,8461,72,119815,72,119867,72,119919,72,120023,72,120179,72,120231,72,120283,72,120335,72,120387,72,120439,72,919,72,120494,72,120552,72,120610,72,120668,72,120726,72,11406,72,5051,72,5500,72,42215,72,66255,72,731,105,9075,105,65353,105,8560,105,8505,105,8520,105,119842,105,119894,105,119946,105,119998,105,120050,105,120102,105,120154,105,120206,105,120258,105,120310,105,120362,105,120414,105,120466,105,120484,105,618,105,617,105,953,105,8126,105,890,105,120522,105,120580,105,120638,105,120696,105,120754,105,1110,105,42567,105,1231,105,43893,105,5029,105,71875,105,65354,106,8521,106,119843,106,119895,106,119947,106,119999,106,120051,106,120103,106,120155,106,120207,106,120259,106,120311,106,120363,106,120415,106,120467,106,1011,106,1112,106,65322,74,119817,74,119869,74,119921,74,119973,74,120025,74,120077,74,120129,74,120181,74,120233,74,120285,74,120337,74,120389,74,120441,74,42930,74,895,74,1032,74,5035,74,5261,74,42201,74,119844,107,119896,107,119948,107,120000,107,120052,107,120104,107,120156,107,120208,107,120260,107,120312,107,120364,107,120416,107,120468,107,8490,75,65323,75,119818,75,119870,75,119922,75,119974,75,120026,75,120078,75,120130,75,120182,75,120234,75,120286,75,120338,75,120390,75,120442,75,922,75,120497,75,120555,75,120613,75,120671,75,120729,75,11412,75,5094,75,5845,75,42199,75,66840,75,1472,108,8739,73,9213,73,65512,73,1633,108,1777,73,66336,108,125127,108,120783,73,120793,73,120803,73,120813,73,120823,73,130033,73,65321,73,8544,73,8464,73,8465,73,119816,73,119868,73,119920,73,120024,73,120128,73,120180,73,120232,73,120284,73,120336,73,120388,73,120440,73,65356,108,8572,73,8467,108,119845,108,119897,108,119949,108,120001,108,120053,108,120105,73,120157,73,120209,73,120261,73,120313,73,120365,73,120417,73,120469,73,448,73,120496,73,120554,73,120612,73,120670,73,120728,73,11410,73,1030,73,1216,73,1493,108,1503,108,1575,108,126464,108,126592,108,65166,108,65165,108,1994,108,11599,73,5825,73,42226,73,93992,73,66186,124,66313,124,119338,76,8556,76,8466,76,119819,76,119871,76,119923,76,120027,76,120079,76,120131,76,120183,76,120235,76,120287,76,120339,76,120391,76,120443,76,11472,76,5086,76,5290,76,42209,76,93974,76,71843,76,71858,76,66587,76,66854,76,65325,77,8559,77,8499,77,119820,77,119872,77,119924,77,120028,77,120080,77,120132,77,120184,77,120236,77,120288,77,120340,77,120392,77,120444,77,924,77,120499,77,120557,77,120615,77,120673,77,120731,77,1018,77,11416,77,5047,77,5616,77,5846,77,42207,77,66224,77,66321,77,119847,110,119899,110,119951,110,120003,110,120055,110,120107,110,120159,110,120211,110,120263,110,120315,110,120367,110,120419,110,120471,110,1400,110,1404,110,65326,78,8469,78,119821,78,119873,78,119925,78,119977,78,120029,78,120081,78,120185,78,120237,78,120289,78,120341,78,120393,78,120445,78,925,78,120500,78,120558,78,120616,78,120674,78,120732,78,11418,78,42208,78,66835,78,3074,111,3202,111,3330,111,3458,111,2406,111,2662,111,2790,111,3046,111,3174,111,3302,111,3430,111,3664,111,3792,111,4160,111,1637,111,1781,111,65359,111,8500,111,119848,111,119900,111,119952,111,120056,111,120108,111,120160,111,120212,111,120264,111,120316,111,120368,111,120420,111,120472,111,7439,111,7441,111,43837,111,959,111,120528,111,120586,111,120644,111,120702,111,120760,111,963,111,120532,111,120590,111,120648,111,120706,111,120764,111,11423,111,4351,111,1413,111,1505,111,1607,111,126500,111,126564,111,126596,111,65259,111,65260,111,65258,111,65257,111,1726,111,64428,111,64429,111,64427,111,64426,111,1729,111,64424,111,64425,111,64423,111,64422,111,1749,111,3360,111,4125,111,66794,111,71880,111,71895,111,66604,111,1984,79,2534,79,2918,79,12295,79,70864,79,71904,79,120782,79,120792,79,120802,79,120812,79,120822,79,130032,79,65327,79,119822,79,119874,79,119926,79,119978,79,120030,79,120082,79,120134,79,120186,79,120238,79,120290,79,120342,79,120394,79,120446,79,927,79,120502,79,120560,79,120618,79,120676,79,120734,79,11422,79,1365,79,11604,79,4816,79,2848,79,66754,79,42227,79,71861,79,66194,79,66219,79,66564,79,66838,79,9076,112,65360,112,119849,112,119901,112,119953,112,120005,112,120057,112,120109,112,120161,112,120213,112,120265,112,120317,112,120369,112,120421,112,120473,112,961,112,120530,112,120544,112,120588,112,120602,112,120646,112,120660,112,120704,112,120718,112,120762,112,120776,112,11427,112,65328,80,8473,80,119823,80,119875,80,119927,80,119979,80,120031,80,120083,80,120187,80,120239,80,120291,80,120343,80,120395,80,120447,80,929,80,120504,80,120562,80,120620,80,120678,80,120736,80,11426,80,5090,80,5229,80,42193,80,66197,80,119850,113,119902,113,119954,113,120006,113,120058,113,120110,113,120162,113,120214,113,120266,113,120318,113,120370,113,120422,113,120474,113,1307,113,1379,113,1382,113,8474,81,119824,81,119876,81,119928,81,119980,81,120032,81,120084,81,120188,81,120240,81,120292,81,120344,81,120396,81,120448,81,11605,81,119851,114,119903,114,119955,114,120007,114,120059,114,120111,114,120163,114,120215,114,120267,114,120319,114,120371,114,120423,114,120475,114,43847,114,43848,114,7462,114,11397,114,43905,114,119318,82,8475,82,8476,82,8477,82,119825,82,119877,82,119929,82,120033,82,120189,82,120241,82,120293,82,120345,82,120397,82,120449,82,422,82,5025,82,5074,82,66740,82,5511,82,42211,82,94005,82,65363,115,119852,115,119904,115,119956,115,120008,115,120060,115,120112,115,120164,115,120216,115,120268,115,120320,115,120372,115,120424,115,120476,115,42801,115,445,115,1109,115,43946,115,71873,115,66632,115,65331,83,119826,83,119878,83,119930,83,119982,83,120034,83,120086,83,120138,83,120190,83,120242,83,120294,83,120346,83,120398,83,120450,83,1029,83,1359,83,5077,83,5082,83,42210,83,94010,83,66198,83,66592,83,119853,116,119905,116,119957,116,120009,116,120061,116,120113,116,120165,116,120217,116,120269,116,120321,116,120373,116,120425,116,120477,116,8868,84,10201,84,128872,84,65332,84,119827,84,119879,84,119931,84,119983,84,120035,84,120087,84,120139,84,120191,84,120243,84,120295,84,120347,84,120399,84,120451,84,932,84,120507,84,120565,84,120623,84,120681,84,120739,84,11430,84,5026,84,42196,84,93962,84,71868,84,66199,84,66225,84,66325,84,119854,117,119906,117,119958,117,120010,117,120062,117,120114,117,120166,117,120218,117,120270,117,120322,117,120374,117,120426,117,120478,117,42911,117,7452,117,43854,117,43858,117,651,117,965,117,120534,117,120592,117,120650,117,120708,117,120766,117,1405,117,66806,117,71896,117,8746,85,8899,85,119828,85,119880,85,119932,85,119984,85,120036,85,120088,85,120140,85,120192,85,120244,85,120296,85,120348,85,120400,85,120452,85,1357,85,4608,85,66766,85,5196,85,42228,85,94018,85,71864,85,8744,118,8897,118,65366,118,8564,118,119855,118,119907,118,119959,118,120011,118,120063,118,120115,118,120167,118,120219,118,120271,118,120323,118,120375,118,120427,118,120479,118,7456,118,957,118,120526,118,120584,118,120642,118,120700,118,120758,118,1141,118,1496,118,71430,118,43945,118,71872,118,119309,86,1639,86,1783,86,8548,86,119829,86,119881,86,119933,86,119985,86,120037,86,120089,86,120141,86,120193,86,120245,86,120297,86,120349,86,120401,86,120453,86,1140,86,11576,86,5081,86,5167,86,42719,86,42214,86,93960,86,71840,86,66845,86,623,119,119856,119,119908,119,119960,119,120012,119,120064,119,120116,119,120168,119,120220,119,120272,119,120324,119,120376,119,120428,119,120480,119,7457,119,1121,119,1309,119,1377,119,71434,119,71438,119,71439,119,43907,119,71919,87,71910,87,119830,87,119882,87,119934,87,119986,87,120038,87,120090,87,120142,87,120194,87,120246,87,120298,87,120350,87,120402,87,120454,87,1308,87,5043,87,5076,87,42218,87,5742,120,10539,120,10540,120,10799,120,65368,120,8569,120,119857,120,119909,120,119961,120,120013,120,120065,120,120117,120,120169,120,120221,120,120273,120,120325,120,120377,120,120429,120,120481,120,5441,120,5501,120,5741,88,9587,88,66338,88,71916,88,65336,88,8553,88,119831,88,119883,88,119935,88,119987,88,120039,88,120091,88,120143,88,120195,88,120247,88,120299,88,120351,88,120403,88,120455,88,42931,88,935,88,120510,88,120568,88,120626,88,120684,88,120742,88,11436,88,11613,88,5815,88,42219,88,66192,88,66228,88,66327,88,66855,88,611,121,7564,121,65369,121,119858,121,119910,121,119962,121,120014,121,120066,121,120118,121,120170,121,120222,121,120274,121,120326,121,120378,121,120430,121,120482,121,655,121,7935,121,43866,121,947,121,8509,121,120516,121,120574,121,120632,121,120690,121,120748,121,1199,121,4327,121,71900,121,65337,89,119832,89,119884,89,119936,89,119988,89,120040,89,120092,89,120144,89,120196,89,120248,89,120300,89,120352,89,120404,89,120456,89,933,89,978,89,120508,89,120566,89,120624,89,120682,89,120740,89,11432,89,1198,89,5033,89,5053,89,42220,89,94019,89,71844,89,66226,89,119859,122,119911,122,119963,122,120015,122,120067,122,120119,122,120171,122,120223,122,120275,122,120327,122,120379,122,120431,122,120483,122,7458,122,43923,122,71876,122,66293,90,71909,90,65338,90,8484,90,8488,90,119833,90,119885,90,119937,90,119989,90,120041,90,120197,90,120249,90,120301,90,120353,90,120405,90,120457,90,918,90,120493,90,120551,90,120609,90,120667,90,120725,90,5059,90,42204,90,71849,90,65282,34,65284,36,65285,37,65286,38,65290,42,65291,43,65294,46,65295,47,65296,48,65297,49,65298,50,65299,51,65300,52,65301,53,65302,54,65303,55,65304,56,65305,57,65308,60,65309,61,65310,62,65312,64,65316,68,65318,70,65319,71,65324,76,65329,81,65330,82,65333,85,65334,86,65335,87,65343,95,65346,98,65348,100,65350,102,65355,107,65357,109,65358,110,65361,113,65362,114,65364,116,65365,117,65367,119,65370,122,65371,123,65373,125,119846,109],"_default":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"cs":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"de":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"es":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"fr":[65374,126,65306,58,65281,33,8216,96,8245,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"it":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ja":[8211,45,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65292,44,65307,59],"ko":[8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pl":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"pt-BR":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"qps-ploc":[160,32,8211,45,65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"ru":[65374,126,65306,58,65281,33,8216,96,8217,96,8245,96,180,96,12494,47,305,105,921,73,1009,112,215,120,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"tr":[160,32,8211,45,65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65288,40,65289,41,65292,44,65307,59,65311,63],"zh-hans":[65374,126,65306,58,65281,33,8245,96,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65288,40,65289,41],"zh-hant":[8211,45,65374,126,180,96,12494,47,1047,51,1073,54,1072,97,1040,65,1068,98,1042,66,1089,99,1057,67,1077,101,1045,69,1053,72,305,105,1050,75,921,73,1052,77,1086,111,1054,79,1009,112,1088,112,1056,80,1075,114,1058,84,215,120,1093,120,1061,88,1091,121,1059,89,65283,35,65307,59]}'))}static{this.d=new I.$Oe(Ue=>{function Le(Ne){const bt=new Map;for(let Et=0;Et<Ne.length;Et+=2)bt.set(Ne[Et],Ne[Et+1]);return bt}function Ge(Ne,bt){const Et=new Map(Ne);for(const[Pt,Tt]of bt)Et.set(Pt,Tt);return Et}function ne(Ne,bt){if(!Ne)return bt;const Et=new Map;for(const[Pt,Tt]of Ne)bt.has(Pt)&&Et.set(Pt,Tt);return Et}const oe=this.c.value;let Ce=Ue.filter(Ne=>!Ne.startsWith("_")&&Ne in oe);Ce.length===0&&(Ce=["_default"]);let Ke;for(const Ne of Ce){const bt=Le(oe[Ne]);Ke=ne(Ke,bt)}const xe=Le(oe._common),nt=Ge(xe,Ke);return new lt(nt)})}static getInstance(Ue){return lt.d.get(Array.from(Ue))}static{this.e=new F.$V(()=>Object.keys(lt.c.value).filter(Ue=>!Ue.startsWith("_")))}static getLocales(){return lt.e.value}constructor(Ue){this.f=Ue}isAmbiguous(Ue){return this.f.has(Ue)}getPrimaryConfusable(Ue){return this.f.get(Ue)}getConfusableCodePoints(){return new Set(this.f.keys())}}e.$Qf=lt;class rt{static c(){return JSON.parse("[9,10,11,12,13,32,127,160,173,847,1564,4447,4448,6068,6069,6155,6156,6157,6158,7355,7356,8192,8193,8194,8195,8196,8197,8198,8199,8200,8201,8202,8203,8204,8205,8206,8207,8234,8235,8236,8237,8238,8239,8287,8288,8289,8290,8291,8292,8293,8294,8295,8296,8297,8298,8299,8300,8301,8302,8303,10240,12288,12644,65024,65025,65026,65027,65028,65029,65030,65031,65032,65033,65034,65035,65036,65037,65038,65039,65279,65440,65520,65521,65522,65523,65524,65525,65526,65527,65528,65532,78844,119155,119156,119157,119158,119159,119160,119161,119162,917504,917505,917506,917507,917508,917509,917510,917511,917512,917513,917514,917515,917516,917517,917518,917519,917520,917521,917522,917523,917524,917525,917526,917527,917528,917529,917530,917531,917532,917533,917534,917535,917536,917537,917538,917539,917540,917541,917542,917543,917544,917545,917546,917547,917548,917549,917550,917551,917552,917553,917554,917555,917556,917557,917558,917559,917560,917561,917562,917563,917564,917565,917566,917567,917568,917569,917570,917571,917572,917573,917574,917575,917576,917577,917578,917579,917580,917581,917582,917583,917584,917585,917586,917587,917588,917589,917590,917591,917592,917593,917594,917595,917596,917597,917598,917599,917600,917601,917602,917603,917604,917605,917606,917607,917608,917609,917610,917611,917612,917613,917614,917615,917616,917617,917618,917619,917620,917621,917622,917623,917624,917625,917626,917627,917628,917629,917630,917631,917760,917761,917762,917763,917764,917765,917766,917767,917768,917769,917770,917771,917772,917773,917774,917775,917776,917777,917778,917779,917780,917781,917782,917783,917784,917785,917786,917787,917788,917789,917790,917791,917792,917793,917794,917795,917796,917797,917798,917799,917800,917801,917802,917803,917804,917805,917806,917807,917808,917809,917810,917811,917812,917813,917814,917815,917816,917817,917818,917819,917820,917821,917822,917823,917824,917825,917826,917827,917828,917829,917830,917831,917832,917833,917834,917835,917836,917837,917838,917839,917840,917841,917842,917843,917844,917845,917846,917847,917848,917849,917850,917851,917852,917853,917854,917855,917856,917857,917858,917859,917860,917861,917862,917863,917864,917865,917866,917867,917868,917869,917870,917871,917872,917873,917874,917875,917876,917877,917878,917879,917880,917881,917882,917883,917884,917885,917886,917887,917888,917889,917890,917891,917892,917893,917894,917895,917896,917897,917898,917899,917900,917901,917902,917903,917904,917905,917906,917907,917908,917909,917910,917911,917912,917913,917914,917915,917916,917917,917918,917919,917920,917921,917922,917923,917924,917925,917926,917927,917928,917929,917930,917931,917932,917933,917934,917935,917936,917937,917938,917939,917940,917941,917942,917943,917944,917945,917946,917947,917948,917949,917950,917951,917952,917953,917954,917955,917956,917957,917958,917959,917960,917961,917962,917963,917964,917965,917966,917967,917968,917969,917970,917971,917972,917973,917974,917975,917976,917977,917978,917979,917980,917981,917982,917983,917984,917985,917986,917987,917988,917989,917990,917991,917992,917993,917994,917995,917996,917997,917998,917999]")}static{this.d=void 0}static e(){return this.d||(this.d=new Set(rt.c())),this.d}static isInvisibleCharacter(Ue){return rt.e().has(Ue)}static get codePoints(){return rt.e()}}e.$Rf=rt}),define(Se[123],De([1,0,28,162,12]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hk=e.$gk=e.$fk=e.$ek=e.FuzzyScore=e.$dk=e.$ck=e.$bk=e.$ak=e.$_j=e.$$j=e.$0j=e.$9j=e.$8j=e.$7j=e.$6j=e.$5j=e.or=void 0;function L(...we){return function(Ae,Oe){for(let ze=0,W=we.length;ze<W;ze++){const V=we[ze](Ae,Oe);if(V)return V}return null}}e.or=L,e.$5j=R.bind(void 0,!1),e.$6j=R.bind(void 0,!0);function R(we,Ae,Oe){if(!Oe||Oe.length<Ae.length)return null;let ze;return we?ze=$.$kf(Oe,Ae):ze=Oe.indexOf(Ae)===0,ze?Ae.length>0?[{start:0,end:Ae.length}]:[]:null}function w(we,Ae){const Oe=Ae.toLowerCase().indexOf(we.toLowerCase());return Oe===-1?null:[{start:Oe,end:Oe+we.length}]}e.$7j=w;function v(we,Ae){return S(we.toLowerCase(),Ae.toLowerCase(),0,0)}e.$8j=v;function S(we,Ae,Oe,ze){if(Oe===we.length)return[];if(ze===Ae.length)return null;if(we[Oe]===Ae[ze]){let W=null;return(W=S(we,Ae,Oe+1,ze+1))?r({start:ze,end:ze+1},W):null}return S(we,Ae,Oe,ze+1)}function M(we){return 97<=we&&we<=122}function C(we){return 65<=we&&we<=90}e.$9j=C;function b(we){return 48<=we&&we<=57}function E(we){return we===32||we===9||we===10||we===13}const k=new Set;"()[]{}<>`'\"-/;:,.?!".split("").forEach(we=>k.add(we.charCodeAt(0)));function l(we){return E(we)||k.has(we)}function p(we,Ae){return we===Ae||l(we)&&l(Ae)}const o=new Map;function i(we){if(o.has(we))return o.get(we);let Ae;const Oe=(0,F.$3j)(we);return Oe&&(Ae=Oe),o.set(we,Ae),Ae}function n(we){return M(we)||C(we)||b(we)}function r(we,Ae){return Ae.length===0?Ae=[we]:we.end===Ae[0].start?Ae[0].start=we.start:Ae.unshift(we),Ae}function a(we,Ae){for(let Oe=Ae;Oe<we.length;Oe++){const ze=we.charCodeAt(Oe);if(C(ze)||b(ze)||Oe>0&&!n(we.charCodeAt(Oe-1)))return Oe}return we.length}function t(we,Ae,Oe,ze){if(Oe===we.length)return[];if(ze===Ae.length)return null;if(we[Oe]!==Ae[ze].toLowerCase())return null;{let W=null,V=ze+1;for(W=t(we,Ae,Oe+1,ze+1);!W&&(V=a(Ae,V))<Ae.length;)W=t(we,Ae,Oe+1,V),V++;return W===null?null:r({start:ze,end:ze+1},W)}}function d(we){let Ae=0,Oe=0,ze=0,W=0,V=0;for(let Te=0;Te<we.length;Te++)V=we.charCodeAt(Te),C(V)&&Ae++,M(V)&&Oe++,n(V)&&ze++,b(V)&&W++;const Z=Ae/we.length,Q=Oe/we.length,$e=ze/we.length,ve=W/we.length;return{upperPercent:Z,lowerPercent:Q,alphaPercent:$e,numericPercent:ve}}function u(we){const{upperPercent:Ae,lowerPercent:Oe}=we;return Oe===0&&Ae>.6}function s(we){const{upperPercent:Ae,lowerPercent:Oe,alphaPercent:ze,numericPercent:W}=we;return Oe>.2&&Ae<.8&&ze>.6&&W<.2}function c(we){let Ae=0,Oe=0,ze=0,W=0;for(let V=0;V<we.length;V++)ze=we.charCodeAt(V),C(ze)&&Ae++,M(ze)&&Oe++,E(ze)&&W++;return(Ae===0||Oe===0)&&W===0?we.length<=30:Ae<=5}function h(we,Ae){if(!Ae||(Ae=Ae.trim(),Ae.length===0)||!c(we))return null;Ae.length>60&&(Ae=Ae.substring(0,60));const Oe=d(Ae);if(!s(Oe)){if(!u(Oe))return null;Ae=Ae.toLowerCase()}let ze=null,W=0;for(we=we.toLowerCase();W<Ae.length&&(ze=t(we,Ae,0,W))===null;)W=a(Ae,W+1);return ze}e.$0j=h;function m(we,Ae,Oe=!1){if(!Ae||Ae.length===0)return null;let ze=null,W=0;for(we=we.toLowerCase(),Ae=Ae.toLowerCase();W<Ae.length&&(ze=D(we,Ae,0,W,Oe),ze===null);)W=g(Ae,W+1);return ze}e.$$j=m;function D(we,Ae,Oe,ze,W){let V=0;if(Oe===we.length)return[];if(ze===Ae.length)return null;if(!p(we.charCodeAt(Oe),Ae.charCodeAt(ze))){const $e=i(we.charCodeAt(Oe));if(!$e)return null;for(let ve=0;ve<$e.length;ve++)if(!p($e[ve],Ae.charCodeAt(ze+ve)))return null;V+=$e.length-1}let Z=null,Q=ze+V+1;if(Z=D(we,Ae,Oe+1,Q,W),!W)for(;!Z&&(Q=g(Ae,Q))<Ae.length;)Z=D(we,Ae,Oe+1,Q,W),Q++;if(!Z)return null;if(we.charCodeAt(Oe)!==Ae.charCodeAt(ze)){const $e=i(we.charCodeAt(Oe));if(!$e)return Z;for(let ve=0;ve<$e.length;ve++)if($e[ve]!==Ae.charCodeAt(ze+ve))return Z}return r({start:ze,end:ze+V+1},Z)}function g(we,Ae){for(let Oe=Ae;Oe<we.length;Oe++)if(l(we.charCodeAt(Oe))||Oe>0&&l(we.charCodeAt(Oe-1)))return Oe;return we.length}const f=L(e.$6j,h,w),y=L(e.$6j,h,v),A=new I.$Dc(1e4);function N(we,Ae,Oe=!1){if(typeof we!="string"||typeof Ae!="string")return null;let ze=A.get(we);ze||(ze=new RegExp($.$5e(we),"i"),A.set(we,ze));const W=ze.exec(Ae);return W?[{start:W.index,end:W.index+W[0].length}]:Oe?y(we,Ae):f(we,Ae)}e.$_j=N;function U(we,Ae){const Oe=ce(we,we.toLowerCase(),0,Ae,Ae.toLowerCase(),0,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return Oe?T(Oe):null}e.$ak=U;function z(we,Ae,Oe,ze,W,V){const Z=Math.min(13,we.length);for(;Oe<Z;Oe++){const Q=ce(we,Ae,Oe,ze,W,V,{firstMatchCanBeWeak:!0,boostFullMatch:!0});if(Q)return Q}return[0,V]}e.$bk=z;function T(we){if(typeof we>"u")return[];const Ae=[],Oe=we[1];for(let ze=we.length-1;ze>1;ze--){const W=we[ze]+Oe,V=Ae[Ae.length-1];V&&V.end===W?V.end=W+1:Ae.push({start:W,end:W+1})}return Ae}e.$ck=T;const P=128;function O(){const we=[],Ae=[];for(let Oe=0;Oe<=P;Oe++)Ae[Oe]=0;for(let Oe=0;Oe<=P;Oe++)we.push(Ae.slice(0));return we}function j(we){const Ae=[];for(let Oe=0;Oe<=we;Oe++)Ae[Oe]=0;return Ae}const K=j(2*P),ie=j(2*P),_=O(),X=O(),Y=O(),ae=!1;function ee(we,Ae,Oe,ze,W){function V(Q,$e,ve=" "){for(;Q.length<$e;)Q=ve+Q;return Q}let Z=` |   |${ze.split("").map(Q=>V(Q,3)).join("|")}
`;for(let Q=0;Q<=Oe;Q++)Q===0?Z+=" |":Z+=`${Ae[Q-1]}|`,Z+=we[Q].slice(0,W+1).map($e=>V($e.toString(),3)).join("|")+`
`;return Z}function fe(we,Ae,Oe,ze){we=we.substr(Ae),Oe=Oe.substr(ze),console.log(ee(X,we,we.length,Oe,Oe.length)),console.log(ee(Y,we,we.length,Oe,Oe.length)),console.log(ee(_,we,we.length,Oe,Oe.length))}function re(we,Ae){if(Ae<0||Ae>=we.length)return!1;const Oe=we.codePointAt(Ae);switch(Oe){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:case 36:case 60:case 62:case 40:case 41:case 91:case 93:case 123:case 125:return!0;case void 0:return!1;default:return!!$.$Cf(Oe)}}function J(we,Ae){if(Ae<0||Ae>=we.length)return!1;switch(we.charCodeAt(Ae)){case 32:case 9:return!0;default:return!1}}function B(we,Ae,Oe){return Ae[we]!==Oe[we]}function se(we,Ae,Oe,ze,W,V,Z=!1){for(;Ae<Oe&&W<V;)we[Ae]===ze[W]&&(Z&&(K[Ae]=W),Ae+=1),W+=1;return Ae===Oe}e.$dk=se;var Ee;(function(we){we[we.Diag=1]="Diag",we[we.Left=2]="Left",we[we.LeftLeft=3]="LeftLeft"})(Ee||(Ee={}));var le;(function(we){we.Default=[-100,0];function Ae(Oe){return!Oe||Oe.length===2&&Oe[0]===-100&&Oe[1]===0}we.isDefault=Ae})(le||(e.FuzzyScore=le={}));class he{static{this.default={boostFullMatch:!0,firstMatchCanBeWeak:!1}}constructor(Ae,Oe){this.firstMatchCanBeWeak=Ae,this.boostFullMatch=Oe}}e.$ek=he;function ce(we,Ae,Oe,ze,W,V,Z=he.default){const Q=we.length>P?P:we.length,$e=ze.length>P?P:ze.length;if(Oe>=Q||V>=$e||Q-Oe>$e-V||!se(Ae,Oe,Q,W,V,$e,!0))return;de(Q,$e,Oe,V,Ae,W);let ve=1,Te=1,He=Oe,Qe=V;const tt=[!1];for(ve=1,He=Oe;He<Q;ve++,He++){const Ue=K[He],Le=ie[He],Ge=He+1<Q?ie[He+1]:$e;for(Te=Ue-V+1,Qe=Ue;Qe<Ge;Te++,Qe++){let ne=Number.MIN_SAFE_INTEGER,oe=!1;Qe<=Le&&(ne=H(we,Ae,He,Oe,ze,W,Qe,$e,V,_[ve-1][Te-1]===0,tt));let Ce=0;ne!==Number.MAX_SAFE_INTEGER&&(oe=!0,Ce=ne+X[ve-1][Te-1]);const Ke=Qe>Ue,xe=Ke?X[ve][Te-1]+(_[ve][Te-1]>0?-5:0):0,nt=Qe>Ue+1&&_[ve][Te-1]>0,Ne=nt?X[ve][Te-2]+(_[ve][Te-2]>0?-5:0):0;if(nt&&(!Ke||Ne>=xe)&&(!oe||Ne>=Ce))X[ve][Te]=Ne,Y[ve][Te]=3,_[ve][Te]=0;else if(Ke&&(!oe||xe>=Ce))X[ve][Te]=xe,Y[ve][Te]=2,_[ve][Te]=0;else if(oe)X[ve][Te]=Ce,Y[ve][Te]=1,_[ve][Te]=_[ve-1][Te-1]+1;else throw new Error("not possible")}}if(ae&&fe(we,Oe,ze,V),!tt[0]&&!Z.firstMatchCanBeWeak)return;ve--,Te--;const st=[X[ve][Te],V];let lt=0,rt=0;for(;ve>=1;){let Ue=Te;do{const Le=Y[ve][Ue];if(Le===3)Ue=Ue-2;else if(Le===2)Ue=Ue-1;else break}while(Ue>=1);lt>1&&Ae[Oe+ve-1]===W[V+Te-1]&&!B(Ue+V-1,ze,W)&&lt+1>_[ve][Ue]&&(Ue=Te),Ue===Te?lt++:lt=1,rt||(rt=Ue),ve--,Te=Ue-1,st.push(Te)}$e===Q&&Z.boostFullMatch&&(st[0]+=2);const Ie=rt-Q;return st[0]-=Ie,st}e.$fk=ce;function de(we,Ae,Oe,ze,W,V){let Z=we-1,Q=Ae-1;for(;Z>=Oe&&Q>=ze;)W[Z]===V[Q]&&(ie[Z]=Q,Z--),Q--}function H(we,Ae,Oe,ze,W,V,Z,Q,$e,ve,Te){if(Ae[Oe]!==V[Z])return Number.MIN_SAFE_INTEGER;let He=1,Qe=!1;return Z===Oe-ze?He=we[Oe]===W[Z]?7:5:B(Z,W,V)&&(Z===0||!B(Z-1,W,V))?(He=we[Oe]===W[Z]?7:5,Qe=!0):re(V,Z)&&(Z===0||!re(V,Z-1))?He=5:(re(V,Z-1)||J(V,Z-1))&&(He=5,Qe=!0),He>1&&Oe===ze&&(Te[0]=!0),Qe||(Qe=B(Z,W,V)||re(V,Z-1)||J(V,Z-1)),Oe===ze?Z>$e&&(He-=Qe?3:5):ve?He+=Qe?2:0:He+=Qe?0:1,Z+1===Q&&(He-=Qe?3:5),He}function x(we,Ae,Oe,ze,W,V,Z){return be(we,Ae,Oe,ze,W,V,!0,Z)}e.$gk=x;function ue(we,Ae,Oe,ze,W,V,Z){return be(we,Ae,Oe,ze,W,V,!1,Z)}e.$hk=ue;function be(we,Ae,Oe,ze,W,V,Z,Q){let $e=ce(we,Ae,Oe,ze,W,V,Q);if($e&&!Z)return $e;if(we.length>=3){const ve=Math.min(7,we.length-1);for(let Te=Oe+1;Te<ve;Te++){const He=Pe(we,Te);if(He){const Qe=ce(He,He.toLowerCase(),Oe,ze,W,V,Q);Qe&&(Qe[0]-=3,(!$e||Qe[0]>$e[0])&&($e=Qe))}}}return $e}function Pe(we,Ae){if(Ae+1>=we.length)return;const Oe=we[Ae],ze=we[Ae+1];if(Oe!==ze)return we.slice(0,Ae)+ze+Oe+we.slice(Ae+2)}}),define(Se[54],De([1,0,12]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$i=e.$0i=e.$9i=e.$8i=e.$7i=e.$6i=e.$5i=void 0;function F(o){return $(o,0)}e.$5i=F;function $(o,i){switch(typeof o){case"object":return o===null?L(349,i):Array.isArray(o)?v(o,i):S(o,i);case"string":return w(o,i);case"boolean":return R(o,i);case"number":return L(o,i);case"undefined":return L(937,i);default:return L(617,i)}}e.$6i=$;function L(o,i){return(i<<5)-i+o|0}e.$7i=L;function R(o,i){return L(o?433:863,i)}function w(o,i){i=L(149417,i);for(let n=0,r=o.length;n<r;n++)i=L(o.charCodeAt(n),i);return i}e.$8i=w;function v(o,i){return i=L(104579,i),o.reduce((n,r)=>$(r,n),i)}function S(o,i){return i=L(181387,i),Object.keys(o).sort().reduce((n,r)=>(n=w(r,n),$(o[r],n)),i)}class M{constructor(){this.g=0}get value(){return this.g}hash(i){return this.g=$(i,this.g),this.g}}e.$9i=M;var C;(function(o){o[o.BLOCK_SIZE=64]="BLOCK_SIZE",o[o.UNICODE_REPLACEMENT=65533]="UNICODE_REPLACEMENT"})(C||(C={}));function b(o,i,n=32){const r=n-i,a=~((1<<r)-1);return(o<<i|(a&o)>>>r)>>>0}function E(o,i=0,n=o.byteLength,r=0){for(let a=0;a<n;a++)o[i+a]=r}function k(o,i,n="0"){for(;o.length<i;)o=n+o;return o}function l(o,i=32){return o instanceof ArrayBuffer?Array.from(new Uint8Array(o)).map(n=>n.toString(16).padStart(2,"0")).join(""):k((o>>>0).toString(16),i/4)}e.$0i=l;class p{static{this.g=new DataView(new ArrayBuffer(320))}constructor(){this.h=1732584193,this.l=4023233417,this.m=2562383102,this.n=271733878,this.o=3285377520,this.p=new Uint8Array(67),this.q=new DataView(this.p.buffer),this.r=0,this.t=0,this.u=0,this.v=!1}update(i){const n=i.length;if(n===0)return;const r=this.p;let a=this.r,t=this.u,d,u;for(t!==0?(d=t,u=-1,t=0):(d=i.charCodeAt(0),u=0);;){let s=d;if(I.$nf(d))if(u+1<n){const c=i.charCodeAt(u+1);I.$of(c)?(u++,s=I.$pf(d,c)):s=65533}else{t=d;break}else I.$of(d)&&(s=65533);if(a=this.w(r,a,s),u++,u<n)d=i.charCodeAt(u);else break}this.r=a,this.u=t}w(i,n,r){return r<128?i[n++]=r:r<2048?(i[n++]=192|(r&1984)>>>6,i[n++]=128|(r&63)>>>0):r<65536?(i[n++]=224|(r&61440)>>>12,i[n++]=128|(r&4032)>>>6,i[n++]=128|(r&63)>>>0):(i[n++]=240|(r&1835008)>>>18,i[n++]=128|(r&258048)>>>12,i[n++]=128|(r&4032)>>>6,i[n++]=128|(r&63)>>>0),n>=64&&(this.y(),n-=64,this.t+=64,i[0]=i[64],i[1]=i[65],i[2]=i[66]),n}digest(){return this.v||(this.v=!0,this.u&&(this.u=0,this.r=this.w(this.p,this.r,65533)),this.t+=this.r,this.x()),l(this.h)+l(this.l)+l(this.m)+l(this.n)+l(this.o)}x(){this.p[this.r++]=128,E(this.p,this.r),this.r>56&&(this.y(),E(this.p));const i=8*this.t;this.q.setUint32(56,Math.floor(i/4294967296),!1),this.q.setUint32(60,i%4294967296,!1),this.y()}y(){const i=p.g,n=this.q;for(let m=0;m<64;m+=4)i.setUint32(m,n.getUint32(m,!1),!1);for(let m=64;m<320;m+=4)i.setUint32(m,b(i.getUint32(m-12,!1)^i.getUint32(m-32,!1)^i.getUint32(m-56,!1)^i.getUint32(m-64,!1),1),!1);let r=this.h,a=this.l,t=this.m,d=this.n,u=this.o,s,c,h;for(let m=0;m<80;m++)m<20?(s=a&t|~a&d,c=1518500249):m<40?(s=a^t^d,c=1859775393):m<60?(s=a&t|a&d|t&d,c=2400959708):(s=a^t^d,c=3395469782),h=b(r,5)+s+u+c+i.getUint32(m*4,!1)&4294967295,u=d,d=t,t=b(a,30),a=r,r=h;this.h=this.h+r&4294967295,this.l=this.l+a&4294967295,this.m=this.m+t&4294967295,this.n=this.n+d&4294967295,this.o=this.o+u&4294967295}}e.$$i=p}),define(Se[39],De([1,0,12]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var F;(function($){$[$.Ignore=0]="Ignore",$[$.Info=1]="Info",$[$.Warning=2]="Warning",$[$.Error=3]="Error"})(F||(F={})),function($){const L="error",R="warning",w="warn",v="info",S="ignore";function M(b){return b?I.$jf(L,b)?$.Error:I.$jf(R,b)||I.$jf(w,b)?$.Warning:I.$jf(v,b)?$.Info:$.Ignore:$.Ignore}$.fromValue=M;function C(b){switch(b){case $.Error:return L;case $.Warning:return R;case $.Info:return v;default:return S}}$.toString=C}(F||(F={})),e.default=F}),define(Se[164],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2d=void 0,e.$2d=Symbol("MicrotaskDelay")}),define(Se[77],De([1,0,19,12]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ki=e.$ji=e.$ii=e.$hi=e.$gi=void 0;class ${constructor(){this.b="",this.c=0}reset(E){return this.b=E,this.c=0,this}next(){return this.c+=1,this}hasNext(){return this.c<this.b.length-1}cmp(E){const k=E.charCodeAt(0),l=this.b.charCodeAt(this.c);return k-l}value(){return this.b[this.c]}}e.$gi=$;class L{constructor(E=!0){this.e=E}reset(E){return this.b=E,this.c=0,this.d=0,this.next()}hasNext(){return this.d<this.b.length}next(){this.c=this.d;let E=!0;for(;this.d<this.b.length;this.d++)if(this.b.charCodeAt(this.d)===46)if(E)this.c++;else break;else E=!1;return this}cmp(E){return this.e?(0,F.$df)(E,this.b,0,E.length,this.c,this.d):(0,F.$ff)(E,this.b,0,E.length,this.c,this.d)}value(){return this.b.substring(this.c,this.d)}}e.$hi=L;class R{constructor(E=!0,k=!0){this.f=E,this.g=k}reset(E){this.d=0,this.e=0,this.b=E,this.c=E.length;for(let k=E.length-1;k>=0;k--,this.c--){const l=this.b.charCodeAt(k);if(!(l===47||this.f&&l===92))break}return this.next()}hasNext(){return this.e<this.c}next(){this.d=this.e;let E=!0;for(;this.e<this.c;this.e++){const k=this.b.charCodeAt(this.e);if(k===47||this.f&&k===92)if(E)this.d++;else break;else E=!1}return this}cmp(E){return this.g?(0,F.$df)(E,this.b,0,E.length,this.d,this.e):(0,F.$ff)(E,this.b,0,E.length,this.d,this.e)}value(){return this.b.substring(this.d,this.e)}}e.$ii=R;var w;(function(b){b[b.Scheme=1]="Scheme",b[b.Authority=2]="Authority",b[b.Path=3]="Path",b[b.Query=4]="Query",b[b.Fragment=5]="Fragment"})(w||(w={}));class v{constructor(E,k){this.f=E,this.g=k,this.d=[],this.e=0}reset(E){return this.c=E,this.d=[],this.c.scheme&&this.d.push(1),this.c.authority&&this.d.push(2),this.c.path&&(this.b=new R(!1,!this.f(E)),this.b.reset(E.path),this.b.value()&&this.d.push(3)),this.g(E)||(this.c.query&&this.d.push(4),this.c.fragment&&this.d.push(5)),this.e=0,this}next(){return this.d[this.e]===3&&this.b.hasNext()?this.b.next():this.e+=1,this}hasNext(){return this.d[this.e]===3&&this.b.hasNext()||this.e<this.d.length-1}cmp(E){if(this.d[this.e]===1)return(0,F.$ef)(E,this.c.scheme);if(this.d[this.e]===2)return(0,F.$ef)(E,this.c.authority);if(this.d[this.e]===3)return this.b.cmp(E);if(this.d[this.e]===4)return(0,F.$cf)(E,this.c.query);if(this.d[this.e]===5)return(0,F.$cf)(E,this.c.fragment);throw new Error}value(){if(this.d[this.e]===1)return this.c.scheme;if(this.d[this.e]===2)return this.c.authority;if(this.d[this.e]===3)return this.b.value();if(this.d[this.e]===4)return this.c.query;if(this.d[this.e]===5)return this.c.fragment;throw new Error}}e.$ji=v;class S{constructor(){this.height=1}isEmpty(){return!this.left&&!this.mid&&!this.right&&!this.value}rotateLeft(){const E=this.right;return this.right=E.left,E.left=this,this.updateHeight(),E.updateHeight(),E}rotateRight(){const E=this.left;return this.left=E.right,E.right=this,this.updateHeight(),E.updateHeight(),E}updateHeight(){this.height=1+Math.max(this.heightLeft,this.heightRight)}balanceFactor(){return this.heightRight-this.heightLeft}get heightLeft(){return this.left?.height??0}get heightRight(){return this.right?.height??0}}var M;(function(b){b[b.Left=-1]="Left",b[b.Mid=0]="Mid",b[b.Right=1]="Right"})(M||(M={}));class C{static forUris(E=()=>!1,k=()=>!1){return new C(new v(E,k))}static forPaths(E=!1){return new C(new R(void 0,!E))}static forStrings(){return new C(new $)}static forConfigKeys(){return new C(new L)}constructor(E){this.b=E}clear(){this.c=void 0}fill(E,k){if(k){const l=k.slice(0);(0,I.$Xb)(l);for(const p of l)this.set(p,E)}else{const l=E.slice(0);(0,I.$Xb)(l);for(const p of l)this.set(p[0],p[1])}}set(E,k){const l=this.b.reset(E);let p;this.c||(this.c=new S,this.c.segment=l.value());const o=[];for(p=this.c;;){const n=l.cmp(p.segment);if(n>0)p.left||(p.left=new S,p.left.segment=l.value()),o.push([-1,p]),p=p.left;else if(n<0)p.right||(p.right=new S,p.right.segment=l.value()),o.push([1,p]),p=p.right;else if(l.hasNext())l.next(),p.mid||(p.mid=new S,p.mid.segment=l.value()),o.push([0,p]),p=p.mid;else break}const i=p.value;p.value=k,p.key=E;for(let n=o.length-1;n>=0;n--){const r=o[n][1];r.updateHeight();const a=r.balanceFactor();if(a<-1||a>1){const t=o[n][0],d=o[n+1][0];if(t===1&&d===1)o[n][1]=r.rotateLeft();else if(t===-1&&d===-1)o[n][1]=r.rotateRight();else if(t===1&&d===-1)r.right=o[n+1][1]=o[n+1][1].rotateRight(),o[n][1]=r.rotateLeft();else if(t===-1&&d===1)r.left=o[n+1][1]=o[n+1][1].rotateLeft(),o[n][1]=r.rotateRight();else throw new Error;if(n>0)switch(o[n-1][0]){case-1:o[n-1][1].left=o[n][1];break;case 1:o[n-1][1].right=o[n][1];break;case 0:o[n-1][1].mid=o[n][1];break}else this.c=o[0][1]}}return i}get(E){return this.d(E)?.value}d(E){const k=this.b.reset(E);let l=this.c;for(;l;){const p=k.cmp(l.segment);if(p>0)l=l.left;else if(p<0)l=l.right;else if(k.hasNext())k.next(),l=l.mid;else break}return l}has(E){const k=this.d(E);return!(k?.value===void 0&&k?.mid===void 0)}delete(E){return this.e(E,!1)}deleteSuperstr(E){return this.e(E,!0)}e(E,k){const l=this.b.reset(E),p=[];let o=this.c;for(;o;){const i=l.cmp(o.segment);if(i>0)p.push([-1,o]),o=o.left;else if(i<0)p.push([1,o]),o=o.right;else if(l.hasNext())l.next(),p.push([0,o]),o=o.mid;else break}if(o){if(k?(o.left=void 0,o.mid=void 0,o.right=void 0,o.height=1):(o.key=void 0,o.value=void 0),!o.mid&&!o.value)if(o.left&&o.right){const i=this.f(o.right);if(i.key){const{key:n,value:r,segment:a}=i;this.e(i.key,!1),o.key=n,o.value=r,o.segment=a}}else{const i=o.left??o.right;if(p.length>0){const[n,r]=p[p.length-1];switch(n){case-1:r.left=i;break;case 0:r.mid=i;break;case 1:r.right=i;break}}else this.c=i}for(let i=p.length-1;i>=0;i--){const n=p[i][1];n.updateHeight();const r=n.balanceFactor();if(r>1?(n.right.balanceFactor()>=0||(n.right=n.right.rotateRight()),p[i][1]=n.rotateLeft()):r<-1&&(n.left.balanceFactor()<=0||(n.left=n.left.rotateLeft()),p[i][1]=n.rotateRight()),i>0)switch(p[i-1][0]){case-1:p[i-1][1].left=p[i][1];break;case 1:p[i-1][1].right=p[i][1];break;case 0:p[i-1][1].mid=p[i][1];break}else this.c=p[0][1]}}}f(E){for(;E.left;)E=E.left;return E}findSubstr(E){const k=this.b.reset(E);let l=this.c,p;for(;l;){const o=k.cmp(l.segment);if(o>0)l=l.left;else if(o<0)l=l.right;else if(k.hasNext())k.next(),p=l.value||p,l=l.mid;else break}return l&&l.value||p}findSuperstr(E){return this.g(E,!1)}g(E,k){const l=this.b.reset(E);let p=this.c;for(;p;){const o=l.cmp(p.segment);if(o>0)p=p.left;else if(o<0)p=p.right;else if(l.hasNext())l.next(),p=p.mid;else return p.mid?this.h(p.mid):k?p.value:void 0}}hasElementOrSubtree(E){return this.g(E,!0)!==void 0}forEach(E){for(const[k,l]of this)E(l,k)}*[Symbol.iterator](){yield*this.h(this.c)}h(E){const k=[];return this.j(E,k),k[Symbol.iterator]()}j(E,k){E&&(E.left&&this.j(E.left,k),E.value&&k.push([E.key,E.value]),E.mid&&this.j(E.mid,k),E.right&&this.j(E.right,k))}_isBalanced(){const E=k=>{if(!k)return!0;const l=k.balanceFactor();return l<-1||l>1?!1:E(k.left)&&E(k.right)};return E(this.c)}}e.$ki=C}),define(Se[18],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0f=e.$9f=e.$8f=e.$7f=e.$6f=e.$5f=e.$4f=e.$3f=e.$2f=e.$1f=e.$Zf=e.$Yf=e.$Xf=e.$Wf=e.$Vf=e.$Uf=e.$Tf=e.$Sf=void 0;function I(a){return typeof a=="string"}e.$Sf=I;function F(a){return Array.isArray(a)&&a.every(t=>I(t))}e.$Tf=F;function $(a){return typeof a=="object"&&a!==null&&!Array.isArray(a)&&!(a instanceof RegExp)&&!(a instanceof Date)}e.$Uf=$;function L(a){const t=Object.getPrototypeOf(Uint8Array);return typeof a=="object"&&a instanceof t}e.$Vf=L;function R(a){return typeof a=="number"&&!isNaN(a)}e.$Wf=R;function w(a){return!!a&&typeof a[Symbol.iterator]=="function"}e.$Xf=w;function v(a){return a===!0||a===!1}e.$Yf=v;function S(a){return typeof a>"u"}e.$Zf=S;function M(a){return!C(a)}e.$1f=M;function C(a){return S(a)||a===null}e.$2f=C;function b(a,t){if(!a)throw new Error(t?`Unexpected type, expected '${t}'`:"Unexpected type")}e.$3f=b;function E(a){if(C(a))throw new Error("Assertion Failed: argument is undefined or null");return a}e.$4f=E;function k(...a){const t=[];for(let d=0;d<a.length;d++){const u=a[d];if(C(u))throw new Error(`Assertion Failed: argument at index ${d} is undefined or null`);t.push(u)}return t}e.$5f=k;const l=Object.prototype.hasOwnProperty;function p(a){if(!$(a))return!1;for(const t in a)if(l.call(a,t))return!1;return!0}e.$6f=p;function o(a){return typeof a=="function"}e.$7f=o;function i(...a){return a.length>0&&a.every(o)}e.$8f=i;function n(a,t){const d=Math.min(a.length,t.length);for(let u=0;u<d;u++)r(a[u],t[u])}e.$9f=n;function r(a,t){if(I(t)){if(typeof a!==t)throw new Error(`argument does not match constraint: typeof ${t}`)}else if(o(t)){try{if(a instanceof t)return}catch{}if(!C(a)&&a.constructor===t||t.length===1&&t.call(void 0,a)===!0)return;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}e.$0f=r}),define(Se[78],De([1,0,18]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kk=e.$jk=e.$ik=void 0;const F=Object.create(null);function $(w,v){if((0,I.$Sf)(v)){const S=F[v];if(S===void 0)throw new Error(`${w} references an unknown codicon: ${v}`);v=S}return F[w]=v,{id:w}}function L(){return F}e.$ik=L;function R(){return Object.values(e.$kk)}e.$jk=R,e.$kk={add:$("add",6e4),plus:$("plus",6e4),gistNew:$("gist-new",6e4),repoCreate:$("repo-create",6e4),lightbulb:$("lightbulb",60001),lightBulb:$("light-bulb",60001),repo:$("repo",60002),repoDelete:$("repo-delete",60002),gistFork:$("gist-fork",60003),repoForked:$("repo-forked",60003),gitPullRequest:$("git-pull-request",60004),gitPullRequestAbandoned:$("git-pull-request-abandoned",60004),recordKeys:$("record-keys",60005),keyboard:$("keyboard",60005),tag:$("tag",60006),tagAdd:$("tag-add",60006),tagRemove:$("tag-remove",60006),gitPullRequestLabel:$("git-pull-request-label",60006),person:$("person",60007),personFollow:$("person-follow",60007),personOutline:$("person-outline",60007),personFilled:$("person-filled",60007),gitBranch:$("git-branch",60008),gitBranchCreate:$("git-branch-create",60008),gitBranchDelete:$("git-branch-delete",60008),sourceControl:$("source-control",60008),mirror:$("mirror",60009),mirrorPublic:$("mirror-public",60009),star:$("star",60010),starAdd:$("star-add",60010),starDelete:$("star-delete",60010),starEmpty:$("star-empty",60010),comment:$("comment",60011),commentAdd:$("comment-add",60011),alert:$("alert",60012),warning:$("warning",60012),search:$("search",60013),searchSave:$("search-save",60013),logOut:$("log-out",60014),signOut:$("sign-out",60014),logIn:$("log-in",60015),signIn:$("sign-in",60015),eye:$("eye",60016),eyeUnwatch:$("eye-unwatch",60016),eyeWatch:$("eye-watch",60016),circleFilled:$("circle-filled",60017),primitiveDot:$("primitive-dot",60017),closeDirty:$("close-dirty",60017),debugBreakpoint:$("debug-breakpoint",60017),debugBreakpointDisabled:$("debug-breakpoint-disabled",60017),debugBreakpointPending:$("debug-breakpoint-pending",60377),debugHint:$("debug-hint",60017),primitiveSquare:$("primitive-square",60018),edit:$("edit",60019),pencil:$("pencil",60019),info:$("info",60020),issueOpened:$("issue-opened",60020),gistPrivate:$("gist-private",60021),gitForkPrivate:$("git-fork-private",60021),lock:$("lock",60021),mirrorPrivate:$("mirror-private",60021),close:$("close",60022),removeClose:$("remove-close",60022),x:$("x",60022),repoSync:$("repo-sync",60023),sync:$("sync",60023),clone:$("clone",60024),desktopDownload:$("desktop-download",60024),beaker:$("beaker",60025),microscope:$("microscope",60025),vm:$("vm",60026),deviceDesktop:$("device-desktop",60026),file:$("file",60027),fileText:$("file-text",60027),more:$("more",60028),ellipsis:$("ellipsis",60028),kebabHorizontal:$("kebab-horizontal",60028),mailReply:$("mail-reply",60029),reply:$("reply",60029),organization:$("organization",60030),organizationFilled:$("organization-filled",60030),organizationOutline:$("organization-outline",60030),newFile:$("new-file",60031),fileAdd:$("file-add",60031),newFolder:$("new-folder",60032),fileDirectoryCreate:$("file-directory-create",60032),trash:$("trash",60033),trashcan:$("trashcan",60033),history:$("history",60034),clock:$("clock",60034),folder:$("folder",60035),fileDirectory:$("file-directory",60035),symbolFolder:$("symbol-folder",60035),logoGithub:$("logo-github",60036),markGithub:$("mark-github",60036),github:$("github",60036),terminal:$("terminal",60037),console:$("console",60037),repl:$("repl",60037),zap:$("zap",60038),symbolEvent:$("symbol-event",60038),error:$("error",60039),stop:$("stop",60039),variable:$("variable",60040),symbolVariable:$("symbol-variable",60040),array:$("array",60042),symbolArray:$("symbol-array",60042),symbolModule:$("symbol-module",60043),symbolPackage:$("symbol-package",60043),symbolNamespace:$("symbol-namespace",60043),symbolObject:$("symbol-object",60043),symbolMethod:$("symbol-method",60044),symbolFunction:$("symbol-function",60044),symbolConstructor:$("symbol-constructor",60044),symbolBoolean:$("symbol-boolean",60047),symbolNull:$("symbol-null",60047),symbolNumeric:$("symbol-numeric",60048),symbolNumber:$("symbol-number",60048),symbolStructure:$("symbol-structure",60049),symbolStruct:$("symbol-struct",60049),symbolParameter:$("symbol-parameter",60050),symbolTypeParameter:$("symbol-type-parameter",60050),symbolKey:$("symbol-key",60051),symbolText:$("symbol-text",60051),symbolReference:$("symbol-reference",60052),goToFile:$("go-to-file",60052),symbolEnum:$("symbol-enum",60053),symbolValue:$("symbol-value",60053),symbolRuler:$("symbol-ruler",60054),symbolUnit:$("symbol-unit",60054),activateBreakpoints:$("activate-breakpoints",60055),archive:$("archive",60056),arrowBoth:$("arrow-both",60057),arrowDown:$("arrow-down",60058),arrowLeft:$("arrow-left",60059),arrowRight:$("arrow-right",60060),arrowSmallDown:$("arrow-small-down",60061),arrowSmallLeft:$("arrow-small-left",60062),arrowSmallRight:$("arrow-small-right",60063),arrowSmallUp:$("arrow-small-up",60064),arrowUp:$("arrow-up",60065),bell:$("bell",60066),bold:$("bold",60067),book:$("book",60068),bookmark:$("bookmark",60069),debugBreakpointConditionalUnverified:$("debug-breakpoint-conditional-unverified",60070),debugBreakpointConditional:$("debug-breakpoint-conditional",60071),debugBreakpointConditionalDisabled:$("debug-breakpoint-conditional-disabled",60071),debugBreakpointDataUnverified:$("debug-breakpoint-data-unverified",60072),debugBreakpointData:$("debug-breakpoint-data",60073),debugBreakpointDataDisabled:$("debug-breakpoint-data-disabled",60073),debugBreakpointLogUnverified:$("debug-breakpoint-log-unverified",60074),debugBreakpointLog:$("debug-breakpoint-log",60075),debugBreakpointLogDisabled:$("debug-breakpoint-log-disabled",60075),briefcase:$("briefcase",60076),broadcast:$("broadcast",60077),browser:$("browser",60078),bug:$("bug",60079),calendar:$("calendar",60080),caseSensitive:$("case-sensitive",60081),check:$("check",60082),checklist:$("checklist",60083),chevronDown:$("chevron-down",60084),dropDownButton:$("drop-down-button",60084),chevronLeft:$("chevron-left",60085),chevronRight:$("chevron-right",60086),chevronUp:$("chevron-up",60087),chromeClose:$("chrome-close",60088),chromeMaximize:$("chrome-maximize",60089),chromeMinimize:$("chrome-minimize",60090),chromeRestore:$("chrome-restore",60091),circle:$("circle",60092),circleOutline:$("circle-outline",60092),debugBreakpointUnverified:$("debug-breakpoint-unverified",60092),circleSlash:$("circle-slash",60093),circuitBoard:$("circuit-board",60094),clearAll:$("clear-all",60095),clippy:$("clippy",60096),closeAll:$("close-all",60097),cloudDownload:$("cloud-download",60098),cloudUpload:$("cloud-upload",60099),code:$("code",60100),collapseAll:$("collapse-all",60101),colorMode:$("color-mode",60102),commentDiscussion:$("comment-discussion",60103),compareChanges:$("compare-changes",60157),creditCard:$("credit-card",60105),dash:$("dash",60108),dashboard:$("dashboard",60109),database:$("database",60110),debugContinue:$("debug-continue",60111),debugDisconnect:$("debug-disconnect",60112),debugPause:$("debug-pause",60113),debugRestart:$("debug-restart",60114),debugStart:$("debug-start",60115),debugStepInto:$("debug-step-into",60116),debugStepOut:$("debug-step-out",60117),debugStepOver:$("debug-step-over",60118),debugStop:$("debug-stop",60119),debug:$("debug",60120),deviceCameraVideo:$("device-camera-video",60121),deviceCamera:$("device-camera",60122),deviceMobile:$("device-mobile",60123),diffAdded:$("diff-added",60124),diffIgnored:$("diff-ignored",60125),diffModified:$("diff-modified",60126),diffRemoved:$("diff-removed",60127),diffRenamed:$("diff-renamed",60128),diff:$("diff",60129),discard:$("discard",60130),editorLayout:$("editor-layout",60131),emptyWindow:$("empty-window",60132),exclude:$("exclude",60133),extensions:$("extensions",60134),eyeClosed:$("eye-closed",60135),fileBinary:$("file-binary",60136),fileCode:$("file-code",60137),fileMedia:$("file-media",60138),filePdf:$("file-pdf",60139),fileSubmodule:$("file-submodule",60140),fileSymlinkDirectory:$("file-symlink-directory",60141),fileSymlinkFile:$("file-symlink-file",60142),fileZip:$("file-zip",60143),files:$("files",60144),filter:$("filter",60145),flame:$("flame",60146),foldDown:$("fold-down",60147),foldUp:$("fold-up",60148),fold:$("fold",60149),folderActive:$("folder-active",60150),folderOpened:$("folder-opened",60151),gear:$("gear",60152),gift:$("gift",60153),gistSecret:$("gist-secret",60154),gist:$("gist",60155),gitCommit:$("git-commit",60156),gitCompare:$("git-compare",60157),gitMerge:$("git-merge",60158),githubAction:$("github-action",60159),githubAlt:$("github-alt",60160),globe:$("globe",60161),grabber:$("grabber",60162),graph:$("graph",60163),gripper:$("gripper",60164),heart:$("heart",60165),home:$("home",60166),horizontalRule:$("horizontal-rule",60167),hubot:$("hubot",60168),inbox:$("inbox",60169),issueClosed:$("issue-closed",60324),issueReopened:$("issue-reopened",60171),issues:$("issues",60172),italic:$("italic",60173),jersey:$("jersey",60174),json:$("json",60175),bracket:$("bracket",60175),kebabVertical:$("kebab-vertical",60176),key:$("key",60177),law:$("law",60178),lightbulbAutofix:$("lightbulb-autofix",60179),linkExternal:$("link-external",60180),link:$("link",60181),listOrdered:$("list-ordered",60182),listUnordered:$("list-unordered",60183),liveShare:$("live-share",60184),loading:$("loading",60185),location:$("location",60186),mailRead:$("mail-read",60187),mail:$("mail",60188),markdown:$("markdown",60189),megaphone:$("megaphone",60190),mention:$("mention",60191),milestone:$("milestone",60192),gitPullRequestMilestone:$("git-pull-request-milestone",60192),mortarBoard:$("mortar-board",60193),move:$("move",60194),multipleWindows:$("multiple-windows",60195),mute:$("mute",60196),noNewline:$("no-newline",60197),note:$("note",60198),octoface:$("octoface",60199),openPreview:$("open-preview",60200),package:$("package",60201),paintcan:$("paintcan",60202),pin:$("pin",60203),play:$("play",60204),run:$("run",60204),plug:$("plug",60205),preserveCase:$("preserve-case",60206),preview:$("preview",60207),project:$("project",60208),pulse:$("pulse",60209),question:$("question",60210),quote:$("quote",60211),radioTower:$("radio-tower",60212),reactions:$("reactions",60213),references:$("references",60214),refresh:$("refresh",60215),regex:$("regex",60216),remoteExplorer:$("remote-explorer",60217),remote:$("remote",60218),remove:$("remove",60219),replaceAll:$("replace-all",60220),replace:$("replace",60221),repoClone:$("repo-clone",60222),repoForcePush:$("repo-force-push",60223),repoPull:$("repo-pull",60224),repoPush:$("repo-push",60225),report:$("report",60226),requestChanges:$("request-changes",60227),rocket:$("rocket",60228),rootFolderOpened:$("root-folder-opened",60229),rootFolder:$("root-folder",60230),rss:$("rss",60231),ruby:$("ruby",60232),saveAll:$("save-all",60233),saveAs:$("save-as",60234),save:$("save",60235),screenFull:$("screen-full",60236),screenNormal:$("screen-normal",60237),searchStop:$("search-stop",60238),server:$("server",60240),settingsGear:$("settings-gear",60241),settings:$("settings",60242),shield:$("shield",60243),smiley:$("smiley",60244),sortPrecedence:$("sort-precedence",60245),splitHorizontal:$("split-horizontal",60246),splitVertical:$("split-vertical",60247),squirrel:$("squirrel",60248),starFull:$("star-full",60249),starHalf:$("star-half",60250),symbolClass:$("symbol-class",60251),symbolColor:$("symbol-color",60252),symbolCustomColor:$("symbol-customcolor",60252),symbolConstant:$("symbol-constant",60253),symbolEnumMember:$("symbol-enum-member",60254),symbolField:$("symbol-field",60255),symbolFile:$("symbol-file",60256),symbolInterface:$("symbol-interface",60257),symbolKeyword:$("symbol-keyword",60258),symbolMisc:$("symbol-misc",60259),symbolOperator:$("symbol-operator",60260),symbolProperty:$("symbol-property",60261),wrench:$("wrench",60261),wrenchSubaction:$("wrench-subaction",60261),symbolSnippet:$("symbol-snippet",60262),tasklist:$("tasklist",60263),telescope:$("telescope",60264),textSize:$("text-size",60265),threeBars:$("three-bars",60266),thumbsdown:$("thumbsdown",60267),thumbsup:$("thumbsup",60268),tools:$("tools",60269),triangleDown:$("triangle-down",60270),triangleLeft:$("triangle-left",60271),triangleRight:$("triangle-right",60272),triangleUp:$("triangle-up",60273),twitter:$("twitter",60274),unfold:$("unfold",60275),unlock:$("unlock",60276),unmute:$("unmute",60277),unverified:$("unverified",60278),verified:$("verified",60279),versions:$("versions",60280),vmActive:$("vm-active",60281),vmOutline:$("vm-outline",60282),vmRunning:$("vm-running",60283),watch:$("watch",60284),whitespace:$("whitespace",60285),wholeWord:$("whole-word",60286),window:$("window",60287),wordWrap:$("word-wrap",60288),zoomIn:$("zoom-in",60289),zoomOut:$("zoom-out",60290),listFilter:$("list-filter",60291),listFlat:$("list-flat",60292),listSelection:$("list-selection",60293),selection:$("selection",60293),listTree:$("list-tree",60294),debugBreakpointFunctionUnverified:$("debug-breakpoint-function-unverified",60295),debugBreakpointFunction:$("debug-breakpoint-function",60296),debugBreakpointFunctionDisabled:$("debug-breakpoint-function-disabled",60296),debugStackframeActive:$("debug-stackframe-active",60297),circleSmallFilled:$("circle-small-filled",60298),debugStackframeDot:$("debug-stackframe-dot",60298),debugStackframe:$("debug-stackframe",60299),debugStackframeFocused:$("debug-stackframe-focused",60299),debugBreakpointUnsupported:$("debug-breakpoint-unsupported",60300),symbolString:$("symbol-string",60301),debugReverseContinue:$("debug-reverse-continue",60302),debugStepBack:$("debug-step-back",60303),debugRestartFrame:$("debug-restart-frame",60304),callIncoming:$("call-incoming",60306),callOutgoing:$("call-outgoing",60307),menu:$("menu",60308),expandAll:$("expand-all",60309),feedback:$("feedback",60310),gitPullRequestReviewer:$("git-pull-request-reviewer",60310),groupByRefType:$("group-by-ref-type",60311),ungroupByRefType:$("ungroup-by-ref-type",60312),account:$("account",60313),gitPullRequestAssignee:$("git-pull-request-assignee",60313),bellDot:$("bell-dot",60314),debugConsole:$("debug-console",60315),library:$("library",60316),output:$("output",60317),runAll:$("run-all",60318),syncIgnored:$("sync-ignored",60319),pinned:$("pinned",60320),githubInverted:$("github-inverted",60321),debugAlt:$("debug-alt",60305),serverProcess:$("server-process",60322),serverEnvironment:$("server-environment",60323),pass:$("pass",60324),stopCircle:$("stop-circle",60325),playCircle:$("play-circle",60326),record:$("record",60327),debugAltSmall:$("debug-alt-small",60328),vmConnect:$("vm-connect",60329),cloud:$("cloud",60330),merge:$("merge",60331),exportIcon:$("export",60332),graphLeft:$("graph-left",60333),magnet:$("magnet",60334),notebook:$("notebook",60335),redo:$("redo",60336),checkAll:$("check-all",60337),pinnedDirty:$("pinned-dirty",60338),passFilled:$("pass-filled",60339),circleLargeFilled:$("circle-large-filled",60340),circleLarge:$("circle-large",60341),circleLargeOutline:$("circle-large-outline",60341),combine:$("combine",60342),gather:$("gather",60342),table:$("table",60343),variableGroup:$("variable-group",60344),typeHierarchy:$("type-hierarchy",60345),typeHierarchySub:$("type-hierarchy-sub",60346),typeHierarchySuper:$("type-hierarchy-super",60347),gitPullRequestCreate:$("git-pull-request-create",60348),runAbove:$("run-above",60349),runBelow:$("run-below",60350),notebookTemplate:$("notebook-template",60351),debugRerun:$("debug-rerun",60352),workspaceTrusted:$("workspace-trusted",60353),workspaceUntrusted:$("workspace-untrusted",60354),workspaceUnspecified:$("workspace-unspecified",60355),terminalCmd:$("terminal-cmd",60356),terminalDebian:$("terminal-debian",60357),terminalLinux:$("terminal-linux",60358),terminalPowershell:$("terminal-powershell",60359),terminalTmux:$("terminal-tmux",60360),terminalUbuntu:$("terminal-ubuntu",60361),terminalBash:$("terminal-bash",60362),arrowSwap:$("arrow-swap",60363),copy:$("copy",60364),personAdd:$("person-add",60365),filterFilled:$("filter-filled",60366),wand:$("wand",60367),debugLineByLine:$("debug-line-by-line",60368),inspect:$("inspect",60369),layers:$("layers",60370),layersDot:$("layers-dot",60371),layersActive:$("layers-active",60372),compass:$("compass",60373),compassDot:$("compass-dot",60374),compassActive:$("compass-active",60375),azure:$("azure",60376),issueDraft:$("issue-draft",60377),gitPullRequestClosed:$("git-pull-request-closed",60378),gitPullRequestDraft:$("git-pull-request-draft",60379),debugAll:$("debug-all",60380),debugCoverage:$("debug-coverage",60381),runErrors:$("run-errors",60382),folderLibrary:$("folder-library",60383),debugContinueSmall:$("debug-continue-small",60384),beakerStop:$("beaker-stop",60385),graphLine:$("graph-line",60386),graphScatter:$("graph-scatter",60387),pieChart:$("pie-chart",60388),bracketDot:$("bracket-dot",60389),bracketError:$("bracket-error",60390),lockSmall:$("lock-small",60391),azureDevops:$("azure-devops",60392),verifiedFilled:$("verified-filled",60393),newLine:$("newline",60394),layout:$("layout",60395),layoutActivitybarLeft:$("layout-activitybar-left",60396),layoutActivitybarRight:$("layout-activitybar-right",60397),layoutPanelLeft:$("layout-panel-left",60398),layoutPanelCenter:$("layout-panel-center",60399),layoutPanelJustify:$("layout-panel-justify",60400),layoutPanelRight:$("layout-panel-right",60401),layoutPanel:$("layout-panel",60402),layoutSidebarLeft:$("layout-sidebar-left",60403),layoutSidebarRight:$("layout-sidebar-right",60404),layoutStatusbar:$("layout-statusbar",60405),layoutMenubar:$("layout-menubar",60406),layoutCentered:$("layout-centered",60407),layoutSidebarRightOff:$("layout-sidebar-right-off",60416),layoutPanelOff:$("layout-panel-off",60417),layoutSidebarLeftOff:$("layout-sidebar-left-off",60418),target:$("target",60408),indent:$("indent",60409),recordSmall:$("record-small",60410),errorSmall:$("error-small",60411),arrowCircleDown:$("arrow-circle-down",60412),arrowCircleLeft:$("arrow-circle-left",60413),arrowCircleRight:$("arrow-circle-right",60414),arrowCircleUp:$("arrow-circle-up",60415),heartFilled:$("heart-filled",60420),map:$("map",60421),mapFilled:$("map-filled",60422),circleSmall:$("circle-small",60423),bellSlash:$("bell-slash",60424),bellSlashDot:$("bell-slash-dot",60425),commentUnresolved:$("comment-unresolved",60426),gitPullRequestGoToChanges:$("git-pull-request-go-to-changes",60427),gitPullRequestNewChanges:$("git-pull-request-new-changes",60428),searchFuzzy:$("search-fuzzy",60429),commentDraft:$("comment-draft",60430),send:$("send",60431),sparkle:$("sparkle",60432),insert:$("insert",60433),mic:$("mic",60434),thumbsDownFilled:$("thumbsdown-filled",60435),thumbsUpFilled:$("thumbsup-filled",60436),coffee:$("coffee",60437),snake:$("snake",60438),game:$("game",60439),vr:$("vr",60440),chip:$("chip",60441),piano:$("piano",60442),music:$("music",60443),micFilled:$("mic-filled",60444),gitFetch:$("git-fetch",60445),copilot:$("copilot",60446),lightbulbSparkle:$("lightbulb-sparkle",60447),lightbulbSparkleAutofix:$("lightbulb-sparkle-autofix",60447),robot:$("robot",60448),sparkleFilled:$("sparkle-filled",60449),diffSingle:$("diff-single",60450),diffMultiple:$("diff-multiple",60451),surroundWith:$("surround-with",60452),gitStash:$("git-stash",60454),gitStashApply:$("git-stash-apply",60455),gitStashPop:$("git-stash-pop",60456),runAllCoverage:$("run-all-coverage",60461),runCoverage:$("run-all-coverage",60460),coverage:$("coverage",60462),githubProject:$("github-project",60463),dialogError:$("dialog-error","error"),dialogWarning:$("dialog-warning","warning"),dialogInfo:$("dialog-info","info"),dialogClose:$("dialog-close","close"),treeItemExpanded:$("tree-item-expanded","chevron-down"),treeFilterOnTypeOn:$("tree-filter-on-type-on","list-filter"),treeFilterOnTypeOff:$("tree-filter-on-type-off","list-selection"),treeFilterClear:$("tree-filter-clear","close"),treeItemLoading:$("tree-item-loading","loading"),menuSelection:$("menu-selection","check"),menuSubmenu:$("menu-submenu","chevron-right"),menuBarMore:$("menubar-more","more"),scrollbarButtonLeft:$("scrollbar-button-left","triangle-left"),scrollbarButtonRight:$("scrollbar-button-right","triangle-right"),scrollbarButtonUp:$("scrollbar-button-up","triangle-up"),scrollbarButtonDown:$("scrollbar-button-down","triangle-down"),toolBarMore:$("toolbar-more","more"),quickInputBack:$("quick-input-back","arrow-left")}}),define(Se[24],De([1,0,18]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sn=e.$Rn=e.$Qn=e.$Pn=e.$On=e.$Nn=e.$Mn=e.$Ln=e.$Kn=e.$Jn=e.$In=e.$Hn=void 0;function F(o){if(!o||typeof o!="object"||o instanceof RegExp)return o;const i=Array.isArray(o)?[]:{};return Object.entries(o).forEach(([n,r])=>{i[n]=r&&typeof r=="object"?F(r):r}),i}e.$Hn=F;function $(o){if(!o||typeof o!="object")return o;const i=[o];for(;i.length>0;){const n=i.shift();Object.freeze(n);for(const r in n)if(L.call(n,r)){const a=n[r];typeof a=="object"&&!Object.isFrozen(a)&&!(0,I.$Vf)(a)&&i.push(a)}}return o}e.$In=$;const L=Object.prototype.hasOwnProperty;function R(o,i){return w(o,i,new Set)}e.$Jn=R;function w(o,i,n){if((0,I.$2f)(o))return o;const r=i(o);if(typeof r<"u")return r;if(Array.isArray(o)){const a=[];for(const t of o)a.push(w(t,i,n));return a}if((0,I.$Uf)(o)){if(n.has(o))throw new Error("Cannot clone recursive data-structure");n.add(o);const a={};for(const t in o)L.call(o,t)&&(a[t]=w(o[t],i,n));return n.delete(o),a}return o}function v(o,i,n=!0){return(0,I.$Uf)(o)?((0,I.$Uf)(i)&&Object.keys(i).forEach(r=>{r in o?n&&((0,I.$Uf)(o[r])&&(0,I.$Uf)(i[r])?v(o[r],i[r],n):o[r]=i[r]):o[r]=i[r]}),o):i}e.$Kn=v;function S(o,i){if(o===i)return!0;if(o==null||i===null||i===void 0||typeof o!=typeof i||typeof o!="object"||Array.isArray(o)!==Array.isArray(i))return!1;let n,r;if(Array.isArray(o)){if(o.length!==i.length)return!1;for(n=0;n<o.length;n++)if(!S(o[n],i[n]))return!1}else{const a=[];for(r in o)a.push(r);a.sort();const t=[];for(r in i)t.push(r);if(t.sort(),!S(a,t))return!1;for(n=0;n<a.length;n++)if(!S(o[a[n]],i[a[n]]))return!1}return!0}e.$Ln=S;function M(o){const i=new Set;return JSON.stringify(o,(n,r)=>{if((0,I.$Uf)(r)||Array.isArray(r)){if(i.has(r))return"[Circular]";i.add(r)}return r})}e.$Mn=M;function C(o,i){const n=Object.create(null);return!o||!i||Object.keys(i).forEach(a=>{const t=o[a],d=i[a];S(t,d)||(n[a]=d)}),n}e.$Nn=C;function b(o,i){const n=i.toLowerCase(),r=Object.keys(o).find(a=>a.toLowerCase()===n);return r?o[r]:o[i]}e.$On=b;function E(o,i){const n=Object.create(null);for(const[r,a]of Object.entries(o))i(r,a)&&(n[r]=a);return n}e.$Pn=E;function k(o){let i=[];for(;Object.prototype!==o;)i=i.concat(Object.getOwnPropertyNames(o)),o=Object.getPrototypeOf(o);return i}e.$Qn=k;function l(o){const i=[];for(const n of k(o))typeof o[n]=="function"&&i.push(n);return i}e.$Rn=l;function p(o,i){const n=a=>function(){const t=Array.prototype.slice.call(arguments,0);return i(a,t)},r={};for(const a of o)r[a]=n(a);return r}e.$Sn=p}),define(Se[55],De([1,0,78]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.ThemeIcon=e.$lk=e.ThemeColor=void 0;var F;(function(R){function w(v){return v&&typeof v=="object"&&typeof v.id=="string"}R.isThemeColor=w})(F||(e.ThemeColor=F={}));function $(R){return{id:R}}e.$lk=$;var L;(function(R){R.iconNameSegment="[A-Za-z0-9]+",R.iconNameExpression="[A-Za-z0-9-]+",R.iconModifierExpression="~[A-Za-z]+",R.iconNameCharacter="[A-Za-z0-9~-]";const w=new RegExp(`^(${R.iconNameExpression})(${R.iconModifierExpression})?$`);function v(i){const n=w.exec(i.id);if(!n)return v(I.$kk.error);const[,r,a]=n,t=["codicon","codicon-"+r];return a&&t.push("codicon-modifier-"+a.substring(1)),t}R.asClassNameArray=v;function S(i){return v(i).join(" ")}R.asClassName=S;function M(i){return"."+v(i).join(".")}R.asCSSSelector=M;function C(i){return i&&typeof i=="object"&&typeof i.id=="string"&&(typeof i.color>"u"||F.isThemeColor(i.color))}R.isThemeIcon=C;const b=new RegExp(`^\\$\\((${R.iconNameExpression}(?:${R.iconModifierExpression})?)\\)$`);function E(i){const n=b.exec(i);if(!n)return;const[,r]=n;return{id:r}}R.fromString=E;function k(i){return{id:i}}R.fromId=k;function l(i,n){let r=i.id;const a=r.lastIndexOf("~");return a!==-1&&(r=r.substring(0,a)),n&&(r=`${r}~${n}`),{id:r}}R.modify=l;function p(i){const n=i.id.lastIndexOf("~");if(n!==-1)return i.id.substring(n+1)}R.getModifier=p;function o(i,n){return i.id===n.id&&i.color?.id===n.color?.id}R.isEqual=o})(L||(e.ThemeIcon=L={}))}),define(Se[165],De([1,0,123,12,55]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rk=e.$qk=e.$pk=e.$ok=e.$nk=e.$mk=void 0;const L="$(",R=new RegExp(`\\$\\(${$.ThemeIcon.iconNameExpression}(?:${$.ThemeIcon.iconModifierExpression})?\\)`,"g"),w=new RegExp(`(\\\\)?${R.source}`,"g");function v(o){return o.replace(w,(i,n)=>n?i:`\\${i}`)}e.$mk=v;const S=new RegExp(`\\\\${R.source}`,"g");function M(o){return o.replace(S,i=>`\\${i}`)}e.$nk=M;const C=new RegExp(`(\\s)?(\\\\)?${R.source}(\\s)?`,"g");function b(o){return o.indexOf(L)===-1?o:o.replace(C,(i,n,r,a)=>r?i:n||a||"")}e.$ok=b;function E(o){return o?o.replace(/\$\((.*?)\)/g,(i,n)=>` ${n} `).trim():""}e.$pk=E;const k=new RegExp(`\\$\\(${$.ThemeIcon.iconNameCharacter}+\\)`,"g");function l(o){k.lastIndex=0;let i="";const n=[];let r=0;for(;;){const a=k.lastIndex,t=k.exec(o),d=o.substring(a,t?.index);if(d.length>0){i+=d;for(let u=0;u<d.length;u++)n.push(r)}if(!t)break;r+=t[0].length}return{text:i,iconOffsets:n}}e.$qk=l;function p(o,i,n=!1){const{text:r,iconOffsets:a}=i;if(!a||a.length===0)return(0,I.$_j)(o,r,n);const t=(0,F.$3e)(r," "),d=r.length-t.length,u=(0,I.$_j)(o,t,n);if(u)for(const s of u){const c=a[s.start+d]+d;s.start+=c,s.end+=c}return u}e.$rk=p}),define(Se[124],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Re=e.$Qe=e.Constants=void 0;var I;(function(L){L[L.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",L[L.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",L[L.MAX_UINT_8=255]="MAX_UINT_8",L[L.MAX_UINT_16=65535]="MAX_UINT_16",L[L.MAX_UINT_32=4294967295]="MAX_UINT_32",L[L.UNICODE_SUPPLEMENTARY_PLANE_BEGIN=65536]="UNICODE_SUPPLEMENTARY_PLANE_BEGIN"})(I||(e.Constants=I={}));function F(L){return L<0?0:L>255?255:L|0}e.$Qe=F;function $(L){return L<0?0:L>4294967295?4294967295:L|0}e.$Re=$}),define(Se[30],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ag=e.$zg=void 0;const I=/^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$/i;function F($){return I.test($)}e.$zg=F,e.$Ag=function(){if(typeof crypto=="object"&&typeof crypto.randomUUID=="function")return crypto.randomUUID.bind(crypto);let $;typeof crypto=="object"&&typeof crypto.getRandomValues=="function"?$=crypto.getRandomValues.bind(crypto):$=function(w){for(let v=0;v<w.length;v++)w[v]=Math.floor(Math.random()*256);return w};const L=new Uint8Array(16),R=[];for(let w=0;w<256;w++)R.push(w.toString(16).padStart(2,"0"));return function(){$(L),L[6]=L[6]&15|64,L[8]=L[8]&63|128;let v=0,S="";return S+=R[L[v++]],S+=R[L[v++]],S+=R[L[v++]],S+=R[L[v++]],S+="-",S+=R[L[v++]],S+=R[L[v++]],S+="-",S+=R[L[v++]],S+=R[L[v++]],S+="-",S+=R[L[v++]],S+=R[L[v++]],S+="-",S+=R[L[v++]],S+=R[L[v++]],S+=R[L[v++]],S+=R[L[v++]],S+=R[L[v++]],S+=R[L[v++]],S}}()}),define(Se[166],De([1,0,19,48,30]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ct=e.$Bt=e.$At=e.$zt=e.$yt=void 0;function L(C){return{asString:async()=>C,asFile:()=>{},value:typeof C=="string"?C:void 0}}e.$yt=L;function R(C,b,E){const k={id:(0,$.$Ag)(),name:C,uri:b,data:E};return{asString:async()=>"",asFile:()=>k,value:void 0}}e.$zt=R;class w{constructor(){this.a=new Map}get size(){let b=0;for(const E of this.a)b++;return b}has(b){return this.a.has(this.b(b))}matches(b){const E=[...this.a.keys()];return F.Iterable.some(this,([k,l])=>l.asFile())&&E.push("files"),M(v(b),E)}get(b){return this.a.get(this.b(b))?.[0]}append(b,E){const k=this.a.get(b);k?k.push(E):this.a.set(this.b(b),[E])}replace(b,E){this.a.set(this.b(b),[E])}delete(b){this.a.delete(this.b(b))}*[Symbol.iterator](){for(const[b,E]of this.a)for(const k of E)yield[b,k]}b(b){return v(b)}}e.$At=w;function v(C){return C.toLowerCase()}function S(C,b){return M(v(C),b.map(v))}e.$Bt=S;function M(C,b){if(C==="*/*")return b.length>0;if(b.includes(C))return!0;const E=C.match(/^([a-z]+)\/([a-z]+|\*)$/i);if(!E)return!1;const[k,l,p]=E;return p==="*"?b.some(o=>o.startsWith(l+"/")):!1}e.$Ct=Object.freeze({create:C=>(0,I.$Mb)(C.map(b=>b.toString())).join(`\r
`),split:C=>C.split(`\r
`),parse:C=>e.$Ct.split(C).filter(b=>!b.startsWith("#"))})}),define(Se[167],De([1,0,62]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Eg=e.$Dg=e.$Cg=void 0;function F(w,v,S,M=1){let C=!1;return new Promise(b=>{const E=setTimeout(()=>{if(!C)return C=!0,b(0)},S);$(w,v,M,k=>{if(!C)return C=!0,clearTimeout(E),b(k)})})}e.$Cg=F;function $(w,v,S,M){if(v===0)return M(0);const C=new I.Socket;C.once("connect",()=>(R(C),$(w+S,v-1,S,M))),C.once("data",()=>{}),C.once("error",b=>(R(C),b.code!=="ECONNREFUSED"?$(w+S,v-1,S,M):M(w))),C.connect(w,"127.0.0.1")}e.$Dg={1:!0,7:!0,9:!0,11:!0,13:!0,15:!0,17:!0,19:!0,20:!0,21:!0,22:!0,23:!0,25:!0,37:!0,42:!0,43:!0,53:!0,69:!0,77:!0,79:!0,87:!0,95:!0,101:!0,102:!0,103:!0,104:!0,109:!0,110:!0,111:!0,113:!0,115:!0,117:!0,119:!0,123:!0,135:!0,137:!0,139:!0,143:!0,161:!0,179:!0,389:!0,427:!0,465:!0,512:!0,513:!0,514:!0,515:!0,526:!0,530:!0,531:!0,532:!0,540:!0,548:!0,554:!0,556:!0,563:!0,587:!0,601:!0,636:!0,989:!0,990:!0,993:!0,995:!0,1719:!0,1720:!0,1723:!0,2049:!0,3659:!0,4045:!0,5060:!0,5061:!0,6e3:!0,6566:!0,6665:!0,6666:!0,6667:!0,6668:!0,6669:!0,6697:!0,10080:!0};function L(w,v,S,M="127.0.0.1"){let C=!1,b,E=1;const k=I.createServer({pauseOnConnect:!0});function l(p,o){C||(C=!0,k.removeAllListeners(),k.close(),b&&clearTimeout(b),o(p))}return new Promise(p=>{b=setTimeout(()=>{l(0,p)},S),k.on("listening",()=>{l(w,p)}),k.on("error",o=>{o&&(o.code==="EADDRINUSE"||o.code==="EACCES")&&E<v?(w++,E++,k.listen(w,M)):l(0,p)}),k.on("close",()=>{l(0,p)}),k.listen(w,M)})}e.$Eg=L;function R(w){try{w.removeAllListeners("connect"),w.removeAllListeners("error"),w.end(),w.destroy(),w.unref()}catch(v){console.error(v)}}}),define(Se[125],De([1,0,124]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rt=e.$qt=void 0;class F{constructor(w){const v=(0,I.$Qe)(w);this.c=v,this.a=F.d(v),this.b=new Map}static d(w){const v=new Uint8Array(256);return v.fill(w),v}set(w,v){const S=(0,I.$Qe)(v);w>=0&&w<256?this.a[w]=S:this.b.set(w,S)}get(w){return w>=0&&w<256?this.a[w]:this.b.get(w)||this.c}clear(){this.a.fill(this.c),this.b.clear()}}e.$qt=F;var $;(function(R){R[R.False=0]="False",R[R.True=1]="True"})($||($={}));class L{constructor(){this.a=new F(0)}add(w){this.a.set(w,1)}has(w){return this.a.get(w)===1}clear(){return this.a.clear()}}e.$rt=L}),define(Se[168],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ft=e.StringEOL=void 0;var I;(function($){$[$.Unknown=0]="Unknown",$[$.Invalid=3]="Invalid",$[$.LF=1]="LF",$[$.CRLF=2]="CRLF"})(I||(e.StringEOL=I={}));function F($){let L=0,R=0,w=0,v=0;for(let S=0,M=$.length;S<M;S++){const C=$.charCodeAt(S);C===13?(L===0&&(R=S),L++,S+1<M&&$.charCodeAt(S+1)===10?(v|=2,S++):v|=3,w=S+1):C===10&&(v|=1,L===0&&(R=S),L++,w=S+1)}return L===0&&(R=$.length),[L,R,$.length-w,v]}e.$Ft=F}),define(Se[49],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5s=void 0;class I{constructor($,L){this.lineNumber=$,this.column=L}with($=this.lineNumber,L=this.column){return $===this.lineNumber&&L===this.column?this:new I($,L)}delta($=0,L=0){return this.with(this.lineNumber+$,this.column+L)}equals($){return I.equals(this,$)}static equals($,L){return!$&&!L?!0:!!$&&!!L&&$.lineNumber===L.lineNumber&&$.column===L.column}isBefore($){return I.isBefore(this,$)}static isBefore($,L){return $.lineNumber<L.lineNumber?!0:L.lineNumber<$.lineNumber?!1:$.column<L.column}isBeforeOrEqual($){return I.isBeforeOrEqual(this,$)}static isBeforeOrEqual($,L){return $.lineNumber<L.lineNumber?!0:L.lineNumber<$.lineNumber?!1:$.column<=L.column}static compare($,L){const R=$.lineNumber|0,w=L.lineNumber|0;if(R===w){const v=$.column|0,S=L.column|0;return v-S}return R-w}clone(){return new I(this.lineNumber,this.column)}toString(){return"("+this.lineNumber+","+this.column+")"}static lift($){return new I($.lineNumber,$.column)}static isIPosition($){return $&&typeof $.lineNumber=="number"&&typeof $.column=="number"}toJSON(){return{lineNumber:this.lineNumber,column:this.column}}}e.$5s=I}),define(Se[29],De([1,0,49]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6s=void 0;class F{constructor(L,R,w,v){L>w||L===w&&R>v?(this.startLineNumber=w,this.startColumn=v,this.endLineNumber=L,this.endColumn=R):(this.startLineNumber=L,this.startColumn=R,this.endLineNumber=w,this.endColumn=v)}isEmpty(){return F.isEmpty(this)}static isEmpty(L){return L.startLineNumber===L.endLineNumber&&L.startColumn===L.endColumn}containsPosition(L){return F.containsPosition(this,L)}static containsPosition(L,R){return!(R.lineNumber<L.startLineNumber||R.lineNumber>L.endLineNumber||R.lineNumber===L.startLineNumber&&R.column<L.startColumn||R.lineNumber===L.endLineNumber&&R.column>L.endColumn)}static strictContainsPosition(L,R){return!(R.lineNumber<L.startLineNumber||R.lineNumber>L.endLineNumber||R.lineNumber===L.startLineNumber&&R.column<=L.startColumn||R.lineNumber===L.endLineNumber&&R.column>=L.endColumn)}containsRange(L){return F.containsRange(this,L)}static containsRange(L,R){return!(R.startLineNumber<L.startLineNumber||R.endLineNumber<L.startLineNumber||R.startLineNumber>L.endLineNumber||R.endLineNumber>L.endLineNumber||R.startLineNumber===L.startLineNumber&&R.startColumn<L.startColumn||R.endLineNumber===L.endLineNumber&&R.endColumn>L.endColumn)}strictContainsRange(L){return F.strictContainsRange(this,L)}static strictContainsRange(L,R){return!(R.startLineNumber<L.startLineNumber||R.endLineNumber<L.startLineNumber||R.startLineNumber>L.endLineNumber||R.endLineNumber>L.endLineNumber||R.startLineNumber===L.startLineNumber&&R.startColumn<=L.startColumn||R.endLineNumber===L.endLineNumber&&R.endColumn>=L.endColumn)}plusRange(L){return F.plusRange(this,L)}static plusRange(L,R){let w,v,S,M;return R.startLineNumber<L.startLineNumber?(w=R.startLineNumber,v=R.startColumn):R.startLineNumber===L.startLineNumber?(w=R.startLineNumber,v=Math.min(R.startColumn,L.startColumn)):(w=L.startLineNumber,v=L.startColumn),R.endLineNumber>L.endLineNumber?(S=R.endLineNumber,M=R.endColumn):R.endLineNumber===L.endLineNumber?(S=R.endLineNumber,M=Math.max(R.endColumn,L.endColumn)):(S=L.endLineNumber,M=L.endColumn),new F(w,v,S,M)}intersectRanges(L){return F.intersectRanges(this,L)}static intersectRanges(L,R){let w=L.startLineNumber,v=L.startColumn,S=L.endLineNumber,M=L.endColumn;const C=R.startLineNumber,b=R.startColumn,E=R.endLineNumber,k=R.endColumn;return w<C?(w=C,v=b):w===C&&(v=Math.max(v,b)),S>E?(S=E,M=k):S===E&&(M=Math.min(M,k)),w>S||w===S&&v>M?null:new F(w,v,S,M)}equalsRange(L){return F.equalsRange(this,L)}static equalsRange(L,R){return!L&&!R?!0:!!L&&!!R&&L.startLineNumber===R.startLineNumber&&L.startColumn===R.startColumn&&L.endLineNumber===R.endLineNumber&&L.endColumn===R.endColumn}getEndPosition(){return F.getEndPosition(this)}static getEndPosition(L){return new I.$5s(L.endLineNumber,L.endColumn)}getStartPosition(){return F.getStartPosition(this)}static getStartPosition(L){return new I.$5s(L.startLineNumber,L.startColumn)}toString(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"}setEndPosition(L,R){return new F(this.startLineNumber,this.startColumn,L,R)}setStartPosition(L,R){return new F(L,R,this.endLineNumber,this.endColumn)}collapseToStart(){return F.collapseToStart(this)}static collapseToStart(L){return new F(L.startLineNumber,L.startColumn,L.startLineNumber,L.startColumn)}collapseToEnd(){return F.collapseToEnd(this)}static collapseToEnd(L){return new F(L.endLineNumber,L.endColumn,L.endLineNumber,L.endColumn)}delta(L){return new F(this.startLineNumber+L,this.startColumn,this.endLineNumber+L,this.endColumn)}static fromPositions(L,R=L){return new F(L.lineNumber,L.column,R.lineNumber,R.column)}static lift(L){return L?new F(L.startLineNumber,L.startColumn,L.endLineNumber,L.endColumn):null}static isIRange(L){return L&&typeof L.startLineNumber=="number"&&typeof L.startColumn=="number"&&typeof L.endLineNumber=="number"&&typeof L.endColumn=="number"}static areIntersectingOrTouching(L,R){return!(L.endLineNumber<R.startLineNumber||L.endLineNumber===R.startLineNumber&&L.endColumn<R.startColumn||R.endLineNumber<L.startLineNumber||R.endLineNumber===L.startLineNumber&&R.endColumn<L.startColumn)}static areIntersecting(L,R){return!(L.endLineNumber<R.startLineNumber||L.endLineNumber===R.startLineNumber&&L.endColumn<=R.startColumn||R.endLineNumber<L.startLineNumber||R.endLineNumber===L.startLineNumber&&R.endColumn<=L.startColumn)}static compareRangesUsingStarts(L,R){if(L&&R){const S=L.startLineNumber|0,M=R.startLineNumber|0;if(S===M){const C=L.startColumn|0,b=R.startColumn|0;if(C===b){const E=L.endLineNumber|0,k=R.endLineNumber|0;if(E===k){const l=L.endColumn|0,p=R.endColumn|0;return l-p}return E-k}return C-b}return S-M}return(L?1:0)-(R?1:0)}static compareRangesUsingEnds(L,R){return L.endLineNumber===R.endLineNumber?L.endColumn===R.endColumn?L.startLineNumber===R.startLineNumber?L.startColumn-R.startColumn:L.startLineNumber-R.startLineNumber:L.endColumn-R.endColumn:L.endLineNumber-R.endLineNumber}static spansMultipleLines(L){return L.endLineNumber>L.startLineNumber}toJSON(){return this}}e.$6s=F}),define(Se[169],De([1,0,29]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7s=void 0;class F{static insert(L,R){return{range:new I.$6s(L.lineNumber,L.column,L.lineNumber,L.column),text:R,forceMoveMarkers:!0}}static delete(L){return{range:L,text:null}}static replace(L,R){return{range:L,text:R}}static replaceMove(L,R){return{range:L,text:R,forceMoveMarkers:!0}}}e.$7s=F}),define(Se[170],De([1,0,49,29]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8s=e.SelectionDirection=void 0;var $;(function(R){R[R.LTR=0]="LTR",R[R.RTL=1]="RTL"})($||(e.SelectionDirection=$={}));class L extends F.$6s{constructor(w,v,S,M){super(w,v,S,M),this.selectionStartLineNumber=w,this.selectionStartColumn=v,this.positionLineNumber=S,this.positionColumn=M}toString(){return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"}equalsSelection(w){return L.selectionsEqual(this,w)}static selectionsEqual(w,v){return w.selectionStartLineNumber===v.selectionStartLineNumber&&w.selectionStartColumn===v.selectionStartColumn&&w.positionLineNumber===v.positionLineNumber&&w.positionColumn===v.positionColumn}getDirection(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?0:1}setEndPosition(w,v){return this.getDirection()===0?new L(this.startLineNumber,this.startColumn,w,v):new L(w,v,this.startLineNumber,this.startColumn)}getPosition(){return new I.$5s(this.positionLineNumber,this.positionColumn)}getSelectionStart(){return new I.$5s(this.selectionStartLineNumber,this.selectionStartColumn)}setStartPosition(w,v){return this.getDirection()===0?new L(w,v,this.endLineNumber,this.endColumn):new L(this.endLineNumber,this.endColumn,w,v)}static fromPositions(w,v=w){return new L(w.lineNumber,w.column,v.lineNumber,v.column)}static fromRange(w,v){return v===0?new L(w.startLineNumber,w.startColumn,w.endLineNumber,w.endColumn):new L(w.endLineNumber,w.endColumn,w.startLineNumber,w.startColumn)}static liftSelection(w){return new L(w.selectionStartLineNumber,w.selectionStartColumn,w.positionLineNumber,w.positionColumn)}static selectionsArrEqual(w,v){if(w&&!v||!w&&v)return!1;if(!w&&!v)return!0;if(w.length!==v.length)return!1;for(let S=0,M=w.length;S<M;S++)if(!this.selectionsEqual(w[S],v[S]))return!1;return!0}static isISelection(w){return w&&typeof w.selectionStartLineNumber=="number"&&typeof w.selectionStartColumn=="number"&&typeof w.positionLineNumber=="number"&&typeof w.positionColumn=="number"}static createWithDirection(w,v,S,M,C){return C===0?new L(w,v,S,M):new L(S,M,w,v)}}e.$8s=L}),define(Se[171],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ds=void 0,e.$Ds={tabSize:4,indentSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0,largeFileOptimizations:!0,bracketPairColorizationOptions:{enabled:!0,independentColorPoolPerBracketType:!1}}}),define(Se[172],De([1,0,125]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tt=e.$st=e.WordCharacterClass=void 0;var F;(function(R){R[R.Regular=0]="Regular",R[R.Whitespace=1]="Whitespace",R[R.WordSeparator=2]="WordSeparator"})(F||(e.WordCharacterClass=F={}));class $ extends I.$qt{constructor(w){super(0);for(let v=0,S=w.length;v<S;v++)this.set(w.charCodeAt(v),2);this.set(32,1),this.set(9,1)}}e.$st=$;function L(R){const w={};return v=>(w.hasOwnProperty(v)||(w[v]=R(v)),w[v])}e.$tt=L(R=>new $(R))}),define(Se[126],De([1,0,48,3,75]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Is=e.$Hs=e.$Gs=e.$Fs=e.$Es=void 0,e.$Es="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?";function L(C=""){let b="(-?\\d*\\.\\d\\w*)|([^";for(const E of e.$Es)C.indexOf(E)>=0||(b+="\\"+E);return b+="\\s]+)",new RegExp(b,"g")}e.$Fs=L();function R(C){let b=e.$Fs;if(C&&C instanceof RegExp)if(C.global)b=C;else{let E="g";C.ignoreCase&&(E+="i"),C.multiline&&(E+="m"),C.unicode&&(E+="u"),b=new RegExp(C.source,E)}return b.lastIndex=0,b}e.$Gs=R;const w=new $.$4c;w.unshift({maxLen:1e3,windowSize:15,timeBudget:150});function v(C){const b=w.unshift(C);return(0,F.$Rc)(b)}e.$Hs=v;function S(C,b,E,k,l){if(b=R(b),l||(l=I.Iterable.first(w)),E.length>l.maxLen){let r=C-l.maxLen/2;return r<0?r=0:k+=r,E=E.substring(r,C+l.maxLen/2),S(C,b,E,k,l)}const p=Date.now(),o=C-1-k;let i=-1,n=null;for(let r=1;!(Date.now()-p>=l.timeBudget);r++){const a=o-l.windowSize*r;b.lastIndex=Math.max(0,a);const t=M(b,E,o,i);if(!t&&n||(n=t,a<=0))break;i=a}if(n){const r={word:n[0],startColumn:k+1+n.index,endColumn:k+1+n.index+n[0].length};return b.lastIndex=0,r}return null}e.$Is=S;function M(C,b,E,k){let l;for(;l=C.exec(b);){const p=l.index||0;if(p<=E&&C.lastIndex>=E)return l;if(k>0&&p>k)return null}return null}}),define(Se[173],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5t=e.$4t=e.IndentAction=void 0;var I;(function(R){R[R.None=0]="None",R[R.Indent=1]="Indent",R[R.IndentOutdent=2]="IndentOutdent",R[R.Outdent=3]="Outdent"})(I||(e.IndentAction=I={}));class F{constructor(w){if(this.e=null,this.f=!1,this.open=w.open,this.close=w.close,this.b=!0,this.c=!0,this.d=!0,Array.isArray(w.notIn))for(let v=0,S=w.notIn.length;v<S;v++)switch(w.notIn[v]){case"string":this.b=!1;break;case"comment":this.c=!1;break;case"regex":this.d=!1;break}}isOK(w){switch(w){case 0:return!0;case 1:return this.c;case 2:return this.b;case 3:return this.d}}shouldAutoClose(w,v){if(w.getTokenCount()===0)return!0;const S=w.findTokenIndexAtOffset(v-2),M=w.getStandardTokenType(S);return this.isOK(M)}g(w,v){for(let S=w;S<=v;S++){const M=String.fromCharCode(S);if(!this.open.includes(M)&&!this.close.includes(M))return M}return null}findNeutralCharacter(){return this.f||(this.f=!0,this.e||(this.e=this.g(48,57)),this.e||(this.e=this.g(97,122)),this.e||(this.e=this.g(65,90))),this.e}}e.$4t=F;class ${constructor(w){this.autoClosingPairsOpenByStart=new Map,this.autoClosingPairsOpenByEnd=new Map,this.autoClosingPairsCloseByStart=new Map,this.autoClosingPairsCloseByEnd=new Map,this.autoClosingPairsCloseSingleChar=new Map;for(const v of w)L(this.autoClosingPairsOpenByStart,v.open.charAt(0),v),L(this.autoClosingPairsOpenByEnd,v.open.charAt(v.open.length-1),v),L(this.autoClosingPairsCloseByStart,v.close.charAt(0),v),L(this.autoClosingPairsCloseByEnd,v.close.charAt(v.close.length-1),v),v.close.length===1&&v.open.length===1&&L(this.autoClosingPairsCloseSingleChar,v.close,v)}}e.$5t=$;function L(R,w,v){R.has(w)?R.get(w).push(v):R.set(w,[v])}}),define(Se[174],De([1,0,125]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$61=e.$51=e.$41=e.State=void 0;var F;(function(E){E[E.Invalid=0]="Invalid",E[E.Start=1]="Start",E[E.H=2]="H",E[E.HT=3]="HT",E[E.HTT=4]="HTT",E[E.HTTP=5]="HTTP",E[E.F=6]="F",E[E.FI=7]="FI",E[E.FIL=8]="FIL",E[E.BeforeColon=9]="BeforeColon",E[E.AfterColon=10]="AfterColon",E[E.AlmostThere=11]="AlmostThere",E[E.End=12]="End",E[E.Accept=13]="Accept",E[E.LastKnownState=14]="LastKnownState"})(F||(e.State=F={}));class ${constructor(k,l,p){const o=new Uint8Array(k*l);for(let i=0,n=k*l;i<n;i++)o[i]=p;this.a=o,this.rows=k,this.cols=l}get(k,l){return this.a[k*this.cols+l]}set(k,l,p){this.a[k*this.cols+l]=p}}class L{constructor(k){let l=0,p=0;for(let i=0,n=k.length;i<n;i++){const[r,a,t]=k[i];a>l&&(l=a),r>p&&(p=r),t>p&&(p=t)}l++,p++;const o=new $(p,l,0);for(let i=0,n=k.length;i<n;i++){const[r,a,t]=k[i];o.set(r,a,t)}this.a=o,this.b=l}nextState(k,l){return l<0||l>=this.b?0:this.a.get(k,l)}}e.$41=L;let R=null;function w(){return R===null&&(R=new L([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),R}var v;(function(E){E[E.None=0]="None",E[E.ForceTermination=1]="ForceTermination",E[E.CannotEndIn=2]="CannotEndIn"})(v||(v={}));let S=null;function M(){if(S===null){S=new I.$qt(0);const E=` 	<>'"\u3001\u3002\uFF61\uFF64\uFF0C\uFF0E\uFF1A\uFF1B\u2018\u3008\u300C\u300E\u3014\uFF08\uFF3B\uFF5B\uFF62\uFF63\uFF5D\uFF3D\uFF09\u3015\u300F\u300D\u3009\u2019\uFF40\uFF5E\u2026`;for(let l=0;l<E.length;l++)S.set(E.charCodeAt(l),1);const k=".,;:";for(let l=0;l<k.length;l++)S.set(k.charCodeAt(l),2)}return S}class C{static a(k,l,p,o,i){let n=i-1;do{const r=l.charCodeAt(n);if(k.get(r)!==2)break;n--}while(n>o);if(o>0){const r=l.charCodeAt(o-1),a=l.charCodeAt(n);(r===40&&a===41||r===91&&a===93||r===123&&a===125)&&n--}return{range:{startLineNumber:p,startColumn:o+1,endLineNumber:p,endColumn:n+2},url:l.substring(o,n+1)}}static computeLinks(k,l=w()){const p=M(),o=[];for(let i=1,n=k.getLineCount();i<=n;i++){const r=k.getLineContent(i),a=r.length;let t=0,d=0,u=0,s=1,c=!1,h=!1,m=!1,D=!1;for(;t<a;){let g=!1;const f=r.charCodeAt(t);if(s===13){let y;switch(f){case 40:c=!0,y=0;break;case 41:y=c?0:1;break;case 91:m=!0,h=!0,y=0;break;case 93:m=!1,y=h?0:1;break;case 123:D=!0,y=0;break;case 125:y=D?0:1;break;case 39:case 34:case 96:u===f?y=1:u===39||u===34||u===96?y=0:y=1;break;case 42:y=u===42?1:0;break;case 124:y=u===124?1:0;break;case 32:y=m?0:1;break;default:y=p.get(f)}y===1&&(o.push(C.a(p,r,i,d,t)),g=!0)}else if(s===12){let y;f===91?(h=!0,y=0):y=p.get(f),y===1?g=!0:s=13}else s=l.nextState(s,f),s===0&&(g=!0);g&&(s=1,c=!1,h=!1,D=!1,d=t+1,u=f),t++}s===13&&o.push(C.a(p,r,i,d,a))}return o}}e.$51=C;function b(E){return!E||typeof E.getLineCount!="function"||typeof E.getLineContent!="function"?[]:C.computeLinks(E)}e.$61=b}),define(Se[79],De([1,0,24]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rv=e.$qv=e.$pv=e.$ov=e.ModelConstants=e.PositionAffinity=e.$nv=e.TrackedRangeStickiness=e.$mv=e.$lv=e.EndOfLineSequence=e.DefaultEndOfLine=e.EndOfLinePreference=e.InjectedTextCursorStops=e.MinimapPosition=e.GlyphMarginLane=e.OverviewRulerLane=void 0;var F;(function(r){r[r.Left=1]="Left",r[r.Center=2]="Center",r[r.Right=4]="Right",r[r.Full=7]="Full"})(F||(e.OverviewRulerLane=F={}));var $;(function(r){r[r.Left=1]="Left",r[r.Center=2]="Center",r[r.Right=3]="Right"})($||(e.GlyphMarginLane=$={}));var L;(function(r){r[r.Inline=1]="Inline",r[r.Gutter=2]="Gutter"})(L||(e.MinimapPosition=L={}));var R;(function(r){r[r.Both=0]="Both",r[r.Right=1]="Right",r[r.Left=2]="Left",r[r.None=3]="None"})(R||(e.InjectedTextCursorStops=R={}));var w;(function(r){r[r.TextDefined=0]="TextDefined",r[r.LF=1]="LF",r[r.CRLF=2]="CRLF"})(w||(e.EndOfLinePreference=w={}));var v;(function(r){r[r.LF=1]="LF",r[r.CRLF=2]="CRLF"})(v||(e.DefaultEndOfLine=v={}));var S;(function(r){r[r.LF=0]="LF",r[r.CRLF=1]="CRLF"})(S||(e.EndOfLineSequence=S={}));class M{get originalIndentSize(){return this.a?"tabSize":this.indentSize}constructor(a){this._textModelResolvedOptionsBrand=void 0,this.tabSize=Math.max(1,a.tabSize|0),a.indentSize==="tabSize"?(this.indentSize=this.tabSize,this.a=!0):(this.indentSize=Math.max(1,a.indentSize|0),this.a=!1),this.insertSpaces=!!a.insertSpaces,this.defaultEOL=a.defaultEOL|0,this.trimAutoWhitespace=!!a.trimAutoWhitespace,this.bracketPairColorizationOptions=a.bracketPairColorizationOptions}equals(a){return this.tabSize===a.tabSize&&this.a===a.a&&this.indentSize===a.indentSize&&this.insertSpaces===a.insertSpaces&&this.defaultEOL===a.defaultEOL&&this.trimAutoWhitespace===a.trimAutoWhitespace&&(0,I.$Ln)(this.bracketPairColorizationOptions,a.bracketPairColorizationOptions)}createChangeEvent(a){return{tabSize:this.tabSize!==a.tabSize,indentSize:this.indentSize!==a.indentSize,insertSpaces:this.insertSpaces!==a.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==a.trimAutoWhitespace}}}e.$lv=M;class C{constructor(a,t){this._findMatchBrand=void 0,this.range=a,this.matches=t}}e.$mv=C;var b;(function(r){r[r.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",r[r.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",r[r.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",r[r.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"})(b||(e.TrackedRangeStickiness=b={}));function E(r){return r&&typeof r.read=="function"}e.$nv=E;var k;(function(r){r[r.Left=0]="Left",r[r.Right=1]="Right",r[r.None=2]="None",r[r.LeftOfInjectedText=3]="LeftOfInjectedText",r[r.RightOfInjectedText=4]="RightOfInjectedText"})(k||(e.PositionAffinity=k={}));var l;(function(r){r[r.FIRST_LINE_DETECTION_LENGTH_LIMIT=1e3]="FIRST_LINE_DETECTION_LENGTH_LIMIT"})(l||(e.ModelConstants=l={}));class p{constructor(a,t,d,u,s,c){this.identifier=a,this.range=t,this.text=d,this.forceMoveMarkers=u,this.isAutoWhitespaceEdit=s,this._isTracked=c}}e.$ov=p;class o{constructor(a,t,d){this.regex=a,this.wordSeparators=t,this.simpleSearch=d}}e.$pv=o;class i{constructor(a,t,d){this.reverseEdits=a,this.changes=t,this.trimAutoWhitespaceLineNumbers=d}}e.$qv=i;function n(r){return!r.isTooLargeForSyncing()&&!r.isForSimpleWidget}e.$rv=n}),define(Se[175],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bC=e.$aC=e.$_B=e.$$B=e.$0B=e.$9B=e.$8B=e.$7B=e.$6B=e.NodeColor=e.$5B=void 0;class I{constructor(p,o){this.piece=p,this.color=o,this.size_left=0,this.lf_left=0,this.parent=this,this.left=this,this.right=this}next(){if(this.right!==e.$6B)return $(this.right);let p=this;for(;p.parent!==e.$6B&&p.parent.left!==p;)p=p.parent;return p.parent===e.$6B?e.$6B:p.parent}prev(){if(this.left!==e.$6B)return L(this.left);let p=this;for(;p.parent!==e.$6B&&p.parent.right!==p;)p=p.parent;return p.parent===e.$6B?e.$6B:p.parent}detach(){this.parent=null,this.left=null,this.right=null}}e.$5B=I;var F;(function(l){l[l.Black=0]="Black",l[l.Red=1]="Red"})(F||(e.NodeColor=F={})),e.$6B=new I(null,0),e.$6B.parent=e.$6B,e.$6B.left=e.$6B,e.$6B.right=e.$6B,e.$6B.color=0;function $(l){for(;l.left!==e.$6B;)l=l.left;return l}e.$7B=$;function L(l){for(;l.right!==e.$6B;)l=l.right;return l}e.$8B=L;function R(l){return l===e.$6B?0:l.size_left+l.piece.length+R(l.right)}function w(l){return l===e.$6B?0:l.lf_left+l.piece.lineFeedCnt+w(l.right)}function v(){e.$6B.parent=e.$6B}function S(l,p){const o=p.right;o.size_left+=p.size_left+(p.piece?p.piece.length:0),o.lf_left+=p.lf_left+(p.piece?p.piece.lineFeedCnt:0),p.right=o.left,o.left!==e.$6B&&(o.left.parent=p),o.parent=p.parent,p.parent===e.$6B?l.root=o:p.parent.left===p?p.parent.left=o:p.parent.right=o,o.left=p,p.parent=o}e.$9B=S;function M(l,p){const o=p.left;p.left=o.right,o.right!==e.$6B&&(o.right.parent=p),o.parent=p.parent,p.size_left-=o.size_left+(o.piece?o.piece.length:0),p.lf_left-=o.lf_left+(o.piece?o.piece.lineFeedCnt:0),p.parent===e.$6B?l.root=o:p===p.parent.right?p.parent.right=o:p.parent.left=o,o.right=p,p.parent=o}e.$0B=M;function C(l,p){let o,i;if(p.left===e.$6B?(i=p,o=i.right):p.right===e.$6B?(i=p,o=i.left):(i=$(p.right),o=i.right),i===l.root){l.root=o,o.color=0,p.detach(),v(),l.root.parent=e.$6B;return}const n=i.color===1;if(i===i.parent.left?i.parent.left=o:i.parent.right=o,i===p?(o.parent=i.parent,k(l,o)):(i.parent===p?o.parent=i:o.parent=i.parent,k(l,o),i.left=p.left,i.right=p.right,i.parent=p.parent,i.color=p.color,p===l.root?l.root=i:p===p.parent.left?p.parent.left=i:p.parent.right=i,i.left!==e.$6B&&(i.left.parent=i),i.right!==e.$6B&&(i.right.parent=i),i.size_left=p.size_left,i.lf_left=p.lf_left,k(l,i)),p.detach(),o.parent.left===o){const a=R(o),t=w(o);if(a!==o.parent.size_left||t!==o.parent.lf_left){const d=a-o.parent.size_left,u=t-o.parent.lf_left;o.parent.size_left=a,o.parent.lf_left=t,E(l,o.parent,d,u)}}if(k(l,o.parent),n){v();return}let r;for(;o!==l.root&&o.color===0;)o===o.parent.left?(r=o.parent.right,r.color===1&&(r.color=0,o.parent.color=1,S(l,o.parent),r=o.parent.right),r.left.color===0&&r.right.color===0?(r.color=1,o=o.parent):(r.right.color===0&&(r.left.color=0,r.color=1,M(l,r),r=o.parent.right),r.color=o.parent.color,o.parent.color=0,r.right.color=0,S(l,o.parent),o=l.root)):(r=o.parent.left,r.color===1&&(r.color=0,o.parent.color=1,M(l,o.parent),r=o.parent.left),r.left.color===0&&r.right.color===0?(r.color=1,o=o.parent):(r.left.color===0&&(r.right.color=0,r.color=1,S(l,r),r=o.parent.left),r.color=o.parent.color,o.parent.color=0,r.left.color=0,M(l,o.parent),o=l.root));o.color=0,v()}e.$$B=C;function b(l,p){for(k(l,p);p!==l.root&&p.parent.color===1;)if(p.parent===p.parent.parent.left){const o=p.parent.parent.right;o.color===1?(p.parent.color=0,o.color=0,p.parent.parent.color=1,p=p.parent.parent):(p===p.parent.right&&(p=p.parent,S(l,p)),p.parent.color=0,p.parent.parent.color=1,M(l,p.parent.parent))}else{const o=p.parent.parent.left;o.color===1?(p.parent.color=0,o.color=0,p.parent.parent.color=1,p=p.parent.parent):(p===p.parent.left&&(p=p.parent,M(l,p)),p.parent.color=0,p.parent.parent.color=1,S(l,p.parent.parent))}l.root.color=0}e.$_B=b;function E(l,p,o,i){for(;p!==l.root&&p!==e.$6B;)p.parent.left===p&&(p.parent.size_left+=o,p.parent.lf_left+=i),p=p.parent}e.$aC=E;function k(l,p){let o=0,i=0;if(p!==l.root){for(;p!==l.root&&p===p.parent.right;)p=p.parent;if(p!==l.root)for(p=p.parent,o=R(p.left)-p.size_left,i=w(p.left)-p.lf_left,p.size_left+=o,p.lf_left+=i;p!==l.root&&(o!==0||i!==0);)p.parent.left===p&&(p.parent.size_left+=o,p.parent.lf_left+=i),p=p.parent}}e.$bC=k}),define(Se[176],De([1,0,19,124]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wv=e.$vv=e.$uv=void 0;class ${constructor(v){this.a=v,this.b=new Uint32Array(v.length),this.c=new Int32Array(1),this.c[0]=-1}getCount(){return this.a.length}insertValues(v,S){v=(0,F.$Re)(v);const M=this.a,C=this.b,b=S.length;return b===0?!1:(this.a=new Uint32Array(M.length+b),this.a.set(M.subarray(0,v),0),this.a.set(M.subarray(v),v+b),this.a.set(S,v),v-1<this.c[0]&&(this.c[0]=v-1),this.b=new Uint32Array(this.a.length),this.c[0]>=0&&this.b.set(C.subarray(0,this.c[0]+1)),!0)}setValue(v,S){return v=(0,F.$Re)(v),S=(0,F.$Re)(S),this.a[v]===S?!1:(this.a[v]=S,v-1<this.c[0]&&(this.c[0]=v-1),!0)}removeValues(v,S){v=(0,F.$Re)(v),S=(0,F.$Re)(S);const M=this.a,C=this.b;if(v>=M.length)return!1;const b=M.length-v;return S>=b&&(S=b),S===0?!1:(this.a=new Uint32Array(M.length-S),this.a.set(M.subarray(0,v),0),this.a.set(M.subarray(v+S),v),this.b=new Uint32Array(this.a.length),v-1<this.c[0]&&(this.c[0]=v-1),this.c[0]>=0&&this.b.set(C.subarray(0,this.c[0]+1)),!0)}getTotalSum(){return this.a.length===0?0:this.d(this.a.length-1)}getPrefixSum(v){return v<0?0:(v=(0,F.$Re)(v),this.d(v))}d(v){if(v<=this.c[0])return this.b[v];let S=this.c[0]+1;S===0&&(this.b[0]=this.a[0],S++),v>=this.a.length&&(v=this.a.length-1);for(let M=S;M<=v;M++)this.b[M]=this.b[M-1]+this.a[M];return this.c[0]=Math.max(this.c[0],v),this.b[v]}getIndexOf(v){v=Math.floor(v),this.getTotalSum();let S=0,M=this.a.length-1,C=0,b=0,E=0;for(;S<=M;)if(C=S+(M-S)/2|0,b=this.b[C],E=b-this.a[C],v<E)M=C-1;else if(v>=b)S=C+1;else break;return new R(C,v-E)}}e.$uv=$;class L{constructor(v){this.a=v,this.b=!1,this.c=-1,this.d=[],this.e=[]}getTotalSum(){return this.g(),this.e.length}getPrefixSum(v){return this.g(),v===0?0:this.d[v-1]}getIndexOf(v){this.g();const S=this.e[v],M=S>0?this.d[S-1]:0;return new R(S,v-M)}removeValues(v,S){this.a.splice(v,S),this.f(v)}insertValues(v,S){this.a=(0,I.$Wb)(this.a,v,S),this.f(v)}f(v){this.b=!1,this.c=Math.min(this.c,v-1)}g(){if(!this.b){for(let v=this.c+1,S=this.a.length;v<S;v++){const M=this.a[v],C=v>0?this.d[v-1]:0;this.d[v]=C+M;for(let b=0;b<M;b++)this.e[C+b]=v}this.d.length=this.a.length,this.e.length=this.d[this.d.length-1],this.b=!0,this.c=this.a.length-1}}setValue(v,S){this.a[v]!==S&&(this.a[v]=S,this.f(v))}}e.$vv=L;class R{constructor(v,S){this.index=v,this.remainder=S,this._prefixSumIndexOfResultBrand=void 0,this.index=v,this.remainder=S}}e.$wv=R}),define(Se[177],De([1,0,12,49,176]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xv=void 0;class L{constructor(w,v,S,M){this.d=w,this.f=v,this.g=S,this.h=M,this.j=null,this.k=null}dispose(){this.f.length=0}get version(){return this.h}getText(){return this.k===null&&(this.k=this.f.join(this.g)),this.k}onEvents(w){w.eol&&w.eol!==this.g&&(this.g=w.eol,this.j=null);const v=w.changes;for(const S of v)this.o(S.range),this.p(new F.$5s(S.range.startLineNumber,S.range.startColumn),S.text);this.h=w.versionId,this.k=null}l(){if(!this.j){const w=this.g.length,v=this.f.length,S=new Uint32Array(v);for(let M=0;M<v;M++)S[M]=this.f[M].length+w;this.j=new $.$uv(S)}}n(w,v){this.f[w]=v,this.j&&this.j.setValue(w,this.f[w].length+this.g.length)}o(w){if(w.startLineNumber===w.endLineNumber){if(w.startColumn===w.endColumn)return;this.n(w.startLineNumber-1,this.f[w.startLineNumber-1].substring(0,w.startColumn-1)+this.f[w.startLineNumber-1].substring(w.endColumn-1));return}this.n(w.startLineNumber-1,this.f[w.startLineNumber-1].substring(0,w.startColumn-1)+this.f[w.endLineNumber-1].substring(w.endColumn-1)),this.f.splice(w.startLineNumber,w.endLineNumber-w.startLineNumber),this.j&&this.j.removeValues(w.startLineNumber,w.endLineNumber-w.startLineNumber)}p(w,v){if(v.length===0)return;const S=(0,I.$9e)(v);if(S.length===1){this.n(w.lineNumber-1,this.f[w.lineNumber-1].substring(0,w.column-1)+S[0]+this.f[w.lineNumber-1].substring(w.column-1));return}S[S.length-1]+=this.f[w.lineNumber-1].substring(w.column-1),this.n(w.lineNumber-1,this.f[w.lineNumber-1].substring(0,w.column-1)+S[0]);const M=new Uint32Array(S.length-1);for(let C=1;C<S.length;C++)this.f.splice(w.lineNumber+C-1,0,S[C]),M[C-1]=S[C].length+this.g.length;this.j&&this.j.insertValues(w.lineNumber,M)}}e.$xv=L}),define(Se[99],De([1,0,12,172,49,29,79]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hC=e.$gC=e.$fC=e.$eC=e.$dC=e.$cC=void 0;const w=999;class v{constructor(i,n,r,a){this.searchString=i,this.isRegex=n,this.matchCase=r,this.wordSeparators=a}parseSearchRequest(){if(this.searchString==="")return null;let i;this.isRegex?i=S(this.searchString):i=this.searchString.indexOf(`
`)>=0;let n=null;try{n=I.$7e(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:i,global:!0,unicode:!0})}catch{return null}if(!n)return null;let r=!this.isRegex&&!i;return r&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(r=this.matchCase),new R.$pv(n,this.wordSeparators?(0,F.$tt)(this.wordSeparators):null,r?this.searchString:null)}}e.$cC=v;function S(o){if(!o||o.length===0)return!1;for(let i=0,n=o.length;i<n;i++){const r=o.charCodeAt(i);if(r===10)return!0;if(r===92){if(i++,i>=n)break;const a=o.charCodeAt(i);if(a===110||a===114||a===87)return!0}}return!1}e.$dC=S;function M(o,i,n){if(!n)return new R.$mv(o,null);const r=[];for(let a=0,t=i.length;a<t;a++)r[a]=i[a];return new R.$mv(o,r)}e.$eC=M;class C{constructor(i){const n=[];let r=0;for(let a=0,t=i.length;a<t;a++)i.charCodeAt(a)===10&&(n[r++]=a);this.a=n}findLineFeedCountBeforeOffset(i){const n=this.a;let r=0,a=n.length-1;if(a===-1||i<=n[0])return 0;for(;r<a;){const t=r+((a-r)/2>>0);n[t]>=i?a=t-1:n[t+1]>=i?(r=t,a=t):r=t+1}return r+1}}class b{static findMatches(i,n,r,a,t){const d=n.parseSearchRequest();return d?d.regex.multiline?this.b(i,r,new p(d.wordSeparators,d.regex),a,t):this.c(i,r,d,a,t):[]}static a(i,n,r,a,t,d){let u,s=0;a?(s=a.findLineFeedCountBeforeOffset(t),u=n+t+s):u=n+t;let c;if(a){const g=a.findLineFeedCountBeforeOffset(t+d.length)-s;c=u+d.length+g}else c=u+d.length;const h=i.getPositionAt(u),m=i.getPositionAt(c);return new L.$6s(h.lineNumber,h.column,m.lineNumber,m.column)}static b(i,n,r,a,t){const d=i.getOffsetAt(n.getStartPosition()),u=i.getValueInRange(n,1),s=i.getEOL()===`\r
`?new C(u):null,c=[];let h=0,m;for(r.reset(0);m=r.next(u);)if(c[h++]=M(this.a(i,d,u,s,m.index,m[0]),m,a),h>=t)return c;return c}static c(i,n,r,a,t){const d=[];let u=0;if(n.startLineNumber===n.endLineNumber){const c=i.getLineContent(n.startLineNumber).substring(n.startColumn-1,n.endColumn-1);return u=this.d(r,c,n.startLineNumber,n.startColumn-1,u,d,a,t),d}const s=i.getLineContent(n.startLineNumber).substring(n.startColumn-1);u=this.d(r,s,n.startLineNumber,n.startColumn-1,u,d,a,t);for(let c=n.startLineNumber+1;c<n.endLineNumber&&u<t;c++)u=this.d(r,i.getLineContent(c),c,0,u,d,a,t);if(u<t){const c=i.getLineContent(n.endLineNumber).substring(0,n.endColumn-1);u=this.d(r,c,n.endLineNumber,0,u,d,a,t)}return d}static d(i,n,r,a,t,d,u,s){const c=i.wordSeparators;if(!u&&i.simpleSearch){const D=i.simpleSearch,g=D.length,f=n.length;let y=-g;for(;(y=n.indexOf(D,y+g))!==-1;)if((!c||l(c,n,f,y,g))&&(d[t++]=new R.$mv(new L.$6s(r,y+1+a,r,y+1+g+a),null),t>=s))return t;return t}const h=new p(i.wordSeparators,i.regex);let m;h.reset(0);do if(m=h.next(n),m&&(d[t++]=M(new L.$6s(r,m.index+1+a,r,m.index+1+m[0].length+a),m,u),t>=s))return t;while(m);return t}static findNextMatch(i,n,r,a){const t=n.parseSearchRequest();if(!t)return null;const d=new p(t.wordSeparators,t.regex);return t.regex.multiline?this.e(i,r,d,a):this.f(i,r,d,a)}static e(i,n,r,a){const t=new $.$5s(n.lineNumber,1),d=i.getOffsetAt(t),u=i.getLineCount(),s=i.getValueInRange(new L.$6s(t.lineNumber,t.column,u,i.getLineMaxColumn(u)),1),c=i.getEOL()===`\r
`?new C(s):null;r.reset(n.column-1);const h=r.next(s);return h?M(this.a(i,d,s,c,h.index,h[0]),h,a):n.lineNumber!==1||n.column!==1?this.e(i,new $.$5s(1,1),r,a):null}static f(i,n,r,a){const t=i.getLineCount(),d=n.lineNumber,u=i.getLineContent(d),s=this.g(r,u,d,n.column,a);if(s)return s;for(let c=1;c<=t;c++){const h=(d+c-1)%t,m=i.getLineContent(h+1),D=this.g(r,m,h+1,1,a);if(D)return D}return null}static g(i,n,r,a,t){i.reset(a-1);const d=i.next(n);return d?M(new L.$6s(r,d.index+1,r,d.index+1+d[0].length),d,t):null}static findPreviousMatch(i,n,r,a){const t=n.parseSearchRequest();if(!t)return null;const d=new p(t.wordSeparators,t.regex);return t.regex.multiline?this.h(i,r,d,a):this.j(i,r,d,a)}static h(i,n,r,a){const t=this.b(i,new L.$6s(1,1,n.lineNumber,n.column),r,a,10*w);if(t.length>0)return t[t.length-1];const d=i.getLineCount();return n.lineNumber!==d||n.column!==i.getLineMaxColumn(d)?this.h(i,new $.$5s(d,i.getLineMaxColumn(d)),r,a):null}static j(i,n,r,a){const t=i.getLineCount(),d=n.lineNumber,u=i.getLineContent(d).substring(0,n.column-1),s=this.k(r,u,d,a);if(s)return s;for(let c=1;c<=t;c++){const h=(t+d-c-1)%t,m=i.getLineContent(h+1),D=this.k(r,m,h+1,a);if(D)return D}return null}static k(i,n,r,a){let t=null,d;for(i.reset(0);d=i.next(n);)t=M(new L.$6s(r,d.index+1,r,d.index+1+d[0].length),d,a);return t}}e.$fC=b;function E(o,i,n,r,a){if(r===0)return!0;const t=i.charCodeAt(r-1);if(o.get(t)!==0||t===13||t===10)return!0;if(a>0){const d=i.charCodeAt(r);if(o.get(d)!==0)return!0}return!1}function k(o,i,n,r,a){if(r+a===n)return!0;const t=i.charCodeAt(r+a);if(o.get(t)!==0||t===13||t===10)return!0;if(a>0){const d=i.charCodeAt(r+a-1);if(o.get(d)!==0)return!0}return!1}function l(o,i,n,r,a){return E(o,i,n,r,a)&&k(o,i,n,r,a)}e.$gC=l;class p{constructor(i,n){this._wordSeparators=i,this.a=n,this.b=-1,this.c=0}reset(i){this.a.lastIndex=i,this.b=-1,this.c=0}next(i){const n=i.length;let r;do{if(this.b+this.c===n||(r=this.a.exec(i),!r))return null;const a=r.index,t=r[0].length;if(a===this.b&&t===this.c){if(t===0){I.$qf(i,n,this.a.lastIndex)>65535?this.a.lastIndex+=2:this.a.lastIndex+=1;continue}return null}if(this.b=a,this.c=t,!this._wordSeparators||l(this._wordSeparators,i,n,a,t))return r}while(r);return null}}e.$hC=p}),define(Se[127],De([1,0,49,29,79,175,99]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mC=e.$lC=e.$kC=e.$jC=e.$iC=void 0;const w=65535;function v(o){let i;return o[o.length-1]<65536?i=new Uint16Array(o.length):i=new Uint32Array(o.length),i.set(o,0),i}class S{constructor(i,n,r,a,t){this.lineStarts=i,this.cr=n,this.lf=r,this.crlf=a,this.isBasicASCII=t}}function M(o,i=!0){const n=[0];let r=1;for(let a=0,t=o.length;a<t;a++){const d=o.charCodeAt(a);d===13?a+1<t&&o.charCodeAt(a+1)===10?(n[r++]=a+2,a++):n[r++]=a+1:d===10&&(n[r++]=a+1)}return i?v(n):n}e.$iC=M;function C(o,i){o.length=0,o[0]=0;let n=1,r=0,a=0,t=0,d=!0;for(let s=0,c=i.length;s<c;s++){const h=i.charCodeAt(s);h===13?s+1<c&&i.charCodeAt(s+1)===10?(t++,o[n++]=s+2,s++):(r++,o[n++]=s+1):h===10?(a++,o[n++]=s+1):d&&h!==9&&(h<32||h>126)&&(d=!1)}const u=new S(v(o),r,a,t,d);return o.length=0,u}e.$jC=C;class b{constructor(i,n,r,a,t){this.bufferIndex=i,this.start=n,this.end=r,this.lineFeedCnt=a,this.length=t}}e.$kC=b;class E{constructor(i,n){this.buffer=i,this.lineStarts=n}}e.$lC=E;class k{constructor(i,n){this.a=[],this.c=i,this.d=n,this.b=0,i.root!==L.$6B&&i.iterate(i.root,r=>(r!==L.$6B&&this.a.push(r.piece),!0))}read(){return this.a.length===0?this.b===0?(this.b++,this.d):null:this.b>this.a.length-1?null:this.b===0?this.d+this.c.getPieceContent(this.a[this.b++]):this.c.getPieceContent(this.a[this.b++])}}class l{constructor(i){this.a=i,this.b=[]}get(i){for(let n=this.b.length-1;n>=0;n--){const r=this.b[n];if(r.nodeStartOffset<=i&&r.nodeStartOffset+r.node.piece.length>=i)return r}return null}get2(i){for(let n=this.b.length-1;n>=0;n--){const r=this.b[n];if(r.nodeStartLineNumber&&r.nodeStartLineNumber<i&&r.nodeStartLineNumber+r.node.piece.lineFeedCnt>=i)return r}return null}set(i){this.b.length>=this.a&&this.b.shift(),this.b.push(i)}validate(i){let n=!1;const r=this.b;for(let a=0;a<r.length;a++){const t=r[a];if(t.node.parent===null||t.nodeStartOffset>=i){r[a]=null,n=!0;continue}}if(n){const a=[];for(const t of r)t!==null&&a.push(t);this.b=a}}}class p{constructor(i,n,r){this.create(i,n,r)}create(i,n,r){this.a=[new E("",[0])],this.g={line:0,column:0},this.root=L.$6B,this.b=1,this.c=0,this.d=n,this.e=n.length,this.f=r;let a=null;for(let t=0,d=i.length;t<d;t++)if(i[t].buffer.length>0){i[t].lineStarts||(i[t].lineStarts=M(i[t].buffer));const u=new b(t+1,{line:0,column:0},{line:i[t].lineStarts.length-1,column:i[t].buffer.length-i[t].lineStarts[i[t].lineStarts.length-1]},i[t].lineStarts.length-1,i[t].buffer.length);this.a.push(i[t]),a=this.S(a,u)}this.h=new l(1),this.j={lineNumber:0,value:""},this.y()}normalizeEOL(i){const n=w,r=n-Math.floor(n/3),a=r*2;let t="",d=0;const u=[];if(this.iterate(this.root,s=>{const c=this.R(s),h=c.length;if(d<=r||d+h<a)return t+=c,d+=h,!0;const m=t.replace(/\r\n|\r|\n/g,i);return u.push(new E(m,M(m))),t=c,d=h,!0}),d>0){const s=t.replace(/\r\n|\r|\n/g,i);u.push(new E(s,M(s)))}this.create(u,i,!0)}getEOL(){return this.d}setEOL(i){this.d=i,this.e=this.d.length,this.normalizeEOL(i)}createSnapshot(i){return new k(this,i)}equal(i){if(this.getLength()!==i.getLength()||this.getLineCount()!==i.getLineCount())return!1;let n=0;return this.iterate(this.root,a=>{if(a===L.$6B)return!0;const t=this.R(a),d=t.length,u=i.G(n),s=i.G(n+d),c=i.getValueInRange2(u,s);return n+=d,t===c})}getOffsetAt(i,n){let r=0,a=this.root;for(;a!==L.$6B;)if(a.left!==L.$6B&&a.lf_left+1>=i)a=a.left;else if(a.lf_left+a.piece.lineFeedCnt+1>=i){r+=a.size_left;const t=this.B(a,i-a.lf_left-2);return r+=t+n-1}else i-=a.lf_left+a.piece.lineFeedCnt,r+=a.size_left+a.piece.length,a=a.right;return r}getPositionAt(i){i=Math.floor(i),i=Math.max(0,i);let n=this.root,r=0;const a=i;for(;n!==L.$6B;)if(n.size_left!==0&&n.size_left>=i)n=n.left;else if(n.size_left+n.piece.length>=i){const t=this.A(n,i-n.size_left);if(r+=n.lf_left+t.index,t.index===0){const d=this.getOffsetAt(r+1,1),u=a-d;return new I.$5s(r+1,u+1)}return new I.$5s(r+1,t.remainder+1)}else if(i-=n.size_left+n.piece.length,r+=n.lf_left+n.piece.lineFeedCnt,n.right===L.$6B){const t=this.getOffsetAt(r+1,1),d=a-i-t;return new I.$5s(r+1,d+1)}else n=n.right;return new I.$5s(1,1)}getValueInRange(i,n){if(i.startLineNumber===i.endLineNumber&&i.startColumn===i.endColumn)return"";const r=this.H(i.startLineNumber,i.startColumn),a=this.H(i.endLineNumber,i.endColumn),t=this.getValueInRange2(r,a);return n?n!==this.d||!this.f?t.replace(/\r\n|\r|\n/g,n):n===this.getEOL()&&this.f?t:t.replace(/\r\n|\r|\n/g,n):t}getValueInRange2(i,n){if(i.node===n.node){const u=i.node,s=this.a[u.piece.bufferIndex].buffer,c=this.u(u.piece.bufferIndex,u.piece.start);return s.substring(c+i.remainder,c+n.remainder)}let r=i.node;const a=this.a[r.piece.bufferIndex].buffer,t=this.u(r.piece.bufferIndex,r.piece.start);let d=a.substring(t+i.remainder,t+r.piece.length);for(r=r.next();r!==L.$6B;){const u=this.a[r.piece.bufferIndex].buffer,s=this.u(r.piece.bufferIndex,r.piece.start);if(r===n.node){d+=u.substring(s,s+n.remainder);break}else d+=u.substr(s,r.piece.length);r=r.next()}return d}getLinesContent(){const i=[];let n=0,r="",a=!1;return this.iterate(this.root,t=>{if(t===L.$6B)return!0;const d=t.piece;let u=d.length;if(u===0)return!0;const s=this.a[d.bufferIndex].buffer,c=this.a[d.bufferIndex].lineStarts,h=d.start.line,m=d.end.line;let D=c[h]+d.start.column;if(a&&(s.charCodeAt(D)===10&&(D++,u--),i[n++]=r,r="",a=!1,u===0))return!0;if(h===m)return!this.f&&s.charCodeAt(D+u-1)===13?(a=!0,r+=s.substr(D,u-1)):r+=s.substr(D,u),!0;r+=this.f?s.substring(D,Math.max(D,c[h+1]-this.e)):s.substring(D,c[h+1]).replace(/(\r\n|\r|\n)$/,""),i[n++]=r;for(let g=h+1;g<m;g++)r=this.f?s.substring(c[g],c[g+1]-this.e):s.substring(c[g],c[g+1]).replace(/(\r\n|\r|\n)$/,""),i[n++]=r;return!this.f&&s.charCodeAt(c[m]+d.end.column-1)===13?(a=!0,d.end.column===0?n--:r=s.substr(c[m],d.end.column-1)):r=s.substr(c[m],d.end.column),!0}),a&&(i[n++]=r,r=""),i[n++]=r,i}getLength(){return this.c}getLineCount(){return this.b}getLineContent(i){return this.j.lineNumber===i?this.j.value:(this.j.lineNumber=i,i===this.b?this.j.value=this.getLineRawContent(i):this.f?this.j.value=this.getLineRawContent(i,this.e):this.j.value=this.getLineRawContent(i).replace(/(\r\n|\r|\n)$/,""),this.j.value)}l(i){if(i.remainder===i.node.piece.length){const n=i.node.next();if(!n)return 0;const r=this.a[n.piece.bufferIndex],a=this.u(n.piece.bufferIndex,n.piece.start);return r.buffer.charCodeAt(a)}else{const n=this.a[i.node.piece.bufferIndex],a=this.u(i.node.piece.bufferIndex,i.node.piece.start)+i.remainder;return n.buffer.charCodeAt(a)}}getLineCharCode(i,n){const r=this.H(i,n+1);return this.l(r)}getLineLength(i){if(i===this.getLineCount()){const n=this.getOffsetAt(i,1);return this.getLength()-n}return this.getOffsetAt(i+1,1)-this.getOffsetAt(i,1)-this.e}getCharCode(i){const n=this.G(i);return this.l(n)}findMatchesInNode(i,n,r,a,t,d,u,s,c,h,m){const D=this.a[i.piece.bufferIndex],g=this.u(i.piece.bufferIndex,i.piece.start),f=this.u(i.piece.bufferIndex,t),y=this.u(i.piece.bufferIndex,d);let A;const N={line:0,column:0};let U,z;n._wordSeparators?(U=D.buffer.substring(f,y),z=T=>T+f,n.reset(0)):(U=D.buffer,z=T=>T,n.reset(f));do if(A=n.next(U),A){if(z(A.index)>=y)return h;this.s(i,z(A.index)-g,N);const T=this.t(i.piece.bufferIndex,t,N),P=N.line===t.line?N.column-t.column+a:N.column+1,O=P+A[0].length;if(m[h++]=(0,R.$eC)(new F.$6s(r+T,P,r+T,O),A,s),z(A.index)+A[0].length>=y||h>=c)return h}while(A);return h}findMatchesLineByLine(i,n,r,a){const t=[];let d=0;const u=new R.$hC(n.wordSeparators,n.regex);let s=this.H(i.startLineNumber,i.startColumn);if(s===null)return[];const c=this.H(i.endLineNumber,i.endColumn);if(c===null)return[];let h=this.s(s.node,s.remainder);const m=this.s(c.node,c.remainder);if(s.node===c.node)return this.findMatchesInNode(s.node,u,i.startLineNumber,i.startColumn,h,m,n,r,a,d,t),t;let D=i.startLineNumber,g=s.node;for(;g!==c.node;){const y=this.t(g.piece.bufferIndex,h,g.piece.end);if(y>=1){const N=this.a[g.piece.bufferIndex].lineStarts,U=this.u(g.piece.bufferIndex,g.piece.start),z=N[h.line+y],T=D===i.startLineNumber?i.startColumn:1;if(d=this.findMatchesInNode(g,u,D,T,h,this.s(g,z-U),n,r,a,d,t),d>=a)return t;D+=y}const A=D===i.startLineNumber?i.startColumn-1:0;if(D===i.endLineNumber){const N=this.getLineContent(D).substring(A,i.endColumn-1);return d=this.n(n,u,N,i.endLineNumber,A,d,t,r,a),t}if(d=this.n(n,u,this.getLineContent(D).substr(A),D,A,d,t,r,a),d>=a)return t;D++,s=this.H(D,1),g=s.node,h=this.s(s.node,s.remainder)}if(D===i.endLineNumber){const y=D===i.startLineNumber?i.startColumn-1:0,A=this.getLineContent(D).substring(y,i.endColumn-1);return d=this.n(n,u,A,i.endLineNumber,y,d,t,r,a),t}const f=D===i.startLineNumber?i.startColumn:1;return d=this.findMatchesInNode(c.node,u,D,f,h,m,n,r,a,d,t),t}n(i,n,r,a,t,d,u,s,c){const h=i.wordSeparators;if(!s&&i.simpleSearch){const D=i.simpleSearch,g=D.length,f=r.length;let y=-g;for(;(y=r.indexOf(D,y+g))!==-1;)if((!h||(0,R.$gC)(h,r,f,y,g))&&(u[d++]=new $.$mv(new F.$6s(a,y+1+t,a,y+1+g+t),null),d>=c))return d;return d}let m;n.reset(0);do if(m=n.next(r),m&&(u[d++]=(0,R.$eC)(new F.$6s(a,m.index+1+t,a,m.index+1+m[0].length+t),m,s),d>=c))return d;while(m);return d}insert(i,n,r=!1){if(this.f=this.f&&r,this.j.lineNumber=0,this.j.value="",this.root!==L.$6B){const{node:a,remainder:t,nodeStartOffset:d}=this.G(i),u=a.piece,s=u.bufferIndex,c=this.s(a,t);if(a.piece.bufferIndex===0&&u.end.line===this.g.line&&u.end.column===this.g.column&&d+u.length===i&&n.length<w){this.F(a,n),this.y();return}if(d===i)this.o(n,a),this.h.validate(i);else if(d+a.piece.length>i){const h=[];let m=new b(u.bufferIndex,c,u.end,this.t(u.bufferIndex,c,u.end),this.u(s,u.end)-this.u(s,c));if(this.K()&&this.M(n)&&this.I(a,t)===10){const y={line:m.start.line+1,column:0};m=new b(m.bufferIndex,y,m.end,this.t(m.bufferIndex,y,m.end),m.length-1),n+=`
`}if(this.K()&&this.L(n))if(this.I(a,t-1)===13){const y=this.s(a,t-1);this.C(a,y),n="\r"+n,a.piece.length===0&&h.push(a)}else this.C(a,c);else this.C(a,c);const D=this.w(n);m.length>0&&this.S(a,m);let g=a;for(let f=0;f<D.length;f++)g=this.S(g,D[f]);this.v(h)}else this.q(n,a)}else{const a=this.w(n);let t=this.T(null,a[0]);for(let d=1;d<a.length;d++)t=this.S(t,a[d])}this.y()}delete(i,n){if(this.j.lineNumber=0,this.j.value="",n<=0||this.root===L.$6B)return;const r=this.G(i),a=this.G(i+n),t=r.node,d=a.node;if(t===d){const D=this.s(t,r.remainder),g=this.s(t,a.remainder);if(r.nodeStartOffset===i){if(n===t.piece.length){const f=t.next();(0,L.$$B)(this,t),this.N(f),this.y();return}this.D(t,g),this.h.validate(i),this.N(t),this.y();return}if(r.nodeStartOffset+t.piece.length===i+n){this.C(t,D),this.O(t),this.y();return}this.E(t,D,g),this.y();return}const u=[],s=this.s(t,r.remainder);this.C(t,s),this.h.validate(i),t.piece.length===0&&u.push(t);const c=this.s(d,a.remainder);this.D(d,c),d.piece.length===0&&u.push(d);const h=t.next();for(let D=h;D!==L.$6B&&D!==d;D=D.next())u.push(D);const m=t.piece.length===0?t.prev():t;this.v(u),this.O(m),this.y()}o(i,n){const r=[];if(this.K()&&this.M(i)&&this.L(n)){const d=n.piece,u={line:d.start.line+1,column:0},s=new b(d.bufferIndex,u,d.end,this.t(d.bufferIndex,u,d.end),d.length-1);n.piece=s,i+=`
`,(0,L.$aC)(this,n,-1,-1),n.piece.length===0&&r.push(n)}const a=this.w(i);let t=this.T(n,a[a.length-1]);for(let d=a.length-2;d>=0;d--)t=this.T(t,a[d]);this.N(t),this.v(r)}q(i,n){this.Q(i,n)&&(i+=`
`);const r=this.w(i),a=this.S(n,r[0]);let t=a;for(let d=1;d<r.length;d++)t=this.S(t,r[d]);this.N(a)}s(i,n,r){const a=i.piece,t=i.piece.bufferIndex,d=this.a[t].lineStarts,s=d[a.start.line]+a.start.column+n;let c=a.start.line,h=a.end.line,m=0,D=0,g=0;for(;c<=h&&(m=c+(h-c)/2|0,g=d[m],m!==h);)if(D=d[m+1],s<g)h=m-1;else if(s>=D)c=m+1;else break;return r?(r.line=m,r.column=s-g,null):{line:m,column:s-g}}t(i,n,r){if(r.column===0)return r.line-n.line;const a=this.a[i].lineStarts;if(r.line===a.length-1)return r.line-n.line;const t=a[r.line+1],d=a[r.line]+r.column;if(t>d+1)return r.line-n.line;const u=d-1;return this.a[i].buffer.charCodeAt(u)===13?r.line-n.line+1:r.line-n.line}u(i,n){return this.a[i].lineStarts[n.line]+n.column}v(i){for(let n=0;n<i.length;n++)(0,L.$$B)(this,i[n])}w(i){if(i.length>w){const h=[];for(;i.length>w;){const D=i.charCodeAt(w-1);let g;D===13||D>=55296&&D<=56319?(g=i.substring(0,w-1),i=i.substring(w-1)):(g=i.substring(0,w),i=i.substring(w));const f=M(g);h.push(new b(this.a.length,{line:0,column:0},{line:f.length-1,column:g.length-f[f.length-1]},f.length-1,g.length)),this.a.push(new E(g,f))}const m=M(i);return h.push(new b(this.a.length,{line:0,column:0},{line:m.length-1,column:i.length-m[m.length-1]},m.length-1,i.length)),this.a.push(new E(i,m)),h}let n=this.a[0].buffer.length;const r=M(i,!1);let a=this.g;if(this.a[0].lineStarts[this.a[0].lineStarts.length-1]===n&&n!==0&&this.L(i)&&this.M(this.a[0].buffer)){this.g={line:this.g.line,column:this.g.column+1},a=this.g;for(let h=0;h<r.length;h++)r[h]+=n+1;this.a[0].lineStarts=this.a[0].lineStarts.concat(r.slice(1)),this.a[0].buffer+="_"+i,n+=1}else{if(n!==0)for(let h=0;h<r.length;h++)r[h]+=n;this.a[0].lineStarts=this.a[0].lineStarts.concat(r.slice(1)),this.a[0].buffer+=i}const t=this.a[0].buffer.length,d=this.a[0].lineStarts.length-1,u=t-this.a[0].lineStarts[d],s={line:d,column:u},c=new b(0,a,s,this.t(0,a,s),t-n);return this.g=s,[c]}getLinesRawContent(){return this.U(this.root)}getLineRawContent(i,n=0){let r=this.root,a="";const t=this.h.get2(i);if(t){r=t.node;const d=this.B(r,i-t.nodeStartLineNumber-1),u=this.a[r.piece.bufferIndex].buffer,s=this.u(r.piece.bufferIndex,r.piece.start);if(t.nodeStartLineNumber+r.piece.lineFeedCnt===i)a=u.substring(s+d,s+r.piece.length);else{const c=this.B(r,i-t.nodeStartLineNumber);return u.substring(s+d,s+c-n)}}else{let d=0;const u=i;for(;r!==L.$6B;)if(r.left!==L.$6B&&r.lf_left>=i-1)r=r.left;else if(r.lf_left+r.piece.lineFeedCnt>i-1){const s=this.B(r,i-r.lf_left-2),c=this.B(r,i-r.lf_left-1),h=this.a[r.piece.bufferIndex].buffer,m=this.u(r.piece.bufferIndex,r.piece.start);return d+=r.size_left,this.h.set({node:r,nodeStartOffset:d,nodeStartLineNumber:u-(i-1-r.lf_left)}),h.substring(m+s,m+c-n)}else if(r.lf_left+r.piece.lineFeedCnt===i-1){const s=this.B(r,i-r.lf_left-2),c=this.a[r.piece.bufferIndex].buffer,h=this.u(r.piece.bufferIndex,r.piece.start);a=c.substring(h+s,h+r.piece.length);break}else i-=r.lf_left+r.piece.lineFeedCnt,d+=r.size_left+r.piece.length,r=r.right}for(r=r.next();r!==L.$6B;){const d=this.a[r.piece.bufferIndex].buffer;if(r.piece.lineFeedCnt>0){const u=this.B(r,0),s=this.u(r.piece.bufferIndex,r.piece.start);return a+=d.substring(s,s+u-n),a}else{const u=this.u(r.piece.bufferIndex,r.piece.start);a+=d.substr(u,r.piece.length)}r=r.next()}return a}y(){let i=this.root,n=1,r=0;for(;i!==L.$6B;)n+=i.lf_left+i.piece.lineFeedCnt,r+=i.size_left+i.piece.length,i=i.right;this.b=n,this.c=r,this.h.validate(this.c)}A(i,n){const r=i.piece,a=this.s(i,n),t=a.line-r.start.line;if(this.u(r.bufferIndex,r.end)-this.u(r.bufferIndex,r.start)===n){const d=this.t(i.piece.bufferIndex,r.start,a);if(d!==t)return{index:d,remainder:0}}return{index:t,remainder:a.column}}B(i,n){if(n<0)return 0;const r=i.piece,a=this.a[r.bufferIndex].lineStarts,t=r.start.line+n+1;return t>r.end.line?a[r.end.line]+r.end.column-a[r.start.line]-r.start.column:a[t]-a[r.start.line]-r.start.column}C(i,n){const r=i.piece,a=r.lineFeedCnt,t=this.u(r.bufferIndex,r.end),d=n,u=this.u(r.bufferIndex,d),s=this.t(r.bufferIndex,r.start,d),c=s-a,h=u-t,m=r.length+h;i.piece=new b(r.bufferIndex,r.start,d,s,m),(0,L.$aC)(this,i,h,c)}D(i,n){const r=i.piece,a=r.lineFeedCnt,t=this.u(r.bufferIndex,r.start),d=n,u=this.t(r.bufferIndex,d,r.end),s=this.u(r.bufferIndex,d),c=u-a,h=t-s,m=r.length+h;i.piece=new b(r.bufferIndex,d,r.end,u,m),(0,L.$aC)(this,i,h,c)}E(i,n,r){const a=i.piece,t=a.start,d=a.end,u=a.length,s=a.lineFeedCnt,c=n,h=this.t(a.bufferIndex,a.start,c),m=this.u(a.bufferIndex,n)-this.u(a.bufferIndex,t);i.piece=new b(a.bufferIndex,a.start,c,h,m),(0,L.$aC)(this,i,m-u,h-s);const D=new b(a.bufferIndex,r,d,this.t(a.bufferIndex,r,d),this.u(a.bufferIndex,d)-this.u(a.bufferIndex,r)),g=this.S(i,D);this.N(g)}F(i,n){this.Q(n,i)&&(n+=`
`);const r=this.K()&&this.L(n)&&this.M(i),a=this.a[0].buffer.length;this.a[0].buffer+=n;const t=M(n,!1);for(let g=0;g<t.length;g++)t[g]+=a;if(r){const g=this.a[0].lineStarts[this.a[0].lineStarts.length-2];this.a[0].lineStarts.pop(),this.g={line:this.g.line-1,column:a-g}}this.a[0].lineStarts=this.a[0].lineStarts.concat(t.slice(1));const d=this.a[0].lineStarts.length-1,u=this.a[0].buffer.length-this.a[0].lineStarts[d],s={line:d,column:u},c=i.piece.length+n.length,h=i.piece.lineFeedCnt,m=this.t(0,i.piece.start,s),D=m-h;i.piece=new b(i.piece.bufferIndex,i.piece.start,s,m,c),this.g=s,(0,L.$aC)(this,i,n.length,D)}G(i){let n=this.root;const r=this.h.get(i);if(r)return{node:r.node,nodeStartOffset:r.nodeStartOffset,remainder:i-r.nodeStartOffset};let a=0;for(;n!==L.$6B;)if(n.size_left>i)n=n.left;else if(n.size_left+n.piece.length>=i){a+=n.size_left;const t={node:n,remainder:i-n.size_left,nodeStartOffset:a};return this.h.set(t),t}else i-=n.size_left+n.piece.length,a+=n.size_left+n.piece.length,n=n.right;return null}H(i,n){let r=this.root,a=0;for(;r!==L.$6B;)if(r.left!==L.$6B&&r.lf_left>=i-1)r=r.left;else if(r.lf_left+r.piece.lineFeedCnt>i-1){const t=this.B(r,i-r.lf_left-2),d=this.B(r,i-r.lf_left-1);return a+=r.size_left,{node:r,remainder:Math.min(t+n-1,d),nodeStartOffset:a}}else if(r.lf_left+r.piece.lineFeedCnt===i-1){const t=this.B(r,i-r.lf_left-2);if(t+n-1<=r.piece.length)return{node:r,remainder:t+n-1,nodeStartOffset:a};n-=r.piece.length-t;break}else i-=r.lf_left+r.piece.lineFeedCnt,a+=r.size_left+r.piece.length,r=r.right;for(r=r.next();r!==L.$6B;){if(r.piece.lineFeedCnt>0){const t=this.B(r,0),d=this.J(r);return{node:r,remainder:Math.min(n-1,t),nodeStartOffset:d}}else if(r.piece.length>=n-1){const t=this.J(r);return{node:r,remainder:n-1,nodeStartOffset:t}}else n-=r.piece.length;r=r.next()}return null}I(i,n){if(i.piece.lineFeedCnt<1)return-1;const r=this.a[i.piece.bufferIndex],a=this.u(i.piece.bufferIndex,i.piece.start)+n;return r.buffer.charCodeAt(a)}J(i){if(!i)return 0;let n=i.size_left;for(;i!==this.root;)i.parent.right===i&&(n+=i.parent.size_left+i.parent.piece.length),i=i.parent;return n}K(){return!(this.f&&this.d===`
`)}L(i){if(typeof i=="string")return i.charCodeAt(0)===10;if(i===L.$6B||i.piece.lineFeedCnt===0)return!1;const n=i.piece,r=this.a[n.bufferIndex].lineStarts,a=n.start.line,t=r[a]+n.start.column;return a===r.length-1||r[a+1]>t+1?!1:this.a[n.bufferIndex].buffer.charCodeAt(t)===10}M(i){return typeof i=="string"?i.charCodeAt(i.length-1)===13:i===L.$6B||i.piece.lineFeedCnt===0?!1:this.I(i,i.piece.length-1)===13}N(i){if(this.K()&&this.L(i)){const n=i.prev();this.M(n)&&this.P(n,i)}}O(i){if(this.K()&&this.M(i)){const n=i.next();this.L(n)&&this.P(i,n)}}P(i,n){const r=[],a=this.a[i.piece.bufferIndex].lineStarts;let t;i.piece.end.column===0?t={line:i.piece.end.line-1,column:a[i.piece.end.line]-a[i.piece.end.line-1]-1}:t={line:i.piece.end.line,column:i.piece.end.column-1};const d=i.piece.length-1,u=i.piece.lineFeedCnt-1;i.piece=new b(i.piece.bufferIndex,i.piece.start,t,u,d),(0,L.$aC)(this,i,-1,-1),i.piece.length===0&&r.push(i);const s={line:n.piece.start.line+1,column:0},c=n.piece.length-1,h=this.t(n.piece.bufferIndex,s,n.piece.end);n.piece=new b(n.piece.bufferIndex,s,n.piece.end,h,c),(0,L.$aC)(this,n,-1,-1),n.piece.length===0&&r.push(n);const m=this.w(`\r
`);this.S(i,m[0]);for(let D=0;D<r.length;D++)(0,L.$$B)(this,r[D])}Q(i,n){if(this.K()&&this.M(i)){const r=n.next();if(this.L(r)){if(i+=`
`,r.piece.length===1)(0,L.$$B)(this,r);else{const a=r.piece,t={line:a.start.line+1,column:0},d=a.length-1,u=this.t(a.bufferIndex,t,a.end);r.piece=new b(a.bufferIndex,t,a.end,u,d),(0,L.$aC)(this,r,-1,-1)}return!0}}return!1}iterate(i,n){if(i===L.$6B)return n(L.$6B);const r=this.iterate(i.left,n);return r&&n(i)&&this.iterate(i.right,n)}R(i){if(i===L.$6B)return"";const n=this.a[i.piece.bufferIndex],r=i.piece,a=this.u(r.bufferIndex,r.start),t=this.u(r.bufferIndex,r.end);return n.buffer.substring(a,t)}getPieceContent(i){const n=this.a[i.bufferIndex],r=this.u(i.bufferIndex,i.start),a=this.u(i.bufferIndex,i.end);return n.buffer.substring(r,a)}S(i,n){const r=new L.$5B(n,1);if(r.left=L.$6B,r.right=L.$6B,r.parent=L.$6B,r.size_left=0,r.lf_left=0,this.root===L.$6B)this.root=r,r.color=0;else if(i.right===L.$6B)i.right=r,r.parent=i;else{const t=(0,L.$7B)(i.right);t.left=r,r.parent=t}return(0,L.$_B)(this,r),r}T(i,n){const r=new L.$5B(n,1);if(r.left=L.$6B,r.right=L.$6B,r.parent=L.$6B,r.size_left=0,r.lf_left=0,this.root===L.$6B)this.root=r,r.color=0;else if(i.left===L.$6B)i.left=r,r.parent=i;else{const a=(0,L.$8B)(i.left);a.right=r,r.parent=a}return(0,L.$_B)(this,r),r}U(i){let n="";return this.iterate(i,r=>(n+=this.R(r),!0)),n}}e.$mC=p}),define(Se[178],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$D9=e.$C9=void 0;class I{constructor(){this.a=new Map}removeDragOperationTransfer(L){if(L&&this.a.has(L)){const R=this.a.get(L);return this.a.delete(L),R}}addDragOperationTransfer(L,R){this.a.set(L,R)}}e.$C9=I;class F{constructor(L){this.identifier=L}}e.$D9=F}),define(Se[179],De([1,0,4,3]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Et=void 0;class ${constructor(){this.a=new Map,this.b=new Map,this.c=new I.$5d,this.onDidChange=this.c.event,this.d=null}handleChange(w){this.c.fire({changedLanguages:w,changedColorMap:!1})}register(w,v){return this.a.set(w,v),this.handleChange([w]),(0,F.$Rc)(()=>{this.a.get(w)===v&&(this.a.delete(w),this.handleChange([w]))})}get(w){return this.a.get(w)||null}registerFactory(w,v){this.b.get(w)?.dispose();const S=new L(this,w,v);return this.b.set(w,S),(0,F.$Rc)(()=>{const M=this.b.get(w);!M||M!==S||(this.b.delete(w),M.dispose())})}async getOrCreate(w){const v=this.get(w);if(v)return v;const S=this.b.get(w);return!S||S.isResolved?null:(await S.resolve(),this.get(w))}isResolved(w){if(this.get(w))return!0;const S=this.b.get(w);return!!(!S||S.isResolved)}setColorMap(w){this.d=w,this.c.fire({changedLanguages:Array.from(this.a.keys()),changedColorMap:!0})}getColorMap(){return this.d}getDefaultBackground(){return this.d&&this.d.length>2?this.d[2]:null}}e.$Et=$;class L extends F.$Tc{get isResolved(){return this.c}constructor(w,v,S){super(),this.f=w,this.g=v,this.h=S,this.a=!1,this.b=null,this.c=!1}dispose(){this.a=!0,super.dispose()}async resolve(){return this.b||(this.b=this.j()),this.b}async j(){const w=await this.h.tokenizationSupport;this.c=!0,w&&!this.a&&this.B(this.f.register(this.g,w))}}}),define(Se[180],De([9,10]),function(me,e){return me.create("vs/base/common/actions",e)}),define(Se[181],De([1,0,4,3,180]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1i=e.$Zi=e.$Yi=e.$Xi=e.$Wi=e.$Vi=void 0;class L extends F.$Tc{constructor(b,E="",k="",l=!0,p){super(),this.h=this.B(new I.$5d),this.onDidChange=this.h.event,this.w=!0,this.j=b,this.m=E,this.u=k,this.w=l,this.C=p}get id(){return this.j}get label(){return this.m}set label(b){this.D(b)}D(b){this.m!==b&&(this.m=b,this.h.fire({label:b}))}get tooltip(){return this.n||""}set tooltip(b){this.F(b)}F(b){this.n!==b&&(this.n=b,this.h.fire({tooltip:b}))}get class(){return this.u}set class(b){this.G(b)}G(b){this.u!==b&&(this.u=b,this.h.fire({class:b}))}get enabled(){return this.w}set enabled(b){this.H(b)}H(b){this.w!==b&&(this.w=b,this.h.fire({enabled:b}))}get checked(){return this.z}set checked(b){this.I(b)}I(b){this.z!==b&&(this.z=b,this.h.fire({checked:b}))}async run(b,E){this.C&&await this.C(b)}}e.$Vi=L;class R extends F.$Tc{constructor(){super(...arguments),this.f=this.B(new I.$5d),this.onWillRun=this.f.event,this.m=this.B(new I.$5d),this.onDidRun=this.m.event}async run(b,E){if(!b.enabled)return;this.f.fire({action:b});let k;try{await this.u(b,E)}catch(l){k=l}this.m.fire({action:b,error:k})}async u(b,E){await b.run(E)}}e.$Wi=R;class w{constructor(){this.id=w.ID,this.label="",this.tooltip="",this.class="separator",this.enabled=!1,this.checked=!1}static join(...b){let E=[];for(const k of b)k.length&&(E.length?E=[...E,new w,...k]:E=k);return E}static{this.ID="vs.actions.separator"}async run(){}}e.$Xi=w;class v{get actions(){return this.a}constructor(b,E,k,l){this.tooltip="",this.enabled=!0,this.checked=void 0,this.id=b,this.label=E,this.class=l,this.a=k}async run(){}}e.$Yi=v;class S extends L{static{this.ID="vs.actions.empty"}constructor(){super(S.ID,$.localize(0,null),void 0,!1)}}e.$Zi=S;function M(C){return{id:C.id,label:C.label,class:C.class,enabled:C.enabled??!0,checked:C.checked,run:async(...b)=>C.run(...b),tooltip:C.label}}e.$1i=M}),define(Se[182],De([9,10]),function(me,e){return me.create("vs/base/common/date",e)}),define(Se[183],De([1,0,182]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Im=e.$Hm=e.$Gm=void 0;const F=60,$=F*60,L=$*24,R=L*7,w=L*30,v=L*365;function S(b,E,k,l){typeof b!="number"&&(b=b.getTime());const p=Math.round((new Date().getTime()-b)/1e3);if(p<-30)return(0,I.localize)(0,null,S(new Date().getTime()+p*1e3,!1));if(!l&&p<30)return(0,I.localize)(1,null);let o;return p<F?(o=p,E?o===1?k?(0,I.localize)(2,null,o):(0,I.localize)(3,null,o):k?(0,I.localize)(4,null,o):(0,I.localize)(5,null,o):o===1?k?(0,I.localize)(6,null,o):(0,I.localize)(7,null,o):k?(0,I.localize)(8,null,o):(0,I.localize)(9,null,o)):p<$?(o=Math.floor(p/F),E?o===1?k?(0,I.localize)(10,null,o):(0,I.localize)(11,null,o):k?(0,I.localize)(12,null,o):(0,I.localize)(13,null,o):o===1?k?(0,I.localize)(14,null,o):(0,I.localize)(15,null,o):k?(0,I.localize)(16,null,o):(0,I.localize)(17,null,o)):p<L?(o=Math.floor(p/$),E?o===1?k?(0,I.localize)(18,null,o):(0,I.localize)(19,null,o):k?(0,I.localize)(20,null,o):(0,I.localize)(21,null,o):o===1?k?(0,I.localize)(22,null,o):(0,I.localize)(23,null,o):k?(0,I.localize)(24,null,o):(0,I.localize)(25,null,o)):p<R?(o=Math.floor(p/L),E?o===1?(0,I.localize)(26,null,o):(0,I.localize)(27,null,o):o===1?(0,I.localize)(28,null,o):(0,I.localize)(29,null,o)):p<w?(o=Math.floor(p/R),E?o===1?k?(0,I.localize)(30,null,o):(0,I.localize)(31,null,o):k?(0,I.localize)(32,null,o):(0,I.localize)(33,null,o):o===1?k?(0,I.localize)(34,null,o):(0,I.localize)(35,null,o):k?(0,I.localize)(36,null,o):(0,I.localize)(37,null,o)):p<v?(o=Math.floor(p/w),E?o===1?k?(0,I.localize)(38,null,o):(0,I.localize)(39,null,o):k?(0,I.localize)(40,null,o):(0,I.localize)(41,null,o):o===1?k?(0,I.localize)(42,null,o):(0,I.localize)(43,null,o):k?(0,I.localize)(44,null,o):(0,I.localize)(45,null,o)):(o=Math.floor(p/v),E?o===1?k?(0,I.localize)(46,null,o):(0,I.localize)(47,null,o):k?(0,I.localize)(48,null,o):(0,I.localize)(49,null,o):o===1?k?(0,I.localize)(50,null,o):(0,I.localize)(51,null,o):k?(0,I.localize)(52,null,o):(0,I.localize)(53,null,o))}e.$Gm=S;function M(b,E){const k=Math.abs(b/1e3);return k<1?E?(0,I.localize)(54,null,b):(0,I.localize)(55,null,b):k<F?E?(0,I.localize)(56,null,Math.round(b)/1e3):(0,I.localize)(57,null,Math.round(b)/1e3):k<$?E?(0,I.localize)(58,null,Math.round(b/(1e3*F))):(0,I.localize)(59,null,Math.round(b/(1e3*F))):k<L?E?(0,I.localize)(60,null,Math.round(b/(1e3*$))):(0,I.localize)(61,null,Math.round(b/(1e3*$))):(0,I.localize)(62,null,Math.round(b/(1e3*L)))}e.$Hm=M;function C(b){return b.getFullYear()+"-"+String(b.getMonth()+1).padStart(2,"0")+"-"+String(b.getDate()).padStart(2,"0")+"T"+String(b.getHours()).padStart(2,"0")+":"+String(b.getMinutes()).padStart(2,"0")+":"+String(b.getSeconds()).padStart(2,"0")+"."+(b.getMilliseconds()/1e3).toFixed(3).slice(2,5)+"Z"}e.$Im=C}),define(Se[184],De([9,10]),function(me,e){return me.create("vs/base/common/errorMessage",e)}),define(Se[40],De([1,0,19,18,184]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4i=e.$3i=e.$2i=void 0;function L(C,b){return b&&(C.stack||C.stacktrace)?$.localize(0,null,w(C),R(C.stack)||R(C.stacktrace)):w(C)}function R(C){return Array.isArray(C)?C.join(`
`):C}function w(C){return C.code==="ERR_UNC_HOST_NOT_ALLOWED"?`${C.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`:typeof C.code=="string"&&typeof C.errno=="number"&&typeof C.syscall=="string"?$.localize(1,null,C.message):C.message||$.localize(2,null)}function v(C=null,b=!1){if(!C)return $.localize(3,null);if(Array.isArray(C)){const E=I.$Hb(C),k=v(E[0],b);return E.length>1?$.localize(4,null,k,E.length):k}if(F.$Sf(C))return C;if(C.detail){const E=C.detail;if(E.error)return L(E.error,b);if(E.exception)return L(E.exception,b)}return C.stack?L(C,b):C.message?C.message:$.localize(5,null)}e.$2i=v;function S(C){const b=C;return b instanceof Error&&Array.isArray(b.actions)}e.$3i=S;function M(C,b){let E;return typeof C=="string"?E=new Error(C):E=C,E.actions=b,E}e.$4i=M}),define(Se[185],De([9,10]),function(me,e){return me.create("vs/base/common/platform",e)}),define(Se[11],De([1,0,185]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$J=e.$I=e.$H=e.$G=e.$F=e.$E=e.$D=e.OS=e.OperatingSystem=e.$B=e.$A=e.$z=e.$y=e.$x=e.Language=e.$w=e.$v=e.$u=e.$t=e.$s=e.$r=e.$q=e.$p=e.$o=e.$n=e.$m=e.$l=e.$k=e.$j=e.$i=e.$h=e.Platform=e.$g=void 0,e.$g="en";let F=!1,$=!1,L=!1,R=!1,w=!1,v=!1,S=!1,M=!1,C=!1,b=!1,E,k=e.$g,l=e.$g,p,o;const i=globalThis;let n;typeof i.vscode<"u"&&typeof i.vscode.process<"u"?n=i.vscode.process:typeof process<"u"&&(n=process);const r=typeof n?.versions?.electron=="string",a=r&&n?.type==="renderer";if(typeof n=="object"){F=n.platform==="win32",$=n.platform==="darwin",L=n.platform==="linux",R=L&&!!n.env.SNAP&&!!n.env.SNAP_REVISION,S=r,C=!!n.env.CI||!!n.env.BUILD_ARTIFACTSTAGINGDIRECTORY,E=e.$g,k=e.$g;const f=n.env.VSCODE_NLS_CONFIG;if(f)try{const y=JSON.parse(f),A=y.availableLanguages["*"];E=y.locale,l=y.osLocale,k=A||e.$g,p=y._translationsConfigFile}catch{}w=!0}else typeof navigator=="object"&&!a?(o=navigator.userAgent,F=o.indexOf("Windows")>=0,$=o.indexOf("Macintosh")>=0,M=(o.indexOf("Macintosh")>=0||o.indexOf("iPad")>=0||o.indexOf("iPhone")>=0)&&!!navigator.maxTouchPoints&&navigator.maxTouchPoints>0,L=o.indexOf("Linux")>=0,b=o?.indexOf("Mobi")>=0,v=!0,E=I.getConfiguredDefaultLocale(I.localize(0,null))||e.$g,k=E,l=navigator.language):console.error("Unable to resolve platform.");var t;(function(f){f[f.Web=0]="Web",f[f.Mac=1]="Mac",f[f.Linux=2]="Linux",f[f.Windows=3]="Windows"})(t||(e.Platform=t={}));function d(f){switch(f){case 0:return"Web";case 1:return"Mac";case 2:return"Linux";case 3:return"Windows"}}e.$h=d;let u=0;$?u=1:F?u=3:L&&(u=2),e.$i=F,e.$j=$,e.$k=L,e.$l=R,e.$m=w,e.$n=S,e.$o=v,e.$p=v&&typeof i.importScripts=="function",e.$q=e.$p?i.origin:void 0,e.$r=M,e.$s=b,e.$t=C,e.$u=u,e.$v=o,e.$w=k;var s;(function(f){function y(){return e.$w}f.value=y;function A(){return e.$w.length===2?e.$w==="en":e.$w.length>=3?e.$w[0]==="e"&&e.$w[1]==="n"&&e.$w[2]==="-":!1}f.isDefaultVariant=A;function N(){return e.$w==="en"}f.isDefault=N})(s||(e.Language=s={})),e.$x=E,e.$y=l,e.$z=p,e.$A=typeof i.postMessage=="function"&&!i.importScripts,e.$B=(()=>{if(e.$A){const f=[];i.addEventListener("message",A=>{if(A.data&&A.data.vscodeScheduleAsyncWork)for(let N=0,U=f.length;N<U;N++){const z=f[N];if(z.id===A.data.vscodeScheduleAsyncWork){f.splice(N,1),z.callback();return}}});let y=0;return A=>{const N=++y;f.push({id:N,callback:A}),i.postMessage({vscodeScheduleAsyncWork:N},"*")}}return f=>setTimeout(f)})();var c;(function(f){f[f.Windows=1]="Windows",f[f.Macintosh=2]="Macintosh",f[f.Linux=3]="Linux"})(c||(e.OperatingSystem=c={})),e.OS=$||M?2:F?1:3;let h=!0,m=!1;function D(){if(!m){m=!0;const f=new Uint8Array(2);f[0]=1,f[1]=2,h=new Uint16Array(f.buffer)[0]===513}return h}e.$D=D,e.$E=!!(e.$v&&e.$v.indexOf("Chrome")>=0),e.$F=!!(e.$v&&e.$v.indexOf("Firefox")>=0),e.$G=!!(!e.$E&&e.$v&&e.$v.indexOf("Safari")>=0),e.$H=!!(e.$v&&e.$v.indexOf("Edg/")>=0),e.$I=!!(e.$v&&e.$v.indexOf("Android")>=0);function g(f){return parseFloat(f)>=20}e.$J=g}),define(Se[50],De([1,0,11]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ec=e.$dc=e.env=e.cwd=void 0;let F;const $=globalThis.vscode;if(typeof $<"u"&&typeof $.process<"u"){const L=$.process;F={get platform(){return L.platform},get arch(){return L.arch},get env(){return L.env},cwd(){return L.cwd()}}}else typeof process<"u"?F={get platform(){return process.platform},get arch(){return process.arch},get env(){return process.env},cwd(){return process.env.VSCODE_CWD||process.cwd()}}:F={get platform(){return I.$i?"win32":I.$j?"darwin":"linux"},get arch(){},get env(){return{}},cwd(){return"/"}};e.cwd=F.cwd,e.env=F.env,e.$dc=F.platform,e.$ec=F.arch}),define(Se[17],De([1,0,50]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tc=e.sep=e.$rc=e.$qc=e.$pc=e.$oc=e.$nc=e.$mc=e.$lc=e.$kc=e.$jc=e.$ic=e.$hc=e.$gc=e.$fc=void 0;const F=65,$=97,L=90,R=122,w=46,v=47,S=92,M=58,C=63;class b extends Error{constructor(d,u,s){let c;typeof u=="string"&&u.indexOf("not ")===0?(c="must not be",u=u.replace(/^not /,"")):c="must be";const h=d.indexOf(".")!==-1?"property":"argument";let m=`The "${d}" ${h} ${c} of type ${u}`;m+=`. Received type ${typeof s}`,super(m),this.code="ERR_INVALID_ARG_TYPE"}}function E(t,d){if(t===null||typeof t!="object")throw new b(d,"Object",t)}function k(t,d){if(typeof t!="string")throw new b(d,"string",t)}const l=I.$dc==="win32";function p(t){return t===v||t===S}function o(t){return t===v}function i(t){return t>=F&&t<=L||t>=$&&t<=R}function n(t,d,u,s){let c="",h=0,m=-1,D=0,g=0;for(let f=0;f<=t.length;++f){if(f<t.length)g=t.charCodeAt(f);else{if(s(g))break;g=v}if(s(g)){if(!(m===f-1||D===1))if(D===2){if(c.length<2||h!==2||c.charCodeAt(c.length-1)!==w||c.charCodeAt(c.length-2)!==w){if(c.length>2){const y=c.lastIndexOf(u);y===-1?(c="",h=0):(c=c.slice(0,y),h=c.length-1-c.lastIndexOf(u)),m=f,D=0;continue}else if(c.length!==0){c="",h=0,m=f,D=0;continue}}d&&(c+=c.length>0?`${u}..`:"..",h=2)}else c.length>0?c+=`${u}${t.slice(m+1,f)}`:c=t.slice(m+1,f),h=f-m-1;m=f,D=0}else g===w&&D!==-1?++D:D=-1}return c}function r(t,d){E(d,"pathObject");const u=d.dir||d.root,s=d.base||`${d.name||""}${d.ext||""}`;return u?u===d.root?`${u}${s}`:`${u}${t}${s}`:s}e.$fc={resolve(...t){let d="",u="",s=!1;for(let c=t.length-1;c>=-1;c--){let h;if(c>=0){if(h=t[c],k(h,"path"),h.length===0)continue}else d.length===0?h=I.cwd():(h=I.env[`=${d}`]||I.cwd(),(h===void 0||h.slice(0,2).toLowerCase()!==d.toLowerCase()&&h.charCodeAt(2)===S)&&(h=`${d}\\`));const m=h.length;let D=0,g="",f=!1;const y=h.charCodeAt(0);if(m===1)p(y)&&(D=1,f=!0);else if(p(y))if(f=!0,p(h.charCodeAt(1))){let A=2,N=A;for(;A<m&&!p(h.charCodeAt(A));)A++;if(A<m&&A!==N){const U=h.slice(N,A);for(N=A;A<m&&p(h.charCodeAt(A));)A++;if(A<m&&A!==N){for(N=A;A<m&&!p(h.charCodeAt(A));)A++;(A===m||A!==N)&&(g=`\\\\${U}\\${h.slice(N,A)}`,D=A)}}}else D=1;else i(y)&&h.charCodeAt(1)===M&&(g=h.slice(0,2),D=2,m>2&&p(h.charCodeAt(2))&&(f=!0,D=3));if(g.length>0)if(d.length>0){if(g.toLowerCase()!==d.toLowerCase())continue}else d=g;if(s){if(d.length>0)break}else if(u=`${h.slice(D)}\\${u}`,s=f,f&&d.length>0)break}return u=n(u,!s,"\\",p),s?`${d}\\${u}`:`${d}${u}`||"."},normalize(t){k(t,"path");const d=t.length;if(d===0)return".";let u=0,s,c=!1;const h=t.charCodeAt(0);if(d===1)return o(h)?"\\":t;if(p(h))if(c=!0,p(t.charCodeAt(1))){let D=2,g=D;for(;D<d&&!p(t.charCodeAt(D));)D++;if(D<d&&D!==g){const f=t.slice(g,D);for(g=D;D<d&&p(t.charCodeAt(D));)D++;if(D<d&&D!==g){for(g=D;D<d&&!p(t.charCodeAt(D));)D++;if(D===d)return`\\\\${f}\\${t.slice(g)}\\`;D!==g&&(s=`\\\\${f}\\${t.slice(g,D)}`,u=D)}}}else u=1;else i(h)&&t.charCodeAt(1)===M&&(s=t.slice(0,2),u=2,d>2&&p(t.charCodeAt(2))&&(c=!0,u=3));let m=u<d?n(t.slice(u),!c,"\\",p):"";return m.length===0&&!c&&(m="."),m.length>0&&p(t.charCodeAt(d-1))&&(m+="\\"),s===void 0?c?`\\${m}`:m:c?`${s}\\${m}`:`${s}${m}`},isAbsolute(t){k(t,"path");const d=t.length;if(d===0)return!1;const u=t.charCodeAt(0);return p(u)||d>2&&i(u)&&t.charCodeAt(1)===M&&p(t.charCodeAt(2))},join(...t){if(t.length===0)return".";let d,u;for(let h=0;h<t.length;++h){const m=t[h];k(m,"path"),m.length>0&&(d===void 0?d=u=m:d+=`\\${m}`)}if(d===void 0)return".";let s=!0,c=0;if(typeof u=="string"&&p(u.charCodeAt(0))){++c;const h=u.length;h>1&&p(u.charCodeAt(1))&&(++c,h>2&&(p(u.charCodeAt(2))?++c:s=!1))}if(s){for(;c<d.length&&p(d.charCodeAt(c));)c++;c>=2&&(d=`\\${d.slice(c)}`)}return e.$fc.normalize(d)},relative(t,d){if(k(t,"from"),k(d,"to"),t===d)return"";const u=e.$fc.resolve(t),s=e.$fc.resolve(d);if(u===s||(t=u.toLowerCase(),d=s.toLowerCase(),t===d))return"";let c=0;for(;c<t.length&&t.charCodeAt(c)===S;)c++;let h=t.length;for(;h-1>c&&t.charCodeAt(h-1)===S;)h--;const m=h-c;let D=0;for(;D<d.length&&d.charCodeAt(D)===S;)D++;let g=d.length;for(;g-1>D&&d.charCodeAt(g-1)===S;)g--;const f=g-D,y=m<f?m:f;let A=-1,N=0;for(;N<y;N++){const z=t.charCodeAt(c+N);if(z!==d.charCodeAt(D+N))break;z===S&&(A=N)}if(N!==y){if(A===-1)return s}else{if(f>y){if(d.charCodeAt(D+N)===S)return s.slice(D+N+1);if(N===2)return s.slice(D+N)}m>y&&(t.charCodeAt(c+N)===S?A=N:N===2&&(A=3)),A===-1&&(A=0)}let U="";for(N=c+A+1;N<=h;++N)(N===h||t.charCodeAt(N)===S)&&(U+=U.length===0?"..":"\\..");return D+=A,U.length>0?`${U}${s.slice(D,g)}`:(s.charCodeAt(D)===S&&++D,s.slice(D,g))},toNamespacedPath(t){if(typeof t!="string"||t.length===0)return t;const d=e.$fc.resolve(t);if(d.length<=2)return t;if(d.charCodeAt(0)===S){if(d.charCodeAt(1)===S){const u=d.charCodeAt(2);if(u!==C&&u!==w)return`\\\\?\\UNC\\${d.slice(2)}`}}else if(i(d.charCodeAt(0))&&d.charCodeAt(1)===M&&d.charCodeAt(2)===S)return`\\\\?\\${d}`;return t},dirname(t){k(t,"path");const d=t.length;if(d===0)return".";let u=-1,s=0;const c=t.charCodeAt(0);if(d===1)return p(c)?t:".";if(p(c)){if(u=s=1,p(t.charCodeAt(1))){let D=2,g=D;for(;D<d&&!p(t.charCodeAt(D));)D++;if(D<d&&D!==g){for(g=D;D<d&&p(t.charCodeAt(D));)D++;if(D<d&&D!==g){for(g=D;D<d&&!p(t.charCodeAt(D));)D++;if(D===d)return t;D!==g&&(u=s=D+1)}}}}else i(c)&&t.charCodeAt(1)===M&&(u=d>2&&p(t.charCodeAt(2))?3:2,s=u);let h=-1,m=!0;for(let D=d-1;D>=s;--D)if(p(t.charCodeAt(D))){if(!m){h=D;break}}else m=!1;if(h===-1){if(u===-1)return".";h=u}return t.slice(0,h)},basename(t,d){d!==void 0&&k(d,"ext"),k(t,"path");let u=0,s=-1,c=!0,h;if(t.length>=2&&i(t.charCodeAt(0))&&t.charCodeAt(1)===M&&(u=2),d!==void 0&&d.length>0&&d.length<=t.length){if(d===t)return"";let m=d.length-1,D=-1;for(h=t.length-1;h>=u;--h){const g=t.charCodeAt(h);if(p(g)){if(!c){u=h+1;break}}else D===-1&&(c=!1,D=h+1),m>=0&&(g===d.charCodeAt(m)?--m===-1&&(s=h):(m=-1,s=D))}return u===s?s=D:s===-1&&(s=t.length),t.slice(u,s)}for(h=t.length-1;h>=u;--h)if(p(t.charCodeAt(h))){if(!c){u=h+1;break}}else s===-1&&(c=!1,s=h+1);return s===-1?"":t.slice(u,s)},extname(t){k(t,"path");let d=0,u=-1,s=0,c=-1,h=!0,m=0;t.length>=2&&t.charCodeAt(1)===M&&i(t.charCodeAt(0))&&(d=s=2);for(let D=t.length-1;D>=d;--D){const g=t.charCodeAt(D);if(p(g)){if(!h){s=D+1;break}continue}c===-1&&(h=!1,c=D+1),g===w?u===-1?u=D:m!==1&&(m=1):u!==-1&&(m=-1)}return u===-1||c===-1||m===0||m===1&&u===c-1&&u===s+1?"":t.slice(u,c)},format:r.bind(null,"\\"),parse(t){k(t,"path");const d={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return d;const u=t.length;let s=0,c=t.charCodeAt(0);if(u===1)return p(c)?(d.root=d.dir=t,d):(d.base=d.name=t,d);if(p(c)){if(s=1,p(t.charCodeAt(1))){let A=2,N=A;for(;A<u&&!p(t.charCodeAt(A));)A++;if(A<u&&A!==N){for(N=A;A<u&&p(t.charCodeAt(A));)A++;if(A<u&&A!==N){for(N=A;A<u&&!p(t.charCodeAt(A));)A++;A===u?s=A:A!==N&&(s=A+1)}}}}else if(i(c)&&t.charCodeAt(1)===M){if(u<=2)return d.root=d.dir=t,d;if(s=2,p(t.charCodeAt(2))){if(u===3)return d.root=d.dir=t,d;s=3}}s>0&&(d.root=t.slice(0,s));let h=-1,m=s,D=-1,g=!0,f=t.length-1,y=0;for(;f>=s;--f){if(c=t.charCodeAt(f),p(c)){if(!g){m=f+1;break}continue}D===-1&&(g=!1,D=f+1),c===w?h===-1?h=f:y!==1&&(y=1):h!==-1&&(y=-1)}return D!==-1&&(h===-1||y===0||y===1&&h===D-1&&h===m+1?d.base=d.name=t.slice(m,D):(d.name=t.slice(m,h),d.base=t.slice(m,D),d.ext=t.slice(h,D))),m>0&&m!==s?d.dir=t.slice(0,m-1):d.dir=d.root,d},sep:"\\",delimiter:";",win32:null,posix:null};const a=(()=>{if(l){const t=/\\/g;return()=>{const d=I.cwd().replace(t,"/");return d.slice(d.indexOf("/"))}}return()=>I.cwd()})();e.$gc={resolve(...t){let d="",u=!1;for(let s=t.length-1;s>=-1&&!u;s--){const c=s>=0?t[s]:a();k(c,"path"),c.length!==0&&(d=`${c}/${d}`,u=c.charCodeAt(0)===v)}return d=n(d,!u,"/",o),u?`/${d}`:d.length>0?d:"."},normalize(t){if(k(t,"path"),t.length===0)return".";const d=t.charCodeAt(0)===v,u=t.charCodeAt(t.length-1)===v;return t=n(t,!d,"/",o),t.length===0?d?"/":u?"./":".":(u&&(t+="/"),d?`/${t}`:t)},isAbsolute(t){return k(t,"path"),t.length>0&&t.charCodeAt(0)===v},join(...t){if(t.length===0)return".";let d;for(let u=0;u<t.length;++u){const s=t[u];k(s,"path"),s.length>0&&(d===void 0?d=s:d+=`/${s}`)}return d===void 0?".":e.$gc.normalize(d)},relative(t,d){if(k(t,"from"),k(d,"to"),t===d||(t=e.$gc.resolve(t),d=e.$gc.resolve(d),t===d))return"";const u=1,s=t.length,c=s-u,h=1,m=d.length-h,D=c<m?c:m;let g=-1,f=0;for(;f<D;f++){const A=t.charCodeAt(u+f);if(A!==d.charCodeAt(h+f))break;A===v&&(g=f)}if(f===D)if(m>D){if(d.charCodeAt(h+f)===v)return d.slice(h+f+1);if(f===0)return d.slice(h+f)}else c>D&&(t.charCodeAt(u+f)===v?g=f:f===0&&(g=0));let y="";for(f=u+g+1;f<=s;++f)(f===s||t.charCodeAt(f)===v)&&(y+=y.length===0?"..":"/..");return`${y}${d.slice(h+g)}`},toNamespacedPath(t){return t},dirname(t){if(k(t,"path"),t.length===0)return".";const d=t.charCodeAt(0)===v;let u=-1,s=!0;for(let c=t.length-1;c>=1;--c)if(t.charCodeAt(c)===v){if(!s){u=c;break}}else s=!1;return u===-1?d?"/":".":d&&u===1?"//":t.slice(0,u)},basename(t,d){d!==void 0&&k(d,"ext"),k(t,"path");let u=0,s=-1,c=!0,h;if(d!==void 0&&d.length>0&&d.length<=t.length){if(d===t)return"";let m=d.length-1,D=-1;for(h=t.length-1;h>=0;--h){const g=t.charCodeAt(h);if(g===v){if(!c){u=h+1;break}}else D===-1&&(c=!1,D=h+1),m>=0&&(g===d.charCodeAt(m)?--m===-1&&(s=h):(m=-1,s=D))}return u===s?s=D:s===-1&&(s=t.length),t.slice(u,s)}for(h=t.length-1;h>=0;--h)if(t.charCodeAt(h)===v){if(!c){u=h+1;break}}else s===-1&&(c=!1,s=h+1);return s===-1?"":t.slice(u,s)},extname(t){k(t,"path");let d=-1,u=0,s=-1,c=!0,h=0;for(let m=t.length-1;m>=0;--m){const D=t.charCodeAt(m);if(D===v){if(!c){u=m+1;break}continue}s===-1&&(c=!1,s=m+1),D===w?d===-1?d=m:h!==1&&(h=1):d!==-1&&(h=-1)}return d===-1||s===-1||h===0||h===1&&d===s-1&&d===u+1?"":t.slice(d,s)},format:r.bind(null,"/"),parse(t){k(t,"path");const d={root:"",dir:"",base:"",ext:"",name:""};if(t.length===0)return d;const u=t.charCodeAt(0)===v;let s;u?(d.root="/",s=1):s=0;let c=-1,h=0,m=-1,D=!0,g=t.length-1,f=0;for(;g>=s;--g){const y=t.charCodeAt(g);if(y===v){if(!D){h=g+1;break}continue}m===-1&&(D=!1,m=g+1),y===w?c===-1?c=g:f!==1&&(f=1):c!==-1&&(f=-1)}if(m!==-1){const y=h===0&&u?1:h;c===-1||f===0||f===1&&c===m-1&&c===h+1?d.base=d.name=t.slice(y,m):(d.name=t.slice(y,c),d.base=t.slice(y,m),d.ext=t.slice(c,m))}return h>0?d.dir=t.slice(0,h-1):u&&(d.dir="/"),d},sep:"/",delimiter:":",win32:null,posix:null},e.$gc.win32=e.$fc.win32=e.$fc,e.$gc.posix=e.$fc.posix=e.$gc,e.$hc=l?e.$fc.normalize:e.$gc.normalize,e.$ic=l?e.$fc.isAbsolute:e.$gc.isAbsolute,e.$jc=l?e.$fc.join:e.$gc.join,e.$kc=l?e.$fc.resolve:e.$gc.resolve,e.$lc=l?e.$fc.relative:e.$gc.relative,e.$mc=l?e.$fc.dirname:e.$gc.dirname,e.$nc=l?e.$fc.basename:e.$gc.basename,e.$oc=l?e.$fc.extname:e.$gc.extname,e.$pc=l?e.$fc.format:e.$gc.format,e.$qc=l?e.$fc.parse:e.$gc.parse,e.$rc=l?e.$fc.toNamespacedPath:e.$gc.toNamespacedPath,e.sep=l?e.$fc.sep:e.$gc.sep,e.$tc=l?e.$fc.delimiter:e.$gc.delimiter}),define(Se[128],De([1,0,44,17]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6q=e.$5q=e.$4q=e.$3q=e.$2q=e.$1q=e.$Zq=e.$Yq=e.$Xq=e.$Wq=e.$Vq=e.$Uq=e.$Tq=void 0;const $=new I.$V(()=>{const D=new Intl.Collator(void 0,{numeric:!0,sensitivity:"base"});return{collator:D,collatorIsNumeric:D.resolvedOptions().numeric}}),L=new I.$V(()=>({collator:new Intl.Collator(void 0,{numeric:!0})})),R=new I.$V(()=>({collator:new Intl.Collator(void 0,{numeric:!0,sensitivity:"accent"})}));function w(D,g,f=!1){const y=D||"",A=g||"",N=$.value.collator.compare(y,A);return $.value.collatorIsNumeric&&N===0&&y!==A?y<A?-1:1:N}e.$Tq=w;function v(D,g){const f=L.value.collator;return D=D||"",g=g||"",r(f,D,g)}e.$Uq=v;function S(D,g){const f=L.value.collator;return D=D||"",g=g||"",u(D,g)||r(f,D,g)}e.$Vq=S;function M(D,g){const f=L.value.collator;return D=D||"",g=g||"",d(D,g)||r(f,D,g)}e.$Wq=M;function C(D,g){return D=D||"",g=g||"",D===g?0:D<g?-1:1}e.$Xq=C;function b(D,g){const[f,y]=i(D),[A,N]=i(g);let U=$.value.collator.compare(y,N);if(U===0){if($.value.collatorIsNumeric&&y!==N)return y<N?-1:1;if(U=$.value.collator.compare(f,A),$.value.collatorIsNumeric&&U===0&&f!==A)return f<A?-1:1}return U}e.$Yq=b;function E(D,g){D=D||"",g=g||"";const f=n(D),y=n(g),A=L.value.collator,N=R.value.collator;return r(N,f,y)||r(A,D,g)}e.$Zq=E;function k(D,g){D=D||"",g=g||"";const f=n(D),y=n(g),A=L.value.collator,N=R.value.collator;return r(N,f,y)||u(D,g)||r(A,D,g)}e.$1q=k;function l(D,g){D=D||"",g=g||"";const f=n(D),y=n(g),A=L.value.collator,N=R.value.collator;return r(N,f,y)||d(D,g)||r(A,D,g)}e.$2q=l;function p(D,g){D=D||"",g=g||"";const f=n(D).toLowerCase(),y=n(g).toLowerCase();return f!==y?f<y?-1:1:D!==g?D<g?-1:1:0}e.$3q=p;const o=/^(.*?)(\.([^.]*))?$/;function i(D,g=!1){const f=D?o.exec(D):[];let y=[f&&f[1]||"",f&&f[3]||""];return g&&(!y[0]&&y[1]||y[0]&&y[0].charAt(0)===".")&&(y=[y[0]+"."+y[1],""]),y}function n(D){const g=D?o.exec(D):[];return g&&g[1]&&g[1].charAt(0)!=="."&&g[3]||""}function r(D,g,f){const y=D.compare(g,f);return y!==0?y:g.length!==f.length?g.length<f.length?-1:1:0}function a(D){const g=D.charAt(0);return g.toLocaleUpperCase()!==g}function t(D){const g=D.charAt(0);return g.toLocaleLowerCase()!==g}function d(D,g){return a(D)&&t(g)?-1:t(D)&&a(g)?1:0}function u(D,g){return t(D)&&a(g)?-1:a(D)&&t(g)?1:0}function s(D,g,f=!1){return f||(D=D&&D.toLowerCase(),g=g&&g.toLowerCase()),D===g?0:D<g?-1:1}function c(D,g,f=!1){const y=D.split(F.sep),A=g.split(F.sep),N=y.length-1,U=A.length-1;let z,T;for(let P=0;;P++){if(z=N===P,T=U===P,z&&T)return w(y[P],A[P],f);if(z)return-1;if(T)return 1;const O=s(y[P],A[P],f);if(O!==0)return O}}e.$4q=c;function h(D,g,f){const y=D.toLowerCase(),A=g.toLowerCase(),N=m(D,g,f);if(N)return N;const U=y.endsWith(f),z=A.endsWith(f);if(U!==z)return U?-1:1;const T=w(y,A);return T!==0?T:y.localeCompare(A)}e.$5q=h;function m(D,g,f){const y=D.toLowerCase(),A=g.toLowerCase(),N=y.startsWith(f),U=A.startsWith(f);if(N!==U)return N?-1:1;if(N&&U){if(y.length<A.length)return-1;if(y.length>A.length)return 1}return 0}e.$6q=m}),define(Se[34],De([1,0,17,11,12,18]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ng=e.$mg=e.$lg=e.$kg=e.$jg=e.$ig=e.$hg=e.$gg=e.$fg=e.$eg=e.$dg=e.$cg=e.$bg=e.$ag=e.$_f=e.$$f=void 0;function R(h){return h===47||h===92}e.$$f=R;function w(h){return h.replace(/[\\/]/g,I.$gc.sep)}e.$_f=w;function v(h){return h.indexOf("/")===-1&&(h=w(h)),/^[a-zA-Z]:(\/|$)/.test(h)&&(h="/"+h),h}e.$ag=v;function S(h,m=I.$gc.sep){if(!h)return"";const D=h.length,g=h.charCodeAt(0);if(R(g)){if(R(h.charCodeAt(1))&&!R(h.charCodeAt(2))){let y=3;const A=y;for(;y<D&&!R(h.charCodeAt(y));y++);if(A!==y&&!R(h.charCodeAt(y+1))){for(y+=1;y<D;y++)if(R(h.charCodeAt(y)))return h.slice(0,y+1).replace(/[\\/]/g,m)}}return m}else if(o(g)&&h.charCodeAt(1)===58)return R(h.charCodeAt(2))?h.slice(0,2)+m:h.slice(0,2);let f=h.indexOf("://");if(f!==-1){for(f+=3;f<D;f++)if(R(h.charCodeAt(f)))return h.slice(0,f+1)}return""}e.$bg=S;function M(h){if(!F.$i||!h||h.length<5)return!1;let m=h.charCodeAt(0);if(m!==92||(m=h.charCodeAt(1),m!==92))return!1;let D=2;const g=D;for(;D<h.length&&(m=h.charCodeAt(D),m!==92);D++);return!(g===D||(m=h.charCodeAt(D+1),isNaN(m)||m===92))}e.$cg=M;const C=/[\\/:\*\?"<>\|]/g,b=/[\\/]/g,E=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])(\.(.*?))?$/i;function k(h,m=F.$i){const D=m?C:b;return!(!h||h.length===0||/^\s+$/.test(h)||(D.lastIndex=0,D.test(h))||m&&E.test(h)||h==="."||h===".."||m&&h[h.length-1]==="."||m&&h.length!==h.trim().length||h.length>255)}e.$dg=k;function l(h,m,D){const g=h===m;return!D||g?g:!h||!m?!1:(0,$.$jf)(h,m)}e.$eg=l;function p(h,m,D,g=I.sep){if(h===m)return!0;if(!h||!m||m.length>h.length)return!1;if(D){if(!(0,$.$kf)(h,m))return!1;if(m.length===h.length)return!0;let y=m.length;return m.charAt(m.length-1)===g&&y--,h.charAt(y)===g}return m.charAt(m.length-1)!==g&&(m+=g),h.indexOf(m)===0}e.$fg=p;function o(h){return h>=65&&h<=90||h>=97&&h<=122}e.$gg=o;function i(h,m){return F.$i&&h.endsWith(":")&&(h+=I.sep),(0,I.$ic)(h)||(h=(0,I.$jc)(m,h)),h=(0,I.$hc)(h),F.$i?(h=(0,$.$4e)(h,I.sep),h.endsWith(":")&&(h+=I.sep)):(h=(0,$.$4e)(h,I.sep),h||(h=I.sep)),h}e.$hg=i;function n(h){const m=(0,I.$hc)(h);return F.$i?h.length>3?!1:r(m)&&(h.length===2||m.charCodeAt(2)===92):m===I.$gc.sep}e.$ig=n;function r(h,m=F.$i){return m?o(h.charCodeAt(0))&&h.charCodeAt(1)===58:!1}e.$jg=r;function a(h,m=F.$i){return r(h,m)?h[0]:void 0}e.$kg=a;function t(h,m,D){return m.length>h.length?-1:h===m?0:(D&&(h=h.toLowerCase(),m=m.toLowerCase()),h.indexOf(m))}e.$lg=t;function d(h){const m=h.split(":");let D,g,f;for(const y of m){const A=Number(y);(0,L.$Wf)(A)?g===void 0?g=A:f===void 0&&(f=A):D=D?[D,y].join(":"):y}if(!D)throw new Error("Format for `--goto` should be: `FILE:LINE(:COLUMN)`");return{path:D,line:g!==void 0?g:void 0,column:f!==void 0?f:g!==void 0?1:void 0}}e.$mg=d;const u="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789",s="BDEFGHIJKMOQRSTUVWXYZbdefghijkmoqrstuvwxyz0123456789";function c(h,m,D=8){let g="";for(let y=0;y<D;y++){let A;y===0&&F.$i&&!m&&(D===3||D===4)?A=s:A=u,g+=A.charAt(Math.floor(Math.random()*A.length))}let f;return m?f=`${m}-${g}`:f=g,h?(0,I.$jc)(h,f):f}e.$ng=c}),define(Se[129],De([1,0,128,123,54,17,11,12]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_q=e.$$q=e.$0q=e.$9q=e.$8q=e.$7q=void 0;const v=0,S=[v,[]];function M(j,K,ie,_){if(!j||!K)return S;const X=j.length,Y=K.length;if(X<Y)return S;const ae=j.toLowerCase();return C(K,ie,Y,j,ae,X,_)}e.$7q=M;function C(j,K,ie,_,X,Y,ae){const ee=[],fe=[];for(let se=0;se<ie;se++){const Ee=se*Y,le=Ee-Y,he=se>0,ce=j[se],de=K[se];for(let H=0;H<Y;H++){const x=H>0,ue=Ee+H,be=ue-1,Pe=le+H-1,we=x?ee[be]:0,Ae=he&&x?ee[Pe]:0,Oe=he&&x?fe[Pe]:0;let ze;!Ae&&he?ze=0:ze=b(ce,de,_,X,H,Oe),ze&&Ae+ze>=we&&(ae||he||X.startsWith(K,H))?(fe[ue]=Oe+1,ee[ue]=Ae+ze):(fe[ue]=v,ee[ue]=we)}}const re=[];let J=ie-1,B=Y-1;for(;J>=0&&B>=0;){const se=J*Y+B;fe[se]===v||(re.push(B),J--),B--}return[ee[ie*Y-1],re.reverse()]}function b(j,K,ie,_,X,Y){let ae=0;if(!E(K,_[X]))return ae;if(ae+=1,Y>0&&(ae+=Y*5),j===ie[X]&&(ae+=1),X===0)ae+=8;else{const ee=k(ie.charCodeAt(X-1));ee?ae+=ee:(0,F.$9j)(ie.charCodeAt(X))&&Y===0&&(ae+=2)}return ae}function E(j,K){return j===K?!0:j==="/"||j==="\\"?K==="/"||K==="\\":!1}function k(j){switch(j){case 47:case 92:return 5;case 95:case 45:case 46:case 32:case 39:case 34:case 58:return 4;default:return 0}}const l=[void 0,[]];function p(j,K,ie=0,_=0){const X=K;return X.values&&X.values.length>1?o(j,X.values,ie,_):i(j,K,ie,_)}e.$8q=p;function o(j,K,ie,_){let X=0;const Y=[];for(const ae of K){const[ee,fe]=i(j,ae,ie,_);if(typeof ee!="number")return l;X+=ee,Y.push(...fe)}return[X,D(Y)]}function i(j,K,ie,_){const X=(0,F.$fk)(K.original,K.originalLowercase,ie,j,j.toLowerCase(),_,{firstMatchCanBeWeak:!0,boostFullMatch:!0});return X?[X[0],(0,F.$ck)(X)]:l}const n=Object.freeze({score:0}),r=1<<18,a=1<<17,t=65536;function d(j,K,ie,_){const X=_.values?_.values:[_];return(0,$.$5i)({[_.normalized]:{values:X.map(ae=>({value:ae.normalized,expectContiguousMatch:ae.expectContiguousMatch})),label:j,description:K,allowNonContiguousMatches:ie}})}function u(j,K,ie,_,X){if(!j||!K.normalized)return n;const Y=_.getItemLabel(j);if(!Y)return n;const ae=_.getItemDescription(j),ee=d(Y,ae,ie,K),fe=X[ee];if(fe)return fe;const re=s(Y,ae,_.getItemPath(j),K,ie);return X[ee]=re,re}e.$9q=u;function s(j,K,ie,_,X){const Y=!ie||!_.containsPathSeparator;return ie&&(R.$k?_.pathNormalized===ie:(0,w.$jf)(_.pathNormalized,ie))?{score:r,labelMatch:[{start:0,end:j.length}],descriptionMatch:K?[{start:0,end:K.length}]:void 0}:_.values&&_.values.length>1?c(j,K,ie,_.values,Y,X):h(j,K,ie,_,Y,X)}function c(j,K,ie,_,X,Y){let ae=0;const ee=[],fe=[];for(const re of _){const{score:J,labelMatch:B,descriptionMatch:se}=h(j,K,ie,re,X,Y);if(J===v)return n;ae+=J,B&&ee.push(...B),se&&fe.push(...se)}return{score:ae,labelMatch:D(ee),descriptionMatch:D(fe)}}function h(j,K,ie,_,X,Y){if(X||!K){const[ae,ee]=M(j,_.normalized,_.normalizedLowercase,Y&&!_.expectContiguousMatch);if(ae){const fe=(0,F.$6j)(_.normalized,j);let re;if(fe){re=a;const J=Math.round(_.normalized.length/j.length*100);re+=J}else re=t;return{score:re+ae,labelMatch:fe||m(ee)}}}if(K){let ae=K;ie&&(ae=`${K}${L.sep}`);const ee=ae.length,fe=`${ae}${j}`,[re,J]=M(fe,_.normalized,_.normalizedLowercase,Y&&!_.expectContiguousMatch);if(re){const B=m(J),se=[],Ee=[];return B.forEach(le=>{le.start<ee&&le.end>ee?(se.push({start:0,end:le.end-ee}),Ee.push({start:le.start,end:ee})):le.start>=ee?se.push({start:le.start-ee,end:le.end-ee}):Ee.push(le)}),{score:re,labelMatch:se,descriptionMatch:Ee}}}return n}function m(j){const K=[];if(!j)return K;let ie;for(const _ of j)ie&&ie.end===_?ie.end+=1:(ie={start:_,end:_+1},K.push(ie));return K}function D(j){const K=j.sort((X,Y)=>X.start-Y.start),ie=[];let _;for(const X of K)!_||!g(_,X)?(_=X,ie.push(X)):(_.start=Math.min(_.start,X.start),_.end=Math.max(_.end,X.end));return ie}function g(j,K){return!(j.end<K.start||K.end<j.start)}function f(j,K,ie,_,X,Y){const ae=u(j,ie,_,X,Y),ee=u(K,ie,_,X,Y),fe=ae.score,re=ee.score;if((fe===r||re===r)&&fe!==re)return fe===r?-1:1;if(fe>t||re>t){if(fe!==re)return fe>re?-1:1;if(fe<a&&re<a){const ce=A(ae.labelMatch,ee.labelMatch);if(ce!==0)return ce}const le=X.getItemLabel(j)||"",he=X.getItemLabel(K)||"";if(le.length!==he.length)return le.length-he.length}if(fe!==re)return fe>re?-1:1;const J=Array.isArray(ae.labelMatch)&&ae.labelMatch.length>0,B=Array.isArray(ee.labelMatch)&&ee.labelMatch.length>0;if(J&&!B)return-1;if(B&&!J)return 1;const se=y(j,ae,X),Ee=y(K,ee,X);return se&&Ee&&se!==Ee?Ee>se?-1:1:N(j,K,ie,X)}e.$0q=f;function y(j,K,ie){let _=-1,X=-1;if(K.descriptionMatch&&K.descriptionMatch.length?_=K.descriptionMatch[0].start:K.labelMatch&&K.labelMatch.length&&(_=K.labelMatch[0].start),K.labelMatch&&K.labelMatch.length){if(X=K.labelMatch[K.labelMatch.length-1].end,K.descriptionMatch&&K.descriptionMatch.length){const Y=ie.getItemDescription(j);Y&&(X+=Y.length)}}else K.descriptionMatch&&K.descriptionMatch.length&&(X=K.descriptionMatch[K.descriptionMatch.length-1].end);return X-_}function A(j,K){if(!j&&!K||(!j||!j.length)&&(!K||!K.length))return 0;if(!K||!K.length)return-1;if(!j||!j.length)return 1;const ie=j[0].start,X=j[j.length-1].end-ie,Y=K[0].start,ee=K[K.length-1].end-Y;return X===ee?0:ee<X?1:-1}function N(j,K,ie,_){const X=_.getItemLabel(j)||"",Y=_.getItemLabel(K)||"",ae=_.getItemDescription(j),ee=_.getItemDescription(K),fe=X.length+(ae?ae.length:0),re=Y.length+(ee?ee.length:0);if(fe!==re)return fe-re;const J=_.getItemPath(j),B=_.getItemPath(K);return J&&B&&J.length!==B.length?J.length-B.length:X!==Y?(0,I.$5q)(X,Y,ie.normalized):ae&&ee&&ae!==ee?(0,I.$5q)(ae,ee,ie.normalized):J&&B&&J!==B?(0,I.$5q)(J,B,ie.normalized):0}function U(j){return j.startsWith('"')&&j.endsWith('"')}const z=" ";function T(j){typeof j!="string"&&(j="");const K=j.toLowerCase(),{pathNormalized:ie,normalized:_,normalizedLowercase:X}=P(j),Y=ie.indexOf(L.sep)>=0,ae=U(j);let ee;const fe=j.split(z);if(fe.length>1)for(const re of fe){const J=U(re),{pathNormalized:B,normalized:se,normalizedLowercase:Ee}=P(re);se&&(ee||(ee=[]),ee.push({original:re,originalLowercase:re.toLowerCase(),pathNormalized:B,normalized:se,normalizedLowercase:Ee,expectContiguousMatch:J}))}return{original:j,originalLowercase:K,pathNormalized:ie,normalized:_,normalizedLowercase:X,values:ee,containsPathSeparator:Y,expectContiguousMatch:ae}}e.$$q=T;function P(j){let K;R.$i?K=j.replace(/\//g,L.sep):K=j.replace(/\\/g,L.sep);const ie=(0,w.$6e)(K).replace(/\s|"/g,"");return{pathNormalized:K,normalized:ie,normalizedLowercase:ie.toLowerCase()}}function O(j){return Array.isArray(j)?T(j.map(K=>K.original).join(z)):T(j.original)}e.$_q=O}),define(Se[100],De([1,0,17]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$us=e.$ts=e.$ss=e.$rs=e.$qs=void 0,e.$qs=Object.freeze({text:"text/plain",binary:"application/octet-stream",unknown:"application/unknown",markdown:"text/markdown",latex:"text/latex",uriList:"text/uri-list"});const F={".css":"text/css",".csv":"text/csv",".htm":"text/html",".html":"text/html",".ics":"text/calendar",".js":"text/javascript",".mjs":"text/javascript",".txt":"text/plain",".xml":"text/xml"},$={".aac":"audio/x-aac",".avi":"video/x-msvideo",".bmp":"image/bmp",".flv":"video/x-flv",".gif":"image/gif",".ico":"image/x-icon",".jpe":"image/jpg",".jpeg":"image/jpg",".jpg":"image/jpg",".m1v":"video/mpeg",".m2a":"audio/mpeg",".m2v":"video/mpeg",".m3a":"audio/mpeg",".mid":"audio/midi",".midi":"audio/midi",".mk3d":"video/x-matroska",".mks":"video/x-matroska",".mkv":"video/x-matroska",".mov":"video/quicktime",".movie":"video/x-sgi-movie",".mp2":"audio/mpeg",".mp2a":"audio/mpeg",".mp3":"audio/mpeg",".mp4":"video/mp4",".mp4a":"audio/mp4",".mp4v":"video/mp4",".mpe":"video/mpeg",".mpeg":"video/mpeg",".mpg":"video/mpeg",".mpg4":"video/mp4",".mpga":"audio/mpeg",".oga":"audio/ogg",".ogg":"audio/ogg",".opus":"audio/opus",".ogv":"video/ogg",".png":"image/png",".psd":"image/vnd.adobe.photoshop",".qt":"video/quicktime",".spx":"audio/ogg",".svg":"image/svg+xml",".tga":"image/x-tga",".tif":"image/tiff",".tiff":"image/tiff",".wav":"audio/x-wav",".webm":"video/webm",".webp":"image/webp",".wma":"audio/x-ms-wma",".wmv":"video/x-ms-wmv",".woff":"application/font-woff"};function L(M){const C=(0,I.$oc)(M),b=F[C.toLowerCase()];return b!==void 0?b:R(M)}e.$rs=L;function R(M){const C=(0,I.$oc)(M);return $[C.toLowerCase()]}e.$ss=R;function w(M){for(const C in $)if($[C]===M)return C}e.$ts=w;const v=/^(.+)\/(.+?)(;.+)?$/;function S(M,C){const b=v.exec(M);return b?`${b[1].toLowerCase()}/${b[2].toLowerCase()}${b[3]??""}`:C?void 0:M}e.$us=S}),define(Se[101],De([1,0,11]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4l=e.$3l=e.TerminateResponseCode=e.Source=void 0;var F;(function(w){w[w.stdout=0]="stdout",w[w.stderr=1]="stderr"})(F||(e.Source=F={}));var $;(function(w){w[w.Success=0]="Success",w[w.Unknown=1]="Unknown",w[w.AccessDenied=2]="AccessDenied",w[w.ProcessNotFound=3]="ProcessNotFound"})($||(e.TerminateResponseCode=$={}));function L(w,...v){const S=v.reduce((b,E)=>(b[E]=!0,b),{}),M=[/^ELECTRON_.+$/,/^VSCODE_(?!(PORTABLE|SHELL_LOGIN|ENV_REPLACE|ENV_APPEND|ENV_PREPEND)).+$/,/^SNAP(|_.*)$/,/^GDK_PIXBUF_.+$/];Object.keys(w).filter(b=>!S[b]).forEach(b=>{for(let E=0;E<M.length;E++)if(b.search(M[E])!==-1){delete w[b];break}})}e.$3l=L;function R(w){w&&(delete w.DEBUG,I.$j&&delete w.DYLD_LIBRARY_PATH,I.$k&&delete w.LD_PRELOAD)}e.$4l=R}),define(Se[2],De([1,0,17,11]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wc=e.$vc=e.URI=void 0;const $=/^\w[\w\d+.-]*$/,L=/^\//,R=/^\/\//;function w(s,c){if(!s.scheme&&c)throw new Error(`[UriError]: Scheme is missing: {scheme: "", authority: "${s.authority}", path: "${s.path}", query: "${s.query}", fragment: "${s.fragment}"}`);if(s.scheme&&!$.test(s.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(s.path){if(s.authority){if(!L.test(s.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(R.test(s.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}}function v(s,c){return!s&&!c?"file":s}function S(s,c){switch(s){case"https":case"http":case"file":c?c[0]!==C&&(c=C+c):c=C;break}return c}const M="",C="/",b=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/;class E{static isUri(c){return c instanceof E?!0:c?typeof c.authority=="string"&&typeof c.fragment=="string"&&typeof c.path=="string"&&typeof c.query=="string"&&typeof c.scheme=="string"&&typeof c.fsPath=="string"&&typeof c.with=="function"&&typeof c.toString=="function":!1}constructor(c,h,m,D,g,f=!1){typeof c=="object"?(this.scheme=c.scheme||M,this.authority=c.authority||M,this.path=c.path||M,this.query=c.query||M,this.fragment=c.fragment||M):(this.scheme=v(c,f),this.authority=h||M,this.path=S(this.scheme,m||M),this.query=D||M,this.fragment=g||M,w(this,f))}get fsPath(){return r(this,!1)}with(c){if(!c)return this;let{scheme:h,authority:m,path:D,query:g,fragment:f}=c;return h===void 0?h=this.scheme:h===null&&(h=M),m===void 0?m=this.authority:m===null&&(m=M),D===void 0?D=this.path:D===null&&(D=M),g===void 0?g=this.query:g===null&&(g=M),f===void 0?f=this.fragment:f===null&&(f=M),h===this.scheme&&m===this.authority&&D===this.path&&g===this.query&&f===this.fragment?this:new p(h,m,D,g,f)}static parse(c,h=!1){const m=b.exec(c);return m?new p(m[2]||M,u(m[4]||M),u(m[5]||M),u(m[7]||M),u(m[9]||M),h):new p(M,M,M,M,M)}static file(c){let h=M;if(F.$i&&(c=c.replace(/\\/g,C)),c[0]===C&&c[1]===C){const m=c.indexOf(C,2);m===-1?(h=c.substring(2),c=C):(h=c.substring(2,m),c=c.substring(m)||C)}return new p("file",h,c,M,M)}static from(c,h){return new p(c.scheme,c.authority,c.path,c.query,c.fragment,h)}static joinPath(c,...h){if(!c.path)throw new Error("[UriError]: cannot call joinPath on URI without path");let m;return F.$i&&c.scheme==="file"?m=E.file(I.$fc.join(r(c,!0),...h)).path:m=I.$gc.join(c.path,...h),c.with({path:m})}toString(c=!1){return a(this,c)}toJSON(){return this}static revive(c){if(c){if(c instanceof E)return c;{const h=new p(c);return h._formatted=c.external??null,h._fsPath=c._sep===l?c.fsPath??null:null,h}}else return c}}e.URI=E;function k(s){return!s||typeof s!="object"?!1:typeof s.scheme=="string"&&(typeof s.authority=="string"||typeof s.authority>"u")&&(typeof s.path=="string"||typeof s.path>"u")&&(typeof s.query=="string"||typeof s.query>"u")&&(typeof s.fragment=="string"||typeof s.fragment>"u")}e.$vc=k;const l=F.$i?1:void 0;class p extends E{constructor(){super(...arguments),this._formatted=null,this._fsPath=null}get fsPath(){return this._fsPath||(this._fsPath=r(this,!1)),this._fsPath}toString(c=!1){return c?a(this,!0):(this._formatted||(this._formatted=a(this,!1)),this._formatted)}toJSON(){const c={$mid:1};return this._fsPath&&(c.fsPath=this._fsPath,c._sep=l),this._formatted&&(c.external=this._formatted),this.path&&(c.path=this.path),this.scheme&&(c.scheme=this.scheme),this.authority&&(c.authority=this.authority),this.query&&(c.query=this.query),this.fragment&&(c.fragment=this.fragment),c}}const o={58:"%3A",47:"%2F",63:"%3F",35:"%23",91:"%5B",93:"%5D",64:"%40",33:"%21",36:"%24",38:"%26",39:"%27",40:"%28",41:"%29",42:"%2A",43:"%2B",44:"%2C",59:"%3B",61:"%3D",32:"%20"};function i(s,c,h){let m,D=-1;for(let g=0;g<s.length;g++){const f=s.charCodeAt(g);if(f>=97&&f<=122||f>=65&&f<=90||f>=48&&f<=57||f===45||f===46||f===95||f===126||c&&f===47||h&&f===91||h&&f===93||h&&f===58)D!==-1&&(m+=encodeURIComponent(s.substring(D,g)),D=-1),m!==void 0&&(m+=s.charAt(g));else{m===void 0&&(m=s.substr(0,g));const y=o[f];y!==void 0?(D!==-1&&(m+=encodeURIComponent(s.substring(D,g)),D=-1),m+=y):D===-1&&(D=g)}}return D!==-1&&(m+=encodeURIComponent(s.substring(D))),m!==void 0?m:s}function n(s){let c;for(let h=0;h<s.length;h++){const m=s.charCodeAt(h);m===35||m===63?(c===void 0&&(c=s.substr(0,h)),c+=o[m]):c!==void 0&&(c+=s[h])}return c!==void 0?c:s}function r(s,c){let h;return s.authority&&s.path.length>1&&s.scheme==="file"?h=`//${s.authority}${s.path}`:s.path.charCodeAt(0)===47&&(s.path.charCodeAt(1)>=65&&s.path.charCodeAt(1)<=90||s.path.charCodeAt(1)>=97&&s.path.charCodeAt(1)<=122)&&s.path.charCodeAt(2)===58?c?h=s.path.substr(1):h=s.path[1].toLowerCase()+s.path.substr(2):h=s.path,F.$i&&(h=h.replace(/\//g,"\\")),h}e.$wc=r;function a(s,c){const h=c?n:i;let m="",{scheme:D,authority:g,path:f,query:y,fragment:A}=s;if(D&&(m+=D,m+=":"),(g||D==="file")&&(m+=C,m+=C),g){let N=g.indexOf("@");if(N!==-1){const U=g.substr(0,N);g=g.substr(N+1),N=U.lastIndexOf(":"),N===-1?m+=h(U,!1,!1):(m+=h(U.substr(0,N),!1,!1),m+=":",m+=h(U.substr(N+1),!1,!0)),m+="@"}g=g.toLowerCase(),N=g.lastIndexOf(":"),N===-1?m+=h(g,!1,!0):(m+=h(g.substr(0,N),!1,!0),m+=g.substr(N))}if(f){if(f.length>=3&&f.charCodeAt(0)===47&&f.charCodeAt(2)===58){const N=f.charCodeAt(1);N>=65&&N<=90&&(f=`/${String.fromCharCode(N+32)}:${f.substr(3)}`)}else if(f.length>=2&&f.charCodeAt(1)===58){const N=f.charCodeAt(0);N>=65&&N<=90&&(f=`${String.fromCharCode(N+32)}:${f.substr(2)}`)}m+=h(f,!0,!1)}return y&&(m+="?",m+=h(y,!1,!1)),A&&(m+="#",m+=c?A:i(A,!1,!1)),m}function t(s){try{return decodeURIComponent(s)}catch{return s.length>3?s.substr(0,3)+t(s.substr(3)):s}}const d=/(%[0-9A-Za-z][0-9A-Za-z])+/g;function u(s){return s.match(d)?s.replace(d,c=>t(c)):s}}),define(Se[186],De([1,0,2]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.log=e.$zq=e.$yq=e.$xq=void 0;function F(S){const M=S;return M&&typeof M.type=="string"&&typeof M.severity=="string"}e.$xq=F;function $(S){const M=[];let C;try{const b=JSON.parse(S.arguments),E=b[b.length-1];E&&E.__$stack&&(b.pop(),C=E.__$stack),M.push(...b)}catch{M.push("Unable to log remote console arguments",S.arguments)}return{args:M,stack:C}}e.$yq=$;function L(S){if(typeof S!="string")return L($(S).stack);const M=S;if(M){const C=R(M),b=/at [^\/]*((?:(?:[a-zA-Z]+:)|(?:[\/])|(?:\\\\))(?:.+)):(\d+):(\d+)/.exec(C||"");if(b&&b.length===4)return{uri:I.URI.file(b[1]),line:Number(b[2]),column:Number(b[3])}}}e.$zq=L;function R(S){if(!S)return S;const M=S.indexOf(`
`);return M===-1?S:S.substring(0,M)}function w(S,M){const{args:C,stack:b}=$(S),E=typeof C[0]=="string"&&C.length===1;let k=R(b);k&&(k=`(${k.trim()})`);let l=[];if(typeof C[0]=="string"?k&&E?l=[`%c[${M}] %c${C[0]} %c${k}`,v("blue"),v(""),v("grey")]:l=[`%c[${M}] %c${C[0]}`,v("blue"),v(""),...C.slice(1)]:l=[`%c[${M}]%`,v("blue"),...C],k&&!E&&l.push(k),typeof console[S.severity]!="function")throw new Error("Unknown console method");console[S.severity].apply(console,l)}e.log=w;function v(S){return`color: ${S}`}}),define(Se[56],De([1,0,21,2]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nh=e.$Mh=e.$Lh=void 0;function $(v){return JSON.stringify(v,R)}e.$Lh=$;function L(v){let S=JSON.parse(v);return S=w(S),S}e.$Mh=L;function R(v,S){return S instanceof RegExp?{$mid:2,source:S.source,flags:S.flags}:S}function w(v,S=0){if(!v||S>200)return v;if(typeof v=="object"){switch(v.$mid){case 1:return F.URI.revive(v);case 2:return new RegExp(v.source,v.flags);case 17:return new Date(v.source)}if(v instanceof I.$se||v instanceof Uint8Array)return v;if(Array.isArray(v))for(let M=0;M<v.length;++M)v[M]=w(v[M],S+1);else for(const M in v)Object.hasOwnProperty.call(v,M)&&(v[M]=w(v[M],S+1))}return v}e.$Nh=w}),define(Se[16],De([1,0,14,11,12,2]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.COI=e.$yg=e.$xg=e.$wg=e.$vg=e.$ug=e.$tg=e.$sg=e.$rg=e.$qg=e.$pg=e.$og=e.Schemas=void 0;var R;(function(b){b.inMemory="inmemory",b.vscode="vscode",b.internal="private",b.walkThrough="walkThrough",b.walkThroughSnippet="walkThroughSnippet",b.http="http",b.https="https",b.file="file",b.mailto="mailto",b.untitled="untitled",b.data="data",b.command="command",b.vscodeRemote="vscode-remote",b.vscodeRemoteResource="vscode-remote-resource",b.vscodeManagedRemoteResource="vscode-managed-remote-resource",b.vscodeUserData="vscode-userdata",b.vscodeCustomEditor="vscode-custom-editor",b.vscodeNotebookCell="vscode-notebook-cell",b.vscodeNotebookCellMetadata="vscode-notebook-cell-metadata",b.vscodeNotebookCellOutput="vscode-notebook-cell-output",b.vscodeInteractiveInput="vscode-interactive-input",b.vscodeSettings="vscode-settings",b.vscodeWorkspaceTrust="vscode-workspace-trust",b.vscodeTerminal="vscode-terminal",b.vscodeChatCodeBlock="vscode-chat-code-block",b.vscodeChatSesssion="vscode-chat-editor",b.webviewPanel="webview-panel",b.vscodeWebview="vscode-webview",b.extension="extension",b.vscodeFileResource="vscode-file",b.tmp="tmp",b.vsls="vsls",b.vscodeSourceControl="vscode-scm",b.codeSetting="code-setting",b.codeFeature="code-feature"})(R||(e.Schemas=R={}));function w(b,E){return L.URI.isUri(b)?(0,$.$jf)(b.scheme,E):(0,$.$kf)(b,E+":")}e.$og=w;function v(b,...E){return E.some(k=>w(b,k))}e.$pg=v,e.$qg="vscode-tkn",e.$rg="tkn";class S{constructor(){this.a=Object.create(null),this.b=Object.create(null),this.c=Object.create(null),this.d="http",this.e=null,this.f=`/${R.vscodeRemoteResource}`}setPreferredWebSchema(E){this.d=E}setDelegate(E){this.e=E}setServerRootPath(E){this.f=`${E}/${R.vscodeRemoteResource}`}set(E,k,l){this.a[E]=k,this.b[E]=l}setConnectionToken(E,k){this.c[E]=k}getPreferredWebSchema(){return this.d}rewrite(E){if(this.e)try{return this.e(E)}catch(n){return I.$1(n),E}const k=E.authority;let l=this.a[k];l&&l.indexOf(":")!==-1&&l.indexOf("[")===-1&&(l=`[${l}]`);const p=this.b[k],o=this.c[k];let i=`path=${encodeURIComponent(E.path)}`;return typeof o=="string"&&(i+=`&${e.$rg}=${encodeURIComponent(o)}`),L.URI.from({scheme:F.$o?this.d:R.vscodeRemoteResource,authority:`${l}:${p}`,path:this.f,query:i})}}e.$sg=new S,e.$tg="vs/../../extensions",e.$ug="vs/../../node_modules",e.$vg="vs/../../node_modules.asar",e.$wg="vs/../../node_modules.asar.unpacked",e.$xg="vscode-app";class M{static{this.a=e.$xg}asBrowserUri(E){const k=this.b(E,me);return this.uriToBrowserUri(k)}uriToBrowserUri(E){return E.scheme===R.vscodeRemote?e.$sg.rewrite(E):E.scheme===R.file&&(F.$m||F.$q===`${R.vscodeFileResource}://${M.a}`)?E.with({scheme:R.vscodeFileResource,authority:E.authority||M.a,query:null,fragment:null}):E}asFileUri(E){const k=this.b(E,me);return this.uriToFileUri(k)}uriToFileUri(E){return E.scheme===R.vscodeFileResource?E.with({scheme:R.file,authority:E.authority!==M.a?E.authority:null,query:null,fragment:null}):E}b(E,k){return L.URI.isUri(E)?E:L.URI.parse(k.toUrl(E))}}e.$yg=new M;var C;(function(b){const E=new Map([["1",{"Cross-Origin-Opener-Policy":"same-origin"}],["2",{"Cross-Origin-Embedder-Policy":"require-corp"}],["3",{"Cross-Origin-Opener-Policy":"same-origin","Cross-Origin-Embedder-Policy":"require-corp"}]]);b.CoopAndCoep=Object.freeze(E.get("3"));const k="vscode-coi";function l(o){let i;typeof o=="string"?i=new URL(o).searchParams:o instanceof URL?i=o.searchParams:L.URI.isUri(o)&&(i=new URL(o.toString(!0)).searchParams);const n=i?.get(k);if(n)return E.get(n)}b.getHeadersFromQuery=l;function p(o,i,n){if(!globalThis.crossOriginIsolated)return;const r=i&&n?"3":n?"2":"1";o instanceof URLSearchParams?o.set(k,r):o[k]=r}b.addSearchParam=p})(C||(e.COI=C={}))}),define(Se[187],De([1,0,158,16,11,2]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tD=void 0;class R{constructor(b,E,k){this.id=b,this.dependencies=E,this.callback=k}}class w{static{this.INSTANCE=new w}constructor(){this.a=typeof self=="object"&&self.constructor&&self.constructor.name==="DedicatedWorkerGlobalScope",this.b=typeof document=="object",this.c=[],this.d=!1}g(){this.d||(this.d=!0,globalThis.define=(b,E,k)=>{typeof b!="string"&&(k=E,E=b,b=null),(typeof E!="object"||!Array.isArray(E))&&(k=E,E=null),this.c.push(new R(b,E,k))},globalThis.define.amd=!0,this.b?this.f=window.trustedTypes?.createPolicy("amdLoader",{createScriptURL(b){if(b.startsWith(window.location.origin)||b.startsWith("vscode-file://vscode-app"))return b;throw new Error(`[trusted_script_src] Invalid script url: ${b}`)}}):this.a&&(this.f=globalThis.trustedTypes?.createPolicy("amdLoader",{createScriptURL(b){return b}})))}async load(b){this.g();const E=await(this.a?this.i(b):this.b?this.h(b):this.j(b));if(!E)throw new Error(`Did not receive a define call from script ${b}`);if(Array.isArray(E.dependencies)&&E.dependencies.length>0)throw new Error(`Cannot resolve dependencies for script ${b}. The dependencies are: ${E.dependencies.join(", ")}`);return typeof E.callback=="function"?E.callback([]):E.callback}h(b){return new Promise((E,k)=>{const l=document.createElement("script");l.setAttribute("async","async"),l.setAttribute("type","text/javascript");const p=()=>{l.removeEventListener("load",o),l.removeEventListener("error",i)},o=n=>{p(),E(this.c.pop())},i=n=>{p(),k(n)};l.addEventListener("load",o),l.addEventListener("error",i),this.f&&(b=this.f.createScriptURL(b)),l.setAttribute("src",b),window.document.getElementsByTagName("head")[0].appendChild(l)})}i(b){return new Promise((E,k)=>{try{this.f&&(b=this.f.createScriptURL(b)),importScripts(b),E(this.c.pop())}catch(l){k(l)}})}async j(b){try{const E=globalThis._VSCODE_NODE_MODULES.fs,k=globalThis._VSCODE_NODE_MODULES.vm,l=globalThis._VSCODE_NODE_MODULES.module,p=L.URI.parse(b).fsPath,o=E.readFileSync(p).toString(),i=l.wrap(o.replace(/^#!.*/,""));return new k.Script(i).runInThisContext().apply(),this.c.pop()}catch(E){throw E}}}const v=new Map;let S={};typeof globalThis.require=="object"&&(S=globalThis.require.paths??{});async function M(C,b,E){if(I.$T){E===void 0&&(E=!!(globalThis._VSCODE_PRODUCT_JSON??globalThis.vscode?.context?.configuration()?.product)?.commit),S[C]&&(C=S[C]);const k=`${C}/${b}`;if(v.has(k))return v.get(k);let l;if(/^\w[\w\d+.-]*:\/\//.test(k))l=k;else{const n=`${E&&!$.$o?F.$vg:F.$ug}/${k}`;l=F.$yg.asBrowserUri(n).toString(!0)}const p=w.INSTANCE.load(l);return v.set(k,p),p}else return await new Promise((k,l)=>{me([C],k,l)})}e.$tD=M}),define(Se[23],De([1,0,34,16,17,11,12,2]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2g=e.DataUri=e.$1g=e.$Zg=e.$Yg=e.$Xg=e.$Wg=e.$Vg=e.$Ug=e.$Tg=e.$Sg=e.$Rg=e.$Qg=e.$Pg=e.$Og=e.$Ng=e.$Mg=e.$Lg=e.$Kg=e.$Jg=e.$Ig=e.$Hg=e.$Gg=e.$Fg=void 0;function v(E){return(0,w.$wc)(E,!0)}e.$Fg=v;class S{constructor(k){this.a=k}compare(k,l,p=!1){return k===l?0:(0,R.$cf)(this.getComparisonKey(k,p),this.getComparisonKey(l,p))}isEqual(k,l,p=!1){return k===l?!0:!k||!l?!1:this.getComparisonKey(k,p)===this.getComparisonKey(l,p)}getComparisonKey(k,l=!1){return k.with({path:this.a(k)?k.path.toLowerCase():void 0,fragment:l?null:void 0}).toString()}ignorePathCasing(k){return this.a(k)}isEqualOrParent(k,l,p=!1){if(k.scheme===l.scheme){if(k.scheme===F.Schemas.file)return I.$fg(v(k),v(l),this.a(k))&&k.query===l.query&&(p||k.fragment===l.fragment);if((0,e.$Wg)(k.authority,l.authority))return I.$fg(k.path,l.path,this.a(k),"/")&&k.query===l.query&&(p||k.fragment===l.fragment)}return!1}joinPath(k,...l){return w.URI.joinPath(k,...l)}basenameOrAuthority(k){return(0,e.$Og)(k)||k.authority}basename(k){return $.$gc.basename(k.path)}extname(k){return $.$gc.extname(k.path)}dirname(k){if(k.path.length===0)return k;let l;return k.scheme===F.Schemas.file?l=w.URI.file($.$mc(v(k))).path:(l=$.$gc.dirname(k.path),k.authority&&l.length&&l.charCodeAt(0)!==47&&(console.error(`dirname("${k.toString})) resulted in a relative path`),l="/")),k.with({path:l})}normalizePath(k){if(!k.path.length)return k;let l;return k.scheme===F.Schemas.file?l=w.URI.file($.$hc(v(k))).path:l=$.$gc.normalize(k.path),k.with({path:l})}relativePath(k,l){if(k.scheme!==l.scheme||!(0,e.$Wg)(k.authority,l.authority))return;if(k.scheme===F.Schemas.file){const i=$.$lc(v(k),v(l));return L.$i?I.$_f(i):i}let p=k.path||"/";const o=l.path||"/";if(this.a(k)){let i=0;for(const n=Math.min(p.length,o.length);i<n&&!(p.charCodeAt(i)!==o.charCodeAt(i)&&p.charAt(i).toLowerCase()!==o.charAt(i).toLowerCase());i++);p=o.substr(0,i)+p.substr(i)}return $.$gc.relative(p,o)}resolvePath(k,l){if(k.scheme===F.Schemas.file){const p=w.URI.file($.$kc(v(k),l));return k.with({authority:p.authority,path:p.path})}return l=I.$ag(l),k.with({path:$.$gc.resolve(k.path,l)})}isAbsolutePath(k){return!!k.path&&k.path[0]==="/"}isEqualAuthority(k,l){return k===l||k!==void 0&&l!==void 0&&(0,R.$jf)(k,l)}hasTrailingPathSeparator(k,l=$.sep){if(k.scheme===F.Schemas.file){const p=v(k);return p.length>I.$bg(p).length&&p[p.length-1]===l}else{const p=k.path;return p.length>1&&p.charCodeAt(p.length-1)===47&&!/^[a-zA-Z]:(\/$|\\$)/.test(k.fsPath)}}removeTrailingPathSeparator(k,l=$.sep){return(0,e.$Xg)(k,l)?k.with({path:k.path.substr(0,k.path.length-1)}):k}addTrailingPathSeparator(k,l=$.sep){let p=!1;if(k.scheme===F.Schemas.file){const o=v(k);p=o!==void 0&&o.length===I.$bg(o).length&&o[o.length-1]===l}else{l="/";const o=k.path;p=o.length===1&&o.charCodeAt(o.length-1)===47}return!p&&!(0,e.$Xg)(k,l)?k.with({path:k.path+"/"}):k}}e.$Gg=S,e.$Hg=new S(()=>!1),e.$Ig=new S(E=>E.scheme===F.Schemas.file?!L.$k:!0),e.$Jg=new S(E=>!0),e.$Kg=e.$Hg.isEqual.bind(e.$Hg),e.$Lg=e.$Hg.isEqualOrParent.bind(e.$Hg),e.$Mg=e.$Hg.getComparisonKey.bind(e.$Hg),e.$Ng=e.$Hg.basenameOrAuthority.bind(e.$Hg),e.$Og=e.$Hg.basename.bind(e.$Hg),e.$Pg=e.$Hg.extname.bind(e.$Hg),e.$Qg=e.$Hg.dirname.bind(e.$Hg),e.$Rg=e.$Hg.joinPath.bind(e.$Hg),e.$Sg=e.$Hg.normalizePath.bind(e.$Hg),e.$Tg=e.$Hg.relativePath.bind(e.$Hg),e.$Ug=e.$Hg.resolvePath.bind(e.$Hg),e.$Vg=e.$Hg.isAbsolutePath.bind(e.$Hg),e.$Wg=e.$Hg.isEqualAuthority.bind(e.$Hg),e.$Xg=e.$Hg.hasTrailingPathSeparator.bind(e.$Hg),e.$Yg=e.$Hg.removeTrailingPathSeparator.bind(e.$Hg),e.$Zg=e.$Hg.addTrailingPathSeparator.bind(e.$Hg);function M(E,k){const l=[];for(let p=0;p<E.length;p++){const o=k(E[p]);E.some((i,n)=>n===p?!1:(0,e.$Lg)(o,k(i)))||l.push(E[p])}return l}e.$1g=M;var C;(function(E){E.META_DATA_LABEL="label",E.META_DATA_DESCRIPTION="description",E.META_DATA_SIZE="size",E.META_DATA_MIME="mime";function k(l){const p=new Map;l.path.substring(l.path.indexOf(";")+1,l.path.lastIndexOf(";")).split(";").forEach(n=>{const[r,a]=n.split(":");r&&a&&p.set(r,a)});const i=l.path.substring(0,l.path.indexOf(";"));return i&&p.set(E.META_DATA_MIME,i),p}E.parseMetaData=k})(C||(e.DataUri=C={}));function b(E,k,l){if(k){let p=E.path;return p&&p[0]!==$.$gc.sep&&(p=$.$gc.sep+p),E.with({scheme:l,authority:k,path:p})}return E.with({scheme:l})}e.$2g=b}),define(Se[8],De([1,0,22,14,4,3,23,11,164,44]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hh=e.$Gh=e.$Fh=e.$Eh=e.$Dh=e.$Ch=e.Promises=e.$Bh=e.$Ah=e.$zh=e.$yh=e.$xh=e.$wh=e.$vh=e.$uh=e.$th=e.$sh=e.$rh=e.$qh=e.$ph=e.$oh=e.$nh=e.$mh=e.$lh=e.$kh=e.$jh=e.$ih=e.$hh=e.$gh=e.$fh=e.$eh=e.$dh=e.$ch=e.$bh=e.$ah=e.$_g=e.$$g=e.$0g=e.$9g=e.$8g=e.$7g=e.$6g=e.$5g=e.$4g=e.$3g=void 0;function M(de){return!!de&&typeof de.then=="function"}e.$3g=M;function C(de){const H=new I.$ce,x=de(H.token),ue=new Promise((be,Pe)=>{const we=H.token.onCancellationRequested(()=>{we.dispose(),Pe(new F.$5)});Promise.resolve(x).then(Ae=>{we.dispose(),H.dispose(),be(Ae)},Ae=>{we.dispose(),H.dispose(),Pe(Ae)})});return new class{cancel(){H.cancel(),H.dispose()}then(be,Pe){return ue.then(be,Pe)}catch(be){return this.then(void 0,be)}finally(be){return ue.finally(be)}}}e.$4g=C;function b(de,H,x){return new Promise((ue,be)=>{const Pe=H.onCancellationRequested(()=>{Pe.dispose(),ue(x)});de.then(ue,be).finally(()=>Pe.dispose())})}e.$5g=b;function E(de,H){return new Promise((x,ue)=>{const be=H.onCancellationRequested(()=>{be.dispose(),ue(new F.$5)});de.then(x,ue).finally(()=>be.dispose())})}e.$6g=E;async function k(de){let H=-1;const x=de.map((ue,be)=>ue.then(Pe=>(H=be,Pe)));try{return await Promise.race(x)}finally{de.forEach((ue,be)=>{be!==H&&ue.cancel()})}}e.$7g=k;function l(de,H,x){let ue;const be=setTimeout(()=>{ue?.(void 0),x?.()},H);return Promise.race([de.finally(()=>clearTimeout(be)),new Promise(Pe=>ue=Pe)])}e.$8g=l;function p(de){return new Promise((H,x)=>{const ue=de();M(ue)?ue.then(H,x):H(ue)})}e.$9g=p;function o(){let de,H;return{promise:new Promise((ue,be)=>{de=ue,H=be}),resolve:de,reject:H}}e.$0g=o;class i{constructor(){this.f=!1,this.a=null,this.b=null,this.d=null}queue(H){if(this.f)return Promise.reject(new Error("Throttler is disposed"));if(this.a){if(this.d=H,!this.b){const x=()=>{if(this.b=null,this.f)return;const ue=this.queue(this.d);return this.d=null,ue};this.b=new Promise(ue=>{this.a.then(x,x).then(ue)})}return new Promise((x,ue)=>{this.b.then(x,ue)})}return this.a=H(),new Promise((x,ue)=>{this.a.then(be=>{this.a=null,x(be)},be=>{this.a=null,ue(be)})})}dispose(){this.f=!0}}e.$$g=i;class n{constructor(){this.a=Promise.resolve(null)}queue(H){return this.a=this.a.then(()=>H(),()=>H())}}e.$_g=n;class r{constructor(){this.a=new Map}queue(H,x){const be=(this.a.get(H)??Promise.resolve()).catch(()=>{}).then(x).finally(()=>{this.a.get(H)===be&&this.a.delete(H)});return this.a.set(H,be),be}}e.$ah=r;const a=(de,H)=>{let x=!0;const ue=setTimeout(()=>{x=!1,H()},de);return{isTriggered:()=>x,dispose:()=>{clearTimeout(ue),x=!1}}},t=de=>{let H=!0;return queueMicrotask(()=>{H&&(H=!1,de())}),{isTriggered:()=>H,dispose:()=>{H=!1}}};class d{constructor(H){this.defaultDelay=H,this.a=null,this.b=null,this.d=null,this.f=null,this.g=null}trigger(H,x=this.defaultDelay){this.g=H,this.h(),this.b||(this.b=new Promise((be,Pe)=>{this.d=be,this.f=Pe}).then(()=>{if(this.b=null,this.d=null,this.g){const be=this.g;return this.g=null,be()}}));const ue=()=>{this.a=null,this.d?.(null)};return this.a=x===v.$2d?t(ue):a(x,ue),this.b}isTriggered(){return!!this.a?.isTriggered()}cancel(){this.h(),this.b&&(this.f?.(new F.$5),this.b=null)}h(){this.a?.dispose(),this.a=null}dispose(){this.cancel()}}e.$bh=d;class u{constructor(H){this.a=new d(H),this.b=new i}trigger(H,x){return this.a.trigger(()=>this.b.queue(H),x)}isTriggered(){return this.a.isTriggered()}cancel(){this.a.cancel()}dispose(){this.a.dispose(),this.b.dispose()}}e.$ch=u;class s{constructor(){this.a=!1,this.b=new Promise((H,x)=>{this.d=H})}isOpen(){return this.a}open(){this.a=!0,this.d(!0)}wait(){return this.b}}e.$dh=s;class c extends s{constructor(H){super(),this.f=setTimeout(()=>this.open(),H)}open(){clearTimeout(this.f),super.open()}}e.$eh=c;function h(de,H){return H?new Promise((x,ue)=>{const be=setTimeout(()=>{Pe.dispose(),x()},de),Pe=H.onCancellationRequested(()=>{clearTimeout(be),Pe.dispose(),ue(new F.$5)})}):C(x=>h(de,x))}e.$fh=h;function m(de,H=0,x){const ue=setTimeout(()=>{de(),x&&be.dispose()},H),be=(0,L.$Rc)(()=>{clearTimeout(ue),x?.deleteAndLeak(be)});return x?.add(be),be}e.$gh=m;function D(de){const H=[];let x=0;const ue=de.length;function be(){return x<ue?de[x++]():null}function Pe(we){we!=null&&H.push(we);const Ae=be();return Ae?Ae.then(Pe):Promise.resolve(H)}return Promise.resolve(null).then(Pe)}e.$hh=D;function g(de,H=ue=>!!ue,x=null){let ue=0;const be=de.length,Pe=()=>{if(ue>=be)return Promise.resolve(x);const we=de[ue++];return Promise.resolve(we()).then(Oe=>H(Oe)?Promise.resolve(Oe):Pe())};return Pe()}e.$ih=g;function f(de,H=ue=>!!ue,x=null){if(de.length===0)return Promise.resolve(x);let ue=de.length;const be=()=>{ue=-1;for(const Pe of de)Pe.cancel?.()};return new Promise((Pe,we)=>{for(const Ae of de)Ae.then(Oe=>{--ue>=0&&H(Oe)?(be(),Pe(Oe)):ue===0&&Pe(x)}).catch(Oe=>{--ue>=0&&(be(),we(Oe))})})}e.$jh=f;class y{constructor(H){this.a=0,this.b=!1,this.f=H,this.g=[],this.d=0,this.h=new $.$5d}whenIdle(){return this.size>0?$.Event.toPromise(this.onDrained):Promise.resolve()}get onDrained(){return this.h.event}get size(){return this.a}queue(H){if(this.b)throw new Error("Object has been disposed");return this.a++,new Promise((x,ue)=>{this.g.push({factory:H,c:x,e:ue}),this.j()})}j(){for(;this.g.length&&this.d<this.f;){const H=this.g.shift();this.d++;const x=H.factory();x.then(H.c,H.e),x.then(()=>this.k(),()=>this.k())}}k(){this.b||(this.d--,--this.a===0&&this.h.fire(),this.g.length>0&&this.j())}clear(){if(this.b)throw new Error("Object has been disposed");this.g.length=0,this.a=this.d}dispose(){this.b=!0,this.g.length=0,this.a=0,this.h.dispose()}}e.$kh=y;class A extends y{constructor(){super(1)}}e.$lh=A;class N{constructor(){this.a=new Y,this.b=0}queue(H){return this.a.isRunning()?this.a.queue(()=>this.a.run(this.b++,H())):this.a.run(this.b++,H())}}e.$mh=N;class U{constructor(){this.a=new Map,this.b=new Set,this.d=void 0,this.f=0}async whenDrained(){if(this.g())return;const H=new fe;return this.b.add(H),H.p}g(){for(const[,H]of this.a)if(H.size>0)return!1;return!0}queueSize(H,x=R.$Hg){const ue=x.getComparisonKey(H);return this.a.get(ue)?.size??0}queueFor(H,x,ue=R.$Hg){const be=ue.getComparisonKey(H);let Pe=this.a.get(be);if(!Pe){Pe=new A;const we=this.f++,Ae=$.Event.once(Pe.onDrained)(()=>{Pe?.dispose(),this.a.delete(be),this.h(),this.d?.deleteAndDispose(we),this.d?.size===0&&(this.d.dispose(),this.d=void 0)});this.d||(this.d=new L.$3c),this.d.set(we,Ae),this.a.set(be,Pe)}return Pe.queue(x)}h(){this.g()&&this.j()}j(){for(const H of this.b)H.complete();this.b.clear()}dispose(){for(const[,H]of this.a)H.dispose();this.a.clear(),this.j(),this.d?.dispose()}}e.$nh=U;class z{constructor(H,x){this.a=-1,typeof H=="function"&&typeof x=="number"&&this.setIfNotSet(H,x)}dispose(){this.cancel()}cancel(){this.a!==-1&&(clearTimeout(this.a),this.a=-1)}cancelAndSet(H,x){this.cancel(),this.a=setTimeout(()=>{this.a=-1,H()},x)}setIfNotSet(H,x){this.a===-1&&(this.a=setTimeout(()=>{this.a=-1,H()},x))}}e.$oh=z;class T{constructor(){this.d=void 0}cancel(){this.d?.dispose(),this.d=void 0}cancelAndSet(H,x,ue=globalThis){this.cancel();const be=ue.setInterval(()=>{H()},x);this.d=(0,L.$Rc)(()=>{ue.clearInterval(be),this.d=void 0})}dispose(){this.cancel()}}e.$ph=T;class P{constructor(H,x){this.b=-1,this.a=H,this.d=x,this.f=this.g.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearTimeout(this.b),this.b=-1)}schedule(H=this.d){this.cancel(),this.b=setTimeout(this.f,H)}get delay(){return this.d}set delay(H){this.d=H}isScheduled(){return this.b!==-1}flush(){this.isScheduled()&&(this.cancel(),this.h())}g(){this.b=-1,this.a&&this.h()}h(){this.a?.()}}e.$qh=P;class O{constructor(H,x){x%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${x}ms is not a multiple of 1000ms.`),this.a=H,this.b=x,this.d=0,this.f=-1,this.g=this.h.bind(this)}dispose(){this.cancel(),this.a=null}cancel(){this.isScheduled()&&(clearInterval(this.f),this.f=-1)}schedule(H=this.b){H%1e3!==0&&console.warn(`ProcessTimeRunOnceScheduler resolution is 1s, ${H}ms is not a multiple of 1000ms.`),this.cancel(),this.d=Math.ceil(H/1e3),this.f=setInterval(this.g,1e3)}isScheduled(){return this.f!==-1}h(){this.d--,!(this.d>0)&&(clearInterval(this.f),this.f=-1,this.a?.())}}e.$rh=O;class j extends P{constructor(H,x){super(H,x),this.j=[]}work(H){this.j.push(H),this.isScheduled()||this.schedule()}h(){const H=this.j;this.j=[],this.a?.(H)}dispose(){this.j=[],super.dispose()}}e.$sh=j;class K extends L.$Tc{constructor(H,x){super(),this.g=H,this.h=x,this.a=[],this.b=this.B(new L.$Uc),this.f=!1}get pending(){return this.a.length}work(H){if(this.f)return!1;if(typeof this.g.maxBufferedWork=="number"){if(this.b.value){if(this.pending+H.length>this.g.maxBufferedWork)return!1}else if(this.pending+H.length-this.g.maxWorkChunkSize>this.g.maxBufferedWork)return!1}for(const x of H)this.a.push(x);return this.b.value||this.j(),!0}j(){this.h(this.a.splice(0,this.g.maxWorkChunkSize)),this.a.length>0&&(this.b.value=new P(()=>{this.b.clear(),this.j()},this.g.throttleDelay),this.b.value.schedule())}dispose(){super.dispose(),this.f=!0}}e.$th=K,function(){typeof globalThis.requestIdleCallback!="function"||typeof globalThis.cancelIdleCallback!="function"?e.$vh=(de,H)=>{(0,w.$B)(()=>{if(x)return;const ue=Date.now()+15;H(Object.freeze({didTimeout:!0,timeRemaining(){return Math.max(0,ue-Date.now())}}))});let x=!1;return{dispose(){x||(x=!0)}}}:e.$vh=(de,H,x)=>{const ue=de.requestIdleCallback(H,typeof x=="number"?{timeout:x}:void 0);let be=!1;return{dispose(){be||(be=!0,de.cancelIdleCallback(ue))}}},e.$uh=de=>(0,e.$vh)(globalThis,de)}();class ie{constructor(H,x){this.g=!1,this.d=()=>{try{this.j=x()}catch(ue){this.l=ue}finally{this.g=!0}},this.f=(0,e.$vh)(H,()=>this.d())}dispose(){this.f.dispose()}get value(){if(this.g||(this.f.dispose(),this.d()),this.l)throw this.l;return this.j}get isInitialized(){return this.g}}e.$wh=ie;class _ extends ie{constructor(H){super(globalThis,H)}}e.$xh=_;async function X(de,H,x){let ue;for(let be=0;be<x;be++)try{return await de()}catch(Pe){ue=Pe,await h(H)}throw ue}e.$yh=X;class Y{isRunning(H){return typeof H=="number"?this.a?.taskId===H:!!this.a}get running(){return this.a?.promise}cancelRunning(){this.a?.cancel()}run(H,x,ue){return this.a={taskId:H,cancel:()=>ue?.(),promise:x},x.then(()=>this.d(H),()=>this.d(H)),x}d(H){this.a&&H===this.a.taskId&&(this.a=void 0,this.f())}f(){if(this.b){const H=this.b;this.b=void 0,H.run().then(H.promiseResolve,H.promiseReject)}}queue(H){if(this.b)this.b.run=H;else{const{promise:x,resolve:ue,reject:be}=o();this.b={run:H,promise:x,promiseResolve:ue,promiseReject:be}}return this.b.promise}hasQueued(){return!!this.b}async join(){return this.b?.promise??this.a?.promise}}e.$zh=Y;class ae{constructor(H,x=()=>Date.now()){this.d=H,this.f=x,this.a=0,this.b=0}increment(){const H=this.f();return H-this.a>this.d&&(this.a=H,this.b=0),this.b++,this.b}}e.$Ah=ae;var ee;(function(de){de[de.Resolved=0]="Resolved",de[de.Rejected=1]="Rejected"})(ee||(ee={}));class fe{get isRejected(){return this.d?.outcome===1}get isResolved(){return this.d?.outcome===0}get isSettled(){return!!this.d}get value(){return this.d?.outcome===0?this.d?.value:void 0}constructor(){this.p=new Promise((H,x)=>{this.a=H,this.b=x})}complete(H){return new Promise(x=>{this.a(H),this.d={outcome:0,value:H},x()})}error(H){return new Promise(x=>{this.b(H),this.d={outcome:1,value:H},x()})}cancel(){return this.error(new F.$5)}}e.$Bh=fe;var re;(function(de){async function H(ue){let be;const Pe=await Promise.all(ue.map(we=>we.then(Ae=>Ae,Ae=>{be||(be=Ae)})));if(typeof be<"u")throw be;return Pe}de.settled=H;function x(ue){return new Promise(async(be,Pe)=>{try{await ue(be,Pe)}catch(we){Pe(we)}})}de.withAsyncBody=x})(re||(e.Promises=re={}));class J{get value(){return this.a}get error(){return this.b}get isResolved(){return this.d}constructor(H){this.a=void 0,this.b=void 0,this.d=!1,this.promise=H.then(x=>(this.a=x,this.d=!0,x),x=>{throw this.b=x,this.d=!0,x})}requireValue(){if(!this.d)throw new F.$cb("Promise is not resolved yet");if(this.b)throw this.b;return this.a}}e.$Ch=J;class B{constructor(H){this.b=H,this.a=new S.$V(()=>new J(this.b()))}requireValue(){return this.a.value.requireValue()}getPromise(){return this.a.value.promise}get currentValue(){return this.a.rawValue?.value}}e.$Dh=B;var se;(function(de){de[de.Initial=0]="Initial",de[de.DoneOK=1]="DoneOK",de[de.DoneError=2]="DoneError"})(se||(se={}));class Ee{static fromArray(H){return new Ee(x=>{x.emitMany(H)})}static fromPromise(H){return new Ee(async x=>{x.emitMany(await H)})}static fromPromises(H){return new Ee(async x=>{await Promise.all(H.map(async ue=>x.emitOne(await ue)))})}static merge(H){return new Ee(async x=>{await Promise.all(H.map(async ue=>{for await(const be of ue)x.emitOne(be)}))})}static{this.EMPTY=Ee.fromArray([])}constructor(H){this.a=0,this.b=[],this.d=null,this.f=new $.$5d,queueMicrotask(async()=>{const x={emitOne:ue=>this.g(ue),emitMany:ue=>this.h(ue),reject:ue=>this.k(ue)};try{await Promise.resolve(H(x)),this.j()}catch(ue){this.k(ue)}finally{x.emitOne=void 0,x.emitMany=void 0,x.reject=void 0}})}[Symbol.asyncIterator](){let H=0;return{next:async()=>{do{if(this.a===2)throw this.d;if(H<this.b.length)return{done:!1,value:this.b[H++]};if(this.a===1)return{done:!0,value:void 0};await $.Event.toPromise(this.f.event)}while(!0)}}}static map(H,x){return new Ee(async ue=>{for await(const be of H)ue.emitOne(x(be))})}map(H){return Ee.map(this,H)}static filter(H,x){return new Ee(async ue=>{for await(const be of H)x(be)&&ue.emitOne(be)})}filter(H){return Ee.filter(this,H)}static coalesce(H){return Ee.filter(H,x=>!!x)}coalesce(){return Ee.coalesce(this)}static async toPromise(H){const x=[];for await(const ue of H)x.push(ue);return x}toPromise(){return Ee.toPromise(this)}g(H){this.a===0&&(this.b.push(H),this.f.fire())}h(H){this.a===0&&(this.b=this.b.concat(H),this.f.fire())}j(){this.a===0&&(this.a=1,this.f.fire())}k(H){this.a===0&&(this.a=2,this.d=H,this.f.fire())}}e.$Eh=Ee;class le extends Ee{constructor(H,x){super(x),this.l=H}cancel(){this.l.cancel()}}e.$Fh=le;function he(de){const H=new I.$ce,x=de(H.token);return new le(H,async ue=>{const be=H.token.onCancellationRequested(()=>{be.dispose(),H.dispose(),ue.reject(new F.$5)});try{for await(const Pe of x){if(H.token.isCancellationRequested)return;ue.emitOne(Pe)}be.dispose(),H.dispose()}catch(Pe){be.dispose(),H.dispose(),ue.reject(Pe)}})}e.$Gh=he;class ce{constructor(){this.a=new fe,this.b=new Ee(ue=>{if(H){ue.reject(H);return}return x&&ue.emitMany(x),this.d=be=>ue.reject(be),this.f=be=>ue.emitOne(be),this.a.p});let H,x;this.f=ue=>{x||(x=[]),x.push(ue)},this.d=ue=>{H||(H=ue)}}get asyncIterable(){return this.b}resolve(){this.a.complete()}reject(H){this.d(H),this.a.complete()}emitOne(H){this.f(H)}}e.$Hh=ce}),define(Se[35],De([1,0,19,8,34,28,17,11,12]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2j=e.$1j=e.$Zj=e.$Yj=e.$Xj=e.$Wj=e.$Vj=e.$Uj=e.$Tj=e.$Sj=void 0;function S(){return Object.create(null)}e.$Sj=S,e.$Tj="**",e.$Uj="/";const M="[/\\\\]",C="[^/\\\\]",b=/\//g;function E(ie,_){switch(ie){case 0:return"";case 1:return`${C}*?`;default:return`(?:${M}|${C}+${M}${_?`|${M}${C}+`:""})*?`}}function k(ie,_){if(!ie)return[];const X=[];let Y=!1,ae=!1,ee="";for(const fe of ie){switch(fe){case _:if(!Y&&!ae){X.push(ee),ee="";continue}break;case"{":Y=!0;break;case"}":Y=!1;break;case"[":ae=!0;break;case"]":ae=!1;break}ee+=fe}return ee&&X.push(ee),X}e.$Vj=k;function l(ie){if(!ie)return"";let _="";const X=k(ie,e.$Uj);if(X.every(Y=>Y===e.$Tj))_=".*";else{let Y=!1;X.forEach((ae,ee)=>{if(ae===e.$Tj){if(Y)return;_+=E(2,ee===X.length-1)}else{let fe=!1,re="",J=!1,B="";for(const se of ae){if(se!=="}"&&fe){re+=se;continue}if(J&&(se!=="]"||!B)){let Ee;se==="-"?Ee=se:(se==="^"||se==="!")&&!B?Ee="^":se===e.$Uj?Ee="":Ee=(0,v.$Xe)(se),B+=Ee;continue}switch(se){case"{":fe=!0;continue;case"[":J=!0;continue;case"}":{const le=`(?:${k(re,",").map(he=>l(he)).join("|")})`;_+=le,fe=!1,re="";break}case"]":{_+="["+B+"]",J=!1,B="";break}case"?":_+=C;continue;case"*":_+=E(1);continue;default:_+=(0,v.$Xe)(se)}}ee<X.length-1&&(X[ee+1]!==e.$Tj||ee+2<X.length)&&(_+=M)}Y=ae===e.$Tj})}return _}const p=/^\*\*\/\*\.[\w\.-]+$/,o=/^\*\*\/([\w\.-]+)\/?$/,i=/^{\*\*\/\*?[\w\.-]+\/?(,\*\*\/\*?[\w\.-]+\/?)*}$/,n=/^{\*\*\/\*?[\w\.-]+(\/(\*\*)?)?(,\*\*\/\*?[\w\.-]+(\/(\*\*)?)?)*}$/,r=/^\*\*((\/[\w\.-]+)+)\/?$/,a=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,t=new L.$Dc(1e4),d=function(){return!1},u=function(){return null};function s(ie,_){if(!ie)return u;let X;typeof ie!="string"?X=ie.pattern:X=ie,X=X.trim();const Y=`${X}_${!!_.trimForExclusions}`;let ae=t.get(Y);if(ae)return c(ae,ie);let ee;return p.test(X)?ae=m(X.substr(4),X):(ee=o.exec(h(X,_)))?ae=D(ee[1],X):(_.trimForExclusions?n:i).test(X)?ae=g(X,_):(ee=r.exec(h(X,_)))?ae=f(ee[1].substr(1),X,!0):(ee=a.exec(h(X,_)))?ae=f(ee[1],X,!1):ae=y(X),t.set(Y,ae),c(ae,ie)}function c(ie,_){if(typeof _=="string")return ie;const X=function(Y,ae){return(0,$.$fg)(Y,_.base,!w.$k)?ie((0,v.$3e)(Y.substr(_.base.length),R.sep),ae):null};return X.allBasenames=ie.allBasenames,X.allPaths=ie.allPaths,X.basenames=ie.basenames,X.patterns=ie.patterns,X}function h(ie,_){return _.trimForExclusions&&ie.endsWith("/**")?ie.substr(0,ie.length-2):ie}function m(ie,_){return function(X,Y){return typeof X=="string"&&X.endsWith(ie)?_:null}}function D(ie,_){const X=`/${ie}`,Y=`\\${ie}`,ae=function(fe,re){return typeof fe!="string"?null:re?re===ie?_:null:fe===ie||fe.endsWith(X)||fe.endsWith(Y)?_:null},ee=[ie];return ae.basenames=ee,ae.patterns=[_],ae.allBasenames=ee,ae}function g(ie,_){const X=j(ie.slice(1,-1).split(",").map(re=>s(re,_)).filter(re=>re!==u),ie),Y=X.length;if(!Y)return u;if(Y===1)return X[0];const ae=function(re,J){for(let B=0,se=X.length;B<se;B++)if(X[B](re,J))return ie;return null},ee=X.find(re=>!!re.allBasenames);ee&&(ae.allBasenames=ee.allBasenames);const fe=X.reduce((re,J)=>J.allPaths?re.concat(J.allPaths):re,[]);return fe.length&&(ae.allPaths=fe),ae}function f(ie,_,X){const Y=R.sep===R.$gc.sep,ae=Y?ie:ie.replace(b,R.sep),ee=R.sep+ae,fe=R.$gc.sep+ie;let re;return X?re=function(J,B){return typeof J=="string"&&(J===ae||J.endsWith(ee)||!Y&&(J===ie||J.endsWith(fe)))?_:null}:re=function(J,B){return typeof J=="string"&&(J===ae||!Y&&J===ie)?_:null},re.allPaths=[(X?"*/":"./")+ie],re}function y(ie){try{const _=new RegExp(`^${l(ie)}$`);return function(X){return _.lastIndex=0,typeof X=="string"&&_.test(X)?ie:null}}catch{return u}}function A(ie,_,X){return!ie||typeof _!="string"?!1:N(ie)(_,void 0,X)}e.$Wj=A;function N(ie,_={}){if(!ie)return d;if(typeof ie=="string"||U(ie)){const X=s(ie,_);if(X===u)return d;const Y=function(ae,ee){return!!X(ae,ee)};return X.allBasenames&&(Y.allBasenames=X.allBasenames),X.allPaths&&(Y.allPaths=X.allPaths),Y}return P(ie,_)}e.$Xj=N;function U(ie){const _=ie;return _?typeof _.base=="string"&&typeof _.pattern=="string":!1}e.$Yj=U;function z(ie){return ie.allBasenames||[]}e.$Zj=z;function T(ie){return ie.allPaths||[]}e.$1j=T;function P(ie,_){const X=j(Object.getOwnPropertyNames(ie).map(re=>O(re,ie[re],_)).filter(re=>re!==u)),Y=X.length;if(!Y)return u;if(!X.some(re=>!!re.requiresSiblings)){if(Y===1)return X[0];const re=function(se,Ee){let le;for(let he=0,ce=X.length;he<ce;he++){const de=X[he](se,Ee);if(typeof de=="string")return de;(0,F.$3g)(de)&&(le||(le=[]),le.push(de))}return le?(async()=>{for(const he of le){const ce=await he;if(typeof ce=="string")return ce}return null})():null},J=X.find(se=>!!se.allBasenames);J&&(re.allBasenames=J.allBasenames);const B=X.reduce((se,Ee)=>Ee.allPaths?se.concat(Ee.allPaths):se,[]);return B.length&&(re.allPaths=B),re}const ae=function(re,J,B){let se,Ee;for(let le=0,he=X.length;le<he;le++){const ce=X[le];ce.requiresSiblings&&B&&(J||(J=(0,R.$nc)(re)),se||(se=J.substr(0,J.length-(0,R.$oc)(re).length)));const de=ce(re,J,se,B);if(typeof de=="string")return de;(0,F.$3g)(de)&&(Ee||(Ee=[]),Ee.push(de))}return Ee?(async()=>{for(const le of Ee){const he=await le;if(typeof he=="string")return he}return null})():null},ee=X.find(re=>!!re.allBasenames);ee&&(ae.allBasenames=ee.allBasenames);const fe=X.reduce((re,J)=>J.allPaths?re.concat(J.allPaths):re,[]);return fe.length&&(ae.allPaths=fe),ae}function O(ie,_,X){if(_===!1)return u;const Y=s(ie,X);if(Y===u)return u;if(typeof _=="boolean")return Y;if(_){const ae=_.when;if(typeof ae=="string"){const ee=(fe,re,J,B)=>{if(!B||!Y(fe,re))return null;const se=ae.replace("$(basename)",()=>J),Ee=B(se);return(0,F.$3g)(Ee)?Ee.then(le=>le?ie:null):Ee?ie:null};return ee.requiresSiblings=!0,ee}}return Y}function j(ie,_){const X=ie.filter(re=>!!re.basenames);if(X.length<2)return ie;const Y=X.reduce((re,J)=>{const B=J.basenames;return B?re.concat(B):re},[]);let ae;if(_){ae=[];for(let re=0,J=Y.length;re<J;re++)ae.push(_)}else ae=X.reduce((re,J)=>{const B=J.patterns;return B?re.concat(B):re},[]);const ee=function(re,J){if(typeof re!="string")return null;if(!J){let se;for(se=re.length;se>0;se--){const Ee=re.charCodeAt(se-1);if(Ee===47||Ee===92)break}J=re.substr(se)}const B=Y.indexOf(J);return B!==-1?ae[B]:null};ee.basenames=Y,ee.patterns=ae,ee.allBasenames=Y;const fe=ie.filter(re=>!re.basenames);return fe.push(ee),fe}function K(ie,_){return(0,I.$ub)(ie,_,(X,Y)=>typeof X=="string"&&typeof Y=="string"?X===Y:typeof X!="string"&&typeof Y!="string"?X.base===Y.base&&X.pattern===Y.pattern:!1)}e.$2j=K}),define(Se[80],De([1,0,14,165,23,12,2]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ak=e.$zk=e.$yk=e.$xk=e.$wk=e.$vk=e.$uk=e.$tk=e.$sk=e.MarkdownStringTextNewlineStyle=void 0;var w;(function(o){o[o.Paragraph=0]="Paragraph",o[o.Break=1]="Break"})(w||(e.MarkdownStringTextNewlineStyle=w={}));class v{constructor(i="",n=!1){if(this.value=i,typeof this.value!="string")throw(0,I.$7)("value");typeof n=="boolean"?(this.isTrusted=n,this.supportThemeIcons=!1,this.supportHtml=!1):(this.isTrusted=n.isTrusted??void 0,this.supportThemeIcons=n.supportThemeIcons??!1,this.supportHtml=n.supportHtml??!1)}appendText(i,n=0){return this.value+=b(this.supportThemeIcons?(0,F.$mk)(i):i).replace(/([ \t]+)/g,(r,a)=>"&nbsp;".repeat(a.length)).replace(/\>/gm,"\\>").replace(/\n/g,n===1?`\\
`:`

`),this}appendMarkdown(i){return this.value+=i,this}appendCodeblock(i,n){return this.value+=`
${E(n,i)}
`,this}appendLink(i,n,r){return this.value+="[",this.value+=this.c(n,"]"),this.value+="](",this.value+=this.c(String(i),")"),r&&(this.value+=` "${this.c(this.c(r,'"'),")")}"`),this.value+=")",this}c(i,n){const r=new RegExp((0,L.$Xe)(n),"g");return i.replace(r,(a,t)=>i.charAt(t-1)!=="\\"?`\\${a}`:a)}}e.$sk=v;function S(o){return M(o)?!o.value:Array.isArray(o)?o.every(S):!0}e.$tk=S;function M(o){return o instanceof v?!0:o&&typeof o=="object"?typeof o.value=="string"&&(typeof o.isTrusted=="boolean"||typeof o.isTrusted=="object"||o.isTrusted===void 0)&&(typeof o.supportThemeIcons=="boolean"||o.supportThemeIcons===void 0):!1}e.$uk=M;function C(o,i){return o===i?!0:!o||!i?!1:o.value===i.value&&o.isTrusted===i.isTrusted&&o.supportThemeIcons===i.supportThemeIcons&&o.supportHtml===i.supportHtml&&(o.baseUri===i.baseUri||!!o.baseUri&&!!i.baseUri&&(0,$.$Kg)(R.URI.from(o.baseUri),R.URI.from(i.baseUri)))}e.$vk=C;function b(o){return o.replace(/[\\`*_{}[\]()#+\-!~]/g,"\\$&")}e.$wk=b;function E(o,i){const n=o.match(/^`+/gm)?.reduce((a,t)=>a.length>t.length?a:t).length??0,r=n>=3?n+1:3;return[`${"`".repeat(r)}${i}`,o,`${"`".repeat(r)}`].join(`
`)}e.$xk=E;function k(o){return o.replace(/"/g,"&quot;")}e.$yk=k;function l(o){return o&&o.replace(/\\([\\`*_{}[\]()#+\-.!~])/g,"$1")}e.$zk=l;function p(o){const i=[],n=o.split("|").map(a=>a.trim());o=n[0];const r=n[1];if(r){const a=/height=(\d+)/.exec(r),t=/width=(\d+)/.exec(r),d=a?a[1]:"",u=t?t[1]:"",s=isFinite(parseInt(u)),c=isFinite(parseInt(d));s&&i.push(`width="${u}"`),c&&i.push(`height="${d}"`)}return{href:o,dimensions:i}}e.$Ak=p}),define(Se[102],De([1,0,19,34,17,11,23,12]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ew=e.$dw=e.$cw=e.$bw=e.$aw=e.$_v=e.$$v=e.$0v=e.$9v=e.$8v=void 0;function v(s,c){const{os:h,tildify:m,relative:D}=c;if(D){const y=S(s,D,h);if(typeof y=="string")return y}let g=s.fsPath;if(h===1&&!L.$i?g=g.replace(/\//g,"\\"):h!==1&&L.$i&&(g=g.replace(/\\/g,"/")),h!==1&&m?.userHome){const y=m.userHome.fsPath;let A;s.scheme!==m.userHome.scheme&&s.path[0]===$.$gc.sep&&s.path[1]!==$.$gc.sep?A=m.userHome.with({path:s.path}).fsPath:A=g,g=b(A,y,h)}return(h===1?$.$fc:$.$gc).normalize(M(g,h===1))}e.$8v=v;function S(s,c,h){const m=h===1?$.$fc:$.$gc,D=h===3?R.$Hg:R.$Jg,g=c.getWorkspace(),f=(0,I.$Ob)(g.folders);if(!f)return;s.scheme!==f.uri.scheme&&s.path[0]===$.$gc.sep&&s.path[1]!==$.$gc.sep&&(s=f.uri.with({path:s.path}));const y=c.getWorkspaceFolder(s);if(!y)return;let A;if(D.isEqual(y.uri,s)?A="":A=D.relativePath(y.uri,s)??"",A&&(A=m.normalize(A)),g.folders.length>1&&!c.noPrefix){const N=y.name?y.name:D.basenameOrAuthority(y.uri);A=A?`${N} \u2022 ${A}`:N}return A}function M(s,c=L.$i){return(0,F.$jg)(s,c)?s.charAt(0).toUpperCase()+s.slice(1):s}e.$9v=M;let C=Object.create(null);function b(s,c,h=L.OS){if(h===1||!s||!c)return s;let m=C.original===c?C.normalized:void 0;m||(m=c,L.$i&&(m=(0,F.$_f)(m)),m=`${(0,w.$4e)(m,$.$gc.sep)}${$.$gc.sep}`,C={original:c,normalized:m});let D=s;return L.$i&&(D=(0,F.$_f)(D)),(h===3?D.startsWith(m):(0,w.$kf)(D,m))?`~/${D.substr(m.length)}`:s}e.$0v=b;function E(s,c){return s.replace(/^~($|\/|\\)/,`${c}$1`)}e.$$v=E;const k="\u2026",l="\\\\",p="~";function o(s,c=$.sep){const h=new Array(s.length);let m=!1;for(let D=0;D<s.length;D++){const g=s[D];if(g===""){h[D]=`.${c}`;continue}if(!g){h[D]=g;continue}m=!0;let f="",y=g;y.indexOf(l)===0?(f=y.substr(0,y.indexOf(l)+l.length),y=y.substr(y.indexOf(l)+l.length)):y.indexOf(c)===0?(f=y.substr(0,y.indexOf(c)+c.length),y=y.substr(y.indexOf(c)+c.length)):y.indexOf(p)===0&&(f=y.substr(0,y.indexOf(p)+p.length),y=y.substr(y.indexOf(p)+p.length));const A=y.split(c);for(let N=1;m&&N<=A.length;N++)for(let U=A.length-N;m&&U>=0;U--){m=!1;let z=A.slice(U,U+N).join(c);for(let T=0;!m&&T<s.length;T++)if(T!==D&&s[T]&&s[T].indexOf(z)>-1){const P=U+N===A.length,O=U>0&&s[T].indexOf(c)>-1?c+z:z,j=s[T].endsWith(O);m=!P||j}if(!m){let T="";(A[0].endsWith(":")||f!=="")&&(U===1&&(U=0,N++,z=A[0]+c+z),U>0&&(T=A[0]+c),T=f+T),U>0&&(T=T+k+c),T=T+z,U+N<A.length&&(T=T+c+k),h[D]=T}}m&&(h[D]=g)}return h}e.$_v=o;var i;(function(s){s[s.TEXT=0]="TEXT",s[s.VARIABLE=1]="VARIABLE",s[s.SEPARATOR=2]="SEPARATOR"})(i||(i={}));function n(s,c=Object.create(null)){const h=[];let m=!1,D="";for(const g of s)if(g==="$"||m&&g==="{")D&&h.push({value:D,type:i.TEXT}),D="",m=!0;else if(g==="}"&&m){const f=c[D];if(typeof f=="string")f.length&&h.push({value:f,type:i.VARIABLE});else if(f){const y=h[h.length-1];(!y||y.type!==i.SEPARATOR)&&h.push({value:f.label,type:i.SEPARATOR})}D="",m=!1}else D+=g;return D&&!m&&h.push({value:D,type:i.TEXT}),h.filter((g,f)=>{if(g.type===i.SEPARATOR){const y=h[f-1],A=h[f+1];return[y,A].every(N=>N&&(N.type===i.VARIABLE||N.type===i.TEXT)&&N.value.length>0)}return!0}).map(g=>g.value).join("")}e.$aw=n;function r(s,c){return L.$j||c?s.replace(/\(&&\w\)|&&/g,"").replace(/&/g,L.$j?"&":"&&"):s.replace(/&&|&/g,h=>h==="&"?"&&":"&")}e.$bw=r;function a(s,c){return L.$j||c?s.replace(/\(&&\w\)|&&/g,""):L.$i?s.replace(/&&|&/g,h=>h==="&"?"&&":"&"):s.replace(/&&/g,"_")}e.$cw=a;function t(s){return s.replace(/&/g,"&&")}e.$dw=t;function d(s){if(s.endsWith("]")){const c=s.lastIndexOf(" [",s.length-2);if(c!==-1){const h=u(s.substring(0,c)),m=s.substring(c);return{name:h.name+m,parentPath:h.parentPath}}}return u(s)}e.$ew=d;function u(s){const c=s.indexOf("/")!==-1?$.$gc:$.$fc,h=c.basename(s),m=c.dirname(s);return h.length?{name:h,parentPath:m}:{name:m,parentPath:""}}}),define(Se[130],De([1,0,21,2]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hn=e.$gn=e.$fn=e.$en=e.$dn=void 0;function $(C){return C.toJSON()}class L{constructor(b){this.a=b}transformIncoming(b){const E=this.a.transformIncoming(b);return E===b?b:$(F.URI.from(E))}transformOutgoing(b){const E=this.a.transformOutgoing(b);return E===b?b:$(F.URI.from(E))}transformOutgoingURI(b){const E=this.a.transformOutgoing(b);return E===b?b:F.URI.from(E)}transformOutgoingScheme(b){return this.a.transformOutgoingScheme(b)}}e.$dn=L,e.$en=new class{transformIncoming(C){return C}transformOutgoing(C){return C}transformOutgoingURI(C){return C}transformOutgoingScheme(C){return C}};function R(C,b,E){if(!C||E>200)return null;if(typeof C=="object"){if(C instanceof F.URI)return b.transformOutgoing(C);for(const k in C)if(Object.hasOwnProperty.call(C,k)){const l=R(C[k],b,E+1);l!==null&&(C[k]=l)}}return null}function w(C,b){const E=R(C,b,0);return E===null?C:E}e.$fn=w;function v(C,b,E,k){if(!C||k>200)return null;if(typeof C=="object"){if(C.$mid===1)return E?F.URI.revive(b.transformIncoming(C)):b.transformIncoming(C);if(C instanceof I.$se)return null;for(const l in C)if(Object.hasOwnProperty.call(C,l)){const p=v(C[l],b,E,k+1);p!==null&&(C[l]=p)}}return null}function S(C,b){const E=v(C,b,!1,0);return E===null?C:E}e.$gn=S;function M(C,b){const E=v(C,b,!0,0);return E===null?C:E}e.$hn=M}),define(Se[31],De([1,0,57,63,388,8,34,76,17,11,23,2]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.Promises=e.writeFileSync=e.configureFlushOnWrite=e.SymlinkSupport=e.whenDeleted=e.readdirSync=e.rimrafSync=e.RimRafMode=void 0;var b;(function(O){O[O.UNLINK=0]="UNLINK",O[O.MOVE=1]="MOVE"})(b||(e.RimRafMode=b={}));async function E(O,j=b.UNLINK,K){if((0,R.$ig)(O))throw new Error("rimraf - will refuse to recursively delete root");return j===b.UNLINK?l(O):k(O,K)}async function k(O,j=(0,R.$ng)((0,F.tmpdir)())){try{try{await I.promises.rename(O,j)}catch(K){return K.code==="ENOENT"?void 0:l(O)}l(j).catch(K=>{})}catch(K){if(K.code!=="ENOENT")throw K}}async function l(O){return(0,$.promisify)(I.rm)(O,{recursive:!0,force:!0,maxRetries:3})}function p(O){if((0,R.$ig)(O))throw new Error("rimraf - will refuse to recursively delete root");I.rmSync(O,{recursive:!0,force:!0,maxRetries:3})}e.rimrafSync=p;async function o(O,j){return r(await(j?i(O):(0,$.promisify)(I.readdir)(O)))}async function i(O){try{return await(0,$.promisify)(I.readdir)(O,{withFileTypes:!0})}catch(ie){console.warn("[node.js fs] readdir with filetypes failed with error: ",ie)}const j=[],K=await o(O);for(const ie of K){let _=!1,X=!1,Y=!1;try{const ae=await e.Promises.lstat((0,v.$jc)(O,ie));_=ae.isFile(),X=ae.isDirectory(),Y=ae.isSymbolicLink()}catch(ae){console.warn("[node.js fs] unexpected error from lstat after readdir: ",ae)}j.push({name:ie,isFile:()=>_,isDirectory:()=>X,isSymbolicLink:()=>Y})}return j}function n(O){return r(I.readdirSync(O))}e.readdirSync=n;function r(O){return O.map(j=>typeof j=="string"?S.$j?(0,w.$Rl)(j):j:(j.name=S.$j?(0,w.$Rl)(j.name):j.name,j))}async function a(O){const j=await o(O),K=[];for(const ie of j)await d.existsDirectory((0,v.$jc)(O,ie))&&K.push(ie);return K}function t(O,j=1e3){return new Promise(K=>{let ie=!1;const _=setInterval(()=>{ie||(ie=!0,I.access(O,X=>{ie=!1,X&&(clearInterval(_),K(void 0))}))},j)})}e.whenDeleted=t;var d;(function(O){async function j(_){let X;try{if(X=await e.Promises.lstat(_),!X.isSymbolicLink())return{stat:X}}catch{}try{return{stat:await e.Promises.stat(_),symbolicLink:X?.isSymbolicLink()?{dangling:!1}:void 0}}catch(Y){if(Y.code==="ENOENT"&&X)return{stat:X,symbolicLink:{dangling:!0}};if(S.$i&&Y.code==="EACCES")try{return{stat:await e.Promises.stat(await e.Promises.readlink(_)),symbolicLink:{dangling:!1}}}catch(ae){if(ae.code==="ENOENT"&&X)return{stat:X,symbolicLink:{dangling:!0}};throw ae}throw Y}}O.stat=j;async function K(_){try{const{stat:X,symbolicLink:Y}=await O.stat(_);return X.isFile()&&Y?.dangling!==!0}catch{}return!1}O.existsFile=K;async function ie(_){try{const{stat:X,symbolicLink:Y}=await O.stat(_);return X.isDirectory()&&Y?.dangling!==!0}catch{}return!1}O.existsDirectory=ie})(d||(e.SymlinkSupport=d={}));const u=new L.$nh;function s(O,j,K){return u.queueFor(C.URI.file(O),()=>{const ie=g(K);return new Promise((_,X)=>m(O,j,ie,Y=>Y?X(Y):_()))},M.$Ig)}let c=!0;function h(O){c=O}e.configureFlushOnWrite=h;function m(O,j,K,ie){if(!c)return I.writeFile(O,j,{mode:K.mode,flag:K.flag},ie);I.open(O,K.flag,K.mode,(_,X)=>{if(_)return ie(_);I.writeFile(X,j,Y=>{if(Y)return I.close(X,()=>ie(Y));I.fdatasync(X,ae=>(ae&&(console.warn("[node.js fs] fdatasync is now disabled for this session because it failed: ",ae),h(!1)),I.close(X,ee=>ie(ee))))})})}function D(O,j,K){const ie=g(K);if(!c)return I.writeFileSync(O,j,{mode:ie.mode,flag:ie.flag});const _=I.openSync(O,ie.flag,ie.mode);try{I.writeFileSync(_,j);try{I.fdatasyncSync(_)}catch(X){console.warn("[node.js fs] fdatasyncSync is now disabled for this session because it failed: ",X),h(!1)}}finally{I.closeSync(_)}}e.writeFileSync=D;function g(O){return O?{mode:typeof O.mode=="number"?O.mode:438,flag:typeof O.flag=="string"?O.flag:"w"}:{mode:438,flag:"w"}}async function f(O,j,K=6e4){if(O!==j)try{S.$i&&typeof K=="number"?await y(O,j,Date.now(),K):await(0,$.promisify)(I.rename)(O,j)}catch(ie){if(O.toLowerCase()!==j.toLowerCase()&&ie.code==="EXDEV"||O.endsWith("."))await A(O,j,{preserveSymlinks:!1}),await E(O,b.MOVE);else throw ie}}async function y(O,j,K,ie,_=0){try{return await(0,$.promisify)(I.rename)(O,j)}catch(X){if(X.code!=="EACCES"&&X.code!=="EPERM"&&X.code!=="EBUSY")throw X;if(Date.now()-K>=ie)throw console.error(`[node.js fs] rename failed after ${_} retries with error: ${X}`),X;if(_===0){let Y=!1;try{const{stat:ae}=await d.stat(j);ae.isFile()||(Y=!0)}catch{}if(Y)throw X}return await(0,L.$fh)(Math.min(100,_*10)),y(O,j,K,ie,_+1)}}async function A(O,j,K){return U(O,j,{root:{source:O,target:j},options:K,handledSourcePaths:new Set})}const N=511;async function U(O,j,K){if(K.handledSourcePaths.has(O))return;K.handledSourcePaths.add(O);const{stat:ie,symbolicLink:_}=await d.stat(O);if(_){if(K.options.preserveSymlinks)try{return await P(O,j,K)}catch{}if(_.dangling)return}return ie.isDirectory()?z(O,j,ie.mode&N,K):T(O,j,ie.mode&N)}async function z(O,j,K,ie){await e.Promises.mkdir(j,{recursive:!0,mode:K});const _=await o(O);for(const X of _)await U((0,v.$jc)(O,X),(0,v.$jc)(j,X),ie)}async function T(O,j,K){await e.Promises.copyFile(O,j),await e.Promises.chmod(j,K)}async function P(O,j,K){let ie=await e.Promises.readlink(O);(0,R.$fg)(ie,K.root.source,!S.$k)&&(ie=(0,v.$jc)(K.root.target,ie.substr(K.root.source.length+1))),await e.Promises.symlink(ie,j)}e.Promises=new class{get access(){return(0,$.promisify)(I.access)}get stat(){return(0,$.promisify)(I.stat)}get lstat(){return(0,$.promisify)(I.lstat)}get utimes(){return(0,$.promisify)(I.utimes)}get read(){return(O,j,K,ie,_)=>new Promise((X,Y)=>{I.read(O,j,K,ie,_,(ae,ee,fe)=>ae?Y(ae):X({bytesRead:ee,buffer:fe}))})}get readFile(){return(0,$.promisify)(I.readFile)}get write(){return(O,j,K,ie,_)=>new Promise((X,Y)=>{I.write(O,j,K,ie,_,(ae,ee,fe)=>ae?Y(ae):X({bytesWritten:ee,buffer:fe}))})}get appendFile(){return(0,$.promisify)(I.appendFile)}get fdatasync(){return(0,$.promisify)(I.fdatasync)}get truncate(){return(0,$.promisify)(I.truncate)}get copyFile(){return(0,$.promisify)(I.copyFile)}get open(){return(0,$.promisify)(I.open)}get close(){return(0,$.promisify)(I.close)}get symlink(){return(0,$.promisify)(I.symlink)}get readlink(){return(0,$.promisify)(I.readlink)}get chmod(){return(0,$.promisify)(I.chmod)}get mkdir(){return(0,$.promisify)(I.mkdir)}get unlink(){return(0,$.promisify)(I.unlink)}get rmdir(){return(0,$.promisify)(I.rmdir)}get realpath(){return(0,$.promisify)(I.realpath)}async exists(O){try{return await e.Promises.access(O),!0}catch{return!1}}get readdir(){return o}get readDirsInDir(){return a}get writeFile(){return s}get rm(){return E}get rename(){return f}get copy(){return A}}}),define(Se[103],De([1,0,57,17,11,12,31]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hq=e.$Gq=e.$Fq=e.$Eq=void 0;function w(b){if($.$k)return b;const E=(0,F.$mc)(b);if(b===E)return b;const k=((0,F.$nc)(b)||b).toLowerCase();try{const p=(0,R.readdirSync)(E).filter(o=>o.toLowerCase()===k);if(p.length===1){const o=w(E);if(o)return(0,F.$jc)(o,p[0])}else if(p.length>1){const o=p.indexOf(k);if(o>=0){const i=w(E);if(i)return(0,F.$jc)(i,p[o])}}}catch{}return null}e.$Eq=w;async function v(b){if($.$k)return b;const E=(0,F.$mc)(b);if(b===E)return b;const k=((0,F.$nc)(b)||b).toLowerCase();try{const p=(await R.Promises.readdir(E)).filter(o=>o.toLowerCase()===k);if(p.length===1){const o=await v(E);if(o)return(0,F.$jc)(o,p[0])}else if(p.length>1){const o=p.indexOf(k);if(o>=0){const i=await v(E);if(i)return(0,F.$jc)(i,p[o])}}}catch{}return null}e.$Fq=v;async function S(b){try{return await R.Promises.realpath(b)}catch{const k=C(b);return await R.Promises.access(k,I.constants.R_OK),k}}e.$Gq=S;function M(b){try{return I.realpathSync(b)}catch{const k=C(b);return I.accessSync(k,I.constants.R_OK),k}}e.$Hq=M;function C(b){return(0,L.$4e)((0,F.$hc)(b),F.sep)}}),define(Se[104],De([1,0,17,11,50,101,18,31]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.win32=e.$6l=e.$5l=e.TerminateResponseCode=e.Source=void 0,Object.defineProperty(e,"Source",{enumerable:!0,get:function(){return L.Source}}),Object.defineProperty(e,"TerminateResponseCode",{enumerable:!0,get:function(){return L.TerminateResponseCode}});function v(C=$.env){return C.comspec||"cmd.exe"}e.$5l=v;function S(C){let b=[],E=!1;const k=function(l){if(E){b.push(l);return}(!C.send(l,o=>{if(o&&console.error(o),E=!1,b.length>0){const i=b.slice(0);b=[],i.forEach(n=>k(n))}})||F.$i)&&(E=!0)};return{send:k}}e.$6l=S;var M;(function(C){async function b(E,k,l){if(I.$ic(E))return E;if(k===void 0&&(k=$.cwd()),I.$mc(E)!=="."||(l===void 0&&R.$Sf($.env.PATH)&&(l=$.env.PATH.split(I.$tc)),l===void 0||l.length===0))return I.$jc(k,E);async function o(i){if(await w.Promises.exists(i)){let n;try{n=await w.Promises.stat(i)}catch(r){r.message.startsWith("EACCES")&&(n=await w.Promises.lstat(i))}return n?!n.isDirectory():!1}return!1}for(const i of l){let n;if(I.$ic(i)?n=I.$jc(i,E):n=I.$jc(k,i,E),await o(n))return n;let r=n+".com";if(await o(r)||(r=n+".exe",await o(r)))return r}return I.$jc(k,E)}C.findExecutable=b})(M||(e.win32=M={}))});var Je=this&&this.__decorate||function(me,e,I,F){var $=arguments.length,L=$<3?e:F===null?F=Object.getOwnPropertyDescriptor(e,I):F,R;if(typeof Reflect=="object"&&typeof Reflect.decorate=="function")L=Reflect.decorate(me,e,I,F);else for(var w=me.length-1;w>=0;w--)(R=me[w])&&(L=($<3?R(L):$>3?R(e,I,L):R(e,I))||L);return $>3&&L&&Object.defineProperty(e,I,L),L};define(Se[81],De([1,0,19,8,21,22,53,14,4,3,56,12,18]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zh=e.ProxyChannel=e.$Yh=e.$Xh=e.$Wh=e.$Vh=e.$Uh=e.$Th=e.RequestInitiator=e.$Sh=e.$Rh=e.$Qh=e.$Ph=e.$Oh=void 0;var E;(function(_){_[_.Promise=100]="Promise",_[_.PromiseCancel=101]="PromiseCancel",_[_.EventListen=102]="EventListen",_[_.EventDispose=103]="EventDispose"})(E||(E={}));function k(_){switch(_){case 100:return"req";case 101:return"cancel";case 102:return"subscribe";case 103:return"unsubscribe"}}var l;(function(_){_[_.Initialize=200]="Initialize",_[_.PromiseSuccess=201]="PromiseSuccess",_[_.PromiseError=202]="PromiseError",_[_.PromiseErrorObj=203]="PromiseErrorObj",_[_.EventFire=204]="EventFire"})(l||(l={}));function p(_){switch(_){case 200:return"init";case 201:return"reply:";case 202:case 203:return"replyErr:";case 204:return"event:"}}var o;(function(_){_[_.Uninitialized=0]="Uninitialized",_[_.Idle=1]="Idle"})(o||(o={}));function i(_){let X=0;for(let Y=0;;Y+=7){const ae=_.read(1);if(X|=(ae.buffer[0]&127)<<Y,!(ae.buffer[0]&128))return X}}const n=u(0);function r(_,X){if(X===0){_.write(n);return}let Y=0;for(let ee=X;ee!==0;ee=ee>>>7)Y++;const ae=$.$se.alloc(Y);for(let ee=0;X!==0;ee++)ae.buffer[ee]=X&127,X=X>>>7,X>0&&(ae.buffer[ee]|=128);_.write(ae)}class a{constructor(X){this.b=X,this.a=0}read(X){const Y=this.b.slice(this.a,this.a+X);return this.a+=Y.byteLength,Y}}e.$Oh=a;class t{constructor(){this.a=[]}get buffer(){return $.$se.concat(this.a)}write(X){this.a.push(X)}}e.$Ph=t;var d;(function(_){_[_.Undefined=0]="Undefined",_[_.String=1]="String",_[_.Buffer=2]="Buffer",_[_.VSBuffer=3]="VSBuffer",_[_.Array=4]="Array",_[_.Object=5]="Object",_[_.Int=6]="Int"})(d||(d={}));function u(_){const X=$.$se.alloc(1);return X.writeUInt8(_,0),X}const s={Undefined:u(d.Undefined),String:u(d.String),Buffer:u(d.Buffer),VSBuffer:u(d.VSBuffer),Array:u(d.Array),Object:u(d.Object),Uint:u(d.Int)},c=typeof Buffer<"u";function h(_,X){if(typeof X>"u")_.write(s.Undefined);else if(typeof X=="string"){const Y=$.$se.fromString(X);_.write(s.String),r(_,Y.byteLength),_.write(Y)}else if(c&&Buffer.isBuffer(X)){const Y=$.$se.wrap(X);_.write(s.Buffer),r(_,Y.byteLength),_.write(Y)}else if(X instanceof $.$se)_.write(s.VSBuffer),r(_,X.byteLength),_.write(X);else if(Array.isArray(X)){_.write(s.Array),r(_,X.length);for(const Y of X)h(_,Y)}else if(typeof X=="number"&&(X|0)===X)_.write(s.Uint),r(_,X);else{const Y=$.$se.fromString(JSON.stringify(X));_.write(s.Object),r(_,Y.byteLength),_.write(Y)}}e.$Qh=h;function m(_){switch(_.read(1).readUInt8(0)){case d.Undefined:return;case d.String:return _.read(i(_)).toString();case d.Buffer:return _.read(i(_)).buffer;case d.VSBuffer:return _.read(i(_));case d.Array:{const Y=i(_),ae=[];for(let ee=0;ee<Y;ee++)ae.push(m(_));return ae}case d.Object:return JSON.parse(_.read(i(_)).toString());case d.Int:return i(_)}}e.$Rh=m;class D{constructor(X,Y,ae=null,ee=1e3){this.h=X,this.j=Y,this.k=ae,this.l=ee,this.b=new Map,this.d=new Map,this.g=new Map,this.f=this.h.onMessage(fe=>this.q(fe)),this.m({type:200})}registerChannel(X,Y){this.b.set(X,Y),setTimeout(()=>this.w(X),0)}m(X){switch(X.type){case 200:{const Y=this.o([X.type]);this.k?.logOutgoing(Y,0,1,p(X.type));return}case 201:case 202:case 204:case 203:{const Y=this.o([X.type,X.id],X.data);this.k?.logOutgoing(Y,X.id,1,p(X.type),X.data);return}}}o(X,Y=void 0){const ae=new t;return h(ae,X),h(ae,Y),this.p(ae.buffer)}p(X){try{return this.h.send(X),X.byteLength}catch{return 0}}q(X){const Y=new a(X),ae=m(Y),ee=m(Y),fe=ae[0];switch(fe){case 100:return this.k?.logIncoming(X.byteLength,ae[1],1,`${k(fe)}: ${ae[2]}.${ae[3]}`,ee),this.s({type:fe,id:ae[1],channelName:ae[2],name:ae[3],arg:ee});case 102:return this.k?.logIncoming(X.byteLength,ae[1],1,`${k(fe)}: ${ae[2]}.${ae[3]}`,ee),this.t({type:fe,id:ae[1],channelName:ae[2],name:ae[3],arg:ee});case 101:return this.k?.logIncoming(X.byteLength,ae[1],1,`${k(fe)}`),this.u({type:fe,id:ae[1]});case 103:return this.k?.logIncoming(X.byteLength,ae[1],1,`${k(fe)}`),this.u({type:fe,id:ae[1]})}}s(X){const Y=this.b.get(X.channelName);if(!Y){this.v(X);return}const ae=new L.$ce;let ee;try{ee=Y.call(this.j,X.name,X.arg,ae.token)}catch(J){ee=Promise.reject(J)}const fe=X.id;ee.then(J=>{this.m({id:fe,data:J,type:201})},J=>{J instanceof Error?this.m({id:fe,data:{message:J.message,name:J.name,stack:J.stack?J.stack.split?J.stack.split(`
`):J.stack:void 0},type:202}):this.m({id:fe,data:J,type:203})}).finally(()=>{re.dispose(),this.d.delete(X.id)});const re=(0,S.$Rc)(()=>ae.cancel());this.d.set(X.id,re)}t(X){const Y=this.b.get(X.channelName);if(!Y){this.v(X);return}const ae=X.id,fe=Y.listen(this.j,X.name,X.arg)(re=>this.m({id:ae,data:re,type:204}));this.d.set(X.id,fe)}u(X){const Y=this.d.get(X.id);Y&&(Y.dispose(),this.d.delete(X.id))}v(X){let Y=this.g.get(X.channelName);Y||(Y=[],this.g.set(X.channelName,Y));const ae=setTimeout(()=>{console.error(`Unknown channel: ${X.channelName}`),X.type===100&&this.m({id:X.id,data:{name:"Unknown channel",message:`Channel name '${X.channelName}' timed out after ${this.l}ms`,stack:void 0},type:202})},this.l);Y.push({request:X,timeoutTimer:ae})}w(X){const Y=this.g.get(X);if(Y){for(const ae of Y)switch(clearTimeout(ae.timeoutTimer),ae.request.type){case 100:this.s(ae.request);break;case 102:this.t(ae.request);break}this.g.delete(X)}}dispose(){this.f&&(this.f.dispose(),this.f=null),(0,S.$Oc)(this.d.values()),this.d.clear()}}e.$Sh=D;var g;(function(_){_[_.LocalSide=0]="LocalSide",_[_.OtherSide=1]="OtherSide"})(g||(e.RequestInitiator=g={}));class f{constructor(X,Y=null){this.l=X,this.a=!1,this.b=o.Uninitialized,this.d=new Set,this.f=new Map,this.g=0,this.k=new v.$5d,this.onDidInitialize=this.k.event,this.h=this.l.onMessage(ae=>this.s(ae)),this.j=Y}getChannel(X){const Y=this;return{call(ae,ee,fe){return Y.a?Promise.reject(new w.$5):Y.m(X,ae,ee,fe)},listen(ae,ee){return Y.a?v.Event.None:Y.o(X,ae,ee)}}}m(X,Y,ae,ee=L.CancellationToken.None){const fe=this.g++,J={id:fe,type:100,channelName:X,name:Y,arg:ae};if(ee.isCancellationRequested)return Promise.reject(new w.$5);let B;return new Promise((Ee,le)=>{if(ee.isCancellationRequested)return le(new w.$5);const he=()=>{const x=ue=>{switch(ue.type){case 201:this.f.delete(fe),Ee(ue.data);break;case 202:{this.f.delete(fe);const be=new Error(ue.data.message);be.stack=Array.isArray(ue.data.stack)?ue.data.stack.join(`
`):ue.data.stack,be.name=ue.data.name,le(be);break}case 203:this.f.delete(fe),le(ue.data);break}};this.f.set(fe,x),this.p(J)};let ce=null;this.b===o.Idle?he():(ce=(0,F.$4g)(x=>this.u()),ce.then(()=>{ce=null,he()}));const de=()=>{ce?(ce.cancel(),ce=null):this.p({id:fe,type:101}),le(new w.$5)},H=ee.onCancellationRequested(de);B=(0,S.$Qc)((0,S.$Rc)(de),H),this.d.add(B)}).finally(()=>{B.dispose(),this.d.delete(B)})}o(X,Y,ae){const ee=this.g++,re={id:ee,type:102,channelName:X,name:Y,arg:ae};let J=null;const B=new v.$5d({onWillAddFirstListener:()=>{J=(0,F.$4g)(Ee=>this.u()),J.then(()=>{J=null,this.d.add(B),this.p(re)})},onDidRemoveLastListener:()=>{J?(J.cancel(),J=null):(this.d.delete(B),this.p({id:ee,type:103}))}}),se=Ee=>B.fire(Ee.data);return this.f.set(ee,se),B.event}p(X){switch(X.type){case 100:case 102:{const Y=this.q([X.type,X.id,X.channelName,X.name],X.arg);this.j?.logOutgoing(Y,X.id,0,`${k(X.type)}: ${X.channelName}.${X.name}`,X.arg);return}case 101:case 103:{const Y=this.q([X.type,X.id]);this.j?.logOutgoing(Y,X.id,0,k(X.type));return}}}q(X,Y=void 0){const ae=new t;return h(ae,X),h(ae,Y),this.r(ae.buffer)}r(X){try{return this.l.send(X),X.byteLength}catch{return 0}}s(X){const Y=new a(X),ae=m(Y),ee=m(Y),fe=ae[0];switch(fe){case 200:return this.j?.logIncoming(X.byteLength,0,0,p(fe)),this.t({type:ae[0]});case 201:case 202:case 204:case 203:return this.j?.logIncoming(X.byteLength,ae[1],0,p(fe),ee),this.t({type:ae[0],id:ae[1],data:ee})}}t(X){if(X.type===200){this.b=o.Idle,this.k.fire();return}this.f.get(X.id)?.(X)}get onDidInitializePromise(){return v.Event.toPromise(this.onDidInitialize)}u(){return this.b===o.Idle?Promise.resolve():this.onDidInitializePromise}dispose(){this.a=!0,this.h&&(this.h.dispose(),this.h=null),(0,S.$Oc)(this.d.values()),this.d.clear()}}e.$Th=f,Je([R.$Ih],f.prototype,"onDidInitializePromise",null);class y{get connections(){const X=[];return this.f.forEach(Y=>X.push(Y)),X}constructor(X){this.a=new Map,this.f=new Set,this.g=new v.$5d,this.onDidAddConnection=this.g.event,this.h=new v.$5d,this.onDidRemoveConnection=this.h.event,this.j=new S.$Sc,this.j.add(X(({protocol:Y,onDidClientDisconnect:ae})=>{const ee=v.Event.once(Y.onMessage);this.j.add(ee(fe=>{const re=new a(fe),J=m(re),B=new D(Y,J),se=new f(Y);this.a.forEach((le,he)=>B.registerChannel(he,le));const Ee={channelServer:B,channelClient:se,ctx:J};this.f.add(Ee),this.g.fire(Ee),this.j.add(ae(()=>{B.dispose(),se.dispose(),this.f.delete(Ee),this.h.fire(Ee)}))}))}))}getChannel(X,Y){const ae=this;return{call(ee,fe,re){let J;if((0,b.$7f)(Y)){const se=(0,I.$4b)(ae.connections.filter(Y));J=se?Promise.resolve(se):v.Event.toPromise(v.Event.filter(ae.onDidAddConnection,Y))}else J=Y.routeCall(ae,ee,fe);const B=J.then(se=>se.channelClient.getChannel(X));return N(B).call(ee,fe,re)},listen(ee,fe){if((0,b.$7f)(Y))return ae.k(X,Y,ee,fe);const re=Y.routeEvent(ae,ee,fe).then(J=>J.channelClient.getChannel(X));return N(re).listen(ee,fe)}}}k(X,Y,ae,ee){const fe=this;let re;const J=new v.$5d({onWillAddFirstListener:()=>{re=new S.$Sc;const B=new v.$$d,se=new Map,Ee=he=>{const de=he.channelClient.getChannel(X).listen(ae,ee),H=B.add(de);se.set(he,H)},le=he=>{const ce=se.get(he);ce&&(ce.dispose(),se.delete(he))};fe.connections.filter(Y).forEach(Ee),v.Event.filter(fe.onDidAddConnection,Y)(Ee,void 0,re),fe.onDidRemoveConnection(le,void 0,re),B.event(J.fire,J,re),re.add(B)},onDidRemoveLastListener:()=>{re?.dispose(),re=void 0}});return J.event}registerChannel(X,Y){this.a.set(X,Y);for(const ae of this.f)ae.channelServer.registerChannel(X,Y)}dispose(){this.j.dispose();for(const X of this.f)X.channelClient.dispose(),X.channelServer.dispose();this.f.clear(),this.a.clear(),this.g.dispose(),this.h.dispose()}}e.$Uh=y;class A{constructor(X,Y,ae=null){const ee=new t;h(ee,Y),X.send(ee.buffer),this.a=new f(X,ae),this.d=new D(X,Y,ae)}getChannel(X){return this.a.getChannel(X)}registerChannel(X,Y){this.d.registerChannel(X,Y)}dispose(){this.a.dispose(),this.d.dispose()}}e.$Vh=A;function N(_){return{call(X,Y,ae){return _.then(ee=>ee.call(X,Y,ae))},listen(X,Y){const ae=new v.$be;return _.then(ee=>ae.input=ee.listen(X,Y)),ae.event}}}e.$Wh=N;function U(_){let X=!1;return{call(Y,ae,ee){return X?_.call(Y,ae,ee):(0,F.$fh)(0).then(()=>X=!0).then(()=>_.call(Y,ae,ee))},listen(Y,ae){if(X)return _.listen(Y,ae);const ee=new v.$be;return(0,F.$fh)(0).then(()=>X=!0).then(()=>ee.input=_.listen(Y,ae)),ee.event}}}e.$Xh=U;class z{constructor(X){this.a=X}routeCall(X){return this.b(X)}routeEvent(X){return this.b(X)}async b(X){for(const Y of X.connections)if(await Promise.resolve(this.a(Y.ctx)))return Promise.resolve(Y);return await v.Event.toPromise(X.onDidAddConnection),await this.b(X)}}e.$Yh=z;var T;(function(_){function X(fe,re,J){const B=fe,se=J&&J.disableMarshalling,Ee=new Map;for(const le in B)ae(le)&&Ee.set(le,v.Event.buffer(B[le],!0,void 0,re));return new class{listen(le,he,ce){const de=Ee.get(he);if(de)return de;if(ee(he)){const H=B[he];if(typeof H=="function")return H.call(B,ce)}throw new w.$bb(`Event not found: ${he}`)}call(le,he,ce){const de=B[he];if(typeof de=="function"){if(!se&&Array.isArray(ce))for(let x=0;x<ce.length;x++)ce[x]=(0,M.$Nh)(ce[x]);let H=de.apply(B,ce);return H instanceof Promise||(H=Promise.resolve(H)),H}throw new w.$bb(`Method not found: ${he}`)}}}_.fromService=X;function Y(fe,re){const J=re&&re.disableMarshalling;return new Proxy({},{get(B,se){if(typeof se=="string")return re?.properties?.has(se)?re.properties.get(se):ee(se)?function(Ee){return fe.listen(se,Ee)}:ae(se)?fe.listen(se):async function(...Ee){let le;re&&!(0,b.$2f)(re.context)?le=[re.context,...Ee]:le=Ee;const he=await fe.call(se,le);return J?he:(0,M.$Nh)(he)};throw new w.$bb(`Property not found: ${String(se)}`)}})}_.toService=Y;function ae(fe){return fe[0]==="o"&&fe[1]==="n"&&C.$if(fe.charCodeAt(2))}function ee(fe){return/^onDynamic/.test(fe)&&C.$if(fe.charCodeAt(9))}})(T||(e.ProxyChannel=T={}));const P=[["#2977B1","#FC802D","#34A13A","#D3282F","#9366BA"],["#8B564C","#E177C0","#7F7F7F","#BBBE3D","#2EBECD"]];function O(_){if(Array.isArray(_))return _;if(_&&typeof _=="object"&&typeof _.toString=="function"){const X=_.toString();if(X!=="[object Object]")return X}return _}function j(_){return Array.isArray(_)?_.map(O):O(_)}function K(_,X,Y,ae,ee,fe,re){re=j(re);const J=P[ee],B=J[ae%J.length];let se=[`%c[${_}]%c[${String(X).padStart(7," ")}]%c[len: ${String(Y).padStart(5," ")}]%c${String(ae).padStart(5," ")} - ${fe}`,"color: darkgreen","color: grey","color: grey",`color: ${B}`];/\($/.test(fe)?(se=se.concat(re),se.push(")")):se.push(re),console.log.apply(console,se)}class ie{constructor(X,Y){this.d=X,this.f=Y,this.a=0,this.b=0}logOutgoing(X,Y,ae,ee,fe){this.b+=X,K(this.d,this.b,X,Y,ae,ee,fe)}logIncoming(X,Y,ae,ee,fe){this.a+=X,K(this.f,this.a,X,Y,ae,ee,fe)}}e.$Zh=ie}),define(Se[82],De([1,0,21,4,3,81]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5h=e.$4h=e.$3h=e.$2h=e.ProtocolConstants=e.$1h=e.SocketCloseEventType=e.SocketDiagnostics=e.SocketDiagnosticsEventType=void 0;var R;(function(s){s.Created="created",s.Read="read",s.Write="write",s.Open="open",s.Error="error",s.Close="close",s.BrowserWebSocketBlobReceived="browserWebSocketBlobReceived",s.NodeEndReceived="nodeEndReceived",s.NodeEndSent="nodeEndSent",s.NodeDrainBegin="nodeDrainBegin",s.NodeDrainEnd="nodeDrainEnd",s.zlibInflateError="zlibInflateError",s.zlibInflateData="zlibInflateData",s.zlibInflateInitialWrite="zlibInflateInitialWrite",s.zlibInflateInitialFlushFired="zlibInflateInitialFlushFired",s.zlibInflateWrite="zlibInflateWrite",s.zlibInflateFlushFired="zlibInflateFlushFired",s.zlibDeflateError="zlibDeflateError",s.zlibDeflateData="zlibDeflateData",s.zlibDeflateWrite="zlibDeflateWrite",s.zlibDeflateFlushFired="zlibDeflateFlushFired",s.WebSocketNodeSocketWrite="webSocketNodeSocketWrite",s.WebSocketNodeSocketPeekedHeader="webSocketNodeSocketPeekedHeader",s.WebSocketNodeSocketReadHeader="webSocketNodeSocketReadHeader",s.WebSocketNodeSocketReadData="webSocketNodeSocketReadData",s.WebSocketNodeSocketUnmaskedData="webSocketNodeSocketUnmaskedData",s.WebSocketNodeSocketDrainBegin="webSocketNodeSocketDrainBegin",s.WebSocketNodeSocketDrainEnd="webSocketNodeSocketDrainEnd",s.ProtocolHeaderRead="protocolHeaderRead",s.ProtocolMessageRead="protocolMessageRead",s.ProtocolHeaderWrite="protocolHeaderWrite",s.ProtocolMessageWrite="protocolMessageWrite",s.ProtocolWrite="protocolWrite"})(R||(e.SocketDiagnosticsEventType=R={}));var w;(function(s){s.enableDiagnostics=!1,s.records=[];const c=new WeakMap;let h=0;function m(g,f){if(!c.has(g)){const y=String(++h);c.set(g,y)}return c.get(g)}function D(g,f,y,A){if(!s.enableDiagnostics)return;const N=m(g,f);if(A instanceof I.$se||A instanceof Uint8Array||A instanceof ArrayBuffer||ArrayBuffer.isView(A)){const U=I.$se.alloc(A.byteLength);U.set(A),s.records.push({timestamp:Date.now(),id:N,label:f,type:y,buff:U})}else s.records.push({timestamp:Date.now(),id:N,label:f,type:y,data:A})}s.traceSocketEvent=D})(w||(e.SocketDiagnostics=w={}));var v;(function(s){s[s.NodeSocketCloseEvent=0]="NodeSocketCloseEvent",s[s.WebSocketCloseEvent=1]="WebSocketCloseEvent"})(v||(e.SocketCloseEventType=v={}));let S=null;function M(){return S||(S=I.$se.alloc(0)),S}class C{get byteLength(){return this.b}constructor(){this.a=[],this.b=0}acceptChunk(c){this.a.push(c),this.b+=c.byteLength}read(c){return this.c(c,!0)}peek(c){return this.c(c,!1)}c(c,h){if(c===0)return M();if(c>this.b)throw new Error("Cannot read so many bytes!");if(this.a[0].byteLength===c){const f=this.a[0];return h&&(this.a.shift(),this.b-=c),f}if(this.a[0].byteLength>c){const f=this.a[0].slice(0,c);return h&&(this.a[0]=this.a[0].slice(c),this.b-=c),f}const m=I.$se.alloc(c);let D=0,g=0;for(;c>0;){const f=this.a[g];if(f.byteLength>c){const y=f.slice(0,c);m.set(y,D),D+=c,h&&(this.a[g]=f.slice(c),this.b-=c),c-=c}else m.set(f,D),D+=f.byteLength,h?(this.a.shift(),this.b-=f.byteLength):g++,c-=f.byteLength}return m}}e.$1h=C;var b;(function(s){s[s.None=0]="None",s[s.Regular=1]="Regular",s[s.Control=2]="Control",s[s.Ack=3]="Ack",s[s.Disconnect=5]="Disconnect",s[s.ReplayRequest=6]="ReplayRequest",s[s.Pause=7]="Pause",s[s.Resume=8]="Resume",s[s.KeepAlive=9]="KeepAlive"})(b||(b={}));function E(s){switch(s){case 0:return"None";case 1:return"Regular";case 2:return"Control";case 3:return"Ack";case 5:return"Disconnect";case 6:return"ReplayRequest";case 7:return"PauseWriting";case 8:return"ResumeWriting";case 9:return"KeepAlive"}}var k;(function(s){s[s.HeaderLength=13]="HeaderLength",s[s.AcknowledgeTime=2e3]="AcknowledgeTime",s[s.TimeoutTime=2e4]="TimeoutTime",s[s.ReconnectionGraceTime=108e5]="ReconnectionGraceTime",s[s.ReconnectionShortGraceTime=3e5]="ReconnectionShortGraceTime",s[s.KeepAliveSendTime=5e3]="KeepAliveSendTime"})(k||(e.ProtocolConstants=k={}));class l{constructor(c,h,m,D){this.type=c,this.id=h,this.ack=m,this.data=D,this.writtenTime=0}get size(){return this.data.byteLength}}class p extends $.$Tc{constructor(c){super(),this.f=this.B(new F.$5d),this.onMessage=this.f.event,this.g={readHead:!0,readLen:13,messageType:0,id:0,ack:0},this.a=c,this.b=!1,this.c=new C,this.B(this.a.onData(h=>this.acceptChunk(h))),this.lastReadTime=Date.now()}acceptChunk(c){if(!(!c||c.byteLength===0))for(this.lastReadTime=Date.now(),this.c.acceptChunk(c);this.c.byteLength>=this.g.readLen;){const h=this.c.read(this.g.readLen);if(this.g.readHead)this.g.readHead=!1,this.g.readLen=h.readUInt32BE(9),this.g.messageType=h.readUInt8(0),this.g.id=h.readUInt32BE(1),this.g.ack=h.readUInt32BE(5),this.a.traceSocketEvent("protocolHeaderRead",{messageType:E(this.g.messageType),id:this.g.id,ack:this.g.ack,messageSize:this.g.readLen});else{const m=this.g.messageType,D=this.g.id,g=this.g.ack;if(this.g.readHead=!0,this.g.readLen=13,this.g.messageType=0,this.g.id=0,this.g.ack=0,this.a.traceSocketEvent("protocolMessageRead",h),this.f.fire(new l(m,D,g,h)),this.b)break}}}readEntireBuffer(){return this.c.read(this.c.byteLength)}dispose(){this.b=!0,super.dispose()}}class o{constructor(c){this.k=null,this.a=!1,this.b=!1,this.c=c,this.d=[],this.f=0,this.lastWriteTime=0}dispose(){try{this.flush()}catch{}this.a=!0}drain(){return this.flush(),this.c.drain()}flush(){this.m()}pause(){this.b=!0}resume(){this.b=!1,this.l()}write(c){if(this.a)return;c.writtenTime=Date.now(),this.lastWriteTime=Date.now();const h=I.$se.alloc(13);h.writeUInt8(c.type,0),h.writeUInt32BE(c.id,1),h.writeUInt32BE(c.ack,5),h.writeUInt32BE(c.data.byteLength,9),this.c.traceSocketEvent("protocolHeaderWrite",{messageType:E(c.type),id:c.id,ack:c.ack,messageSize:c.data.byteLength}),this.c.traceSocketEvent("protocolMessageWrite",c.data),this.j(h,c.data)}g(c,h){const m=this.f===0;return this.d.push(c,h),this.f+=c.byteLength+h.byteLength,m}h(){const c=I.$se.concat(this.d,this.f);return this.d.length=0,this.f=0,c}j(c,h){this.g(c,h)&&this.l()}l(){this.k||(this.k=setTimeout(()=>{this.k=null,this.m()}))}m(){if(this.f===0||this.b)return;const c=this.h();this.c.traceSocketEvent("protocolWrite",{byteLength:c.byteLength}),this.c.write(c)}}class i extends $.$Tc{constructor(c){super(),this.f=new F.$5d,this.onMessage=this.f.event,this.g=new F.$5d,this.onDidDispose=this.g.event,this.a=c,this.b=this.B(new o(this.a)),this.c=this.B(new p(this.a)),this.B(this.c.onMessage(h=>{h.type===1&&this.f.fire(h.data)})),this.B(this.a.onClose(()=>this.g.fire()))}drain(){return this.b.drain()}getSocket(){return this.a}sendDisconnect(){}send(c){this.b.write(new l(1,0,0,c))}}e.$2h=i;class n extends L.$Vh{static fromSocket(c,h){return new n(new i(c),h)}get onDidDispose(){return this.b.onDidDispose}constructor(c,h,m=null){super(c,h,m),this.b=c}dispose(){super.dispose();const c=this.b.getSocket();this.b.sendDisconnect(),this.b.dispose(),c.end()}}e.$3h=n;class r{constructor(){this.b=!1,this.c=!1,this.d=[],this.a=new F.$5d({onWillAddFirstListener:()=>{this.b=!0,queueMicrotask(()=>this.f())},onDidRemoveLastListener:()=>{this.b=!1}}),this.event=this.a.event}f(){if(!this.c){for(this.c=!0;this.b&&this.d.length>0;)this.a.fire(this.d.shift());this.c=!1}}fire(c){this.b?this.d.length>0?this.d.push(c):this.a.fire(c):this.d.push(c)}flushBuffer(){this.d=[]}}e.$4h=r;class a{constructor(c){this.data=c,this.next=null}}class t{constructor(){this.a=null,this.b=null}length(){let c=0,h=this.a;for(;h;)h=h.next,c++;return c}peek(){return this.a?this.a.data:null}toArray(){const c=[];let h=0,m=this.a;for(;m;)c[h++]=m.data,m=m.next;return c}pop(){if(this.a){if(this.a===this.b){this.a=null,this.b=null;return}this.a=this.a.next}}push(c){const h=new a(c);if(!this.a){this.a=h,this.b=h;return}this.b.next=h,this.b=h}}class d{static{this.a=10}static{this.b=null}static getInstance(){return d.b||(d.b=new d),d.b}constructor(){this.c=[];const c=Date.now();for(let h=0;h<d.a;h++)this.c[h]=c-1e3*h;setInterval(()=>{for(let h=d.a;h>=1;h--)this.c[h]=this.c[h-1];this.c[0]=Date.now()},1e3)}d(){const c=Date.now(),h=(1+d.a)*1e3;let m=0;for(let D=0;D<d.a;D++)c-this.c[D]<=h&&m++;return 1-m/d.a}hasHighLoad(){return this.d()>=.5}}class u{get unacknowledgedCount(){return this.c-this.d}constructor(c){this.u=new r,this.onControlMessage=this.u.event,this.v=new r,this.onMessage=this.v.event,this.w=new r,this.onDidDispose=this.w.event,this.x=new r,this.onSocketClose=this.x.event,this.y=new r,this.onSocketTimeout=this.y.event,this.s=c.loadEstimator??d.getInstance(),this.t=c.sendKeepAlive??!0,this.a=!1,this.b=new t,this.c=0,this.d=0,this.f=null,this.g=0,this.h=0,this.j=0,this.k=null,this.m=0,this.n=Date.now(),this.r=new $.$Sc,this.o=c.socket,this.p=this.r.add(new o(this.o)),this.q=this.r.add(new p(this.o)),this.r.add(this.q.onMessage(h=>this.z(h))),this.r.add(this.o.onClose(h=>this.x.fire(h))),c.initialChunk&&this.q.acceptChunk(c.initialChunk),this.t?this.l=setInterval(()=>{this.D()},5e3):this.l=null}dispose(){this.f&&(clearTimeout(this.f),this.f=null),this.k&&(clearTimeout(this.k),this.k=null),this.l&&(clearInterval(this.l),this.l=null),this.r.dispose()}drain(){return this.p.drain()}sendDisconnect(){const c=new l(5,0,0,M());this.p.write(c),this.p.flush()}sendPause(){const c=new l(7,0,0,M());this.p.write(c)}sendResume(){const c=new l(8,0,0,M());this.p.write(c)}pauseSocketWriting(){this.p.pause()}getSocket(){return this.o}getMillisSinceLastIncomingData(){return Date.now()-this.q.lastReadTime}beginAcceptReconnection(c,h){this.a=!0,this.r.dispose(),this.r=new $.$Sc,this.u.flushBuffer(),this.x.flushBuffer(),this.y.flushBuffer(),this.o.dispose(),this.m=0,this.n=Date.now(),this.o=c,this.p=this.r.add(new o(this.o)),this.q=this.r.add(new p(this.o)),this.r.add(this.q.onMessage(m=>this.z(m))),this.r.add(this.o.onClose(m=>this.x.fire(m))),this.q.acceptChunk(h)}endAcceptReconnection(){this.a=!1,this.h=this.g;const c=new l(3,0,this.h,M());this.p.write(c);const h=this.b.toArray();for(let m=0,D=h.length;m<D;m++)this.p.write(h[m]);this.B()}acceptDisconnect(){this.w.fire()}z(c){if(c.ack>this.d){this.d=c.ack;do{const h=this.b.peek();if(h&&h.id<=c.ack)this.b.pop();else break}while(!0)}switch(c.type){case 0:break;case 1:{if(c.id>this.g)if(c.id!==this.g+1){const h=Date.now();h-this.m>1e4&&(this.m=h,this.p.write(new l(6,0,0,M())))}else this.g=c.id,this.j=Date.now(),this.A(),this.v.fire(c.data);break}case 2:{this.u.fire(c.data);break}case 3:break;case 5:{this.w.fire();break}case 6:{const h=this.b.toArray();for(let m=0,D=h.length;m<D;m++)this.p.write(h[m]);this.B();break}case 7:{this.p.pause();break}case 8:{this.p.resume();break}case 9:break}}readEntireBuffer(){return this.q.readEntireBuffer()}flush(){this.p.flush()}send(c){const h=++this.c;this.h=this.g;const m=new l(1,h,this.h,c);this.b.push(m),this.a||(this.p.write(m),this.B())}sendControl(c){const h=new l(2,0,0,c);this.p.write(h)}A(){if(this.g<=this.h||this.k)return;const c=Date.now()-this.j;if(c>=2e3){this.C();return}this.k=setTimeout(()=>{this.k=null,this.A()},2e3-c+5)}B(){if(this.c<=this.d||this.f||this.a)return;const c=this.b.peek(),h=Date.now()-c.writtenTime,m=Date.now()-this.q.lastReadTime,D=Date.now()-this.n;if(h>=2e4&&m>=2e4&&D>=2e4&&!this.s.hasHighLoad()){this.n=Date.now(),this.y.fire({unacknowledgedMsgCount:this.b.length(),timeSinceOldestUnacknowledgedMsg:h,timeSinceLastReceivedSomeData:m});return}const g=Math.max(2e4-h,2e4-m,2e4-D,500);this.f=setTimeout(()=>{this.f=null,this.B()},g)}C(){if(this.g<=this.h)return;this.h=this.g;const c=new l(3,0,this.h,M());this.p.write(c)}D(){this.h=this.g;const c=new l(9,0,this.h,M());this.p.write(c)}}e.$5h=u}),define(Se[188],De([1,0,51,8,21,22,186,14,4,3,24,104,101,81]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cq=e.$Bq=void 0;class k extends E.$Sh{constructor(o){super({send:i=>{try{process.send?.(i.buffer.toString("base64"))}catch{}},onMessage:v.Event.fromNodeEventEmitter(process,"message",i=>$.$se.wrap(Buffer.from(i,"base64")))},o),process.once("disconnect",()=>this.dispose())}}e.$Bq=k;class l{constructor(o,i){this.i=o,this.j=i,this.c=new Set,this.g=new Map,this.h=new v.$5d,this.onDidProcessExit=this.h.event;const n=i&&i.timeout?i.timeout:6e4;this.b=new F.$bh(n),this.d=null,this.f=null}getChannel(o){const i=this;return{call(n,r,a){return i.k(o,n,r,a)},listen(n,r){return i.l(o,n,r)}}}k(o,i,n,r=L.CancellationToken.None){if(!this.b)return Promise.reject(new Error("disposed"));if(r.isCancellationRequested)return Promise.reject(w.$6());this.b.cancel();const a=this.n(o),t=(0,F.$4g)(s=>a.call(i,n,s)),d=r.onCancellationRequested(()=>t.cancel()),u=(0,S.$Rc)(()=>t.cancel());return this.c.add(u),t.finally(()=>{d.dispose(),this.c.delete(u),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}),t}l(o,i,n){if(!this.b)return v.Event.None;this.b.cancel();let r;const a=new v.$5d({onWillAddFirstListener:()=>{r=this.n(o).listen(i,n)(a.fire,a),this.c.add(r)},onDidRemoveLastListener:()=>{this.c.delete(r),r.dispose(),this.c.size===0&&this.b&&this.b.trigger(()=>this.o())}});return a.event}get m(){if(!this.f){const o=this.j&&this.j.args?this.j.args:[],i=Object.create(null);i.env={...(0,M.$Hn)(process.env),VSCODE_PARENT_PID:String(process.pid)},this.j&&this.j.env&&(i.env={...i.env,...this.j.env}),this.j&&this.j.freshExecArgv&&(i.execArgv=[]),this.j&&typeof this.j.debug=="number"&&(i.execArgv=["--nolazy","--inspect="+this.j.debug]),this.j&&typeof this.j.debugBrk=="number"&&(i.execArgv=["--nolazy","--inspect-brk="+this.j.debugBrk]),i.execArgv===void 0&&(i.execArgv=process.execArgv.filter(c=>!/^--inspect(-brk)?=/.test(c)).filter(c=>!c.startsWith("--vscode-"))),(0,b.$4l)(i.env),this.d=(0,I.fork)(this.i,o,i);const n=new v.$5d;v.Event.fromNodeEventEmitter(this.d,"message",c=>c)(c=>{if((0,R.$xq)(c)){(0,R.log)(c,`IPC Library: ${this.j.serverName}`);return}n.fire($.$se.wrap(Buffer.from(c,"base64")))});const a=this.j.useQueue?(0,C.$6l)(this.d):this.d,t=c=>this.d&&this.d.connected&&a.send(c.buffer.toString("base64")),d=n.event,u={send:t,onMessage:d};this.f=new E.$Th(u);const s=()=>this.o();process.once("exit",s),this.d.on("error",c=>console.warn('IPC "'+this.j.serverName+'" errored with '+c)),this.d.on("exit",(c,h)=>{process.removeListener("exit",s),this.c.forEach(m=>(0,S.$Oc)(m)),this.c.clear(),c!==0&&h!=="SIGTERM"&&console.warn('IPC "'+this.j.serverName+'" crashed with exit code '+c+" and signal "+h),this.b?.cancel(),this.o(),this.h.fire({code:c,signal:h})})}return this.f}n(o){let i=this.g.get(o);return i||(i=this.m.getChannel(o),this.g.set(o,i)),i}o(){this.f&&(this.d&&(this.d.kill(),this.d=null),this.f=null,this.g.clear())}dispose(){this.h.dispose(),this.b?.cancel(),this.b=void 0,this.o(),this.c.clear()}}e.$Cq=l}),define(Se[189],De([1,0,8,4,3,56,18]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Cp=e.$Bp=e.StorageState=e.$Ap=e.StorageHint=void 0;var w;(function(b){b[b.STORAGE_DOES_NOT_EXIST=0]="STORAGE_DOES_NOT_EXIST",b[b.STORAGE_IN_MEMORY=1]="STORAGE_IN_MEMORY"})(w||(e.StorageHint=w={}));function v(b){const E=b;return E?.changed instanceof Map||E?.deleted instanceof Set}e.$Ap=v;var S;(function(b){b[b.None=0]="None",b[b.Initialized=1]="Initialized",b[b.Closed=2]="Closed"})(S||(e.StorageState=S={}));class M extends $.$Tc{static{this.a=100}constructor(E,k=Object.create(null)){super(),this.r=E,this.s=k,this.b=this.B(new F.$8d),this.onDidChangeStorage=this.b.event,this.c=S.None,this.f=new Map,this.g=this.B(new I.$ch(M.a)),this.h=new Set,this.j=new Map,this.m=void 0,this.n=[],this.t()}t(){this.B(this.r.onDidChangeItemsExternal(E=>this.u(E)))}u(E){this.b.pause();try{E.changed?.forEach((k,l)=>this.w(l,k)),E.deleted?.forEach(k=>this.w(k,void 0))}finally{this.b.resume()}}w(E,k){if(this.c===S.Closed)return;let l=!1;(0,R.$2f)(k)?l=this.f.delete(E):this.f.get(E)!==k&&(this.f.set(E,k),l=!0),l&&this.b.fire({key:E,external:!0})}get items(){return this.f}get size(){return this.f.size}async init(){this.c===S.None&&(this.c=S.Initialized,this.s.hint!==w.STORAGE_DOES_NOT_EXIST&&(this.f=await this.r.getItems()))}get(E,k){const l=this.f.get(E);return(0,R.$2f)(l)?k:l}getBoolean(E,k){const l=this.get(E);return(0,R.$2f)(l)?k:l==="true"}getNumber(E,k){const l=this.get(E);return(0,R.$2f)(l)?k:parseInt(l,10)}getObject(E,k){const l=this.get(E);return(0,R.$2f)(l)?k:(0,L.$Mh)(l)}async set(E,k,l=!1){if(this.c===S.Closed)return;if((0,R.$2f)(k))return this.delete(E,l);const p=(0,R.$Uf)(k)||Array.isArray(k)?(0,L.$Lh)(k):String(k);if(this.f.get(E)!==p)return this.f.set(E,p),this.j.set(E,p),this.h.delete(E),this.b.fire({key:E,external:l}),this.D()}async delete(E,k=!1){if(!(this.c===S.Closed||!this.f.delete(E)))return this.h.has(E)||this.h.add(E),this.j.delete(E),this.b.fire({key:E,external:k}),this.D()}async optimize(){if(this.c!==S.Closed)return await this.flush(0),this.r.optimize()}async close(){return this.m||(this.m=this.y()),this.m}async y(){this.c=S.Closed;try{await this.D(0)}catch{}await this.r.close(()=>this.f)}get z(){return this.j.size>0||this.h.size>0}async C(){if(!this.z)return;const E={insert:this.j,delete:this.h};return this.h=new Set,this.j=new Map,this.r.updateItems(E).finally(()=>{if(!this.z)for(;this.n.length;)this.n.pop()?.()})}async flush(E){if(this.z)return this.D(E)}async D(E){return this.s.hint===w.STORAGE_IN_MEMORY?this.C():this.g.trigger(()=>this.C(),E)}async whenFlushed(){if(this.z)return new Promise(E=>this.n.push(E))}isInMemory(){return this.s.hint===w.STORAGE_IN_MEMORY}}e.$Bp=M;class C{constructor(){this.onDidChangeItemsExternal=F.Event.None,this.a=new Map}async getItems(){return this.a}async updateItems(E){E.insert?.forEach((k,l)=>this.a.set(l,k)),E.delete?.forEach(k=>this.a.delete(k))}async optimize(){}async close(){}}e.$Cp=C}),define(Se[190],De([1,0,12,11,21]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nt=e.$mt=e.$lt=void 0;let L;function R(){return L||(L=new TextDecoder("UTF-16LE")),L}let w;function v(){return w||(w=new TextDecoder("UTF-16BE")),w}let S;function M(){return S||(S=F.$D()?R():v()),S}e.$lt=M;function C(k,l,p){const o=new Uint16Array(k.buffer,l,p);return p>0&&(o[0]===65279||o[0]===65534)?b(k,l,p):R().decode(o)}e.$mt=C;function b(k,l,p){const o=[];let i=0;for(let n=0;n<p;n++){const r=$.$ue(k,l);l+=2,o[i++]=String.fromCharCode(r)}return o.join("")}class E{constructor(l){this.a=l|0,this.b=new Uint16Array(this.a),this.c=null,this.d=0}reset(){this.c=null,this.d=0}build(){return this.c!==null?(this.f(),this.c.join("")):this.e()}e(){if(this.d===0)return"";const l=new Uint16Array(this.b.buffer,0,this.d);return M().decode(l)}f(){const l=this.e();this.d=0,this.c===null?this.c=[l]:this.c[this.c.length]=l}appendCharCode(l){const p=this.a-this.d;p<=1&&(p===0||I.$nf(l))&&this.f(),this.b[this.d++]=l}appendASCIICharCode(l){this.d===this.a&&this.f(),this.b[this.d++]=l}appendString(l){const p=l.length;if(this.d+p>=this.a){this.f(),this.c[this.c.length]=l;return}for(let o=0;o<p;o++)this.b[this.d++]=l.charCodeAt(o)}}e.$nt=E}),define(Se[191],De([1,0,21,190]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pt=e.$ot=void 0;function $(v){return v.replace(/\n/g,"\\n").replace(/\r/g,"\\r")}class L{get oldLength(){return this.oldText.length}get oldEnd(){return this.oldPosition+this.oldText.length}get newLength(){return this.newText.length}get newEnd(){return this.newPosition+this.newText.length}constructor(S,M,C,b){this.oldPosition=S,this.oldText=M,this.newPosition=C,this.newText=b}toString(){return this.oldText.length===0?`(insert@${this.oldPosition} "${$(this.newText)}")`:this.newText.length===0?`(delete@${this.oldPosition} "${$(this.oldText)}")`:`(replace@${this.oldPosition} "${$(this.oldText)}" with "${$(this.newText)}")`}static a(S){return 4+2*S.length}static c(S,M,C){const b=M.length;I.$xe(S,b,C),C+=4;for(let E=0;E<b;E++)I.$ve(S,M.charCodeAt(E),C),C+=2;return C}static d(S,M){const C=I.$we(S,M);return M+=4,(0,F.$mt)(S,M,C)}writeSize(){return 8+L.a(this.oldText)+L.a(this.newText)}write(S,M){return I.$xe(S,this.oldPosition,M),M+=4,I.$xe(S,this.newPosition,M),M+=4,M=L.c(S,this.oldText,M),M=L.c(S,this.newText,M),M}static read(S,M,C){const b=I.$we(S,M);M+=4;const E=I.$we(S,M);M+=4;const k=L.d(S,M);M+=L.a(k);const l=L.d(S,M);return M+=L.a(l),C.push(new L(b,k,E,l)),M}}e.$ot=L;function R(v,S){return v===null||v.length===0?S:new w(v,S).compress()}e.$pt=R;class w{constructor(S,M){this.a=S,this.c=M,this.d=[],this.e=0,this.f=this.a.length,this.g=0,this.h=this.c.length,this.j=0}compress(){let S=0,M=0,C=this.n(S),b=this.l(M);for(;S<this.f||M<this.h;){if(C===null){this.k(b),b=this.l(++M);continue}if(b===null){this.m(C),C=this.n(++S);continue}if(b.oldEnd<=C.newPosition){this.k(b),b=this.l(++M);continue}if(C.newEnd<=b.oldPosition){this.m(C),C=this.n(++S);continue}if(b.oldPosition<C.newPosition){const[o,i]=w.r(b,C.newPosition-b.oldPosition);this.k(o),b=i;continue}if(C.newPosition<b.oldPosition){const[o,i]=w.q(C,b.oldPosition-C.newPosition);this.m(o),C=i;continue}let l,p;if(b.oldEnd===C.newEnd)l=C,p=b,C=this.n(++S),b=this.l(++M);else if(b.oldEnd<C.newEnd){const[o,i]=w.q(C,b.oldLength);l=o,p=b,C=i,b=this.l(++M)}else{const[o,i]=w.r(b,C.newLength);l=C,p=o,C=this.n(++S),b=i}this.d[this.e++]=new L(l.oldPosition,l.oldText,p.newPosition,p.newText),this.g+=l.newLength-l.oldLength,this.j+=p.newLength-p.oldLength}const E=w.s(this.d);return w.t(E)}k(S){this.d[this.e++]=w.o(this.g,S),this.j+=S.newLength-S.oldLength}l(S){return S<this.h?this.c[S]:null}m(S){this.d[this.e++]=w.p(this.j,S),this.g+=S.newLength-S.oldLength}n(S){return S<this.f?this.a[S]:null}static o(S,M){return new L(M.oldPosition-S,M.oldText,M.newPosition,M.newText)}static p(S,M){return new L(M.oldPosition,M.oldText,M.newPosition+S,M.newText)}static q(S,M){const C=S.newText.substr(0,M),b=S.newText.substr(M);return[new L(S.oldPosition,S.oldText,S.newPosition,C),new L(S.oldEnd,"",S.newPosition+M,b)]}static r(S,M){const C=S.oldText.substr(0,M),b=S.oldText.substr(M);return[new L(S.oldPosition,C,S.newPosition,S.newText),new L(S.oldPosition+M,b,S.newEnd,"")]}static s(S){if(S.length===0)return S;const M=[];let C=0,b=S[0];for(let E=1;E<S.length;E++){const k=S[E];b.oldEnd===k.oldPosition?b=new L(b.oldPosition,b.oldText+k.oldText,b.newPosition,b.newText+k.newText):(M[C++]=b,b=k)}return M[C++]=b,M}static t(S){if(S.length===0)return S;const M=[];let C=0;for(let b=0;b<S.length;b++){const E=S[b];E.oldText!==E.newText&&(M[C++]=E)}return M}}}),define(Se[192],De([1,0,35,17]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nt=e.$Mt=void 0;function $(R,w,v,S,M,C){if(Array.isArray(R)){let b=0;for(const E of R){const k=$(E,w,v,S,M,C);if(k===10)return k;k>b&&(b=k)}return b}else{if(typeof R=="string")return S?R==="*"?5:R===v?10:0:0;if(R){const{language:b,pattern:E,scheme:k,hasAccessToAllModels:l,notebookType:p}=R;if(!S&&!l)return 0;p&&M&&(w=M);let o=0;if(k)if(k===w.scheme)o=10;else if(k==="*")o=5;else return 0;if(b)if(b===v)o=10;else if(b==="*")o=Math.max(o,5);else return 0;if(p)if(p===C)o=10;else if(p==="*"&&C!==void 0)o=Math.max(o,5);else return 0;if(E){let i;if(typeof E=="string"?i=E:i={...E,base:(0,F.$hc)(E.base)},i===w.fsPath||(0,I.$Wj)(i,w.fsPath))o=10;else return 0}return o}else return 0}}e.$Mt=$;function L(R){return typeof R=="string"?!1:Array.isArray(R)?R.some(L):!!R.notebookType}e.$Nt=L}),define(Se[193],De([1,0,4,12,29,79,127,168,191,3]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nC=void 0;class M extends S.$Tc{constructor(b,E,k,l,p,o,i){super(),this.m=this.B(new I.$5d),this.onDidChangeContent=this.m.event,this.f=E,this.j=!o,this.g=l,this.h=p,this.c=new R.$mC(b,k,i)}equals(b){return!(b instanceof M)||this.f!==b.f||this.getEOL()!==b.getEOL()?!1:this.c.equal(b.c)}mightContainRTL(){return this.g}mightContainUnusualLineTerminators(){return this.h}resetMightContainUnusualLineTerminators(){this.h=!1}mightContainNonBasicASCII(){return this.j}getBOM(){return this.f}getEOL(){return this.c.getEOL()}createSnapshot(b){return this.c.createSnapshot(b?this.f:"")}getOffsetAt(b,E){return this.c.getOffsetAt(b,E)}getPositionAt(b){return this.c.getPositionAt(b)}getRangeAt(b,E){const k=b+E,l=this.getPositionAt(b),p=this.getPositionAt(k);return new $.$6s(l.lineNumber,l.column,p.lineNumber,p.column)}getValueInRange(b,E=0){if(b.isEmpty())return"";const k=this.n(E);return this.c.getValueInRange(b,k)}getValueLengthInRange(b,E=0){if(b.isEmpty())return 0;if(b.startLineNumber===b.endLineNumber)return b.endColumn-b.startColumn;const k=this.getOffsetAt(b.startLineNumber,b.startColumn),l=this.getOffsetAt(b.endLineNumber,b.endColumn);let p=0;const o=this.n(E),i=this.getEOL();if(o.length!==i.length){const n=o.length-i.length,r=b.endLineNumber-b.startLineNumber;p=n*r}return l-k+p}getCharacterCountInRange(b,E=0){if(this.j){let k=0;const l=b.startLineNumber,p=b.endLineNumber;for(let o=l;o<=p;o++){const i=this.getLineContent(o),n=o===l?b.startColumn-1:0,r=o===p?b.endColumn-1:i.length;for(let a=n;a<r;a++)F.$nf(i.charCodeAt(a))?(k=k+1,a=a+1):k=k+1}return k+=this.n(E).length*(p-l),k}return this.getValueLengthInRange(b,E)}getLength(){return this.c.getLength()}getLineCount(){return this.c.getLineCount()}getLinesContent(){return this.c.getLinesContent()}getLineContent(b){return this.c.getLineContent(b)}getLineCharCode(b,E){return this.c.getLineCharCode(b,E)}getCharCode(b){return this.c.getCharCode(b)}getLineLength(b){return this.c.getLineLength(b)}getLineMinColumn(b){return 1}getLineMaxColumn(b){return this.getLineLength(b)+1}getLineFirstNonWhitespaceColumn(b){const E=F.$$e(this.getLineContent(b));return E===-1?0:E+1}getLineLastNonWhitespaceColumn(b){const E=F.$af(this.getLineContent(b));return E===-1?0:E+2}n(b){switch(b){case 1:return`
`;case 2:return`\r
`;case 0:return this.getEOL();default:throw new Error("Unknown EOL preference")}}setEOL(b){this.c.setEOL(b)}applyEdits(b,E,k){let l=this.g,p=this.h,o=this.j,i=!0,n=[];for(let c=0;c<b.length;c++){const h=b[c];i&&h._isTracked&&(i=!1);const m=h.range;if(h.text){let A=!0;o||(A=!F.$yf(h.text),o=A),!l&&A&&(l=F.$xf(h.text)),!p&&A&&(p=F.$Af(h.text))}let D="",g=0,f=0,y=0;if(h.text){let A;[g,f,y,A]=(0,w.$Ft)(h.text);const N=this.getEOL();A===0||A===(N===`\r
`?2:1)?D=h.text:D=h.text.replace(/\r\n|\r|\n/g,N)}n[c]={sortIndex:c,identifier:h.identifier||null,range:m,rangeOffset:this.getOffsetAt(m.startLineNumber,m.startColumn),rangeLength:this.getValueLengthInRange(m),text:D,eolCount:g,firstLineLength:f,lastLineLength:y,forceMoveMarkers:!!h.forceMoveMarkers,isAutoWhitespaceEdit:h.isAutoWhitespaceEdit||!1}}n.sort(M.u);let r=!1;for(let c=0,h=n.length-1;c<h;c++){const m=n[c].range.getEndPosition(),D=n[c+1].range.getStartPosition();if(D.isBeforeOrEqual(m)){if(D.isBefore(m))throw new Error("Overlapping ranges are not allowed!");r=!0}}i&&(n=this.s(n));const a=k||E?M._getInverseEditRanges(n):[],t=[];if(E)for(let c=0;c<n.length;c++){const h=n[c],m=a[c];if(h.isAutoWhitespaceEdit&&h.range.isEmpty())for(let D=m.startLineNumber;D<=m.endLineNumber;D++){let g="";D===m.startLineNumber&&(g=this.getLineContent(h.range.startLineNumber),F.$$e(g)!==-1)||t.push({lineNumber:D,oldContent:g})}}let d=null;if(k){let c=0;d=[];for(let h=0;h<n.length;h++){const m=n[h],D=a[h],g=this.getValueInRange(m.range),f=m.rangeOffset+c;c+=m.text.length-g.length,d[h]={sortIndex:m.sortIndex,identifier:m.identifier,range:D,text:g,textChange:new v.$ot(m.rangeOffset,g,f,m.text)}}r||d.sort((h,m)=>h.sortIndex-m.sortIndex)}this.g=l,this.h=p,this.j=o;const u=this.t(n);let s=null;if(E&&t.length>0){t.sort((c,h)=>h.lineNumber-c.lineNumber),s=[];for(let c=0,h=t.length;c<h;c++){const m=t[c].lineNumber;if(c>0&&t[c-1].lineNumber===m)continue;const D=t[c].oldContent,g=this.getLineContent(m);g.length===0||g===D||F.$$e(g)!==-1||s.push(m)}}return this.m.fire(),new L.$qv(d,u,s)}s(b){return b.length<1e3?b:[this._toSingleEditOperation(b)]}_toSingleEditOperation(b){let E=!1;const k=b[0].range,l=b[b.length-1].range,p=new $.$6s(k.startLineNumber,k.startColumn,l.endLineNumber,l.endColumn);let o=k.startLineNumber,i=k.startColumn;const n=[];for(let u=0,s=b.length;u<s;u++){const c=b[u],h=c.range;E=E||c.forceMoveMarkers,n.push(this.getValueInRange(new $.$6s(o,i,h.startLineNumber,h.startColumn))),c.text.length>0&&n.push(c.text),o=h.endLineNumber,i=h.endColumn}const r=n.join(""),[a,t,d]=(0,w.$Ft)(r);return{sortIndex:0,identifier:b[0].identifier,range:p,rangeOffset:this.getOffsetAt(p.startLineNumber,p.startColumn),rangeLength:this.getValueLengthInRange(p,0),text:r,eolCount:a,firstLineLength:t,lastLineLength:d,forceMoveMarkers:E,isAutoWhitespaceEdit:!1}}t(b){b.sort(M.w);const E=[];for(let k=0;k<b.length;k++){const l=b[k],p=l.range.startLineNumber,o=l.range.startColumn,i=l.range.endLineNumber,n=l.range.endColumn;if(p===i&&o===n&&l.text.length===0)continue;l.text?(this.c.delete(l.rangeOffset,l.rangeLength),this.c.insert(l.rangeOffset,l.text,!0)):this.c.delete(l.rangeOffset,l.rangeLength);const r=new $.$6s(p,o,i,n);E.push({range:r,rangeLength:l.rangeLength,text:l.text,rangeOffset:l.rangeOffset,forceMoveMarkers:l.forceMoveMarkers})}return E}findMatchesLineByLine(b,E,k,l){return this.c.findMatchesLineByLine(b,E,k,l)}getPieceTree(){return this.c}static _getInverseEditRange(b,E){const k=b.startLineNumber,l=b.startColumn,[p,o,i]=(0,w.$Ft)(E);let n;if(E.length>0){const r=p+1;r===1?n=new $.$6s(k,l,k,l+o):n=new $.$6s(k,l,k+r-1,i+1)}else n=new $.$6s(k,l,k,l);return n}static _getInverseEditRanges(b){const E=[];let k=0,l=0,p=null;for(let o=0,i=b.length;o<i;o++){const n=b[o];let r,a;p?p.range.endLineNumber===n.range.startLineNumber?(r=k,a=l+(n.range.startColumn-p.range.endColumn)):(r=k+(n.range.startLineNumber-p.range.endLineNumber),a=n.range.startColumn):(r=n.range.startLineNumber,a=n.range.startColumn);let t;if(n.text.length>0){const d=n.eolCount+1;d===1?t=new $.$6s(r,a,r,a+n.firstLineLength):t=new $.$6s(r,a,r+d-1,n.lastLineLength+1)}else t=new $.$6s(r,a,r,a);k=t.endLineNumber,l=t.endColumn,E.push(t),p=n}return E}static u(b,E){const k=$.$6s.compareRangesUsingEnds(b.range,E.range);return k===0?b.sortIndex-E.sortIndex:k}static w(b,E){const k=$.$6s.compareRangesUsingEnds(b.range,E.range);return k===0?E.sortIndex-b.sortIndex:-k}}e.$nC=M}),define(Se[194],De([1,0,12,127,193]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oC=void 0;class L{constructor(v,S,M,C,b,E,k,l,p){this.a=v,this.b=S,this.c=M,this.d=C,this.e=b,this.f=E,this.g=k,this.h=l,this.j=p}k(v){const S=this.c+this.d+this.e,M=this.c+this.e;return S===0?v===1?`
`:`\r
`:M>S/2?`\r
`:`
`}create(v){const S=this.k(v),M=this.a;if(this.j&&(S===`\r
`&&(this.c>0||this.d>0)||S===`
`&&(this.c>0||this.e>0)))for(let b=0,E=M.length;b<E;b++){const k=M[b].buffer.replace(/\r\n|\r|\n/g,S),l=(0,F.$iC)(k);M[b]=new F.$lC(k,l)}const C=new $.$nC(M,this.b,S,this.f,this.g,this.h,this.j);return{textBuffer:C,disposable:C}}getFirstLineText(v){return this.a[0].buffer.substr(0,v).split(/\r\n|\r|\n/)[0]}}class R{constructor(){this.a=[],this.b="",this.c=!1,this.d=0,this.e=[],this.f=0,this.g=0,this.h=0,this.j=!1,this.k=!1,this.l=!0}acceptChunk(v){if(v.length===0)return;this.a.length===0&&I.$Gf(v)&&(this.b=I.$Ff,v=v.substr(1));const S=v.charCodeAt(v.length-1);S===13||S>=55296&&S<=56319?(this.m(v.substr(0,v.length-1),!1),this.c=!0,this.d=S):(this.m(v,!1),this.c=!1,this.d=S)}m(v,S){!S&&v.length===0||(this.c?this.n(String.fromCharCode(this.d)+v):this.n(v))}n(v){const S=(0,F.$jC)(this.e,v);this.a.push(new F.$lC(v,S.lineStarts)),this.f+=S.cr,this.g+=S.lf,this.h+=S.crlf,S.isBasicASCII||(this.l=!1,this.j||(this.j=I.$xf(v)),this.k||(this.k=I.$Af(v)))}finish(v=!0){return this.o(),new L(this.a,this.b,this.f,this.g,this.h,this.j,this.k,this.l,v)}o(){if(this.a.length===0&&this.m("",!0),this.c){this.c=!1;const v=this.a[this.a.length-1];v.buffer+=String.fromCharCode(this.d);const S=(0,F.$iC)(v.buffer);v.lineStarts=S,this.d===13&&this.f++}}}e.$oC=R}),define(Se[131],De([1,0,21,11]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9_=e.$8_=void 0;var $;(function(C){C[C.Full=1]="Full",C[C.Delta=2]="Delta"})($||($={}));function L(C){for(let b=0,E=C.length;b<E;b+=4){const k=C[b+0],l=C[b+1],p=C[b+2],o=C[b+3];C[b+0]=o,C[b+1]=p,C[b+2]=l,C[b+3]=k}}function R(C){const b=new Uint8Array(C.buffer,C.byteOffset,C.length*4);return F.$D()||L(b),I.$se.wrap(b)}function w(C){const b=C.buffer;if(F.$D()||L(b),b.byteOffset%4===0)return new Uint32Array(b.buffer,b.byteOffset,b.length/4);{const E=new Uint8Array(b.byteLength);return E.set(b),new Uint32Array(E.buffer,E.byteOffset,E.length/4)}}function v(C){const b=new Uint32Array(S(C));let E=0;if(b[E++]=C.id,C.type==="full")b[E++]=1,b[E++]=C.data.length,b.set(C.data,E),E+=C.data.length;else{b[E++]=2,b[E++]=C.deltas.length;for(const k of C.deltas)b[E++]=k.start,b[E++]=k.deleteCount,k.data?(b[E++]=k.data.length,b.set(k.data,E),E+=k.data.length):b[E++]=0}return R(b)}e.$8_=v;function S(C){let b=0;if(b+=2,C.type==="full")b+=1+C.data.length;else{b+=1,b+=3*C.deltas.length;for(const E of C.deltas)E.data&&(b+=E.data.length)}return b}function M(C){const b=w(C);let E=0;const k=b[E++];if(b[E++]===1){const i=b[E++],n=b.subarray(E,E+i);return E+=i,{id:k,type:"full",data:n}}const p=b[E++],o=[];for(let i=0;i<p;i++){const n=b[E++],r=b[E++],a=b[E++];let t;a>0&&(t=b.subarray(E,E+a),E+=a),o[i]={start:n,deleteCount:r,data:t}}return{id:k,type:"delta",deltas:o}}e.$9_=M}),define(Se[195],De([9,10]),function(me,e){return me.create("vs/editor/common/config/editorOptions",e)}),define(Se[132],De([1,0,19,24,11,171,126,195]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditorOptions=e.EditorOption=e.editorOptionsRegistry=e.EDITOR_FONT_DEFAULTS=e.WrappingIndent=e.unicodeHighlightConfigKeys=e.inUntrustedWorkspace=e.filterValidationDecorations=e.RenderLineNumbersType=e.ShowLightbulbIconMode=e.EditorLayoutInfoComputer=e.RenderMinimap=e.EditorFontVariations=e.EditorFontLigatures=e.cursorStyleToString=e.TextEditorCursorStyle=e.TextEditorCursorBlinkingStyle=e.stringSet=e.clampedFloat=e.clampedInt=e.boolean=e.ApplyUpdateResult=e.ComputeOptionsMemory=e.ConfigurationChangedEvent=e.MINIMAP_GUTTER_WIDTH=e.EditorAutoIndentStrategy=void 0;var v;(function(ne){ne[ne.None=0]="None",ne[ne.Keep=1]="Keep",ne[ne.Brackets=2]="Brackets",ne[ne.Advanced=3]="Advanced",ne[ne.Full=4]="Full"})(v||(e.EditorAutoIndentStrategy=v={})),e.MINIMAP_GUTTER_WIDTH=8;class S{constructor(oe){this.c=oe}hasChanged(oe){return this.c[oe]}}e.ConfigurationChangedEvent=S;class M{constructor(){this.stableMinimapLayoutInput=null,this.stableFitMaxMinimapScale=0,this.stableFitRemainingWidth=0}}e.ComputeOptionsMemory=M;class C{constructor(oe,Ce,Ke,xe){this.id=oe,this.name=Ce,this.defaultValue=Ke,this.schema=xe}applyUpdate(oe,Ce){return E(oe,Ce)}compute(oe,Ce,Ke){return Ke}}class b{constructor(oe,Ce){this.newValue=oe,this.didChange=Ce}}e.ApplyUpdateResult=b;function E(ne,oe){if(typeof ne!="object"||typeof oe!="object"||!ne||!oe)return new b(oe,ne!==oe);if(Array.isArray(ne)||Array.isArray(oe)){const Ke=Array.isArray(ne)&&Array.isArray(oe)&&I.$ub(ne,oe);return new b(oe,!Ke)}let Ce=!1;for(const Ke in oe)if(oe.hasOwnProperty(Ke)){const xe=E(ne[Ke],oe[Ke]);xe.didChange&&(ne[Ke]=xe.newValue,Ce=!0)}return new b(ne,Ce)}class k{constructor(oe){this.schema=void 0,this.id=oe,this.name="_never_",this.defaultValue=void 0}applyUpdate(oe,Ce){return E(oe,Ce)}validate(oe){return this.defaultValue}}class l{constructor(oe,Ce,Ke,xe){this.id=oe,this.name=Ce,this.defaultValue=Ke,this.schema=xe}applyUpdate(oe,Ce){return E(oe,Ce)}validate(oe){return typeof oe>"u"?this.defaultValue:oe}compute(oe,Ce,Ke){return Ke}}function p(ne,oe){return typeof ne>"u"?oe:ne==="false"?!1:!!ne}e.boolean=p;class o extends l{constructor(oe,Ce,Ke,xe=void 0){typeof xe<"u"&&(xe.type="boolean",xe.default=Ke),super(oe,Ce,Ke,xe)}validate(oe){return p(oe,this.defaultValue)}}function i(ne,oe,Ce,Ke){if(typeof ne>"u")return oe;let xe=parseInt(ne,10);return isNaN(xe)?oe:(xe=Math.max(Ce,xe),xe=Math.min(Ke,xe),xe|0)}e.clampedInt=i;class n extends l{static clampedInt(oe,Ce,Ke,xe){return i(oe,Ce,Ke,xe)}constructor(oe,Ce,Ke,xe,nt,Ne=void 0){typeof Ne<"u"&&(Ne.type="integer",Ne.default=Ke,Ne.minimum=xe,Ne.maximum=nt),super(oe,Ce,Ke,Ne),this.minimum=xe,this.maximum=nt}validate(oe){return n.clampedInt(oe,this.defaultValue,this.minimum,this.maximum)}}function r(ne,oe,Ce,Ke){if(typeof ne>"u")return oe;const xe=a.float(ne,oe);return a.clamp(xe,Ce,Ke)}e.clampedFloat=r;class a extends l{static clamp(oe,Ce,Ke){return oe<Ce?Ce:oe>Ke?Ke:oe}static float(oe,Ce){if(typeof oe=="number")return oe;if(typeof oe>"u")return Ce;const Ke=parseFloat(oe);return isNaN(Ke)?Ce:Ke}constructor(oe,Ce,Ke,xe,nt){typeof nt<"u"&&(nt.type="number",nt.default=Ke),super(oe,Ce,Ke,nt),this.validationFn=xe}validate(oe){return this.validationFn(a.float(oe,this.defaultValue))}}class t extends l{static string(oe,Ce){return typeof oe!="string"?Ce:oe}constructor(oe,Ce,Ke,xe=void 0){typeof xe<"u"&&(xe.type="string",xe.default=Ke),super(oe,Ce,Ke,xe)}validate(oe){return t.string(oe,this.defaultValue)}}function d(ne,oe,Ce,Ke){return typeof ne!="string"?oe:Ke&&ne in Ke?Ke[ne]:Ce.indexOf(ne)===-1?oe:ne}e.stringSet=d;class u extends l{constructor(oe,Ce,Ke,xe,nt=void 0){typeof nt<"u"&&(nt.type="string",nt.enum=xe,nt.default=Ke),super(oe,Ce,Ke,nt),this.c=xe}validate(oe){return d(oe,this.defaultValue,this.c)}}class s extends C{constructor(oe,Ce,Ke,xe,nt,Ne,bt=void 0){typeof bt<"u"&&(bt.type="string",bt.enum=nt,bt.default=xe),super(oe,Ce,Ke,bt),this.c=nt,this.d=Ne}validate(oe){return typeof oe!="string"?this.defaultValue:this.c.indexOf(oe)===-1?this.defaultValue:this.d(oe)}}function c(ne){switch(ne){case"none":return 0;case"keep":return 1;case"brackets":return 2;case"advanced":return 3;case"full":return 4}}class h extends C{constructor(){super(2,"accessibilitySupport",0,{type:"string",enum:["auto","on","off"],enumDescriptions:[w.localize(0,null),w.localize(1,null),w.localize(2,null)],default:"auto",tags:["accessibility"],description:w.localize(3,null)})}validate(oe){switch(oe){case"auto":return 0;case"off":return 1;case"on":return 2}return this.defaultValue}compute(oe,Ce,Ke){return Ke===0?oe.accessibilitySupport:Ke}}class m extends C{constructor(){const oe={insertSpace:!0,ignoreEmptyLines:!0};super(23,"comments",oe,{"editor.comments.insertSpace":{type:"boolean",default:oe.insertSpace,description:w.localize(4,null)},"editor.comments.ignoreEmptyLines":{type:"boolean",default:oe.ignoreEmptyLines,description:w.localize(5,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{insertSpace:p(Ce.insertSpace,this.defaultValue.insertSpace),ignoreEmptyLines:p(Ce.ignoreEmptyLines,this.defaultValue.ignoreEmptyLines)}}}var D;(function(ne){ne[ne.Hidden=0]="Hidden",ne[ne.Blink=1]="Blink",ne[ne.Smooth=2]="Smooth",ne[ne.Phase=3]="Phase",ne[ne.Expand=4]="Expand",ne[ne.Solid=5]="Solid"})(D||(e.TextEditorCursorBlinkingStyle=D={}));function g(ne){switch(ne){case"blink":return 1;case"smooth":return 2;case"phase":return 3;case"expand":return 4;case"solid":return 5}}var f;(function(ne){ne[ne.Line=1]="Line",ne[ne.Block=2]="Block",ne[ne.Underline=3]="Underline",ne[ne.LineThin=4]="LineThin",ne[ne.BlockOutline=5]="BlockOutline",ne[ne.UnderlineThin=6]="UnderlineThin"})(f||(e.TextEditorCursorStyle=f={}));function y(ne){switch(ne){case f.Line:return"line";case f.Block:return"block";case f.Underline:return"underline";case f.LineThin:return"line-thin";case f.BlockOutline:return"block-outline";case f.UnderlineThin:return"underline-thin"}}e.cursorStyleToString=y;function A(ne){switch(ne){case"line":return f.Line;case"block":return f.Block;case"underline":return f.Underline;case"line-thin":return f.LineThin;case"block-outline":return f.BlockOutline;case"underline-thin":return f.UnderlineThin}}class N extends k{constructor(){super(141)}compute(oe,Ce,Ke){const xe=["monaco-editor"];return Ce.get(39)&&xe.push(Ce.get(39)),oe.extraEditorClassName&&xe.push(oe.extraEditorClassName),Ce.get(74)==="default"?xe.push("mouse-default"):Ce.get(74)==="copy"&&xe.push("mouse-copy"),Ce.get(111)&&xe.push("showUnused"),Ce.get(139)&&xe.push("showDeprecated"),xe.join(" ")}}class U extends o{constructor(){super(37,"emptySelectionClipboard",!0,{description:w.localize(6,null)})}compute(oe,Ce,Ke){return Ke&&oe.emptySelectionClipboard}}class z extends C{constructor(){const oe={cursorMoveOnType:!0,seedSearchStringFromSelection:"always",autoFindInSelection:"never",globalFindClipboard:!1,addExtraSpaceOnTop:!0,loop:!0};super(41,"find",oe,{"editor.find.cursorMoveOnType":{type:"boolean",default:oe.cursorMoveOnType,description:w.localize(7,null)},"editor.find.seedSearchStringFromSelection":{type:"string",enum:["never","always","selection"],default:oe.seedSearchStringFromSelection,enumDescriptions:[w.localize(8,null),w.localize(9,null),w.localize(10,null)],description:w.localize(11,null)},"editor.find.autoFindInSelection":{type:"string",enum:["never","always","multiline"],default:oe.autoFindInSelection,enumDescriptions:[w.localize(12,null),w.localize(13,null),w.localize(14,null)],description:w.localize(15,null)},"editor.find.globalFindClipboard":{type:"boolean",default:oe.globalFindClipboard,description:w.localize(16,null),included:$.$j},"editor.find.addExtraSpaceOnTop":{type:"boolean",default:oe.addExtraSpaceOnTop,description:w.localize(17,null)},"editor.find.loop":{type:"boolean",default:oe.loop,description:w.localize(18,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{cursorMoveOnType:p(Ce.cursorMoveOnType,this.defaultValue.cursorMoveOnType),seedSearchStringFromSelection:typeof oe.seedSearchStringFromSelection=="boolean"?oe.seedSearchStringFromSelection?"always":"never":d(Ce.seedSearchStringFromSelection,this.defaultValue.seedSearchStringFromSelection,["never","always","selection"]),autoFindInSelection:typeof oe.autoFindInSelection=="boolean"?oe.autoFindInSelection?"always":"never":d(Ce.autoFindInSelection,this.defaultValue.autoFindInSelection,["never","always","multiline"]),globalFindClipboard:p(Ce.globalFindClipboard,this.defaultValue.globalFindClipboard),addExtraSpaceOnTop:p(Ce.addExtraSpaceOnTop,this.defaultValue.addExtraSpaceOnTop),loop:p(Ce.loop,this.defaultValue.loop)}}}class T extends C{static{this.OFF='"liga" off, "calt" off'}static{this.ON='"liga" on, "calt" on'}constructor(){super(51,"fontLigatures",T.OFF,{anyOf:[{type:"boolean",description:w.localize(19,null)},{type:"string",description:w.localize(20,null)}],description:w.localize(21,null),default:!1})}validate(oe){return typeof oe>"u"?this.defaultValue:typeof oe=="string"?oe==="false"||oe.length===0?T.OFF:oe==="true"?T.ON:oe:oe?T.ON:T.OFF}}e.EditorFontLigatures=T;class P extends C{static{this.OFF="normal"}static{this.TRANSLATE="translate"}constructor(){super(54,"fontVariations",P.OFF,{anyOf:[{type:"boolean",description:w.localize(22,null)},{type:"string",description:w.localize(23,null)}],description:w.localize(24,null),default:!1})}validate(oe){return typeof oe>"u"?this.defaultValue:typeof oe=="string"?oe==="false"?P.OFF:oe==="true"?P.TRANSLATE:oe:oe?P.TRANSLATE:P.OFF}compute(oe,Ce,Ke){return oe.fontInfo.fontVariationSettings}}e.EditorFontVariations=P;class O extends k{constructor(){super(50)}compute(oe,Ce,Ke){return oe.fontInfo}}class j extends l{constructor(){super(52,"fontSize",e.EDITOR_FONT_DEFAULTS.fontSize,{type:"number",minimum:6,maximum:100,default:e.EDITOR_FONT_DEFAULTS.fontSize,description:w.localize(25,null)})}validate(oe){const Ce=a.float(oe,this.defaultValue);return Ce===0?e.EDITOR_FONT_DEFAULTS.fontSize:a.clamp(Ce,6,100)}compute(oe,Ce,Ke){return oe.fontInfo.fontSize}}class K extends C{static{this.c=["normal","bold","100","200","300","400","500","600","700","800","900"]}static{this.d=1}static{this.e=1e3}constructor(){super(53,"fontWeight",e.EDITOR_FONT_DEFAULTS.fontWeight,{anyOf:[{type:"number",minimum:K.d,maximum:K.e,errorMessage:w.localize(26,null)},{type:"string",pattern:"^(normal|bold|1000|[1-9][0-9]{0,2})$"},{enum:K.c}],default:e.EDITOR_FONT_DEFAULTS.fontWeight,description:w.localize(27,null)})}validate(oe){return oe==="normal"||oe==="bold"?oe:String(n.clampedInt(oe,e.EDITOR_FONT_DEFAULTS.fontWeight,K.d,K.e))}}class ie extends C{constructor(){const oe={multiple:"peek",multipleDefinitions:"peek",multipleTypeDefinitions:"peek",multipleDeclarations:"peek",multipleImplementations:"peek",multipleReferences:"peek",alternativeDefinitionCommand:"editor.action.goToReferences",alternativeTypeDefinitionCommand:"editor.action.goToReferences",alternativeDeclarationCommand:"editor.action.goToReferences",alternativeImplementationCommand:"",alternativeReferenceCommand:""},Ce={type:"string",enum:["peek","gotoAndPeek","goto"],default:oe.multiple,enumDescriptions:[w.localize(28,null),w.localize(29,null),w.localize(30,null)]},Ke=["","editor.action.referenceSearch.trigger","editor.action.goToReferences","editor.action.peekImplementation","editor.action.goToImplementation","editor.action.peekTypeDefinition","editor.action.goToTypeDefinition","editor.action.peekDeclaration","editor.action.revealDeclaration","editor.action.peekDefinition","editor.action.revealDefinitionAside","editor.action.revealDefinition"];super(58,"gotoLocation",oe,{"editor.gotoLocation.multiple":{deprecationMessage:w.localize(31,null)},"editor.gotoLocation.multipleDefinitions":{description:w.localize(32,null),...Ce},"editor.gotoLocation.multipleTypeDefinitions":{description:w.localize(33,null),...Ce},"editor.gotoLocation.multipleDeclarations":{description:w.localize(34,null),...Ce},"editor.gotoLocation.multipleImplementations":{description:w.localize(35,null),...Ce},"editor.gotoLocation.multipleReferences":{description:w.localize(36,null),...Ce},"editor.gotoLocation.alternativeDefinitionCommand":{type:"string",default:oe.alternativeDefinitionCommand,enum:Ke,description:w.localize(37,null)},"editor.gotoLocation.alternativeTypeDefinitionCommand":{type:"string",default:oe.alternativeTypeDefinitionCommand,enum:Ke,description:w.localize(38,null)},"editor.gotoLocation.alternativeDeclarationCommand":{type:"string",default:oe.alternativeDeclarationCommand,enum:Ke,description:w.localize(39,null)},"editor.gotoLocation.alternativeImplementationCommand":{type:"string",default:oe.alternativeImplementationCommand,enum:Ke,description:w.localize(40,null)},"editor.gotoLocation.alternativeReferenceCommand":{type:"string",default:oe.alternativeReferenceCommand,enum:Ke,description:w.localize(41,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{multiple:d(Ce.multiple,this.defaultValue.multiple,["peek","gotoAndPeek","goto"]),multipleDefinitions:Ce.multipleDefinitions??d(Ce.multipleDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleTypeDefinitions:Ce.multipleTypeDefinitions??d(Ce.multipleTypeDefinitions,"peek",["peek","gotoAndPeek","goto"]),multipleDeclarations:Ce.multipleDeclarations??d(Ce.multipleDeclarations,"peek",["peek","gotoAndPeek","goto"]),multipleImplementations:Ce.multipleImplementations??d(Ce.multipleImplementations,"peek",["peek","gotoAndPeek","goto"]),multipleReferences:Ce.multipleReferences??d(Ce.multipleReferences,"peek",["peek","gotoAndPeek","goto"]),alternativeDefinitionCommand:t.string(Ce.alternativeDefinitionCommand,this.defaultValue.alternativeDefinitionCommand),alternativeTypeDefinitionCommand:t.string(Ce.alternativeTypeDefinitionCommand,this.defaultValue.alternativeTypeDefinitionCommand),alternativeDeclarationCommand:t.string(Ce.alternativeDeclarationCommand,this.defaultValue.alternativeDeclarationCommand),alternativeImplementationCommand:t.string(Ce.alternativeImplementationCommand,this.defaultValue.alternativeImplementationCommand),alternativeReferenceCommand:t.string(Ce.alternativeReferenceCommand,this.defaultValue.alternativeReferenceCommand)}}}class _ extends C{constructor(){const oe={enabled:!0,delay:300,hidingDelay:300,sticky:!0,above:!0};super(60,"hover",oe,{"editor.hover.enabled":{type:"boolean",default:oe.enabled,description:w.localize(42,null)},"editor.hover.delay":{type:"number",default:oe.delay,minimum:0,maximum:1e4,description:w.localize(43,null)},"editor.hover.sticky":{type:"boolean",default:oe.sticky,description:w.localize(44,null)},"editor.hover.hidingDelay":{type:"integer",minimum:0,default:oe.hidingDelay,description:w.localize(45,null)},"editor.hover.above":{type:"boolean",default:oe.above,description:w.localize(46,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),delay:n.clampedInt(Ce.delay,this.defaultValue.delay,0,1e4),sticky:p(Ce.sticky,this.defaultValue.sticky),hidingDelay:n.clampedInt(Ce.hidingDelay,this.defaultValue.hidingDelay,0,6e5),above:p(Ce.above,this.defaultValue.above)}}}var X;(function(ne){ne[ne.None=0]="None",ne[ne.Text=1]="Text",ne[ne.Blocks=2]="Blocks"})(X||(e.RenderMinimap=X={}));class Y extends k{constructor(){super(144)}compute(oe,Ce,Ke){return Y.computeLayout(Ce,{memory:oe.memory,outerWidth:oe.outerWidth,outerHeight:oe.outerHeight,isDominatedByLongLines:oe.isDominatedByLongLines,lineHeight:oe.fontInfo.lineHeight,viewLineCount:oe.viewLineCount,lineNumbersDigitCount:oe.lineNumbersDigitCount,typicalHalfwidthCharacterWidth:oe.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:oe.fontInfo.maxDigitWidth,pixelRatio:oe.pixelRatio,glyphMarginDecorationLaneCount:oe.glyphMarginDecorationLaneCount})}static computeContainedMinimapLineCount(oe){const Ce=oe.height/oe.lineHeight,Ke=Math.floor(oe.paddingTop/oe.lineHeight);let xe=Math.floor(oe.paddingBottom/oe.lineHeight);oe.scrollBeyondLastLine&&(xe=Math.max(xe,Ce-1));const nt=(Ke+oe.viewLineCount+xe)/(oe.pixelRatio*oe.height),Ne=Math.floor(oe.viewLineCount/nt);return{typicalViewportLineCount:Ce,extraLinesBeforeFirstLine:Ke,extraLinesBeyondLastLine:xe,desiredRatio:nt,minimapLineCount:Ne}}static c(oe,Ce){const Ke=oe.outerWidth,xe=oe.outerHeight,nt=oe.pixelRatio;if(!oe.minimap.enabled)return{renderMinimap:0,minimapLeft:0,minimapWidth:0,minimapHeightIsEditorHeight:!1,minimapIsSampling:!1,minimapScale:1,minimapLineHeight:1,minimapCanvasInnerWidth:0,minimapCanvasInnerHeight:Math.floor(nt*xe),minimapCanvasOuterWidth:0,minimapCanvasOuterHeight:xe};const Ne=Ce.stableMinimapLayoutInput,bt=Ne&&oe.outerHeight===Ne.outerHeight&&oe.lineHeight===Ne.lineHeight&&oe.typicalHalfwidthCharacterWidth===Ne.typicalHalfwidthCharacterWidth&&oe.pixelRatio===Ne.pixelRatio&&oe.scrollBeyondLastLine===Ne.scrollBeyondLastLine&&oe.paddingTop===Ne.paddingTop&&oe.paddingBottom===Ne.paddingBottom&&oe.minimap.enabled===Ne.minimap.enabled&&oe.minimap.side===Ne.minimap.side&&oe.minimap.size===Ne.minimap.size&&oe.minimap.showSlider===Ne.minimap.showSlider&&oe.minimap.renderCharacters===Ne.minimap.renderCharacters&&oe.minimap.maxColumn===Ne.minimap.maxColumn&&oe.minimap.scale===Ne.minimap.scale&&oe.verticalScrollbarWidth===Ne.verticalScrollbarWidth&&oe.isViewportWrapping===Ne.isViewportWrapping,Et=oe.lineHeight,Pt=oe.typicalHalfwidthCharacterWidth,Tt=oe.scrollBeyondLastLine,Xt=oe.minimap.renderCharacters;let It=nt>=2?Math.round(oe.minimap.scale*2):oe.minimap.scale;const Kt=oe.minimap.maxColumn,Jt=oe.minimap.size,xt=oe.minimap.side,ii=oe.verticalScrollbarWidth,et=oe.viewLineCount,zt=oe.remainingWidth,_t=oe.isViewportWrapping,ft=Xt?2:3;let vt=Math.floor(nt*xe);const ei=vt/nt;let qt=!1,Ut=!1,dt=ft*It,Rt=It/nt,ti=1;if(Jt==="fill"||Jt==="fit"){const{typicalViewportLineCount:Nt,extraLinesBeforeFirstLine:At,extraLinesBeyondLastLine:Wt,desiredRatio:ri,minimapLineCount:jt}=Y.computeContainedMinimapLineCount({viewLineCount:et,scrollBeyondLastLine:Tt,paddingTop:oe.paddingTop,paddingBottom:oe.paddingBottom,height:xe,lineHeight:Et,pixelRatio:nt});if(et/jt>1)qt=!0,Ut=!0,It=1,dt=1,Rt=It/nt;else{let Lt=!1,Dt=It+1;if(Jt==="fit"){const $t=Math.ceil((At+et+Wt)*dt);_t&&bt&&zt<=Ce.stableFitRemainingWidth?(Lt=!0,Dt=Ce.stableFitMaxMinimapScale):Lt=$t>vt}if(Jt==="fill"||Lt){qt=!0;const $t=It;dt=Math.min(Et*nt,Math.max(1,Math.floor(1/ri))),_t&&bt&&zt<=Ce.stableFitRemainingWidth&&(Dt=Ce.stableFitMaxMinimapScale),It=Math.min(Dt,Math.max(1,Math.floor(dt/ft))),It>$t&&(ti=Math.min(2,It/$t)),Rt=It/nt/ti,vt=Math.ceil(Math.max(Nt,At+et+Wt)*dt),_t?(Ce.stableMinimapLayoutInput=oe,Ce.stableFitRemainingWidth=zt,Ce.stableFitMaxMinimapScale=It):(Ce.stableMinimapLayoutInput=null,Ce.stableFitRemainingWidth=0)}}}const Yt=Math.floor(Kt*Rt),Ze=Math.min(Yt,Math.max(0,Math.floor((zt-ii-2)*Rt/(Pt+Rt)))+e.MINIMAP_GUTTER_WIDTH);let Ft=Math.floor(nt*Ze);const Bt=Ft/nt;Ft=Math.floor(Ft*ti);const ni=Xt?1:2,mt=xt==="left"?0:Ke-Ze-ii;return{renderMinimap:ni,minimapLeft:mt,minimapWidth:Ze,minimapHeightIsEditorHeight:qt,minimapIsSampling:Ut,minimapScale:It,minimapLineHeight:dt,minimapCanvasInnerWidth:Ft,minimapCanvasInnerHeight:vt,minimapCanvasOuterWidth:Bt,minimapCanvasOuterHeight:ei}}static computeLayout(oe,Ce){const Ke=Ce.outerWidth|0,xe=Ce.outerHeight|0,nt=Ce.lineHeight|0,Ne=Ce.lineNumbersDigitCount|0,bt=Ce.typicalHalfwidthCharacterWidth,Et=Ce.maxDigitWidth,Pt=Ce.pixelRatio,Tt=Ce.viewLineCount,Xt=oe.get(136),It=Xt==="inherit"?oe.get(135):Xt,Kt=It==="inherit"?oe.get(131):It,Jt=oe.get(134),xt=Ce.isDominatedByLongLines,ii=oe.get(57),et=oe.get(68).renderType!==0,zt=oe.get(69),_t=oe.get(105),ft=oe.get(84),vt=oe.get(73),ei=oe.get(103),qt=ei.verticalScrollbarSize,Ut=ei.verticalHasArrows,dt=ei.arrowSize,Rt=ei.horizontalScrollbarSize,ti=oe.get(43),Yt=oe.get(110)!=="never";let Ze=oe.get(66);ti&&Yt&&(Ze+=16);let Ft=0;if(et){const yt=Math.max(Ne,zt);Ft=Math.round(yt*Et)}let Bt=0;ii&&(Bt=nt*Ce.glyphMarginDecorationLaneCount);let ni=0,mt=ni+Bt,Nt=mt+Ft,At=Nt+Ze;const Wt=Ke-Bt-Ft-Ze;let ri=!1,jt=!1,Vt=-1;It==="inherit"&&xt?(ri=!0,jt=!0):Kt==="on"||Kt==="bounded"?jt=!0:Kt==="wordWrapColumn"&&(Vt=Jt);const Lt=Y.c({outerWidth:Ke,outerHeight:xe,lineHeight:nt,typicalHalfwidthCharacterWidth:bt,pixelRatio:Pt,scrollBeyondLastLine:_t,paddingTop:ft.top,paddingBottom:ft.bottom,minimap:vt,verticalScrollbarWidth:qt,viewLineCount:Tt,remainingWidth:Wt,isViewportWrapping:jt},Ce.memory||new M);Lt.renderMinimap!==0&&Lt.minimapLeft===0&&(ni+=Lt.minimapWidth,mt+=Lt.minimapWidth,Nt+=Lt.minimapWidth,At+=Lt.minimapWidth);const Dt=Wt-Lt.minimapWidth,$t=Math.max(1,Math.floor((Dt-qt-2)/bt)),Ct=Ut?dt:0;return jt&&(Vt=Math.max(1,$t),Kt==="bounded"&&(Vt=Math.min(Vt,Jt))),{width:Ke,height:xe,glyphMarginLeft:ni,glyphMarginWidth:Bt,glyphMarginDecorationLaneCount:Ce.glyphMarginDecorationLaneCount,lineNumbersLeft:mt,lineNumbersWidth:Ft,decorationsLeft:Nt,decorationsWidth:Ze,contentLeft:At,contentWidth:Dt,minimap:Lt,viewportColumn:$t,isWordWrapMinified:ri,isViewportWrapping:jt,wrappingColumn:Vt,verticalScrollbarWidth:qt,horizontalScrollbarHeight:Rt,overviewRuler:{top:Ct,width:qt,height:xe-2*Ct,right:0}}}}e.EditorLayoutInfoComputer=Y;class ae extends C{constructor(){super(138,"wrappingStrategy","simple",{"editor.wrappingStrategy":{enumDescriptions:[w.localize(47,null),w.localize(48,null)],type:"string",enum:["simple","advanced"],default:"simple",description:w.localize(49,null)}})}validate(oe){return d(oe,"simple",["simple","advanced"])}compute(oe,Ce,Ke){return Ce.get(2)===2?"advanced":Ke}}var ee;(function(ne){ne.Off="off",ne.OnCode="onCode",ne.On="on"})(ee||(e.ShowLightbulbIconMode=ee={}));class fe extends C{constructor(){const oe={enabled:ee.OnCode};super(65,"lightbulb",oe,{"editor.lightbulb.enabled":{type:"string",tags:["experimental"],enum:[ee.Off,ee.OnCode,ee.On],default:oe.enabled,enumDescriptions:[w.localize(50,null),w.localize(51,null),w.localize(52,null)],description:w.localize(53,null)}})}validate(oe){return!oe||typeof oe!="object"?this.defaultValue:{enabled:d(oe.enabled,this.defaultValue.enabled,[ee.Off,ee.OnCode,ee.On])}}}class re extends C{constructor(){const oe={enabled:!0,maxLineCount:5,defaultModel:"outlineModel",scrollWithEditor:!0};super(115,"stickyScroll",oe,{"editor.stickyScroll.enabled":{type:"boolean",default:oe.enabled,description:w.localize(54,null),tags:["experimental"]},"editor.stickyScroll.maxLineCount":{type:"number",default:oe.maxLineCount,minimum:1,maximum:20,description:w.localize(55,null)},"editor.stickyScroll.defaultModel":{type:"string",enum:["outlineModel","foldingProviderModel","indentationModel"],default:oe.defaultModel,description:w.localize(56,null)},"editor.stickyScroll.scrollWithEditor":{type:"boolean",default:oe.scrollWithEditor,description:w.localize(57,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),maxLineCount:n.clampedInt(Ce.maxLineCount,this.defaultValue.maxLineCount,1,20),defaultModel:d(Ce.defaultModel,this.defaultValue.defaultModel,["outlineModel","foldingProviderModel","indentationModel"]),scrollWithEditor:p(Ce.scrollWithEditor,this.defaultValue.scrollWithEditor)}}}class J extends C{constructor(){const oe={enabled:"on",fontSize:0,fontFamily:"",padding:!1};super(140,"inlayHints",oe,{"editor.inlayHints.enabled":{type:"string",default:oe.enabled,description:w.localize(58,null),enum:["on","onUnlessPressed","offUnlessPressed","off"],markdownEnumDescriptions:[w.localize(59,null),w.localize(60,null,$.$j?"Ctrl+Option":"Ctrl+Alt"),w.localize(61,null,$.$j?"Ctrl+Option":"Ctrl+Alt"),w.localize(62,null)]},"editor.inlayHints.fontSize":{type:"number",default:oe.fontSize,markdownDescription:w.localize(63,null,"`#editor.fontSize#`","`5`")},"editor.inlayHints.fontFamily":{type:"string",default:oe.fontFamily,markdownDescription:w.localize(64,null,"`#editor.fontFamily#`")},"editor.inlayHints.padding":{type:"boolean",default:oe.padding,description:w.localize(65,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return typeof Ce.enabled=="boolean"&&(Ce.enabled=Ce.enabled?"on":"off"),{enabled:d(Ce.enabled,this.defaultValue.enabled,["on","off","offUnlessPressed","onUnlessPressed"]),fontSize:n.clampedInt(Ce.fontSize,this.defaultValue.fontSize,0,100),fontFamily:t.string(Ce.fontFamily,this.defaultValue.fontFamily),padding:p(Ce.padding,this.defaultValue.padding)}}}class B extends C{constructor(){super(66,"lineDecorationsWidth",10)}validate(oe){return typeof oe=="string"&&/^\d+(\.\d+)?ch$/.test(oe)?-parseFloat(oe.substring(0,oe.length-2)):n.clampedInt(oe,this.defaultValue,0,1e3)}compute(oe,Ce,Ke){return Ke<0?n.clampedInt(-Ke*oe.fontInfo.typicalHalfwidthCharacterWidth,this.defaultValue,0,1e3):Ke}}class se extends a{constructor(){super(67,"lineHeight",e.EDITOR_FONT_DEFAULTS.lineHeight,oe=>a.clamp(oe,0,150),{markdownDescription:w.localize(66,null)})}compute(oe,Ce,Ke){return oe.fontInfo.lineHeight}}class Ee extends C{constructor(){const oe={enabled:!0,size:"proportional",side:"right",showSlider:"mouseover",autohide:!1,renderCharacters:!0,maxColumn:120,scale:1};super(73,"minimap",oe,{"editor.minimap.enabled":{type:"boolean",default:oe.enabled,description:w.localize(67,null)},"editor.minimap.autohide":{type:"boolean",default:oe.autohide,description:w.localize(68,null)},"editor.minimap.size":{type:"string",enum:["proportional","fill","fit"],enumDescriptions:[w.localize(69,null),w.localize(70,null),w.localize(71,null)],default:oe.size,description:w.localize(72,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:oe.side,description:w.localize(73,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:oe.showSlider,description:w.localize(74,null)},"editor.minimap.scale":{type:"number",default:oe.scale,minimum:1,maximum:3,enum:[1,2,3],description:w.localize(75,null)},"editor.minimap.renderCharacters":{type:"boolean",default:oe.renderCharacters,description:w.localize(76,null)},"editor.minimap.maxColumn":{type:"number",default:oe.maxColumn,description:w.localize(77,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),autohide:p(Ce.autohide,this.defaultValue.autohide),size:d(Ce.size,this.defaultValue.size,["proportional","fill","fit"]),side:d(Ce.side,this.defaultValue.side,["right","left"]),showSlider:d(Ce.showSlider,this.defaultValue.showSlider,["always","mouseover"]),renderCharacters:p(Ce.renderCharacters,this.defaultValue.renderCharacters),scale:n.clampedInt(Ce.scale,1,1,3),maxColumn:n.clampedInt(Ce.maxColumn,this.defaultValue.maxColumn,1,1e4)}}}function le(ne){return ne==="ctrlCmd"?$.$j?"metaKey":"ctrlKey":"altKey"}class he extends C{constructor(){super(84,"padding",{top:0,bottom:0},{"editor.padding.top":{type:"number",default:0,minimum:0,maximum:1e3,description:w.localize(78,null)},"editor.padding.bottom":{type:"number",default:0,minimum:0,maximum:1e3,description:w.localize(79,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{top:n.clampedInt(Ce.top,0,0,1e3),bottom:n.clampedInt(Ce.bottom,0,0,1e3)}}}class ce extends C{constructor(){const oe={enabled:!0,cycle:!0};super(86,"parameterHints",oe,{"editor.parameterHints.enabled":{type:"boolean",default:oe.enabled,description:w.localize(80,null)},"editor.parameterHints.cycle":{type:"boolean",default:oe.cycle,description:w.localize(81,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),cycle:p(Ce.cycle,this.defaultValue.cycle)}}}class de extends k{constructor(){super(142)}compute(oe,Ce,Ke){return oe.pixelRatio}}class H extends C{constructor(){const oe={other:"on",comments:"off",strings:"off"},Ce=[{type:"boolean"},{type:"string",enum:["on","inline","off"],enumDescriptions:[w.localize(82,null),w.localize(83,null),w.localize(84,null)]}];super(89,"quickSuggestions",oe,{type:"object",additionalProperties:!1,properties:{strings:{anyOf:Ce,default:oe.strings,description:w.localize(85,null)},comments:{anyOf:Ce,default:oe.comments,description:w.localize(86,null)},other:{anyOf:Ce,default:oe.other,description:w.localize(87,null)}},default:oe,markdownDescription:w.localize(88,null,"#editor.suggestOnTriggerCharacters#")}),this.defaultValue=oe}validate(oe){if(typeof oe=="boolean"){const Pt=oe?"on":"off";return{comments:Pt,strings:Pt,other:Pt}}if(!oe||typeof oe!="object")return this.defaultValue;const{other:Ce,comments:Ke,strings:xe}=oe,nt=["on","inline","off"];let Ne,bt,Et;return typeof Ce=="boolean"?Ne=Ce?"on":"off":Ne=d(Ce,this.defaultValue.other,nt),typeof Ke=="boolean"?bt=Ke?"on":"off":bt=d(Ke,this.defaultValue.comments,nt),typeof xe=="boolean"?Et=xe?"on":"off":Et=d(xe,this.defaultValue.strings,nt),{other:Ne,comments:bt,strings:Et}}}var x;(function(ne){ne[ne.Off=0]="Off",ne[ne.On=1]="On",ne[ne.Relative=2]="Relative",ne[ne.Interval=3]="Interval",ne[ne.Custom=4]="Custom"})(x||(e.RenderLineNumbersType=x={}));class ue extends C{constructor(){super(68,"lineNumbers",{renderType:1,renderFn:null},{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[w.localize(89,null),w.localize(90,null),w.localize(91,null),w.localize(92,null)],default:"on",description:w.localize(93,null)})}validate(oe){let Ce=this.defaultValue.renderType,Ke=this.defaultValue.renderFn;return typeof oe<"u"&&(typeof oe=="function"?(Ce=4,Ke=oe):oe==="interval"?Ce=3:oe==="relative"?Ce=2:oe==="on"?Ce=1:Ce=0),{renderType:Ce,renderFn:Ke}}}function be(ne){const oe=ne.get(98);return oe==="editable"?ne.get(91):oe!=="on"}e.filterValidationDecorations=be;class Pe extends C{constructor(){const oe=[],Ce={type:"number",description:w.localize(94,null)};super(102,"rulers",oe,{type:"array",items:{anyOf:[Ce,{type:["object"],properties:{column:Ce,color:{type:"string",description:w.localize(95,null),format:"color-hex"}}}]},default:oe,description:w.localize(96,null)})}validate(oe){if(Array.isArray(oe)){const Ce=[];for(const Ke of oe)if(typeof Ke=="number")Ce.push({column:n.clampedInt(Ke,0,0,1e4),color:null});else if(Ke&&typeof Ke=="object"){const xe=Ke;Ce.push({column:n.clampedInt(xe.column,0,0,1e4),color:xe.color})}return Ce.sort((Ke,xe)=>Ke.column-xe.column),Ce}return this.defaultValue}}class we extends C{constructor(){super(92,"readOnlyMessage",void 0)}validate(oe){return!oe||typeof oe!="object"?this.defaultValue:oe}}function Ae(ne,oe){if(typeof ne!="string")return oe;switch(ne){case"hidden":return 2;case"visible":return 3;default:return 1}}class Oe extends C{constructor(){const oe={vertical:1,horizontal:1,arrowSize:11,useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:12,horizontalSliderSize:12,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,alwaysConsumeMouseWheel:!0,scrollByPage:!1,ignoreHorizontalScrollbarInContentHeight:!1};super(103,"scrollbar",oe,{"editor.scrollbar.vertical":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[w.localize(97,null),w.localize(98,null),w.localize(99,null)],default:"auto",description:w.localize(100,null)},"editor.scrollbar.horizontal":{type:"string",enum:["auto","visible","hidden"],enumDescriptions:[w.localize(101,null),w.localize(102,null),w.localize(103,null)],default:"auto",description:w.localize(104,null)},"editor.scrollbar.verticalScrollbarSize":{type:"number",default:oe.verticalScrollbarSize,description:w.localize(105,null)},"editor.scrollbar.horizontalScrollbarSize":{type:"number",default:oe.horizontalScrollbarSize,description:w.localize(106,null)},"editor.scrollbar.scrollByPage":{type:"boolean",default:oe.scrollByPage,description:w.localize(107,null)},"editor.scrollbar.ignoreHorizontalScrollbarInContentHeight":{type:"boolean",default:oe.ignoreHorizontalScrollbarInContentHeight,description:w.localize(108,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe,Ke=n.clampedInt(Ce.horizontalScrollbarSize,this.defaultValue.horizontalScrollbarSize,0,1e3),xe=n.clampedInt(Ce.verticalScrollbarSize,this.defaultValue.verticalScrollbarSize,0,1e3);return{arrowSize:n.clampedInt(Ce.arrowSize,this.defaultValue.arrowSize,0,1e3),vertical:Ae(Ce.vertical,this.defaultValue.vertical),horizontal:Ae(Ce.horizontal,this.defaultValue.horizontal),useShadows:p(Ce.useShadows,this.defaultValue.useShadows),verticalHasArrows:p(Ce.verticalHasArrows,this.defaultValue.verticalHasArrows),horizontalHasArrows:p(Ce.horizontalHasArrows,this.defaultValue.horizontalHasArrows),handleMouseWheel:p(Ce.handleMouseWheel,this.defaultValue.handleMouseWheel),alwaysConsumeMouseWheel:p(Ce.alwaysConsumeMouseWheel,this.defaultValue.alwaysConsumeMouseWheel),horizontalScrollbarSize:Ke,horizontalSliderSize:n.clampedInt(Ce.horizontalSliderSize,Ke,0,1e3),verticalScrollbarSize:xe,verticalSliderSize:n.clampedInt(Ce.verticalSliderSize,xe,0,1e3),scrollByPage:p(Ce.scrollByPage,this.defaultValue.scrollByPage),ignoreHorizontalScrollbarInContentHeight:p(Ce.ignoreHorizontalScrollbarInContentHeight,this.defaultValue.ignoreHorizontalScrollbarInContentHeight)}}}e.inUntrustedWorkspace="inUntrustedWorkspace",e.unicodeHighlightConfigKeys={allowedCharacters:"editor.unicodeHighlight.allowedCharacters",invisibleCharacters:"editor.unicodeHighlight.invisibleCharacters",nonBasicASCII:"editor.unicodeHighlight.nonBasicASCII",ambiguousCharacters:"editor.unicodeHighlight.ambiguousCharacters",includeComments:"editor.unicodeHighlight.includeComments",includeStrings:"editor.unicodeHighlight.includeStrings",allowedLocales:"editor.unicodeHighlight.allowedLocales"};class ze extends C{constructor(){const oe={nonBasicASCII:e.inUntrustedWorkspace,invisibleCharacters:!0,ambiguousCharacters:!0,includeComments:e.inUntrustedWorkspace,includeStrings:!0,allowedCharacters:{},allowedLocales:{_os:!0,_vscode:!0}};super(125,"unicodeHighlight",oe,{[e.unicodeHighlightConfigKeys.nonBasicASCII]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:oe.nonBasicASCII,description:w.localize(109,null)},[e.unicodeHighlightConfigKeys.invisibleCharacters]:{restricted:!0,type:"boolean",default:oe.invisibleCharacters,description:w.localize(110,null)},[e.unicodeHighlightConfigKeys.ambiguousCharacters]:{restricted:!0,type:"boolean",default:oe.ambiguousCharacters,description:w.localize(111,null)},[e.unicodeHighlightConfigKeys.includeComments]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:oe.includeComments,description:w.localize(112,null)},[e.unicodeHighlightConfigKeys.includeStrings]:{restricted:!0,type:["boolean","string"],enum:[!0,!1,e.inUntrustedWorkspace],default:oe.includeStrings,description:w.localize(113,null)},[e.unicodeHighlightConfigKeys.allowedCharacters]:{restricted:!0,type:"object",default:oe.allowedCharacters,description:w.localize(114,null),additionalProperties:{type:"boolean"}},[e.unicodeHighlightConfigKeys.allowedLocales]:{restricted:!0,type:"object",additionalProperties:{type:"boolean"},default:oe.allowedLocales,description:w.localize(115,null)}})}applyUpdate(oe,Ce){let Ke=!1;Ce.allowedCharacters&&oe&&(F.$Ln(oe.allowedCharacters,Ce.allowedCharacters)||(oe={...oe,allowedCharacters:Ce.allowedCharacters},Ke=!0)),Ce.allowedLocales&&oe&&(F.$Ln(oe.allowedLocales,Ce.allowedLocales)||(oe={...oe,allowedLocales:Ce.allowedLocales},Ke=!0));const xe=super.applyUpdate(oe,Ce);return Ke?new b(xe.newValue,!0):xe}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{nonBasicASCII:$e(Ce.nonBasicASCII,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),invisibleCharacters:p(Ce.invisibleCharacters,this.defaultValue.invisibleCharacters),ambiguousCharacters:p(Ce.ambiguousCharacters,this.defaultValue.ambiguousCharacters),includeComments:$e(Ce.includeComments,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),includeStrings:$e(Ce.includeStrings,e.inUntrustedWorkspace,[!0,!1,e.inUntrustedWorkspace]),allowedCharacters:this.c(oe.allowedCharacters,this.defaultValue.allowedCharacters),allowedLocales:this.c(oe.allowedLocales,this.defaultValue.allowedLocales)}}c(oe,Ce){if(typeof oe!="object"||!oe)return Ce;const Ke={};for(const[xe,nt]of Object.entries(oe))nt===!0&&(Ke[xe]=!0);return Ke}}class W extends C{constructor(){const oe={enabled:!0,mode:"subwordSmart",showToolbar:"onHover",suppressSuggestions:!1,keepOnBlur:!1,fontFamily:"default"};super(62,"inlineSuggest",oe,{"editor.inlineSuggest.enabled":{type:"boolean",default:oe.enabled,description:w.localize(116,null)},"editor.inlineSuggest.showToolbar":{type:"string",default:oe.showToolbar,enum:["always","onHover","never"],enumDescriptions:[w.localize(117,null),w.localize(118,null),w.localize(119,null)],description:w.localize(120,null)},"editor.inlineSuggest.suppressSuggestions":{type:"boolean",default:oe.suppressSuggestions,description:w.localize(121,null)},"editor.inlineSuggest.fontFamily":{type:"string",default:oe.fontFamily,description:w.localize(122,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),mode:d(Ce.mode,this.defaultValue.mode,["prefix","subword","subwordSmart"]),showToolbar:d(Ce.showToolbar,this.defaultValue.showToolbar,["always","onHover","never"]),suppressSuggestions:p(Ce.suppressSuggestions,this.defaultValue.suppressSuggestions),keepOnBlur:p(Ce.keepOnBlur,this.defaultValue.keepOnBlur),fontFamily:t.string(Ce.fontFamily,this.defaultValue.fontFamily)}}}class V extends C{constructor(){const oe={enabled:!1,showToolbar:"onHover",fontFamily:"default",keepOnBlur:!1,backgroundColoring:!1};super(63,"experimentalInlineEdit",oe,{"editor.experimentalInlineEdit.enabled":{type:"boolean",default:oe.enabled,description:w.localize(123,null)},"editor.experimentalInlineEdit.showToolbar":{type:"string",default:oe.showToolbar,enum:["always","onHover","never"],enumDescriptions:[w.localize(124,null),w.localize(125,null),w.localize(126,null)],description:w.localize(127,null)},"editor.experimentalInlineEdit.fontFamily":{type:"string",default:oe.fontFamily,description:w.localize(128,null)},"editor.experimentalInlineEdit.backgroundColoring":{type:"boolean",default:oe.backgroundColoring,description:w.localize(129,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),showToolbar:d(Ce.showToolbar,this.defaultValue.showToolbar,["always","onHover","never"]),fontFamily:t.string(Ce.fontFamily,this.defaultValue.fontFamily),keepOnBlur:p(Ce.keepOnBlur,this.defaultValue.keepOnBlur),backgroundColoring:p(Ce.backgroundColoring,this.defaultValue.backgroundColoring)}}}class Z extends C{constructor(){const oe={enabled:L.$Ds.bracketPairColorizationOptions.enabled,independentColorPoolPerBracketType:L.$Ds.bracketPairColorizationOptions.independentColorPoolPerBracketType};super(15,"bracketPairColorization",oe,{"editor.bracketPairColorization.enabled":{type:"boolean",default:oe.enabled,markdownDescription:w.localize(130,null,"`#workbench.colorCustomizations#`")},"editor.bracketPairColorization.independentColorPoolPerBracketType":{type:"boolean",default:oe.independentColorPoolPerBracketType,description:w.localize(131,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),independentColorPoolPerBracketType:p(Ce.independentColorPoolPerBracketType,this.defaultValue.independentColorPoolPerBracketType)}}}class Q extends C{constructor(){const oe={bracketPairs:!1,bracketPairsHorizontal:"active",highlightActiveBracketPair:!0,indentation:!0,highlightActiveIndentation:!0};super(16,"guides",oe,{"editor.guides.bracketPairs":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[w.localize(132,null),w.localize(133,null),w.localize(134,null)],default:oe.bracketPairs,description:w.localize(135,null)},"editor.guides.bracketPairsHorizontal":{type:["boolean","string"],enum:[!0,"active",!1],enumDescriptions:[w.localize(136,null),w.localize(137,null),w.localize(138,null)],default:oe.bracketPairsHorizontal,description:w.localize(139,null)},"editor.guides.highlightActiveBracketPair":{type:"boolean",default:oe.highlightActiveBracketPair,description:w.localize(140,null)},"editor.guides.indentation":{type:"boolean",default:oe.indentation,description:w.localize(141,null)},"editor.guides.highlightActiveIndentation":{type:["boolean","string"],enum:[!0,"always",!1],enumDescriptions:[w.localize(142,null),w.localize(143,null),w.localize(144,null)],default:oe.highlightActiveIndentation,description:w.localize(145,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{bracketPairs:$e(Ce.bracketPairs,this.defaultValue.bracketPairs,[!0,!1,"active"]),bracketPairsHorizontal:$e(Ce.bracketPairsHorizontal,this.defaultValue.bracketPairsHorizontal,[!0,!1,"active"]),highlightActiveBracketPair:p(Ce.highlightActiveBracketPair,this.defaultValue.highlightActiveBracketPair),indentation:p(Ce.indentation,this.defaultValue.indentation),highlightActiveIndentation:$e(Ce.highlightActiveIndentation,this.defaultValue.highlightActiveIndentation,[!0,!1,"always"])}}}function $e(ne,oe,Ce){const Ke=Ce.indexOf(ne);return Ke===-1?oe:Ce[Ke]}class ve extends C{constructor(){const oe={insertMode:"insert",filterGraceful:!0,snippetsPreventQuickSuggestions:!1,localityBonus:!1,shareSuggestSelections:!1,selectionMode:"always",showIcons:!0,showStatusBar:!1,preview:!1,previewMode:"subwordSmart",showInlineDetails:!0,showMethods:!0,showFunctions:!0,showConstructors:!0,showDeprecated:!0,matchOnWordStartOnly:!0,showFields:!0,showVariables:!0,showClasses:!0,showStructs:!0,showInterfaces:!0,showModules:!0,showProperties:!0,showEvents:!0,showOperators:!0,showUnits:!0,showValues:!0,showConstants:!0,showEnums:!0,showEnumMembers:!0,showKeywords:!0,showWords:!0,showColors:!0,showFiles:!0,showReferences:!0,showFolders:!0,showTypeParameters:!0,showSnippets:!0,showUsers:!0,showIssues:!0};super(118,"suggest",oe,{"editor.suggest.insertMode":{type:"string",enum:["insert","replace"],enumDescriptions:[w.localize(146,null),w.localize(147,null)],default:oe.insertMode,description:w.localize(148,null)},"editor.suggest.filterGraceful":{type:"boolean",default:oe.filterGraceful,description:w.localize(149,null)},"editor.suggest.localityBonus":{type:"boolean",default:oe.localityBonus,description:w.localize(150,null)},"editor.suggest.shareSuggestSelections":{type:"boolean",default:oe.shareSuggestSelections,markdownDescription:w.localize(151,null)},"editor.suggest.selectionMode":{type:"string",enum:["always","never","whenTriggerCharacter","whenQuickSuggestion"],enumDescriptions:[w.localize(152,null),w.localize(153,null),w.localize(154,null),w.localize(155,null)],default:oe.selectionMode,markdownDescription:w.localize(156,null)},"editor.suggest.snippetsPreventQuickSuggestions":{type:"boolean",default:oe.snippetsPreventQuickSuggestions,description:w.localize(157,null)},"editor.suggest.showIcons":{type:"boolean",default:oe.showIcons,description:w.localize(158,null)},"editor.suggest.showStatusBar":{type:"boolean",default:oe.showStatusBar,description:w.localize(159,null)},"editor.suggest.preview":{type:"boolean",default:oe.preview,description:w.localize(160,null)},"editor.suggest.showInlineDetails":{type:"boolean",default:oe.showInlineDetails,description:w.localize(161,null)},"editor.suggest.maxVisibleSuggestions":{type:"number",deprecationMessage:w.localize(162,null)},"editor.suggest.filteredTypes":{type:"object",deprecationMessage:w.localize(163,null)},"editor.suggest.showMethods":{type:"boolean",default:!0,markdownDescription:w.localize(164,null)},"editor.suggest.showFunctions":{type:"boolean",default:!0,markdownDescription:w.localize(165,null)},"editor.suggest.showConstructors":{type:"boolean",default:!0,markdownDescription:w.localize(166,null)},"editor.suggest.showDeprecated":{type:"boolean",default:!0,markdownDescription:w.localize(167,null)},"editor.suggest.matchOnWordStartOnly":{type:"boolean",default:!0,markdownDescription:w.localize(168,null)},"editor.suggest.showFields":{type:"boolean",default:!0,markdownDescription:w.localize(169,null)},"editor.suggest.showVariables":{type:"boolean",default:!0,markdownDescription:w.localize(170,null)},"editor.suggest.showClasses":{type:"boolean",default:!0,markdownDescription:w.localize(171,null)},"editor.suggest.showStructs":{type:"boolean",default:!0,markdownDescription:w.localize(172,null)},"editor.suggest.showInterfaces":{type:"boolean",default:!0,markdownDescription:w.localize(173,null)},"editor.suggest.showModules":{type:"boolean",default:!0,markdownDescription:w.localize(174,null)},"editor.suggest.showProperties":{type:"boolean",default:!0,markdownDescription:w.localize(175,null)},"editor.suggest.showEvents":{type:"boolean",default:!0,markdownDescription:w.localize(176,null)},"editor.suggest.showOperators":{type:"boolean",default:!0,markdownDescription:w.localize(177,null)},"editor.suggest.showUnits":{type:"boolean",default:!0,markdownDescription:w.localize(178,null)},"editor.suggest.showValues":{type:"boolean",default:!0,markdownDescription:w.localize(179,null)},"editor.suggest.showConstants":{type:"boolean",default:!0,markdownDescription:w.localize(180,null)},"editor.suggest.showEnums":{type:"boolean",default:!0,markdownDescription:w.localize(181,null)},"editor.suggest.showEnumMembers":{type:"boolean",default:!0,markdownDescription:w.localize(182,null)},"editor.suggest.showKeywords":{type:"boolean",default:!0,markdownDescription:w.localize(183,null)},"editor.suggest.showWords":{type:"boolean",default:!0,markdownDescription:w.localize(184,null)},"editor.suggest.showColors":{type:"boolean",default:!0,markdownDescription:w.localize(185,null)},"editor.suggest.showFiles":{type:"boolean",default:!0,markdownDescription:w.localize(186,null)},"editor.suggest.showReferences":{type:"boolean",default:!0,markdownDescription:w.localize(187,null)},"editor.suggest.showCustomcolors":{type:"boolean",default:!0,markdownDescription:w.localize(188,null)},"editor.suggest.showFolders":{type:"boolean",default:!0,markdownDescription:w.localize(189,null)},"editor.suggest.showTypeParameters":{type:"boolean",default:!0,markdownDescription:w.localize(190,null)},"editor.suggest.showSnippets":{type:"boolean",default:!0,markdownDescription:w.localize(191,null)},"editor.suggest.showUsers":{type:"boolean",default:!0,markdownDescription:w.localize(192,null)},"editor.suggest.showIssues":{type:"boolean",default:!0,markdownDescription:w.localize(193,null)}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{insertMode:d(Ce.insertMode,this.defaultValue.insertMode,["insert","replace"]),filterGraceful:p(Ce.filterGraceful,this.defaultValue.filterGraceful),snippetsPreventQuickSuggestions:p(Ce.snippetsPreventQuickSuggestions,this.defaultValue.filterGraceful),localityBonus:p(Ce.localityBonus,this.defaultValue.localityBonus),shareSuggestSelections:p(Ce.shareSuggestSelections,this.defaultValue.shareSuggestSelections),selectionMode:d(Ce.selectionMode,this.defaultValue.selectionMode,["always","never","whenQuickSuggestion","whenTriggerCharacter"]),showIcons:p(Ce.showIcons,this.defaultValue.showIcons),showStatusBar:p(Ce.showStatusBar,this.defaultValue.showStatusBar),preview:p(Ce.preview,this.defaultValue.preview),previewMode:d(Ce.previewMode,this.defaultValue.previewMode,["prefix","subword","subwordSmart"]),showInlineDetails:p(Ce.showInlineDetails,this.defaultValue.showInlineDetails),showMethods:p(Ce.showMethods,this.defaultValue.showMethods),showFunctions:p(Ce.showFunctions,this.defaultValue.showFunctions),showConstructors:p(Ce.showConstructors,this.defaultValue.showConstructors),showDeprecated:p(Ce.showDeprecated,this.defaultValue.showDeprecated),matchOnWordStartOnly:p(Ce.matchOnWordStartOnly,this.defaultValue.matchOnWordStartOnly),showFields:p(Ce.showFields,this.defaultValue.showFields),showVariables:p(Ce.showVariables,this.defaultValue.showVariables),showClasses:p(Ce.showClasses,this.defaultValue.showClasses),showStructs:p(Ce.showStructs,this.defaultValue.showStructs),showInterfaces:p(Ce.showInterfaces,this.defaultValue.showInterfaces),showModules:p(Ce.showModules,this.defaultValue.showModules),showProperties:p(Ce.showProperties,this.defaultValue.showProperties),showEvents:p(Ce.showEvents,this.defaultValue.showEvents),showOperators:p(Ce.showOperators,this.defaultValue.showOperators),showUnits:p(Ce.showUnits,this.defaultValue.showUnits),showValues:p(Ce.showValues,this.defaultValue.showValues),showConstants:p(Ce.showConstants,this.defaultValue.showConstants),showEnums:p(Ce.showEnums,this.defaultValue.showEnums),showEnumMembers:p(Ce.showEnumMembers,this.defaultValue.showEnumMembers),showKeywords:p(Ce.showKeywords,this.defaultValue.showKeywords),showWords:p(Ce.showWords,this.defaultValue.showWords),showColors:p(Ce.showColors,this.defaultValue.showColors),showFiles:p(Ce.showFiles,this.defaultValue.showFiles),showReferences:p(Ce.showReferences,this.defaultValue.showReferences),showFolders:p(Ce.showFolders,this.defaultValue.showFolders),showTypeParameters:p(Ce.showTypeParameters,this.defaultValue.showTypeParameters),showSnippets:p(Ce.showSnippets,this.defaultValue.showSnippets),showUsers:p(Ce.showUsers,this.defaultValue.showUsers),showIssues:p(Ce.showIssues,this.defaultValue.showIssues)}}}class Te extends C{constructor(){super(113,"smartSelect",{selectLeadingAndTrailingWhitespace:!0,selectSubwords:!0},{"editor.smartSelect.selectLeadingAndTrailingWhitespace":{description:w.localize(194,null),default:!0,type:"boolean"},"editor.smartSelect.selectSubwords":{description:w.localize(195,null),default:!0,type:"boolean"}})}validate(oe){return!oe||typeof oe!="object"?this.defaultValue:{selectLeadingAndTrailingWhitespace:p(oe.selectLeadingAndTrailingWhitespace,this.defaultValue.selectLeadingAndTrailingWhitespace),selectSubwords:p(oe.selectSubwords,this.defaultValue.selectSubwords)}}}var He;(function(ne){ne[ne.None=0]="None",ne[ne.Same=1]="Same",ne[ne.Indent=2]="Indent",ne[ne.DeepIndent=3]="DeepIndent"})(He||(e.WrappingIndent=He={}));class Qe extends C{constructor(){super(137,"wrappingIndent",1,{"editor.wrappingIndent":{type:"string",enum:["none","same","indent","deepIndent"],enumDescriptions:[w.localize(196,null),w.localize(197,null),w.localize(198,null),w.localize(199,null)],description:w.localize(200,null),default:"same"}})}validate(oe){switch(oe){case"none":return 0;case"same":return 1;case"indent":return 2;case"deepIndent":return 3}return 1}compute(oe,Ce,Ke){return Ce.get(2)===2?0:Ke}}class tt extends k{constructor(){super(145)}compute(oe,Ce,Ke){const xe=Ce.get(144);return{isDominatedByLongLines:oe.isDominatedByLongLines,isWordWrapMinified:xe.isWordWrapMinified,isViewportWrapping:xe.isViewportWrapping,wrappingColumn:xe.wrappingColumn}}}class st extends C{constructor(){const oe={enabled:!0,showDropSelector:"afterDrop"};super(36,"dropIntoEditor",oe,{"editor.dropIntoEditor.enabled":{type:"boolean",default:oe.enabled,markdownDescription:w.localize(201,null)},"editor.dropIntoEditor.showDropSelector":{type:"string",markdownDescription:w.localize(202,null),enum:["afterDrop","never"],enumDescriptions:[w.localize(203,null),w.localize(204,null)],default:"afterDrop"}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),showDropSelector:d(Ce.showDropSelector,this.defaultValue.showDropSelector,["afterDrop","never"])}}}class lt extends C{constructor(){const oe={enabled:!0,showPasteSelector:"afterPaste"};super(85,"pasteAs",oe,{"editor.pasteAs.enabled":{type:"boolean",default:oe.enabled,markdownDescription:w.localize(205,null)},"editor.pasteAs.showPasteSelector":{type:"string",markdownDescription:w.localize(206,null),enum:["afterPaste","never"],enumDescriptions:[w.localize(207,null),w.localize(208,null)],default:"afterPaste"}})}validate(oe){if(!oe||typeof oe!="object")return this.defaultValue;const Ce=oe;return{enabled:p(Ce.enabled,this.defaultValue.enabled),showPasteSelector:d(Ce.showPasteSelector,this.defaultValue.showPasteSelector,["afterPaste","never"])}}}const rt="Consolas, 'Courier New', monospace",Ie="Menlo, Monaco, 'Courier New', monospace",Ue="'Droid Sans Mono', 'monospace', monospace";e.EDITOR_FONT_DEFAULTS={fontFamily:$.$j?Ie:$.$k?Ue:rt,fontWeight:"normal",fontSize:$.$j?12:14,lineHeight:0,letterSpacing:0},e.editorOptionsRegistry=[];function Le(ne){return e.editorOptionsRegistry[ne.id]=ne,ne}var Ge;(function(ne){ne[ne.acceptSuggestionOnCommitCharacter=0]="acceptSuggestionOnCommitCharacter",ne[ne.acceptSuggestionOnEnter=1]="acceptSuggestionOnEnter",ne[ne.accessibilitySupport=2]="accessibilitySupport",ne[ne.accessibilityPageSize=3]="accessibilityPageSize",ne[ne.ariaLabel=4]="ariaLabel",ne[ne.ariaRequired=5]="ariaRequired",ne[ne.autoClosingBrackets=6]="autoClosingBrackets",ne[ne.autoClosingComments=7]="autoClosingComments",ne[ne.screenReaderAnnounceInlineSuggestion=8]="screenReaderAnnounceInlineSuggestion",ne[ne.autoClosingDelete=9]="autoClosingDelete",ne[ne.autoClosingOvertype=10]="autoClosingOvertype",ne[ne.autoClosingQuotes=11]="autoClosingQuotes",ne[ne.autoIndent=12]="autoIndent",ne[ne.automaticLayout=13]="automaticLayout",ne[ne.autoSurround=14]="autoSurround",ne[ne.bracketPairColorization=15]="bracketPairColorization",ne[ne.guides=16]="guides",ne[ne.codeLens=17]="codeLens",ne[ne.codeLensFontFamily=18]="codeLensFontFamily",ne[ne.codeLensFontSize=19]="codeLensFontSize",ne[ne.colorDecorators=20]="colorDecorators",ne[ne.colorDecoratorsLimit=21]="colorDecoratorsLimit",ne[ne.columnSelection=22]="columnSelection",ne[ne.comments=23]="comments",ne[ne.contextmenu=24]="contextmenu",ne[ne.copyWithSyntaxHighlighting=25]="copyWithSyntaxHighlighting",ne[ne.cursorBlinking=26]="cursorBlinking",ne[ne.cursorSmoothCaretAnimation=27]="cursorSmoothCaretAnimation",ne[ne.cursorStyle=28]="cursorStyle",ne[ne.cursorSurroundingLines=29]="cursorSurroundingLines",ne[ne.cursorSurroundingLinesStyle=30]="cursorSurroundingLinesStyle",ne[ne.cursorWidth=31]="cursorWidth",ne[ne.disableLayerHinting=32]="disableLayerHinting",ne[ne.disableMonospaceOptimizations=33]="disableMonospaceOptimizations",ne[ne.domReadOnly=34]="domReadOnly",ne[ne.dragAndDrop=35]="dragAndDrop",ne[ne.dropIntoEditor=36]="dropIntoEditor",ne[ne.emptySelectionClipboard=37]="emptySelectionClipboard",ne[ne.experimentalWhitespaceRendering=38]="experimentalWhitespaceRendering",ne[ne.extraEditorClassName=39]="extraEditorClassName",ne[ne.fastScrollSensitivity=40]="fastScrollSensitivity",ne[ne.find=41]="find",ne[ne.fixedOverflowWidgets=42]="fixedOverflowWidgets",ne[ne.folding=43]="folding",ne[ne.foldingStrategy=44]="foldingStrategy",ne[ne.foldingHighlight=45]="foldingHighlight",ne[ne.foldingImportsByDefault=46]="foldingImportsByDefault",ne[ne.foldingMaximumRegions=47]="foldingMaximumRegions",ne[ne.unfoldOnClickAfterEndOfLine=48]="unfoldOnClickAfterEndOfLine",ne[ne.fontFamily=49]="fontFamily",ne[ne.fontInfo=50]="fontInfo",ne[ne.fontLigatures=51]="fontLigatures",ne[ne.fontSize=52]="fontSize",ne[ne.fontWeight=53]="fontWeight",ne[ne.fontVariations=54]="fontVariations",ne[ne.formatOnPaste=55]="formatOnPaste",ne[ne.formatOnType=56]="formatOnType",ne[ne.glyphMargin=57]="glyphMargin",ne[ne.gotoLocation=58]="gotoLocation",ne[ne.hideCursorInOverviewRuler=59]="hideCursorInOverviewRuler",ne[ne.hover=60]="hover",ne[ne.inDiffEditor=61]="inDiffEditor",ne[ne.inlineSuggest=62]="inlineSuggest",ne[ne.inlineEdit=63]="inlineEdit",ne[ne.letterSpacing=64]="letterSpacing",ne[ne.lightbulb=65]="lightbulb",ne[ne.lineDecorationsWidth=66]="lineDecorationsWidth",ne[ne.lineHeight=67]="lineHeight",ne[ne.lineNumbers=68]="lineNumbers",ne[ne.lineNumbersMinChars=69]="lineNumbersMinChars",ne[ne.linkedEditing=70]="linkedEditing",ne[ne.links=71]="links",ne[ne.matchBrackets=72]="matchBrackets",ne[ne.minimap=73]="minimap",ne[ne.mouseStyle=74]="mouseStyle",ne[ne.mouseWheelScrollSensitivity=75]="mouseWheelScrollSensitivity",ne[ne.mouseWheelZoom=76]="mouseWheelZoom",ne[ne.multiCursorMergeOverlapping=77]="multiCursorMergeOverlapping",ne[ne.multiCursorModifier=78]="multiCursorModifier",ne[ne.multiCursorPaste=79]="multiCursorPaste",ne[ne.multiCursorLimit=80]="multiCursorLimit",ne[ne.occurrencesHighlight=81]="occurrencesHighlight",ne[ne.overviewRulerBorder=82]="overviewRulerBorder",ne[ne.overviewRulerLanes=83]="overviewRulerLanes",ne[ne.padding=84]="padding",ne[ne.pasteAs=85]="pasteAs",ne[ne.parameterHints=86]="parameterHints",ne[ne.peekWidgetDefaultFocus=87]="peekWidgetDefaultFocus",ne[ne.definitionLinkOpensInPeek=88]="definitionLinkOpensInPeek",ne[ne.quickSuggestions=89]="quickSuggestions",ne[ne.quickSuggestionsDelay=90]="quickSuggestionsDelay",ne[ne.readOnly=91]="readOnly",ne[ne.readOnlyMessage=92]="readOnlyMessage",ne[ne.renameOnType=93]="renameOnType",ne[ne.renderControlCharacters=94]="renderControlCharacters",ne[ne.renderFinalNewline=95]="renderFinalNewline",ne[ne.renderLineHighlight=96]="renderLineHighlight",ne[ne.renderLineHighlightOnlyWhenFocus=97]="renderLineHighlightOnlyWhenFocus",ne[ne.renderValidationDecorations=98]="renderValidationDecorations",ne[ne.renderWhitespace=99]="renderWhitespace",ne[ne.revealHorizontalRightPadding=100]="revealHorizontalRightPadding",ne[ne.roundedSelection=101]="roundedSelection",ne[ne.rulers=102]="rulers",ne[ne.scrollbar=103]="scrollbar",ne[ne.scrollBeyondLastColumn=104]="scrollBeyondLastColumn",ne[ne.scrollBeyondLastLine=105]="scrollBeyondLastLine",ne[ne.scrollPredominantAxis=106]="scrollPredominantAxis",ne[ne.selectionClipboard=107]="selectionClipboard",ne[ne.selectionHighlight=108]="selectionHighlight",ne[ne.selectOnLineNumbers=109]="selectOnLineNumbers",ne[ne.showFoldingControls=110]="showFoldingControls",ne[ne.showUnused=111]="showUnused",ne[ne.snippetSuggestions=112]="snippetSuggestions",ne[ne.smartSelect=113]="smartSelect",ne[ne.smoothScrolling=114]="smoothScrolling",ne[ne.stickyScroll=115]="stickyScroll",ne[ne.stickyTabStops=116]="stickyTabStops",ne[ne.stopRenderingLineAfter=117]="stopRenderingLineAfter",ne[ne.suggest=118]="suggest",ne[ne.suggestFontSize=119]="suggestFontSize",ne[ne.suggestLineHeight=120]="suggestLineHeight",ne[ne.suggestOnTriggerCharacters=121]="suggestOnTriggerCharacters",ne[ne.suggestSelection=122]="suggestSelection",ne[ne.tabCompletion=123]="tabCompletion",ne[ne.tabIndex=124]="tabIndex",ne[ne.unicodeHighlighting=125]="unicodeHighlighting",ne[ne.unusualLineTerminators=126]="unusualLineTerminators",ne[ne.useShadowDOM=127]="useShadowDOM",ne[ne.useTabStops=128]="useTabStops",ne[ne.wordBreak=129]="wordBreak",ne[ne.wordSeparators=130]="wordSeparators",ne[ne.wordWrap=131]="wordWrap",ne[ne.wordWrapBreakAfterCharacters=132]="wordWrapBreakAfterCharacters",ne[ne.wordWrapBreakBeforeCharacters=133]="wordWrapBreakBeforeCharacters",ne[ne.wordWrapColumn=134]="wordWrapColumn",ne[ne.wordWrapOverride1=135]="wordWrapOverride1",ne[ne.wordWrapOverride2=136]="wordWrapOverride2",ne[ne.wrappingIndent=137]="wrappingIndent",ne[ne.wrappingStrategy=138]="wrappingStrategy",ne[ne.showDeprecated=139]="showDeprecated",ne[ne.inlayHints=140]="inlayHints",ne[ne.editorClassName=141]="editorClassName",ne[ne.pixelRatio=142]="pixelRatio",ne[ne.tabFocusMode=143]="tabFocusMode",ne[ne.layoutInfo=144]="layoutInfo",ne[ne.wrappingInfo=145]="wrappingInfo",ne[ne.defaultColorDecorators=146]="defaultColorDecorators",ne[ne.colorDecoratorsActivatedOn=147]="colorDecoratorsActivatedOn",ne[ne.inlineCompletionsAccessibilityVerbose=148]="inlineCompletionsAccessibilityVerbose"})(Ge||(e.EditorOption=Ge={})),e.EditorOptions={acceptSuggestionOnCommitCharacter:Le(new o(0,"acceptSuggestionOnCommitCharacter",!0,{markdownDescription:w.localize(209,null)})),acceptSuggestionOnEnter:Le(new u(1,"acceptSuggestionOnEnter","on",["on","smart","off"],{markdownEnumDescriptions:["",w.localize(210,null),""],markdownDescription:w.localize(211,null)})),accessibilitySupport:Le(new h),accessibilityPageSize:Le(new n(3,"accessibilityPageSize",10,1,1073741824,{description:w.localize(212,null),tags:["accessibility"]})),ariaLabel:Le(new t(4,"ariaLabel",w.localize(213,null))),ariaRequired:Le(new o(5,"ariaRequired",!1,void 0)),screenReaderAnnounceInlineSuggestion:Le(new o(8,"screenReaderAnnounceInlineSuggestion",!0,{description:w.localize(214,null),tags:["accessibility"]})),autoClosingBrackets:Le(new u(6,"autoClosingBrackets","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",w.localize(215,null),w.localize(216,null),""],description:w.localize(217,null)})),autoClosingComments:Le(new u(7,"autoClosingComments","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",w.localize(218,null),w.localize(219,null),""],description:w.localize(220,null)})),autoClosingDelete:Le(new u(9,"autoClosingDelete","auto",["always","auto","never"],{enumDescriptions:["",w.localize(221,null),""],description:w.localize(222,null)})),autoClosingOvertype:Le(new u(10,"autoClosingOvertype","auto",["always","auto","never"],{enumDescriptions:["",w.localize(223,null),""],description:w.localize(224,null)})),autoClosingQuotes:Le(new u(11,"autoClosingQuotes","languageDefined",["always","languageDefined","beforeWhitespace","never"],{enumDescriptions:["",w.localize(225,null),w.localize(226,null),""],description:w.localize(227,null)})),autoIndent:Le(new s(12,"autoIndent",4,"full",["none","keep","brackets","advanced","full"],c,{enumDescriptions:[w.localize(228,null),w.localize(229,null),w.localize(230,null),w.localize(231,null),w.localize(232,null)],description:w.localize(233,null)})),automaticLayout:Le(new o(13,"automaticLayout",!1)),autoSurround:Le(new u(14,"autoSurround","languageDefined",["languageDefined","quotes","brackets","never"],{enumDescriptions:[w.localize(234,null),w.localize(235,null),w.localize(236,null),""],description:w.localize(237,null)})),bracketPairColorization:Le(new Z),bracketPairGuides:Le(new Q),stickyTabStops:Le(new o(116,"stickyTabStops",!1,{description:w.localize(238,null)})),codeLens:Le(new o(17,"codeLens",!0,{description:w.localize(239,null)})),codeLensFontFamily:Le(new t(18,"codeLensFontFamily","",{description:w.localize(240,null)})),codeLensFontSize:Le(new n(19,"codeLensFontSize",0,0,100,{type:"number",default:0,minimum:0,maximum:100,markdownDescription:w.localize(241,null)})),colorDecorators:Le(new o(20,"colorDecorators",!0,{description:w.localize(242,null)})),colorDecoratorActivatedOn:Le(new u(147,"colorDecoratorsActivatedOn","clickAndHover",["clickAndHover","hover","click"],{enumDescriptions:[w.localize(243,null),w.localize(244,null),w.localize(245,null)],description:w.localize(246,null)})),colorDecoratorsLimit:Le(new n(21,"colorDecoratorsLimit",500,1,1e6,{markdownDescription:w.localize(247,null)})),columnSelection:Le(new o(22,"columnSelection",!1,{description:w.localize(248,null)})),comments:Le(new m),contextmenu:Le(new o(24,"contextmenu",!0)),copyWithSyntaxHighlighting:Le(new o(25,"copyWithSyntaxHighlighting",!0,{description:w.localize(249,null)})),cursorBlinking:Le(new s(26,"cursorBlinking",1,"blink",["blink","smooth","phase","expand","solid"],g,{description:w.localize(250,null)})),cursorSmoothCaretAnimation:Le(new u(27,"cursorSmoothCaretAnimation","off",["off","explicit","on"],{enumDescriptions:[w.localize(251,null),w.localize(252,null),w.localize(253,null)],description:w.localize(254,null)})),cursorStyle:Le(new s(28,"cursorStyle",f.Line,"line",["line","block","underline","line-thin","block-outline","underline-thin"],A,{description:w.localize(255,null)})),cursorSurroundingLines:Le(new n(29,"cursorSurroundingLines",0,0,1073741824,{description:w.localize(256,null)})),cursorSurroundingLinesStyle:Le(new u(30,"cursorSurroundingLinesStyle","default",["default","all"],{enumDescriptions:[w.localize(257,null),w.localize(258,null)],markdownDescription:w.localize(259,null)})),cursorWidth:Le(new n(31,"cursorWidth",0,0,1073741824,{markdownDescription:w.localize(260,null)})),disableLayerHinting:Le(new o(32,"disableLayerHinting",!1)),disableMonospaceOptimizations:Le(new o(33,"disableMonospaceOptimizations",!1)),domReadOnly:Le(new o(34,"domReadOnly",!1)),dragAndDrop:Le(new o(35,"dragAndDrop",!0,{description:w.localize(261,null)})),emptySelectionClipboard:Le(new U),dropIntoEditor:Le(new st),stickyScroll:Le(new re),experimentalWhitespaceRendering:Le(new u(38,"experimentalWhitespaceRendering","svg",["svg","font","off"],{enumDescriptions:[w.localize(262,null),w.localize(263,null),w.localize(264,null)],description:w.localize(265,null)})),extraEditorClassName:Le(new t(39,"extraEditorClassName","")),fastScrollSensitivity:Le(new a(40,"fastScrollSensitivity",5,ne=>ne<=0?5:ne,{markdownDescription:w.localize(266,null)})),find:Le(new z),fixedOverflowWidgets:Le(new o(42,"fixedOverflowWidgets",!1)),folding:Le(new o(43,"folding",!0,{description:w.localize(267,null)})),foldingStrategy:Le(new u(44,"foldingStrategy","auto",["auto","indentation"],{enumDescriptions:[w.localize(268,null),w.localize(269,null)],description:w.localize(270,null)})),foldingHighlight:Le(new o(45,"foldingHighlight",!0,{description:w.localize(271,null)})),foldingImportsByDefault:Le(new o(46,"foldingImportsByDefault",!1,{description:w.localize(272,null)})),foldingMaximumRegions:Le(new n(47,"foldingMaximumRegions",5e3,10,65e3,{description:w.localize(273,null)})),unfoldOnClickAfterEndOfLine:Le(new o(48,"unfoldOnClickAfterEndOfLine",!1,{description:w.localize(274,null)})),fontFamily:Le(new t(49,"fontFamily",e.EDITOR_FONT_DEFAULTS.fontFamily,{description:w.localize(275,null)})),fontInfo:Le(new O),fontLigatures2:Le(new T),fontSize:Le(new j),fontWeight:Le(new K),fontVariations:Le(new P),formatOnPaste:Le(new o(55,"formatOnPaste",!1,{description:w.localize(276,null)})),formatOnType:Le(new o(56,"formatOnType",!1,{description:w.localize(277,null)})),glyphMargin:Le(new o(57,"glyphMargin",!0,{description:w.localize(278,null)})),gotoLocation:Le(new ie),hideCursorInOverviewRuler:Le(new o(59,"hideCursorInOverviewRuler",!1,{description:w.localize(279,null)})),hover:Le(new _),inDiffEditor:Le(new o(61,"inDiffEditor",!1)),letterSpacing:Le(new a(64,"letterSpacing",e.EDITOR_FONT_DEFAULTS.letterSpacing,ne=>a.clamp(ne,-5,20),{description:w.localize(280,null)})),lightbulb:Le(new fe),lineDecorationsWidth:Le(new B),lineHeight:Le(new se),lineNumbers:Le(new ue),lineNumbersMinChars:Le(new n(69,"lineNumbersMinChars",5,1,300)),linkedEditing:Le(new o(70,"linkedEditing",!1,{description:w.localize(281,null)})),links:Le(new o(71,"links",!0,{description:w.localize(282,null)})),matchBrackets:Le(new u(72,"matchBrackets","always",["always","near","never"],{description:w.localize(283,null)})),minimap:Le(new Ee),mouseStyle:Le(new u(74,"mouseStyle","text",["text","default","copy"])),mouseWheelScrollSensitivity:Le(new a(75,"mouseWheelScrollSensitivity",1,ne=>ne===0?1:ne,{markdownDescription:w.localize(284,null)})),mouseWheelZoom:Le(new o(76,"mouseWheelZoom",!1,{markdownDescription:$.$j?w.localize(285,null):w.localize(286,null)})),multiCursorMergeOverlapping:Le(new o(77,"multiCursorMergeOverlapping",!0,{description:w.localize(287,null)})),multiCursorModifier:Le(new s(78,"multiCursorModifier","altKey","alt",["ctrlCmd","alt"],le,{markdownEnumDescriptions:[w.localize(288,null),w.localize(289,null)],markdownDescription:w.localize(290,null)})),multiCursorPaste:Le(new u(79,"multiCursorPaste","spread",["spread","full"],{markdownEnumDescriptions:[w.localize(291,null),w.localize(292,null)],markdownDescription:w.localize(293,null)})),multiCursorLimit:Le(new n(80,"multiCursorLimit",1e4,1,1e5,{markdownDescription:w.localize(294,null)})),occurrencesHighlight:Le(new u(81,"occurrencesHighlight","singleFile",["off","singleFile","multiFile"],{markdownEnumDescriptions:[w.localize(295,null),w.localize(296,null),w.localize(297,null)],markdownDescription:w.localize(298,null)})),overviewRulerBorder:Le(new o(82,"overviewRulerBorder",!0,{description:w.localize(299,null)})),overviewRulerLanes:Le(new n(83,"overviewRulerLanes",3,0,3)),padding:Le(new he),pasteAs:Le(new lt),parameterHints:Le(new ce),peekWidgetDefaultFocus:Le(new u(87,"peekWidgetDefaultFocus","tree",["tree","editor"],{enumDescriptions:[w.localize(300,null),w.localize(301,null)],description:w.localize(302,null)})),definitionLinkOpensInPeek:Le(new o(88,"definitionLinkOpensInPeek",!1,{description:w.localize(303,null)})),quickSuggestions:Le(new H),quickSuggestionsDelay:Le(new n(90,"quickSuggestionsDelay",10,0,1073741824,{description:w.localize(304,null)})),readOnly:Le(new o(91,"readOnly",!1)),readOnlyMessage:Le(new we),renameOnType:Le(new o(93,"renameOnType",!1,{description:w.localize(305,null),markdownDeprecationMessage:w.localize(306,null)})),renderControlCharacters:Le(new o(94,"renderControlCharacters",!0,{description:w.localize(307,null),restricted:!0})),renderFinalNewline:Le(new u(95,"renderFinalNewline",$.$k?"dimmed":"on",["off","on","dimmed"],{description:w.localize(308,null)})),renderLineHighlight:Le(new u(96,"renderLineHighlight","line",["none","gutter","line","all"],{enumDescriptions:["","","",w.localize(309,null)],description:w.localize(310,null)})),renderLineHighlightOnlyWhenFocus:Le(new o(97,"renderLineHighlightOnlyWhenFocus",!1,{description:w.localize(311,null)})),renderValidationDecorations:Le(new u(98,"renderValidationDecorations","editable",["editable","on","off"])),renderWhitespace:Le(new u(99,"renderWhitespace","selection",["none","boundary","selection","trailing","all"],{enumDescriptions:["",w.localize(312,null),w.localize(313,null),w.localize(314,null),""],description:w.localize(315,null)})),revealHorizontalRightPadding:Le(new n(100,"revealHorizontalRightPadding",15,0,1e3)),roundedSelection:Le(new o(101,"roundedSelection",!0,{description:w.localize(316,null)})),rulers:Le(new Pe),scrollbar:Le(new Oe),scrollBeyondLastColumn:Le(new n(104,"scrollBeyondLastColumn",4,0,1073741824,{description:w.localize(317,null)})),scrollBeyondLastLine:Le(new o(105,"scrollBeyondLastLine",!0,{description:w.localize(318,null)})),scrollPredominantAxis:Le(new o(106,"scrollPredominantAxis",!0,{description:w.localize(319,null)})),selectionClipboard:Le(new o(107,"selectionClipboard",!0,{description:w.localize(320,null),included:$.$k})),selectionHighlight:Le(new o(108,"selectionHighlight",!0,{description:w.localize(321,null)})),selectOnLineNumbers:Le(new o(109,"selectOnLineNumbers",!0)),showFoldingControls:Le(new u(110,"showFoldingControls","mouseover",["always","never","mouseover"],{enumDescriptions:[w.localize(322,null),w.localize(323,null),w.localize(324,null)],description:w.localize(325,null)})),showUnused:Le(new o(111,"showUnused",!0,{description:w.localize(326,null)})),showDeprecated:Le(new o(139,"showDeprecated",!0,{description:w.localize(327,null)})),inlayHints:Le(new J),snippetSuggestions:Le(new u(112,"snippetSuggestions","inline",["top","bottom","inline","none"],{enumDescriptions:[w.localize(328,null),w.localize(329,null),w.localize(330,null),w.localize(331,null)],description:w.localize(332,null)})),smartSelect:Le(new Te),smoothScrolling:Le(new o(114,"smoothScrolling",!1,{description:w.localize(333,null)})),stopRenderingLineAfter:Le(new n(117,"stopRenderingLineAfter",1e4,-1,1073741824)),suggest:Le(new ve),inlineSuggest:Le(new W),inlineEdit:Le(new V),inlineCompletionsAccessibilityVerbose:Le(new o(148,"inlineCompletionsAccessibilityVerbose",!1,{description:w.localize(334,null)})),suggestFontSize:Le(new n(119,"suggestFontSize",0,0,1e3,{markdownDescription:w.localize(335,null,"`0`","`#editor.fontSize#`")})),suggestLineHeight:Le(new n(120,"suggestLineHeight",0,0,1e3,{markdownDescription:w.localize(336,null,"`0`","`#editor.lineHeight#`")})),suggestOnTriggerCharacters:Le(new o(121,"suggestOnTriggerCharacters",!0,{description:w.localize(337,null)})),suggestSelection:Le(new u(122,"suggestSelection","first",["first","recentlyUsed","recentlyUsedByPrefix"],{markdownEnumDescriptions:[w.localize(338,null),w.localize(339,null),w.localize(340,null)],description:w.localize(341,null)})),tabCompletion:Le(new u(123,"tabCompletion","off",["on","off","onlySnippets"],{enumDescriptions:[w.localize(342,null),w.localize(343,null),w.localize(344,null)],description:w.localize(345,null)})),tabIndex:Le(new n(124,"tabIndex",0,-1,1073741824)),unicodeHighlight:Le(new ze),unusualLineTerminators:Le(new u(126,"unusualLineTerminators","prompt",["auto","off","prompt"],{enumDescriptions:[w.localize(346,null),w.localize(347,null),w.localize(348,null)],description:w.localize(349,null)})),useShadowDOM:Le(new o(127,"useShadowDOM",!0)),useTabStops:Le(new o(128,"useTabStops",!0,{description:w.localize(350,null)})),wordBreak:Le(new u(129,"wordBreak","normal",["normal","keepAll"],{markdownEnumDescriptions:[w.localize(351,null),w.localize(352,null)],description:w.localize(353,null)})),wordSeparators:Le(new t(130,"wordSeparators",R.$Es,{description:w.localize(354,null)})),wordWrap:Le(new u(131,"wordWrap","off",["off","on","wordWrapColumn","bounded"],{markdownEnumDescriptions:[w.localize(355,null),w.localize(356,null),w.localize(357,null),w.localize(358,null)],description:w.localize(359,null)})),wordWrapBreakAfterCharacters:Le(new t(132,"wordWrapBreakAfterCharacters"," 	})]?|/&.,;\xA2\xB0\u2032\u2033\u2030\u2103\u3001\u3002\uFF61\uFF64\uFFE0\uFF0C\uFF0E\uFF1A\uFF1B\uFF1F\uFF01\uFF05\u30FB\uFF65\u309D\u309E\u30FD\u30FE\u30FC\u30A1\u30A3\u30A5\u30A7\u30A9\u30C3\u30E3\u30E5\u30E7\u30EE\u30F5\u30F6\u3041\u3043\u3045\u3047\u3049\u3063\u3083\u3085\u3087\u308E\u3095\u3096\u31F0\u31F1\u31F2\u31F3\u31F4\u31F5\u31F6\u31F7\u31F8\u31F9\u31FA\u31FB\u31FC\u31FD\u31FE\u31FF\u3005\u303B\uFF67\uFF68\uFF69\uFF6A\uFF6B\uFF6C\uFF6D\uFF6E\uFF6F\uFF70\u201D\u3009\u300B\u300D\u300F\u3011\u3015\uFF09\uFF3D\uFF5D\uFF63")),wordWrapBreakBeforeCharacters:Le(new t(133,"wordWrapBreakBeforeCharacters","([{\u2018\u201C\u3008\u300A\u300C\u300E\u3010\u3014\uFF08\uFF3B\uFF5B\uFF62\xA3\xA5\uFF04\uFFE1\uFFE5+\uFF0B")),wordWrapColumn:Le(new n(134,"wordWrapColumn",80,1,1073741824,{markdownDescription:w.localize(360,null)})),wordWrapOverride1:Le(new u(135,"wordWrapOverride1","inherit",["off","on","inherit"])),wordWrapOverride2:Le(new u(136,"wordWrapOverride2","inherit",["off","on","inherit"])),editorClassName:Le(new N),defaultColorDecorators:Le(new o(146,"defaultColorDecorators",!1,{markdownDescription:w.localize(361,null)})),pixelRatio:Le(new de),tabFocusMode:Le(new o(143,"tabFocusMode",!1,{markdownDescription:w.localize(362,null)})),layoutInfo:Le(new Y),wrappingInfo:Le(new tt),wrappingIndent:Le(new Qe),wrappingStrategy:Le(new ae)}}),define(Se[196],De([9,10]),function(me,e){return me.create("vs/editor/common/languages",e)}),define(Se[83],De([1,0,78,2,169,29,179,196]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.InlineEditTriggerKind=e.ExternalUriOpenerPriority=e.$Yt=e.$Xt=e.InlayHintKind=e.CommentState=e.CommentMode=e.CommentThreadState=e.CommentThreadCollapsibleState=e.Command=e.NewSymbolNameTag=e.$Wt=e.$Vt=e.SymbolKinds=e.SymbolTag=e.$Ut=e.$Tt=e.SymbolKind=e.$St=e.DocumentHighlightKind=e.SignatureHelpTriggerKind=e.CodeActionTriggerType=e.$Rt=e.InlineCompletionTriggerKind=e.CompletionTriggerKind=e.CompletionItemInsertTextRule=e.CompletionItemTag=e.CompletionItemKinds=e.CompletionItemKind=e.$Qt=e.$Pt=e.$Ot=void 0;class v{constructor(O,j,K){this.offset=O,this.type=j,this.language=K,this._tokenBrand=void 0}toString(){return"("+this.offset+", "+this.type+")"}}e.$Ot=v;class S{constructor(O,j){this.tokens=O,this.endState=j,this._tokenizationResultBrand=void 0}}e.$Pt=S;class M{constructor(O,j){this.tokens=O,this.endState=j,this._encodedTokenizationResultBrand=void 0}}e.$Qt=M;var C;(function(P){P[P.Method=0]="Method",P[P.Function=1]="Function",P[P.Constructor=2]="Constructor",P[P.Field=3]="Field",P[P.Variable=4]="Variable",P[P.Class=5]="Class",P[P.Struct=6]="Struct",P[P.Interface=7]="Interface",P[P.Module=8]="Module",P[P.Property=9]="Property",P[P.Event=10]="Event",P[P.Operator=11]="Operator",P[P.Unit=12]="Unit",P[P.Value=13]="Value",P[P.Constant=14]="Constant",P[P.Enum=15]="Enum",P[P.EnumMember=16]="EnumMember",P[P.Keyword=17]="Keyword",P[P.Text=18]="Text",P[P.Color=19]="Color",P[P.File=20]="File",P[P.Reference=21]="Reference",P[P.Customcolor=22]="Customcolor",P[P.Folder=23]="Folder",P[P.TypeParameter=24]="TypeParameter",P[P.User=25]="User",P[P.Issue=26]="Issue",P[P.Snippet=27]="Snippet"})(C||(e.CompletionItemKind=C={}));var b;(function(P){const O=new Map;O.set(0,I.$kk.symbolMethod),O.set(1,I.$kk.symbolFunction),O.set(2,I.$kk.symbolConstructor),O.set(3,I.$kk.symbolField),O.set(4,I.$kk.symbolVariable),O.set(5,I.$kk.symbolClass),O.set(6,I.$kk.symbolStruct),O.set(7,I.$kk.symbolInterface),O.set(8,I.$kk.symbolModule),O.set(9,I.$kk.symbolProperty),O.set(10,I.$kk.symbolEvent),O.set(11,I.$kk.symbolOperator),O.set(12,I.$kk.symbolUnit),O.set(13,I.$kk.symbolValue),O.set(15,I.$kk.symbolEnum),O.set(14,I.$kk.symbolConstant),O.set(15,I.$kk.symbolEnum),O.set(16,I.$kk.symbolEnumMember),O.set(17,I.$kk.symbolKeyword),O.set(27,I.$kk.symbolSnippet),O.set(18,I.$kk.symbolText),O.set(19,I.$kk.symbolColor),O.set(20,I.$kk.symbolFile),O.set(21,I.$kk.symbolReference),O.set(22,I.$kk.symbolCustomColor),O.set(23,I.$kk.symbolFolder),O.set(24,I.$kk.symbolTypeParameter),O.set(25,I.$kk.account),O.set(26,I.$kk.issues);function j(_){let X=O.get(_);return X||(console.info("No codicon found for CompletionItemKind "+_),X=I.$kk.symbolProperty),X}P.toIcon=j;const K=new Map;K.set("method",0),K.set("function",1),K.set("constructor",2),K.set("field",3),K.set("variable",4),K.set("class",5),K.set("struct",6),K.set("interface",7),K.set("module",8),K.set("property",9),K.set("event",10),K.set("operator",11),K.set("unit",12),K.set("value",13),K.set("constant",14),K.set("enum",15),K.set("enum-member",16),K.set("enumMember",16),K.set("keyword",17),K.set("snippet",27),K.set("text",18),K.set("color",19),K.set("file",20),K.set("reference",21),K.set("customcolor",22),K.set("folder",23),K.set("type-parameter",24),K.set("typeParameter",24),K.set("account",25),K.set("issue",26);function ie(_,X){let Y=K.get(_);return typeof Y>"u"&&!X&&(Y=9),Y}P.fromString=ie})(b||(e.CompletionItemKinds=b={}));var E;(function(P){P[P.Deprecated=1]="Deprecated"})(E||(e.CompletionItemTag=E={}));var k;(function(P){P[P.None=0]="None",P[P.KeepWhitespace=1]="KeepWhitespace",P[P.InsertAsSnippet=4]="InsertAsSnippet"})(k||(e.CompletionItemInsertTextRule=k={}));var l;(function(P){P[P.Invoke=0]="Invoke",P[P.TriggerCharacter=1]="TriggerCharacter",P[P.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(l||(e.CompletionTriggerKind=l={}));var p;(function(P){P[P.Automatic=0]="Automatic",P[P.Explicit=1]="Explicit"})(p||(e.InlineCompletionTriggerKind=p={}));class o{constructor(O,j,K,ie){this.range=O,this.text=j,this.completionKind=K,this.isSnippetText=ie}equals(O){return L.$6s.lift(this.range).equalsRange(O.range)&&this.text===O.text&&this.completionKind===O.completionKind&&this.isSnippetText===O.isSnippetText}}e.$Rt=o;var i;(function(P){P[P.Invoke=1]="Invoke",P[P.Auto=2]="Auto"})(i||(e.CodeActionTriggerType=i={}));var n;(function(P){P[P.Invoke=1]="Invoke",P[P.TriggerCharacter=2]="TriggerCharacter",P[P.ContentChange=3]="ContentChange"})(n||(e.SignatureHelpTriggerKind=n={}));var r;(function(P){P[P.Text=0]="Text",P[P.Read=1]="Read",P[P.Write=2]="Write"})(r||(e.DocumentHighlightKind=r={}));function a(P){return P&&F.URI.isUri(P.uri)&&L.$6s.isIRange(P.range)&&(L.$6s.isIRange(P.originSelectionRange)||L.$6s.isIRange(P.targetSelectionRange))}e.$St=a;var t;(function(P){P[P.File=0]="File",P[P.Module=1]="Module",P[P.Namespace=2]="Namespace",P[P.Package=3]="Package",P[P.Class=4]="Class",P[P.Method=5]="Method",P[P.Property=6]="Property",P[P.Field=7]="Field",P[P.Constructor=8]="Constructor",P[P.Enum=9]="Enum",P[P.Interface=10]="Interface",P[P.Function=11]="Function",P[P.Variable=12]="Variable",P[P.Constant=13]="Constant",P[P.String=14]="String",P[P.Number=15]="Number",P[P.Boolean=16]="Boolean",P[P.Array=17]="Array",P[P.Object=18]="Object",P[P.Key=19]="Key",P[P.Null=20]="Null",P[P.EnumMember=21]="EnumMember",P[P.Struct=22]="Struct",P[P.Event=23]="Event",P[P.Operator=24]="Operator",P[P.TypeParameter=25]="TypeParameter"})(t||(e.SymbolKind=t={})),e.$Tt={17:(0,w.localize)(0,null),16:(0,w.localize)(1,null),4:(0,w.localize)(2,null),13:(0,w.localize)(3,null),8:(0,w.localize)(4,null),9:(0,w.localize)(5,null),21:(0,w.localize)(6,null),23:(0,w.localize)(7,null),7:(0,w.localize)(8,null),0:(0,w.localize)(9,null),11:(0,w.localize)(10,null),10:(0,w.localize)(11,null),19:(0,w.localize)(12,null),5:(0,w.localize)(13,null),1:(0,w.localize)(14,null),2:(0,w.localize)(15,null),20:(0,w.localize)(16,null),15:(0,w.localize)(17,null),18:(0,w.localize)(18,null),24:(0,w.localize)(19,null),3:(0,w.localize)(20,null),6:(0,w.localize)(21,null),14:(0,w.localize)(22,null),22:(0,w.localize)(23,null),25:(0,w.localize)(24,null),12:(0,w.localize)(25,null)};function d(P,O){return(0,w.localize)(26,null,P,e.$Tt[O])}e.$Ut=d;var u;(function(P){P[P.Deprecated=1]="Deprecated"})(u||(e.SymbolTag=u={}));var s;(function(P){const O=new Map;O.set(0,I.$kk.symbolFile),O.set(1,I.$kk.symbolModule),O.set(2,I.$kk.symbolNamespace),O.set(3,I.$kk.symbolPackage),O.set(4,I.$kk.symbolClass),O.set(5,I.$kk.symbolMethod),O.set(6,I.$kk.symbolProperty),O.set(7,I.$kk.symbolField),O.set(8,I.$kk.symbolConstructor),O.set(9,I.$kk.symbolEnum),O.set(10,I.$kk.symbolInterface),O.set(11,I.$kk.symbolFunction),O.set(12,I.$kk.symbolVariable),O.set(13,I.$kk.symbolConstant),O.set(14,I.$kk.symbolString),O.set(15,I.$kk.symbolNumber),O.set(16,I.$kk.symbolBoolean),O.set(17,I.$kk.symbolArray),O.set(18,I.$kk.symbolObject),O.set(19,I.$kk.symbolKey),O.set(20,I.$kk.symbolNull),O.set(21,I.$kk.symbolEnumMember),O.set(22,I.$kk.symbolStruct),O.set(23,I.$kk.symbolEvent),O.set(24,I.$kk.symbolOperator),O.set(25,I.$kk.symbolTypeParameter);function j(K){let ie=O.get(K);return ie||(console.info("No codicon found for SymbolKind "+K),ie=I.$kk.symbolProperty),ie}P.toIcon=j})(s||(e.SymbolKinds=s={}));class c{static asEditOperation(O){return $.$7s.replace(L.$6s.lift(O.range),O.text)}}e.$Vt=c;class h{static{this.Comment=new h("comment")}static{this.Imports=new h("imports")}static{this.Region=new h("region")}static fromValue(O){switch(O){case"comment":return h.Comment;case"imports":return h.Imports;case"region":return h.Region}return new h(O)}constructor(O){this.value=O}}e.$Wt=h;var m;(function(P){P[P.AIGenerated=1]="AIGenerated"})(m||(e.NewSymbolNameTag=m={}));var D;(function(P){function O(j){return!j||typeof j!="object"?!1:typeof j.id=="string"&&typeof j.title=="string"}P.is=O})(D||(e.Command=D={}));var g;(function(P){P[P.Collapsed=0]="Collapsed",P[P.Expanded=1]="Expanded"})(g||(e.CommentThreadCollapsibleState=g={}));var f;(function(P){P[P.Unresolved=0]="Unresolved",P[P.Resolved=1]="Resolved"})(f||(e.CommentThreadState=f={}));var y;(function(P){P[P.Editing=0]="Editing",P[P.Preview=1]="Preview"})(y||(e.CommentMode=y={}));var A;(function(P){P[P.Published=0]="Published",P[P.Draft=1]="Draft"})(A||(e.CommentState=A={}));var N;(function(P){P[P.Type=1]="Type",P[P.Parameter=2]="Parameter"})(N||(e.InlayHintKind=N={}));class U{constructor(O){this.b=O,this.a=null}dispose(){this.a&&this.a.then(O=>{O&&O.dispose()})}get tokenizationSupport(){return this.a||(this.a=this.b()),this.a}}e.$Xt=U,e.$Yt=new R.$Et;var z;(function(P){P[P.None=0]="None",P[P.Option=1]="Option",P[P.Default=2]="Default",P[P.Preferred=3]="Preferred"})(z||(e.ExternalUriOpenerPriority=z={}));var T;(function(P){P[P.Invoke=0]="Invoke",P[P.Automatic=1]="Automatic"})(T||(e.InlineEditTriggerKind=T={}))}),define(Se[197],De([9,10]),function(me,e){return me.create("vs/platform/configuration/common/configurationRegistry",e)}),define(Se[198],De([9,10]),function(me,e){return me.create("vs/platform/contextkey/common/contextkey",e)}),define(Se[199],De([9,10]),function(me,e){return me.create("vs/platform/contextkey/common/scanner",e)}),define(Se[200],De([9,10]),function(me,e){return me.create("vs/platform/dialogs/common/dialogs",e)}),define(Se[201],De([9,10]),function(me,e){return me.create("vs/platform/extensionManagement/common/extensionManagement",e)}),define(Se[202],De([9,10]),function(me,e){return me.create("vs/platform/extensions/common/extensionValidator",e)}),define(Se[203],De([9,10]),function(me,e){return me.create("vs/platform/externalTerminal/node/externalTerminalService",e)}),define(Se[204],De([9,10]),function(me,e){return me.create("vs/platform/files/common/files",e)}),define(Se[205],De([9,10]),function(me,e){return me.create("vs/platform/files/common/io",e)}),define(Se[206],De([9,10]),function(me,e){return me.create("vs/platform/files/node/diskFileSystemProvider",e)}),define(Se[207],De([9,10]),function(me,e){return me.create("vs/platform/markers/common/markers",e)}),define(Se[208],De([9,10]),function(me,e){return me.create("vs/platform/theme/common/iconRegistry",e)}),define(Se[209],De([9,10]),function(me,e){return me.create("vs/platform/userDataProfile/common/userDataProfile",e)}),define(Se[210],De([9,10]),function(me,e){return me.create("vs/platform/workspace/common/workspace",e)}),define(Se[211],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostChatAgents2",e)}),define(Se[212],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostChatProvider",e)}),define(Se[213],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostDiagnostics",e)}),define(Se[214],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostExtensionService",e)}),define(Se[215],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostLanguageFeatures",e)}),define(Se[216],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostLogService",e)}),define(Se[217],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostNotebook",e)}),define(Se[218],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostStatusBar",e)}),define(Se[219],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostTelemetry",e)}),define(Se[220],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostTerminalService",e)}),define(Se[221],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostTreeViews",e)}),define(Se[222],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostTunnelService",e)}),define(Se[223],De([9,10]),function(me,e){return me.create("vs/workbench/api/common/extHostWorkspace",e)}),define(Se[224],De([9,10]),function(me,e){return me.create("vs/workbench/api/node/extHostDebugService",e)}),define(Se[225],De([9,10]),function(me,e){return me.create("vs/workbench/common/configuration",e)}),define(Se[226],De([9,10]),function(me,e){return me.create("vs/workbench/common/editor",e)}),define(Se[227],De([9,10]),function(me,e){return me.create("vs/workbench/common/views",e)}),define(Se[228],De([9,10]),function(me,e){return me.create("vs/workbench/contrib/debug/common/abstractDebugAdapter",e)}),define(Se[229],De([9,10]),function(me,e){return me.create("vs/workbench/contrib/debug/common/debug",e)}),define(Se[230],De([9,10]),function(me,e){return me.create("vs/workbench/contrib/debug/node/debugAdapter",e)}),define(Se[231],De([9,10]),function(me,e){return me.create("vs/workbench/contrib/tasks/common/taskDefinitionRegistry",e)}),define(Se[232],De([9,10]),function(me,e){return me.create("vs/workbench/contrib/tasks/common/tasks",e)}),define(Se[233],De([9,10]),function(me,e){return me.create("vs/workbench/services/configurationResolver/common/variableResolver",e)}),define(Se[234],De([9,10]),function(me,e){return me.create("vs/workbench/services/editor/common/editorResolverService",e)}),define(Se[235],De([9,10]),function(me,e){return me.create("vs/workbench/services/extensions/common/extensionsRegistry",e)}),define(Se[236],De([9,10]),function(me,e){return me.create("vs/workbench/services/remote/common/tunnelModel",e)}),define(Se[237],De([9,10]),function(me,e){return me.create("vs/workbench/services/search/common/queryBuilder",e)}),define(Se[238],De([1,0,14,199]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_i=e.TokenType=void 0;var $;(function(S){S[S.LParen=0]="LParen",S[S.RParen=1]="RParen",S[S.Neg=2]="Neg",S[S.Eq=3]="Eq",S[S.NotEq=4]="NotEq",S[S.Lt=5]="Lt",S[S.LtEq=6]="LtEq",S[S.Gt=7]="Gt",S[S.GtEq=8]="GtEq",S[S.RegexOp=9]="RegexOp",S[S.RegexStr=10]="RegexStr",S[S.True=11]="True",S[S.False=12]="False",S[S.In=13]="In",S[S.Not=14]="Not",S[S.And=15]="And",S[S.Or=16]="Or",S[S.Str=17]="Str",S[S.QuotedStr=18]="QuotedStr",S[S.Error=19]="Error",S[S.EOF=20]="EOF"})($||(e.TokenType=$={}));function L(...S){switch(S.length){case 1:return(0,F.localize)(0,null,S[0]);case 2:return(0,F.localize)(1,null,S[0],S[1]);case 3:return(0,F.localize)(2,null,S[0],S[1],S[2]);default:return}}const R=(0,F.localize)(3,null),w=(0,F.localize)(4,null);class v{constructor(){this.c="",this.d=0,this.e=0,this.f=[],this.g=[],this.m=/[a-zA-Z0-9_<>\-\./\\:\*\?\+\[\]\^,#@;"%\$\p{L}-]+/uy}static getLexeme(M){switch(M.type){case 0:return"(";case 1:return")";case 2:return"!";case 3:return M.isTripleEq?"===":"==";case 4:return M.isTripleEq?"!==":"!=";case 5:return"<";case 6:return"<=";case 7:return">=";case 8:return">=";case 9:return"=~";case 10:return M.lexeme;case 11:return"true";case 12:return"false";case 13:return"in";case 14:return"not";case 15:return"&&";case 16:return"||";case 17:return M.lexeme;case 18:return M.lexeme;case 19:return M.lexeme;case 20:return"EOF";default:throw(0,I.$8)(`unhandled token type: ${JSON.stringify(M)}; have you forgotten to add a case?`)}}static{this.a=new Set(["i","g","s","m","y","u"].map(M=>M.charCodeAt(0)))}static{this.b=new Map([["not",14],["in",13],["false",12],["true",11]])}get errors(){return this.g}reset(M){return this.c=M,this.d=0,this.e=0,this.f=[],this.g=[],this}scan(){for(;!this.r();)switch(this.d=this.e,this.i()){case 40:this.k(0);break;case 41:this.k(1);break;case 33:if(this.h(61)){const C=this.h(61);this.f.push({type:4,offset:this.d,isTripleEq:C})}else this.k(2);break;case 39:this.o();break;case 47:this.q();break;case 61:if(this.h(61)){const C=this.h(61);this.f.push({type:3,offset:this.d,isTripleEq:C})}else this.h(126)?this.k(9):this.l(L("==","=~"));break;case 60:this.k(this.h(61)?6:5);break;case 62:this.k(this.h(61)?8:7);break;case 38:this.h(38)?this.k(15):this.l(L("&&"));break;case 124:this.h(124)?this.k(16):this.l(L("||"));break;case 32:case 13:case 9:case 10:case 160:break;default:this.n()}return this.d=this.e,this.k(20),Array.from(this.f)}h(M){return this.r()||this.c.charCodeAt(this.e)!==M?!1:(this.e++,!0)}i(){return this.c.charCodeAt(this.e++)}j(){return this.r()?0:this.c.charCodeAt(this.e)}k(M){this.f.push({type:M,offset:this.d})}l(M){const C=this.d,b=this.c.substring(this.d,this.e),E={type:19,offset:this.d,lexeme:b};this.g.push({offset:C,lexeme:b,additionalInfo:M}),this.f.push(E)}n(){this.m.lastIndex=this.d;const M=this.m.exec(this.c);if(M){this.e=this.d+M[0].length;const C=this.c.substring(this.d,this.e),b=v.b.get(C);b?this.k(b):this.f.push({type:17,lexeme:C,offset:this.d})}}o(){for(;this.j()!==39&&!this.r();)this.i();if(this.r()){this.l(R);return}this.i(),this.f.push({type:18,lexeme:this.c.substring(this.d+1,this.e-1),offset:this.d+1})}q(){let M=this.e,C=!1,b=!1;for(;;){if(M>=this.c.length){this.e=M,this.l(w);return}const k=this.c.charCodeAt(M);if(C)C=!1;else if(k===47&&!b){M++;break}else k===91?b=!0:k===92?C=!0:k===93&&(b=!1);M++}for(;M<this.c.length&&v.a.has(this.c.charCodeAt(M));)M++;this.e=M;const E=this.c.substring(this.d,this.e);this.f.push({type:10,lexeme:E,offset:this.d})}r(){return this.e>=this.c.length}}e.$_i=v}),define(Se[239],De([1,0,23,39,202,389]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rp=e.$qp=e.$pp=e.$op=e.$np=e.$mp=e.$lp=void 0;const R=/^(\^|>=)?((\d+)|x)\.((\d+)|x)\.((\d+)|x)(\-.*)?$/,w=/^-(\d{4})(\d{2})(\d{2})$/;function v(o){return o=o.trim(),o==="*"||R.test(o)}e.$lp=v;function S(o){if(!v(o))return null;if(o=o.trim(),o==="*")return{hasCaret:!1,hasGreaterEquals:!1,majorBase:0,majorMustEqual:!1,minorBase:0,minorMustEqual:!1,patchBase:0,patchMustEqual:!1,preRelease:null};const i=o.match(R);return i?{hasCaret:i[1]==="^",hasGreaterEquals:i[1]===">=",majorBase:i[2]==="x"?0:parseInt(i[2],10),majorMustEqual:i[2]!=="x",minorBase:i[4]==="x"?0:parseInt(i[4],10),minorMustEqual:i[4]!=="x",patchBase:i[6]==="x"?0:parseInt(i[6],10),patchMustEqual:i[6]!=="x",preRelease:i[8]||null}:null}e.$mp=S;function M(o){if(!o)return null;const i=o.majorBase,n=o.majorMustEqual,r=o.minorBase;let a=o.minorMustEqual;const t=o.patchBase;let d=o.patchMustEqual;o.hasCaret&&(i===0||(a=!1),d=!1);let u=0;if(o.preRelease){const s=w.exec(o.preRelease);if(s){const[,c,h,m]=s;u=Date.UTC(Number(c),Number(h)-1,Number(m))}}return{majorBase:i,majorMustEqual:n,minorBase:r,minorMustEqual:a,patchBase:t,patchMustEqual:d,isMinimum:o.hasGreaterEquals,notBefore:u}}e.$np=M;function C(o,i,n){let r;typeof o=="string"?r=M(S(o)):r=o;let a;i instanceof Date?a=i.getTime():typeof i=="string"&&(a=new Date(i).getTime());let t;if(typeof n=="string"?t=M(S(n)):t=n,!r||!t)return!1;const d=r.majorBase,u=r.minorBase,s=r.patchBase;let c=t.majorBase,h=t.minorBase,m=t.patchBase;const D=t.notBefore;let g=t.majorMustEqual,f=t.minorMustEqual,y=t.patchMustEqual;return t.isMinimum?d>c?!0:d<c?!1:u>h?!0:u<h||a&&a<D?!1:s>=m:(d===1&&c===0&&(!g||!f||!y)&&(c=1,h=0,m=0,g=!0,f=!1,y=!1),d<c?!1:d>c?!g:u<h?!1:u>h?!f:s<m?!1:s>m?!y:!(a&&a<D))}e.$op=C;function b(o,i,n,r,a){const t=[];if(typeof r.publisher<"u"&&typeof r.publisher!="string")return t.push([F.default.Error,$.localize(0,null)]),t;if(typeof r.name!="string")return t.push([F.default.Error,$.localize(1,null,"name")]),t;if(typeof r.version!="string")return t.push([F.default.Error,$.localize(2,null,"version")]),t;if(!r.engines)return t.push([F.default.Error,$.localize(3,null,"engines")]),t;if(typeof r.engines.vscode!="string")return t.push([F.default.Error,$.localize(4,null,"engines.vscode")]),t;if(typeof r.extensionDependencies<"u"&&!p(r.extensionDependencies))return t.push([F.default.Error,$.localize(5,null,"extensionDependencies")]),t;if(typeof r.activationEvents<"u"){if(!p(r.activationEvents))return t.push([F.default.Error,$.localize(6,null,"activationEvents")]),t;if(typeof r.main>"u"&&typeof r.browser>"u")return t.push([F.default.Error,$.localize(7,null,"activationEvents","main","browser")]),t}if(typeof r.extensionKind<"u"&&typeof r.main>"u"&&t.push([F.default.Warning,$.localize(8,null,"extensionKind")]),typeof r.main<"u"){if(typeof r.main!="string")return t.push([F.default.Error,$.localize(9,null,"main")]),t;{const s=(0,I.$Rg)(n,r.main);(0,I.$Lg)(s,n)||t.push([F.default.Warning,$.localize(10,null,s.path,n.path)])}}if(typeof r.browser<"u"){if(typeof r.browser!="string")return t.push([F.default.Error,$.localize(11,null,"browser")]),t;{const s=(0,I.$Rg)(n,r.browser);(0,I.$Lg)(s,n)||t.push([F.default.Warning,$.localize(12,null,s.path,n.path)])}}if(!L.valid(r.version))return t.push([F.default.Error,$.localize(13,null)]),t;const d=[];if(!E(o,i,r,a,d))for(const s of d)t.push([F.default.Error,s]);return t}e.$pp=b;function E(o,i,n,r,a){return r||typeof n.main>"u"&&typeof n.browser>"u"?!0:l(o,i,n.engines.vscode,a)}e.$qp=E;function k(o,i,n){return o==="*"||l(i,n,o)}e.$rp=k;function l(o,i,n,r=[]){const a=M(S(n));if(!a)return r.push($.localize(14,null,n)),!1;if(a.majorBase===0){if(!a.majorMustEqual||!a.minorMustEqual)return r.push($.localize(15,null,n)),!1}else if(!a.majorMustEqual)return r.push($.localize(16,null,n)),!1;return C(o,i,a)?!0:(r.push($.localize(17,null,o,n)),!1)}function p(o){if(!Array.isArray(o))return!1;for(let i=0,n=o.length;i<n;i++)if(typeof o[i]!="string")return!1;return!0}}),define(Se[105],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bi=void 0;class I{constructor($,L=[],R=!1){this.ctor=$,this.staticArguments=L,this.supportsDelayedInstantiation=R}}e.$bi=I}),define(Se[84],De([1,0,105]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$r=e.$0r=e.InstantiationType=void 0;const F=[];var $;(function(w){w[w.Eager=0]="Eager",w[w.Delayed=1]="Delayed"})($||(e.InstantiationType=$={}));function L(w,v,S){v instanceof I.$bi||(v=new I.$bi(v,[],!!S)),F.push([w,v])}e.$0r=L;function R(){return F}e.$$r=R}),define(Se[240],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Oq=e.$Nq=void 0;class I{constructor(L,R){this.key=L,this.data=R,this.incoming=new Map,this.outgoing=new Map}}e.$Nq=I;class F{constructor(L){this.b=L,this.a=new Map}roots(){const L=[];for(const R of this.a.values())R.outgoing.size===0&&L.push(R);return L}insertEdge(L,R){const w=this.lookupOrInsertNode(L),v=this.lookupOrInsertNode(R);w.outgoing.set(v.key,v),v.incoming.set(w.key,w)}removeNode(L){const R=this.b(L);this.a.delete(R);for(const w of this.a.values())w.outgoing.delete(R),w.incoming.delete(R)}lookupOrInsertNode(L){const R=this.b(L);let w=this.a.get(R);return w||(w=new I(R,L),this.a.set(R,w)),w}lookup(L){return this.a.get(this.b(L))}isEmpty(){return this.a.size===0}toString(){const L=[];for(const[R,w]of this.a)L.push(`${R}
	(-> incoming)[${[...w.incoming.keys()].join(", ")}]
	(outgoing ->)[${[...w.outgoing.keys()].join(",")}]
`);return L.join(`
`)}findCycleSlow(){for(const[L,R]of this.a){const w=new Set([L]),v=this.c(R,w);if(v)return v}}c(L,R){for(const[w,v]of L.outgoing){if(R.has(w))return[...R,w].join(" -> ");R.add(w);const S=this.c(v,R);if(S)return S;R.delete(w)}}}e.$Oq=F}),define(Se[5],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fi=e.$ei=e.$di=e._util=void 0;var I;(function(R){R.serviceIds=new Map,R.DI_TARGET="$di$target",R.DI_DEPENDENCIES="$di$dependencies";function w(v){return v[R.DI_DEPENDENCIES]||[]}R.getServiceDependencies=w})(I||(e._util=I={})),e.$di=$("instantiationService");function F(R,w,v){w[I.DI_TARGET]===w?w[I.DI_DEPENDENCIES].push({id:R,index:v}):(w[I.DI_DEPENDENCIES]=[{id:R,index:v}],w[I.DI_TARGET]=w)}function $(R){if(I.serviceIds.has(R))return I.serviceIds.get(R);const w=function(v,S,M){if(arguments.length!==3)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");F(w,v,M)};return w.toString=()=>R,I.serviceIds.set(R,w),w}e.$ei=$;function L(R){return R}e.$fi=L}),define(Se[52],De([1,0,18,2,5]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ui=e.$Ti=e.$Si=e.$Ri=e.$Qi=e.$Pi=e.$Oi=e.$Ni=e.ConfigurationTarget=e.$Mi=e.$Li=e.$Ki=void 0,e.$Ki=(0,$.$ei)("configurationService");function L(o){return o&&typeof o=="object"&&(!o.overrideIdentifier||typeof o.overrideIdentifier=="string")&&(!o.resource||o.resource instanceof F.URI)}e.$Li=L;function R(o){return o&&typeof o=="object"&&(!o.overrideIdentifiers||Array.isArray(o.overrideIdentifiers))&&!o.overrideIdentifier&&(!o.resource||o.resource instanceof F.URI)}e.$Mi=R;var w;(function(o){o[o.APPLICATION=1]="APPLICATION",o[o.USER=2]="USER",o[o.USER_LOCAL=3]="USER_LOCAL",o[o.USER_REMOTE=4]="USER_REMOTE",o[o.WORKSPACE=5]="WORKSPACE",o[o.WORKSPACE_FOLDER=6]="WORKSPACE_FOLDER",o[o.DEFAULT=7]="DEFAULT",o[o.MEMORY=8]="MEMORY"})(w||(e.ConfigurationTarget=w={}));function v(o){switch(o){case 1:return"APPLICATION";case 2:return"USER";case 3:return"USER_LOCAL";case 4:return"USER_REMOTE";case 5:return"WORKSPACE";case 6:return"WORKSPACE_FOLDER";case 7:return"DEFAULT";case 8:return"MEMORY"}}e.$Ni=v;function S(o){return o.applicationValue!==void 0||o.userValue!==void 0||o.userLocalValue!==void 0||o.userRemoteValue!==void 0||o.workspaceValue!==void 0||o.workspaceFolderValue!==void 0}e.$Oi=S;function M(o,i){const n=Object.create(null);for(const r in o)C(n,r,o[r],i);return n}e.$Pi=M;function C(o,i,n,r){const a=i.split("."),t=a.pop();let d=o;for(let u=0;u<a.length;u++){const s=a[u];let c=d[s];switch(typeof c){case"undefined":c=d[s]=Object.create(null);break;case"object":break;default:r(`Ignoring ${i} as ${a.slice(0,u+1).join(".")} is ${JSON.stringify(c)}`);return}d=c}if(typeof d=="object"&&d!==null)try{d[t]=n}catch{r(`Ignoring ${i} as ${a.join(".")} is ${JSON.stringify(d)}`)}else r(`Ignoring ${i} as ${a.join(".")} is ${JSON.stringify(d)}`)}e.$Qi=C;function b(o,i){const n=i.split(".");E(o,n)}e.$Ri=b;function E(o,i){const n=i.shift();if(i.length===0){delete o[n];return}if(Object.keys(o).indexOf(n)!==-1){const r=o[n];typeof r=="object"&&!Array.isArray(r)&&(E(r,i),Object.keys(r).length===0&&delete o[n])}}function k(o,i,n){function r(d,u){let s=d;for(const c of u){if(typeof s!="object"||s===null)return;s=s[c]}return s}const a=i.split("."),t=r(o,a);return typeof t>"u"?n:t}e.$Si=k;function l(o,i,n){Object.keys(i).forEach(r=>{r!=="__proto__"&&(r in o?I.$Uf(o[r])&&I.$Uf(i[r])?l(o[r],i[r],n):n&&(o[r]=i[r]):o[r]=i[r])})}e.$Ti=l;function p(o){return o.replace(/[\[\]]/g,"")}e.$Ui=p}),define(Se[45],De([1,0,11,12,238,5,198,14]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xj=e.$wj=e.$vj=e.$uj=e.$tj=e.$sj=e.$rj=e.$qj=e.$pj=e.$oj=e.$nj=e.$mj=e.$lj=e.$kj=e.$jj=e.$ij=e.$hj=e.$gj=e.$fj=e.$ej=e.$dj=e.$cj=e.$bj=e.ContextKeyExprType=e.$aj=void 0;const v=new Map;v.set("false",!1),v.set("true",!0),v.set("isMac",I.$j),v.set("isLinux",I.$k),v.set("isWindows",I.$i),v.set("isWeb",I.$o),v.set("isMacNative",I.$j&&!I.$o),v.set("isEdge",I.$H),v.set("isFirefox",I.$F),v.set("isChrome",I.$E),v.set("isSafari",I.$G);function S(J,B){if(v.get(J)!==void 0)throw(0,w.$7)("contextkey.setConstant(k, v) invoked with already set constant `k`");v.set(J,B)}e.$aj=S;const M=Object.prototype.hasOwnProperty;var C;(function(J){J[J.False=0]="False",J[J.True=1]="True",J[J.Defined=2]="Defined",J[J.Not=3]="Not",J[J.Equals=4]="Equals",J[J.NotEquals=5]="NotEquals",J[J.And=6]="And",J[J.Regex=7]="Regex",J[J.NotRegex=8]="NotRegex",J[J.Or=9]="Or",J[J.In=10]="In",J[J.NotIn=11]="NotIn",J[J.Greater=12]="Greater",J[J.GreaterEquals=13]="GreaterEquals",J[J.Smaller=14]="Smaller",J[J.SmallerEquals=15]="SmallerEquals"})(C||(e.ContextKeyExprType=C={}));const b={regexParsingWithErrorRecovery:!0},E=(0,R.localize)(0,null),k=(0,R.localize)(1,null),l=(0,R.localize)(2,null),p=(0,R.localize)(3,null),o=(0,R.localize)(4,null),i=(0,R.localize)(5,null),n=(0,R.localize)(6,null),r=(0,R.localize)(7,null);class a{static{this.c=new Error}get lexingErrors(){return this.d.errors}get parsingErrors(){return this.h}constructor(B=b){this.k=B,this.d=new $.$_i,this.f=[],this.g=0,this.h=[],this.v=/g|y/g}parse(B){if(B===""){this.h.push({message:E,offset:0,lexeme:"",additionalInfo:k});return}this.f=this.d.reset(B).scan(),this.g=0,this.h=[];try{const se=this.l();if(!this.E()){const Ee=this.D(),le=Ee.type===17?i:void 0;throw this.h.push({message:o,offset:Ee.offset,lexeme:$.$_i.getLexeme(Ee),additionalInfo:le}),a.c}return se}catch(se){if(se!==a.c)throw se;return}}l(){return this.m()}m(){const B=[this.o()];for(;this.y(16);){const se=this.o();B.push(se)}return B.length===1?B[0]:t.or(...B)}o(){const B=[this.s()];for(;this.y(15);){const se=this.s();B.push(se)}return B.length===1?B[0]:t.and(...B)}s(){if(this.y(2)){const B=this.D();switch(B.type){case 11:return this.z(),c.INSTANCE;case 12:return this.z(),h.INSTANCE;case 0:{this.z();const se=this.l();return this.A(1,p),se?.negate()}case 17:return this.z(),A.create(B.lexeme);default:throw this.B("KEY | true | false | '(' expression ')'",B)}}return this.t()}t(){const B=this.D();switch(B.type){case 11:return this.z(),t.true();case 12:return this.z(),t.false();case 0:{this.z();const se=this.l();return this.A(1,p),se}case 17:{const se=B.lexeme;if(this.z(),this.y(9)){const le=this.D();if(!this.k.regexParsingWithErrorRecovery){if(this.z(),le.type!==10)throw this.B("REGEX",le);const he=le.lexeme,ce=he.lastIndexOf("/"),de=ce===he.length-1?void 0:this.w(he.substring(ce+1));let H;try{H=new RegExp(he.substring(1,ce),de)}catch{throw this.B("REGEX",le)}return O.create(se,H)}switch(le.type){case 10:case 19:{const he=[le.lexeme];this.z();let ce=this.D(),de=0;for(let Pe=0;Pe<le.lexeme.length;Pe++)le.lexeme.charCodeAt(Pe)===40?de++:le.lexeme.charCodeAt(Pe)===41&&de--;for(;!this.E()&&ce.type!==15&&ce.type!==16;){switch(ce.type){case 0:de++;break;case 1:de--;break;case 10:case 18:for(let Pe=0;Pe<ce.lexeme.length;Pe++)ce.lexeme.charCodeAt(Pe)===40?de++:le.lexeme.charCodeAt(Pe)===41&&de--}if(de<0)break;he.push($.$_i.getLexeme(ce)),this.z(),ce=this.D()}const H=he.join(""),x=H.lastIndexOf("/"),ue=x===H.length-1?void 0:this.w(H.substring(x+1));let be;try{be=new RegExp(H.substring(1,x),ue)}catch{throw this.B("REGEX",le)}return t.regex(se,be)}case 18:{const he=le.lexeme;this.z();let ce=null;if(!(0,F.$Se)(he)){const de=he.indexOf("/"),H=he.lastIndexOf("/");if(de!==H&&de>=0){const x=he.slice(de+1,H),ue=he[H+1]==="i"?"i":"";try{ce=new RegExp(x,ue)}catch{throw this.B("REGEX",le)}}}if(ce===null)throw this.B("REGEX",le);return O.create(se,ce)}default:throw this.B("REGEX",this.D())}}if(this.y(14)){this.A(13,l);const le=this.u();return t.notIn(se,le)}switch(this.D().type){case 3:{this.z();const le=this.u();if(this.x().type===18)return t.equals(se,le);switch(le){case"true":return t.has(se);case"false":return t.not(se);default:return t.equals(se,le)}}case 4:{this.z();const le=this.u();if(this.x().type===18)return t.notEquals(se,le);switch(le){case"true":return t.not(se);case"false":return t.has(se);default:return t.notEquals(se,le)}}case 5:return this.z(),T.create(se,this.u());case 6:return this.z(),P.create(se,this.u());case 7:return this.z(),U.create(se,this.u());case 8:return this.z(),z.create(se,this.u());case 13:return this.z(),t.in(se,this.u());default:return t.has(se)}}case 20:throw this.h.push({message:n,offset:B.offset,lexeme:"",additionalInfo:r}),a.c;default:throw this.B(`true | false | KEY 
	| KEY '=~' REGEX 
	| KEY ('==' | '!=' | '<' | '<=' | '>' | '>=' | 'in' | 'not' 'in') value`,this.D())}}u(){const B=this.D();switch(B.type){case 17:case 18:return this.z(),B.lexeme;case 11:return this.z(),"true";case 12:return this.z(),"false";case 13:return this.z(),"in";default:return""}}w(B){return B.replaceAll(this.v,"")}x(){return this.f[this.g-1]}y(B){return this.C(B)?(this.z(),!0):!1}z(){return this.E()||this.g++,this.x()}A(B,se){if(this.C(B))return this.z();throw this.B(se,this.D())}B(B,se,Ee){const le=(0,R.localize)(8,null,B,$.$_i.getLexeme(se)),he=se.offset,ce=$.$_i.getLexeme(se);return this.h.push({message:le,offset:he,lexeme:ce,additionalInfo:Ee}),a.c}C(B){return this.D().type===B}D(){return this.f[this.g]}E(){return this.D().type===20}}e.$bj=a;class t{static false(){return c.INSTANCE}static true(){return h.INSTANCE}static has(B){return m.create(B)}static equals(B,se){return D.create(B,se)}static notEquals(B,se){return y.create(B,se)}static regex(B,se){return O.create(B,se)}static in(B,se){return g.create(B,se)}static notIn(B,se){return f.create(B,se)}static not(B){return A.create(B)}static and(...B){return ie.create(B,null,!0)}static or(...B){return _.create(B,null,!0)}static greater(B,se){return U.create(B,se)}static greaterEquals(B,se){return z.create(B,se)}static smaller(B,se){return T.create(B,se)}static smallerEquals(B,se){return P.create(B,se)}static{this.c=new a({regexParsingWithErrorRecovery:!1})}static deserialize(B){return B==null?void 0:this.c.parse(B)}}e.$cj=t;function d(J){const B=new a({regexParsingWithErrorRecovery:!1});return J.map(se=>(B.parse(se),B.lexingErrors.length>0?B.lexingErrors.map(Ee=>({errorMessage:Ee.additionalInfo?(0,R.localize)(9,null,Ee.additionalInfo):(0,R.localize)(10,null),offset:Ee.offset,length:Ee.lexeme.length})):B.parsingErrors.length>0?B.parsingErrors.map(Ee=>({errorMessage:Ee.additionalInfo?`${Ee.message}. ${Ee.additionalInfo}`:Ee.message,offset:Ee.offset,length:Ee.lexeme.length})):[]))}e.$dj=d;function u(J,B){const se=J?J.substituteConstants():void 0,Ee=B?B.substituteConstants():void 0;return!se&&!Ee?!0:!se||!Ee?!1:se.equals(Ee)}e.$ej=u;function s(J,B){return J.cmp(B)}class c{static{this.INSTANCE=new c}constructor(){this.type=0}cmp(B){return this.type-B.type}equals(B){return B.type===this.type}substituteConstants(){return this}evaluate(B){return!1}serialize(){return"false"}keys(){return[]}map(B){return this}negate(){return h.INSTANCE}}e.$fj=c;class h{static{this.INSTANCE=new h}constructor(){this.type=1}cmp(B){return this.type-B.type}equals(B){return B.type===this.type}substituteConstants(){return this}evaluate(B){return!0}serialize(){return"true"}keys(){return[]}map(B){return this}negate(){return c.INSTANCE}}e.$gj=h;class m{static create(B,se=null){const Ee=v.get(B);return typeof Ee=="boolean"?Ee?h.INSTANCE:c.INSTANCE:new m(B,se)}constructor(B,se){this.key=B,this.c=se,this.type=2}cmp(B){return B.type!==this.type?this.type-B.type:Y(this.key,B.key)}equals(B){return B.type===this.type?this.key===B.key:!1}substituteConstants(){const B=v.get(this.key);return typeof B=="boolean"?B?h.INSTANCE:c.INSTANCE:this}evaluate(B){return!!B.getValue(this.key)}serialize(){return this.key}keys(){return[this.key]}map(B){return B.mapDefined(this.key)}negate(){return this.c||(this.c=A.create(this.key,this)),this.c}}e.$hj=m;class D{static create(B,se,Ee=null){if(typeof se=="boolean")return se?m.create(B,Ee):A.create(B,Ee);const le=v.get(B);return typeof le=="boolean"?se===(le?"true":"false")?h.INSTANCE:c.INSTANCE:new D(B,se,Ee)}constructor(B,se,Ee){this.c=B,this.d=se,this.f=Ee,this.type=4}cmp(B){return B.type!==this.type?this.type-B.type:ae(this.c,this.d,B.c,B.d)}equals(B){return B.type===this.type?this.c===B.c&&this.d===B.d:!1}substituteConstants(){const B=v.get(this.c);if(typeof B=="boolean"){const se=B?"true":"false";return this.d===se?h.INSTANCE:c.INSTANCE}return this}evaluate(B){return B.getValue(this.c)==this.d}serialize(){return`${this.c} == '${this.d}'`}keys(){return[this.c]}map(B){return B.mapEquals(this.c,this.d)}negate(){return this.f||(this.f=y.create(this.c,this.d,this)),this.f}}e.$ij=D;class g{static create(B,se){return new g(B,se)}constructor(B,se){this.d=B,this.f=se,this.type=10,this.c=null}cmp(B){return B.type!==this.type?this.type-B.type:ae(this.d,this.f,B.d,B.f)}equals(B){return B.type===this.type?this.d===B.d&&this.f===B.f:!1}substituteConstants(){return this}evaluate(B){const se=B.getValue(this.f),Ee=B.getValue(this.d);return Array.isArray(se)?se.includes(Ee):typeof Ee=="string"&&typeof se=="object"&&se!==null?M.call(se,Ee):!1}serialize(){return`${this.d} in '${this.f}'`}keys(){return[this.d,this.f]}map(B){return B.mapIn(this.d,this.f)}negate(){return this.c||(this.c=f.create(this.d,this.f)),this.c}}e.$jj=g;class f{static create(B,se){return new f(B,se)}constructor(B,se){this.d=B,this.f=se,this.type=11,this.c=g.create(B,se)}cmp(B){return B.type!==this.type?this.type-B.type:this.c.cmp(B.c)}equals(B){return B.type===this.type?this.c.equals(B.c):!1}substituteConstants(){return this}evaluate(B){return!this.c.evaluate(B)}serialize(){return`${this.d} not in '${this.f}'`}keys(){return this.c.keys()}map(B){return B.mapNotIn(this.d,this.f)}negate(){return this.c}}e.$kj=f;class y{static create(B,se,Ee=null){if(typeof se=="boolean")return se?A.create(B,Ee):m.create(B,Ee);const le=v.get(B);return typeof le=="boolean"?se===(le?"true":"false")?c.INSTANCE:h.INSTANCE:new y(B,se,Ee)}constructor(B,se,Ee){this.c=B,this.d=se,this.f=Ee,this.type=5}cmp(B){return B.type!==this.type?this.type-B.type:ae(this.c,this.d,B.c,B.d)}equals(B){return B.type===this.type?this.c===B.c&&this.d===B.d:!1}substituteConstants(){const B=v.get(this.c);if(typeof B=="boolean"){const se=B?"true":"false";return this.d===se?c.INSTANCE:h.INSTANCE}return this}evaluate(B){return B.getValue(this.c)!=this.d}serialize(){return`${this.c} != '${this.d}'`}keys(){return[this.c]}map(B){return B.mapNotEquals(this.c,this.d)}negate(){return this.f||(this.f=D.create(this.c,this.d,this)),this.f}}e.$lj=y;class A{static create(B,se=null){const Ee=v.get(B);return typeof Ee=="boolean"?Ee?c.INSTANCE:h.INSTANCE:new A(B,se)}constructor(B,se){this.c=B,this.d=se,this.type=3}cmp(B){return B.type!==this.type?this.type-B.type:Y(this.c,B.c)}equals(B){return B.type===this.type?this.c===B.c:!1}substituteConstants(){const B=v.get(this.c);return typeof B=="boolean"?B?c.INSTANCE:h.INSTANCE:this}evaluate(B){return!B.getValue(this.c)}serialize(){return`!${this.c}`}keys(){return[this.c]}map(B){return B.mapNot(this.c)}negate(){return this.d||(this.d=m.create(this.c,this)),this.d}}e.$mj=A;function N(J,B){if(typeof J=="string"){const se=parseFloat(J);isNaN(se)||(J=se)}return typeof J=="string"||typeof J=="number"?B(J):c.INSTANCE}class U{static create(B,se,Ee=null){return N(se,le=>new U(B,le,Ee))}constructor(B,se,Ee){this.c=B,this.d=se,this.f=Ee,this.type=12}cmp(B){return B.type!==this.type?this.type-B.type:ae(this.c,this.d,B.c,B.d)}equals(B){return B.type===this.type?this.c===B.c&&this.d===B.d:!1}substituteConstants(){return this}evaluate(B){return typeof this.d=="string"?!1:parseFloat(B.getValue(this.c))>this.d}serialize(){return`${this.c} > ${this.d}`}keys(){return[this.c]}map(B){return B.mapGreater(this.c,this.d)}negate(){return this.f||(this.f=P.create(this.c,this.d,this)),this.f}}e.$nj=U;class z{static create(B,se,Ee=null){return N(se,le=>new z(B,le,Ee))}constructor(B,se,Ee){this.c=B,this.d=se,this.f=Ee,this.type=13}cmp(B){return B.type!==this.type?this.type-B.type:ae(this.c,this.d,B.c,B.d)}equals(B){return B.type===this.type?this.c===B.c&&this.d===B.d:!1}substituteConstants(){return this}evaluate(B){return typeof this.d=="string"?!1:parseFloat(B.getValue(this.c))>=this.d}serialize(){return`${this.c} >= ${this.d}`}keys(){return[this.c]}map(B){return B.mapGreaterEquals(this.c,this.d)}negate(){return this.f||(this.f=T.create(this.c,this.d,this)),this.f}}e.$oj=z;class T{static create(B,se,Ee=null){return N(se,le=>new T(B,le,Ee))}constructor(B,se,Ee){this.c=B,this.d=se,this.f=Ee,this.type=14}cmp(B){return B.type!==this.type?this.type-B.type:ae(this.c,this.d,B.c,B.d)}equals(B){return B.type===this.type?this.c===B.c&&this.d===B.d:!1}substituteConstants(){return this}evaluate(B){return typeof this.d=="string"?!1:parseFloat(B.getValue(this.c))<this.d}serialize(){return`${this.c} < ${this.d}`}keys(){return[this.c]}map(B){return B.mapSmaller(this.c,this.d)}negate(){return this.f||(this.f=z.create(this.c,this.d,this)),this.f}}e.$pj=T;class P{static create(B,se,Ee=null){return N(se,le=>new P(B,le,Ee))}constructor(B,se,Ee){this.c=B,this.d=se,this.f=Ee,this.type=15}cmp(B){return B.type!==this.type?this.type-B.type:ae(this.c,this.d,B.c,B.d)}equals(B){return B.type===this.type?this.c===B.c&&this.d===B.d:!1}substituteConstants(){return this}evaluate(B){return typeof this.d=="string"?!1:parseFloat(B.getValue(this.c))<=this.d}serialize(){return`${this.c} <= ${this.d}`}keys(){return[this.c]}map(B){return B.mapSmallerEquals(this.c,this.d)}negate(){return this.f||(this.f=U.create(this.c,this.d,this)),this.f}}e.$qj=P;class O{static create(B,se){return new O(B,se)}constructor(B,se){this.d=B,this.f=se,this.type=7,this.c=null}cmp(B){if(B.type!==this.type)return this.type-B.type;if(this.d<B.d)return-1;if(this.d>B.d)return 1;const se=this.f?this.f.source:"",Ee=B.f?B.f.source:"";return se<Ee?-1:se>Ee?1:0}equals(B){if(B.type===this.type){const se=this.f?this.f.source:"",Ee=B.f?B.f.source:"";return this.d===B.d&&se===Ee}return!1}substituteConstants(){return this}evaluate(B){const se=B.getValue(this.d);return this.f?this.f.test(se):!1}serialize(){const B=this.f?`/${this.f.source}/${this.f.flags}`:"/invalid/";return`${this.d} =~ ${B}`}keys(){return[this.d]}map(B){return B.mapRegex(this.d,this.f)}negate(){return this.c||(this.c=j.create(this)),this.c}}e.$rj=O;class j{static create(B){return new j(B)}constructor(B){this.c=B,this.type=8}cmp(B){return B.type!==this.type?this.type-B.type:this.c.cmp(B.c)}equals(B){return B.type===this.type?this.c.equals(B.c):!1}substituteConstants(){return this}evaluate(B){return!this.c.evaluate(B)}serialize(){return`!(${this.c.serialize()})`}keys(){return this.c.keys()}map(B){return new j(this.c.map(B))}negate(){return this.c}}e.$sj=j;function K(J){let B=null;for(let se=0,Ee=J.length;se<Ee;se++){const le=J[se].substituteConstants();if(J[se]!==le&&B===null){B=[];for(let he=0;he<se;he++)B[he]=J[he]}B!==null&&(B[se]=le)}return B===null?J:B}class ie{static create(B,se,Ee){return ie.d(B,se,Ee)}constructor(B,se){this.expr=B,this.c=se,this.type=6}cmp(B){if(B.type!==this.type)return this.type-B.type;if(this.expr.length<B.expr.length)return-1;if(this.expr.length>B.expr.length)return 1;for(let se=0,Ee=this.expr.length;se<Ee;se++){const le=s(this.expr[se],B.expr[se]);if(le!==0)return le}return 0}equals(B){if(B.type===this.type){if(this.expr.length!==B.expr.length)return!1;for(let se=0,Ee=this.expr.length;se<Ee;se++)if(!this.expr[se].equals(B.expr[se]))return!1;return!0}return!1}substituteConstants(){const B=K(this.expr);return B===this.expr?this:ie.create(B,this.c,!1)}evaluate(B){for(let se=0,Ee=this.expr.length;se<Ee;se++)if(!this.expr[se].evaluate(B))return!1;return!0}static d(B,se,Ee){const le=[];let he=!1;for(const ce of B)if(ce){if(ce.type===1){he=!0;continue}if(ce.type===0)return c.INSTANCE;if(ce.type===6){le.push(...ce.expr);continue}le.push(ce)}if(le.length===0&&he)return h.INSTANCE;if(le.length!==0){if(le.length===1)return le[0];le.sort(s);for(let ce=1;ce<le.length;ce++)le[ce-1].equals(le[ce])&&(le.splice(ce,1),ce--);if(le.length===1)return le[0];for(;le.length>1;){const ce=le[le.length-1];if(ce.type!==9)break;le.pop();const de=le.pop(),H=le.length===0,x=_.create(ce.expr.map(ue=>ie.create([ue,de],null,Ee)),null,H);x&&(le.push(x),le.sort(s))}if(le.length===1)return le[0];if(Ee){for(let ce=0;ce<le.length;ce++)for(let de=ce+1;de<le.length;de++)if(le[ce].negate().equals(le[de]))return c.INSTANCE;if(le.length===1)return le[0]}return new ie(le,se)}}serialize(){return this.expr.map(B=>B.serialize()).join(" && ")}keys(){const B=[];for(const se of this.expr)B.push(...se.keys());return B}map(B){return new ie(this.expr.map(se=>se.map(B)),null)}negate(){if(!this.c){const B=[];for(const se of this.expr)B.push(se.negate());this.c=_.create(B,this,!0)}return this.c}}e.$tj=ie;class _{static create(B,se,Ee){return _.d(B,se,Ee)}constructor(B,se){this.expr=B,this.c=se,this.type=9}cmp(B){if(B.type!==this.type)return this.type-B.type;if(this.expr.length<B.expr.length)return-1;if(this.expr.length>B.expr.length)return 1;for(let se=0,Ee=this.expr.length;se<Ee;se++){const le=s(this.expr[se],B.expr[se]);if(le!==0)return le}return 0}equals(B){if(B.type===this.type){if(this.expr.length!==B.expr.length)return!1;for(let se=0,Ee=this.expr.length;se<Ee;se++)if(!this.expr[se].equals(B.expr[se]))return!1;return!0}return!1}substituteConstants(){const B=K(this.expr);return B===this.expr?this:_.create(B,this.c,!1)}evaluate(B){for(let se=0,Ee=this.expr.length;se<Ee;se++)if(this.expr[se].evaluate(B))return!0;return!1}static d(B,se,Ee){let le=[],he=!1;if(B){for(let ce=0,de=B.length;ce<de;ce++){const H=B[ce];if(H){if(H.type===0){he=!0;continue}if(H.type===1)return h.INSTANCE;if(H.type===9){le=le.concat(H.expr);continue}le.push(H)}}if(le.length===0&&he)return c.INSTANCE;le.sort(s)}if(le.length!==0){if(le.length===1)return le[0];for(let ce=1;ce<le.length;ce++)le[ce-1].equals(le[ce])&&(le.splice(ce,1),ce--);if(le.length===1)return le[0];if(Ee){for(let ce=0;ce<le.length;ce++)for(let de=ce+1;de<le.length;de++)if(le[ce].negate().equals(le[de]))return h.INSTANCE;if(le.length===1)return le[0]}return new _(le,se)}}serialize(){return this.expr.map(B=>B.serialize()).join(" || ")}keys(){const B=[];for(const se of this.expr)B.push(...se.keys());return B}map(B){return new _(this.expr.map(se=>se.map(B)),null)}negate(){if(!this.c){const B=[];for(const se of this.expr)B.push(se.negate());for(;B.length>1;){const se=B.shift(),Ee=B.shift(),le=[];for(const he of re(se))for(const ce of re(Ee))le.push(ie.create([he,ce],null,!1));B.unshift(_.create(le,null,!1))}this.c=_.create(B,this,!0)}return this.c}}e.$uj=_;class X extends m{static{this.d=[]}static all(){return X.d.values()}constructor(B,se,Ee){super(B,null),this.f=se,typeof Ee=="object"?X.d.push({...Ee,key:B}):Ee!==!0&&X.d.push({key:B,description:Ee,type:se!=null?typeof se:void 0})}bindTo(B){return B.createKey(this.key,this.f)}getValue(B){return B.getContextKeyValue(this.key)}toNegated(){return this.negate()}isEqualTo(B){return D.create(this.key,B)}notEqualsTo(B){return y.create(this.key,B)}}e.$vj=X,e.$wj=(0,L.$ei)("contextKeyService");function Y(J,B){return J<B?-1:J>B?1:0}function ae(J,B,se,Ee){return J<se?-1:J>se?1:B<Ee?-1:B>Ee?1:0}function ee(J,B){if(J.type===0||B.type===1)return!0;if(J.type===9)return B.type===9?fe(J.expr,B.expr):!1;if(B.type===9){for(const se of B.expr)if(ee(J,se))return!0;return!1}if(J.type===6){if(B.type===6)return fe(B.expr,J.expr);for(const se of J.expr)if(ee(se,B))return!0;return!1}return J.equals(B)}e.$xj=ee;function fe(J,B){let se=0,Ee=0;for(;se<J.length&&Ee<B.length;){const le=J[se].cmp(B[Ee]);if(le<0)return!1;le===0&&se++,Ee++}return se===J.length}function re(J){return J.type===9?J.expr:[J]}}),define(Se[241],De([1,0,23,39,200,5,102,11,24]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jw=e.$iw=e.ConfirmResult=e.$hw=e.$gw=e.$fw=void 0,e.$fw=(0,L.$ei)("dialogService");var S;(function(l){l[l.Confirmation=1]="Confirmation",l[l.Prompt=2]="Prompt",l[l.Input=3]="Input"})(S||(S={}));class M{a(p){return this.d(p,S.Confirmation)}b(p){return this.d(p,S.Prompt)}c(p){return this.d(p,S.Input)}d(p,o){const i=[];switch(o){case S.Confirmation:{const n=p;n.primaryButton?i.push(n.primaryButton):i.push((0,$.localize)(0,null)),n.cancelButton?i.push(n.cancelButton):i.push((0,$.localize)(1,null));break}case S.Prompt:{const n=p;Array.isArray(n.buttons)&&n.buttons.length>0&&i.push(...n.buttons.map(r=>r.label)),n.cancelButton&&(n.cancelButton===!0?i.push((0,$.localize)(2,null)):typeof n.cancelButton=="string"?i.push(n.cancelButton):n.cancelButton.label?i.push(n.cancelButton.label):i.push((0,$.localize)(3,null))),i.length===0&&i.push((0,$.localize)(4,null));break}case S.Input:{const n=p;n.primaryButton?i.push(n.primaryButton):i.push((0,$.localize)(5,null)),n.cancelButton?i.push(n.cancelButton):i.push((0,$.localize)(6,null));break}}return i}e(p){if(typeof p=="string")return p;if(typeof p=="number")return p===F.default.Info?"info":p===F.default.Error?"error":p===F.default.Warning?"warning":"none"}f(p,o,i){const n=[...p.buttons??[]];p.cancelButton&&typeof p.cancelButton!="string"&&typeof p.cancelButton!="boolean"&&n.push(p.cancelButton);let r=n[o]?.run({checkboxChecked:i});return r instanceof Promise||(r=Promise.resolve(r)),{result:r,checkboxChecked:i}}}e.$gw=M,e.$hw=(0,L.$ei)("fileDialogService");var C;(function(l){l[l.SAVE=0]="SAVE",l[l.DONT_SAVE=1]="DONT_SAVE",l[l.CANCEL=2]="CANCEL"})(C||(e.ConfirmResult=C={}));const b=10;function E(l){const p=[];return p.push(...l.slice(0,b).map(o=>typeof o=="string"?o:(0,I.$Og)(o))),l.length>b&&(l.length-b===1?p.push((0,$.localize)(7,null)):p.push((0,$.localize)(8,null,l.length-b))),p.push(""),p.join(`
`)}e.$iw=E;function k(l,p){const o=(0,v.$Hn)(l);let i=(o.buttons??[]).map(t=>(0,R.$cw)(t)),n=(l.buttons||[]).map((t,d)=>d),r=0,a=o.cancelId??i.length-1;if(i.length>1){const t=typeof a=="number"?i[a]:void 0;if(w.$k||w.$j){if(typeof t=="string"&&i.length>1&&a!==1){i.splice(a,1),i.splice(1,0,t);const d=n[a];n.splice(a,1),n.splice(1,0,d),a=1}w.$k&&i.length>1&&(i=i.reverse(),n=n.reverse(),r=i.length-1,typeof t=="string"&&(a=r-1))}else if(w.$i&&typeof t=="string"&&i.length>1&&a!==i.length-1){i.splice(a,1),i.push(t);const d=n[a];n.splice(a,1),n.push(d),a=i.length-1}}return o.buttons=i,o.defaultId=r,o.cancelId=a,o.noLink=!0,o.title=o.title||p.nameLong,{options:o,buttonIndeces:n}}e.$jw=k}),define(Se[133],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mi=e.$li=void 0,e.$li=(0,I.$ei)("environmentService"),e.$mi=(0,I.$fi)(e.$li)}),define(Se[134],De([1,0,201,5]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$To=e.$So=e.$Ro=e.$Qo=e.$Po=e.$Oo=e.$No=e.$Mo=e.ExtensionGalleryErrorCode=e.$Lo=e.ExtensionSignaturetErrorCode=e.ExtensionManagementErrorCode=e.$Ko=e.InstallOperation=e.StatisticType=e.SortOrder=e.SortBy=e.$Jo=e.$Io=e.$Ho=e.$Go=e.$Fo=e.$Eo=e.$Do=e.$Co=e.$Bo=e.$Ao=e.$zo=e.$yo=void 0,e.$yo="^([a-z0-9A-Z][a-z0-9-A-Z]*)\\.([a-z0-9A-Z][a-z0-9-A-Z]*)$",e.$zo=new RegExp(e.$yo),e.$Ao="__web_extension",e.$Bo="skipWalkthrough",e.$Co="extensionsSync",e.$Do="dependecyOrPackExtensionInstall";function $(n){switch(n){case"win32-x64":return"Windows 64 bit";case"win32-arm64":return"Windows ARM";case"linux-x64":return"Linux 64 bit";case"linux-arm64":return"Linux ARM 64";case"linux-armhf":return"Linux ARM";case"alpine-x64":return"Alpine Linux 64 bit";case"alpine-arm64":return"Alpine ARM 64";case"darwin-x64":return"Mac";case"darwin-arm64":return"Mac Silicon";case"web":return"Web";case"universal":return"universal";case"unknown":return"unknown";case"undefined":return"undefined"}}e.$Eo=$;function L(n){switch(n){case"win32-x64":return"win32-x64";case"win32-arm64":return"win32-arm64";case"linux-x64":return"linux-x64";case"linux-arm64":return"linux-arm64";case"linux-armhf":return"linux-armhf";case"alpine-x64":return"alpine-x64";case"alpine-arm64":return"alpine-arm64";case"darwin-x64":return"darwin-x64";case"darwin-arm64":return"darwin-arm64";case"web":return"web";case"universal":return"universal";default:return"unknown"}}e.$Fo=L;function R(n,r){switch(n){case 3:return r==="x64"?"win32-x64":r==="arm64"?"win32-arm64":"unknown";case 2:return r==="x64"?"linux-x64":r==="arm64"?"linux-arm64":r==="arm"?"linux-armhf":"unknown";case"alpine":return r==="x64"?"alpine-x64":r==="arm64"?"alpine-arm64":"unknown";case 1:return r==="x64"?"darwin-x64":r==="arm64"?"darwin-arm64":"unknown";case 0:return"web"}}e.$Go=R;function w(n,r){return r==="web"&&!n.includes("web")}e.$Ho=w;function v(n,r,a){return w(r,a)?!1:n==="undefined"||n==="universal"?!0:n==="unknown"?!1:n===a}e.$Io=v;function S(n){return n&&typeof n=="object"&&typeof n.id=="string"&&(!n.uuid||typeof n.uuid=="string")}e.$Jo=S;var M;(function(n){n[n.NoneOrRelevance=0]="NoneOrRelevance",n[n.LastUpdatedDate=1]="LastUpdatedDate",n[n.Title=2]="Title",n[n.PublisherName=3]="PublisherName",n[n.InstallCount=4]="InstallCount",n[n.PublishedDate=10]="PublishedDate",n[n.AverageRating=6]="AverageRating",n[n.WeightedRating=12]="WeightedRating"})(M||(e.SortBy=M={}));var C;(function(n){n[n.Default=0]="Default",n[n.Ascending=1]="Ascending",n[n.Descending=2]="Descending"})(C||(e.SortOrder=C={}));var b;(function(n){n.Install="install",n.Uninstall="uninstall"})(b||(e.StatisticType=b={}));var E;(function(n){n[n.None=1]="None",n[n.Install=2]="Install",n[n.Update=3]="Update",n[n.Migrate=4]="Migrate"})(E||(e.InstallOperation=E={})),e.$Ko=(0,F.$ei)("extensionGalleryService");var k;(function(n){n.Unsupported="Unsupported",n.Deprecated="Deprecated",n.Malicious="Malicious",n.Incompatible="Incompatible",n.IncompatibleTargetPlatform="IncompatibleTargetPlatform",n.ReleaseVersionNotFound="ReleaseVersionNotFound",n.Invalid="Invalid",n.Download="Download",n.DownloadSignature="DownloadSignature",n.UpdateMetadata="UpdateMetadata",n.Extract="Extract",n.Scanning="Scanning",n.Delete="Delete",n.Rename="Rename",n.CorruptZip="CorruptZip",n.IncompleteZip="IncompleteZip",n.Signature="Signature",n.NotAllowed="NotAllowed",n.Gallery="Gallery",n.Unknown="Unknown",n.Internal="Internal"})(k||(e.ExtensionManagementErrorCode=k={}));var l;(function(n){n.UnknownError="UnknownError",n.PackageIsInvalidZip="PackageIsInvalidZip",n.SignatureArchiveIsInvalidZip="SignatureArchiveIsInvalidZip"})(l||(e.ExtensionSignaturetErrorCode=l={}));class p extends Error{constructor(r,a){super(r),this.code=a,this.name=a}}e.$Lo=p;var o;(function(n){n.Timeout="Timeout",n.Cancelled="Cancelled",n.Failed="Failed"})(o||(e.ExtensionGalleryErrorCode=o={}));class i extends Error{constructor(r,a){super(r),this.code=a,this.name=a}}e.$Mo=i,e.$No=(0,F.$ei)("extensionManagementService"),e.$Oo="extensionsIdentifiers/disabled",e.$Po="extensionsIdentifiers/enabled",e.$Qo=(0,F.$ei)("IGlobalExtensionEnablementService"),e.$Ro=(0,F.$ei)("IExtensionTipsService"),e.$So=(0,I.localize2)(0,"Extensions"),e.$To=(0,I.localize2)(1,"Preferences")}),define(Se[242],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$m4b=e.$l4b=void 0,e.$l4b=(0,I.$ei)("externalTerminal"),e.$m4b="Terminal.app"}),define(Se[243],De([1,0,51,53,16,17,11,101,31,104,203,242]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$k_b=e.$j_b=e.$i_b=void 0;const b=M.localize(0,null);class E{async getDefaultTerminalForPlatforms(){return{windows:k.getDefaultTerminalWindows(),linux:await p.getDefaultTerminalLinuxReady(),osx:"xterm"}}}class k extends E{static{this.b="cmd.exe"}openTerminal(a,t){return this.spawnTerminal(I,a,S.$5l(),t)}spawnTerminal(a,t,d,u){const s=t.windowsExec||k.getDefaultTerminalWindows();u&&u[1]===":"&&(u=u[0].toUpperCase()+u.substr(1));const c=L.$nc(s,".exe").toLowerCase();if(c==="cmder")return a.spawn(s,u?[u]:void 0),Promise.resolve(void 0);const h=["/c","start","/wait"];return s.indexOf(" ")>=0&&h.push('""'),h.push(s),c==="wt"&&h.push("-d ."),new Promise((m,D)=>{const g=o(process),f=a.spawn(d,h,{cwd:u,env:g,detached:!0});f.on("error",D),f.on("exit",()=>m())})}async runInTerminal(a,t,d,u,s){const c="windowsExec"in s&&s.windowsExec?s.windowsExec:k.getDefaultTerminalWindows(),h=await k.f();return new Promise((m,D)=>{const g=`"${t} - ${b}"`,f=`""${d.join('" "')}" & pause"`,y=Object.assign({},o(process),u);Object.keys(y).filter(T=>y[T]===null).forEach(T=>delete y[T]);const A={cwd:t,env:y,windowsVerbatimArguments:!0};let N,U;L.$nc(c,".exe")==="wt"?(N=c,U=["-d",".",k.b,"/c",f]):h?(N=h,U=["-d",".",c,"/c",f]):(N=k.b,U=["/c","start",g,"/wait",c,"/c",f]),I.spawn(N,U,A).on("error",T=>{D(i(T))}),m(void 0)})}static getDefaultTerminalWindows(){if(!k.d){const a=!!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432");k.d=`${process.env.windir?process.env.windir:"C:\\Windows"}\\${a?"Sysnative":"System32"}\\cmd.exe`}return k.d}static async f(){try{const a=await S.win32.findExecutable("wt");return await v.Promises.exists(a)?a:void 0}catch{return}}}e.$i_b=k,Je([F.$Ih],k,"f",null);class l extends E{static{this.b="/usr/bin/osascript"}openTerminal(a,t){return this.spawnTerminal(I,a,t)}runInTerminal(a,t,d,u,s){const c=s.osxExec||C.$m4b;return new Promise((h,m)=>{if(c===C.$m4b||c==="iTerm.app"){const D=c===C.$m4b?"TerminalHelper":"iTermHelper",f=[$.$yg.asFileUri(`vs/workbench/contrib/externalTerminal/node/${D}.scpt`).fsPath,"-t",a||b,"-w",t];for(const N of d)f.push("-a"),f.push(N);if(u){const N=Object.assign({},o(process),u);for(const U in N){const z=N[U];z===null?(f.push("-u"),f.push(U)):(f.push("-e"),f.push(`${U}=${z}`))}}let y="";const A=I.spawn(l.b,f);A.on("error",N=>{m(i(N))}),A.stderr.on("data",N=>{y+=N.toString()}),A.on("exit",N=>{if(N===0)h(void 0);else if(y){const U=y.split(`
`,1);m(new Error(U[0]))}else m(new Error(M.localize(1,null,D,N)))})}else m(new Error(M.localize(2,null,c)))})}spawnTerminal(a,t,d){const u=t.osxExec||C.$m4b;return new Promise((s,c)=>{const h=["-a",u];d&&h.push(d);const m=o(process),D=a.spawn("/usr/bin/open",h,{cwd:d,env:m});D.on("error",c),D.on("exit",()=>s())})}}e.$j_b=l;class p extends E{static{this.b=M.localize(3,null)}openTerminal(a,t){return this.spawnTerminal(I,a,t)}runInTerminal(a,t,d,u,s){const c=s.linuxExec?Promise.resolve(s.linuxExec):p.getDefaultTerminalLinuxReady();return new Promise((h,m)=>{const D=[];c.then(g=>{g.indexOf("gnome-terminal")>=0?D.push("-x"):D.push("-e"),D.push("bash"),D.push("-c");const f=`${n(d)}; echo; read -p "${p.b}" -n1;`;D.push(`''${f}''`);const y=Object.assign({},o(process),u);Object.keys(y).filter(z=>y[z]===null).forEach(z=>delete y[z]);const A={cwd:t,env:y};let N="";const U=I.spawn(g,D,A);U.on("error",z=>{m(i(z))}),U.stderr.on("data",z=>{N+=z.toString()}),U.on("exit",z=>{if(z===0)h(void 0);else if(N){const T=N.split(`
`,1);m(new Error(T[0]))}else m(new Error(M.localize(4,null,g,z)))})})})}static async getDefaultTerminalLinuxReady(){if(!p.d)if(!R.$k)p.d=Promise.resolve("xterm");else{const a=await v.Promises.exists("/etc/debian_version");p.d=new Promise(t=>{a?t("x-terminal-emulator"):process.env.DESKTOP_SESSION==="gnome"||process.env.DESKTOP_SESSION==="gnome-classic"?t("gnome-terminal"):process.env.DESKTOP_SESSION==="kde-plasma"?t("konsole"):process.env.COLORTERM?t(process.env.COLORTERM):process.env.TERM?t(process.env.TERM):t("xterm")})}return p.d}spawnTerminal(a,t,d){const u=t.linuxExec?Promise.resolve(t.linuxExec):p.getDefaultTerminalLinuxReady();return new Promise((s,c)=>{u.then(h=>{const m=o(process),D=a.spawn(h,[],{cwd:d,env:m});D.on("error",c),D.on("exit",()=>s())})})}}e.$k_b=p;function o(r){const a={...r.env};return(0,w.$3l)(a),a}function i(r){return"errno"in r&&r.errno==="ENOENT"&&"path"in r&&typeof r.path=="string"?new Error(M.localize(5,null,r.path)):r}function n(r){let a="";for(const t of r)t.indexOf(" ")>=0?a+='"'+t+'"':a+=t,a+=" ";return a}}),define(Se[32],De([1,0,77,17,12,18,2,204,5,11,16,44]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$k=e.$0k=e.$9k=e.$8k=e.$7k=e.FileKind=e.$6k=e.$5k=e.$4k=e.$3k=e.$2k=e.$1k=e.$Zk=e.FileOperationResult=e.$Yk=e.$Xk=e.$Wk=e.$Vk=e.$Uk=e.FileChangeType=e.$Tk=e.FileOperation=e.$Sk=e.$Rk=e.$Qk=e.$Pk=e.$Ok=e.$Nk=e.FileSystemProviderErrorCode=e.$Mk=e.$Lk=e.$Kk=e.$Jk=e.$Ik=e.$Hk=e.$Gk=e.$Fk=e.$Ek=e.FileSystemProviderCapabilities=e.$Dk=e.FilePermission=e.FileType=e.$Ck=e.$Bk=void 0,e.$Bk=(0,v.$ei)("fileService");function b(ee){return ee.create===!0}e.$Ck=b;var E;(function(ee){ee[ee.Unknown=0]="Unknown",ee[ee.File=1]="File",ee[ee.Directory=2]="Directory",ee[ee.SymbolicLink=64]="SymbolicLink"})(E||(e.FileType=E={}));var k;(function(ee){ee[ee.Readonly=1]="Readonly",ee[ee.Locked=2]="Locked"})(k||(e.FilePermission=k={}));function l(ee){const fe=ee;return!!fe&&typeof fe.onDidChange=="function"}e.$Dk=l;var p;(function(ee){ee[ee.None=0]="None",ee[ee.FileReadWrite=2]="FileReadWrite",ee[ee.FileOpenReadWriteClose=4]="FileOpenReadWriteClose",ee[ee.FileReadStream=16]="FileReadStream",ee[ee.FileFolderCopy=8]="FileFolderCopy",ee[ee.PathCaseSensitive=1024]="PathCaseSensitive",ee[ee.Readonly=2048]="Readonly",ee[ee.Trash=4096]="Trash",ee[ee.FileWriteUnlock=8192]="FileWriteUnlock",ee[ee.FileAtomicRead=16384]="FileAtomicRead",ee[ee.FileAtomicWrite=32768]="FileAtomicWrite",ee[ee.FileAtomicDelete=65536]="FileAtomicDelete",ee[ee.FileClone=131072]="FileClone"})(p||(e.FileSystemProviderCapabilities=p={}));function o(ee){return!!(ee.capabilities&2)}e.$Ek=o;function i(ee){return!!(ee.capabilities&8)}e.$Fk=i;function n(ee){return!!(ee.capabilities&131072)}e.$Gk=n;function r(ee){return!!(ee.capabilities&4)}e.$Hk=r;function a(ee){return!!(ee.capabilities&16)}e.$Ik=a;function t(ee){return o(ee)?!!(ee.capabilities&16384):!1}e.$Jk=t;function d(ee){return o(ee)?!!(ee.capabilities&32768):!1}e.$Kk=d;function u(ee){return!!(ee.capabilities&65536)}e.$Lk=u;function s(ee){return!!(ee.capabilities&2048)}e.$Mk=s;var c;(function(ee){ee.FileExists="EntryExists",ee.FileNotFound="EntryNotFound",ee.FileNotADirectory="EntryNotADirectory",ee.FileIsADirectory="EntryIsADirectory",ee.FileExceedsStorageQuota="EntryExceedsStorageQuota",ee.FileTooLarge="EntryTooLarge",ee.FileWriteLocked="EntryWriteLocked",ee.NoPermissions="NoPermissions",ee.Unavailable="Unavailable",ee.Unknown="Unknown"})(c||(e.FileSystemProviderErrorCode=c={}));class h extends Error{static create(fe,re){const J=new h(fe.toString(),re);return g(J,re),J}constructor(fe,re){super(fe),this.code=re}}e.$Nk=h;function m(ee,fe){return h.create(ee,fe)}e.$Ok=m;function D(ee){return ee||m((0,w.localize)(0,null),c.Unknown)}e.$Pk=D;function g(ee,fe){return ee.name=fe?`${fe} (FileSystemError)`:"FileSystemError",ee}e.$Qk=g;function f(ee){if(!ee)return c.Unknown;if(ee instanceof h)return ee.code;const fe=/^(.+) \(FileSystemError\)$/.exec(ee.name);if(!fe)return c.Unknown;switch(fe[1]){case c.FileExists:return c.FileExists;case c.FileIsADirectory:return c.FileIsADirectory;case c.FileNotADirectory:return c.FileNotADirectory;case c.FileNotFound:return c.FileNotFound;case c.FileTooLarge:return c.FileTooLarge;case c.FileWriteLocked:return c.FileWriteLocked;case c.NoPermissions:return c.NoPermissions;case c.Unavailable:return c.Unavailable}return c.Unknown}e.$Rk=f;function y(ee){if(ee instanceof P)return ee.fileOperationResult;switch(f(ee)){case c.FileNotFound:return 1;case c.FileIsADirectory:return 0;case c.FileNotADirectory:return 9;case c.FileWriteLocked:return 5;case c.NoPermissions:return 6;case c.FileExists:return 4;case c.FileTooLarge:return 7;default:return 10}}e.$Sk=y;var A;(function(ee){ee[ee.CREATE=0]="CREATE",ee[ee.DELETE=1]="DELETE",ee[ee.MOVE=2]="MOVE",ee[ee.COPY=3]="COPY",ee[ee.WRITE=4]="WRITE"})(A||(e.FileOperation=A={}));class N{constructor(fe,re,J){this.resource=fe,this.operation=re,this.target=J}isOperation(fe){return this.operation===fe}}e.$Tk=N;var U;(function(ee){ee[ee.UPDATED=0]="UPDATED",ee[ee.ADDED=1]="ADDED",ee[ee.DELETED=2]="DELETED"})(U||(e.FileChangeType=U={}));class z{static{this.a=null}constructor(fe,re){this.c=re,this.b=void 0,this.d=new C.$V(()=>{const J=I.$ki.forUris(()=>this.c);return J.fill(this.rawAdded.map(B=>[B,!0])),J}),this.f=new C.$V(()=>{const J=I.$ki.forUris(()=>this.c);return J.fill(this.rawUpdated.map(B=>[B,!0])),J}),this.g=new C.$V(()=>{const J=I.$ki.forUris(()=>this.c);return J.fill(this.rawDeleted.map(B=>[B,!0])),J}),this.rawAdded=[],this.rawUpdated=[],this.rawDeleted=[];for(const J of fe){switch(J.type){case 1:this.rawAdded.push(J.resource);break;case 0:this.rawUpdated.push(J.resource);break;case 2:this.rawDeleted.push(J.resource);break}this.b!==z.a&&(typeof J.cId=="number"?this.b===void 0?this.b=J.cId:this.b!==J.cId&&(this.b=z.a):this.b!==void 0&&(this.b=z.a))}}contains(fe,...re){return this.h(fe,{includeChildren:!1},...re)}affects(fe,...re){return this.h(fe,{includeChildren:!0},...re)}h(fe,re,...J){if(!fe)return!1;const B=J.length>0;return!!((!B||J.includes(1))&&(this.d.value.get(fe)||re.includeChildren&&this.d.value.findSuperstr(fe))||(!B||J.includes(0))&&(this.f.value.get(fe)||re.includeChildren&&this.f.value.findSuperstr(fe))||(!B||J.includes(2))&&(this.g.value.findSubstr(fe)||re.includeChildren&&this.g.value.findSuperstr(fe)))}gotAdded(){return this.rawAdded.length>0}gotDeleted(){return this.rawDeleted.length>0}gotUpdated(){return this.rawUpdated.length>0}correlates(fe){return this.b===fe}hasCorrelation(){return typeof this.b=="number"}}e.$Uk=z;function T(ee,fe,re){return!ee||!fe||ee===fe||fe.length>ee.length?!1:(fe.charAt(fe.length-1)!==F.sep&&(fe+=F.sep),re?(0,$.$kf)(ee,fe):ee.indexOf(fe)===0)}e.$Vk=T;class P extends Error{constructor(fe,re,J){super(fe),this.fileOperationResult=re,this.options=J}}e.$Wk=P;class O extends P{constructor(fe,re,J,B){super(fe,re,B),this.fileOperationResult=re,this.size=J}}e.$Xk=O;class j extends P{constructor(fe,re,J){super(fe,2,J),this.stat=re}}e.$Yk=j;var K;(function(ee){ee[ee.FILE_IS_DIRECTORY=0]="FILE_IS_DIRECTORY",ee[ee.FILE_NOT_FOUND=1]="FILE_NOT_FOUND",ee[ee.FILE_NOT_MODIFIED_SINCE=2]="FILE_NOT_MODIFIED_SINCE",ee[ee.FILE_MODIFIED_SINCE=3]="FILE_MODIFIED_SINCE",ee[ee.FILE_MOVE_CONFLICT=4]="FILE_MOVE_CONFLICT",ee[ee.FILE_WRITE_LOCKED=5]="FILE_WRITE_LOCKED",ee[ee.FILE_PERMISSION_DENIED=6]="FILE_PERMISSION_DENIED",ee[ee.FILE_TOO_LARGE=7]="FILE_TOO_LARGE",ee[ee.FILE_INVALID_PATH=8]="FILE_INVALID_PATH",ee[ee.FILE_NOT_DIRECTORY=9]="FILE_NOT_DIRECTORY",ee[ee.FILE_OTHER_ERROR=10]="FILE_OTHER_ERROR"})(K||(e.FileOperationResult=K={})),e.$Zk={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",ON_WINDOW_CHANGE:"onWindowChange"},e.$1k={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},e.$2k="files.associations",e.$3k="files.exclude",e.$4k="files.readonlyInclude",e.$5k="files.readonlyExclude",e.$6k="files.readonlyFromPermissions";var ie;(function(ee){ee[ee.FILE=0]="FILE",ee[ee.FOLDER=1]="FOLDER",ee[ee.ROOT_FOLDER=2]="ROOT_FOLDER"})(ie||(e.FileKind=ie={})),e.$7k="";function _(ee){if(!(typeof ee.size!="number"||typeof ee.mtime!="number"))return ee.mtime.toString(29)+ee.size.toString(31)}e.$8k=_;async function X(ee,fe){if(!fe.hasProvider(R.URI.from({scheme:ee.scheme})))return new Promise(re=>{const J=fe.onDidChangeFileSystemProviderRegistrations(B=>{B.scheme===ee.scheme&&B.added&&(J.dispose(),re())})})}e.$9k=X;class Y{static{this.KB=1024}static{this.MB=Y.KB*Y.KB}static{this.GB=Y.MB*Y.KB}static{this.TB=Y.GB*Y.KB}static formatSize(fe){return(0,L.$Wf)(fe)||(fe=0),fe<Y.KB?(0,w.localize)(1,null,fe.toFixed(0)):fe<Y.MB?(0,w.localize)(2,null,(fe/Y.KB).toFixed(2)):fe<Y.GB?(0,w.localize)(3,null,(fe/Y.MB).toFixed(2)):fe<Y.TB?(0,w.localize)(4,null,(fe/Y.GB).toFixed(2)):(0,w.localize)(5,null,(fe/Y.TB).toFixed(2))}}e.$0k=Y;function ae(ee){const fe=typeof ee=="string"||ee?.scheme===M.Schemas.vscodeRemote;return typeof ee!="string"&&ee?.scheme===M.Schemas.file?1024*Y.MB:fe?10*Y.MB:S.$o?50*Y.MB:1024*Y.MB}e.$$k=ae}),define(Se[244],De([1,0,21,14,205,32]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mq=void 0;async function R(M,C,b,E,k,l){let p;try{await w(M,C,b,E,k,l)}catch(o){p=o}finally{p&&k.errorTransformer&&(p=k.errorTransformer(p)),typeof p<"u"&&b.error(p),b.end()}}e.$mq=R;async function w(M,C,b,E,k,l){v(l);const p=await M.open(C,{create:!1});try{v(l);let o=0,i=0,n=k&&typeof k.length=="number"?k.length:void 0,r=I.$se.alloc(Math.min(k.bufferSize,typeof n=="number"?n:k.bufferSize)),a=k&&typeof k.position=="number"?k.position:0,t=0;do i=await M.read(p,a,r.buffer,t,r.byteLength-t),a+=i,t+=i,o+=i,typeof n=="number"&&(n-=i),t===r.byteLength&&(await b.write(E(r)),r=I.$se.alloc(Math.min(k.bufferSize,typeof n=="number"?n:k.bufferSize)),t=0);while(i>0&&(typeof n!="number"||n>0)&&v(l)&&S(o,k));if(t>0){let d=t;typeof n=="number"&&(d=Math.min(t,n)),b.write(E(r.slice(0,d)))}}catch(o){throw(0,L.$Pk)(o)}finally{await M.close(p)}}function v(M){if(M.isCancellationRequested)throw(0,F.$6)();return!0}function S(M,C){if(typeof C?.limits?.size=="number"&&M>C.limits.size)throw(0,L.$Ok)((0,$.localize)(0,null),L.FileSystemProviderErrorCode.FileTooLarge);return!0}}),define(Se[85],De([1,0,35,3,17,11,2,32]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vq=e.$uq=e.$tq=e.$sq=e.$rq=e.$qq=e.$pq=e.$oq=void 0;function v(o){return o.recursive===!0}e.$oq=v;class S extends F.$Tc{static{this.a=5}constructor(i,n,r,a){super(),this.h=i,this.j=n,this.m=r,this.n=a,this.c=this.B(new F.$Uc),this.f=void 0,this.g=0}s(){const i=new F.$Sc;this.c.value=i,this.b=this.r(i),this.b.setVerboseLogging(this.m),i.add(this.b.onDidChangeFile(n=>this.h(n))),i.add(this.b.onDidLogMessage(n=>this.j(n))),i.add(this.b.onDidError(n=>this.t(n)))}t(i){this.n.restartOnError?this.g<S.a&&this.f?(this.w(`restarting watcher after error: ${i}`),this.u(this.f)):this.w(`gave up attempting to restart watcher after error: ${i}`):this.w(i)}u(i){this.g++,this.s(),this.watch(i)}async watch(i){this.f=i,await this.b?.watch(i)}async setVerboseLogging(i){this.m=i,await this.b?.setVerboseLogging(i)}w(i){this.j({type:"error",message:`[File Watcher (${this.n.type})] ${i}`})}y(i){this.j({type:"trace",message:`[File Watcher (${this.n.type})] ${i}`})}dispose(){return this.b=void 0,super.dispose()}}e.$pq=S;class M extends S{constructor(i,n,r){super(i,n,r,{type:"node.js",restartOnError:!1})}}e.$qq=M;class C extends S{constructor(i,n,r){super(i,n,r,{type:"universal",restartOnError:!0})}}e.$rq=C;function b(o){return o.map(i=>({type:i.type,resource:R.URI.revive(i.resource),cId:i.cId}))}e.$sq=b;function E(o){const i=new p;for(const n of o)i.processEvent(n);return i.coalesce()}e.$tq=E;function k(o,i){return typeof i=="string"&&!i.startsWith(I.$Tj)&&!(0,$.$ic)(i)?{base:o,pattern:i}:i}e.$uq=k;function l(o,i){const n=[];for(const r of i)n.push((0,I.$Xj)(k(o,r)));return n}e.$vq=l;class p{constructor(){this.a=new Set,this.b=new Map}c(i){return L.$k?i.resource.fsPath:i.resource.fsPath.toLowerCase()}processEvent(i){const n=this.b.get(this.c(i));let r=!1;if(n){const a=n.type,t=i.type;n.resource.fsPath!==i.resource.fsPath&&(i.type===2||i.type===1)?r=!0:a===1&&t===2?(this.b.delete(this.c(i)),this.a.delete(n)):a===2&&t===1?n.type=0:a===1&&t===0||(n.type=t)}else r=!0;r&&(this.a.add(i),this.b.set(this.c(i),i))}coalesce(){const i=[],n=[];return Array.from(this.a).filter(r=>r.type!==2?(i.push(r),!1):!0).sort((r,a)=>r.resource.fsPath.length-a.resource.fsPath.length).filter(r=>n.some(a=>(0,w.$Vk)(r.resource.fsPath,a,!L.$k))?!1:(n.push(r.resource.fsPath),!0)).concat(i)}}}),define(Se[245],De([1,0,57,8,22,34,3,76,17,11,23,2,103,31,85]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jq=e.$Iq=void 0;class l extends R.$Tc{static{this.a=100}static{this.b=75}constructor(i,n,r,a){super(),this.m=i,this.n=n,this.r=r,this.s=a,this.c=this.B(new F.$th({maxWorkChunkSize:100,throttleDelay:200,maxBufferedWork:1e4},t=>this.n(t))),this.f=this.B(new F.$sh(t=>this.z(t),l.b)),this.g=(0,k.$vq)(this.m.path,this.m.excludes),this.h=this.m.includes?(0,k.$vq)(this.m.path,this.m.includes):void 0,this.j=new $.$ce,this.ready=this.t()}async t(){try{const i=await this.u(this.m);if(this.j.token.isCancellationRequested)return;const n=await E.Promises.stat(i);this.B(await this.w(i,n.isDirectory()))}catch(i){i.code!=="ENOENT"?this.D(i):this.G(i)}}async u(i){let n=i.path;try{n=await E.Promises.realpath(i.path),i.path===n&&(n=await(0,b.$Fq)(i.path)??i.path),i.path!==n&&this.G(`correcting a path to watch that seems to be a symbolic link or wrong casing (original: ${i.path}, real: ${n})`)}catch{}return n}async w(i,n){if(S.$j&&(0,L.$fg)(i,"/Volumes/",!0))return this.D(`Refusing to watch ${i} for changes using fs.watch() for possibly being a network share where watching is unreliable and unstable.`),R.$Tc.None;const r=new $.$ce(this.j.token),a=new R.$Sc;try{const t=C.URI.file(this.m.path),d=(0,v.$nc)(i),u=(0,I.watch)(i);a.add((0,R.$Rc)(()=>{u.removeAllListeners(),u.close()})),this.G(`Started watching: '${i}'`);const s=new Set;if(n)try{for(const h of await E.Promises.readdir(i))s.add(h)}catch(h){this.D(h)}const c=new Map;a.add((0,R.$Rc)(()=>{for(const[,h]of c)h.dispose();c.clear()})),u.on("error",(h,m)=>{this.D(`Failed to watch ${i} for changes using fs.watch() (${h}, ${m})`),this.dispose()}),u.on("change",(h,m)=>{if(r.token.isCancellationRequested)return;this.G(`[raw] ["${h}"] ${m}`);let D="";if(m&&(D=m.toString(),S.$j&&(D=(0,w.$Rl)(D))),!(!D||h!=="change"&&h!=="rename"))if(n)if(h==="rename"){c.get(D)?.dispose();const g=setTimeout(async()=>{if(c.delete(D),D===d&&!await E.Promises.exists(i)){this.F("Watcher shutdown because watched path got deleted"),this.dispose();return}const f=await this.C((0,v.$jc)(i,D));if(r.token.isCancellationRequested)return;let y;f?s.has(D)?y=0:(y=1,s.add(D)):(s.delete(D),y=2),this.y({resource:(0,M.$Rg)(t,D),type:y,cId:this.m.correlationId})},l.a);c.set(D,(0,R.$Rc)(()=>clearTimeout(g)))}else{let g;s.has(D)?g=0:(g=1,s.add(D)),this.y({resource:(0,M.$Rg)(t,D),type:g,cId:this.m.correlationId})}else if(h==="rename"||D!==d){const g=setTimeout(async()=>{const f=await E.Promises.exists(i);r.token.isCancellationRequested||(f?(this.y({resource:t,type:0,cId:this.m.correlationId},!0),a.add(await this.w(i,!1))):(this.y({resource:t,type:2,cId:this.m.correlationId},!0),this.f.flush(),this.dispose()))},l.a);a.clear(),a.add((0,R.$Rc)(()=>clearTimeout(g)))}else this.y({resource:t,type:0,cId:this.m.correlationId},!0)})}catch(t){await E.Promises.exists(i)&&!r.token.isCancellationRequested&&this.D(`Failed to watch ${i} for changes using fs.watch() (${t.toString()})`)}return(0,R.$Rc)(()=>{r.dispose(!0),a.dispose()})}y(i,n=!1){this.j.token.isCancellationRequested||(this.s&&this.G(`${i.type===1?"[ADDED]":i.type===2?"[DELETED]":"[CHANGED]"} ${i.resource.fsPath}`),!n&&this.g.some(r=>r(i.resource.fsPath))?this.s&&this.G(` >> ignored (excluded) ${i.resource.fsPath}`):!n&&this.h&&this.h.length>0&&!this.h.some(r=>r(i.resource.fsPath))?this.s&&this.G(` >> ignored (not included) ${i.resource.fsPath}`):this.f.work(i))}z(i){const n=(0,k.$tq)(i);if(n.length>0){if(this.s)for(const a of n)this.G(` >> normalized ${a.type===1?"[ADDED]":a.type===2?"[DELETED]":"[CHANGED]"} ${a.resource.fsPath}`);this.c.work(n)?this.c.pending>0&&this.G(`started throttling events due to large amount of file change events at once (pending: ${this.c.pending}, most recent change: ${n[0].resource.fsPath}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`):this.F(`started ignoring events due to too many file change events at once (incoming: ${n.length}, most recent change: ${n[0].resource.fsPath}). Use 'files.watcherExclude' setting to exclude folders with lots of changing files (e.g. compilation output).`)}}async C(i){if(S.$k)return E.Promises.exists(i);try{const n=(0,v.$nc)(i);return(await E.Promises.readdir((0,v.$mc)(i))).some(a=>a===n)}catch(n){return this.G(n),!1}}setVerboseLogging(i){this.s=i}D(i){this.j.token.isCancellationRequested||this.r?.({type:"error",message:`[File Watcher (node.js)] ${i}`})}F(i){this.j.token.isCancellationRequested||this.r?.({type:"warn",message:`[File Watcher (node.js)] ${i}`})}G(i){!this.j.token.isCancellationRequested&&this.s&&this.r?.({type:"trace",message:`[File Watcher (node.js)] ${i}`})}dispose(){this.G(`stopping file watcher on ${this.m.path}`),this.j.dispose(!0),super.dispose()}}e.$Iq=l;async function p(o,i,n,r,a=512){const t=await E.Promises.open(o,"r"),d=Buffer.allocUnsafe(a),u=new $.$ce(r);let s,c=!1;const h={path:o,excludes:[],recursive:!1},m=new l(h,D=>{(async()=>{for(const{type:g}of D)if(g===0){if(c)return;c=!0;try{for(;!u.token.isCancellationRequested;){const{bytesRead:f}=await E.Promises.read(t,d,0,a,null);if(!f||u.token.isCancellationRequested)break;i(d.slice(0,f))}}catch(f){s=new Error(f),u.dispose(!0)}finally{c=!1}}})()});return await m.ready,n(),new Promise((D,g)=>{u.token.onCancellationRequested(async()=>{m.dispose();try{await E.Promises.close(t)}catch(f){s=new Error(f)}s?g(s):D()})})}e.$Jq=p}),define(Se[246],De([1,0,4,35,3,11,245]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kq=void 0;class w extends $.$Tc{constructor(){super(...arguments),this.a=this.B(new I.$5d),this.onDidChangeFile=this.a.event,this.b=this.B(new I.$5d),this.onDidLogMessage=this.b.event,this.onDidError=I.Event.None,this.c=new Map,this.f=!1}async watch(S){const M=this.j(S),C=M.filter(E=>{const k=this.c.get(E.path);return k?!(0,F.$2j)(k.request.excludes,E.excludes)||!(0,F.$2j)(k.request.includes,E.includes):!0}),b=Array.from(this.c.values()).filter(({request:E})=>!M.find(k=>k.path===E.path&&(0,F.$2j)(k.excludes,E.excludes)&&(0,F.$2j)(k.includes,E.includes))).map(({request:E})=>E.path);C.length&&this.m(`Request to start watching: ${C.map(E=>`${E.path} (excludes: ${E.excludes.length>0?E.excludes:"<none>"}, includes: ${E.includes&&E.includes.length>0?JSON.stringify(E.includes):"<all>"}, correlationId: ${typeof E.correlationId=="number"?E.correlationId:"<none>"})`).join(",")}`),b.length&&this.m(`Request to stop watching: ${b.join(",")}`);for(const E of b)this.h(E);for(const E of C)this.g(E)}g(S){const M=new R.$Iq(S,b=>this.a.fire(b),b=>this.b.fire(b),this.f),C={request:S,instance:M};this.c.set(S.path,C)}async stop(){for(const[S]of this.c)this.h(S);this.c.clear()}h(S){const M=this.c.get(S);M&&(this.c.delete(S),M.instance.dispose())}j(S){const M=new Map;for(const C of S){const b=L.$k?C.path:C.path.toLowerCase();let E=M.get(C.correlationId);E||(E=new Map,M.set(C.correlationId,E)),E.set(b,C)}return Array.from(M.values()).map(C=>Array.from(C.values())).flat()}async setVerboseLogging(S){this.f=S;for(const[,M]of this.c)M.instance.setVerboseLogging(S)}m(S){this.f&&this.b.fire({type:"trace",message:this.n(S)})}n(S,M){return M?`[File Watcher (node.js)] ${S} (path: ${M.request.path})`:`[File Watcher (node.js)] ${S}`}}e.$Kq=w}),define(Se[247],De([1,0,85,246]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lq=void 0;class $ extends I.$qq{constructor(R,w,v){super(R,w,v),this.s()}r(R){return R.add(new F.$Kq)}}e.$Lq=$}),define(Se[248],De([1,0,16,81,188,85]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dq=void 0;class R extends L.$rq{constructor(v,S,M){super(v,S,M),this.s()}r(v){const S=v.add(new $.$Cq(I.$yg.asFileUri("bootstrap-fork").fsPath,{serverName:"File Watcher",args:["--type=fileWatcher"],env:{VSCODE_AMD_ENTRYPOINT:"vs/platform/files/node/watcher/watcherMain",VSCODE_PIPE_LOGGING:"true",VSCODE_VERBOSE_LOGGING:"true"}}));return v.add(S.onDidProcessExit(({code:M,signal:C})=>this.t(`terminated by itself with code ${M}, signal: ${C}`))),F.ProxyChannel.toService((0,F.$Xh)(S.getChannel("watcher")))}}e.$Dq=R}),define(Se[106],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ci=void 0;class I{constructor(...$){this.a=new Map;for(const[L,R]of $)this.set(L,R)}set($,L){const R=this.a.get($);return this.a.set($,L),R}has($){return this.a.has($)}get($){return this.a.get($)}}e.$ci=I}),define(Se[249],De([1,0,8,14,3,105,240,5,106,75]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qq=e.$Pq=void 0;const M=!1;class C extends Error{constructor(p){super("cyclic dependency between services"),this.message=p.findCycleSlow()??`UNABLE to detect cycle, dumping graph: 
${p.toString()}`}}class b{constructor(p=new v.$ci,o=!1,i,n=M){this.f=p,this.g=o,this.h=i,this.i=n,this.o=new Set,this.f.set(w.$di,this),this._globalGraph=n?i?._globalGraph??new R.$Oq(r=>r):void 0}createChild(p){return new b(p,this.g,this,this.i)}invokeFunction(p,...o){const i=k.traceInvocation(this.i,p);let n=!1;try{return p({get:a=>{if(n)throw(0,F.$8)("service accessor is only valid during the invocation of its target method");const t=this.m(a,i);if(!t)throw new Error(`[invokeFunction] unknown service '${a}'`);return t}},...o)}finally{n=!0,i.stop()}}createInstance(p,...o){let i,n;return p instanceof L.$bi?(i=k.traceCreation(this.i,p.ctor),n=this.j(p.ctor,p.staticArguments.concat(o),i)):(i=k.traceCreation(this.i,p),n=this.j(p,o,i)),i.stop(),n}j(p,o=[],i){const n=w._util.getServiceDependencies(p).sort((t,d)=>t.index-d.index),r=[];for(const t of n){const d=this.m(t.id,i);d||this.u(`[createInstance] ${p.name} depends on UNKNOWN service ${t.id}.`,!1),r.push(d)}const a=n.length>0?n[0].index:o.length;if(o.length!==a){console.trace(`[createInstance] First service dependency of ${p.name} at position ${a+1} conflicts with ${o.length} static arguments`);const t=a-o.length;t>0?o=o.concat(new Array(t)):o=o.slice(0,a)}return Reflect.construct(p,o.concat(r))}k(p,o){if(this.f.get(p)instanceof L.$bi)this.f.set(p,o);else if(this.h)this.h.k(p,o);else throw new Error("illegalState - setting UNKNOWN service instance")}l(p){const o=this.f.get(p);return!o&&this.h?this.h.l(p):o}m(p,o){this._globalGraph&&this.c&&this._globalGraph.insertEdge(this.c,String(p));const i=this.l(p);return i instanceof L.$bi?this.q(p,i,o.branch(p,!0)):(o.branch(p,!1),i)}q(p,o,i){if(this.o.has(p))throw new Error(`illegal state - RECURSIVELY instantiating service '${p}'`);this.o.add(p);try{return this.r(p,o,i)}finally{this.o.delete(p)}}r(p,o,i){const n=new R.$Oq(t=>t.id.toString());let r=0;const a=[{id:p,desc:o,_trace:i}];for(;a.length;){const t=a.pop();if(n.lookupOrInsertNode(t),r++>1e3)throw new C(n);for(const d of w._util.getServiceDependencies(t.desc.ctor)){const u=this.l(d.id);if(u||this.u(`[createInstance] ${p} depends on ${d.id} which is NOT registered.`,!0),this._globalGraph?.insertEdge(String(t.id),String(d.id)),u instanceof L.$bi){const s={id:d.id,desc:u,_trace:t._trace.branch(d.id,!0)};n.insertEdge(t,s),a.push(s)}}}for(;;){const t=n.roots();if(t.length===0){if(!n.isEmpty())throw new C(n);break}for(const{data:d}of t){if(this.l(d.id)instanceof L.$bi){const s=this.s(d.id,d.desc.ctor,d.desc.staticArguments,d.desc.supportsDelayedInstantiation,d._trace);this.k(d.id,s)}n.removeNode(d)}}return this.l(p)}s(p,o,i=[],n,r){if(this.f.get(p)instanceof L.$bi)return this.t(p,o,i,n,r);if(this.h)return this.h.s(p,o,i,n,r);throw new Error(`illegalState - creating UNKNOWN service instance ${o.name}`)}t(p,o,i=[],n,r){if(n){const a=new b(void 0,this.g,this,this.i);a.c=String(p);const t=new Map,d=new I.$xh(()=>{const u=a.j(o,i,r);for(const[s,c]of t){const h=u[s];if(typeof h=="function")for(const m of c)m.disposable=h.apply(u,m.listener)}return t.clear(),u});return new Proxy(Object.create(null),{get(u,s){if(!d.isInitialized&&typeof s=="string"&&(s.startsWith("onDid")||s.startsWith("onWill"))){let m=t.get(s);return m||(m=new S.$4c,t.set(s,m)),(g,f,y)=>{if(d.isInitialized)return d.value[s](g,f,y);{const A={listener:[g,f,y],disposable:void 0},N=m.push(A);return(0,$.$Rc)(()=>{N(),A.disposable?.dispose()})}}}if(s in u)return u[s];const c=d.value;let h=c[s];return typeof h!="function"||(h=h.bind(c),u[s]=h),h},set(u,s,c){return d.value[s]=c,!0},getPrototypeOf(u){return o.prototype}})}else return this.j(o,i,r)}u(p,o){if(o&&console.warn(p),this.g)throw new Error(p)}}e.$Pq=b;var E;(function(l){l[l.None=0]="None",l[l.Creation=1]="Creation",l[l.Invocation=2]="Invocation",l[l.Branch=3]="Branch"})(E||(E={}));class k{static{this.all=new Set}static{this.c=new class extends k{constructor(){super(0,null)}stop(){}branch(){return this}}}static traceInvocation(p,o){return p?new k(2,o.name||new Error().stack.split(`
`).slice(3,4).join(`
`)):k.c}static traceCreation(p,o){return p?new k(1,o.name):k.c}static{this.f=0}constructor(p,o){this.type=p,this.name=o,this.g=Date.now(),this.h=[]}branch(p,o){const i=new k(3,p.toString());return this.h.push([p,o,i]),i}stop(){const p=Date.now()-this.g;k.f+=p;let o=!1;function i(r,a){const t=[],d=new Array(r+1).join("	");for(const[u,s,c]of a.h)if(s&&c){o=!0,t.push(`${d}CREATES -> ${u}`);const h=i(r+1,c);h&&t.push(h)}else t.push(`${d}uses -> ${u}`);return t.join(`
`)}const n=[`${this.type===1?"CREATE":"CALL"} ${this.name}`,`${i(1,this)}`,`DONE, took ${p.toFixed(2)}ms (grand total ${k.f.toFixed(2)}ms)`];(p>2||o)&&k.all.add(n.join(`
`))}}e.$Qq=k}),define(Se[13],De([1,0,40,4,54,3,28,11,23,18,2,45,5]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Pj=e.$Oj=e.$Nj=e.$Mj=e.$Lj=e.$Kj=e.$Jj=e.$Ij=e.$Hj=e.$Gj=e.$Fj=e.$Ej=e.$Dj=e.log=e.$Bj=e.LogLevel=e.$Aj=e.$zj=e.$yj=void 0,e.$yj=(0,b.$ei)("logService"),e.$zj=(0,b.$ei)("loggerService");function E(){return new Date().toISOString()}function k(g){return(0,S.$Wf)(g)}e.$Aj=k;var l;(function(g){g[g.Off=0]="Off",g[g.Trace=1]="Trace",g[g.Debug=2]="Debug",g[g.Info=3]="Info",g[g.Warning=4]="Warning",g[g.Error=5]="Error"})(l||(e.LogLevel=l={})),e.$Bj=l.Info;function p(g,f,y){switch(f){case l.Trace:g.trace(y);break;case l.Debug:g.debug(y);break;case l.Info:g.info(y);break;case l.Warning:g.warn(y);break;case l.Error:g.error(y);break;case l.Off:break;default:throw new Error(`Invalid log level ${f}`)}}e.log=p;function o(g,f=!1){let y="";for(let A=0;A<g.length;A++){let N=g[A];if(N instanceof Error&&(N=(0,I.$2i)(N,f)),typeof N=="object")try{N=JSON.stringify(N)}catch{}y+=(A>0?" ":"")+N}return y}class i extends L.$Tc{constructor(){super(...arguments),this.b=e.$Bj,this.c=this.B(new F.$5d),this.onDidChangeLogLevel=this.c.event}setLevel(f){this.b!==f&&(this.b=f,this.c.fire(this.b))}getLevel(){return this.b}f(f){return this.b!==l.Off&&this.b<=f}}e.$Dj=i;class n extends i{constructor(f){super(),this.h=f}f(f){return this.h||super.f(f)}trace(f,...y){this.f(l.Trace)&&this.g(l.Trace,o([f,...y],!0))}debug(f,...y){this.f(l.Debug)&&this.g(l.Debug,o([f,...y]))}info(f,...y){this.f(l.Info)&&this.g(l.Info,o([f,...y]))}warn(f,...y){this.f(l.Warning)&&this.g(l.Warning,o([f,...y]))}error(f,...y){if(this.f(l.Error))if(f instanceof Error){const A=Array.prototype.slice.call(arguments);A[0]=f.stack,this.g(l.Error,o(A))}else this.g(l.Error,o([f,...y]))}flush(){}}e.$Ej=n;class r extends i{constructor(f=e.$Bj){super(),this.setLevel(f),this.g=!w.$i}trace(f,...y){this.f(l.Trace)&&(this.g?console.log(`\x1B[90m[main ${E()}]\x1B[0m`,f,...y):console.log(`[main ${E()}]`,f,...y))}debug(f,...y){this.f(l.Debug)&&(this.g?console.log(`\x1B[90m[main ${E()}]\x1B[0m`,f,...y):console.log(`[main ${E()}]`,f,...y))}info(f,...y){this.f(l.Info)&&(this.g?console.log(`\x1B[90m[main ${E()}]\x1B[0m`,f,...y):console.log(`[main ${E()}]`,f,...y))}warn(f,...y){this.f(l.Warning)&&(this.g?console.warn(`\x1B[93m[main ${E()}]\x1B[0m`,f,...y):console.warn(`[main ${E()}]`,f,...y))}error(f,...y){this.f(l.Error)&&(this.g?console.error(`\x1B[91m[main ${E()}]\x1B[0m`,f,...y):console.error(`[main ${E()}]`,f,...y))}flush(){}}e.$Fj=r;class a extends i{constructor(f=e.$Bj,y=!0){super(),this.g=y,this.setLevel(f)}trace(f,...y){this.f(l.Trace)&&(this.g?console.log("%cTRACE","color: #888",f,...y):console.log(f,...y))}debug(f,...y){this.f(l.Debug)&&(this.g?console.log("%cDEBUG","background: #eee; color: #888",f,...y):console.log(f,...y))}info(f,...y){this.f(l.Info)&&(this.g?console.log("%c INFO","color: #33f",f,...y):console.log(f,...y))}warn(f,...y){this.f(l.Warning)&&(this.g?console.log("%c WARN","color: #993",f,...y):console.log(f,...y))}error(f,...y){this.f(l.Error)&&(this.g?console.log("%c  ERR","color: #f33",f,...y):console.error(f,...y))}flush(){}}e.$Gj=a;class t extends i{constructor(f,y=e.$Bj){super(),this.g=f,this.setLevel(y)}trace(f,...y){this.f(l.Trace)&&this.g.log(l.Trace,[this.h(f),...y])}debug(f,...y){this.f(l.Debug)&&this.g.log(l.Debug,[this.h(f),...y])}info(f,...y){this.f(l.Info)&&this.g.log(l.Info,[this.h(f),...y])}warn(f,...y){this.f(l.Warning)&&this.g.log(l.Warning,[this.h(f),...y])}error(f,...y){this.f(l.Error)&&this.g.log(l.Error,[this.h(f),...y])}h(f){return typeof f=="string"?f:(0,I.$2i)(f,this.f(l.Trace))}flush(){}}e.$Hj=t;class d extends i{constructor(f){super(),this.g=f,f.length&&this.setLevel(f[0].getLevel())}setLevel(f){for(const y of this.g)y.setLevel(f);super.setLevel(f)}trace(f,...y){for(const A of this.g)A.trace(f,...y)}debug(f,...y){for(const A of this.g)A.debug(f,...y)}info(f,...y){for(const A of this.g)A.info(f,...y)}warn(f,...y){for(const A of this.g)A.warn(f,...y)}error(f,...y){for(const A of this.g)A.error(f,...y)}flush(){for(const f of this.g)f.flush()}dispose(){for(const f of this.g)f.dispose();super.dispose()}}e.$Ij=d;class u extends L.$Tc{constructor(f,y,A){if(super(),this.h=f,this.j=y,this.b=new R.$Ac,this.c=this.B(new F.$5d),this.onDidChangeLoggers=this.c.event,this.f=this.B(new F.$5d),this.onDidChangeLogLevel=this.f.event,this.g=this.B(new F.$5d),this.onDidChangeVisibility=this.g.event,A)for(const N of A)this.b.set(N.resource,{logger:void 0,info:N})}m(f){return(0,S.$Sf)(f)?[...this.b.values()].find(y=>y.info.id===f):this.b.get(f)}getLogger(f){return this.m(f)?.logger}createLogger(f,y){const A=this.n(f),N=(0,S.$Sf)(f)?f:y?.id??(0,$.$5i)(A.toString()).toString(16);let U=this.b.get(A)?.logger;const z=y?.logLevel==="always"?l.Trace:y?.logLevel;U||(U=this.s(A,z??this.getLogLevel(A)??this.h,{...y,id:N}));const T={logger:U,info:{resource:A,id:N,logLevel:z,name:y?.name,hidden:y?.hidden,extensionId:y?.extensionId,when:y?.when}};return this.registerLogger(T.info),this.b.set(A,T),U}n(f){return(0,S.$Sf)(f)?(0,v.$Rg)(this.j,`${f}.log`):f}setLogLevel(f,y){if(M.URI.isUri(f)){const A=f,N=y,U=this.b.get(A);U&&N!==U.info.logLevel&&(U.info.logLevel=N===this.h?void 0:N,U.logger?.setLevel(N),this.b.set(U.info.resource,U),this.f.fire([A,N]))}else{this.h=f;for(const[A,N]of this.b.entries())this.b.get(A)?.info.logLevel===void 0&&N.logger?.setLevel(this.h);this.f.fire(this.h)}}setVisibility(f,y){const A=this.m(f);A&&y!==!A.info.hidden&&(A.info.hidden=!y,this.b.set(A.info.resource,A),this.g.fire([A.info.resource,y]))}getLogLevel(f){let y;return f&&(y=this.b.get(f)?.info.logLevel),y??this.h}registerLogger(f){const y=this.b.get(f.resource);y?y.info.hidden!==f.hidden&&this.setVisibility(f.resource,!f.hidden):(this.b.set(f.resource,{info:f,logger:void 0}),this.c.fire({added:[f],removed:[]}))}deregisterLogger(f){const y=this.b.get(f);y&&(y.logger&&y.logger.dispose(),this.b.delete(f),this.c.fire({added:[],removed:[y.info]}))}*getRegisteredLoggers(){for(const f of this.b.values())yield f.info}getRegisteredLogger(f){return this.b.get(f)?.info}dispose(){this.b.forEach(f=>f.logger?.dispose()),this.b.clear(),super.dispose()}}e.$Jj=u;class s{constructor(){this.onDidChangeLogLevel=new F.$5d().event}setLevel(f){}getLevel(){return l.Info}trace(f,...y){}debug(f,...y){}info(f,...y){}warn(f,...y){}error(f,...y){}critical(f,...y){}dispose(){}flush(){}}e.$Kj=s;class c extends s{}e.$Lj=c;function h(g){if(g.verbose)return l.Trace;if(typeof g.logLevel=="string"){const f=D(g.logLevel.toLowerCase());if(f!==void 0)return f}return e.$Bj}e.$Mj=h;function m(g){switch(g){case l.Trace:return"trace";case l.Debug:return"debug";case l.Info:return"info";case l.Warning:return"warn";case l.Error:return"error";case l.Off:return"off"}}e.$Nj=m;function D(g){switch(g){case"trace":return l.Trace;case"debug":return l.Debug;case"info":return l.Info;case"warn":return l.Warning;case"error":return l.Error;case"critical":return l.Error;case"off":return l.Off}}e.$Oj=D,e.$Pj=new C.$vj("logLevel",m(l.Info))}),define(Se[250],De([1,0,19,8,14,4,3,17,85,13]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wq=void 0;class M extends R.$Tc{constructor(b,E){super(),this.a=b,this.b=E,this.c=this.B(new L.$5d),this.onDidChangeFile=this.c.event,this.g=this.B(new L.$5d),this.onDidWatchError=this.g.event,this.j=[],this.m=this.B(new F.$ch(0)),this.w=[],this.y=this.B(new F.$ch(0))}watch(b,E){return E.recursive||this.b?.watcher?.forceUniversal?this.n(b,E):this.z(b,E)}n(b,E){const k={path:this.H(b),excludes:E.excludes,includes:E.includes,recursive:E.recursive,correlationId:E.correlationId},l=(0,I.$Ub)(this.j,k);return this.r(),(0,R.$Rc)(()=>{l(),this.r()})}r(){this.m.trigger(()=>this.s()).catch(b=>(0,$.$1)(b))}s(){this.h||(this.h=this.B(this.t(E=>this.c.fire((0,v.$sq)(E)),E=>this.G(E),this.a.getLevel()===S.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.h?.setVerboseLogging(this.a.getLevel()===S.LogLevel.Trace)})));const b=this.b?.watcher?.recursive?.usePolling;if(b===!0)for(const E of this.j)(0,v.$oq)(E)&&(E.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);else if(Array.isArray(b))for(const E of this.j)(0,v.$oq)(E)&&b.includes(E.path)&&(E.pollingInterval=this.b?.watcher?.recursive?.pollingInterval??5e3);return this.h.watch(this.j)}z(b,E){const k={path:this.H(b),excludes:E.excludes,includes:E.includes,recursive:!1,correlationId:E.correlationId},l=(0,I.$Ub)(this.w,k);return this.C(),(0,R.$Rc)(()=>{l(),this.C()})}C(){this.y.trigger(()=>this.D()).catch(b=>(0,$.$1)(b))}D(){return this.u||(this.u=this.B(this.F(b=>this.c.fire((0,v.$sq)(b)),b=>this.G(b),this.a.getLevel()===S.LogLevel.Trace)),this.B(this.a.onDidChangeLogLevel(()=>{this.u?.setVerboseLogging(this.a.getLevel()===S.LogLevel.Trace)}))),this.u.watch(this.w)}G(b){b.type==="error"&&this.g.fire(b.message),this.a[b.type](b.message)}H(b){return(0,w.$hc)(b.fsPath)}}e.$wq=M}),define(Se[251],De([1,0,57,390,8,28,21,4,34,3,17,11,23,98,31,206,32,244,250,40,248,247]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mq=void 0,(()=>{try{(0,F.gracefulify)(I)}catch(d){console.error(`Error enabling graceful-fs: ${(0,n.$2i)(d)}`)}})();class t extends i.$wq{static{this.I=!1}constructor(u,s){super(u,s),this.onDidChangeCapabilities=w.Event.None,this.N=new L.$Ac(c=>b.$Ig.getComparisonKey(c)),this.U=new Map,this.W=new Map,this.X=new Map}get capabilities(){return this.J||(this.J=253982,C.$k&&(this.J|=1024)),this.J}async stat(u){try{const{stat:s,symbolicLink:c}=await k.SymlinkSupport.stat(this.H(u));return{type:this.M(s,c),ctime:s.birthtime.getTime(),mtime:s.mtime.getTime(),size:s.size,permissions:s.mode&128?void 0:p.FilePermission.Locked}}catch(s){throw this.fb(s)}}async L(u){try{return await this.stat(u)}catch{return}}async readdir(u){try{const s=await k.Promises.readdir(this.H(u),{withFileTypes:!0}),c=[];return await Promise.all(s.map(async h=>{try{let m;h.isSymbolicLink()?m=(await this.stat((0,b.$Rg)(u,h.name))).type:m=this.M(h),c.push([h.name,m])}catch(m){this.a.trace(m)}})),c}catch(s){throw this.fb(s)}}M(u,s){let c;return s?.dangling?c=p.FileType.Unknown:u.isFile()?c=p.FileType.File:u.isDirectory()?c=p.FileType.Directory:c=p.FileType.Unknown,s&&(c|=p.FileType.SymbolicLink),c}async O(u){const s=this.H(u);this.P(`[Disk FileSystemProvider]: createResourceLock() - request to acquire resource lock (${s})`);let c;for(;c=this.N.get(u);)this.P(`[Disk FileSystemProvider]: createResourceLock() - waiting for resource lock to be released (${s})`),await c.wait();const h=new $.$dh;return this.N.set(u,h),this.P(`[Disk FileSystemProvider]: createResourceLock() - new resource lock created (${s})`),(0,S.$Rc)(()=>{this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock dispose() (${s})`),this.N.get(u)===h&&(this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock removed from resource-lock map (${s})`),this.N.delete(u)),this.P(`[Disk FileSystemProvider]: createResourceLock() - resource lock barrier open() (${s})`),h.open()})}async readFile(u,s){let c;try{s?.atomic&&(this.P(`[Disk FileSystemProvider]: atomic read operation started (${this.H(u)})`),c=await this.O(u));const h=this.H(u);return await k.Promises.readFile(h)}catch(h){throw this.fb(h)}finally{c?.dispose()}}P(u){t.I&&this.a.trace(u)}readFileStream(u,s,c){const h=(0,E.$ge)(m=>R.$se.concat(m.map(D=>R.$se.wrap(D))).buffer);return(0,o.$mq)(this,u,h,m=>m.buffer,{...s,bufferSize:256*1024},c),h}async writeFile(u,s,c){return c?.atomic!==!1&&c?.atomic?.postfix&&await this.Q(u)?this.R(u,(0,b.$Rg)((0,b.$Qg)(u),`${(0,b.$Og)(u)}${c.atomic.postfix}`),s,c):this.S(u,s,c)}async Q(u){try{const s=this.H(u),{symbolicLink:c}=await k.SymlinkSupport.stat(s);if(c)return!1}catch{}return!0}async R(u,s,c,h){const m=new S.$Sc;try{m.add(await this.O(u)),m.add(await this.O(s)),await this.S(s,c,h,!0);try{await this.rename(s,u,{overwrite:!0})}catch(D){try{await this.delete(s,{recursive:!1,useTrash:!1,atomic:!1})}catch{}throw D}}finally{m.dispose()}}async S(u,s,c,h){let m;try{const D=this.H(u);if(!c.create||!c.overwrite){if(await k.Promises.exists(D)){if(!c.overwrite)throw(0,p.$Ok)((0,l.localize)(0,null),p.FileSystemProviderErrorCode.FileExists)}else if(!c.create)throw(0,p.$Ok)((0,l.localize)(1,null),p.FileSystemProviderErrorCode.FileNotFound)}m=await this.open(u,{create:!0,unlock:c.unlock},h),await this.write(m,0,s,0,s.byteLength)}catch(D){throw await this.gb(u,D)}finally{typeof m=="number"&&await this.close(m)}}static{this.Y=!0}static configureFlushOnWrite(u){t.Y=u}async open(u,s,c){const h=this.H(u);let m;(0,p.$Ck)(s)&&!c&&(m=await this.O(u));let D;try{if((0,p.$Ck)(s)&&s.unlock)try{const{stat:f}=await k.SymlinkSupport.stat(h);f.mode&128||await k.Promises.chmod(h,f.mode|128)}catch(f){f.code!=="ENOENT"&&this.a.trace(f)}let g;if((0,p.$Ck)(s)){if(C.$i)try{await k.Promises.truncate(h,0),g="r+"}catch(f){f.code!=="ENOENT"&&this.a.trace(f)}g||(g="w")}else g="r";D=await k.Promises.open(h,g)}catch(g){throw m?.dispose(),(0,p.$Ck)(s)?await this.gb(u,g):this.fb(g)}if(this.U.set(D,0),(0,p.$Ck)(s)&&this.X.set(D,u),m){const g=this.W.get(D);this.P(`[Disk FileSystemProvider]: open() - storing lock for handle ${D} (${h})`),this.W.set(D,m),g&&(this.P(`[Disk FileSystemProvider]: open() - disposing a previous lock that was still stored on same handle ${D} (${h})`),g.dispose())}return D}async close(u){const s=this.W.get(u);try{if(this.U.delete(u),this.X.delete(u)&&t.Y)try{await k.Promises.fdatasync(u)}catch(c){t.configureFlushOnWrite(!1),this.a.error(c)}return await k.Promises.close(u)}catch(c){throw this.fb(c)}finally{s&&(this.W.get(u)===s&&(this.P(`[Disk FileSystemProvider]: close() - resource lock removed from handle-lock map ${u}`),this.W.delete(u)),this.P(`[Disk FileSystemProvider]: close() - disposing lock for handle ${u}`),s.dispose())}}async read(u,s,c,h,m){const D=this.Z(u,s);let g=null;try{g=(await k.Promises.read(u,c,h,m,D)).bytesRead}catch(f){throw this.fb(f)}finally{this.$(u,D,g)}return g}Z(u,s){return s===this.U.get(u)?null:s}$(u,s,c){const h=this.U.get(u);typeof h=="number"&&(typeof s=="number"||(typeof c=="number"?this.U.set(u,h+c):this.U.delete(u)))}async write(u,s,c,h,m){return(0,$.$yh)(()=>this.ab(u,s,c,h,m),100,3)}async ab(u,s,c,h,m){const D=this.Z(u,s);let g=null;try{g=(await k.Promises.write(u,c,h,m,D)).bytesWritten}catch(f){throw await this.gb(this.X.get(u),f)}finally{this.$(u,D,g)}return g}async mkdir(u){try{await k.Promises.mkdir(this.H(u))}catch(s){throw this.fb(s)}}async delete(u,s){try{const c=this.H(u);if(s.recursive){let h;s?.atomic!==!1&&s.atomic.postfix&&(h=(0,M.$jc)((0,M.$mc)(c),`${(0,M.$nc)(c)}${s.atomic.postfix}`)),await k.Promises.rm(c,k.RimRafMode.MOVE,h)}else try{await k.Promises.unlink(c)}catch(h){if(h.code==="EPERM"||h.code==="EISDIR"){let m=!1;try{const{stat:D,symbolicLink:g}=await k.SymlinkSupport.stat(c);m=D.isDirectory()&&!g}catch{}if(m)await k.Promises.rmdir(c);else throw h}else throw h}}catch(c){throw this.fb(c)}}async rename(u,s,c){const h=this.H(u),m=this.H(s);if(h!==m)try{await this.bb(u,s,"move",c.overwrite),await k.Promises.rename(h,m)}catch(D){throw(D.code==="EINVAL"||D.code==="EBUSY"||D.code==="ENAMETOOLONG")&&(D=new Error((0,l.localize)(2,null,(0,M.$nc)(h),(0,M.$nc)((0,M.$mc)(m)),D.toString()))),this.fb(D)}}async copy(u,s,c){const h=this.H(u),m=this.H(s);if(h!==m)try{await this.bb(u,s,"copy",c.overwrite),await k.Promises.copy(h,m,{preserveSymlinks:!0})}catch(D){throw(D.code==="EINVAL"||D.code==="EBUSY"||D.code==="ENAMETOOLONG")&&(D=new Error((0,l.localize)(3,null,(0,M.$nc)(h),(0,M.$nc)((0,M.$mc)(m)),D.toString()))),this.fb(D)}}async bb(u,s,c,h){const m=this.H(u),D=this.H(s);let g=!1;if(!!(this.capabilities&1024)||(g=(0,v.$eg)(m,D,!0)),g){if(c==="copy")throw(0,p.$Ok)((0,l.localize)(4,null),p.FileSystemProviderErrorCode.FileExists);if(c==="move")return}const y=await this.L(u);if(!y)throw(0,p.$Ok)((0,l.localize)(5,null),p.FileSystemProviderErrorCode.FileNotFound);const A=await this.L(s);if(A){if(!h)throw(0,p.$Ok)((0,l.localize)(6,null),p.FileSystemProviderErrorCode.FileExists);y.type&p.FileType.File&&A.type&p.FileType.File||await this.delete(s,{recursive:!0,useTrash:!1,atomic:!1})}}async cloneFile(u,s){return this.cb(u,s,!1)}async cb(u,s,c){const h=this.H(u),m=this.H(s),D=!!(this.capabilities&1024);if((0,v.$eg)(h,m,!D))return;const g=new S.$Sc;try{g.add(await this.O(u)),g.add(await this.O(s)),c&&await k.Promises.mkdir((0,M.$mc)(m),{recursive:!0}),await k.Promises.copyFile(h,m)}catch(f){if(f.code==="ENOENT"&&!c)return this.cb(u,s,!0);throw this.fb(f)}finally{g.dispose()}}t(u,s,c){return new r.$Dq(h=>u(h),h=>s(h),c)}F(u,s,c){return new a.$Lq(h=>u(h),h=>s(h),c)}fb(u){if(u instanceof p.$Nk)return u;let s=u,c;switch(u.code){case"ENOENT":c=p.FileSystemProviderErrorCode.FileNotFound;break;case"EISDIR":c=p.FileSystemProviderErrorCode.FileIsADirectory;break;case"ENOTDIR":c=p.FileSystemProviderErrorCode.FileNotADirectory;break;case"EEXIST":c=p.FileSystemProviderErrorCode.FileExists;break;case"EPERM":case"EACCES":c=p.FileSystemProviderErrorCode.NoPermissions;break;case"ERR_UNC_HOST_NOT_ALLOWED":s=`${u.message}. Please update the 'security.allowedUNCHosts' setting if you want to allow this host.`,c=p.FileSystemProviderErrorCode.Unknown;break;default:c=p.FileSystemProviderErrorCode.Unknown}return(0,p.$Ok)(s,c)}async gb(u,s){let c=this.fb(s);if(u&&c.code===p.FileSystemProviderErrorCode.NoPermissions)try{const{stat:h}=await k.SymlinkSupport.stat(this.H(u));h.mode&128||(c=(0,p.$Ok)(s,p.FileSystemProviderErrorCode.FileWriteLocked))}catch(h){this.a.trace(h)}return c}}e.$Mq=t}),define(Se[252],De([1,0,3,13]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$BP=void 0;class $ extends I.$Tc{constructor(R,w=[]){super(),this.a=new F.$Ij([R,...w]),this.B(R.onDidChangeLogLevel(v=>this.setLevel(v)))}get onDidChangeLogLevel(){return this.a.onDidChangeLogLevel}setLevel(R){this.a.setLevel(R)}getLevel(){return this.a.getLevel()}trace(R,...w){this.a.trace(R,...w)}debug(R,...w){this.a.debug(R,...w)}info(R,...w){this.a.info(R,...w)}warn(R,...w){this.a.warn(R,...w)}error(R,...w){this.a.error(R,...w)}flush(){this.a.flush()}}e.$BP=$}),define(Se[253],De([1,0,32,13]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qP=void 0;var $;(function(S){S[S.Trace=0]="Trace",S[S.Debug=1]="Debug",S[S.Info=2]="Info",S[S.Warning=3]="Warning",S[S.Error=4]="Error",S[S.Critical=5]="Critical",S[S.Off=6]="Off"})($||($={}));async function L(S,M,C,b,E){try{const k=await new Promise((p,o)=>{me(["@vscode/spdlog"],p,o)});k.setFlushOn($.Trace);const l=await k.createAsyncRotatingLogger(S,M,C,b);return E?l.clearFormatters():l.setPattern("%Y-%m-%d %H:%M:%S.%e [%l] %v"),l}catch(k){console.error(k)}return null}function R(S,M,C){switch(M){case F.LogLevel.Trace:S.trace(C);break;case F.LogLevel.Debug:S.debug(C);break;case F.LogLevel.Info:S.info(C);break;case F.LogLevel.Warning:S.warn(C);break;case F.LogLevel.Error:S.error(C);break;case F.LogLevel.Off:break;default:throw new Error(`Invalid log level ${M}`)}}function w(S,M){switch(M){case F.LogLevel.Trace:S.setLevel($.Trace);break;case F.LogLevel.Debug:S.setLevel($.Debug);break;case F.LogLevel.Info:S.setLevel($.Info);break;case F.LogLevel.Warning:S.setLevel($.Warning);break;case F.LogLevel.Error:S.setLevel($.Error);break;case F.LogLevel.Off:S.setLevel($.Off);break;default:throw new Error(`Invalid log level ${M}`)}}class v extends F.$Ej{constructor(M,C,b,E,k){super(),this.m=[],this.setLevel(k),this.n=this.s(M,C,b,E),this.B(this.onDidChangeLogLevel(l=>{this.r&&w(this.r,l)}))}async s(M,C,b,E){const k=b?6:1,l=30/k*I.$0k.MB,p=await L(M,C,l,k,E);if(p){this.r=p,w(this.r,this.getLevel());for(const{level:o,message:i}of this.m)R(this.r,o,i);this.m=[]}}g(M,C){this.r?R(this.r,M,C):this.getLevel()<=M&&this.m.push({level:M,message:C})}flush(){this.r?this.r.flush():this.n.then(()=>this.flush())}dispose(){this.r?this.u():this.n.then(()=>this.u()),super.dispose()}u(){this.r&&(this.r.drop(),this.r=void 0)}}e.$qP=v}),define(Se[135],De([1,0,39,207,5]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lt=e.IMarkerData=e.MarkerSeverity=e.MarkerTag=void 0;var L;(function(v){v[v.Unnecessary=1]="Unnecessary",v[v.Deprecated=2]="Deprecated"})(L||(e.MarkerTag=L={}));var R;(function(v){v[v.Hint=1]="Hint",v[v.Info=2]="Info",v[v.Warning=4]="Warning",v[v.Error=8]="Error"})(R||(e.MarkerSeverity=R={})),function(v){function S(k,l){return l-k}v.compare=S;const M=Object.create(null);M[v.Error]=(0,F.localize)(0,null),M[v.Warning]=(0,F.localize)(1,null),M[v.Info]=(0,F.localize)(2,null);function C(k){return M[k]||""}v.toString=C;function b(k){switch(k){case I.default.Error:return v.Error;case I.default.Warning:return v.Warning;case I.default.Info:return v.Info;case I.default.Ignore:return v.Hint}}v.fromSeverity=b;function E(k){switch(k){case v.Error:return I.default.Error;case v.Warning:return I.default.Warning;case v.Info:return I.default.Info;case v.Hint:return I.default.Ignore}}v.toSeverity=E}(R||(e.MarkerSeverity=R={}));var w;(function(v){const S="";function M(b){return C(b,!0)}v.makeKey=M;function C(b,E){const k=[S];return b.source?k.push(b.source.replace("\xA6","\\\xA6")):k.push(S),b.code?typeof b.code=="string"?k.push(b.code.replace("\xA6","\\\xA6")):k.push(b.code.value.replace("\xA6","\\\xA6")):k.push(S),b.severity!==void 0&&b.severity!==null?k.push(R.toString(b.severity)):k.push(S),b.message&&E?k.push(b.message.replace("\xA6","\\\xA6")):k.push(S),b.startLineNumber!==void 0&&b.startLineNumber!==null?k.push(b.startLineNumber.toString()):k.push(S),b.startColumn!==void 0&&b.startColumn!==null?k.push(b.startColumn.toString()):k.push(S),b.endLineNumber!==void 0&&b.endLineNumber!==null?k.push(b.endLineNumber.toString()):k.push(S),b.endColumn!==void 0&&b.endColumn!==null?k.push(b.endColumn.toString()):k.push(S),k.push(S),k.join("\xA6")}v.makeKeyOptionalMessage=C})(w||(e.IMarkerData=w={})),e.$Lt=(0,$.$ei)("markerService")}),define(Se[254],De([1,0,4,39,5]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ev=e.$Dv=e.NotificationsFilter=e.$Cv=e.NeverShowAgainScope=e.NotificationPriority=e.$Bv=e.Severity=void 0,e.Severity=F.default,e.$Bv=(0,$.$ei)("notificationService");var L;(function(C){C[C.DEFAULT=0]="DEFAULT",C[C.SILENT=1]="SILENT",C[C.URGENT=2]="URGENT"})(L||(e.NotificationPriority=L={}));var R;(function(C){C[C.WORKSPACE=0]="WORKSPACE",C[C.PROFILE=1]="PROFILE",C[C.APPLICATION=2]="APPLICATION"})(R||(e.NeverShowAgainScope=R={}));function w(C){if(C){const b=C;return typeof b.id=="string"&&typeof b.label=="string"}return!1}e.$Cv=w;var v;(function(C){C[C.OFF=0]="OFF",C[C.ERROR=1]="ERROR"})(v||(e.NotificationsFilter=v={}));class S{constructor(){this.progress=new M,this.onDidClose=I.Event.None,this.onDidChangeVisibility=I.Event.None}updateSeverity(b){}updateMessage(b){}updateActions(b){}close(){}}e.$Dv=S;class M{infinite(){}done(){}total(b){}worked(b){}}e.$Ev=M}),define(Se[255],De([1,0,50]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0});let F;const $=globalThis.vscode;if(typeof $<"u"&&typeof $.context<"u"){const L=$.context.configuration();if(L)F=L.product;else throw new Error("Sandbox: unable to resolve product configuration from preload script.")}else if(globalThis._VSCODE_PRODUCT_JSON&&globalThis._VSCODE_PACKAGE_JSON){if(F=globalThis._VSCODE_PRODUCT_JSON,I.env.VSCODE_DEV&&Object.assign(F,{nameShort:`${F.nameShort} Dev`,nameLong:`${F.nameLong} Dev`,dataFolderName:`${F.dataFolderName}-dev`,serverDataFolderName:F.serverDataFolderName?`${F.serverDataFolderName}-dev`:void 0}),!F.version){const L=globalThis._VSCODE_PACKAGE_JSON;Object.assign(F,{version:L.version})}}else F={nameShort:"Code",nameLong:"Visual Studio Code",applicationName:"code",win32x64AppId:"{{EA457B21-F73E-494C-ACAB-524FDE069978}",win32arm64AppId:"{{A5270FC5-65AD-483E-AC30-2C276B63D0AC}",win32x64UserAppId:"{{771FD6B0-FA20-440A-A002-3B3BAC16DC50}",win32arm64UserAppId:"{{D9E514E7-1A56-452D-9337-2990C0DC4310}",win32NameVersion:"Microsoft Visual Studio Code",win32DirName:"Microsoft VS Code",win32SetupExeBasename:"VSCodeSetup",win32AppUserModelId:"Microsoft.VisualStudioCode",win32ShellNameShort:"Code",win32MutexName:"vscode",win32RegValueName:"VSCode",darwinCredits:"resources/darwin/Credits.rtf",darwinBundleIdentifier:"com.microsoft.VSCode",darwinExecutable:"VSCode",linuxIconName:"vscode",licenseFileName:"LICENSE.rtf",licenseName:"Multiple, see https://code.visualstudio.com/license",serverGreeting:[],serverLicense:["*","* Visual Studio Code Server","*","* By using the software, you agree to","* the Visual Studio Code Server License Terms (https://aka.ms/vscode-server-license) and","* the Microsoft Privacy Statement (https://privacy.microsoft.com/en-US/privacystatement).","*"],serverLicensePrompt:"Do you accept the terms in the License Agreement (Y/n)?",serverApplicationName:"code-server",urlProtocol:"vscode",dataFolderName:".vscode",serverDataFolderName:".vscode-server",downloadUrl:"https://code.visualstudio.com",updateUrl:"https://update.code.visualstudio.com",webUrl:"https://vscode.dev",webEndpointUrl:"https://main.vscode-cdn.net",webEndpointUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}",webviewContentExternalBaseUrlTemplate:"https://{{uuid}}.vscode-cdn.net/{{quality}}/{{commit}}/out/vs/workbench/contrib/webview/browser/pre/",quality:"stable",extensionsGallery:{nlsBaseUrl:"https://www.vscode-unpkg.net/_lp/",serviceUrl:"https://marketplace.visualstudio.com/_apis/public/gallery",itemUrl:"https://marketplace.visualstudio.com/items",publisherUrl:"https://marketplace.visualstudio.com/publishers",resourceUrlTemplate:"https://{publisher}.vscode-unpkg.net/{publisher}/{name}/{version}/{path}",controlUrl:"https://az764295.vo.msecnd.net/extensions/marketplace.json"},profileTemplatesUrl:"https://az764295.vo.msecnd.net/profile-templates/profile-templates.json",extensionRecommendations:{"ms-dotnettools.csdevkit":{onFileOpen:[{pathGlob:"{**/*.cs,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln}",important:!0},{languages:["csharp"],important:!0},{pathGlob:"{**/project.json,**/appsettings.json}"}]},"ms-python.python":{onFileOpen:[{pathGlob:"{**/*.py}",important:!0},{languages:["python"],important:!0},{pathGlob:"{**/*.ipynb}"}]},"ms-toolsai.jupyter":{onFileOpen:[{pathGlob:"{**/*.py}",contentPattern:"^#\\s*%%$",important:!0,whenInstalled:["ms-python.python"]},{pathGlob:"{**/*.ipynb}"}]},"ms-toolsai.datawrangler":{onFileOpen:[{pathGlob:"{**/*.ipynb}",contentPattern:"import\\s*pandas|from\\s*pandas",whenInstalled:["ms-toolsai.jupyter"]}]},"golang.Go":{onFileOpen:[{pathGlob:"**/*.go",important:!0},{languages:["go"],important:!0}]},"vscjava.vscode-java-pack":{onFileOpen:[{pathGlob:"{**/*.java}",important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},{languages:["java"],important:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}]},"ms-vscode.PowerShell":{onFileOpen:[{pathGlob:"{**/*.ps1,**/*.psd1,**/*.psm1}",important:!0},{languages:["powershell"],important:!0},{pathGlob:"{**/*.ps.config,**/*.ps1.config}"}]},"ms-vscode.cpptools-extension-pack":{onFileOpen:[{pathGlob:"{**/*.c,**/*.cpp,**/*.cc,**/.cxx,**/*.hh,**/*.hpp,**/*.hxx,**/*.h}",important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]},{languages:["c","cpp"],important:!0,whenNotInstalled:["llvm-vs-code-extensions.vscode-clangd"]}]},"ms-azuretools.vscode-docker":{onFileOpen:[{pathGlob:"{**/dockerfile,**/Dockerfile,**/docker-compose.yml,**/docker-compose.*.yml}",important:!0},{languages:["dockerfile"],important:!0},{pathGlob:"{**/*.cs,**/project.json,**/global.json,**/*.csproj,**/*.cshtml,**/*.sln,**/appsettings.json,**/*.py,**/*.ipynb,**/*.js,**/*.ts,**/package.json}"}]},"vue.volar":{onFileOpen:[{pathGlob:"{**/*.vue}",important:!0},{languages:["vue"],important:!0}]},"ms-vscode.makefile-tools":{onFileOpen:[{pathGlob:"{**/makefile,**/Makefile}",important:!0},{languages:["makefile"],important:!0}]},"ms-vscode.cmake-tools":{onFileOpen:[{pathGlob:"{**/CMakeLists.txt}",important:!0}]},"ms-azure-devops.azure-pipelines":{onFileOpen:[{pathGlob:"{**/azure-pipelines.yaml}",important:!0}]},"msazurermtools.azurerm-vscode-tools":{onFileOpen:[{pathGlob:"{**/azuredeploy.json}",important:!0}]},"ms-vscode-remote.remote-containers":{onFileOpen:[{pathGlob:"{**/devcontainer.json}",important:!0}]},"ms-azuretools.vscode-bicep":{onFileOpen:[{pathGlob:"{**/*.bicep}",important:!0,whenNotInstalled:["ms-azuretools.rad-vscode-bicep"]}]},"svelte.svelte-vscode":{onFileOpen:[{pathGlob:"{**/*.svelte}",important:!0}]},"ms-vscode.vscode-github-issue-notebooks":{onFileOpen:[{pathGlob:"{**/*.github-issues}",important:!0}]},"ms-playwright.playwright":{onFileOpen:[{pathGlob:"{**/*playwright*.config.ts,**/*playwright*.config.js,**/*playwright*.config.mjs}",important:!0}]},"vscjava.vscode-gradle":{onFileOpen:[{pathGlob:"{**/gradlew,**/gradlew.bat,**/build.gradle,**/build.gradle.kts,**/settings.gradle,**/settings.gradle.kts}",important:!0}]},"REditorSupport.r":{onFileOpen:[{pathGlob:"{**/*.r}",important:!0},{languages:["r"],important:!0}]},"firefox-devtools.vscode-firefox-debug":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.jsx,**/*.es6,**/.babelrc}"}]},"ms-edgedevtools.vscode-edge-devtools":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.css,**/*.html}"}]},"Ionide.Ionide-fsharp":{onFileOpen:[{pathGlob:"{**/*.fsx,**/*.fsi,**/*.fs,**/*.ml,**/*.mli}"}]},"dbaeumer.vscode-eslint":{onFileOpen:[{pathGlob:"{**/*.js,**/*.jsx,**/*.es6,**/.eslintrc.*,**/.eslintrc,**/.babelrc,**/jsconfig.json}"}]},"ms-vscode.vscode-typescript-tslint-plugin":{onFileOpen:[{pathGlob:"{**/tslint.json}"}]},"bmewburn.vscode-intelephense-client":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"xdebug.php-debug":{onFileOpen:[{pathGlob:"{**/*.php,**/php.ini}"}]},"rust-lang.rust-analyzer":{onFileOpen:[{pathGlob:"{**/*.rs,**/*.rslib}"}]},"DavidAnson.vscode-markdownlint":{onFileOpen:[{pathGlob:"{**/*.md}"}]},"EditorConfig.EditorConfig":{onFileOpen:[{pathGlob:"{**/.editorconfig}"}]},"HookyQR.beautify":{onFileOpen:[{pathGlob:"{**/.jsbeautifyrc}"}]},"donjayamanne.githistory":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"felipecaputo.git-project-manager":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"eamodio.gitlens":{onFileOpen:[{pathGlob:"{**/.gitignore,**/.git}"}]},"Shopify.ruby-lsp":{onFileOpen:[{pathGlob:"{**/*.rb,**/*.erb,**/*.reek,**/.fasterer.yml,**/ruby-lint.yml,**/.rubocop.yml}"}]},"DotJoshJohnson.xml":{onFileOpen:[{pathGlob:"{**/*.xml}"}]},"stylelint.vscode-stylelint":{onFileOpen:[{pathGlob:"{**/.stylelintrc,**/stylelint.config.js}"}]},"ms-mssql.mssql":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"mtxr.sqltools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"usqlextpublisher.usql-vscode-ext":{onFileOpen:[{pathGlob:"{**/*.usql}"}]},"ms-vscode.sublime-keybindings":{onFileOpen:[{pathGlob:"{**/.sublime-project,**/.sublime-workspace}"}]},"k--kato.intellij-idea-keybindings":{onFileOpen:[{pathGlob:"{**/.idea}"}]},"christian-kohler.npm-intellisense":{onFileOpen:[{pathGlob:"{**/package.json}"}]},"cake-build.cake-vscode":{onFileOpen:[{pathGlob:"{**/build.cake}"}]},"Angular.ng-template":{onFileOpen:[{pathGlob:"{**/.angular-cli.json,**/angular.json,**/*.ng.html,**/*.ng,**/*.ngml}"}]},"vscjava.vscode-maven":{onFileOpen:[{pathGlob:"**/pom.xml"}]},"ms-azuretools.vscode-azureterraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"HashiCorp.terraform":{onFileOpen:[{pathGlob:"**/*.tf"}]},"vsciot-vscode.vscode-arduino":{onFileOpen:[{pathGlob:"**/*.ino"}]},"ms-kubernetes-tools.vscode-kubernetes-tools":{onFileOpen:[{pathGlob:"{**/Chart.yaml}"}]},"GoogleCloudTools.cloudcode":{onFileOpen:[{pathGlob:"{**/skaffold.yaml}"}]},"Oracle.oracledevtools":{onFileOpen:[{pathGlob:"{**/*.sql}"}]},"betterthantomorrow.calva":{onFileOpen:[{pathGlob:"{**/*.clj,**/*.cljs}"}]},"Pivotal.vscode-boot-dev-pack":{onFileOpen:[{pathGlob:"{**/application.properties}"}]},"GitHub.copilot":{onFileOpen:[{pathGlob:"{**/*.ts,**/*.tsx,**/*.js,**/*.py,**/*.go,**/*.rb}"}],onSettingsEditorOpen:{}},"GitHub.vscode-github-actions":{onFileOpen:[{pathGlob:"{**/.github/workflows/*.yml}",important:!0}]},"circleci.circleci":{onFileOpen:[{pathGlob:"{**/.circleci/config.yml}"}]},"mechatroner.rainbow-csv":{onFileOpen:[{pathGlob:"**/*.csv",important:!0}]},"tomoki1207.pdf":{onFileOpen:[{pathGlob:"**/*.pdf",important:!0}]}},keymapExtensionTips:["vscodevim.vim","ms-vscode.sublime-keybindings","ms-vscode.atom-keybindings","ms-vscode.brackets-keybindings","ms-vscode.vs-keybindings","ms-vscode.notepadplusplus-keybindings","k--kato.intellij-idea-keybindings","lfs.vscode-emacs-friendly","alphabotsec.vscode-eclipse-keybindings","alefragnani.delphi-keybindings"],languageExtensionTips:["ms-python.python","ms-vscode.cpptools-extension-pack","ms-dotnettools.csdevkit","ms-toolsai.jupyter","vscjava.vscode-java-pack","ecmel.vscode-html-css","vue.volar","bmewburn.vscode-intelephense-client","dsznajder.es7-react-js-snippets","golang.go","ms-vscode.powershell","dart-code.dart-code","rust-lang.rust-analyzer","Shopify.ruby-lsp","GitHub.copilot"],configBasedExtensionTips:{git:{configPath:".git/config",configName:"Git",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",contentPattern:"^\\s*url\\s*=\\s*https:\\/\\/github\\.com.*$"},"eamodio.gitlens":{name:"GitLens"}}},devContainer:{configPath:".devcontainer/devcontainer.json",configName:"Dev Container",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0}}},maven:{configPath:"pom.xml",configName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]},"Pivotal.vscode-boot-dev-pack":{name:"Spring Boot Extension Pack",isExtensionPack:!0}}},gradle:{configPath:"build.gradle",configName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"github-pull-request":{configPath:".vscode/.github-pull-request.rec",configName:"GitHub",configScheme:"vscode-vfs",recommendations:{"github.vscode-pull-request-github":{name:"GitHub Pull Request",important:!0}}},"pyproject-formatter":{configPath:"pyproject.toml",configName:"Python Formatter",recommendations:{"ms-python.black-formatter":{name:"Black Formatter",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?black"?\\s*[\\].])|("black\\s*["[(<=>!~;@])'},"ms-python.autopep8":{name:"Autopep8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?autopep8"?\\s*[\\].])|("autopep8\\s*["[(<=>!~;@])'}}},"pep8-formatter":{configPath:".pep8",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8"}}},"python-setup-cgf-formatter":{configPath:"setup.cfg",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"tox-ini-formatter":{configPath:"tox.ini",configName:"Python Formatter",recommendations:{"ms-python.autopep8":{name:"Autopep8",contentPattern:"^\\[pep8\\]"}}},"pyproject-linter":{configPath:"pyproject.toml",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?pylint"?\\s*[\\].])|("pylint\\s*["[(<=>!~;@])'},"charliermarsh.ruff":{name:"Ruff",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?ruff"?\\s*[\\].])|("ruff\\s*["[(<=>!~;@])'},"ms-python.mypy-type-checker":{name:"Mypy Type Checker",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?mypy"?\\s*[\\].])|("mypy\\s*["[(<=>!~;@])'},"ms-python.flake8":{name:"Flake8",contentPattern:'(^\\s*\\[\\[?\\s*"?tool"?\\s*\\.\\s*"?flake8"?\\s*[\\].])|("flake8\\s*["[(<=>!~;@])'}}},".pylintrc-linter":{configPath:".pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"pylintrc-linter":{configPath:"pylintrc",configName:"Python Linter",recommendations:{"ms-python.pylint":{name:"Pylint"}}},"mypy-ini-linter":{configPath:".mypy.ini",configName:"Python Linter",recommendations:{"ms-python.mypy-type-checker":{name:"Mypy Type Checker"}}},"tox-ini-linter":{configPath:"tox.ini",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}},".flake8-linter":{configPath:".flake8",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8"}}},"python-setup-cgf-linter":{configPath:"setup.cfg",configName:"Python Linter",recommendations:{"ms-python.flake8":{name:"Flake8",contentPattern:"^\\[flake8\\]"}}}},exeBasedExtensionTips:{az:{friendlyName:"Azure CLI",windowsPath:"%ProgramFiles(x86)%\\Microsoft SDKs\\Azure\\CLI2\\wbin\\az.cmd",recommendations:{"ms-vscode.azurecli":{name:"Azure CLI Tools"}}},azd:{friendlyName:"Azure Dev CLI",windowsPath:"%USERPROFILE%\\AppData\\Local\\Programs\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},"azd-user":{friendlyName:"Azure Dev CLI",windowsPath:"%ProgramFiles%\\Azure Dev CLI\\azd.exe",recommendations:{"ms-azuretools.azure-dev":{name:"Azure Developer CLI"},"ms-azuretools.vscode-azureresourcegroups":{name:"Azure Resources"}}},heroku:{friendlyName:"Heroku CLI",windowsPath:"%ProgramFiles%\\Heroku\\bin\\heroku.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"pkosta2005.heroku-command":{name:"heroku-cli"}}},mongo:{friendlyName:"Mongo",windowsPath:"%ProgramFiles%\\MongoDB\\Server\\3.6\\bin\\mongod.exe",recommendations:{"ms-azuretools.vscode-cosmosdb":{name:"Azure Databases"}}},serverless:{friendlyName:"Serverless framework",windowsPath:"%APPDATA%\\npm\\serverless.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},func:{friendlyName:"Azure Function SDK",windowsPath:"%APPDATA%\\npm\\func.cmd",recommendations:{"ms-azuretools.vscode-azurefunctions":{name:"Azure Functions"}}},mysql:{friendlyName:"MySQL",windowsPath:"%ProgramFiles%\\MySQL\\MySQL Server 8.0\\bin\\mysqld.exe",recommendations:{"mtxr.sqltools":{name:"SQLTools"}}},postgres:{friendlyName:"PostgreSQL",windowsPath:"%ProgramFiles%\\PostgreSQL\\11\\bin\\psql.exe",recommendations:{"ms-ossdata.vscode-postgresql":{name:"PostgreSQL"},"mtxr.sqltools":{name:"SQLTools"}}},sqlcmd:{friendlyName:"SQL CLI",recommendations:{"ms-mssql.mssql":{name:"SQL Server (mssql)"}}},now:{friendlyName:"Now CLI",windowsPath:"%APPDATA%\\npm\\now.cmd",recommendations:{"ms-azuretools.vscode-azureappservice":{name:"Azure App Service"},"ms-azuretools.vscode-docker":{name:"Docker"}}},docker:{friendlyName:"Docker",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\docker.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker",important:!0},"ms-vscode-remote.remote-containers":{name:"Dev Containers",important:!0},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},kubectl:{friendlyName:"Kubernetes",windowsPath:"%ProgramFiles%\\Docker\\Docker\\Resources\\bin\\kubectl.exe",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},ng:{friendlyName:"Angular CLI",windowsPath:"%APPDATA%\\npmexit\\ng.cmd",recommendations:{"johnpapa.Angular2":{name:"Angular Snippets"}}},"create-react-app":{friendlyName:"Create React App",windowsPath:"%APPDATA%\\npm\\create-react-app.cmd",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},"react-native":{friendlyName:"React Native",windowsPath:"%APPDATA%\\npm\\react-native-cli",recommendations:{"msjsdiag.vscode-react-native":{name:"React Native Tools"}}},p4:{friendlyName:"Perforce",recommendations:{"slevesque.perforce":{name:"Perforce for VS Code"}}},hg:{friendlyName:"Mercurial",recommendations:{"mrcrowl.hg":{name:"Hg"}}},git:{friendlyName:"Git",windowsPath:"%ProgramFiles%\\Git\\git-bash.exe",recommendations:{"eamodio.gitlens":{name:"GitLens"}}},svn:{friendlyName:"Subversion",windowsPath:"%ProgramFiles%\\TortoiseSVN\\bin\\TortoiseProc.exe",recommendations:{"johnstoncode.svn-scm":{name:"SVN"}}},subl:{friendlyName:"Sublime",windowsPath:"%ProgramFiles%\\Sublime Text3\\sublime_text.exe",recommendations:{"ms-vscode.sublime-keybindings":{name:"Sublime Text Keymap and Settings Importer"}}},atom:{friendlyName:"Atom",windowsPath:"%USERPROFILE%\\AppData\\Local\\atom\\bin\\atom.cmd",recommendations:{"ms-vscode.atom-keybindings":{name:"Atom Keymap"}}},brackets:{friendlyName:"Brackets",windowsPath:"%ProgramFiles(x86)%\\Brackets\\Brackets.exe",recommendations:{"ms-vscode.brackets-keybindings":{name:"Brackets Keymap"}}},notepadplusplus:{friendlyName:"Notepad++",windowsPath:"%ProgramFiles%\\Notepad++\\Notepad++.exe",recommendations:{"ms-vscode.notepadplusplus-keybindings":{name:"Notepad++ keymap"}}},vi:{friendlyName:"VIM",windowsPath:"%ProgramFiles(x86)%\\Vim\\vim80\\gvim.exe",recommendations:{"vscodevim.vim":{name:"Vim"}}},mvn:{friendlyName:"Maven",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},gradle:{friendlyName:"Gradle",recommendations:{"vscjava.vscode-java-pack":{name:"Java",important:!0,isExtensionPack:!0,whenNotInstalled:["ASF.apache-netbeans-java"]}}},"Microsoft Edge":{friendlyName:"Microsoft Edge",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Dev":{friendlyName:"Microsoft Edge Dev",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Dev\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Beta":{friendlyName:"Microsoft Edge Beta",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge Beta\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Microsoft Edge Canary":{friendlyName:"Microsoft Edge Canary",windowsPath:"%USERPROFILE%\\AppData\\Local\\Microsoft\\Edge SxS\\Application\\msedge.exe",recommendations:{"ms-edgedevtools.vscode-edge-devtools":{name:"Microsoft Edge Developer Tools"}}},"Mozilla Firefox (x86)":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles(x86)%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition (x86)":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles(x86)%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox":{friendlyName:"Mozilla Firefox",windowsPath:"%ProgramFiles%\\Mozilla Firefox\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},"Mozilla Firefox Developer Edition":{friendlyName:"Mozilla Firefox Developer Edition",windowsPath:"%ProgramFiles%\\Firefox Developer Edition\\firefox.exe",recommendations:{"firefox-devtools.vscode-firefox-debug":{name:"Debugger for Firefox"}}},cordova:{friendlyName:"Cordova",windowsPath:"%APPDATA%\\npm\\cordova",recommendations:{"msjsdiag.cordova-tools":{name:"Cordova Tools"}}},gcloud:{friendlyName:"Google GCloud CLI",windowsPath:"%ProgramFiles(x86)%\\Google\\Cloud SDK\\google-cloud-sdk\\bin\\gcloud.cmd",recommendations:{"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},skaffold:{friendlyName:"Skaffold Code to Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"}}},minikube:{friendlyName:"MiniKube Local Kubernetes Cluster",recommendations:{"ms-azuretools.vscode-docker":{name:"Docker"},"ms-kubernetes-tools.vscode-kubernetes-tools":{name:"Kubernetes"},"GoogleCloudTools.cloudcode":{name:"Cloud Code"},"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},podman:{friendlyName:"Podman",recommendations:{"ms-vscode-remote.remote-containers":{name:"Dev Containers"}}},wsl:{friendlyName:"Windows Subsystem for Linux (WSL)",windowsPath:"%WINDIR%\\system32\\lxss\\LxssManager.dll",important:!0,recommendations:{"ms-vscode-remote.remote-wsl":{name:"WSL",important:!0}}}},webExtensionTips:["tyriar.luna-paint","codespaces-contrib.codeswing","ms-vscode.vscode-github-issue-notebooks","esbenp.prettier-vscode","hediet.vscode-drawio"],virtualWorkspaceExtensionTips:{"vscode-vfs":{friendlyName:"Remote Repositories",extensionId:"ms-vscode.remote-repositories",startEntry:{helpLink:"https://aka.ms/vscode-remote/remote-repositories",startConnectLabel:"Remote Repository",startCommand:"remoteHub.continueOn.openRepository",priority:5}}},remoteExtensionTips:{wsl:{friendlyName:"WSL",extensionId:"ms-vscode-remote.remote-wsl",supportedPlatforms:["Windows","Web"],startEntry:{helpLink:"https://aka.ms/vscode-remote/wsl",startConnectLabel:"WSL",startCommand:"remote-wsl.connect",priority:3}},"ssh-remote":{friendlyName:"Remote - SSH",extensionId:"ms-vscode-remote.remote-ssh",supportedPlatforms:["Windows","Linux","Mac"],startEntry:{helpLink:"https://aka.ms/vscode-remote/ssh",startConnectLabel:"SSH ",startCommand:"opensshremotes.openEmptyWindowInCurrentWindow",priority:1}},"dev-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers",supportedPlatforms:["Windows","Linux","Mac"],startEntry:{helpLink:"https://aka.ms/vscode-remote/containers",startConnectLabel:"Dev Container",startCommand:"remote-containers.reopenInContainer",priority:2}},"attached-container":{friendlyName:"Dev Containers",extensionId:"ms-vscode-remote.remote-containers"},codespaces:{friendlyName:"GitHub Codespaces",extensionId:"github.codespaces",startEntry:{helpLink:"https://aka.ms/vscode-remote-codespaces",startConnectLabel:"GitHub Codespace ",startCommand:"github.codespaces.connect",priority:4}},tunnel:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server",startEntry:{helpLink:"https://aka.ms/remote-tunnels-doc",startConnectLabel:"Tunnel",startCommand:"remote-tunnels.connectCurrentWindowToTunnel",priority:0}}},commandPaletteSuggestedCommandIds:["workbench.action.files.openFile","workbench.action.files.openFileFolder","workbench.action.files.openFolder","workbench.action.remote.showMenu","editor.action.formatDocument","editor.action.commentLine","workbench.action.tasks.runTask","workbench.action.openSettings2","workbench.action.selectTheme","workbench.action.openWalkthrough","workbench.action.openIssueReporter"],extensionKeywords:{md:["Markdown"],js:["JavaScript"],jsx:["JavaScript"],es6:["JavaScript"],html:["Html"],ts:["TypeScript"],tsx:["TypeScript"],css:["CSS"],scss:["SASS"],txt:["Text"],php:["PHP"],php3:["PHP"],php4:["PHP"],ph3:["PHP"],ph4:["PHP"],xml:["XML"],py:["Python"],pyc:["Python"],pyd:["Python"],pyo:["Python"],pyw:["Python"],pyz:["Python"],java:["Java"],class:["Java"],jar:["Java"],c:["c","objective c","objective-c"],m:["objective c","objective-c"],mm:["objective c","objective-c"],cpp:["cpp","c plus plus","c","c++"],cc:["cpp","c plus plus","c","c++"],cxx:["cpp","c plus plus","c++"],hh:["cpp","c plus plus","c++"],hpp:["cpp","c++"],h:["cpp","c plus plus","c++","c","objective c","objective-c"],sql:["sql"],sh:["bash"],bash:["bash"],zsh:["bash","zshell"],cs:["c#","csharp"],csproj:["c#","csharp"],sln:["c#","csharp"],go:["go"],sty:["latex"],tex:["latex"],ps:["powershell"],ps1:["powershell"],rs:["rust"],rslib:["rust"],hs:["haskell"],lhs:["haskell"],scm:["scheme"],ss:["scheme"],clj:["clojure"],cljs:["clojure"],cljc:["clojure"],edn:["clojure"],erl:["erlang"],hrl:["erlang"],scala:["scala"],sc:["scala"],pl:["perl"],pm:["perl"],t:["perl"],pod:["perl"],groovy:["groovy"],swift:["swift"],rb:["ruby"],rbw:["ruby"],jl:["julia"],f:["fortran"],for:["fortran"],f90:["fortran"],f95:["fortran"],coffee:["CoffeeScript"],litcoffee:["CoffeeScript"],yaml:["yaml"],yml:["yaml"],dart:["dart"],json:["json"]},extensionAllowedBadgeProviders:["api.bintray.com","api.travis-ci.com","api.travis-ci.org","app.fossa.io","badge.buildkite.com","badge.fury.io","badge.waffle.io","badgen.net","badges.frapsoft.com","badges.gitter.im","badges.greenkeeper.io","cdn.travis-ci.com","cdn.travis-ci.org","ci.appveyor.com","circleci.com","cla.opensource.microsoft.com","codacy.com","codeclimate.com","codecov.io","coveralls.io","david-dm.org","deepscan.io","dev.azure.com","docs.rs","flat.badgen.net","gemnasium.com","githost.io","gitlab.com","godoc.org","goreportcard.com","img.shields.io","isitmaintained.com","marketplace.visualstudio.com","nodesecurity.io","opencollective.com","snyk.io","travis-ci.com","travis-ci.org","visualstudio.com","vsmarketplacebadge.apphb.com","www.bithound.io","www.versioneye.com"],extensionAllowedBadgeProvidersRegex:["^https:\\/\\/github\\.com\\/[^/]+\\/[^/]+\\/(actions\\/)?workflows\\/.*badge\\.svg"],crashReporter:{productName:"VSCode",companyName:"Microsoft"},appCenter:{"win32-x64":"appcenter://code?aid=a4e3233c-699c-46ec-b4f4-9c2a77254662","win32-arm64":"appcenter://code?aid=3712d786-7cc8-4f11-8b08-cc12eab6d4f7","linux-x64":"appcenter://code?aid=fba07a4d-84bd-4fc8-a125-9640fc8ce171",darwin:"appcenter://code?aid=860d6632-f65b-490b-85a8-3e72944f7774","darwin-arm64":"appcenter://code?aid=be71415d-3893-4ae5-b453-e537b9668a10","darwin-universal":"appcenter://code?aid=de75e3cc-e22f-4f42-a03f-1409c21d8af8"},enableTelemetry:!0,aiConfig:{ariaKey:"5bbf946d11a54f6783919c455abaddaf-fd62977b-c92d-4714-a45d-649d06980372-7168"},msftInternalDomains:["redmond.corp.microsoft.com","northamerica.corp.microsoft.com","fareast.corp.microsoft.com","ntdev.corp.microsoft.com","wingroup.corp.microsoft.com","southpacific.corp.microsoft.com","wingroup.windeploy.ntdev.microsoft.com","ddnet.microsoft.com","europe.corp.microsoft.com"],documentationUrl:"https://go.microsoft.com/fwlink/?LinkID=533484#vscode",serverDocumentationUrl:"https://aka.ms/vscode-server-doc",releaseNotesUrl:"https://go.microsoft.com/fwlink/?LinkID=533483#vscode",keyboardShortcutsUrlMac:"https://go.microsoft.com/fwlink/?linkid=832143",keyboardShortcutsUrlLinux:"https://go.microsoft.com/fwlink/?linkid=832144",keyboardShortcutsUrlWin:"https://go.microsoft.com/fwlink/?linkid=832145",introductoryVideosUrl:"https://go.microsoft.com/fwlink/?linkid=832146",tipsAndTricksUrl:"https://go.microsoft.com/fwlink/?linkid=852118",newsletterSignupUrl:"https://www.research.net/r/vsc-newsletter",youTubeUrl:"https://aka.ms/vscode-youtube",requestFeatureUrl:"https://go.microsoft.com/fwlink/?LinkID=533482",reportIssueUrl:"https://github.com/Microsoft/vscode/issues/new",reportMarketplaceIssueUrl:"https://github.com/microsoft/vsmarketplace/issues/new",licenseUrl:"https://go.microsoft.com/fwlink/?LinkID=533485",serverLicenseUrl:"https://aka.ms/vscode-server-license",privacyStatementUrl:"https://go.microsoft.com/fwlink/?LinkId=521839",showTelemetryOptOut:!0,npsSurveyUrl:"https://aka.ms/vscode-nps",cesSurveyUrl:"https://aka.ms/new-to-vscode-feedback",checksumFailMoreInfoUrl:"https://go.microsoft.com/fwlink/?LinkId=828886",electronRepository:"Microsoft/vscode-electron-prebuilt",nodejsRepository:"Microsoft/vscode-node",settingsSearchUrl:"https://bingsettingssearch.trafficmanager.net/api/Search",surveys:[{surveyId:"cpp.1",surveyUrl:"https://www.research.net/r/VBVV6C6",languageId:"cpp",editCount:10,userProbability:.15},{surveyId:"java.2",surveyUrl:"https://www.research.net/r/vscodejava",languageId:"java",editCount:10,userProbability:.3},{surveyId:"javascript.1",surveyUrl:"https://www.research.net/r/vscode-js",languageId:"javascript",editCount:10,userProbability:.05},{surveyId:"typescript.1",surveyUrl:"https://www.research.net/r/vscode-ts",languageId:"typescript",editCount:10,userProbability:.05},{surveyId:"csharp.1",surveyUrl:"https://www.research.net/r/8KGJ9V8",languageId:"csharp",editCount:10,userProbability:.1}],extensionEnabledApiProposals:{"ms-vscode.vscode-selfhost-test-provider":["testObserver","testCoverage"],"ms-vscode.extension-test-runner":["testCoverage"],"VisualStudioExptTeam.vscodeintellicode-completions":["inlineCompletionsAdditions"],"ms-vsliveshare.vsliveshare":["contribMenuBarHome","contribShareMenu","contribStatusBarItems","diffCommand","documentFiltersExclusive","fileSearchProvider","findTextInFiles","notebookCellExecutionState","notebookLiveShare","terminalDimensions","terminalDataWriteEvent","textSearchProvider"],"ms-vscode.js-debug":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"vscjava.vscode-java-test":["testCoverage"],"ms-toolsai.vscode-ai-remote":["resolvers"],"ms-python.python":["contribEditorContentMenu","quickPickSortByLabel","portsAttributes","handleIssueUri","testObserver","quickPickItemTooltip","terminalDataWriteEvent","terminalExecuteCommandEvent"],"ms-dotnettools.dotnet-interactive-vscode":["notebookMessaging"],"GitHub.codespaces":["contribEditSessions","contribMenuBarHome","contribRemoteHelp","contribViewsRemote","resolvers","tunnels","terminalDataWriteEvent","treeViewReveal","notebookKernelSource"],"ms-vscode.azure-repos":["extensionRuntime","fileSearchProvider","textSearchProvider"],"ms-vscode.remote-repositories":["canonicalUriProvider","contribEditSessions","contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","contribShareMenu","documentFiltersExclusive","editSessionIdentityProvider","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","shareProvider","scmActionButton","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-vscode-remote.remote-wsl":["resolvers","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode-remote.remote-ssh":["resolvers","tunnels","terminalDataWriteEvent","contribRemoteHelp","contribViewsRemote","telemetry"],"ms-vscode.remote-server":["resolvers","tunnels","contribViewsWelcome"],"ms-vscode.remote-explorer":["contribRemoteHelp","contribViewsRemote","extensionsAny"],"ms-vscode-remote.remote-containers":["contribEditSessions","resolvers","portsAttributes","tunnels","workspaceTrust","terminalDimensions","contribRemoteHelp","contribViewsRemote"],"ms-vscode.js-debug-nightly":["portsAttributes","findTextInFiles","workspaceTrust","tunnels"],"ms-vscode.lsif-browser":["documentFiltersExclusive"],"ms-vscode.vscode-speech":["speech"],"GitHub.vscode-pull-request-github":["activeComment","contribCommentThreadAdditionalMenu","tokenInformation","codeActionRanges","commentReactor","contribShareMenu","fileComments","contribCommentPeekContext","codiconDecoration","diffCommand","contribCommentEditorActionsMenu","treeViewMarkdownMessage","tabInputTextMerge","shareProvider","quickDiffProvider"],"GitHub.copilot":["inlineCompletionsAdditions"],"GitHub.copilot-nightly":["inlineCompletionsAdditions"],"GitHub.copilot-chat":["handleIssueUri","interactive","terminalDataWriteEvent","terminalExecuteCommandEvent","terminalSelection","terminalQuickFixProvider","chatParticipant","chatParticipantAdditions","defaultChatParticipant","chatVariableResolver","chatProvider","mappedEditsProvider","aiRelatedInformation","codeActionAI","findTextInFiles","textSearchProvider","contribSourceControlInputBoxMenu","newSymbolNamesProvider","findFiles2"],"GitHub.remotehub":["contribRemoteHelp","contribMenuBarHome","contribViewsRemote","contribViewsWelcome","documentFiltersExclusive","extensionRuntime","fileSearchProvider","quickPickSortByLabel","workspaceTrust","scmSelectedProvider","scmValidation","textSearchProvider","timeline"],"ms-python.gather":["notebookCellExecutionState"],"ms-python.vscode-pylance":["notebookCellExecutionState"],"ms-python.debugpy":["portsAttributes"],"ms-toolsai.jupyter-renderers":["contribNotebookStaticPreloads"],"ms-toolsai.jupyter":["notebookDeprecated","notebookMessaging","notebookMime","notebookCellExecutionState","portsAttributes","quickPickSortByLabel","notebookKernelSource","interactiveWindow","notebookControllerAffinityHidden","contribNotebookStaticPreloads","quickPickItemTooltip","notebookExecution","notebookVariableProvider"],"dbaeumer.vscode-eslint":["notebookCellExecutionState"],"ms-vscode.azure-sphere-tools-ui":["tunnels"],"ms-azuretools.vscode-azureappservice":["terminalDataWriteEvent"],"ms-azuretools.vscode-azureresourcegroups":["authGetSessions"],"ms-vscode.anycode":["extensionsAny"],"ms-vscode.cpptools":["terminalDataWriteEvent"],"redhat.java":["documentPaste"],"ms-dotnettools.csdevkit":["inlineCompletionsAdditions"],"ms-dotnettools.vscodeintellicode-csharp":["inlineCompletionsAdditions"],"microsoft-IsvExpTools.powerplatform-vscode":["fileSearchProvider","textSearchProvider"],"microsoft-IsvExpTools.powerplatform-vscode-preview":["fileSearchProvider","textSearchProvider"],"apidev.azure-api-center":["chatParticipant","languageModels"]},tasConfig:{endpoint:"https://default.exp-tas.com/vscode/ab",telemetryEventName:"query-expfeature",assignmentContextTelemetryPropertyName:"abexp.assignmentcontext"},extensionKind:{"Shan.code-settings-sync":["ui"],"shalldie.background":["ui"],"techer.open-in-browser":["ui"],"CoenraadS.bracket-pair-colorizer-2":["ui"],"CoenraadS.bracket-pair-colorizer":["ui","workspace"],"hiro-sun.vscode-emacs":["ui","workspace"],"hnw.vscode-auto-open-markdown-preview":["ui","workspace"],"wayou.vscode-todo-highlight":["ui","workspace"],"aaron-bond.better-comments":["ui","workspace"],"vscodevim.vim":["ui"],"ollyhayes.colmak-vim":["ui"]},extensionPointExtensionKind:{typescriptServerPlugins:["workspace"]},extensionSyncedKeys:{"ritwickdey.liveserver":["liveServer.setup.version"]},extensionVirtualWorkspacesSupport:{"esbenp.prettier-vscode":{default:!1},"msjsdiag.debugger-for-chrome":{default:!1},"redhat.java":{default:!1},"HookyQR.beautify":{default:!1},"ritwickdey.LiveServer":{default:!1},"VisualStudioExptTeam.vscodeintellicode":{default:!1},"octref.vetur":{default:!1},"formulahendry.code-runner":{default:!1},"xdebug.php-debug":{default:!1},"ms-mssql.mssql":{default:!1},"christian-kohler.path-intellisense":{default:!1},"eg2.tslint":{default:!1},"eg2.vscode-npm-script":{default:!1},"donjayamanne.githistory":{default:!1},"Zignd.html-css-class-completion":{default:!1},"christian-kohler.npm-intellisense":{default:!1},"EditorConfig.EditorConfig":{default:!1},"austin.code-gnu-global":{default:!1},"johnpapa.Angular2":{default:!1},"ms-vscode.vscode-typescript-tslint-plugin":{default:!1},"DotJoshJohnson.xml":{default:!1},"techer.open-in-browser":{default:!1},"tht13.python":{default:!1},"bmewburn.vscode-intelephense-client":{default:!1},"Angular.ng-template":{default:!1},"xdebug.php-pack":{default:!1},"dbaeumer.jshint":{default:!1},"yzhang.markdown-all-in-one":{default:!1},"Dart-Code.flutter":{default:!1},"streetsidesoftware.code-spell-checker":{default:!1},"rebornix.Ruby":{default:!1},"ms-vscode.sublime-keybindings":{default:!1},"mitaki28.vscode-clang":{default:!1},"steoates.autoimport":{default:!1},"donjayamanne.python-extension-pack":{default:!1},"shd101wyy.markdown-preview-enhanced":{default:!1},"mikestead.dotenv":{default:!1},"pranaygp.vscode-css-peek":{default:!1},"ikappas.phpcs":{default:!1},"platformio.platformio-ide":{default:!1},"jchannon.csharpextensions":{default:!1},"gruntfuggly.todo-tree":{default:!1}},linkProtectionTrustedDomains:["https://*.visualstudio.com","https://*.microsoft.com","https://aka.ms","https://*.gallerycdn.vsassets.io","https://*.github.com","https://login.microsoftonline.com","https://*.vscode.dev","https://*.github.dev","https://gh.io","https://portal.azure.com"],trustedExtensionAuthAccess:{github:["vscode.git","vscode.github","github.remotehub","ms-vscode.remote-server","github.vscode-pull-request-github","github.codespaces","github.copilot","github.copilot-chat","ms-vsliveshare.vsliveshare"],"github-enterprise":["vscode.git","vscode.github","github.remotehub","ms-vscode.remote-server","github.vscode-pull-request-github","github.codespaces","github.copilot","github.copilot-chat","ms-vsliveshare.vsliveshare"],microsoft:["vscode.git","ms-vscode.azure-repos","ms-vscode.remote-server","ms-vsliveshare.vsliveshare","ms-azuretools.vscode-azureresourcegroups","ms-edu.vscode-learning"],"microsoft-sovereign-cloud":["vscode.git","ms-vscode.azure-repos","ms-vscode.remote-server","ms-vsliveshare.vsliveshare","ms-azuretools.vscode-azureresourcegroups","ms-edu.vscode-learning"]},trustedExtensionProtocolHandlers:["vscode.git","vscode.github-authentication","vscode.microsoft-authentication"],auth:{loginUrl:"https://login.microsoftonline.com/common/oauth2/authorize",tokenUrl:"https://login.microsoftonline.com/common/oauth2/token",redirectUrl:"https://vscode-redirect.azurewebsites.net/",clientId:"aebc6443-996d-45c2-90f0-388ff96faa56"},"configurationSync.store":{url:"https://vscode-sync.trafficmanager.net/",stableUrl:"https://vscode-sync.trafficmanager.net/",insidersUrl:"https://vscode-sync-insiders.trafficmanager.net/",canSwitch:!1,authenticationProviders:{github:{scopes:["user:email"]},microsoft:{scopes:["openid","profile","email","offline_access"]}}},"editSessions.store":{url:"https://vscode-sync.trafficmanager.net/",authenticationProviders:{microsoft:{scopes:["openid","profile","email","offline_access"]},github:{scopes:["user:email"]}}},tunnelServerQualities:{stable:{serverApplicationName:"code-server"},exploration:{serverApplicationName:"code-server-exploration"},insider:{serverApplicationName:"code-server-insiders"}},tunnelApplicationName:"code-tunnel",tunnelApplicationConfig:{editorWebUrl:"https://vscode.dev",extension:{friendlyName:"Remote - Tunnels",extensionId:"ms-vscode.remote-server"},authenticationProviders:{github:{scopes:["user:email","read:org"]},microsoft:{scopes:["46da2f7e-b5ef-422a-88d4-2a7f9de6a0b2/.default","profile","openid"]}}},win32TunnelServiceMutex:"vscode-tunnelservice",win32TunnelMutex:"vscode-tunnel",commonlyUsedSettings:["files.autoSave","editor.fontSize","editor.fontFamily","GitHub.copilot.manageExtension","editor.tabSize","editor.renderWhitespace","editor.cursorStyle","editor.multiCursorModifier","editor.insertSpaces","editor.wordWrap","files.exclude","files.associations","workbench.editor.enablePreview"],aiGeneratedWorkspaceTrust:{title:"This workspace was generated by GitHub Copilot",checkboxText:"Trust the contents of all files in this workspace",trustOption:"Yes, I trust the contents",dontTrustOption:"No, I don't trust the contents",startupTrustRequestLearnMore:"If you don't trust the contents of the files generated by GitHub Copilot, we recommend continuing in restricted mode. See [our docs](https://aka.ms/vscode-workspace-trust) to learn more. "},gitHubEntitlement:{providerId:"github",command:{title:"Install GitHub Copilot (Paid for by {{org}})...",titleWithoutPlaceHolder:"Install GitHub Copilot",action:"workbench.extensions.installExtension",when:"workbench.accounts.experimental.showEntitlements"},entitlementUrl:"https://api.github.com/copilot_internal/user",extensionId:"github.copilot",enablementKey:"chat_enabled",confirmationAction:"Install",confirmationMessage:"Are you sure you want to install GitHub Copilot?"},builtInExtensions:[{name:"ms-vscode.js-debug-companion",version:"1.1.2",sha256:"e034b8b41beb4e97e02c70f7175bd88abe66048374c2bd629f54bb33354bc2aa",repo:"https://github.com/microsoft/vscode-js-debug-companion",metadata:{id:"99cb0b7f-7354-4278-b8da-6cc79972169d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.js-debug",version:"1.87.0",sha256:"155ba715cc1045835951e70a663010c8f91d773d90a3ec504a041fd53b5658b0",repo:"https://github.com/microsoft/vscode-js-debug",metadata:{id:"25629058-ddac-4e17-abba-74678e126c5d",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}},{name:"ms-vscode.vscode-js-profile-table",version:"1.0.8",sha256:"ca30069e21fbf576b49638ff8ff7c316b028c2faca924c23526737c65b8762bf",repo:"https://github.com/microsoft/vscode-js-profile-visualizer",metadata:{id:"7e52b41b-71ad-457b-ab7e-0620f1fc4feb",publisherId:{publisherId:"5f5636e7-69ed-4afe-b5d6-8d231fb3d3ee",publisherName:"ms-vscode",displayName:"Microsoft",flags:"verified"},publisherDisplayName:"Microsoft"}}],version:"1.87.2",commit:"863d2581ecda6849923a2118d93a088b0745d9d6",date:"2024-03-08T14:27:09.908Z"},Object.keys(F).length===0&&Object.assign(F,{version:"1.87.0-dev",nameShort:"Code - OSS Dev",nameLong:"Code - OSS Dev",applicationName:"code-oss",dataFolderName:".vscode-oss",urlProtocol:"code-oss",reportIssueUrl:"https://github.com/microsoft/vscode/issues/new",licenseName:"MIT",licenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt",serverLicenseUrl:"https://github.com/microsoft/vscode/blob/main/LICENSE.txt"});e.default=F}),define(Se[136],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rj=e.$Qj=void 0,e.$Qj=(0,I.$ei)("productService"),e.$Rj="vscode://schemas/vscode-product"});var Ve=this&&this.__param||function(me,e){return function(I,F){e(I,F,me)}};define(Se[107],De([1,0,8,22,3,5]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Lv=e.$Kv=e.$Jv=e.$Iv=e.$Hv=e.$Gv=e.ProgressLocation=e.$Fv=void 0,e.$Fv=(0,L.$ei)("progressService");var R;(function(C){C[C.Explorer=1]="Explorer",C[C.Scm=3]="Scm",C[C.Extensions=5]="Extensions",C[C.Window=10]="Window",C[C.Notification=15]="Notification",C[C.Dialog=20]="Dialog"})(R||(e.ProgressLocation=R={})),e.$Gv=Object.freeze({total(){},worked(){},done(){}});class w{static{this.None=Object.freeze({report(){}})}get value(){return this.a}constructor(b){this.b=b}report(b){this.a=b,this.b(this.a)}}e.$Hv=w;class v{get value(){return this.a}constructor(b){this.e=b}report(b){this.b?this.b.push(b):this.b=[b],this.f()}async f(){if(!this.c)try{for(this.c=!0;this.b&&this.b.length;){const b=this.b.shift();this.a=b,await this.e(this.a)}}finally{this.c=!1;const b=this.d;this.d=void 0,b?.()}}drain(){return this.c?new Promise(b=>{const E=this.d;this.d=()=>{E?.(),b()}}):Promise.resolve()}}e.$Iv=v;let S=class extends $.$Tc{constructor(b,E){super(),this.a=new I.$Bh,E.withProgress(b,k=>(this.b=k,this.c&&k.report(this.c),this.a.p)),this.B((0,$.$Rc)(()=>this.a.complete()))}report(b){this.b?this.b.report(b):this.c=b}};e.$Jv=S,e.$Jv=S=Je([Ve(1,e.$Fv)],S);class M extends $.$Tc{constructor(b){super(),this.g=b,this.a=0,this.b=this.B(new $.$Sc)}start(b){this.stop();const E=++this.a,k=new F.$ce;return this.f=setTimeout(()=>{E===this.a&&(this.c=this.g.show(!0))},b),this.b.add((0,$.$Rc)(()=>clearTimeout(this.f))),this.b.add((0,$.$Rc)(()=>k.cancel())),this.b.add((0,$.$Rc)(()=>this.c?this.c.done():void 0)),{id:E,token:k.token,stop:()=>this.h(E),isCurrent:()=>this.a===E}}stop(){this.h(this.a)}h(b){this.a===b&&this.b.clear()}}e.$Kv=M,e.$Lv=(0,L.$ei)("editorProgressService")}),define(Se[37],De([1,0,61,18]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tn=void 0;class ${constructor(){this.a=new Map}add(R,w){I.ok(F.$Sf(R)),I.ok(F.$Uf(w)),I.ok(!this.a.has(R),"There is already an extension with this id"),this.a.set(R,w)}knows(R){return this.a.has(R)}as(R){return this.a.get(R)||null}}e.$Tn=new $}),define(Se[108],De([1,0,4,37]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Un=void 0,e.$Un={JSONContribution:"base.contributions.json"};function $(w){return w.length>0&&w.charAt(w.length-1)==="#"?w.substring(0,w.length-1):w}class L{constructor(){this.b=new I.$5d,this.onDidChangeSchema=this.b.event,this.a={}}registerSchema(v,S){this.a[$(v)]=S,this.b.fire(v)}notifySchemaChanged(v){this.b.fire(v)}getSchemaContributions(){return{schemas:this.a}}}const R=new L;F.$Tn.add(e.$Un.JSONContribution,R)}),define(Se[86],De([1,0,19,4,18,197,52,108,37]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bo=e.$ao=e.$_n=e.$$n=e.$0n=e.$9n=e.$8n=e.$7n=e.$6n=e.$5n=e.$4n=e.$3n=e.$2n=e.$1n=e.$Zn=e.ConfigurationScope=e.$Yn=e.EditPresentationTypes=void 0;var S;(function(a){a.Multiline="multilineText",a.Singleline="singlelineText"})(S||(e.EditPresentationTypes=S={})),e.$Yn={Configuration:"base.contributions.configuration"};var M;(function(a){a[a.APPLICATION=1]="APPLICATION",a[a.MACHINE=2]="MACHINE",a[a.WINDOW=3]="WINDOW",a[a.RESOURCE=4]="RESOURCE",a[a.LANGUAGE_OVERRIDABLE=5]="LANGUAGE_OVERRIDABLE",a[a.MACHINE_OVERRIDABLE=6]="MACHINE_OVERRIDABLE"})(M||(e.ConfigurationScope=M={})),e.$Zn={properties:{},patternProperties:{}},e.$1n={properties:{},patternProperties:{}},e.$2n={properties:{},patternProperties:{}},e.$3n={properties:{},patternProperties:{}},e.$4n={properties:{},patternProperties:{}},e.$5n={properties:{},patternProperties:{}},e.$6n="vscode://schemas/settings/resourceLanguage",e.$7n="vscode://schemas/settings/configurationDefaults";const C=v.$Tn.as(w.$Un.JSONContribution);class b{constructor(){this.h=new Set,this.i=new F.$5d,this.onDidSchemaChange=this.i.event,this.j=new F.$5d,this.onDidUpdateConfiguration=this.j.event,this.a=new Map,this.b={id:"defaultOverrides",title:L.localize(0,null),properties:{}},this.c=[this.b],this.g={properties:{},patternProperties:{},additionalProperties:!0,allowTrailingCommas:!0,allowComments:!0},this.d={},this.e=new Map,this.f={},C.registerSchema(e.$6n,this.g),this.v()}registerConfiguration(t,d=!0){this.registerConfigurations([t],d)}registerConfigurations(t,d=!0){const u=new Set;this.n(t,d,u),C.registerSchema(e.$6n,this.g),this.i.fire(),this.j.fire({properties:u})}deregisterConfigurations(t){const d=new Set;this.o(t,d),C.registerSchema(e.$6n,this.g),this.i.fire(),this.j.fire({properties:d})}updateConfigurations({add:t,remove:d}){const u=new Set;this.o(d,u),this.n(t,!1,u),C.registerSchema(e.$6n,this.g),this.i.fire(),this.j.fire({properties:u})}registerDefaultConfigurations(t){const d=new Set;this.k(t,d),this.i.fire(),this.j.fire({properties:d,defaultsOverrides:!0})}k(t,d){const u=[];for(const{overrides:s,source:c}of t)for(const h in s)if(d.add(h),e.$9n.test(h)){const m=this.a.get(h),D=m?.valuesSources??new Map;if(c)for(const A of Object.keys(s[h]))D.set(A,c);const g={...m?.value||{},...s[h]};this.a.set(h,{source:c,value:g,valuesSources:D});const f=(0,R.$Ui)(h),y={type:"object",default:g,description:L.localize(1,null,f),$ref:e.$6n,defaultDefaultValue:g,source:$.$Sf(c)?void 0:c,defaultValueSource:c};u.push(...l(h)),this.d[h]=y,this.b.properties[h]=y}else{this.a.set(h,{value:s[h],source:c});const m=this.d[h];m&&(this.w(h,m),this.r(h,m))}this.m(u)}deregisterDefaultConfigurations(t){const d=new Set;this.l(t,d),this.i.fire(),this.j.fire({properties:d,defaultsOverrides:!0})}l(t,d){for(const{overrides:u,source:s}of t)for(const c in u){const h=this.a.get(c),m=$.$Sf(s)?s:s?.id,D=$.$Sf(h?.source)?h?.source:h?.source?.id;if(m===D)if(d.add(c),this.a.delete(c),e.$9n.test(c))delete this.d[c],delete this.b.properties[c];else{const g=this.d[c];g&&(this.w(c,g),this.r(c,g))}}this.u()}deltaConfiguration(t){let d=!1;const u=new Set;t.removedDefaults&&(this.l(t.removedDefaults,u),d=!0),t.addedDefaults&&(this.k(t.addedDefaults,u),d=!0),t.removedConfigurations&&this.o(t.removedConfigurations,u),t.addedConfigurations&&this.n(t.addedConfigurations,!1,u),this.i.fire(),this.j.fire({properties:u,defaultsOverrides:d})}notifyConfigurationSchemaUpdated(...t){this.i.fire()}registerOverrideIdentifiers(t){this.m(t),this.i.fire()}m(t){for(const d of t)this.h.add(d);this.u()}n(t,d,u){t.forEach(s=>{this.p(s,d,s.extensionInfo,s.restrictedProperties,void 0,u),this.c.push(s),this.q(s)})}o(t,d){const u=s=>{if(s.properties)for(const c in s.properties){d.add(c);const h=this.d[c];h?.policy?.name&&this.e.delete(h.policy.name),delete this.d[c],this.s(c,s.properties[c])}s.allOf?.forEach(c=>u(c))};for(const s of t){u(s);const c=this.c.indexOf(s);c!==-1&&this.c.splice(c,1)}}p(t,d=!0,u,s,c=3,h){c=$.$2f(t.scope)?c:t.scope;const m=t.properties;if(m)for(const g in m){const f=m[g];if(d&&n(g,f)){delete m[g];continue}if(f.source=u,f.defaultDefaultValue=m[g].default,this.w(g,f),e.$9n.test(g)?f.scope=void 0:(f.scope=$.$2f(f.scope)?c:f.scope,f.restricted=$.$2f(f.restricted)?!!s?.includes(g):f.restricted),m[g].hasOwnProperty("included")&&!m[g].included){this.f[g]=m[g],delete m[g];continue}else this.d[g]=m[g],m[g].policy?.name&&this.e.set(m[g].policy.name,g);!m[g].deprecationMessage&&m[g].markdownDeprecationMessage&&(m[g].deprecationMessage=m[g].markdownDeprecationMessage),h.add(g)}const D=t.allOf;if(D)for(const g of D)this.p(g,d,u,s,c,h)}getConfigurations(){return this.c}getConfigurationProperties(){return this.d}getPolicyConfigurations(){return this.e}getExcludedConfigurationProperties(){return this.f}getConfigurationDefaultsOverrides(){return this.a}q(t){const d=u=>{const s=u.properties;if(s)for(const h in s)this.r(h,s[h]);u.allOf?.forEach(d)};d(t)}r(t,d){switch(e.$Zn.properties[t]=d,d.scope){case 1:e.$1n.properties[t]=d;break;case 2:e.$2n.properties[t]=d;break;case 6:e.$3n.properties[t]=d;break;case 3:e.$4n.properties[t]=d;break;case 4:e.$5n.properties[t]=d;break;case 5:e.$5n.properties[t]=d,this.g.properties[t]=d;break}}s(t,d){switch(delete e.$Zn.properties[t],d.scope){case 1:delete e.$1n.properties[t];break;case 2:delete e.$2n.properties[t];break;case 6:delete e.$3n.properties[t];break;case 3:delete e.$4n.properties[t];break;case 4:case 5:delete e.$5n.properties[t],delete this.g.properties[t];break}}u(){for(const t of this.h.values()){const d=`[${t}]`,u={type:"object",description:L.localize(2,null),errorMessage:L.localize(3,null),$ref:e.$6n};this.w(d,u),e.$Zn.properties[d]=u,e.$1n.properties[d]=u,e.$2n.properties[d]=u,e.$3n.properties[d]=u,e.$4n.properties[d]=u,e.$5n.properties[d]=u}}v(){const t={type:"object",description:L.localize(4,null),errorMessage:L.localize(5,null),$ref:e.$6n};e.$Zn.patternProperties[e.$8n]=t,e.$1n.patternProperties[e.$8n]=t,e.$2n.patternProperties[e.$8n]=t,e.$3n.patternProperties[e.$8n]=t,e.$4n.patternProperties[e.$8n]=t,e.$5n.patternProperties[e.$8n]=t,this.i.fire()}w(t,d){const u=this.a.get(t);let s=u?.value,c=u?.source;$.$Zf(s)&&(s=d.defaultDefaultValue,c=void 0),$.$Zf(s)&&(s=o(d.type)),d.default=s,d.defaultValueSource=c}}const E="\\[([^\\]]+)\\]",k=new RegExp(E,"g");e.$8n=`^(${E})+$`,e.$9n=new RegExp(e.$8n);function l(a){const t=[];if(e.$9n.test(a)){let d=k.exec(a);for(;d?.length;){const u=d[1].trim();u&&t.push(u),d=k.exec(a)}}return(0,I.$Mb)(t)}e.$0n=l;function p(a){return a.reduce((t,d)=>`${t}[${d}]`,"")}e.$$n=p;function o(a){switch(Array.isArray(a)?a[0]:a){case"boolean":return!1;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}e.$_n=o;const i=new b;v.$Tn.add(e.$Yn.Configuration,i);function n(a,t){return a.trim()?e.$9n.test(a)?L.localize(7,null,a):i.getConfigurationProperties()[a]!==void 0?L.localize(8,null,a):t.policy?.name&&i.getPolicyConfigurations().get(t.policy?.name)!==void 0?L.localize(9,null,a,t.policy?.name,i.getPolicyConfigurations().get(t.policy?.name)):null:L.localize(6,null)}e.$ao=n;function r(){const a=[],t=i.getConfigurationProperties();for(const d of Object.keys(t))a.push([d,t[d].scope]);return a.push(["launch",4]),a.push(["task",4]),a}e.$bo=r}),define(Se[256],De([1,0,19,4,160,3,28,24,18,2,52,86,37]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ho=e.$go=e.$fo=e.$eo=e.$do=e.$co=void 0;function E(d){return Object.isFrozen(d)?d:w.$In(d)}class k{constructor(u={},s=[],c=[],h){this.b=u,this.c=s,this.d=c,this.raw=h,this.a=new Map}get rawConfiguration(){if(!this.f)if(this.raw?.length){const u=this.raw.map(s=>{if(s instanceof k)return s;const c=new l("");return c.parseRaw(s),c.configurationModel});this.f=u.reduce((s,c)=>c===s?c:s.merge(c),u[0])}else this.f=this;return this.f}get contents(){return this.b}get overrides(){return this.d}get keys(){return this.c}isEmpty(){return this.c.length===0&&Object.keys(this.b).length===0&&this.d.length===0}getValue(u){return u?(0,M.$Si)(this.contents,u):this.contents}inspect(u,s){const c=this;return{get value(){return E(c.rawConfiguration.getValue(u))},get override(){return s?E(c.rawConfiguration.getOverrideValue(u,s)):void 0},get merged(){return E(s?c.rawConfiguration.override(s).getValue(u):c.rawConfiguration.getValue(u))},get overrides(){const h=[];for(const{contents:m,identifiers:D,keys:g}of c.rawConfiguration.overrides){const f=new k(m,g).getValue(u);f!==void 0&&h.push({identifiers:D,value:f})}return h.length?E(h):void 0}}}getOverrideValue(u,s){const c=this.i(s);return c?u?(0,M.$Si)(c,u):c:void 0}getKeysForOverrideIdentifier(u){const s=[];for(const c of this.overrides)c.identifiers.includes(u)&&s.push(...c.keys);return I.$Mb(s)}getAllOverrideIdentifiers(){const u=[];for(const s of this.overrides)u.push(...s.identifiers);return I.$Mb(u)}override(u){let s=this.a.get(u);return s||(s=this.g(u),this.a.set(u,s)),s}merge(...u){const s=w.$Hn(this.contents),c=w.$Hn(this.overrides),h=[...this.keys],m=this.raw?.length?[...this.raw]:[this];for(const D of u)if(m.push(...D.raw?.length?D.raw:[D]),!D.isEmpty()){this.h(s,D.contents);for(const g of D.overrides){const[f]=c.filter(y=>I.$ub(y.identifiers,g.identifiers));f?(this.h(f.contents,g.contents),f.keys.push(...g.keys),f.keys=I.$Mb(f.keys)):c.push(w.$Hn(g))}for(const g of D.keys)h.indexOf(g)===-1&&h.push(g)}return new k(s,h,c,m.every(D=>D instanceof k)?void 0:m)}g(u){const s=this.i(u);if(!s||typeof s!="object"||!Object.keys(s).length)return this;const c={};for(const h of I.$Mb([...Object.keys(this.contents),...Object.keys(s)])){let m=this.contents[h];const D=s[h];D&&(typeof m=="object"&&typeof D=="object"?(m=w.$Hn(m),this.h(m,D)):m=D),c[h]=m}return new k(c,this.keys,this.overrides)}h(u,s){for(const c of Object.keys(s)){if(c in u&&v.$Uf(u[c])&&v.$Uf(s[c])){this.h(u[c],s[c]);continue}u[c]=w.$Hn(s[c])}}i(u){let s=null,c=null;const h=m=>{m&&(c?this.h(c,m):c=w.$Hn(m))};for(const m of this.overrides)m.identifiers.length===1&&m.identifiers[0]===u?s=m.contents:m.identifiers.includes(u)&&h(m.contents);return h(s),c}toJSON(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}}addValue(u,s){this.j(u,s,!0)}setValue(u,s){this.j(u,s,!1)}removeValue(u){const s=this.keys.indexOf(u);s!==-1&&(this.keys.splice(s,1),(0,M.$Ri)(this.contents,u),C.$9n.test(u)&&this.overrides.splice(this.overrides.findIndex(c=>I.$ub(c.identifiers,(0,C.$0n)(u))),1))}j(u,s,c){(0,M.$Qi)(this.contents,u,s,h=>console.error(h)),c=c||this.keys.indexOf(u)===-1,c&&this.keys.push(u),C.$9n.test(u)&&this.overrides.push({identifiers:(0,C.$0n)(u),keys:Object.keys(this.contents[u]),contents:(0,M.$Pi)(this.contents[u],h=>console.error(h))})}}e.$co=k;class l{constructor(u){this.f=u,this.a=null,this.b=null,this.c=[],this.d=[]}get configurationModel(){return this.b||new k}get restrictedConfigurations(){return this.c}get errors(){return this.d}parse(u,s){if(!v.$2f(u)){const c=this.g(u);this.parseRaw(c,s)}}reparse(u){this.a&&this.parseRaw(this.a,u)}parseRaw(u,s){this.a=u;const{contents:c,keys:h,overrides:m,restricted:D,hasExcludedProperties:g}=this.h(u,s);this.b=new k(c,h,m,g?[u]:void 0),this.c=D||[]}g(u){let s={},c=null,h=[];const m=[],D=[];function g(y){Array.isArray(h)?h.push(y):c!==null&&(h[c]=y)}const f={onObjectBegin:()=>{const y={};g(y),m.push(h),h=y,c=null},onObjectProperty:y=>{c=y},onObjectEnd:()=>{h=m.pop()},onArrayBegin:()=>{const y=[];g(y),m.push(h),h=y,c=null},onArrayEnd:()=>{h=m.pop()},onLiteralValue:g,onError:(y,A,N)=>{D.push({error:y,offset:A,length:N})}};if(u)try{$.$vn(u,f),s=h[0]||{}}catch(y){console.error(`Error while parsing settings file ${this.f}: ${y}`),this.d=[y]}return s}h(u,s){const c=b.$Tn.as(C.$Yn.Configuration).getConfigurationProperties(),h=this.i(u,c,!0,s);u=h.raw;const m=(0,M.$Pi)(u,f=>console.error(`Conflict in settings file ${this.f}: ${f}`)),D=Object.keys(u),g=this.j(u,f=>console.error(`Conflict in settings file ${this.f}: ${f}`));return{contents:m,keys:D,overrides:g,restricted:h.restricted,hasExcludedProperties:h.hasExcludedProperties}}i(u,s,c,h){let m=!1;if(!h?.scopes&&!h?.skipRestricted&&!h?.exclude?.length)return{raw:u,restricted:[],hasExcludedProperties:m};const D={},g=[];for(const f in u)if(C.$9n.test(f)&&c){const y=this.i(u[f],s,!1,h);D[f]=y.raw,m=m||y.hasExcludedProperties,g.push(...y.restricted)}else{const y=s[f],A=y?typeof y.scope<"u"?y.scope:3:void 0;y?.restricted&&g.push(f),!h.exclude?.includes(f)&&(h.include?.includes(f)||(A===void 0||h.scopes===void 0||h.scopes.includes(A))&&!(h.skipRestricted&&y?.restricted))?D[f]=u[f]:m=!0}return{raw:D,restricted:g,hasExcludedProperties:m}}j(u,s){const c=[];for(const h of Object.keys(u))if(C.$9n.test(h)){const m={};for(const D in u[h])m[D]=u[h][D];c.push({identifiers:(0,C.$0n)(h),keys:Object.keys(m),contents:(0,M.$Pi)(m,s)})}return c}}e.$do=l;class p extends L.$Tc{constructor(u,s,c,h){super(),this.c=u,this.f=s,this.g=h,this.b=this.B(new F.$5d),this.onDidChange=this.b.event,this.a=new l(this.c.toString()),this.B(this.g.watch(c.dirname(this.c))),this.B(this.g.watch(this.c)),this.B(F.Event.any(F.Event.filter(this.g.onDidFilesChange,m=>m.contains(this.c)),F.Event.filter(this.g.onDidRunOperation,m=>(m.isOperation(0)||m.isOperation(3)||m.isOperation(1)||m.isOperation(4))&&c.isEqual(m.resource,u)))(()=>this.b.fire()))}async loadConfiguration(){try{const u=await this.g.readFile(this.c);return this.a.parse(u.value.toString()||"{}",this.f),this.a.configurationModel}catch{return new k}}reparse(u){return u&&(this.f=u),this.a.reparse(this.f),this.a.configurationModel}getRestrictedSettings(){return this.a.restrictedConfigurations}}e.$eo=p;class o{constructor(u,s,c,h,m,D,g,f,y,A,N,U,z){this.a=u,this.b=s,this.c=c,this.overrideIdentifiers=h,this.d=m,this.f=D,this.g=g,this.h=f,this.i=y,this.j=A,this.k=N,this.l=U,this.m=z}get value(){return E(this.c)}n(u){return u?.value!==void 0||u?.override!==void 0||u?.overrides!==void 0?u:void 0}get q(){return this.p||(this.p=this.d.inspect(this.a,this.b.overrideIdentifier)),this.p}get defaultValue(){return this.q.merged}get default(){return this.n(this.q)}get s(){return this.r===void 0&&(this.r=this.f?this.f.inspect(this.a):null),this.r}get policyValue(){return this.s?.merged}get policy(){return this.s?.value!==void 0?{value:this.s.value}:void 0}get u(){return this.t===void 0&&(this.t=this.g?this.g.inspect(this.a):null),this.t}get applicationValue(){return this.u?.merged}get application(){return this.n(this.u)}get w(){return this.v||(this.v=this.h.inspect(this.a,this.b.overrideIdentifier)),this.v}get userValue(){return this.w.merged}get user(){return this.n(this.w)}get y(){return this.x||(this.x=this.i.inspect(this.a,this.b.overrideIdentifier)),this.x}get userLocalValue(){return this.y.merged}get userLocal(){return this.n(this.y)}get A(){return this.z||(this.z=this.j.inspect(this.a,this.b.overrideIdentifier)),this.z}get userRemoteValue(){return this.A.merged}get userRemote(){return this.n(this.A)}get D(){return this.B===void 0&&(this.B=this.k?this.k.inspect(this.a,this.b.overrideIdentifier):null),this.B}get workspaceValue(){return this.D?.merged}get workspace(){return this.n(this.D)}get F(){return this.E===void 0&&(this.E=this.l?this.l.inspect(this.a,this.b.overrideIdentifier):null),this.E}get workspaceFolderValue(){return this.F?.merged}get workspaceFolder(){return this.n(this.F)}get H(){return this.G===void 0&&(this.G=this.m.inspect(this.a,this.b.overrideIdentifier)),this.G}get memoryValue(){return this.H.merged}get memory(){return this.n(this.H)}}class i{constructor(u,s,c,h,m=new k,D=new k,g=new R.$Ac,f=new k,y=new R.$Ac){this.c=u,this.d=s,this.f=c,this.g=h,this.h=m,this.i=D,this.j=g,this.l=f,this.m=y,this.a=null,this.b=new R.$Ac,this.n=null}getValue(u,s,c){return this.p(u,s,c).getValue(u)}updateValue(u,s,c={}){let h;c.resource?(h=this.m.get(c.resource),h||(h=new k,this.m.set(c.resource,h))):h=this.l,s===void 0?h.removeValue(u):h.setValue(u,s),c.resource||(this.a=null)}inspect(u,s,c){const h=this.p(u,s,c),m=this.t(s.resource,c),D=s.resource?this.m.get(s.resource)||this.l:this.l,g=new Set;for(const f of h.overrides)for(const y of f.identifiers)h.getOverrideValue(u,y)!==void 0&&g.add(y);return new o(u,s,h.getValue(u),g.size?[...g]:void 0,this.c,this.d.isEmpty()?void 0:this.d,this.applicationConfiguration.isEmpty()?void 0:this.applicationConfiguration,this.userConfiguration,this.localUserConfiguration,this.remoteUserConfiguration,c?this.i:void 0,m||void 0,D)}keys(u){const s=this.t(void 0,u);return{default:this.c.keys.slice(0),user:this.userConfiguration.keys.slice(0),workspace:this.i.keys.slice(0),workspaceFolder:s?s.keys.slice(0):[]}}updateDefaultConfiguration(u){this.c=u,this.a=null,this.b.clear()}updatePolicyConfiguration(u){this.d=u}updateApplicationConfiguration(u){this.f=u,this.a=null,this.b.clear()}updateLocalUserConfiguration(u){this.g=u,this.n=null,this.a=null,this.b.clear()}updateRemoteUserConfiguration(u){this.h=u,this.n=null,this.a=null,this.b.clear()}updateWorkspaceConfiguration(u){this.i=u,this.a=null,this.b.clear()}updateFolderConfiguration(u,s){this.j.set(u,s),this.b.delete(u)}deleteFolderConfiguration(u){this.folderConfigurations.delete(u),this.b.delete(u)}compareAndUpdateDefaultConfiguration(u,s){const c=[];if(!s){const{added:h,updated:m,removed:D}=a(this.c,u);s=[...h,...m,...D]}for(const h of s)for(const m of(0,C.$0n)(h)){const D=this.c.getKeysForOverrideIdentifier(m),g=u.getKeysForOverrideIdentifier(m),f=[...g.filter(y=>D.indexOf(y)===-1),...D.filter(y=>g.indexOf(y)===-1),...D.filter(y=>!w.$Ln(this.c.override(m).getValue(y),u.override(m).getValue(y)))];c.push([m,f])}return this.updateDefaultConfiguration(u),{keys:s,overrides:c}}compareAndUpdatePolicyConfiguration(u){const{added:s,updated:c,removed:h}=a(this.d,u),m=[...s,...c,...h];return m.length&&this.updatePolicyConfiguration(u),{keys:m,overrides:[]}}compareAndUpdateApplicationConfiguration(u){const{added:s,updated:c,removed:h,overrides:m}=a(this.applicationConfiguration,u),D=[...s,...c,...h];return D.length&&this.updateApplicationConfiguration(u),{keys:D,overrides:m}}compareAndUpdateLocalUserConfiguration(u){const{added:s,updated:c,removed:h,overrides:m}=a(this.localUserConfiguration,u),D=[...s,...c,...h];return D.length&&this.updateLocalUserConfiguration(u),{keys:D,overrides:m}}compareAndUpdateRemoteUserConfiguration(u){const{added:s,updated:c,removed:h,overrides:m}=a(this.remoteUserConfiguration,u),D=[...s,...c,...h];return D.length&&this.updateRemoteUserConfiguration(u),{keys:D,overrides:m}}compareAndUpdateWorkspaceConfiguration(u){const{added:s,updated:c,removed:h,overrides:m}=a(this.workspaceConfiguration,u),D=[...s,...c,...h];return D.length&&this.updateWorkspaceConfiguration(u),{keys:D,overrides:m}}compareAndUpdateFolderConfiguration(u,s){const c=this.folderConfigurations.get(u),{added:h,updated:m,removed:D,overrides:g}=a(c,s),f=[...h,...m,...D];return(f.length||!c)&&this.updateFolderConfiguration(u,s),{keys:f,overrides:g}}compareAndDeleteFolderConfiguration(u){const s=this.folderConfigurations.get(u);if(!s)throw new Error("Unknown folder");this.deleteFolderConfiguration(u);const{added:c,updated:h,removed:m,overrides:D}=a(s,void 0);return{keys:[...c,...h,...m],overrides:D}}get defaults(){return this.c}get applicationConfiguration(){return this.f}get userConfiguration(){return this.n||(this.n=this.h.isEmpty()?this.g:this.g.merge(this.h)),this.n}get localUserConfiguration(){return this.g}get remoteUserConfiguration(){return this.h}get workspaceConfiguration(){return this.i}get folderConfigurations(){return this.j}p(u,s,c){let h=this.q(s,c);return s.overrideIdentifier&&(h=h.override(s.overrideIdentifier)),!this.d.isEmpty()&&this.d.getValue(u)!==void 0&&(h=h.merge(this.d)),h}q({resource:u},s){let c=this.r();if(s&&u){const h=s.getFolder(u);h&&(c=this.s(h.uri)||c);const m=this.m.get(u);m&&(c=c.merge(m))}return c}r(){return this.a||(this.a=this.c.merge(this.applicationConfiguration,this.userConfiguration,this.i,this.l)),this.a}s(u){let s=this.b.get(u);if(!s){const c=this.r(),h=this.j.get(u);h?(s=c.merge(h),this.b.set(u,s)):s=c}return s}t(u,s){if(s&&u){const c=s.getFolder(u);if(c)return this.j.get(c.uri)}}toData(){return{defaults:{contents:this.c.contents,overrides:this.c.overrides,keys:this.c.keys},policy:{contents:this.d.contents,overrides:this.d.overrides,keys:this.d.keys},application:{contents:this.applicationConfiguration.contents,overrides:this.applicationConfiguration.overrides,keys:this.applicationConfiguration.keys},user:{contents:this.userConfiguration.contents,overrides:this.userConfiguration.overrides,keys:this.userConfiguration.keys},workspace:{contents:this.i.contents,overrides:this.i.overrides,keys:this.i.keys},folders:[...this.j.keys()].reduce((u,s)=>{const{contents:c,overrides:h,keys:m}=this.j.get(s);return u.push([s,{contents:c,overrides:h,keys:m}]),u},[])}}allKeys(){const u=new Set;return this.c.keys.forEach(s=>u.add(s)),this.userConfiguration.keys.forEach(s=>u.add(s)),this.i.keys.forEach(s=>u.add(s)),this.j.forEach(s=>s.keys.forEach(c=>u.add(c))),[...u.values()]}u(){const u=new Set;return this.c.getAllOverrideIdentifiers().forEach(s=>u.add(s)),this.userConfiguration.getAllOverrideIdentifiers().forEach(s=>u.add(s)),this.i.getAllOverrideIdentifiers().forEach(s=>u.add(s)),this.j.forEach(s=>s.getAllOverrideIdentifiers().forEach(c=>u.add(c))),[...u.values()]}v(u){const s=new Set;return this.c.getKeysForOverrideIdentifier(u).forEach(c=>s.add(c)),this.userConfiguration.getKeysForOverrideIdentifier(u).forEach(c=>s.add(c)),this.i.getKeysForOverrideIdentifier(u).forEach(c=>s.add(c)),this.j.forEach(c=>c.getKeysForOverrideIdentifier(u).forEach(h=>s.add(h))),[...s.values()]}static parse(u){const s=this.w(u.defaults),c=this.w(u.policy),h=this.w(u.application),m=this.w(u.user),D=this.w(u.workspace),g=u.folders.reduce((f,y)=>(f.set(S.URI.revive(y[0]),this.w(y[1])),f),new R.$Ac);return new i(s,c,h,m,new k,D,g,new k,new R.$Ac)}static w(u){return new k(u.contents,u.keys,u.overrides)}}e.$fo=i;function n(...d){if(d.length===0)return{keys:[],overrides:[]};if(d.length===1)return d[0];const u=new Set,s=new Map;for(const h of d)h.keys.forEach(m=>u.add(m)),h.overrides.forEach(([m,D])=>{const g=(0,R.$xc)(s,m,new Set);D.forEach(f=>g.add(f))});const c=[];return s.forEach((h,m)=>c.push([m,[...h.values()]])),{keys:[...u.values()],overrides:c}}e.$go=n;class r{constructor(u,s,c,h){this.change=u,this.f=s,this.g=c,this.h=h,this.a=`
`,this.b=this.a.charCodeAt(0),this.c=46,this.affectedKeys=new Set,this.i=void 0;for(const m of u.keys)this.affectedKeys.add(m);for(const[,m]of u.overrides)for(const D of m)this.affectedKeys.add(D);this.d=this.a;for(const m of this.affectedKeys)this.d+=m+this.a}get previousConfiguration(){return!this.i&&this.f&&(this.i=i.parse(this.f.data)),this.i}affectsConfiguration(u,s){const c=this.a+u,h=this.d.indexOf(c);if(h<0)return!1;const m=h+c.length;if(m>=this.d.length)return!1;const D=this.d.charCodeAt(m);if(D!==this.b&&D!==this.c)return!1;if(s){const g=this.previousConfiguration?this.previousConfiguration.getValue(u,s,this.f?.workspace):void 0,f=this.g.getValue(u,s,this.h);return!w.$Ln(g,f)}return!0}}e.$ho=r;function a(d,u){const{added:s,removed:c,updated:h}=t(u?.rawConfiguration,d?.rawConfiguration),m=[],D=d?.getAllOverrideIdentifiers()||[],g=u?.getAllOverrideIdentifiers()||[];if(u){const f=g.filter(y=>!D.includes(y));for(const y of f)m.push([y,u.getKeysForOverrideIdentifier(y)])}if(d){const f=D.filter(y=>!g.includes(y));for(const y of f)m.push([y,d.getKeysForOverrideIdentifier(y)])}if(u&&d){for(const f of D)if(g.includes(f)){const y=t({contents:d.getOverrideValue(void 0,f)||{},keys:d.getKeysForOverrideIdentifier(f)},{contents:u.getOverrideValue(void 0,f)||{},keys:u.getKeysForOverrideIdentifier(f)});m.push([f,[...y.added,...y.removed,...y.updated]])}}return{added:s,removed:c,updated:h,overrides:m}}function t(d,u){const s=d?u?d.keys.filter(m=>u.keys.indexOf(m)===-1):[...d.keys]:[],c=u?d?u.keys.filter(m=>d.keys.indexOf(m)===-1):[...u.keys]:[],h=[];if(d&&u){for(const m of u.keys)if(d.keys.indexOf(m)!==-1){const D=(0,M.$Si)(u.contents,m),g=(0,M.$Si)(d.contents,m);w.$Ln(D,g)||h.push(m)}}return{added:s,removed:c,updated:h}}}),define(Se[257],De([1,0,21,4,3,82]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ptb=e.$otb=e.$ntb=e.$mtb=void 0;const R=(S,M,C)=>{const b=new Uint8Array(16);for(let l=0;l<16;l++)b[l]=Math.round(Math.random()*256);const E=(0,I.$Me)(I.$se.wrap(b));return[`GET ws://localhost${S}?${M}&skipWebSocketFrames=true HTTP/1.1`,"Connection: Upgrade","Upgrade: websocket",`Sec-WebSocket-Key: ${E}`].join(`\r
`)+`\r
\r
`};e.$mtb=R,e.$ntb=I.$se.fromString(`\r
\r
`);async function w(S,M,C,b,E){S.write(I.$se.fromString((0,e.$mtb)(M,C,b)));const k=new $.$Sc;try{return await new Promise((l,p)=>{let o;k.add(S.onData(i=>{o?o=I.$se.concat([o,i],o.byteLength+i.byteLength):o=i;const n=o.indexOf(e.$ntb);if(n===-1)return;l(S),S.pauseData();const r=o.slice(n+e.$ntb.byteLength);r.byteLength&&E.onData.fire(r)})),k.add(S.onClose(i=>p(i??new Error("socket closed")))),k.add(S.onEnd(()=>p(new Error("socket ended"))))})}catch(l){throw S.dispose(),l}finally{k.dispose()}}e.$otb=w;class v extends $.$Tc{constructor(M,C){super(),this.g=M,this.a=this.B(new F.$8d),this.onData=(...b)=>(this.a.isPaused&&queueMicrotask(()=>this.a.resume()),this.a.event(...b)),this.b=this.B(new F.$5d),this.onDidDispose=this.b.event,this.f=!1,this.B(C.onData),this.B(C.onData.event(b=>this.a.fire(b))),this.onClose=this.B(C.onClose).event,this.onEnd=this.B(C.onEnd).event}pauseData(){this.a.pause()}drain(){return Promise.resolve()}end(){this.f=!0,this.h()}traceSocketEvent(M,C){L.SocketDiagnostics.traceSocketEvent(this,this.g,M,C)}dispose(){this.f||this.h(),this.b.fire(),super.dispose()}}e.$ptb=v}),define(Se[64],De([1,0,14,5]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kl=e.$jl=e.RemoteAuthorityResolverErrorCode=e.$il=e.$hl=e.RemoteConnectionType=e.$gl=void 0,e.$gl=(0,F.$ei)("remoteAuthorityResolverService");var $;(function(M){M[M.WebSocket=0]="WebSocket",M[M.Managed=1]="Managed"})($||(e.RemoteConnectionType=$={}));class L{constructor(C){this.id=C,this.type=1}toString(){return`Managed(${this.id})`}}e.$hl=L;class R{constructor(C,b){this.host=C,this.port=b,this.type=0}toString(){return`WebSocket(${this.host}:${this.port})`}}e.$il=R;var w;(function(M){M.Unknown="Unknown",M.NotAvailable="NotAvailable",M.TemporarilyNotAvailable="TemporarilyNotAvailable",M.NoResolverFound="NoResolverFound",M.InvalidAuthority="InvalidAuthority"})(w||(e.RemoteAuthorityResolverErrorCode=w={}));class v extends I.$bb{static isNotAvailable(C){return C instanceof v&&C._code===w.NotAvailable}static isTemporarilyNotAvailable(C){return C instanceof v&&C._code===w.TemporarilyNotAvailable}static isNoResolverFound(C){return C instanceof v&&C._code===w.NoResolverFound}static isInvalidAuthority(C){return C instanceof v&&C._code===w.InvalidAuthority}static isHandled(C){return C instanceof v&&C.isHandled}constructor(C,b=w.Unknown,E){super(C),this._message=C,this._code=b,this._detail=E,this.isHandled=b===w.NotAvailable&&E===!0,Object.setPrototypeOf(this,v.prototype)}}e.$jl=v;function S(M){const C=M.indexOf("+");return C===-1?M:M.substring(0,C)}e.$kl=S}),define(Se[65],De([1,0,16]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pl=e.$ol=e.$nl=e.$ml=e.$ll=void 0;function F(S){return S.scheme===I.Schemas.vscodeRemote?S.authority:void 0}e.$ll=F;function $(S){if(!S)return;const M=S.indexOf("+");return M<0?S:S.substr(0,M)}e.$ml=$;function L(S){return`/${S.quality??"oss"}-${S.commit??"dev"}`}e.$nl=L;function R(S){const{host:M,port:C}=v(S);if(typeof C>"u")throw new Error(`Invalid remote authority: ${S}. It must either be a remote of form <remoteName>+<arg> or a remote host of form <host>:<port>.`);return{host:M,port:C}}e.$ol=R;function w(S,M){let{host:C,port:b}=v(S);return typeof b>"u"&&(b=M),{host:C,port:b}}e.$pl=w;function v(S){const M=S.match(/^(\[[0-9a-z:]+\]):(\d+)$/);if(M)return{host:M[1],port:parseInt(M[2],10)};const C=S.match(/^(\[[0-9a-z:]+\])$/);if(C)return{host:C[1],port:void 0};const b=S.match(/(.*):(\d+)$/);return b?{host:b[1],port:parseInt(b[2],10)}:{host:S,port:void 0}}}),define(Se[25],De([1,0,12,5,65]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dm=e.$Cm=e.$Bm=e.$Am=e.$zm=e.$ym=e.$xm=e.$wm=e.TargetPlatform=e.ExtensionType=e.$vm=e.$um=e.$tm=e.$sm=e.$rm=e.$qm=void 0,e.$qm="extensions.user.cache",e.$rm="extensions.builtin.cache",e.$sm="undefined_publisher",e.$tm=["ui","workspace","web"];function L(l){if(typeof l=="object"&&l!==null&&l.supported!==!0)return l.description}e.$um=L,e.$vm=["Azure","Data Science","Debuggers","Extension Packs","Education","Formatters","Keymaps","Language Packs","Linters","Machine Learning","Notebooks","Programming Languages","SCM Providers","Snippets","Testing","Themes","Visualization","Other"];var R;(function(l){l[l.System=0]="System",l[l.User=1]="User"})(R||(e.ExtensionType=R={}));var w;(function(l){l.WIN32_X64="win32-x64",l.WIN32_ARM64="win32-arm64",l.LINUX_X64="linux-x64",l.LINUX_ARM64="linux-arm64",l.LINUX_ARMHF="linux-armhf",l.ALPINE_X64="alpine-x64",l.ALPINE_ARM64="alpine-arm64",l.DARWIN_X64="darwin-x64",l.DARWIN_ARM64="darwin-arm64",l.WEB="web",l.UNIVERSAL="universal",l.UNKNOWN="unknown",l.UNDEFINED="undefined"})(w||(e.TargetPlatform=w={}));class v{constructor(p){this.value=p,this._lower=p.toLowerCase()}static equals(p,o){if(typeof p>"u"||p===null)return typeof o>"u"||o===null;if(typeof o>"u"||o===null)return!1;if(typeof p=="string"||typeof o=="string"){const i=typeof p=="string"?p:p.value,n=typeof o=="string"?o:o.value;return I.$jf(i,n)}return p._lower===o._lower}static toKey(p){return typeof p=="string"?p.toLowerCase():p._lower}}e.$wm=v;class S{get size(){return this.c.size}constructor(p){if(this.c=new Set,p)for(const o of p)this.add(o)}add(p){this.c.add(v.toKey(p))}delete(p){return this.c.delete(v.toKey(p))}has(p){return this.c.has(v.toKey(p))}}e.$xm=S;class M{constructor(){this.c=new Map}clear(){this.c.clear()}delete(p){this.c.delete(v.toKey(p))}get(p){return this.c.get(v.toKey(p))}has(p){return this.c.has(v.toKey(p))}set(p,o){this.c.set(v.toKey(p),o)}values(){return this.c.values()}forEach(p){this.c.forEach(p)}[Symbol.iterator](){return this.c[Symbol.iterator]()}}e.$ym=M;function C(l){return b(l)}e.$zm=C;function b(l){return l.contributes&&l.contributes.localizations?l.contributes.localizations.length>0:!1}e.$Am=b;function E(l){return l.contributes&&l.contributes.authentication?l.contributes.authentication.length>0:!1}e.$Bm=E;function k(l,p){if(p){const o=`onResolveRemoteAuthority:${(0,$.$ml)(p)}`;return!!l.activationEvents?.includes(o)}return!1}e.$Cm=k,e.$Dm=(0,F.$ei)("IBuiltinExtensionsScannerService")}),define(Se[137],De([1,0,14,25]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$AF=e.$zF=void 0;class ${constructor(){this.a=new Map,this.b=new WeakMap}register(R,w){this.a.set(R,w)}readActivationEvents(R){return this.b.has(R)||this.b.set(R,this.c(R)),this.b.get(R)}createActivationEventsMap(R){const w=Object.create(null);for(const v of R){const S=this.readActivationEvents(v);S.length>0&&(w[F.$wm.toKey(v.identifier)]=S)}return w}c(R){if(typeof R.main>"u"&&typeof R.browser>"u")return[];const w=Array.isArray(R.activationEvents)?R.activationEvents.slice(0):[];for(let v=0;v<w.length;v++)w[v]==="onUri"&&(w[v]=`onUri:${F.$wm.toKey(R.identifier)}`);if(!R.contributes)return w;for(const v in R.contributes){const S=this.a.get(v);if(!S)continue;const M=R.contributes[v],C=Array.isArray(M)?M:[M];try{S(C,w)}catch(b){(0,I.$1)(b)}}return w}}e.$zF=$,e.$AF=new $}),define(Se[258],De([1,0,8,21,22,14,4,3,58,38,30,82,64,65]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$El=e.$Dl=e.$Cl=e.$Bl=e.$Al=e.$zl=e.$yl=e.$xl=e.PersistentConnectionEventType=e.$wl=e.$vl=e.$ul=e.ConnectionType=void 0;const k=30*1e3;var l;(function(J){J[J.Management=1]="Management",J[J.ExtensionHost=2]="ExtensionHost",J[J.Tunnel=3]="Tunnel"})(l||(e.ConnectionType=l={}));function p(J){switch(J){case 1:return"Management";case 2:return"ExtensionHost";case 3:return"Tunnel"}}function o(J){const B=new $.$ce;return setTimeout(()=>B.cancel(),J),B.token}function i(J,B){if(J.isCancellationRequested||B.isCancellationRequested)return $.CancellationToken.Cancelled;const se=new $.$ce;return J.onCancellationRequested(()=>se.cancel()),B.onCancellationRequested(()=>se.cancel()),se.token}class n{get didTimeout(){return this.c==="timedout"}constructor(B){this.c="pending",this.d=new w.$Sc,{promise:this.promise,resolve:this.f,reject:this.g}=(0,I.$0g)(),B.isCancellationRequested?this.h():this.d.add(B.onCancellationRequested(()=>this.h()))}registerDisposable(B){this.c==="pending"?this.d.add(B):B.dispose()}h(){this.c==="pending"&&(this.d.dispose(),this.c="timedout",this.g(this.i()))}i(){const B=new Error("Time limit reached");return B.code="ETIMEDOUT",B.syscall="connect",B}resolve(B){this.c==="pending"&&(this.d.dispose(),this.c="resolved",this.f(B))}reject(B){this.c==="pending"&&(this.d.dispose(),this.c="rejected",this.g(B))}}function r(J,B){const se=new n(B);return se.registerDisposable(J.onControlMessage(Ee=>{const le=JSON.parse(Ee.toString()),he=X(le);he?se.reject(he):se.resolve(le)})),se.promise}function a(J,B,se,Ee,le,he,ce,de){const H=new n(de),x=S.$1d.create(!1);return J.info(`Creating a socket (${ce})...`),v.mark(`code/willCreateSocket/${he}`),B.connect(se,Ee,le,ce).then(ue=>{H.didTimeout?(v.mark(`code/didCreateSocketError/${he}`),J.info(`Creating a socket (${ce}) finished after ${x.elapsed()} ms, but this is too late and has timed out already.`),ue?.dispose()):(v.mark(`code/didCreateSocketOK/${he}`),J.info(`Creating a socket (${ce}) was successful after ${x.elapsed()} ms.`),H.resolve(ue))},ue=>{v.mark(`code/didCreateSocketError/${he}`),J.info(`Creating a socket (${ce}) returned an error after ${x.elapsed()} ms.`),J.error(ue),H.reject(ue)}),H.promise}function t(J,B){const se=new n(B);return J.then(Ee=>{se.didTimeout||se.resolve(Ee)},Ee=>{se.didTimeout||se.reject(Ee)}),se.promise}async function d(J,B,se,Ee){const le=fe(J,B);J.logService.trace(`${le} 1/6. invoking socketFactory.connect().`);let he;try{he=await a(J.logService,J.remoteSocketFactoryService,J.connectTo,(0,E.$nl)(J),`reconnectionToken=${J.reconnectionToken}&reconnection=${J.reconnectionProtocol?"true":"false"}`,p(B),`renderer-${p(B)}-${J.reconnectionToken}`,Ee)}catch(ue){throw J.logService.error(`${le} socketFactory.connect() failed or timed out. Error:`),J.logService.error(ue),ue}J.logService.trace(`${le} 2/6. socketFactory.connect() was successful.`);let ce,de;J.reconnectionProtocol?(J.reconnectionProtocol.beginAcceptReconnection(he,null),ce=J.reconnectionProtocol,de=!1):(ce=new C.$5h({socket:he}),de=!0),J.logService.trace(`${le} 3/6. sending AuthRequest control message.`);const H=await t(J.signService.createNewMessage((0,M.$Ag)()),Ee),x={type:"auth",auth:J.connectionToken||"00000000000000000000",data:H.data};ce.sendControl(F.$se.fromString(JSON.stringify(x)));try{const ue=await r(ce,i(Ee,o(1e4)));if(ue.type!=="sign"||typeof ue.data!="string"){const Ae=new Error("Unexpected handshake message");throw Ae.code="VSCODE_CONNECTION_ERROR",Ae}if(J.logService.trace(`${le} 4/6. received SignRequest control message.`),!await t(J.signService.validate(H,ue.signedData),Ee)){const Ae=new Error("Refused to connect to unsupported server");throw Ae.code="VSCODE_CONNECTION_ERROR",Ae}const Pe=await t(J.signService.sign(ue.data),Ee),we={type:"connectionType",commit:J.commit,signedData:Pe,desiredConnectionType:B};return se&&(we.args=se),J.logService.trace(`${le} 5/6. sending ConnectionTypeRequest control message.`),ce.sendControl(F.$se.fromString(JSON.stringify(we))),{protocol:ce,ownsProtocol:de}}catch(ue){throw ue&&ue.code==="ETIMEDOUT"&&(J.logService.error(`${le} the handshake timed out. Error:`),J.logService.error(ue)),ue&&ue.code==="VSCODE_CONNECTION_ERROR"&&(J.logService.error(`${le} received error control message when negotiating connection. Error:`),J.logService.error(ue)),de&&_(ce),ue}}async function u(J,B,se,Ee){const le=Date.now(),he=fe(J,B),{protocol:ce,ownsProtocol:de}=await d(J,B,se,Ee),H=new n(Ee);return H.registerDisposable(ce.onControlMessage(x=>{const ue=JSON.parse(x.toString()),be=X(ue);be?(J.logService.error(`${he} received error control message when negotiating connection. Error:`),J.logService.error(be),de&&_(ce),H.reject(be)):(J.reconnectionProtocol?.endAcceptReconnection(),J.logService.trace(`${he} 6/6. handshake finished, connection is up and running after ${re(le)}!`),H.resolve({protocol:ce,firstMessage:ue}))})),H.promise}async function s(J,B){const{protocol:se}=await u(J,1,void 0,B);return{protocol:se}}async function c(J,B,se){const{protocol:Ee,firstMessage:le}=await u(J,2,B,se),he=le&&le.debugPort;return{protocol:Ee,debugPort:he}}async function h(J,B,se){const Ee=Date.now(),le=fe(J,3),{protocol:he}=await d(J,3,B,se);return J.logService.trace(`${le} 6/6. handshake finished, connection is up and running after ${re(Ee)}!`),he}async function m(J,B,se){const{connectTo:Ee,connectionToken:le}=await J.addressProvider.getAddress();return{commit:J.commit,quality:J.quality,connectTo:Ee,connectionToken:le,reconnectionToken:B,reconnectionProtocol:se,remoteSocketFactoryService:J.remoteSocketFactoryService,signService:J.signService,logService:J.logService}}async function D(J,B,se){return f(J,async Ee=>{const{protocol:le}=await s(Ee,$.CancellationToken.None);return new K(J,B,se,Ee.reconnectionToken,le)})}e.$ul=D;async function g(J,B){return f(J,async se=>{const{protocol:Ee,debugPort:le}=await c(se,B,$.CancellationToken.None);return new ie(J,B,se.reconnectionToken,Ee,le)})}e.$vl=g;async function f(J,B){for(let Ee=1;;Ee++)try{const le=(0,M.$Ag)(),he=await m(J,le,null);return await B(he)}catch(le){if(Ee<5)J.logService.error(`[remote-connection][attempt ${Ee}] An error occurred in initial connection! Will retry... Error:`),J.logService.error(le);else throw J.logService.error(`[remote-connection][attempt ${Ee}]  An error occurred in initial connection! It will be treated as a permanent error. Error:`),J.logService.error(le),j.triggerPermanentFailure(0,0,b.$jl.isHandled(le)),le}}async function y(J,B,se){const Ee=await m(J,(0,M.$Ag)(),null);return await h(Ee,{host:B,port:se},$.CancellationToken.None)}e.$wl=y;function A(J){return(0,I.$4g)(B=>new Promise((se,Ee)=>{const le=setTimeout(se,J*1e3);B.onCancellationRequested(()=>{clearTimeout(le),se()})}))}var N;(function(J){J[J.ConnectionLost=0]="ConnectionLost",J[J.ReconnectionWait=1]="ReconnectionWait",J[J.ReconnectionRunning=2]="ReconnectionRunning",J[J.ReconnectionPermanentFailure=3]="ReconnectionPermanentFailure",J[J.ConnectionGain=4]="ConnectionGain"})(N||(e.PersistentConnectionEventType=N={}));class U{constructor(B,se){this.reconnectionToken=B,this.millisSinceLastIncomingData=se,this.type=0}}e.$xl=U;class z{constructor(B,se,Ee,le){this.reconnectionToken=B,this.millisSinceLastIncomingData=se,this.durationSeconds=Ee,this.c=le,this.type=1}skipWait(){this.c.cancel()}}e.$yl=z;class T{constructor(B,se,Ee){this.reconnectionToken=B,this.millisSinceLastIncomingData=se,this.attempt=Ee,this.type=2}}e.$zl=T;class P{constructor(B,se,Ee){this.reconnectionToken=B,this.millisSinceLastIncomingData=se,this.attempt=Ee,this.type=4}}e.$Al=P;class O{constructor(B,se,Ee,le){this.reconnectionToken=B,this.millisSinceLastIncomingData=se,this.attempt=Ee,this.handled=le,this.type=3}}e.$Bl=O;class j extends w.$Tc{static triggerPermanentFailure(B,se,Ee){this._permanentFailure=!0,this.f=B,this.g=se,this.h=Ee,this.j.forEach(le=>le.D(this.f,this.g,this.h))}static debugTriggerReconnection(){this.j.forEach(B=>B.y())}static debugPauseSocketWriting(){this.j.forEach(B=>B.F())}static{this._permanentFailure=!1}static{this.f=0}static{this.g=0}static{this.h=!1}static{this.j=[]}get n(){return this.c||j._permanentFailure}constructor(B,se,Ee,le,he){super(),this.t=B,this.u=se,this.reconnectionToken=Ee,this.protocol=le,this.w=he,this.m=this.B(new R.$5d),this.onDidStateChange=this.m.event,this.c=!1,this.r=!1,this.s=!1,this.m.fire(new P(this.reconnectionToken,0,0)),this.B(le.onSocketClose(ce=>{const de=ee(this.t,this.reconnectionToken,!0);ce?ce.type===0?(this.u.logService.info(`${de} received socket close event (hadError: ${ce.hadError}).`),ce.error&&this.u.logService.error(ce.error)):(this.u.logService.info(`${de} received socket close event (wasClean: ${ce.wasClean}, code: ${ce.code}, reason: ${ce.reason}).`),ce.event&&this.u.logService.error(ce.event)):this.u.logService.info(`${de} received socket close event.`),this.y()})),this.B(le.onSocketTimeout(ce=>{const de=ee(this.t,this.reconnectionToken,!0);this.u.logService.info(`${de} received socket timeout event (unacknowledgedMsgCount: ${ce.unacknowledgedMsgCount}, timeSinceOldestUnacknowledgedMsg: ${ce.timeSinceOldestUnacknowledgedMsg}, timeSinceLastReceivedSomeData: ${ce.timeSinceLastReceivedSomeData}).`),this.y()})),j.j.push(this),this.B((0,w.$Rc)(()=>{const ce=j.j.indexOf(this);ce>=0&&j.j.splice(ce,1)})),this.n&&this.D(j.f,j.g,j.h)}dispose(){super.dispose(),this.s=!0}async y(){if(!this.r)try{this.r=!0,await this.z()}finally{this.r=!1}}async z(){if(this.n||this.s)return;const B=ee(this.t,this.reconnectionToken,!0);this.u.logService.info(`${B} starting reconnecting loop. You can get more information with the trace log level.`),this.m.fire(new U(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData()));const se=[0,5,5,10,10,10,10,10,30];let Ee=-1;do{Ee++;const le=Ee<se.length?se[Ee]:se[se.length-1];try{if(le>0){const ce=A(le);this.m.fire(new z(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),le,ce)),this.u.logService.info(`${B} waiting for ${le} seconds before reconnecting...`);try{await ce}catch{}}if(this.n){this.u.logService.error(`${B} permanent failure occurred while running the reconnecting loop.`);break}this.m.fire(new T(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),Ee+1)),this.u.logService.info(`${B} resolving connection...`);const he=await m(this.u,this.reconnectionToken,this.protocol);this.u.logService.info(`${B} connecting to ${he.connectTo}...`),await this.G(he,o(k)),this.u.logService.info(`${B} reconnected!`),this.m.fire(new P(this.reconnectionToken,this.protocol.getMillisSinceLastIncomingData(),Ee+1));break}catch(he){if(he.code==="VSCODE_CONNECTION_ERROR"){this.u.logService.error(`${B} A permanent error occurred in the reconnecting loop! Will give up now! Error:`),this.u.logService.error(he),this.C(this.protocol.getMillisSinceLastIncomingData(),Ee+1,!1);break}if(Ee>360){this.u.logService.error(`${B} An error occurred while reconnecting, but it will be treated as a permanent error because the reconnection grace time has expired! Will give up now! Error:`),this.u.logService.error(he),this.C(this.protocol.getMillisSinceLastIncomingData(),Ee+1,!1);break}if(b.$jl.isTemporarilyNotAvailable(he)){this.u.logService.info(`${B} A temporarily not available error occurred while trying to reconnect, will try again...`),this.u.logService.trace(he);continue}if((he.code==="ETIMEDOUT"||he.code==="ENETUNREACH"||he.code==="ECONNREFUSED"||he.code==="ECONNRESET")&&he.syscall==="connect"){this.u.logService.info(`${B} A network error occurred while trying to reconnect, will try again...`),this.u.logService.trace(he);continue}if((0,L.$4)(he)){this.u.logService.info(`${B} A promise cancelation error occurred while trying to reconnect, will try again...`),this.u.logService.trace(he);continue}if(he instanceof b.$jl){this.u.logService.error(`${B} A RemoteAuthorityResolverError occurred while trying to reconnect. Will give up now! Error:`),this.u.logService.error(he),this.C(this.protocol.getMillisSinceLastIncomingData(),Ee+1,b.$jl.isHandled(he));break}this.u.logService.error(`${B} An unknown error occurred while trying to reconnect, since this is an unknown case, it will be treated as a permanent error! Will give up now! Error:`),this.u.logService.error(he),this.C(this.protocol.getMillisSinceLastIncomingData(),Ee+1,!1);break}}while(!this.n&&!this.s)}C(B,se,Ee){this.w?j.triggerPermanentFailure(B,se,Ee):this.D(B,se,Ee)}D(B,se,Ee){this.m.fire(new O(this.reconnectionToken,B,se,Ee)),_(this.protocol)}F(){this.protocol.pauseSocketWriting()}}e.$Cl=j;class K extends j{constructor(B,se,Ee,le,he){super(1,B,le,he,!0),this.client=this.B(new C.$3h(he,{remoteAuthority:se,clientId:Ee},B.ipcLogger))}async G(B,se){await s(B,se)}}e.$Dl=K;class ie extends j{constructor(B,se,Ee,le,he){super(2,B,Ee,le,!1),this.H=se,this.debugPort=he}async G(B,se){await c(B,this.H,se)}}e.$El=ie;function _(J){try{J.acceptDisconnect();const B=J.getSocket();J.dispose(),B.dispose()}catch(B){(0,L.$1)(B)}}function X(J){if(J&&J.type==="error"){const B=new Error(`Connection error: ${J.reason}`);return B.code="VSCODE_CONNECTION_ERROR",B}return null}function Y(J,B){for(;J.length<B;)J+=" ";return J}function ae(J,B){return`[remote-connection][${Y(p(J),13)}][${B.substr(0,5)}\u2026]`}function ee(J,B,se){return`${ae(J,B)}[${se?"reconnect":"initial"}]`}function fe(J,B){return`${ee(B,J.reconnectionToken,!!J.reconnectionProtocol)}[${J.connectTo}]`}function re(J){return`${Date.now()-J} ms`}}),define(Se[259],De([1,0,3,5]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rl=e.$ql=void 0,e.$ql=(0,F.$ei)("remoteSocketFactoryService");class ${constructor(){this.a={}}register(R,w){return this.a[R]??=[],this.a[R].push(w),(0,I.$Rc)(()=>{const v=this.a[R]?.indexOf(w);typeof v=="number"&&v>=0&&this.a[R]?.splice(v,1)})}b(R){return(this.a[R.type]||[]).find(v=>v.supports(R))}connect(R,w,v,S){const M=this.b(R);if(!M)throw new Error(`No socket factory found for ${R}`);return M.connect(R,w,v,S)}}e.$rl=$}),define(Se[260],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$D8b=void 0;class I{constructor(){this.b=new Map}static{this.a=1}async createNewMessage($){try{const L=await this.c();if(L){const R=String(I.a++);return this.b.set(R,L),{id:R,data:L.createNewMessage($)}}}catch{}return{id:"",data:$}}async validate($,L){if(!$.id)return!0;const R=this.b.get($.id);if(!R)return!1;this.b.delete($.id);try{return R.validate(L)==="ok"}catch{return!1}finally{R.dispose?.()}}async sign($){try{return await this.d($)}catch{}return $}}e.$D8b=I}),define(Se[109],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tl=e.$sl=void 0,e.$sl="signService",e.$tl=(0,I.$ei)(e.$sl)}),define(Se[138],De([1,0,260]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xac=void 0;class F extends I.$D8b{c(){return this.h().then(L=>new L.validator)}d(L){return this.h().then(R=>new R.signer().sign(L))}h(){return new Promise((L,R)=>me(["vsda"],L,R))}}e.$xac=F}),define(Se[261],De([1,0,11,50,30]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vo=e.$Uo=void 0;function L(v){if(I.$u===2&&/^penguin(\.|$)/i.test(v))return"chromebook"}function R(v,S,M,C,b,E,k,l,p){const o=Object.create(null);o["common.machineId"]=E,o["common.sqmId"]=k,o.sessionID=(0,$.$Ag)()+Date.now(),o.commitHash=C,o.version=b,o["common.platformVersion"]=(v||"").replace(/^(\d+)(\.\d+)?(\.\d+)?(.*)/,"$1$2$3"),o["common.platform"]=(0,I.$h)(I.$u),o["common.nodePlatform"]=F.$dc,o["common.nodeArch"]=M,o["common.product"]=p||"desktop",l&&(o["common.msftInternal"]=l);let i=0;const n=Date.now();Object.defineProperties(o,{timestamp:{get:()=>new Date,enumerable:!0},"common.timesincesessionstart":{get:()=>Date.now()-n,enumerable:!0},"common.sequence":{get:()=>i++,enumerable:!0}}),I.$l&&(o["common.snap"]="true");const r=L(S);return r&&(o["common.platformDetail"]=r),o}e.$Uo=R;function w(v){const S=F.env.USERDNSDOMAIN;if(!S)return!1;const M=S.toLowerCase();return v.some(C=>M===C)}e.$Vo=w}),define(Se[262],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TelemetryConfiguration=e.TelemetryLevel=e.$Pl=e.$Ol=e.$Nl=e.$Ml=e.$Ll=e.$Kl=e.$Jl=e.$Il=e.$Hl=e.$Gl=e.$Fl=void 0,e.$Fl=(0,I.$ei)("telemetryService"),e.$Gl=(0,I.$ei)("customEndpointTelemetryService"),e.$Hl="telemetry.currentSessionDate",e.$Il="telemetry.firstSessionDate",e.$Jl="telemetry.lastSessionDate",e.$Kl="telemetry.machineId",e.$Ll="telemetry.sqmId",e.$Ml="telemetry",e.$Nl="telemetry.telemetryLevel",e.$Ol="telemetry.enableCrashReporter",e.$Pl="telemetry.enableTelemetry";var F;(function(L){L[L.NONE=0]="NONE",L[L.CRASH=1]="CRASH",L[L.ERROR=2]="ERROR",L[L.USAGE=3]="USAGE"})(F||(e.TelemetryLevel=F={}));var $;(function(L){L.OFF="off",L.CRASH="crash",L.ERROR="error",L.ON="all"})($||(e.TelemetryConfiguration=$={}))}),define(Se[87],De([1,0,24,18,65,261,262]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$o=e.$0o=e.$9o=e.$8o=e.$7o=e.$6o=e.$5o=e.$4o=e.$3o=e.$2o=e.$1o=e.$Zo=e.$Yo=e.$Xo=e.$Wo=void 0;class w{constructor(d){this.value=d,this.isTrustedTelemetryValue=!0}}e.$Wo=w;class v{constructor(){this.telemetryLevel=0,this.sessionId="someValue.sessionId",this.machineId="someValue.machineId",this.sqmId="someValue.sqmId",this.firstSessionDate="someValue.firstSessionDate",this.sendErrorTelemetry=!1}publicLog(){}publicLog2(){}publicLogError(){}publicLogError2(){}setExperimentProperty(){}}e.$Xo=v,e.$Yo=new v;class S{async publicLog(d,u,s){}async publicLogError(d,u,s){}}e.$Zo=S,e.$1o="telemetry",e.$2o="extensionTelemetryLog",e.$3o={log:()=>null,flush:()=>Promise.resolve(null)};function M(t,d){return!d.isBuilt&&!d.disableTelemetry?!0:!(d.disableTelemetry||!t.enableTelemetry)}e.$4o=M;function C(t,d){return d.extensionTestsLocationURI?!0:!(d.isBuilt||d.disableTelemetry||t.enableTelemetry&&t.aiConfig?.ariaKey)}e.$5o=C;function b(t){const d=t.getValue(R.$Nl),u=t.getValue(R.$Ol);if(t.getValue(R.$Pl)===!1||u===!1)return 0;switch(d??"all"){case"all":return 3;case"error":return 2;case"crash":return 1;case"off":return 0}}e.$6o=b;function E(t){const d={},u={},s={};p(t,s);for(let c in s){c=c.length>150?c.substr(c.length-149):c;const h=s[c];typeof h=="number"?u[c]=h:typeof h=="boolean"?u[c]=h?1:0:typeof h=="string"?(h.length>8192&&console.warn(`Telemetry property: ${c} has been trimmed to 8192, the original length is ${h.length}`),d[c]=h.substring(0,8191)):typeof h<"u"&&h!==null&&(d[c]=h)}return{properties:d,measurements:u}}e.$7o=E;const k=new Set(["ssh-remote","dev-container","attached-container","wsl","tunnel","codespaces","amlext"]);function l(t){if(!t)return"none";const d=(0,$.$ml)(t);return k.has(d)?d:"other"}e.$8o=l;function p(t,d,u=0,s){if(t)for(const c of Object.getOwnPropertyNames(t)){const h=t[c],m=s?s+c:c;Array.isArray(h)?d[m]=(0,I.$Mn)(h):h instanceof Date?d[m]=h.toISOString():(0,F.$Uf)(h)?u<2?p(h,d,u+1,m+"."):d[m]=(0,I.$Mn)(h):d[m]=h}}function o(t,d){const u=t.msftInternalDomains||[],s=d.getValue("telemetry.internalTesting");return(0,L.$Vo)(u)||s}e.$9o=o;function i(t){return[t.appRoot,t.extensionsPath,t.userHome.fsPath,t.tmpDir.fsPath,t.userDataPath]}e.$0o=i;function n(t,d){if(!t||!t.includes("/")&&!t.includes("\\"))return t;let u=t;const s=[];for(const D of d)for(;;){const g=D.exec(t);if(!g)break;s.push([g.index,D.lastIndex])}const c=/^[\\\/]?(node_modules|node_modules\.asar)[\\\/]/,h=/(file:\/\/)?([a-zA-Z]:(\\\\|\\|\/)|(\\\\|\\|\/))?([\w-\._]+(\\\\|\\|\/))+[\w-\._]*/g;let m=0;for(u="";;){const D=h.exec(t);if(!D)break;const g=s.some(([f,y])=>D.index<y&&f<h.lastIndex);!c.test(D[0])&&!g&&(u+=t.substring(m,D.index)+"<REDACTED: user-file-path>",m=h.lastIndex)}return m<t.length&&(u+=t.substr(m)),u}function r(t){if(!t)return t;const d=[{label:"Google API Key",regex:/AIza[A-Za-z0-9_\\\-]{35}/},{label:"Slack Token",regex:/xox[pbar]\-[A-Za-z0-9]/},{label:"GitHub Token",regex:/(gh[psuro]_[a-zA-Z0-9]{36}|github_pat_[a-zA-Z0-9]{22}_[a-zA-Z0-9]{59})/},{label:"Generic Secret",regex:/(key|token|sig|secret|signature|password|passwd|pwd|android:value)[^a-zA-Z0-9]/i},{label:"Email",regex:/@[a-zA-Z0-9-]+\.[a-zA-Z0-9-]+/}];for(const u of d)if(u.regex.test(t))return`<REDACTED: ${u.label}>`;return t}function a(t,d){return(0,I.$Jn)(t,u=>{if(u instanceof w||Object.hasOwnProperty.call(u,"isTrustedTelemetryValue"))return u.value;if(typeof u=="string"){let s=u.replaceAll("%20"," ");s=n(s,d);for(const c of d)s=s.replace(c,"");return s=r(s),s}})}e.$$o=a}),define(Se[263],De([1,0,12,134,25,11,2,14,50,87]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kp=e.$jp=e.$ip=e.$hp=e.$gp=e.$fp=e.$ep=e.$dp=e.$cp=e.$bp=e.$ap=e.$_o=void 0;function M(u,s){return u.uuid&&s.uuid?u.uuid===s.uuid:u.id===s.id?!0:(0,I.$ef)(u.id,s.id)===0}e.$_o=M;const C=/^([^.]+\..+)-(\d+\.\d+\.\d+)(-(.+))?$/;class b{static create(s){const c=s.manifest?s.manifest.version:s.version,h=s.manifest?s.targetPlatform:s.properties.targetPlatform;return new b(s.identifier,c,h)}static parse(s){const c=C.exec(s);return c&&c[1]&&c[2]?new b({id:c[1]},c[2],c[4]||void 0):null}constructor(s,c,h="undefined"){this.version=c,this.targetPlatform=h,this.id=s.id}toString(){return`${this.id}-${this.version}${this.targetPlatform!=="undefined"?`-${this.targetPlatform}`:""}`}equals(s){return s instanceof b?M(this,s)&&this.version===s.version&&this.targetPlatform===s.targetPlatform:!1}}e.$ap=b;const E=/^([^.]+\..+)@((prerelease)|(\d+\.\d+\.\d+(-.*)?))$/;function k(u){const s=E.exec(u);return s&&s[1]?[p(s[1]),s[2]]:[p(u),void 0]}e.$bp=k;function l(u,s){return`${u}.${s}`}e.$cp=l;function p(u){return u.toLowerCase()}e.$dp=p;function o(u,s){return p(l(u??$.$sm,s))}e.$ep=o;function i(u,s){const c=[],h=m=>{for(const D of c)if(D.some(g=>M(s(g),s(m))))return D;return null};for(const m of u){const D=h(m);D?D.push(m):c.push([m])}return c}e.$fp=i;function n(u){return{id:u.identifier.id,name:u.manifest.name,galleryId:null,publisherId:u.publisherId,publisherName:u.manifest.publisher,publisherDisplayName:u.publisherDisplayName,dependencies:u.manifest.extensionDependencies&&u.manifest.extensionDependencies.length>0}}e.$gp=n;function r(u){return{id:new S.$Wo(u.identifier.id),name:new S.$Wo(u.name),galleryId:u.identifier.uuid,publisherId:u.publisherId,publisherName:u.publisher,publisherDisplayName:u.publisherDisplayName,isPreReleaseVersion:u.properties.isPreReleaseVersion,dependencies:!!(u.properties.dependencies&&u.properties.dependencies.length>0),isSigned:u.isSigned,...u.telemetryData}}e.$hp=r,e.$ip=new $.$wm("pprice.better-merge");function a(u,s){const c=[],h=s.manifest.extensionDependencies?.slice(0)??[];for(;h.length;){const m=h.shift();if(m&&c.every(D=>!M(D.identifier,{id:m}))){const D=u.filter(g=>M(g.identifier,{id:m}));D.length===1&&(c.push(D[0]),h.push(...D[0].manifest.extensionDependencies?.slice(0)??[]))}}return c}e.$jp=a;async function t(u,s){if(!L.$k)return!1;let c;try{c=(await u.readFile(R.URI.file("/etc/os-release"))).value.toString()}catch{try{c=(await u.readFile(R.URI.file("/usr/lib/os-release"))).value.toString()}catch(m){s.debug("Error while getting the os-release file.",(0,w.$0)(m))}}return!!c&&(c.match(/^ID=([^\u001b\r\n]*)/m)||[])[1]==="alpine"}async function d(u,s){const c=await t(u,s),h=(0,F.$Go)(c?"alpine":L.$u,v.$ec);return s.debug("ComputeTargetPlatform:",h),h}e.$kp=d}),define(Se[264],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3r=e.$2r=e.$1r=e.$Zr=e.$Yr=e.$Xr=void 0;function I(v){return[...v.entries()]}e.$Xr=I;function F(v){return v?[...v.entries()]:[]}e.$Yr=F;function $(v){return new Map(v)}e.$Zr=$;function L(v){return new Map(v??[])}e.$1r=L;function R(v){return Array.from(v.entries()).map(S=>[S[0],I(S[1].map),F(S[1].descriptionMap)])}e.$2r=R;function w(v){return new Map(v.map(S=>[S[0],{map:$(S[1]),descriptionMap:L(S[2])}]))}e.$3r=w}),define(Se[265],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gtb=void 0;class I{constructor($){this.b=$,this.a=new Map}dispose(){for(const $ of this.a.values())$.dispose()}startBuffering($,L,R=5){const w=L(v=>{const S=typeof v=="string"?v:v.data;let M=this.a.get($);if(M){M.data.push(S);return}const C=setTimeout(()=>this.flushBuffer($),R);M={data:[S],timeoutId:C,dispose:()=>{clearTimeout(C),this.flushBuffer($),w.dispose()}},this.a.set($,M)});return w}stopBuffering($){this.a.get($)?.dispose()}flushBuffer($){const L=this.a.get($);L&&(this.a.delete($),this.b($,L.data.join("")))}}e.$Gtb=I}),define(Se[266],De([1,0,8,78,55,4,18,2,208,108,37]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qw=e.$Pw=e.$Ow=e.$Nw=e.$Mw=e.$Lw=e.$Kw=e.$Jw=e.IconFontDefinition=e.IconContribution=e.$Iw=void 0,e.$Iw={IconContribution:"base.contributions.icons"};var C;(function(r){function a(t,d){let u=t.defaults;for(;$.ThemeIcon.isThemeIcon(u);){const s=k.getIcon(u.id);if(!s)return;u=s.defaults}return u}r.getDefinition=a})(C||(e.IconContribution=C={}));var b;(function(r){function a(d){return{weight:d.weight,style:d.style,src:d.src.map(u=>({format:u.format,location:u.location.toString()}))}}r.toJSONObject=a;function t(d){const u=s=>(0,R.$Sf)(s)?s:void 0;if(d&&Array.isArray(d.src)&&d.src.every(s=>(0,R.$Sf)(s.format)&&(0,R.$Sf)(s.location)))return{weight:u(d.weight),style:u(d.style),src:d.src.map(s=>({format:s.format,location:w.URI.parse(s.location)}))}}r.fromJSONObject=t})(b||(e.IconFontDefinition=b={}));class E{constructor(){this.a=new L.$5d,this.onDidChange=this.a.event,this.d={definitions:{icons:{type:"object",properties:{fontId:{type:"string",description:(0,v.localize)(0,null)},fontCharacter:{type:"string",description:(0,v.localize)(1,null)}},additionalProperties:!1,defaultSnippets:[{body:{fontCharacter:"\\\\e030"}}]}},type:"object",properties:{}},this.e={type:"string",pattern:`^${$.ThemeIcon.iconNameExpression}$`,enum:[],enumDescriptions:[]},this.b={},this.f={}}registerIcon(a,t,d,u){const s=this.b[a];if(s){if(d&&!s.description){s.description=d,this.d.properties[a].markdownDescription=`${d} $(${a})`;const m=this.e.enum.indexOf(a);m!==-1&&(this.e.enumDescriptions[m]=d),this.a.fire()}return s}const c={id:a,description:d,defaults:t,deprecationMessage:u};this.b[a]=c;const h={$ref:"#/definitions/icons"};return u&&(h.deprecationMessage=u),d&&(h.markdownDescription=`${d}: $(${a})`),this.d.properties[a]=h,this.e.enum.push(a),this.e.enumDescriptions.push(d||""),this.a.fire(),{id:a}}deregisterIcon(a){delete this.b[a],delete this.d.properties[a];const t=this.e.enum.indexOf(a);t!==-1&&(this.e.enum.splice(t,1),this.e.enumDescriptions.splice(t,1)),this.a.fire()}getIcons(){return Object.keys(this.b).map(a=>this.b[a])}getIcon(a){return this.b[a]}getIconSchema(){return this.d}getIconReferenceSchema(){return this.e}registerIconFont(a,t){const d=this.f[a];return d||(this.f[a]=t,this.a.fire(),t)}deregisterIconFont(a){delete this.f[a]}getIconFont(a){return this.f[a]}toString(){const a=(s,c)=>s.id.localeCompare(c.id),t=s=>{for(;$.ThemeIcon.isThemeIcon(s.defaults);)s=this.b[s.defaults.id];return`codicon codicon-${s?s.id:""}`},d=[];d.push("| preview     | identifier                        | default codicon ID                | description"),d.push("| ----------- | --------------------------------- | --------------------------------- | --------------------------------- |");const u=Object.keys(this.b).map(s=>this.b[s]);for(const s of u.filter(c=>!!c.description).sort(a))d.push(`|<i class="${t(s)}"></i>|${s.id}|${$.ThemeIcon.isThemeIcon(s.defaults)?s.defaults.id:s.id}|${s.description||""}|`);d.push("| preview     | identifier                        "),d.push("| ----------- | --------------------------------- |");for(const s of u.filter(c=>!$.ThemeIcon.isThemeIcon(c.defaults)).sort(a))d.push(`|<i class="${t(s)}"></i>|${s.id}|`);return d.join(`
`)}}const k=new E;M.$Tn.add(e.$Iw.IconContribution,k);function l(r,a,t,d){return k.registerIcon(r,a,t,d)}e.$Jw=l;function p(){return k}e.$Kw=p;function o(){const r=(0,F.$ik)();for(const a in r){const t="\\"+r[a].toString(16);k.registerIcon(a,{fontCharacter:t})}}o(),e.$Lw="vscode://schemas/icons";const i=M.$Tn.as(S.$Un.JSONContribution);i.registerSchema(e.$Lw,k.getIconSchema());const n=new I.$qh(()=>i.notifySchemaChanged(e.$Lw),200);k.onDidChange(()=>{n.isScheduled()||n.schedule()}),e.$Mw=l("widget-close",F.$kk.close,(0,v.localize)(2,null)),e.$Nw=l("goto-previous-location",F.$kk.arrowUp,(0,v.localize)(3,null)),e.$Ow=l("goto-next-location",F.$kk.arrowDown,(0,v.localize)(4,null)),e.$Pw=$.ThemeIcon.modify(F.$kk.sync,"spin"),e.$Qw=$.ThemeIcon.modify(F.$kk.loading,"spin")}),define(Se[88],De([1,0,4,52,5,13]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wv=e.$Vv=e.$Uv=e.$Tv=e.$Sv=e.$Rv=e.$Qv=e.$Pv=e.ProvidedOnAutoForward=e.$Ov=e.TunnelPrivacyId=e.TunnelProtocol=e.$Nv=e.$Mv=void 0,e.$Mv=(0,$.$ei)("tunnelService"),e.$Nv=(0,$.$ei)("sharedTunnelsService");var R;(function(p){p.Http="http",p.Https="https"})(R||(e.TunnelProtocol=R={}));var w;(function(p){p.ConstantPrivate="constantPrivate",p.Private="private",p.Public="public"})(w||(e.TunnelPrivacyId=w={}));function v(p){return!!p.forwardPort}e.$Ov=v;var S;(function(p){p[p.Notify=1]="Notify",p[p.OpenBrowser=2]="OpenBrowser",p[p.OpenPreview=3]="OpenPreview",p[p.Silent=4]="Silent",p[p.Ignore=5]="Ignore",p[p.OpenBrowserOnce=6]="OpenBrowserOnce"})(S||(e.ProvidedOnAutoForward=S={}));function M(p){if(p.scheme!=="http"&&p.scheme!=="https")return;const o=/^(localhost|127\.0\.0\.1|0\.0\.0\.0):(\d+)$/.exec(p.authority);if(o)return{address:o[1],port:+o[2]}}e.$Pv=M,e.$Qv=["localhost","127.0.0.1","0:0:0:0:0:0:0:1","::1"];function C(p){return e.$Qv.indexOf(p)>=0}e.$Rv=C,e.$Sv=["0.0.0.0","0:0:0:0:0:0:0:0","::"];function b(p){return e.$Sv.indexOf(p)>=0}e.$Tv=b;function E(p,o,i,n){if(i===1)return!1;if(i===2&&b(o)){const r=/(\d+)\.(\d+)\.(\d+)/g.exec(n);if(r?.length===4&&parseInt(r[1])>=18)return!1}return p<1024}e.$Uv=E;class k{constructor(o,i,n){this.remoteAddress=o,this.localAddress=i,this.b=n,this.a=new I.$5d,this.onDidDispose=this.a.event}dispose(){return this.a.fire(),this.b()}}e.$Vv=k;let l=class{constructor(o,i){this.k=o,this.l=i,this.a=new I.$5d,this.onTunnelOpened=this.a.event,this.b=new I.$5d,this.onTunnelClosed=this.b.event,this.c=new I.$5d,this.onAddedTunnelProvider=this.c.event,this.e=new Map,this.g=!1,this.h=!0,this.i=[],this.j=new Set}get hasTunnelProvider(){return!!this.f}get m(){const o=this.l.getValue("remote.localPortHost");return!o||o==="localhost"?"127.0.0.1":"0.0.0.0"}setTunnelProvider(o){return this.f=o,o?(this.c.fire(),{dispose:()=>{this.f=void 0,this.g=!1,this.i=[]}}):(this.g=!1,this.i=[],this.c.fire(),{dispose:()=>{}})}setTunnelFeatures(o){this.g=o.elevation,this.i=o.privacyOptions,this.h=o.protocol}get canChangeProtocol(){return this.h}get canElevate(){return this.g}get canChangePrivacy(){return this.i.length>0}get privacyOptions(){return this.i}get tunnels(){return this.n()}async n(){const o=[],i=Array.from(this.e.values());for(const n of i){const r=Array.from(n.values());for(const a of r){const t=await a.value;t&&typeof t!="string"&&o.push(t)}}return o}async dispose(){for(const o of this.e.values()){for(const{value:i}of o.values())await i.then(n=>typeof n!="string"?n?.dispose():void 0);o.clear()}this.e.clear()}setEnvironmentTunnel(o,i,n,r,a){this.q(o,i,Promise.resolve({tunnelRemoteHost:o,tunnelRemotePort:i,localAddress:n,privacy:r,protocol:a,dispose:()=>Promise.resolve()}))}async getExistingTunnel(o,i){(b(o)||C(o))&&(o=e.$Qv[0]);const n=this.s(o,i);if(n)return++n.refcount,n.value}openTunnel(o,i,n,r,a,t=!1,d,u){this.k.trace(`ForwardedPorts: (TunnelService) openTunnel request for ${i}:${n} on local port ${a}.`);const s=this.f??o;if(!s)return;if(i||(i="localhost"),r||(r=this.m),this.f&&this.j.has(n)){this.k.debug("ForwardedPorts: (TunnelService) Another call to create a tunnel with the same address has occurred before the last one completed. This call will be ignored.");return}const c=this.t(s,i,n,r,a,t,d,u);return c?c.then(h=>{if(h){if(typeof h=="string")return this.k.trace("ForwardedPorts: (TunnelService) The tunnel provider returned an error when creating the tunnel."),this.r(i,n),h}else{this.k.trace("ForwardedPorts: (TunnelService) New tunnel is undefined."),this.r(i,n);return}this.k.trace("ForwardedPorts: (TunnelService) New tunnel established.");const m=this.o(h);return(h.tunnelRemoteHost!==i||h.tunnelRemotePort!==n)&&this.k.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Host or port mismatch."),d&&h.privacy!==d&&this.k.warn("ForwardedPorts: (TunnelService) Created tunnel does not match requirements of requested tunnel. Privacy mismatch."),this.a.fire(m),m}):(this.k.trace("ForwardedPorts: (TunnelService) Tunnel was not created."),c)}o(o){return{tunnelRemotePort:o.tunnelRemotePort,tunnelRemoteHost:o.tunnelRemoteHost,tunnelLocalPort:o.tunnelLocalPort,localAddress:o.localAddress,privacy:o.privacy,protocol:o.protocol,dispose:async()=>{this.k.trace(`ForwardedPorts: (TunnelService) dispose request for ${o.tunnelRemoteHost}:${o.tunnelRemotePort} `);const i=this.e.get(o.tunnelRemoteHost);if(i){const n=i.get(o.tunnelRemotePort);n&&(n.refcount--,await this.p(o.tunnelRemoteHost,o.tunnelRemotePort,n))}}}}async p(o,i,n){if(n.refcount<=0){this.k.trace(`ForwardedPorts: (TunnelService) Tunnel is being disposed ${o}:${i}.`);const r=n.value.then(async a=>{a&&typeof a!="string"&&(await a.dispose(!0),this.b.fire({host:a.tunnelRemoteHost,port:a.tunnelRemotePort}))});return this.e.has(o)&&this.e.get(o).delete(i),r}}async closeTunnel(o,i){this.k.trace(`ForwardedPorts: (TunnelService) close request for ${o}:${i} `);const n=this.e.get(o);if(n&&n.has(i)){const r=n.get(i);r.refcount=0,await this.p(o,i,r)}}q(o,i,n){this.e.has(o)||this.e.set(o,new Map),this.e.get(o).set(i,{refcount:1,value:n})}async r(o,i){const n=this.e.get(o);if(n){const r=n.get(i),a=r?await r.value:void 0;(!a||typeof a=="string")&&n.delete(i),n.size===0&&this.e.delete(o)}}s(o,i){const n=[o];C(o)?(n.push(...e.$Qv),n.push(...e.$Sv)):b(o)&&n.push(...e.$Sv);const r=n.map(a=>this.e.get(a));for(const a of r){const t=a?.get(i);if(t)return t}}canTunnel(o){return!!M(o)}u(o,i,n,r,a,t,d){this.k.trace(`ForwardedPorts: (TunnelService) Creating tunnel with provider ${i}:${n} on local port ${r}.`);const u=n;this.j.add(u);const s=r===void 0?n:r,c={elevationRequired:a?this.isPortPrivileged(s):!1},h={remoteAddress:{host:i,port:n},localAddressPort:r,privacy:t,public:t?t!==w.Private:void 0,protocol:d},m=o.forwardPort(h,c);return m?(this.q(i,n,m),m.finally(()=>{this.k.trace("ForwardedPorts: (TunnelService) Tunnel created by provider."),this.j.delete(u)})):this.j.delete(u),m}};e.$Wv=l,e.$Wv=l=Je([Ve(0,L.$yj),Ve(1,F.$Ki)],l)}),define(Se[267],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_k=void 0,e.$_k=(0,I.$ei)("IUriIdentityService")}),define(Se[268],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.EditSessionIdentityMatch=e.$Xv=void 0,e.$Xv=(0,I.$ei)("editSessionIdentityService");var F;(function($){$[$.Complete=100]="Complete",$[$.Partial=50]="Partial",$[$.None=0]="None"})(F||(e.EditSessionIdentityMatch=F={}))}),define(Se[269],De([1,0,16]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$AL=e.$zL=e.$yL=e.$xL=e.$wL=void 0;function F(v){return v.scheme!==I.Schemas.file&&v.scheme!==I.Schemas.vscodeRemote}e.$wL=F;function $(v){if(v.folders.length)return v.folders.every(S=>F(S.uri))?v.folders[0].uri:void 0;if(v.configuration&&F(v.configuration))return v.configuration}e.$xL=$;function L(v){return $(v)?.scheme}e.$yL=L;function R(v){return $(v)?.authority}e.$zL=R;function w(v){return $(v)!==void 0}e.$AL=w}),define(Se[41],De([1,0,210,17,77,23,2,5,16]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ji=e.$Ii=e.$Hi=e.$Gi=e.$Fi=e.$Ei=e.$Di=e.$Ci=e.$Bi=e.$Ai=e.$zi=e.$yi=e.$xi=e.$wi=e.$vi=e.WorkbenchState=e.$ui=e.$ti=e.$si=e.$ri=e.$qi=e.$pi=e.$oi=e.$ni=void 0,e.$ni=(0,w.$ei)("contextService");function S(s){const c=s;return typeof c?.id=="string"&&R.URI.isUri(c.uri)}e.$oi=S;function M(s){return typeof s?.id=="string"&&!S(s)&&!b(s)}e.$pi=M,e.$qi={id:"ext-dev"},e.$ri={id:"empty-window"};function C(s,c){if(typeof s=="string"||typeof s>"u")return typeof s=="string"?{id:(0,F.$nc)(s)}:c?e.$qi:e.$ri;const h=s;return h.configuration?{id:h.id,configPath:h.configuration}:h.folders.length===1?{id:h.id,uri:h.folders[0].uri}:{id:h.id}}e.$si=C;function b(s){const c=s;return typeof c?.id=="string"&&R.URI.isUri(c.configPath)}e.$ti=b;function E(s){const c=s;if(c?.uri)return{id:c.id,uri:R.URI.revive(c.uri)};const h=s;if(h?.configPath)return{id:h.id,configPath:R.URI.revive(h.configPath)};if(s?.id)return{id:s.id}}e.$ui=E;var k;(function(s){s[s.EMPTY=1]="EMPTY",s[s.FOLDER=2]="FOLDER",s[s.WORKSPACE=3]="WORKSPACE"})(k||(e.WorkbenchState=k={}));function l(s){const c=s;return!!(c&&typeof c=="object"&&typeof c.id=="string"&&Array.isArray(c.folders))}e.$vi=l;function p(s){const c=s;return!!(c&&typeof c=="object"&&R.URI.isUri(c.uri)&&typeof c.name=="string"&&typeof c.toResource=="function")}e.$wi=p;class o{constructor(c,h,m,D,g){this.h=c,this.j=m,this.k=D,this.l=g,this.c=$.$ki.forUris(this.l,()=>!0),this.folders=h}update(c){this.h=c.id,this.k=c.configuration,this.j=c.transient,this.l=c.l,this.folders=c.folders}get folders(){return this.g}set folders(c){this.g=c,this.n()}get id(){return this.h}get transient(){return this.j}get configuration(){return this.k}set configuration(c){this.k=c}getFolder(c){return c&&this.c.findSubstr(c)||null}n(){this.c=$.$ki.forUris(this.l,()=>!0);for(const c of this.folders)this.c.set(c.uri,c)}toJSON(){return{id:this.id,folders:this.folders,transient:this.transient,configuration:this.configuration}}}e.$xi=o;class i{constructor(c,h){this.raw=h,this.uri=c.uri,this.index=c.index,this.name=c.name}toResource(c){return(0,L.$Rg)(this.uri,c)}toJSON(){return{uri:this.uri,name:this.name,index:this.index}}}e.$yi=i;function n(s){return new i({uri:s,index:0,name:(0,L.$Ng)(s)},{uri:s.toString()})}e.$zi=n,e.$Ai="code-workspace",e.$Bi=`.${e.$Ai}`,e.$Ci=[{name:(0,I.localize)(0,null),extensions:[e.$Ai]}],e.$Di="workspace.json";function r(s,c){return L.$Ig.isEqualOrParent(s,c.untitledWorkspacesHome)}e.$Ei=r;function a(s){let c;return R.URI.isUri(s)?c=s:c=s.configuration,c?.scheme===v.Schemas.tmp}e.$Fi=a,e.$Gi="4064f6ec-cb38-4ad0-af64-ee6467e63c82";function t(s){return s.id===e.$Gi}e.$Hi=t;function d(s,c){return!r(s,c)&&!a(s)}e.$Ii=d;function u(s){return(typeof s=="string"?(0,F.$oc)(s):(0,L.$Pg)(s))===e.$Bi}e.$Ji=u}),define(Se[270],De([1,0,54,4,3,23,2,209,133,32,5,13,41,28,267,8,30,12,18]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fl=e.$el=e.$dl=e.$cl=e.$bl=e.$al=e.ProfileResourceType=void 0;var n;(function(s){s.Settings="settings",s.Keybindings="keybindings",s.Snippets="snippets",s.Tasks="tasks",s.Extensions="extensions",s.GlobalState="globalState"})(n||(e.ProfileResourceType=n={}));function r(s){const c=s;return!!(c&&typeof c=="object"&&typeof c.id=="string"&&typeof c.isDefault=="boolean"&&typeof c.name=="string"&&R.URI.isUri(c.location)&&R.URI.isUri(c.globalStorageHome)&&R.URI.isUri(c.settingsResource)&&R.URI.isUri(c.keybindingsResource)&&R.URI.isUri(c.tasksResource)&&R.URI.isUri(c.snippetsHome)&&R.URI.isUri(c.extensionsResource))}e.$al=r,e.$bl=(0,M.$ei)("IUserDataProfilesService");function a(s,c){return{id:s.id,isDefault:s.isDefault,name:s.name,shortName:s.shortName,icon:s.icon,location:R.URI.revive(s.location).with({scheme:c}),globalStorageHome:R.URI.revive(s.globalStorageHome).with({scheme:c}),settingsResource:R.URI.revive(s.settingsResource).with({scheme:c}),keybindingsResource:R.URI.revive(s.keybindingsResource).with({scheme:c}),tasksResource:R.URI.revive(s.tasksResource).with({scheme:c}),snippetsHome:R.URI.revive(s.snippetsHome).with({scheme:c}),extensionsResource:R.URI.revive(s.extensionsResource).with({scheme:c}),cacheHome:R.URI.revive(s.cacheHome).with({scheme:c}),useDefaultFlags:s.useDefaultFlags,isTransient:s.isTransient}}e.$cl=a;function t(s,c,h,m,D,g){return{id:s,name:c,location:h,isDefault:!1,shortName:D?.shortName,icon:D?.icon,globalStorageHome:g&&D?.useDefaultFlags?.globalState?g.globalStorageHome:(0,L.$Rg)(h,"globalStorage"),settingsResource:g&&D?.useDefaultFlags?.settings?g.settingsResource:(0,L.$Rg)(h,"settings.json"),keybindingsResource:g&&D?.useDefaultFlags?.keybindings?g.keybindingsResource:(0,L.$Rg)(h,"keybindings.json"),tasksResource:g&&D?.useDefaultFlags?.tasks?g.tasksResource:(0,L.$Rg)(h,"tasks.json"),snippetsHome:g&&D?.useDefaultFlags?.snippets?g.snippetsHome:(0,L.$Rg)(h,"snippets"),extensionsResource:g&&D?.useDefaultFlags?.extensions?g.extensionsResource:(0,L.$Rg)(h,"extensions.json"),cacheHome:(0,L.$Rg)(m,s),useDefaultFlags:D?.useDefaultFlags,isTransient:D?.transient}}e.$dl=t;let d=class extends $.$Tc{static{this.b="userDataProfiles"}static{this.c="profileAssociations"}get defaultProfile(){return this.profiles[0]}get profiles(){return[...this.C.profiles,...this.s.profiles]}constructor(c,h,m,D){super(),this.t=c,this.u=h,this.w=m,this.y=D,this.f=!0,this.h=this.B(new F.$5d),this.onDidChangeProfiles=this.h.event,this.j=this.B(new F.$5d),this.onWillCreateProfile=this.j.event,this.m=this.B(new F.$5d),this.onWillRemoveProfile=this.m.event,this.n=this.B(new F.$5d),this.onDidResetWorkspaces=this.n.event,this.r=new Map,this.s={profiles:[],workspaces:new E.$Ac,emptyWindows:new Map},this.profilesHome=(0,L.$Rg)(this.t.userRoamingDataHome,"profiles"),this.g=(0,L.$Rg)(this.t.cacheHome,"CachedProfilesData")}init(){this.z=void 0}setEnablement(c){this.f!==c&&(this.z=void 0,this.f=c)}isEnabled(){return this.f}get C(){if(!this.z){const c=this.D(),h=[c];if(this.f)try{for(const g of this.O()){if(!g.name||!(0,i.$Sf)(g.name)||!g.location){this.y.warn("Skipping the invalid stored profile",g.location||g.name);continue}h.push(t((0,L.$Og)(g.location),g.name,g.location,this.g,{shortName:g.shortName,icon:g.icon,useDefaultFlags:g.useDefaultFlags},c))}}catch(g){this.y.error(g)}const m=new E.$Ac,D=new Map;if(h.length)try{const g=this.Q();if(g.workspaces)for(const[f,y]of Object.entries(g.workspaces)){const A=R.URI.parse(f),N=h.find(U=>U.id===y);N&&m.set(A,N)}if(g.emptyWindows)for(const[f,y]of Object.entries(g.emptyWindows)){const A=h.find(N=>N.id===y);A&&D.set(f,A)}}catch(g){this.y.error(g)}this.z={profiles:h,workspaces:m,emptyWindows:D}}return this.z}D(){const c=t("__default__profile__",(0,w.localize)(0,null),this.t.userRoamingDataHome,this.g);return{...c,extensionsResource:this.S()??c.extensionsResource,isDefault:!0}}async createTransientProfile(c){const h="Temp",m=new RegExp(`${(0,o.$Xe)(h)}\\s(\\d+)`);let D=0;for(const f of this.profiles){const y=m.exec(f.name),A=y?parseInt(y[1]):0;D=A>D?A:D}const g=`${h} ${D+1}`;return this.createProfile((0,I.$5i)((0,p.$Ag)()).toString(16),g,{transient:!0},c)}async createNamedProfile(c,h,m){return this.createProfile((0,I.$5i)((0,p.$Ag)()).toString(16),c,h,m)}async createProfile(c,h,m,D){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const g=await this.F(c,h,m);return D&&await this.setProfileForWorkspace(D,g),g}async F(c,h,m){if(!(0,i.$Sf)(h)||!h)throw new Error("Name of the profile is mandatory and must be of type `string`");let D=this.r.get(h);return D||(D=(async()=>{try{const g=this.profiles.find(A=>A.name===h||A.id===c);if(g)return g;const f=t(c,h,(0,L.$Rg)(this.profilesHome,c),this.g,m,this.defaultProfile);await this.u.createFolder(f.location);const y=[];return this.j.fire({profile:f,join(A){y.push(A)}}),await l.Promises.settled(y),this.I([f],[],[]),f}finally{this.r.delete(h)}})(),this.r.set(h,D)),D}async updateProfile(c,h){if(!this.f)throw new Error("Profiles are disabled in the current environment.");let m=this.profiles.find(D=>D.id===c.id);if(!m)throw new Error(`Profile '${c.name}' does not exist`);return m=t(m.id,h.name??m.name,m.location,this.g,{shortName:h.shortName??m.shortName,icon:h.icon===null?void 0:h.icon??m.icon,transient:h.transient??m.isTransient,useDefaultFlags:h.useDefaultFlags??m.useDefaultFlags},this.defaultProfile),this.I([],[],[m]),m}async removeProfile(c){if(!this.f)throw new Error("Profiles are disabled in the current environment.");if(c.isDefault)throw new Error("Cannot remove default profile");const h=this.profiles.find(D=>D.id===c.id);if(!h)throw new Error(`Profile '${c.name}' does not exist`);const m=[];this.m.fire({profile:h,join(D){m.push(D)}});try{await Promise.allSettled(m)}catch(D){this.y.error(D)}for(const D of[...this.C.emptyWindows.keys()])h.id===this.C.emptyWindows.get(D)?.id&&this.C.emptyWindows.delete(D);for(const D of[...this.C.workspaces.keys()])h.id===this.C.workspaces.get(D)?.id&&this.C.workspaces.delete(D);this.M(),this.I([],[h],[]);try{await this.u.del(h.cacheHome,{recursive:!0})}catch(D){(0,S.$Sk)(D)!==1&&this.y.error(D)}}async setProfileForWorkspace(c,h){if(!this.f)throw new Error("Profiles are disabled in the current environment.");const m=this.profiles.find(D=>D.id===h.id);if(!m)throw new Error(`Profile '${h.name}' does not exist`);this.L(c,m)}unsetWorkspace(c,h){if(!this.f)throw new Error("Profiles are disabled in the current environment.");this.L(c,void 0,h)}async resetWorkspaces(){this.s.workspaces.clear(),this.s.emptyWindows.clear(),this.C.workspaces.clear(),this.C.emptyWindows.clear(),this.M(),this.n.fire()}async cleanUp(){if(this.f&&await this.u.exists(this.profilesHome)){const c=await this.u.resolve(this.profilesHome);await Promise.all((c.children||[]).filter(h=>h.isDirectory&&this.profiles.every(m=>!this.w.extUri.isEqual(m.location,h.resource))).map(h=>this.u.del(h.resource,{recursive:!0})))}}async cleanUpTransientProfiles(){if(!this.f)return;const c=this.s.profiles.filter(h=>!this.H(h));await Promise.allSettled(c.map(h=>this.removeProfile(h)))}getProfileForWorkspace(c){const h=this.G(c);return R.URI.isUri(h)?this.s.workspaces.get(h)??this.C.workspaces.get(h):this.s.emptyWindows.get(h)??this.C.emptyWindows.get(h)}G(c){return(0,b.$oi)(c)?c.uri:(0,b.$ti)(c)?c.configPath:c.id}H(c){return!!([...this.s.emptyWindows.values()].some(h=>this.w.extUri.isEqual(h.location,c.location))||[...this.s.workspaces.values()].some(h=>this.w.extUri.isEqual(h.location,c.location))||[...this.C.emptyWindows.values()].some(h=>this.w.extUri.isEqual(h.location,c.location))||[...this.C.workspaces.values()].some(h=>this.w.extUri.isEqual(h.location,c.location)))}I(c,h,m){const D=[...this.profiles,...c],g=[];this.s.profiles=[];for(let f of D)f.isDefault||h.some(y=>f.id===y.id)||(f=m.find(y=>f.id===y.id)??f,f.isTransient?this.s.profiles.push(f):g.push({location:f.location,name:f.name,shortName:f.shortName,icon:f.icon,useDefaultFlags:f.useDefaultFlags}));this.P(g),this.z=void 0,this.J(c,h,m)}J(c,h,m){this.h.fire({added:c,removed:h,updated:m,all:this.profiles})}L(c,h,m){m=h?.isTransient?!0:m,m||this.L(c,void 0,!0);const D=this.G(c),g=m?this.s:this.C;R.URI.isUri(D)?(g.workspaces.delete(D),h&&g.workspaces.set(D,h)):(g.emptyWindows.delete(D),h&&g.emptyWindows.set(D,h)),m||this.M()}M(){const c={};for(const[m,D]of this.C.workspaces.entries())c[m.toString()]=D.id;const h={};for(const[m,D]of this.C.emptyWindows.entries())h[m.toString()]=D.id;this.R({workspaces:c,emptyWindows:h}),this.z=void 0}N(c){const h={},m=this.D();if(c.workspaces)for(const[g,f]of Object.entries(c.workspaces)){const y=R.URI.parse(f);h[g]=this.w.extUri.isEqual(y,m.location)?m.id:this.w.extUri.basename(y)}const D={};if(c.emptyWindows)for(const[g,f]of Object.entries(c.emptyWindows)){const y=R.URI.parse(f);D[g]=this.w.extUri.isEqual(y,m.location)?m.id:this.w.extUri.basename(y)}return{workspaces:h,emptyWindows:D}}O(){return[]}P(c){throw new Error("not implemented")}Q(){return{}}R(c){throw new Error("not implemented")}S(){}};e.$el=d,e.$el=d=Je([Ve(0,v.$li),Ve(1,S.$Bk),Ve(2,k.$_k),Ve(3,C.$yj)],d);class u extends d{constructor(){super(...arguments),this.a=[],this.X={}}O(){return this.a}P(c){this.a=c}Q(){return this.X}R(c){this.X=c}}e.$fl=u}),define(Se[271],De([1,0,8,4,3,58,18,189,5,270]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kp=e.$Jp=e.$Ip=e.$Hp=e.$Gp=e.StorageTarget=e.StorageScope=e.WillSaveStateReason=e.$Fp=e.$Ep=e.$Dp=void 0,e.$Dp="__$__isNewStorageMarker",e.$Ep="__$__targetStorageMarker",e.$Fp=(0,v.$ei)("storageService");var M;(function(i){i[i.NONE=0]="NONE",i[i.SHUTDOWN=1]="SHUTDOWN"})(M||(e.WillSaveStateReason=M={}));var C;(function(i){i[i.APPLICATION=-1]="APPLICATION",i[i.PROFILE=0]="PROFILE",i[i.WORKSPACE=1]="WORKSPACE"})(C||(e.StorageScope=C={}));var b;(function(i){i[i.USER=0]="USER",i[i.MACHINE=1]="MACHINE"})(b||(e.StorageTarget=b={}));function E(i){const n=i.get(e.$Ep);if(n)try{return JSON.parse(n)}catch{}return Object.create(null)}e.$Gp=E;class k extends $.$Tc{static{this.a=60*1e3}constructor(n={flushInterval:k.a}){super(),this.m=n,this.b=this.B(new F.$8d),this.c=this.B(new F.$8d),this.onDidChangeTarget=this.c.event,this.f=this.B(new F.$5d),this.onWillSaveState=this.f.event,this.h=this.B(new I.$qh(()=>this.n(),this.m.flushInterval)),this.j=this.B(new $.$Uc),this.C=void 0,this.F=void 0,this.H=void 0}onDidChangeValue(n,r,a){return F.Event.filter(this.b.event,t=>t.scope===n&&(r===void 0||t.key===r),a)}n(){this.j.value=(0,I.$uh)(()=>{this.r()&&this.flush(),this.h.schedule()})}r(){return!0}t(){(0,$.$Oc)([this.j,this.h])}initialize(){return this.g||(this.g=(async()=>{(0,L.mark)("code/willInitStorage");try{await this.O()}finally{(0,L.mark)("code/didInitStorage")}this.h.schedule()})()),this.g}u(n,r){const{key:a,external:t}=r;if(a===e.$Ep){switch(n){case-1:this.H=void 0;break;case 0:this.F=void 0;break;case 1:this.C=void 0;break}this.c.fire({scope:n})}else this.b.fire({scope:n,key:a,target:this.J(n)[a],external:t})}w(n){this.f.fire({reason:n})}get(n,r,a){return this.P(r)?.get(n,a)}getBoolean(n,r,a){return this.P(r)?.getBoolean(n,a)}getNumber(n,r,a){return this.P(r)?.getNumber(n,a)}getObject(n,r,a){return this.P(r)?.getObject(n,a)}storeAll(n,r){this.y(()=>{for(const a of n)this.store(a.key,a.value,a.scope,a.target,r)})}store(n,r,a,t,d=!1){if((0,R.$2f)(r)){this.remove(n,a,d);return}this.y(()=>{this.z(n,a,t),this.P(a)?.set(n,r,d)})}remove(n,r,a=!1){this.y(()=>{this.z(n,r,void 0),this.P(r)?.delete(n,a)})}y(n){this.b.pause(),this.c.pause();try{n()}finally{this.b.resume(),this.c.resume()}}keys(n,r){const a=[],t=this.J(n);for(const d of Object.keys(t))t[d]===r&&a.push(d);return a}z(n,r,a,t=!1){const d=this.J(r);typeof a=="number"?d[n]!==a&&(d[n]=a,this.P(r)?.set(e.$Ep,JSON.stringify(d),t)):typeof d[n]=="number"&&(delete d[n],this.P(r)?.set(e.$Ep,JSON.stringify(d),t))}get D(){return this.C||(this.C=this.L(1)),this.C}get G(){return this.F||(this.F=this.L(0)),this.F}get I(){return this.H||(this.H=this.L(-1)),this.H}J(n){switch(n){case-1:return this.I;case 0:return this.G;default:return this.D}}L(n){const r=this.P(n);return r?E(r):Object.create(null)}isNew(n){return this.getBoolean(e.$Dp,n)===!0}async flush(n=M.NONE){this.f.fire({reason:n});const r=this.P(-1),a=this.P(0),t=this.P(1);switch(n){case M.NONE:await I.Promises.settled([r?.whenFlushed()??Promise.resolve(),a?.whenFlushed()??Promise.resolve(),t?.whenFlushed()??Promise.resolve()]);break;case M.SHUTDOWN:await I.Promises.settled([r?.flush(0)??Promise.resolve(),a?.flush(0)??Promise.resolve(),t?.flush(0)??Promise.resolve()]);break}}async log(){const n=this.P(-1)?.items??new Map,r=this.P(0)?.items??new Map,a=this.P(1)?.items??new Map;return o(n,r,a,this.Q(-1)??"",this.Q(0)??"",this.Q(1)??"")}async optimize(n){return await this.flush(),this.P(n)?.optimize()}async switch(n,r){return this.w(M.NONE),(0,S.$al)(n)?this.R(n,r):this.S(n,r)}M(n,r){return!(n.id===r.id||l(r)&&l(n))}N(n,r,a){this.y(()=>{const t=new Set;for(const[d,u]of n)t.add(d),r.get(d)!==u&&this.u(a,{key:d,external:!0});for(const[d]of r.items)t.has(d)||this.u(a,{key:d,external:!0})})}}e.$Hp=k;function l(i){return i.isDefault||!!i.useDefaultFlags?.globalState}e.$Ip=l;class p extends k{constructor(){super(),this.U=this.B(new w.$Bp(new w.$Cp,{hint:w.StorageHint.STORAGE_IN_MEMORY})),this.W=this.B(new w.$Bp(new w.$Cp,{hint:w.StorageHint.STORAGE_IN_MEMORY})),this.X=this.B(new w.$Bp(new w.$Cp,{hint:w.StorageHint.STORAGE_IN_MEMORY})),this.B(this.X.onDidChangeStorage(n=>this.u(1,n))),this.B(this.W.onDidChangeStorage(n=>this.u(0,n))),this.B(this.U.onDidChangeStorage(n=>this.u(-1,n)))}P(n){switch(n){case-1:return this.U;case 0:return this.W;default:return this.X}}Q(n){switch(n){case-1:return"inMemory (application)";case 0:return"inMemory (profile)";default:return"inMemory (workspace)"}}async O(){}async R(){}async S(){}r(){return!1}hasScope(n){return!1}}e.$Jp=p;async function o(i,n,r,a,t,d){const u=A=>{try{return JSON.parse(A)}catch{return A}},s=new Map,c=new Map;i.forEach((A,N)=>{s.set(N,A),c.set(N,u(A))});const h=new Map,m=new Map;n.forEach((A,N)=>{h.set(N,A),m.set(N,u(A))});const D=new Map,g=new Map;r.forEach((A,N)=>{D.set(N,A),g.set(N,u(A))}),console.group(a!==t?`Storage: Application (path: ${a})`:`Storage: Application & Profile (path: ${a}, default profile)`);const f=[];if(s.forEach((A,N)=>{f.push({key:N,value:A})}),console.table(f),console.groupEnd(),console.log(c),a!==t){console.group(`Storage: Profile (path: ${t}, profile specific)`);const A=[];h.forEach((N,U)=>{A.push({key:U,value:N})}),console.table(A),console.groupEnd(),console.log(m)}console.group(`Storage: Workspace (path: ${d})`);const y=[];D.forEach((A,N)=>{y.push({key:N,value:A})}),console.table(y),console.groupEnd(),console.log(g)}e.$Kp=o}),define(Se[110],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Dhc=void 0;class I{static{this.a=!1}constructor($){this.d=$,this.b=new Map,this.c=1}add($){const L=this.c++;return this.b.set(L,$),this.e(),L}get($,L){return this.b.has($)?this.b.get($)[L]:void 0}delete($){this.b.delete($),this.e()}e(){I.a&&console.log(`${this.d} cache size - ${this.b.size}`)}}e.$Dhc=I}),define(Se[59],De([1,0,16,23,5]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Jhc=e.$Ihc=void 0;class L{constructor(){this.a=new Set(Object.keys(I.Schemas)),this.b=new Map,this.extUri=new F.$Gg(w=>{const v=this.b.get(w.scheme);return!(v===void 0||v&1024)})}$acceptProviderInfos(w,v){v===null?this.b.delete(w.scheme):this.b.set(w.scheme,v)}isFreeScheme(w){return!this.b.has(w)&&!this.a.has(w)}getCapabilities(w){return this.b.get(w)}}e.$Ihc=L,e.$Jhc=(0,$.$ei)("IExtHostFileSystemInfo")}),define(Se[27],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uO=void 0,e.$uO=(0,I.$ei)("IExtHostInitDataService")}),define(Se[272],De([1,0,216,13,252,27]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Njc=void 0;let R=class extends $.$BP{constructor(v,S,M){const C=M.remote.isRemote?"remoteexthost":v?"workerexthost":"exthost",b=M.remote.isRemote?(0,I.localize)(0,null):v?(0,I.localize)(1,null):(0,I.localize)(2,null);super(S.createLogger(C,{name:b}))}};e.$Njc=R,e.$Njc=R=Je([Ve(1,F.$zj),Ve(2,L.$uO)],R)}),define(Se[273],De([1,0,8]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qic=e.$pic=void 0;class F{constructor(R,w,v){this.h=new Map,this.a=R,this.b=w,this.c=v,this.d=this.c.initializeExtensionStorage(this.b,this.a,Object.create(null)).then(S=>(this.f=S,this)),this.g=this.c.onDidChangeStorage(S=>{S.shared===this.b&&S.key===this.a&&(this.f=S.value)}),this.i=new I.$qh(()=>{const S=this.h;this.h=new Map,(async()=>{try{await this.c.setValue(this.b,this.a,this.f);for(const M of S.values())M.complete()}catch(M){for(const C of S.values())C.error(M)}})()},0)}keys(){return Object.entries(this.f??{}).filter(([,R])=>R!==void 0).map(([R])=>R)}get whenReady(){return this.d}get(R,w){let v=this.f[R];return typeof v>"u"&&(v=w),v}update(R,w){this.f[R]=w;const v=this.h.get(R);if(v!==void 0)return v.p;const S=new I.$Bh;return this.h.set(R,S),this.i.isScheduled()||this.i.schedule(),S.p}dispose(){this.g.dispose()}}e.$pic=F;class $ extends F{setKeysForSync(R){this.c.registerExtensionStorageKeysToSync({id:this.a,version:this.j.version},R)}constructor(R,w){super(R.identifier.value,!0,w),this.j=R}}e.$qic=$}),define(Se[274],De([1,0,4,2]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$djc=void 0;class ${constructor(R){this.c=R,this.a=new I.$5d,this.onDidSaveNotebookDocument=this.a.event,this.b=new I.$5d,this.onDidChangeNotebookDocument=this.b.event}$acceptModelChanged(R,w,v,S){const C=this.c.getNotebookDocument(F.URI.revive(R)).acceptModelChanged(w.value,v,S);this.b.fire(C)}$acceptDirtyStateChanged(R,w){this.c.getNotebookDocument(F.URI.revive(R)).acceptDirty(w)}$acceptModelSaved(R){const w=this.c.getNotebookDocument(F.URI.revive(R));this.a.fire(w.apiNotebook)}}e.$djc=$}),define(Se[20],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fO=e.$eO=void 0,e.$eO=(0,I.$ei)("IExtHostRpcService");class F{constructor(L){this.getProxy=L.getProxy.bind(L),this.set=L.set.bind(L),this.dispose=L.dispose.bind(L),this.assertRegistered=L.assertRegistered.bind(L),this.drain=L.drain.bind(L)}}e.$fO=F}),define(Se[275],De([1,0,25,4]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xic=void 0;class ${#e;constructor(R,w){this.b=new F.$5d,this.onDidChange=this.b.event,this.a=I.$wm.toKey(R.identifier),this.#e=w,this.#e.onDidChangePassword(v=>{v.extensionId===this.a&&this.b.fire({key:v.key})})}get(R){return this.#e.get(this.a,R)}store(R,w){return this.#e.store(this.a,R,w)}delete(R){return this.#e.delete(this.a,R)}}e.$xic=$}),define(Se[66],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1hc=e.$Zhc=void 0,e.$Zhc=(0,I.$ei)("IURITransformerService");class F{constructor(L){L?(this.transformIncoming=L.transformIncoming.bind(L),this.transformOutgoing=L.transformOutgoing.bind(L),this.transformOutgoingURI=L.transformOutgoingURI.bind(L),this.transformOutgoingScheme=L.transformOutgoingScheme.bind(L)):(this.transformIncoming=R=>R,this.transformOutgoing=R=>R,this.transformOutgoingURI=R=>R,this.transformOutgoingScheme=R=>R)}}e.$1hc=F}),define(Se[276],De([1,0,21]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$anb=e.$_mb=void 0;class F{constructor(){this.buffers=[]}add(v){let S=this.buffers.indexOf(v);return S<0&&(S=this.buffers.length,this.buffers.push(v)),S}}function $(w,v){if(v.serializeBuffersForPostMessage){const S=new F,C=JSON.stringify(w,(E,k)=>{if(k instanceof ArrayBuffer)return{$$vscode_array_buffer_reference$$:!0,index:S.add(k)};if(ArrayBuffer.isView(k)){const l=L(k);if(l)return{$$vscode_array_buffer_reference$$:!0,index:S.add(k.buffer),view:{type:l,byteLength:k.byteLength,byteOffset:k.byteOffset}}}return k}),b=S.buffers.map(E=>{const k=new Uint8Array(E);return I.$se.wrap(k)});return{message:C,buffers:b}}else return{message:JSON.stringify(w),buffers:[]}}e.$_mb=$;function L(w){switch(w.constructor.name){case"Int8Array":return 1;case"Uint8Array":return 2;case"Uint8ClampedArray":return 3;case"Int16Array":return 4;case"Uint16Array":return 5;case"Int32Array":return 6;case"Uint32Array":return 7;case"Float32Array":return 8;case"Float64Array":return 9;case"BigInt64Array":return 10;case"BigUint64Array":return 11}}function R(w,v){const S=v.map(b=>{const E=new ArrayBuffer(b.byteLength);return new Uint8Array(E).set(b.buffer),E}),M=v.length?(b,E)=>{if(E&&typeof E=="object"&&E.$$vscode_array_buffer_reference$$){const k=E,{index:l}=k,p=S[l];if(k.view)switch(k.view.type){case 1:return new Int8Array(p,k.view.byteOffset,k.view.byteLength/Int8Array.BYTES_PER_ELEMENT);case 2:return new Uint8Array(p,k.view.byteOffset,k.view.byteLength/Uint8Array.BYTES_PER_ELEMENT);case 3:return new Uint8ClampedArray(p,k.view.byteOffset,k.view.byteLength/Uint8ClampedArray.BYTES_PER_ELEMENT);case 4:return new Int16Array(p,k.view.byteOffset,k.view.byteLength/Int16Array.BYTES_PER_ELEMENT);case 5:return new Uint16Array(p,k.view.byteOffset,k.view.byteLength/Uint16Array.BYTES_PER_ELEMENT);case 6:return new Int32Array(p,k.view.byteOffset,k.view.byteLength/Int32Array.BYTES_PER_ELEMENT);case 7:return new Uint32Array(p,k.view.byteOffset,k.view.byteLength/Uint32Array.BYTES_PER_ELEMENT);case 8:return new Float32Array(p,k.view.byteOffset,k.view.byteLength/Float32Array.BYTES_PER_ELEMENT);case 9:return new Float64Array(p,k.view.byteOffset,k.view.byteLength/Float64Array.BYTES_PER_ELEMENT);case 10:return new BigInt64Array(p,k.view.byteOffset,k.view.byteLength/BigInt64Array.BYTES_PER_ELEMENT);case 11:return new BigUint64Array(p,k.view.byteOffset,k.view.byteLength/BigUint64Array.BYTES_PER_ELEMENT);default:throw new Error("Unknown array buffer view type")}return p}return E}:void 0;return{message:JSON.parse(w,M),arrayBuffers:S}}e.$anb=R}),define(Se[277],De([1,0,278,391,392,62,2,13,393]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jkc=void 0;const S=!1;function M(n,r,a,t,d,u){const s=u.environment.useHostProxy,c=typeof s=="boolean"?s:!u.remote.isRemote,h={resolveProxy:g=>n.resolveProxy(g),lookupProxyAuthorization:p.bind(void 0,t,d,r,{},u.remote.isRemote),getProxyURL:()=>r.getConfiguration("http").get("proxy"),getProxySupport:()=>r.getConfiguration("http").get("proxySupport")||"off",addCertificatesV1:()=>b(r),addCertificatesV2:()=>E(r),log:t,getLogLevel:()=>{const g=t.getLevel();switch(g){case w.LogLevel.Trace:return v.LogLevel.Trace;case w.LogLevel.Debug:return v.LogLevel.Debug;case w.LogLevel.Info:return v.LogLevel.Info;case w.LogLevel.Warning:return v.LogLevel.Warning;case w.LogLevel.Error:return v.LogLevel.Error;case w.LogLevel.Off:return v.LogLevel.Off;default:return f(g)}function f(y){return t.error("Unknown log level",y),v.LogLevel.Debug}},proxyResolveTelemetry:()=>{},useHostProxy:c,loadAdditionalCertificates:async()=>{const g=[];if(u.remote.isRemote&&g.push((0,v.loadSystemCertificates)({log:t})),c){t.trace("ProxyResolver#loadAdditionalCertificates: Loading certificates from main process");const f=n.loadCertificates();f.then(y=>t.trace("ProxyResolver#loadAdditionalCertificates: Loaded certificates from main process",y.length)),g.push(f)}return(await Promise.all(g)).flat()},env:process.env},m=(0,v.createProxyResolver)(h),D=C(h,m);return l(a,D)}e.$jkc=M;function C(n,r){return{http:Object.assign(I,(0,v.createHttpPatch)(n,I,r)),https:Object.assign(F,(0,v.createHttpPatch)(n,F,r)),net:Object.assign(L,(0,v.createNetPatch)(n,L)),tls:Object.assign($,(0,v.createTlsPatch)(n,$))}}function b(n){const r=n.getConfiguration("http");return!r.get("experimental.systemCertificatesV2",S)&&!!r.get("systemCertificates")}function E(n){const r=n.getConfiguration("http");return!!r.get("experimental.systemCertificatesV2",S)&&!!r.get("systemCertificates")}const k=new Map;function l(n,r){return n.getExtensionPathIndex().then(a=>{const t=globalThis._VSCODE_NODE_MODULES.module,d=t._load;t._load=function(s,c,h){if(s==="net")return r.net;if(s==="tls")return r.tls;if(s!=="http"&&s!=="https")return d.apply(this,arguments);const m=a.findSubstr(R.URI.file(c.filename));let D=k.get(m);if(D||k.set(m,D={}),!D[s]){const g=r[s];D[s]={...g}}return D[s]}})}async function p(n,r,a,t,d,u,s,c){const h=t[u];s&&(t[u]=s),n.trace("ProxyResolver#lookupProxyAuthorization callback",`proxyURL:${u}`,`proxyAuthenticate:${s}`,`proxyAuthenticateCache:${h}`);const m=s||h,D=Array.isArray(m)?m:typeof m=="string"?[m]:[];if(i(r,D,d),D.some(g=>/^(Negotiate|Kerberos)( |$)/i.test(g))&&!c.kerberosRequested)try{c.kerberosRequested=!0;const g=await new Promise((U,z)=>{me(["kerberos"],U,z)}),f=new URL(u),y=a.getConfiguration("http").get("proxyKerberosServicePrincipal")||(process.platform==="win32"?`HTTP/${f.hostname}`:`HTTP@${f.hostname}`);return n.debug("ProxyResolver#lookupProxyAuthorization Kerberos authentication lookup",`proxyURL:${u}`,`spn:${y}`),"Negotiate "+await(await g.initializeClient(y)).step("")}catch(g){n.error("ProxyResolver#lookupProxyAuthorization Kerberos authentication failed",g)}}let o=!1;function i(n,r,a){o||!r.length||(o=!0,n.$publicLog2("proxyAuthenticationRequest",{authenticationType:r.map(t=>t.split(" ")[0]).join(","),extensionHostType:a?"remote":"local"}))}}),define(Se[279],De([1,0,130]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bs=void 0;function F(L){return{transformIncoming:R=>R.scheme==="vscode-remote"?{scheme:"file",path:R.path,query:R.query,fragment:R.fragment}:R.scheme==="file"?{scheme:"vscode-local",path:R.path,query:R.query,fragment:R.fragment}:R,transformOutgoing:R=>R.scheme==="file"?{scheme:"vscode-remote",authority:L,path:R.path,query:R.query,fragment:R.fragment}:R.scheme==="vscode-local"?{scheme:"file",path:R.path,query:R.query,fragment:R.fragment}:R,transformOutgoingScheme:R=>R==="file"?"vscode-remote":R==="vscode-local"?"file":R}}function $(L){return new I.$dn(F(L))}e.$bs=$}),define(Se[139],De([1,0,226,18,2,3,5,37,32,16,40,181,39]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gF=e.$fF=e.$eF=e.EditorsOrder=e.$dF=e.CloseDirection=e.$cF=e.$bF=e.EditorCloseMethod=e.SideBySideEditor=e.GroupModelChangeKind=e.EditorCloseContext=e.$aF=e.$_E=e.$$E=e.$0E=e.$9E=e.$8E=e.$7E=e.$6E=e.EditorInputCapabilities=e.$5E=e.SaveReason=e.Verbosity=e.$4E=e.$3E=e.$2E=e.$1E=e.$ZE=e.$YE=e.$XE=e.$WE=e.EditorPaneSelectionCompareResult=e.EditorPaneSelectionChangeReason=e.$VE=e.$UE=e.$TE=e.$SE=e.$RE=void 0,e.$RE={EditorPane:"workbench.contributions.editors",EditorFactory:"workbench.contributions.editor.inputFactories"},e.$SE={id:"default",displayName:(0,I.localize)(0,null),providerDisplayName:(0,I.localize)(1,null)},e.$TE="workbench.editor.sidebysideEditor",e.$UE="workbench.editors.textDiffEditor",e.$VE="workbench.editors.binaryResourceDiffEditor";var E;(function(re){re[re.PROGRAMMATIC=1]="PROGRAMMATIC",re[re.USER=2]="USER",re[re.EDIT=3]="EDIT",re[re.NAVIGATION=4]="NAVIGATION",re[re.JUMP=5]="JUMP"})(E||(e.EditorPaneSelectionChangeReason=E={}));var k;(function(re){re[re.IDENTICAL=1]="IDENTICAL",re[re.SIMILAR=2]="SIMILAR",re[re.DIFFERENT=3]="DIFFERENT"})(k||(e.EditorPaneSelectionCompareResult=k={}));function l(re){const J=re;return!!J&&typeof J.getSelection=="function"&&!!J.onDidChangeSelection}e.$WE=l;function p(re,J,B){for(const se of B.visibleEditorPanes)if(se.group.id===J&&re.matches(se.input))return se.getViewState()}e.$XE=p;function o(re){if(m(re))return!1;const J=re;return $.URI.isUri(J?.resource)}e.$YE=o;function i(re){if(m(re))return!1;const J=re;return J?.original!==void 0&&J.modified!==void 0}e.$ZE=i;function n(re){if(m(re))return!1;const J=re;return!J||J.resources&&!Array.isArray(J.resources)?!1:!!J.resources||!!J.multiDiffSource}e.$1E=n;function r(re){if(m(re)||i(re))return!1;const J=re;return J?.primary!==void 0&&J.secondary!==void 0}e.$2E=r;function a(re){if(m(re))return!1;const J=re;return J?J.resource===void 0||J.resource.scheme===S.Schemas.untitled||J.forceUntitled===!0:!1}e.$3E=a;function t(re){if(m(re))return!1;const J=re;return $.URI.isUri(J?.base?.resource)&&$.URI.isUri(J?.input1?.resource)&&$.URI.isUri(J?.input2?.resource)&&$.URI.isUri(J?.result?.resource)}e.$4E=t;var d;(function(re){re[re.SHORT=0]="SHORT",re[re.MEDIUM=1]="MEDIUM",re[re.LONG=2]="LONG"})(d||(e.Verbosity=d={}));var u;(function(re){re[re.EXPLICIT=1]="EXPLICIT",re[re.AUTO=2]="AUTO",re[re.FOCUS_CHANGE=3]="FOCUS_CHANGE",re[re.WINDOW_CHANGE=4]="WINDOW_CHANGE"})(u||(e.SaveReason=u={}));class s{constructor(){this.a=new Map}registerSource(J,B){let se=this.a.get(J);return se||(se={source:J,label:B},this.a.set(J,se)),se.source}getSourceLabel(J){return this.a.get(J)?.label??J}}e.$5E=new s;var c;(function(re){re[re.None=0]="None",re[re.Readonly=2]="Readonly",re[re.Untitled=4]="Untitled",re[re.Singleton=8]="Singleton",re[re.RequiresTrust=16]="RequiresTrust",re[re.CanSplitInGroup=32]="CanSplitInGroup",re[re.ForceDescription=64]="ForceDescription",re[re.CanDropIntoEditor=128]="CanDropIntoEditor",re[re.MultipleEditors=256]="MultipleEditors",re[re.Scratchpad=512]="Scratchpad",re[re.AuxWindowUnsupported=1024]="AuxWindowUnsupported"})(c||(e.EditorInputCapabilities=c={}));class h extends L.$Tc{}e.$6E=h;function m(re){return re instanceof h}e.$7E=m;function D(re){const J=re;return $.URI.isUri(J?.preferredResource)}function g(re){const J=re;return m(J?.primary)&&m(J?.secondary)}e.$8E=g;function f(re){const J=re;return m(J?.modified)&&m(J?.original)}e.$9E=f;function y(re,J,B,se,Ee){return fe(se,[(0,C.$1i)({id:"workbench.action.openLargeFile",label:(0,I.localize)(2,null),run:()=>{const le={...B,limits:{size:Number.MAX_VALUE}};re.openEditor(J,le)}}),(0,C.$1i)({id:"workbench.action.configureEditorLargeFileConfirmation",label:(0,I.localize)(3,null),run:()=>Ee.openUserSettings({query:"workbench.editorLargeFileConfirmation"})})],{forceMessage:!0,forceSeverity:b.default.Warning})}e.$0E=y;function A(re){return m(re?.editor)}e.$$E=A;function N(re){const J=re;return A(re)&&J?.group!==void 0}e.$_E=N;function U(re){const J=re;return typeof J?.groupId=="number"&&m(J.editor)}e.$aF=U;var z;(function(re){re[re.UNKNOWN=0]="UNKNOWN",re[re.REPLACE=1]="REPLACE",re[re.MOVE=2]="MOVE",re[re.UNPIN=3]="UNPIN"})(z||(e.EditorCloseContext=z={}));var T;(function(re){re[re.GROUP_ACTIVE=0]="GROUP_ACTIVE",re[re.GROUP_INDEX=1]="GROUP_INDEX",re[re.GROUP_LABEL=2]="GROUP_LABEL",re[re.GROUP_LOCKED=3]="GROUP_LOCKED",re[re.EDITOR_OPEN=4]="EDITOR_OPEN",re[re.EDITOR_CLOSE=5]="EDITOR_CLOSE",re[re.EDITOR_MOVE=6]="EDITOR_MOVE",re[re.EDITOR_ACTIVE=7]="EDITOR_ACTIVE",re[re.EDITOR_LABEL=8]="EDITOR_LABEL",re[re.EDITOR_CAPABILITIES=9]="EDITOR_CAPABILITIES",re[re.EDITOR_PIN=10]="EDITOR_PIN",re[re.EDITOR_STICKY=11]="EDITOR_STICKY",re[re.EDITOR_DIRTY=12]="EDITOR_DIRTY",re[re.EDITOR_WILL_DISPOSE=13]="EDITOR_WILL_DISPOSE"})(T||(e.GroupModelChangeKind=T={}));var P;(function(re){re[re.PRIMARY=1]="PRIMARY",re[re.SECONDARY=2]="SECONDARY",re[re.BOTH=3]="BOTH",re[re.ANY=4]="ANY"})(P||(e.SideBySideEditor=P={}));class O{getOriginalUri(J,B){if(!J)return;if(t(J))return e.$cF.getOriginalUri(J.result,B);if(B?.supportSideBySide){const{primary:Ee,secondary:le}=this.a(J);if(Ee&&le){if(B?.supportSideBySide===P.BOTH)return{primary:this.getOriginalUri(Ee,{filterByScheme:B.filterByScheme}),secondary:this.getOriginalUri(le,{filterByScheme:B.filterByScheme})};if(B?.supportSideBySide===P.ANY)return this.getOriginalUri(Ee,{filterByScheme:B.filterByScheme})??this.getOriginalUri(le,{filterByScheme:B.filterByScheme});J=B.supportSideBySide===P.PRIMARY?Ee:le}}if(i(J)||n(J)||r(J)||t(J))return;const se=D(J)?J.preferredResource:J.resource;return!se||!B||!B.filterByScheme?se:this.b(se,B.filterByScheme)}a(J){return g(J)||r(J)?{primary:J.primary,secondary:J.secondary}:f(J)||i(J)?{primary:J.modified,secondary:J.original}:{primary:void 0,secondary:void 0}}getCanonicalUri(J,B){if(!J)return;if(t(J))return e.$cF.getCanonicalUri(J.result,B);if(B?.supportSideBySide){const{primary:Ee,secondary:le}=this.a(J);if(Ee&&le){if(B?.supportSideBySide===P.BOTH)return{primary:this.getCanonicalUri(Ee,{filterByScheme:B.filterByScheme}),secondary:this.getCanonicalUri(le,{filterByScheme:B.filterByScheme})};if(B?.supportSideBySide===P.ANY)return this.getCanonicalUri(Ee,{filterByScheme:B.filterByScheme})??this.getCanonicalUri(le,{filterByScheme:B.filterByScheme});J=B.supportSideBySide===P.PRIMARY?Ee:le}}if(i(J)||n(J)||r(J)||t(J))return;const se=J.resource;return!se||!B||!B.filterByScheme?se:this.b(se,B.filterByScheme)}b(J,B){if(Array.isArray(B)){if(B.some(se=>J.scheme===se))return J}else if(B===J.scheme)return J}}var j;(function(re){re[re.UNKNOWN=0]="UNKNOWN",re[re.KEYBOARD=1]="KEYBOARD",re[re.MOUSE=2]="MOUSE"})(j||(e.EditorCloseMethod=j={}));function K(re,J,B,se){if(!re.isSticky(J))return!1;switch(se.preventPinnedEditorClose){case"keyboardAndMouse":return B===j.MOUSE||B===j.KEYBOARD;case"mouse":return B===j.MOUSE;case"keyboard":return B===j.KEYBOARD}return!1}e.$bF=K,e.$cF=new O;var ie;(function(re){re[re.LEFT=0]="LEFT",re[re.RIGHT=1]="RIGHT"})(ie||(e.CloseDirection=ie={}));class _{constructor(){this.c=new Map,this.d=new Map}start(J){const B=this.a=J.get(R.$di);for(const[se,Ee]of this.c)this.e(se,Ee,B);this.c.clear()}e(J,B,se){const Ee=se.createInstance(B);this.d.set(J,Ee)}registerFileEditorFactory(J){if(this.b)throw new Error("Can only register one file editor factory.");this.b=J}getFileEditorFactory(){return(0,F.$4f)(this.b)}registerEditorSerializer(J,B){if(this.c.has(J)||this.d.has(J))throw new Error(`A editor serializer with type ID '${J}' was already registered.`);return this.a?this.e(J,B,this.a):this.c.set(J,B),(0,L.$Rc)(()=>{this.c.delete(J),this.d.delete(J)})}getEditorSerializer(J){return this.d.get(typeof J=="string"?J:J.typeId)}}w.$Tn.add(e.$RE.EditorFactory,new _);async function X(re,J,B){return!re||!re.length?[]:await Promise.all(re.map(async se=>{const Ee=$.URI.revive(se.fileUri);if(!Ee){B.info("Cannot resolve the path because it is not valid.",se);return}if(!await J.canHandleResource(Ee)){B.info("Cannot resolve the path because it cannot be handled",se);return}let he=se.exists,ce=se.type;if(typeof he!="boolean"||typeof ce!="number")try{ce=(await J.stat(Ee)).isDirectory?v.FileType.Directory:v.FileType.Unknown,he=!0}catch(H){B.error(H),he=!1}if(!he&&se.openOnlyIfExists){B.info("Cannot resolve the path because it does not exist",se);return}if(ce===v.FileType.Directory){B.info("Cannot resolve the path because it is a directory",se);return}const de={...se.options,pinned:!0};return he?{resource:Ee,options:de}:{resource:Ee,options:de,forceUntitled:!0}}))}e.$dF=X;var Y;(function(re){re[re.MOST_RECENTLY_ACTIVE=0]="MOST_RECENTLY_ACTIVE",re[re.SEQUENTIAL=1]="SEQUENTIAL"})(Y||(e.EditorsOrder=Y={}));function ae(re){const J=re;if(!J)return!1;const B=J;if(B.modified)return ae(B.modified);const se=J;return!!(se.contributionsState&&se.viewState&&Array.isArray(se.cursorState))}e.$eF=ae;function ee(re){return(0,M.$3i)(re)}e.$fF=ee;function fe(re,J,B){const se=(0,M.$4i)(re,J);return se.forceMessage=B?.forceMessage,se.forceSeverity=B?.forceSeverity,se.allowDialog=B?.allowDialog,se}e.$gF=fe}),define(Se[280],De([1,0,4,227,5,3,28,37,19,24,78,266]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oF=e.$nF=e.TreeItemCollapsibleState=e.ViewVisibilityState=e.$mF=e.ViewContentGroups=e.$lF=e.$kF=e.ViewContainerLocation=e.Extensions=e.$jF=e.$iF=e.$hF=void 0,e.$hF="views",e.$iF=(0,F.localize)(0,null),e.$jF=(0,C.$Jw)("default-view-icon",M.$kk.window,(0,F.localize)(1,null));var b;(function(d){d.ViewContainersRegistry="workbench.registry.view.containers",d.ViewsRegistry="workbench.registry.view"})(b||(e.Extensions=b={}));var E;(function(d){d[d.Sidebar=0]="Sidebar",d[d.Panel=1]="Panel",d[d.AuxiliaryBar=2]="AuxiliaryBar"})(E||(e.ViewContainerLocation=E={})),e.$kF=[0,1,2];function k(d){switch(d){case 0:return"sidebar";case 1:return"panel";case 2:return"auxiliarybar"}}e.$lF=k;class l extends L.$Tc{constructor(){super(...arguments),this.c=this.B(new I.$5d),this.onDidRegister=this.c.event,this.f=this.B(new I.$5d),this.onDidDeregister=this.f.event,this.g=new Map,this.h=[]}get all(){return(0,v.$Rb)([...this.g.values()])}registerViewContainer(u,s,c){const h=this.get(u.id);if(h)return h;const m=u;return m.openCommandActionDescriptor=c?.doNotRegisterOpenCommand?void 0:m.openCommandActionDescriptor??{id:m.id},(0,R.$xc)(this.g,s,[]).push(m),c?.isDefault&&this.h.push(m),this.c.fire({viewContainer:m,viewContainerLocation:s}),m}deregisterViewContainer(u){for(const s of this.g.keys()){const c=this.g.get(s),h=c?.indexOf(u);if(h!==-1){c?.splice(h,1),c.length===0&&this.g.delete(s),this.f.fire({viewContainer:u,viewContainerLocation:s});return}}}get(u){return this.all.filter(s=>s.id===u)[0]}getViewContainers(u){return[...this.g.get(u)||[]]}getViewContainerLocation(u){return[...this.g.keys()].filter(s=>this.getViewContainers(s).filter(c=>c?.id===u.id).length>0)[0]}getDefaultViewContainer(u){return this.h.find(s=>this.getViewContainerLocation(s)===u)}}w.$Tn.add(b.ViewContainersRegistry,new l);var p;(function(d){d.Open="2_open",d.Debug="4_debug",d.SCM="5_scm",d.More="9_more"})(p||(e.ViewContentGroups=p={}));function o(d,u){const s=d.group??p.More,c=u.group??p.More;return s!==c?s.localeCompare(c):(d.order??5)-(u.order??5)}class i extends L.$Tc{constructor(){super(...arguments),this.c=this.B(new I.$5d),this.onViewsRegistered=this.c.event,this.f=this.B(new I.$5d),this.onViewsDeregistered=this.f.event,this.g=this.B(new I.$5d),this.onDidChangeContainer=this.g.event,this.h=this.B(new I.$5d),this.onDidChangeViewWelcomeContent=this.h.event,this.j=[],this.m=new Map,this.n=new R.$Gc}registerViews(u,s){this.registerViews2([{views:u,viewContainer:s}])}registerViews2(u){u.forEach(({views:s,viewContainer:c})=>this.r(s,c)),this.c.fire(u)}deregisterViews(u,s){const c=this.s(u,s);c.length&&this.f.fire({views:c,viewContainer:s})}moveViews(u,s){for(const c of this.m.keys())if(c!==s){const h=this.s(u,c);h.length&&(this.r(h,s),this.g.fire({views:h,from:c,to:s}))}}getViews(u){return this.m.get(u)||[]}getView(u){for(const s of this.j){const c=(this.m.get(s)||[]).filter(h=>h.id===u)[0];if(c)return c}return null}getViewContainer(u){for(const s of this.j)if((this.m.get(s)||[]).filter(h=>h.id===u)[0])return s;return null}registerViewWelcomeContent(u,s){return this.n.add(u,s),this.h.fire(u),(0,L.$Rc)(()=>{this.n.delete(u,s),this.h.fire(u)})}registerViewWelcomeContent2(u,s){const c=new Map;for(const[h,m]of s)this.n.add(u,m),c.set(h,(0,L.$Rc)(()=>{this.n.delete(u,m),this.h.fire(u)}));return this.h.fire(u),c}getViewWelcomeContent(u){const s=[];return this.n.forEach(u,c=>s.push(c)),s.sort(o)}r(u,s){let c=this.m.get(s);c||(c=[],this.m.set(s,c),this.j.push(s));for(const h of u){if(this.getView(h.id)!==null)throw new Error((0,F.localize)(2,null,h.id));c.push(h)}}s(u,s){const c=this.m.get(s);if(!c)return[];const h=[],m=[];for(const D of c)u.includes(D)?h.push(D):m.push(D);return h.length&&(m.length?this.m.set(s,m):(this.m.delete(s),this.j.splice(this.j.indexOf(s),1))),h}}w.$Tn.add(b.ViewsRegistry,new i),e.$mF=(0,$.$ei)("viewDescriptorService");var n;(function(d){d[d.Default=0]="Default",d[d.Expand=1]="Expand"})(n||(e.ViewVisibilityState=n={}));var r;(function(d){d[d.None=0]="None",d[d.Collapsed=1]="Collapsed",d[d.Expanded=2]="Expanded"})(r||(e.TreeItemCollapsibleState=r={}));class a{constructor(u,s){this.c=!1,this.d=!1,(0,S.$Kn)(this,u),this.d=!!s,this.resolve=async c=>{if(s&&!this.c){const h=await s(c);h&&(this.tooltip=this.tooltip??h.tooltip,this.command=this.command??h.command)}c.isCancellationRequested||(this.c=!0)}}get hasResolve(){return this.d}resetResolve(){this.c=!1}asTreeItem(){return{handle:this.handle,parentHandle:this.parentHandle,collapsibleState:this.collapsibleState,label:this.label,description:this.description,icon:this.icon,iconDark:this.iconDark,themeIcon:this.themeIcon,resourceUri:this.resourceUri,tooltip:this.tooltip,contextValue:this.contextValue,command:this.command,children:this.children,accessibilityInformation:this.accessibilityInformation}}}e.$nF=a;class t extends Error{constructor(u){super((0,F.localize)(3,null,u)),this.name="NoTreeViewError"}static is(u){return u.name==="NoTreeViewError"}}e.$oF=t}),define(Se[281],De([1,0,2,29,5]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yF=e.$xF=e.ChatCopyKind=e.InteractiveSessionVoteDirection=e.$wF=e.$vF=void 0;function L(S){return!!S&&typeof S=="object"&&"uri"in S&&S.uri instanceof I.URI&&"version"in S&&typeof S.version=="number"&&"ranges"in S&&Array.isArray(S.ranges)&&S.ranges.every(F.$6s.isIRange)}e.$vF=L;function R(S){return!!S&&typeof S=="object"&&"documents"in S&&Array.isArray(S.documents)&&S.documents.every(L)}e.$wF=R;var w;(function(S){S[S.Down=0]="Down",S[S.Up=1]="Up"})(w||(e.InteractiveSessionVoteDirection=w={}));var v;(function(S){S[S.Action=1]="Action",S[S.Toolbar=2]="Toolbar"})(v||(e.ChatCopyKind=v={})),e.$xF=(0,$.$ei)("IChatService"),e.$yF="accessibility.voice.keywordActivation"}),define(Se[140],De([1,0,4,8,228]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fnb=void 0;class L{constructor(){this.f=new Map,this.m=[],this.n=new I.$5d,this.o=new I.$5d,this.d=1}get onError(){return this.n.event}get onExit(){return this.o.event}onMessage(w){this.k&&this.n.fire(new Error("attempt to set more than one 'Message' callback")),this.k=w}onEvent(w){this.j&&this.n.fire(new Error("attempt to set more than one 'Event' callback")),this.j=w}onRequest(w){this.g&&this.n.fire(new Error("attempt to set more than one 'Request' callback")),this.g=w}sendResponse(w){w.seq>0?this.n.fire(new Error(`attempt to send more than one response for command ${w.command}`)):this.u("response",w)}sendRequest(w,v,S,M){const C={command:w};if(v&&Object.keys(v).length>0&&(C.arguments=v),this.u("request",C),typeof M=="number"){const b=setTimeout(()=>{clearTimeout(b);const E=this.f.get(C.seq);if(E){this.f.delete(C.seq);const k={type:"response",seq:0,request_seq:C.seq,success:!1,command:w,message:(0,$.localize)(0,null,M,w)};E(k)}},M)}return S&&this.f.set(C.seq,S),C.seq}acceptMessage(w){this.k?this.k(w):(this.m.push(w),this.m.length===1&&this.s())}q(w,v){return w.type!=="event"||v.type!=="event"}async s(){let w;for(;this.m.length;){if((!w||this.q(this.m[0],w))&&await(0,F.$fh)(0),w=this.m.shift(),!w)return;switch(w.type){case"event":this.j?.(w);break;case"request":this.g?.(w);break;case"response":{const v=w,S=this.f.get(v.request_seq);S&&(this.f.delete(v.request_seq),S(v));break}}}}u(w,v){v.type=w,v.seq=this.d++,this.sendMessage(v)}async w(){if(this.f.size===0)return Promise.resolve();const w=new Map;this.f.forEach((v,S)=>w.set(S,v)),await(0,F.$fh)(500),w.forEach((v,S)=>{v({type:"response",seq:0,request_seq:S,success:!1,command:"canceled",message:"canceled"}),this.f.delete(S)})}getPendingRequestIds(){return Array.from(this.f.keys())}dispose(){this.m=[]}}e.$Fnb=L}),define(Se[282],De([1,0,2,229,45,5]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.IDebugVisualization=e.IDebugVisualizationTreeItem=e.DebugTreeItemCollapsibleState=e.DebugVisualizationType=e.BreakpointWidgetContext=e.$yI=e.DebuggerString=e.DebugConfigurationProviderTriggerKind=e.$xI=e.MemoryRangeType=e.$wI=e.State=e.$vI=e.$uI=e.$tI=e.$sI=e.$rI=e.$qI=e.$pI=e.$oI=e.$nI=e.$mI=e.$lI=e.$kI=e.$jI=e.$iI=e.$hI=e.$gI=e.$fI=e.$eI=e.$dI=e.$cI=e.$bI=e.$aI=e.$_H=e.$$H=e.$0H=e.$9H=e.$8H=e.$7H=e.$6H=e.$5H=e.$4H=e.$3H=e.$2H=e.$1H=e.$ZH=e.$YH=e.$XH=e.$WH=e.$VH=e.$UH=e.$TH=e.$SH=e.$RH=e.$QH=e.$PH=e.$OH=e.$NH=e.$MH=e.$LH=e.$KH=e.$JH=e.$IH=e.$HH=e.$GH=e.$FH=e.$EH=e.$DH=e.$CH=e.$BH=e.$AH=e.$zH=e.$yH=e.$xH=e.$wH=e.$vH=e.$uH=e.$tH=e.$sH=e.$rH=e.$qH=e.$pH=e.$oH=e.$nH=void 0,e.$nH="workbench.view.debug",e.$oH="workbench.debug.variablesView",e.$pH="workbench.debug.watchExpressionsView",e.$qH="workbench.debug.callStackView",e.$rH="workbench.debug.loadedScriptsView",e.$sH="workbench.debug.breakPointsView",e.$tH="workbench.debug.disassemblyView",e.$uH="workbench.panel.repl",e.$vH="workbench.panel.repl.view",e.$wH=new $.$vj("debugType",void 0,{type:"string",description:F.localize(0,null)}),e.$xH=new $.$vj("debugConfigurationType",void 0,{type:"string",description:F.localize(1,null)}),e.$yH=new $.$vj("debugState","inactive",{type:"string",description:F.localize(2,null)}),e.$zH="debugUx",e.$AH=new $.$vj(e.$zH,"default",{type:"string",description:F.localize(3,null)}),e.$BH=new $.$vj("hasDebugged",!1,{type:"boolean",description:F.localize(4,null)}),e.$CH=new $.$vj("inDebugMode",!1,{type:"boolean",description:F.localize(5,null)}),e.$DH=new $.$vj("inDebugRepl",!1,{type:"boolean",description:F.localize(6,null)}),e.$EH=new $.$vj("breakpointWidgetVisible",!1,{type:"boolean",description:F.localize(7,null)}),e.$FH=new $.$vj("inBreakpointWidget",!1,{type:"boolean",description:F.localize(8,null)}),e.$GH=new $.$vj("breakpointsFocused",!0,{type:"boolean",description:F.localize(9,null)}),e.$HH=new $.$vj("watchExpressionsFocused",!0,{type:"boolean",description:F.localize(10,null)}),e.$IH=new $.$vj("watchExpressionsExist",!1,{type:"boolean",description:F.localize(11,null)}),e.$JH=new $.$vj("variablesFocused",!0,{type:"boolean",description:F.localize(12,null)}),e.$KH=new $.$vj("expressionSelected",!1,{type:"boolean",description:F.localize(13,null)}),e.$LH=new $.$vj("breakpointInputFocused",!1,{type:"boolean",description:F.localize(14,null)}),e.$MH=new $.$vj("callStackItemType",void 0,{type:"string",description:F.localize(15,null)}),e.$NH=new $.$vj("callStackSessionIsAttach",!1,{type:"boolean",description:F.localize(16,null)}),e.$OH=new $.$vj("callStackItemStopped",!1,{type:"boolean",description:F.localize(17,null)}),e.$PH=new $.$vj("callStackSessionHasOneThread",!1,{type:"boolean",description:F.localize(18,null)}),e.$QH=new $.$vj("watchItemType",void 0,{type:"string",description:F.localize(19,null)}),e.$RH=new $.$vj("canViewMemory",void 0,{type:"boolean",description:F.localize(20,null)}),e.$SH=new $.$vj("breakpointItemType",void 0,{type:"string",description:F.localize(21,null)}),e.$TH=new $.$vj("breakpointHasModes",!1,{type:"boolean",description:F.localize(22,null)}),e.$UH=new $.$vj("breakpointSupportsCondition",!1,{type:"boolean",description:F.localize(23,null)}),e.$VH=new $.$vj("loadedScriptsSupported",!1,{type:"boolean",description:F.localize(24,null)}),e.$WH=new $.$vj("loadedScriptsItemType",void 0,{type:"string",description:F.localize(25,null)}),e.$XH=new $.$vj("focusedSessionIsAttach",!1,{type:"boolean",description:F.localize(26,null)}),e.$YH=new $.$vj("focusedSessionIsNoDebug",!1,{type:"boolean",description:F.localize(27,null)}),e.$ZH=new $.$vj("stepBackSupported",!1,{type:"boolean",description:F.localize(28,null)}),e.$1H=new $.$vj("restartFrameSupported",!1,{type:"boolean",description:F.localize(29,null)}),e.$2H=new $.$vj("stackFrameSupportsRestart",!1,{type:"boolean",description:F.localize(30,null)}),e.$3H=new $.$vj("jumpToCursorSupported",!1,{type:"boolean",description:F.localize(31,null)}),e.$4H=new $.$vj("stepIntoTargetsSupported",!1,{type:"boolean",description:F.localize(32,null)}),e.$5H=new $.$vj("breakpointsExist",!1,{type:"boolean",description:F.localize(33,null)}),e.$6H=new $.$vj("debuggersAvailable",!1,{type:"boolean",description:F.localize(34,null)}),e.$7H=new $.$vj("debugExtensionAvailable",!0,{type:"boolean",description:F.localize(35,null)}),e.$8H=new $.$vj("debugProtocolVariableMenuContext",void 0,{type:"string",description:F.localize(36,null)}),e.$9H=new $.$vj("debugSetVariableSupported",!1,{type:"boolean",description:F.localize(37,null)}),e.$0H=new $.$vj("debugSetExpressionSupported",!1,{type:"boolean",description:F.localize(38,null)}),e.$$H=new $.$vj("breakWhenValueChangesSupported",!1,{type:"boolean",description:F.localize(39,null)}),e.$_H=new $.$vj("breakWhenValueIsAccessedSupported",!1,{type:"boolean",description:F.localize(40,null)}),e.$aI=new $.$vj("breakWhenValueIsReadSupported",!1,{type:"boolean",description:F.localize(41,null)}),e.$bI=new $.$vj("terminateDebuggeeSupported",!1,{type:"boolean",description:F.localize(42,null)}),e.$cI=new $.$vj("suspendDebuggeeSupported",!1,{type:"boolean",description:F.localize(43,null)}),e.$dI=new $.$vj("variableEvaluateNamePresent",!1,{type:"boolean",description:F.localize(44,null)}),e.$eI=new $.$vj("variableIsReadonly",!1,{type:"boolean",description:F.localize(45,null)}),e.$fI=new $.$vj("variableValue",!1,{type:"string",description:F.localize(46,null)}),e.$gI=new $.$vj("variableType",!1,{type:"string",description:F.localize(47,null)}),e.$hI=new $.$vj("variableName",!1,{type:"string",description:F.localize(48,null)}),e.$iI=new $.$vj("variableLanguage",!1,{type:"string",description:F.localize(49,null)}),e.$jI=new $.$vj("variableExtensionId",!1,{type:"string",description:F.localize(50,null)}),e.$kI=new $.$vj("exceptionWidgetVisible",!1,{type:"boolean",description:F.localize(51,null)}),e.$lI=new $.$vj("multiSessionRepl",!1,{type:"boolean",description:F.localize(52,null)}),e.$mI=new $.$vj("multiSessionDebug",!1,{type:"boolean",description:F.localize(53,null)}),e.$nI=new $.$vj("disassembleRequestSupported",!1,{type:"boolean",description:F.localize(54,null)}),e.$oI=new $.$vj("disassemblyViewFocus",!1,{type:"boolean",description:F.localize(55,null)}),e.$pI=new $.$vj("languageSupportsDisassembleRequest",!1,{type:"boolean",description:F.localize(56,null)}),e.$qI=new $.$vj("focusedStackFrameHasInstructionReference",!1,{type:"boolean",description:F.localize(57,null)});const R=o=>F.localize(58,null,o);e.$rI=R,e.$sI="editor.contrib.debug",e.$tI="editor.contrib.breakpoint",e.$uI="debug",e.$vI={enum:["neverOpen","openOnSessionStart","openOnFirstSessionStart"],default:"openOnFirstSessionStart",description:F.localize(59,null)};var w;(function(o){o[o.Inactive=0]="Inactive",o[o.Initializing=1]="Initializing",o[o.Stopped=2]="Stopped",o[o.Running=3]="Running"})(w||(e.State=w={}));function v(o){switch(o){case 1:return"initializing";case 2:return"stopped";case 3:return"running";default:return"inactive"}}e.$wI=v;var S;(function(o){o[o.Valid=0]="Valid",o[o.Unreadable=1]="Unreadable",o[o.Error=2]="Error"})(S||(e.MemoryRangeType=S={})),e.$xI="vscode-debug-memory";var M;(function(o){o[o.Initial=1]="Initial",o[o.Dynamic=2]="Dynamic"})(M||(e.DebugConfigurationProviderTriggerKind=M={}));var C;(function(o){o.UnverifiedBreakpoints="unverifiedBreakpoints"})(C||(e.DebuggerString=C={})),e.$yI=(0,L.$ei)("debugService");var b;(function(o){o[o.CONDITION=0]="CONDITION",o[o.HIT_COUNT=1]="HIT_COUNT",o[o.LOG_MESSAGE=2]="LOG_MESSAGE",o[o.TRIGGER_POINT=3]="TRIGGER_POINT"})(b||(e.BreakpointWidgetContext=b={}));var E;(function(o){o[o.Command=0]="Command",o[o.Tree=1]="Tree"})(E||(e.DebugVisualizationType=E={}));var k;(function(o){o[o.None=0]="None",o[o.Collapsed=1]="Collapsed",o[o.Expanded=2]="Expanded"})(k||(e.DebugTreeItemCollapsibleState=k={}));var l;(function(o){o.deserialize=i=>i,o.serialize=i=>i})(l||(e.IDebugVisualizationTreeItem=l={}));var p;(function(o){o.deserialize=i=>({id:i.id,name:i.name,iconPath:i.iconPath&&{light:I.URI.revive(i.iconPath.light),dark:I.URI.revive(i.iconPath.dark)},iconClass:i.iconClass,visualization:i.visualization}),o.serialize=i=>i})(p||(e.IDebugVisualization=p={}))}),define(Se[283],De([1,0,12,2,17,24,16,29,22,19]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$BG=e.$AG=e.$zG=e.$yG=e.$xG=e.$wG=e.$vG=e.$uG=e.$tG=e.$sG=e.$rG=e.$qG=e.$pG=void 0;const M=/{([^}]+)}/g;function C(D,g,f){return D.replace(M,function(y,A){return g&&A.length>0&&A[0]!=="_"?y:f&&f.hasOwnProperty(A)?f[A]:y})}e.$pG=C;function b(D){const g={};for(const f of Object.keys(D))f.startsWith("!")||(g[f]=D[f]);return g}e.$qG=b;function E(D){return D.configuration.request==="attach"&&!k(D)&&(!D.parentSession||E(D.parentSession))}e.$rG=E;function k(D){let g=D.configuration.type;if(g)return g==="vslsShare"&&(g=D.configuration.adapterProxy.configuration.type),(0,I.$jf)(g,"extensionhost")||(0,I.$jf)(g,"pwa-extensionhost")?D:D.parentSession?k(D.parentSession):void 0}e.$sG=k;function l(D){return D.type&&(D.label||D.program||D.runtime)}e.$tG=l;function p(D,g,f){let y,A=0;const N=/([^()\[\]{}<>\s+\-/%~#^;=|,`!]|\->)+/g;let U=null;for(;U=N.exec(D);){const z=U.index+1,T=z+U[0].length;if(z<=g&&T>=f){y=U[0],A=z;break}}if(y){const z=/\w+/g;let T=null;for(;(T=z.exec(y))&&!(T.index+1+A+T[0].length>=f););T&&(y=y.substring(0,z.lastIndex))}return y?{start:A,end:A+y.length-1}:{start:0,end:0}}e.$uG=p;async function o(D,g,f,y){if(D.evaluatableExpressionProvider.has(g)){const A=D.evaluatableExpressionProvider.ordered(g),N=(0,S.$Hb)(await Promise.all(A.map(async U=>{try{return await U.provideEvaluatableExpression(g,f,y??v.CancellationToken.None)}catch{return}})));if(N.length>0){let U=N[0].expression;const z=N[0].range;return U||(U=g.getLineContent(f.lineNumber).substring(z.startColumn-1,z.endColumn-1)),{range:z,matchingExpression:U}}}else{const A=g.getLineContent(f.lineNumber),{start:N,end:U}=p(A,f.column,f.column),z=A.substring(N-1,U);return{matchingExpression:z,range:new w.$6s(f.lineNumber,N,f.lineNumber,N+z.length)}}return null}e.$vG=o;const i=/^[a-zA-Z][a-zA-Z0-9\+\-\.]+:/;function n(D){return!!(D&&D.match(i))}e.$wG=n;function r(D){if(typeof D.path=="string"&&!(typeof D.sourceReference=="number"&&D.sourceReference>0)){if(n(D.path))return F.URI.parse(D.path);if((0,$.$ic)(D.path))return F.URI.file(D.path)}return D.path}function a(D){if(typeof D.path=="object"){const g=F.URI.revive(D.path);if(g)return g.scheme===R.Schemas.file?g.fsPath:g.toString()}return D.path}function t(D,g){const f=g?r:a,y=(0,L.$Hn)(D);return u(y,(A,N)=>{A&&N&&(N.path=f(N))}),y}e.$xG=t;function d(D,g){const f=g?r:a,y=(0,L.$Hn)(D);return u(y,(A,N)=>{!A&&N&&(N.path=f(N))}),y}e.$yG=d;function u(D,g){switch(D.type){case"event":{const f=D;switch(f.event){case"output":g(!1,f.body.source);break;case"loadedSource":g(!1,f.body.source);break;case"breakpoint":g(!1,f.body.breakpoint.source);break;default:break}break}case"request":{const f=D;switch(f.command){case"setBreakpoints":g(!0,f.arguments.source);break;case"breakpointLocations":g(!0,f.arguments.source);break;case"source":g(!0,f.arguments.source);break;case"gotoTargets":g(!0,f.arguments.source);break;case"launchVSCode":f.arguments.args.forEach(y=>g(!1,y));break;default:break}break}case"response":{const f=D;if(f.success&&f.body)switch(f.command){case"stackTrace":f.body.stackFrames.forEach(y=>g(!1,y.source));break;case"loadedSources":f.body.sources.forEach(y=>g(!1,y));break;case"scopes":f.body.scopes.forEach(y=>g(!1,y.source));break;case"setFunctionBreakpoints":f.body.breakpoints.forEach(y=>g(!1,y.source));break;case"setBreakpoints":f.body.breakpoints.forEach(y=>g(!1,y.source));break;case"disassemble":f.body?.instructions.forEach(A=>g(!1,A.location));break;default:break}break}}}function s(D){return D.filter(g=>!g.presentation?.hidden).sort((g,f)=>g.presentation?f.presentation?g.presentation.group?f.presentation.group?g.presentation.group!==f.presentation.group?g.presentation.group.localeCompare(f.presentation.group):c(g.presentation.order,f.presentation.order):-1:f.presentation.group?1:c(g.presentation.order,f.presentation.order):-1:f.presentation?1:0)}e.$zG=s;function c(D,g){return typeof D!="number"?typeof g!="number"?0:1:typeof g!="number"?-1:D-g}async function h(D,g){const f=D.getValue("debug.saveBeforeStart",{overrideIdentifier:g.activeTextEditorLanguageId});if(f!=="none"&&(await g.saveAll(),f==="allEditorsInActiveGroup")){const y=g.activeEditorPane;y&&y.input.resource?.scheme===R.Schemas.untitled&&await g.save({editor:y.input,groupId:y.group.id})}await D.reloadConfiguration()}e.$AG=h;const m=(D,g)=>!D||!g?D===g:D.name===g.name&&D.path===g.path&&D.sourceReference===g.sourceReference;e.$BG=m}),define(Se[284],De([1,0,51,62,24,17,11,12,31,230,140]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Xjc=e.$Wjc=e.$Vjc=e.$Ujc=e.$Tjc=void 0;class C extends M.$Fnb{static{this.a=`\r
\r
`}static{this.b=/\r?\n/}static{this.i=/: */}constructor(){super(),this.p=Buffer.allocUnsafe(0),this.r=-1}t(o,i){this.l=i,this.p=Buffer.allocUnsafe(0),this.r=-1,o.on("data",n=>this.v(n))}sendMessage(o){if(this.l){const i=JSON.stringify(o);this.l.write(`Content-Length: ${Buffer.byteLength(i,"utf8")}${C.a}${i}`,"utf8")}}v(o){for(this.p=Buffer.concat([this.p,o]);;){if(this.r>=0){if(this.p.length>=this.r){const i=this.p.toString("utf8",0,this.r);if(this.p=this.p.slice(this.r),this.r=-1,i.length>0)try{this.acceptMessage(JSON.parse(i))}catch(n){this.n.fire(new Error((n.message||n)+`
`+i))}continue}}else{const i=this.p.indexOf(C.a);if(i!==-1){const r=this.p.toString("utf8",0,i).split(C.b);for(const a of r){const t=a.split(C.i);t[0]==="Content-Length"&&(this.r=Number(t[1]))}this.p=this.p.slice(i+C.a.length);continue}}break}}}e.$Tjc=C;class b extends C{startSession(){return new Promise((o,i)=>{let n=!1;this.x=this.y(()=>{this.t(this.x,this.x),o(),n=!0}),this.x.on("close",()=>{n?this.n.fire(new Error("connection closed")):i(new Error("connection closed"))}),this.x.on("error",r=>{n?this.n.fire(r):i(r)})})}async stopSession(){await this.w(),this.x&&(this.x.end(),this.x=void 0)}}e.$Ujc=b;class E extends b{constructor(o){super(),this.z=o}y(o){return F.createConnection(this.z.port,this.z.host||"127.0.0.1",o)}}e.$Vjc=E;class k extends b{constructor(o){super(),this.z=o}y(o){return F.createConnection(this.z.path,o)}}e.$Wjc=k;class l extends C{constructor(o,i){super(),this.y=o,this.z=i}async startSession(){const o=this.y.command,i=this.y.args,n=this.y.options||{};try{if(o)if(L.$ic(o)){if(!await v.Promises.exists(o))throw new Error(S.localize(0,null,o))}else o.indexOf("/")<0&&o.indexOf("\\")<0;else throw new Error(S.localize(1,null,this.z));let r=process.env;if(n.env&&Object.keys(n.env).length>0&&(r=$.$Kn($.$Hn(process.env),n.env)),o==="node")if(Array.isArray(i)&&i.length>0){const a=!!process.env.ELECTRON_RUN_AS_NODE||!!process.versions.electron,t={env:r,execArgv:a?["-e","delete process.env.ELECTRON_RUN_AS_NODE;require(process.argv[1])"]:[],silent:!0};n.cwd&&(t.cwd=n.cwd);const d=I.fork(i[0],i.slice(1),t);if(!d.pid)throw new Error(S.localize(2,null,i[0]));this.x=d}else throw new Error(S.localize(3,null));else{const a={env:r};n.cwd&&(a.cwd=n.cwd),this.x=I.spawn(o,i,a)}this.x.on("error",a=>{this.n.fire(a)}),this.x.on("exit",(a,t)=>{this.o.fire(a)}),this.x.stdout.on("close",()=>{this.n.fire(new Error("read error"))}),this.x.stdout.on("error",a=>{this.n.fire(a)}),this.x.stdin.on("error",a=>{this.n.fire(a)}),this.x.stderr.resume(),this.t(this.x.stdout,this.x.stdin)}catch(r){this.n.fire(r)}}async stopSession(){return this.x?(await this.w(),R.$i?new Promise((o,i)=>{const n=I.exec(`taskkill /F /T /PID ${this.x.pid}`,function(r,a,t){if(r)return i(r)});n.on("exit",o),n.on("error",i)}):(this.x.kill("SIGTERM"),Promise.resolve(void 0))):Promise.resolve(void 0)}static A(o,i){if(!o)return;const n=Object.create(null);o.runtime&&(o.runtime.indexOf("./")===0?n.runtime=L.$jc(i,o.runtime):n.runtime=o.runtime),o.runtimeArgs&&(n.runtimeArgs=o.runtimeArgs),o.program&&(L.$ic(o.program)?n.program=o.program:n.program=L.$jc(i,o.program)),o.args&&(n.args=o.args);const r=o;return r.win&&(n.win=l.A(r.win,i)),r.winx86&&(n.winx86=l.A(r.winx86,i)),r.windows&&(n.windows=l.A(r.windows,i)),r.osx&&(n.osx=l.A(r.osx,i)),r.linux&&(n.linux=l.A(r.linux,i)),n}static platformAdapterExecutable(o,i){let n=Object.create(null);i=i.toLowerCase();for(const s of o)if(s.contributes){const c=s.contributes.debuggers;c&&c.length>0&&c.filter(h=>typeof h.type=="string"&&w.$jf(h.type,i)).forEach(h=>{const m=l.A(h,s.extensionLocation.fsPath);n=$.$Kn(n,m,s.isBuiltin)})}let r;R.$i&&!process.env.hasOwnProperty("PROCESSOR_ARCHITEW6432")?r=n.winx86||n.win||n.windows:R.$i?r=n.win||n.windows:R.$j?r=n.osx:R.$k&&(r=n.linux),r=r||n;const a=r.program||n.program,t=r.args||n.args,d=r.runtime||n.runtime,u=r.runtimeArgs||n.runtimeArgs;if(d)return{type:"executable",command:d,args:(u||[]).concat(typeof a=="string"?[a]:[]).concat(t||[])};if(a)return{type:"executable",command:a,args:t||[]}}}e.$Xjc=l}),define(Se[285],De([1,0,51,34,11]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zjc=e.$Yjc=void 0;function L(S,M){return new Promise((C,b)=>{let E="";const k=I.spawn(S,M);k.pid&&k.stdout.on("data",l=>{E+=l.toString()}),k.on("error",l=>{b(l)}),k.on("close",l=>{C(E)})})}async function R(S){if(S)if($.$i){const M=await new Promise((C,b)=>{me(["@vscode/windows-process-tree"],C,b)});return new Promise(C=>{M.getProcessTree(S,b=>{C(!!b&&b.children.length>0)})})}else return L("/usr/bin/pgrep",["-lP",String(S)]).then(M=>{const C=M.trim();return!(C.length===0||C.indexOf(" tmux")>=0)},M=>!0);return Promise.resolve(!0)}e.$Yjc=R;var w;(function(S){S[S.cmd=0]="cmd",S[S.powershell=1]="powershell",S[S.bash=2]="bash"})(w||(w={}));function v(S,M,C,b,E){S=S.trim().toLowerCase();let k;S.indexOf("powershell")>=0||S.indexOf("pwsh")>=0?k=1:S.indexOf("cmd.exe")>=0?k=0:S.indexOf("bash")>=0?k=2:$.$i?k=0:k=2;let l,p=" ";switch(k){case 1:if(l=o=>(o=o.replace(/\'/g,"''"),o.length>0&&o.charAt(o.length-1)==="\\"?`'${o}\\'`:`'${o}'`),b){const o=(0,F.$kg)(b);o&&(p+=`${o}:; `),p+=`cd ${l(b)}; `}if(E)for(const o in E){const i=E[o];i===null?p+=`Remove-Item env:${o}; `:p+=`\${env:${o}}='${i}'; `}if(M.length>0){const o=M.shift(),i=C?o:l(o);p+=i[0]==="'"?`& ${i} `:`${i} `;for(const n of M)p+=n==="<"||n===">"||C?n:l(n),p+=" "}break;case 0:if(l=o=>(o=o.replace(/\"/g,'""'),o=o.replace(/([><!^&|])/g,"^$1"),' "'.split("").some(i=>o.includes(i))||o.length===0?`"${o}"`:o),b){const o=(0,F.$kg)(b);o&&(p+=`${o}: && `),p+=`cd ${l(b)} && `}if(E){p+='cmd /C "';for(const o in E){let i=E[o];i===null?p+=`set "${o}=" && `:(i=i.replace(/[&^|<>]/g,n=>`^${n}`),p+=`set "${o}=${i}" && `)}}for(const o of M)p+=o==="<"||o===">"||C?o:l(o),p+=" ";E&&(p+='"');break;case 2:{l=i=>(i=i.replace(/(["'\\\$!><#()\[\]*&^| ;{}?`])/g,"\\$1"),i.length===0?'""':i);const o=i=>/[^\w@%\/+=,.:^-]/.test(i)?`'${i.replace(/'/g,"'\\''")}'`:i;if(b&&(p+=`cd ${l(b)} ; `),E){p+="/usr/bin/env";for(const i in E){const n=E[i];n===null?p+=` -u ${o(i)}`:p+=` ${o(`${i}=${n}`)}`}p+=" "}for(const i of M)p+=i==="<"||i===">"||C?i:l(i),p+=" ";break}}return p}e.$Zjc=v}),define(Se[286],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7J=e.CellExecutionUpdateType=void 0;var F;(function($){$[$.Output=1]="Output",$[$.OutputItems=2]="OutputItems",$[$.ExecutionState=3]="ExecutionState"})(F||(e.CellExecutionUpdateType=F={})),e.$7J=(0,I.$ei)("INotebookExecutionService")}),define(Se[287],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$2gb=e.$1gb=e.ProxyKernelState=e.$Zgb=void 0,e.$Zgb=100;var F;(function($){$[$.Disconnected=1]="Disconnected",$[$.Connected=2]="Connected",$[$.Initializing=3]="Initializing"})(F||(e.ProxyKernelState=F={})),e.$1gb=(0,I.$ei)("INotebookKernelService"),e.$2gb=(0,I.$ei)("INotebookKernelHistoryService")}),define(Se[288],De([1,0,3,29,194,99]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mTb=void 0;class R extends I.$Tc{constructor(v,S,M){super(),this._source=v,this.b=S,this.c=M,this.a=void 0}f(v){const S=v.getLineCount();return new F.$6s(1,1,S,this.g(v,S))}g(v,S){if(S<1||S>v.getLineCount())throw new Error("Illegal value for lineNumber");return v.getLineLength(S)+1}get inputTextBuffer(){if(!this.b){const v=new $.$oC;v.acceptChunk(this._source);const S=v.finish(!0),{textBuffer:M,disposable:C}=S.create(1);this.b=M,this.B(C)}return this.b}get outputTextBuffers(){return this.a||(this.a=this.c.map(v=>{const S=new $.$oC;S.acceptChunk(v);const M=S.finish(!0),{textBuffer:C,disposable:b}=M.create(1);return this.B(b),C})),this.a}findInInputs(v){const M=new L.$cC(v,!1,!1,null).parseSearchRequest();if(!M)return[];const C=this.f(this.inputTextBuffer);return this.inputTextBuffer.findMatchesLineByLine(C,M,!0,5e3)}findInOutputs(v){const M=new L.$cC(v,!1,!1,null).parseSearchRequest();return M?this.outputTextBuffers.map(C=>{const b=C.findMatchesLineByLine(this.f(C),M,!0,5e3);if(b.length!==0)return{textBuffer:C,matches:b}}).filter(C=>!!C):[]}}e.$mTb=R}),define(Se[67],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$QK=e.TestPosition=e.TestIdPathParts=void 0;var I;(function(L){L.Delimiter="\0"})(I||(e.TestIdPathParts=I={}));var F;(function(L){L[L.IsSame=0]="IsSame",L[L.Disconnected=1]="Disconnected",L[L.IsChild=2]="IsChild",L[L.IsParent=3]="IsParent"})(F||(e.TestPosition=F={}));class ${static fromExtHostTestItem(R,w,v=R.parent){if(R._isRoot)return new $([w]);const S=[R.id];for(let M=v;M&&M.id!==w;M=M.parent)S.push(M.id);return S.push(w),new $(S.reverse())}static isRoot(R){return!R.includes("\0")}static root(R){const w=R.indexOf("\0");return w===-1?R:R.slice(0,w)}static fromString(R){return new $(R.split("\0"))}static join(R,w){return new $([...R.path,w])}static joinToString(R,w){return R.toString()+"\0"+w}static parentId(R){const w=R.lastIndexOf("\0");return w===-1?void 0:R.slice(0,w)}static localId(R){const w=R.lastIndexOf("\0");return w===-1?R:R.slice(w+1)}static isChild(R,w){return w.startsWith(R)&&w[R.length]==="\0"}static compare(R,w){return R===w?0:$.isChild(R,w)?2:$.isChild(w,R)?3:1}constructor(R,w=R.length){if(this.path=R,this.d=w,R.length===0||w<1)throw new Error("cannot create test with empty path")}get rootId(){return new $(this.path,1)}get parentId(){return this.d>1?new $(this.path,this.d-1):void 0}get localId(){return this.path[this.d-1]}get controllerId(){return this.path[0]}get isRoot(){return this.d===1}*idsFromRoot(){for(let R=1;R<=this.d;R++)yield new $(this.path,R)}*idsToRoot(){for(let R=this.d;R>0;R--)yield new $(this.path,R)}compare(R){if(typeof R=="string")return $.compare(this.toString(),R);for(let w=0;w<R.d&&w<this.d;w++)if(R.path[w]!==this.path[w])return 1;return R.d>this.d?2:R.d<this.d?3:0}toJSON(){return this.toString()}toString(){if(!this.c){this.c=this.path[0];for(let R=1;R<this.d;R++)this.c+="\0",this.c+=this.path[R]}return this.c}}e.$QK=$}),define(Se[89],De([1,0,2,49,29,67]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$YK=e.TestsDiffOp=e.TestDiffOpType=e.IStatementCoverage=e.IDeclarationCoverage=e.IBranchCoverage=e.CoverageDetails=e.DetailType=e.$XK=e.IFileCoverage=e.ICoveredCount=e.TestResultItem=e.$WK=e.ITestItemUpdate=e.InternalTestItem=e.TestItemExpandState=e.ITestItem=e.$VK=e.$UK=e.ITestTaskState=e.ITestMessage=e.ITestOutputMessage=e.$TK=e.ITestErrorMessage=e.TestMessageType=e.IRichLocation=e.$SK=e.$RK=e.TestRunProfileBitset=e.ExtTestRunProfileKind=e.TestResultState=void 0;var R;(function(P){P[P.Unset=0]="Unset",P[P.Queued=1]="Queued",P[P.Running=2]="Running",P[P.Passed=3]="Passed",P[P.Failed=4]="Failed",P[P.Skipped=5]="Skipped",P[P.Errored=6]="Errored"})(R||(e.TestResultState=R={}));var w;(function(P){P[P.Run=1]="Run",P[P.Debug=2]="Debug",P[P.Coverage=3]="Coverage"})(w||(e.ExtTestRunProfileKind=w={}));var v;(function(P){P[P.Run=2]="Run",P[P.Debug=4]="Debug",P[P.Coverage=8]="Coverage",P[P.HasNonDefaultProfile=16]="HasNonDefaultProfile",P[P.HasConfigurable=32]="HasConfigurable",P[P.SupportsContinuousRun=64]="SupportsContinuousRun"})(v||(e.TestRunProfileBitset=v={})),e.$RK=[2,4,8,16,32,64];const S=P=>"runId"in P;e.$SK=S;var M;(function(P){P.serialize=O=>({range:O.range.toJSON(),uri:O.uri.toJSON()}),P.deserialize=(O,j)=>({range:$.$6s.lift(j.range),uri:O.asCanonicalUri(I.URI.revive(j.uri))})})(M||(e.IRichLocation=M={}));var C;(function(P){P[P.Error=0]="Error",P[P.Output=1]="Output"})(C||(e.TestMessageType=C={}));var b;(function(P){P.serialize=O=>({message:O.message,type:0,expected:O.expected,actual:O.actual,contextValue:O.contextValue,location:O.location&&M.serialize(O.location)}),P.deserialize=(O,j)=>({message:j.message,type:0,expected:j.expected,actual:j.actual,contextValue:j.contextValue,location:j.location&&M.deserialize(O,j.location)})})(b||(e.ITestErrorMessage=b={}));const E=(P,O)=>`${O?"s":"e"}${P}`;e.$TK=E;var k;(function(P){P.serialize=O=>({message:O.message,type:1,offset:O.offset,length:O.length,location:O.location&&M.serialize(O.location)}),P.deserialize=(O,j)=>({message:j.message,type:1,offset:j.offset,length:j.length,location:j.location&&M.deserialize(O,j.location)})})(k||(e.ITestOutputMessage=k={}));var l;(function(P){P.serialize=O=>O.type===0?b.serialize(O):k.serialize(O),P.deserialize=(O,j)=>j.type===0?b.deserialize(O,j):k.deserialize(O,j)})(l||(e.ITestMessage=l={}));var p;(function(P){P.serializeWithoutMessages=O=>({state:O.state,duration:O.duration,messages:[]}),P.serialize=O=>({state:O.state,duration:O.duration,messages:O.messages.map(l.serialize)}),P.deserialize=(O,j)=>({state:j.state,duration:j.duration,messages:j.messages.map(K=>l.deserialize(O,K))})})(p||(e.ITestTaskState=p={}));const o="\0",i=(P,O)=>P+o+O;e.$UK=i;const n=P=>{const O=P.indexOf(o);return{ctrlId:P.slice(0,O),tagId:P.slice(O+1)}};e.$VK=n;var r;(function(P){P.serialize=O=>({extId:O.extId,label:O.label,tags:O.tags,busy:O.busy,children:void 0,uri:O.uri?.toJSON(),range:O.range?.toJSON()||null,description:O.description,error:O.error,sortText:O.sortText}),P.deserialize=(O,j)=>({extId:j.extId,label:j.label,tags:j.tags,busy:j.busy,children:void 0,uri:j.uri?O.asCanonicalUri(I.URI.revive(j.uri)):void 0,range:j.range?$.$6s.lift(j.range):null,description:j.description,error:j.error,sortText:j.sortText})})(r||(e.ITestItem=r={}));var a;(function(P){P[P.NotExpandable=0]="NotExpandable",P[P.Expandable=1]="Expandable",P[P.BusyExpanding=2]="BusyExpanding",P[P.Expanded=3]="Expanded"})(a||(e.TestItemExpandState=a={}));var t;(function(P){P.serialize=O=>({expand:O.expand,item:r.serialize(O.item)}),P.deserialize=(O,j)=>({controllerId:L.$QK.root(j.item.extId),expand:j.expand,item:r.deserialize(O,j.item)})})(t||(e.InternalTestItem=t={}));var d;(function(P){P.serialize=O=>{let j;return O.item&&(j={},O.item.label!==void 0&&(j.label=O.item.label),O.item.tags!==void 0&&(j.tags=O.item.tags),O.item.busy!==void 0&&(j.busy=O.item.busy),O.item.uri!==void 0&&(j.uri=O.item.uri?.toJSON()),O.item.range!==void 0&&(j.range=O.item.range?.toJSON()),O.item.description!==void 0&&(j.description=O.item.description),O.item.error!==void 0&&(j.error=O.item.error),O.item.sortText!==void 0&&(j.sortText=O.item.sortText)),{extId:O.extId,expand:O.expand,item:j}},P.deserialize=O=>{let j;return O.item&&(j={},O.item.label!==void 0&&(j.label=O.item.label),O.item.tags!==void 0&&(j.tags=O.item.tags),O.item.busy!==void 0&&(j.busy=O.item.busy),O.item.range!==void 0&&(j.range=O.item.range?$.$6s.lift(O.item.range):null),O.item.description!==void 0&&(j.description=O.item.description),O.item.error!==void 0&&(j.error=O.item.error),O.item.sortText!==void 0&&(j.sortText=O.item.sortText)),{extId:O.extId,expand:O.expand,item:j}}})(d||(e.ITestItemUpdate=d={}));const u=(P,O)=>{O.expand!==void 0&&(P.expand=O.expand),O.item!==void 0&&(P.item=P.item?Object.assign(P.item,O.item):O.item)};e.$WK=u;var s;(function(P){P.serializeWithoutMessages=O=>({...t.serialize(O),ownComputedState:O.ownComputedState,computedState:O.computedState,tasks:O.tasks.map(p.serializeWithoutMessages)}),P.serialize=O=>({...t.serialize(O),ownComputedState:O.ownComputedState,computedState:O.computedState,tasks:O.tasks.map(p.serialize)}),P.deserialize=(O,j)=>({...t.deserialize(O,j),ownComputedState:j.ownComputedState,computedState:j.computedState,tasks:j.tasks.map(K=>p.deserialize(O,K)),retired:!0})})(s||(e.TestResultItem=s={}));var c;(function(P){P.empty=()=>({covered:0,total:0}),P.sum=(O,j)=>{O.covered+=j.covered,O.total+=j.total}})(c||(e.ICoveredCount=c={}));var h;(function(P){P.serialize=O=>({statement:O.statement,branch:O.branch,declaration:O.declaration,details:O.details?.map(f.serialize),uri:O.uri.toJSON()}),P.deserialize=(O,j)=>({statement:j.statement,branch:j.branch,declaration:j.declaration,details:j.details?.map(f.deserialize),uri:O.asCanonicalUri(I.URI.revive(j.uri))})})(h||(e.IFileCoverage=h={}));function m(P){return{...P,location:P.location?.toJSON()}}function D(P){return P.location=P.location?F.$5s.isIPosition(P.location)?F.$5s.lift(P.location):$.$6s.lift(P.location):void 0,P}e.$XK=3;var g;(function(P){P[P.Declaration=0]="Declaration",P[P.Statement=1]="Statement",P[P.Branch=2]="Branch"})(g||(e.DetailType=g={}));var f;(function(P){P.serialize=O=>O.type===0?A.serialize(O):N.serialize(O),P.deserialize=O=>O.type===0?A.deserialize(O):N.deserialize(O)})(f||(e.CoverageDetails=f={}));var y;(function(P){P.serialize=m,P.deserialize=D})(y||(e.IBranchCoverage=y={}));var A;(function(P){P.serialize=m,P.deserialize=D})(A||(e.IDeclarationCoverage=A={}));var N;(function(P){P.serialize=O=>({...m(O),branches:O.branches?.map(y.serialize)}),P.deserialize=O=>({...D(O),branches:O.branches?.map(y.deserialize)})})(N||(e.IStatementCoverage=N={}));var U;(function(P){P[P.Add=0]="Add",P[P.Update=1]="Update",P[P.DocumentSynced=2]="DocumentSynced",P[P.Remove=3]="Remove",P[P.IncrementPendingExtHosts=4]="IncrementPendingExtHosts",P[P.Retire=5]="Retire",P[P.AddTag=6]="AddTag",P[P.RemoveTag=7]="RemoveTag"})(U||(e.TestDiffOpType=U={}));var z;(function(P){P.deserialize=(O,j)=>j.op===0?{op:j.op,item:t.deserialize(O,j.item)}:j.op===1?{op:j.op,item:d.deserialize(j.item)}:j.op===2?{op:j.op,uri:O.asCanonicalUri(I.URI.revive(j.uri)),docv:j.docv}:j,P.serialize=O=>O.op===0?{op:O.op,item:t.serialize(O.item)}:O.op===1?{op:O.op,item:d.serialize(O.item)}:O})(z||(e.TestsDiffOp=z={}));class T{constructor(O){this.k=O,this.c=new Map,this.f=new Map,this.g=new Set,this.h=0,this.j=0,this.tags=this.c}apply(O){const j=this.v();for(const K of O)switch(K.op){case 0:this.l(t.deserialize(this.k,K.item),j);break;case 1:this.o(d.deserialize(K.item),j);break;case 3:this.p(K.itemId,j);break;case 5:this.q(K.itemId);break;case 4:this.updatePendingRoots(K.amount);break;case 6:this.c.set(K.tag.id,K.tag);break;case 7:this.c.delete(K.id);break}j.complete?.()}l(O,j){const K=L.$QK.parentId(O.item.extId)?.toString();let ie;if(!K)ie=this.w(O),this.g.add(ie),this.f.set(O.item.extId,ie);else if(this.f.has(K)){const _=this.f.get(K);_.children.add(O.item.extId),ie=this.w(O,_),this.f.set(O.item.extId,ie)}else{console.error(`Test with unknown parent ID: ${JSON.stringify(O)}`);return}return j.add?.(ie),O.expand===2&&this.h++,ie}o(O,j){const K=this.f.get(O.extId);if(K)return O.expand!==void 0&&(K.expand===2&&this.h--,O.expand===2&&this.h++),(0,e.$WK)(K,O),j.update?.(K),K}p(O,j){const K=this.f.get(O);if(!K)return;const ie=L.$QK.parentId(K.item.extId)?.toString();ie?this.f.get(ie).children.delete(K.item.extId):this.g.delete(K);const _=[[O]];for(;_.length;)for(const X of _.pop()){const Y=this.f.get(X);Y&&(_.push(Y.children),this.f.delete(X),j.remove?.(Y,Y!==K),Y.expand===2&&this.h--)}}q(O){}updatePendingRoots(O){this.j+=O}v(){return{}}}e.$YK=T}),define(Se[111],De([1,0,8,4,3,61,89,67]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$N=e.$0N=e.$9N=e.$8N=e.$7N=e.TestItemEventOp=void 0;var v;(function(i){i[i.Upsert=0]="Upsert",i[i.SetTags=1]="SetTags",i[i.UpdateCanResolveChildren=2]="UpdateCanResolveChildren",i[i.RemoveChild=3]="RemoveChild",i[i.SetProp=4]="SetProp",i[i.Bulk=5]="Bulk",i[i.DocumentSynced=6]="DocumentSynced"})(v||(e.TestItemEventOp=v={}));const S=(i,n)=>i===n,C=Object.entries({range:(i,n)=>i===n?!0:!i||!n?!1:i.equalsRange(n),busy:S,label:S,description:S,error:S,sortText:S,tags:(i,n)=>!(i.length!==n.length||i.some(r=>!n.includes(r)))}),b=(i,n)=>{let r;for(const[a,t]of C)t(i[a],n[a])||(r?r[a]=n[a]:r={[a]:n[a]});return r};class E extends $.$Tc{get root(){return this.s.root}constructor(n){super(),this.s=n,this.f=this.B(new I.$qh(()=>this.flushDiff(),200)),this.g=this.B(new F.$5d),this.tree=new Map,this.j=new Map,this.m=[],this.onDidGenerateDiff=this.g.event,this.root.canResolveChildren=!0,this.z(this.root,void 0)}set resolveHandler(n){this.h=n;for(const r of this.tree.values())this.J(r)}get resolveHandler(){return this.h}collectDiff(){const n=this.m;return this.m=[],n}pushDiff(n){switch(n.op){case 2:{for(const r of this.m)if(r.op===2&&r.uri===n.uri){r.docv=n.docv;return}break}case 1:{const r=this.m[this.m.length-1];if(r){if(r.op===1&&r.item.extId===n.item.extId){(0,R.$WK)(r.item,n.item);return}if(r.op===0&&r.item.item.extId===n.item.extId){(0,R.$WK)(r.item,n.item);return}}break}}this.m.push(n),this.f.isScheduled()||this.f.schedule()}expand(n,r){const a=this.tree.get(n);if(a){if((a.expandLevels===void 0||r>a.expandLevels)&&(a.expandLevels=r),a.expand===1){const t=this.M(a);return t.isOpen()?this.L(a,r-1):t.wait().then(()=>this.L(a,r-1))}else if(a.expand===3)return a.resolveBarrier?.isOpen()===!1?a.resolveBarrier.wait().then(()=>this.L(a,r-1)):this.L(a,r-1)}}dispose(){for(const n of this.tree.values())this.s.getApiFor(n.actual).listener=void 0;this.tree.clear(),this.m=[],super.dispose()}w(n,r){switch(r.op){case 3:this.O(w.$QK.joinToString(n.fullId,r.id));break;case 0:this.z(r.item,n);break;case 5:for(const a of r.ops)this.w(n,a);break;case 1:this.C(r.new,r.old,n.fullId.toString());break;case 2:this.J(n);break;case 4:this.pushDiff({op:1,item:{extId:n.fullId.toString(),item:r.update}});break;case 6:this.y(n.actual.uri);break;default:(0,L.$9c)(r)}}y(n){n&&this.pushDiff({op:2,uri:n,docv:this.s.getDocumentVersion(n)})}z(n,r){const a=w.$QK.fromExtHostTestItem(n,this.root.id,r?.actual),t=this.s.getApiFor(n);t.parent&&t.parent!==r?.actual&&this.s.getChildren(t.parent).delete(n.id);let d=this.tree.get(a.toString());if(!d){d={fullId:a,actual:n,expandLevels:r?.expandLevels?r.expandLevels-1:void 0,expand:0},n.tags.forEach(this.D,this),this.tree.set(d.fullId.toString(),d),this.G(n,r),this.pushDiff({op:0,item:{controllerId:this.s.controllerId,expand:d.expand,item:this.s.toITestItem(n)}}),this.I(n,d,r);return}if(d.actual===n){this.H(n,d,r);return}if(d.actual.uri?.toString()!==n.uri?.toString())return this.O(a.toString()),this.z(n,r);const u=this.s.getChildren(d.actual),s=d.actual,c=b(this.s.toITestItem(s),this.s.toITestItem(n));this.s.getApiFor(s).listener=void 0,d.actual=n,d.expand=0,c&&(c.hasOwnProperty("tags")&&(this.C(n.tags,s.tags,a.toString()),delete c.tags),this.w(d,{op:4,update:c})),this.I(n,d,r);for(const[h,m]of u)this.s.getChildren(n).get(m.id)||this.O(w.$QK.joinToString(a,m.id));this.y(d.actual.uri)}C(n,r,a){const t=new Set(r.map(d=>d.id));for(const d of n)t.delete(d.id)||this.D(d);this.pushDiff({op:1,item:{extId:a,item:{tags:n.map(d=>(0,R.$UK)(this.s.controllerId,d.id))}}}),t.forEach(this.F,this)}D(n){const r=this.j.get(n.id);r?r.refCount++:(this.j.set(n.id,{refCount:1}),this.pushDiff({op:6,tag:{id:(0,R.$UK)(this.s.controllerId,n.id)}}))}F(n){const r=this.j.get(n);r&&!--r.refCount&&(this.j.delete(n),this.pushDiff({op:7,id:(0,R.$UK)(this.s.controllerId,n)}))}G(n,r){this.s.getApiFor(n).parent=r&&r.actual!==this.root?r.actual:void 0}H(n,r,a){this.G(n,a);const t=this.s.getApiFor(n);t.parent=a?.actual,t.listener=d=>this.w(r,d),this.J(r)}I(n,r,a){this.H(n,r,a);for(const[t,d]of this.s.getChildren(n))this.z(d,r)}J(n){let r;this.h?n.resolveBarrier?r=n.resolveBarrier.isOpen()?3:2:r=n.actual.canResolveChildren?1:0:r=0,r!==n.expand&&(n.expand=r,this.pushDiff({op:1,item:{extId:n.fullId.toString(),expand:r}}),r===1&&n.expandLevels!==void 0&&this.M(n))}L(n,r){if(r<0)return;const a=[];for(const[t,d]of this.s.getChildren(n.actual)){const u=this.expand(w.$QK.joinToString(n.fullId,d.id),r);(0,I.$3g)(u)&&a.push(u)}if(a.length)return Promise.all(a).then(()=>{})}M(n){if(n.resolveBarrier)return n.resolveBarrier;if(!this.h){const d=new I.$dh;return d.open(),d}n.expand=2,this.N(n);const r=n.resolveBarrier=new I.$dh,a=d=>{console.error(`Unhandled error in resolveHandler of test controller "${this.s.controllerId}"`,d)};let t;try{t=this.h(n.actual===this.root?void 0:n.actual)}catch(d){a(d)}return(0,I.$3g)(t)?t.catch(a).then(()=>{r.open(),this.J(n)}):(r.open(),this.J(n)),n.resolveBarrier}N(n){this.pushDiff({op:1,item:{extId:n.fullId.toString(),expand:n.expand}})}O(n){const r=this.tree.get(n);if(!r)throw new Error("attempting to remove non-existent child");this.pushDiff({op:3,itemId:n});const a=[r];for(;a.length;){const t=a.pop();if(t){this.s.getApiFor(t.actual).listener=void 0;for(const d of t.actual.tags)this.F(d.id);this.tree.delete(t.fullId.toString());for(const[d,u]of this.s.getChildren(t.actual))a.push(this.tree.get(w.$QK.joinToString(t.fullId,u.id)))}}}flushDiff(){const n=this.collectDiff();n.length&&this.g.fire(n)}}e.$7N=E;class k extends Error{constructor(n){super(`Attempted to insert a duplicate test item ID ${n}`)}}e.$8N=k;class l extends Error{constructor(n){super(`TestItem with ID "${n}" is invalid. Make sure to create it from the createTestItem method.`)}}e.$9N=l;class p extends Error{constructor(n,r,a){super(`TestItem with ID "${n}" is from controller "${r}" and cannot be added as a child of an item from controller "${a}".`)}}e.$0N=p;const o=(i,n,r)=>{let a=new Map;return{get size(){return a.size},forEach(t,d){for(const u of a.values())t.call(d,u,this)},[Symbol.iterator](){return a.entries()},replace(t){const d=new Map,u=new Set(a.keys()),s={op:5,ops:[]};for(const c of t){if(!(c instanceof r))throw new l(c.id);const h=n(c).controllerId;if(h!==i.controllerId)throw new p(c.id,h,i.controllerId);if(d.has(c.id))throw new k(c.id);d.set(c.id,c),u.delete(c.id),s.ops.push({op:0,item:c})}for(const c of u.keys())s.ops.push({op:3,id:c});i.listener?.(s),a=d},add(t){if(!(t instanceof r))throw new l(t.id);a.set(t.id,t),i.listener?.({op:0,item:t})},delete(t){a.delete(t)&&i.listener?.({op:3,id:t})},get(t){return a.get(t)},toJSON(){return Array.from(a.values())}}};e.$$N=o}),define(Se[141],De([1,0,111]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$aO=e.$_N=void 0;const F=new WeakMap,$=(R,w)=>{const v={controllerId:w};return F.set(R,v),v};e.$_N=$;const L=R=>{const w=F.get(R);if(!w)throw new I.$9N(R?.id||"<unknown>");return w};e.$aO=L}),define(Se[112],De([1,0,16,2]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bxb=e.$Axb=e.$zxb=e.$yxb=e.$xxb=void 0,e.$xxb="vscode-cdn.net",e.$yxb=`vscode-resource.${e.$xxb}`,e.$zxb=`'self' https://*.${e.$xxb}`;function $(w,v){return w.scheme===I.Schemas.http||w.scheme===I.Schemas.https?w:(v&&v.authority&&v.isRemote&&w.scheme===I.Schemas.file&&(w=F.URI.from({scheme:I.Schemas.vscodeRemote,authority:v.authority,path:w.path})),F.URI.from({scheme:I.Schemas.https,authority:`${w.scheme}+${L(w.authority)}.${e.$yxb}`,path:w.path,fragment:w.fragment,query:w.query}))}e.$Axb=$;function L(w){return w.replace(/./g,v=>{const S=v.charCodeAt(0);return S>=97&&S<=122||S>=65&&S<=90||S>=48&&S<=57?v:"-"+S.toString(16).padStart(4,"0")})}function R(w){return w.replace(/-([0-9a-f]{4})/g,(v,S)=>String.fromCharCode(parseInt(S,16)))}e.$Bxb=R}),define(Se[289],De([1,0,4,3,112]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Xhc=void 0;class L{constructor(w,v,S){this.d=w,this.e=v,this.f=S,this.a=0,this.b=new F.$Sc,this.c=new Map,this.b.add(v.onDidChangeVisibleTextEditors(()=>{const M=v.getVisibleTextEditors();for(const C of this.c.values())M.indexOf(C.editor)<0&&C.inset.dispose()}))}dispose(){this.c.forEach(w=>w.inset.dispose()),this.b.dispose()}createWebviewEditorInset(w,v,S,M,C){let b;for(const n of this.e.getVisibleTextEditors(!0))if(n.value===w){b=n;break}if(!b)throw new Error("not a visible editor");const E=this,k=this.a++,l=new I.$5d,p=new I.$5d,o=new class{constructor(){this.a="",this.b=Object.create(null)}asWebviewUri(n){return(0,$.$Axb)(n,E.f)}get cspSource(){return $.$zxb}set options(n){this.b=n,E.d.$setOptions(k,n)}get options(){return this.b}set html(n){this.a=n,E.d.$setHtml(k,n)}get html(){return this.a}get onDidReceiveMessage(){return l.event}postMessage(n){return E.d.$postMessage(k,n)}},i=new class{constructor(){this.editor=w,this.line=v,this.height=S,this.webview=o,this.onDidDispose=p.event}dispose(){E.c.has(k)&&(E.c.delete(k),E.d.$disposeEditorInset(k),p.fire(),p.dispose(),l.dispose())}};return this.d.$createEditorInset(k,b.id,b.value.document.uri,v+1,S,M||{},C.identifier,C.extensionLocation),this.c.set(k,{editor:w,inset:i,onDidReceiveMessage:l}),i}$onDidDispose(w){const v=this.c.get(w);v&&v.inset.dispose()}$onDidReceiveMessage(w,v){this.c.get(w)?.onDidReceiveMessage.fire(v)}}e.$Xhc=L}),define(Se[142],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7K=e.$6K=void 0,e.$6K="__",e.$7K=(0,I.$ei)("IAuthenticationService")}),define(Se[290],De([1,0,5]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4O=e.VariableKind=e.$3O=void 0,e.$3O=(0,I.$ei)("configurationResolverService");var F;(function(L){L.Unknown="unknown",L.Env="env",L.Config="config",L.Command="command",L.Input="input",L.ExtensionInstallFolder="extensionInstallFolder",L.WorkspaceFolder="workspaceFolder",L.Cwd="cwd",L.WorkspaceFolderBasename="workspaceFolderBasename",L.UserHome="userHome",L.LineNumber="lineNumber",L.SelectedText="selectedText",L.File="file",L.FileWorkspaceFolder="fileWorkspaceFolder",L.FileWorkspaceFolderBasename="fileWorkspaceFolderBasename",L.RelativeFile="relativeFile",L.RelativeFileDirname="relativeFileDirname",L.FileDirname="fileDirname",L.FileExtname="fileExtname",L.FileBasename="fileBasename",L.FileBasenameNoExtension="fileBasenameNoExtension",L.FileDirnameBasename="fileDirnameBasename",L.ExecPath="execPath",L.ExecInstallFolder="execInstallFolder",L.PathSeparator="pathSeparator",L.PathSeparatorAlias="/"})(F||(e.VariableKind=F={}));class $ extends Error{constructor(R,w){super(w),this.variable=R}}e.$4O=$}),define(Se[291],De([1,0,17,50,18,24,11,102,233,290,12]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fP=void 0;class C{static{this.VARIABLE_LHS="${"}static{this.VARIABLE_REGEXP=/\$\{(.*?)\}/g}constructor(E,k,l,p){this.h=new Map,this.a=E,this.b=k,this.g=l,p&&(this.c=p.then(o=>this.i(o)))}i(E){if(R.$i){const k=Object.create(null);return Object.keys(E).forEach(l=>{k[l.toLowerCase()]=E[l]}),k}return E}resolveWithEnvironment(E,k,l){return this.l({env:this.i(E),userHome:void 0},k?k.uri:void 0,l)}async resolveAsync(E,k){const l={env:await this.c,userHome:await this.g};return this.l(l,E?E.uri:void 0,k)}async j(E,k,l,p){const o=L.$Hn(k);R.$i&&o.windows?Object.keys(o.windows).forEach(n=>o[n]=o.windows[n]):R.$j&&o.osx?Object.keys(o.osx).forEach(n=>o[n]=o.osx[n]):R.$k&&o.linux&&Object.keys(o.linux).forEach(n=>o[n]=o.linux[n]),delete o.windows,delete o.osx,delete o.linux;const i={env:await this.c,userHome:await this.g};return this.l(i,E?E.uri:void 0,o,l,p)}async resolveAnyAsync(E,k,l){return this.j(E,k,l)}async resolveAnyMap(E,k,l){const p=new Map;return{newConfig:await this.j(E,k,l,p),resolvedVariables:p}}resolveWithInteractionReplace(E,k,l,p){throw new Error("resolveWithInteractionReplace not implemented.")}resolveWithInteraction(E,k,l,p){throw new Error("resolveWithInteraction not implemented.")}contributeVariable(E,k){if(this.h.has(E))throw new Error("Variable "+E+" is contributed twice.");this.h.set(E,k)}async l(E,k,l,p,o){if($.$Sf(l))return this.m(E,k,l,p,o);if(Array.isArray(l))return Promise.all(l.map(i=>this.l(E,k,i,p,o)));if($.$Uf(l)){const i=Object.create(null),n=await Promise.all(Object.keys(l).map(async r=>[await this.m(E,k,r,p,o),await this.l(E,k,l[r],p,o)]));for(const[r,a]of n)i[r]=a;return i}return l}m(E,k,l,p,o){return(0,M.$bf)(l,C.VARIABLE_REGEXP,async(i,n)=>{if(n.includes(C.VARIABLE_LHS))return i;let r=await this.o(E,i,n,k,p);return o?.set(n,r),r!==i&&$.$Sf(r)&&r.match(C.VARIABLE_REGEXP)&&(r=await this.m(E,k,r,p,o)),r})}n(E){return this.b?this.b.getUriLabel(E,{noPrefix:!0}):E.fsPath}async o(E,k,l,p,o){let i;const n=l.split(":");n.length>1&&(l=n[0],i=n[1]);const r=d=>{const u=this.a.getFilePath();if(u)return(0,w.$9v)(u);throw new S.$4O(d,(0,v.localize)(0,null,k))},a=d=>{const u=r(d);if(this.a.getWorkspaceFolderPathForFile){const s=this.a.getWorkspaceFolderPathForFile();if(s)return(0,w.$9v)(s)}throw new S.$4O(d,(0,v.localize)(1,null,k,I.$nc(u)))},t=d=>{if(i){const u=this.a.getFolderUri(i);if(u)return u;throw new S.$4O(d,(0,v.localize)(2,null,k,i))}if(p)return p;throw this.a.getWorkspaceFolderCount()>1?new S.$4O(d,(0,v.localize)(3,null,k)):new S.$4O(d,(0,v.localize)(4,null,k))};switch(l){case"env":if(i){if(E.env){const d=E.env[R.$i?i.toLowerCase():i];if($.$Sf(d))return d}return""}throw new S.$4O(S.VariableKind.Env,(0,v.localize)(5,null,k));case"config":if(i){const d=this.a.getConfigurationValue(p,i);if($.$2f(d))throw new S.$4O(S.VariableKind.Config,(0,v.localize)(6,null,k,i));if($.$Uf(d))throw new S.$4O(S.VariableKind.Config,(0,v.localize)(7,null,k,i));return d}throw new S.$4O(S.VariableKind.Config,(0,v.localize)(8,null,k));case"command":return this.p(S.VariableKind.Command,k,i,o,"command");case"input":return this.p(S.VariableKind.Input,k,i,o,"input");case"extensionInstallFolder":if(i){const d=await this.a.getExtension(i);if(!d)throw new S.$4O(S.VariableKind.ExtensionInstallFolder,(0,v.localize)(9,null,k,i));return this.n(d.extensionLocation)}throw new S.$4O(S.VariableKind.ExtensionInstallFolder,(0,v.localize)(10,null,k));default:switch(l){case"workspaceRoot":case"workspaceFolder":return(0,w.$9v)(this.n(t(S.VariableKind.WorkspaceFolder)));case"cwd":return p||i?(0,w.$9v)(this.n(t(S.VariableKind.Cwd))):F.cwd();case"workspaceRootFolderName":case"workspaceFolderBasename":return(0,w.$9v)(I.$nc(this.n(t(S.VariableKind.WorkspaceFolderBasename))));case"userHome":{if(E.userHome)return E.userHome;throw new S.$4O(S.VariableKind.UserHome,(0,v.localize)(11,null,k))}case"lineNumber":{const d=this.a.getLineNumber();if(d)return d;throw new S.$4O(S.VariableKind.LineNumber,(0,v.localize)(12,null,k))}case"selectedText":{const d=this.a.getSelectedText();if(d)return d;throw new S.$4O(S.VariableKind.SelectedText,(0,v.localize)(13,null,k))}case"file":return r(S.VariableKind.File);case"fileWorkspaceFolder":return a(S.VariableKind.FileWorkspaceFolder);case"fileWorkspaceFolderBasename":return I.$nc(a(S.VariableKind.FileWorkspaceFolderBasename));case"relativeFile":return p||i?I.$lc(this.n(t(S.VariableKind.RelativeFile)),r(S.VariableKind.RelativeFile)):r(S.VariableKind.RelativeFile);case"relativeFileDirname":{const d=I.$mc(r(S.VariableKind.RelativeFileDirname));if(p||i){const u=I.$lc(this.n(t(S.VariableKind.RelativeFileDirname)),d);return u.length===0?".":u}return d}case"fileDirname":return I.$mc(r(S.VariableKind.FileDirname));case"fileExtname":return I.$oc(r(S.VariableKind.FileExtname));case"fileBasename":return I.$nc(r(S.VariableKind.FileBasename));case"fileBasenameNoExtension":{const d=I.$nc(r(S.VariableKind.FileBasenameNoExtension));return d.slice(0,d.length-I.$oc(d).length)}case"fileDirnameBasename":return I.$nc(I.$mc(r(S.VariableKind.FileDirnameBasename)));case"execPath":{const d=this.a.getExecPath();return d||k}case"execInstallFolder":{const d=this.a.getAppRoot();return d||k}case"pathSeparator":case"/":return I.sep;default:try{const d=i?`${l}:${i}`:l;return this.p(S.VariableKind.Unknown,k,d,o,void 0)}catch{return k}}}}p(E,k,l,p,o){if(l&&p){const i=o===void 0?p[l]:p[o+":"+l];if(typeof i=="string")return i;throw new S.$4O(E,(0,v.localize)(14,null,k))}return k}}e.$fP=C}),define(Se[143],De([1,0,5,139]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nD=e.$mD=e.OpenEditorContext=e.GroupsOrder=e.$lD=e.MergeGroupMode=e.GroupsArrangement=e.GroupLocation=e.GroupOrientation=e.GroupDirection=e.$kD=void 0,e.$kD=(0,I.$ei)("editorGroupsService");var $;(function(k){k[k.UP=0]="UP",k[k.DOWN=1]="DOWN",k[k.LEFT=2]="LEFT",k[k.RIGHT=3]="RIGHT"})($||(e.GroupDirection=$={}));var L;(function(k){k[k.HORIZONTAL=0]="HORIZONTAL",k[k.VERTICAL=1]="VERTICAL"})(L||(e.GroupOrientation=L={}));var R;(function(k){k[k.FIRST=0]="FIRST",k[k.LAST=1]="LAST",k[k.NEXT=2]="NEXT",k[k.PREVIOUS=3]="PREVIOUS"})(R||(e.GroupLocation=R={}));var w;(function(k){k[k.MAXIMIZE=0]="MAXIMIZE",k[k.EXPAND=1]="EXPAND",k[k.EVEN=2]="EVEN"})(w||(e.GroupsArrangement=w={}));var v;(function(k){k[k.COPY_EDITORS=0]="COPY_EDITORS",k[k.MOVE_EDITORS=1]="MOVE_EDITORS"})(v||(e.MergeGroupMode=v={}));function S(k){const l=k;return(0,F.$7E)(l?.editor)&&(0,F.$7E)(l?.replacement)}e.$lD=S;var M;(function(k){k[k.CREATION_TIME=0]="CREATION_TIME",k[k.MOST_RECENTLY_ACTIVE=1]="MOST_RECENTLY_ACTIVE",k[k.GRID_APPEARANCE=2]="GRID_APPEARANCE"})(M||(e.GroupsOrder=M={}));var C;(function(k){k[k.NEW_EDITOR=1]="NEW_EDITOR",k[k.MOVE_EDITOR=2]="MOVE_EDITOR",k[k.COPY_EDITOR=3]="COPY_EDITOR"})(C||(e.OpenEditorContext=C={}));function b(k){const l=k;return!!l&&typeof l.id=="number"&&Array.isArray(l.editors)}e.$mD=b;function E(k){return k.getValue("workbench.editor.openSideBySideDirection")==="down"?1:3}e.$nD=E}),define(Se[292],De([1,0,5,143]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$sD=e.$rD=e.$qD=e.$pD=e.$oD=void 0,e.$oD=(0,I.$ei)("editorService"),e.$pD=-1,e.$qD=-2,e.$rD=-3;function $(L){const R=L;return typeof L=="number"||(0,F.$mD)(R)}e.$sD=$}),define(Se[144],De([1,0,5,133]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kL=void 0,e.$kL=(0,I.$fi)(F.$li)}),define(Se[145],De([1,0,25,4,17,3,8]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$G9b=e.$F9b=e.$E9b=e.$D9b=e.$C9b=void 0;class w{constructor(i,n){this.versionId=i,this.removedDueToLooping=n}}e.$C9b=w;class v{static isHostExtension(i,n,r){if(n.getExtensionDescription(i))return!1;const a=r.getExtensionDescription(i);return a?!!((a.main||a.browser)&&a.api==="none"):!1}constructor(i,n){this.j=i,this.c=new F.$5d,this.onDidChange=this.c.event,this.d=0,this.e=n,this.k()}k(){this.e.sort(l),this.f=new I.$ym,this.g=[],this.h=new Map;for(const i of this.e){if(this.f.has(i.identifier)){console.error("Extension `"+i.identifier.value+"` is already registered");continue}this.f.set(i.identifier,i),this.g.push(i);const n=this.j.readActivationEvents(i);for(const r of n)this.h.has(r)||this.h.set(r,[]),this.h.get(r).push(i)}}set(i){return this.e=i,this.k(),this.d++,this.c.fire(void 0),{versionId:this.d}}deltaExtensions(i,n){this.e=p(this.e,n),this.e=this.e.concat(i);const r=v.l(this.e);return this.e=p(this.e,r.map(a=>a.identifier)),this.k(),this.d++,this.c.fire(void 0),new w(this.d,r)}static l(i){const n=new class{constructor(){this.c=new Map,this.d=new Set,this.e=[]}addNode(u){this.d.has(u)||(this.d.add(u),this.e.push(u))}addArc(u,s){this.addNode(u),this.addNode(s),this.c.has(u)?this.c.get(u).push(s):this.c.set(u,[s])}getArcs(u){return this.c.has(u)?this.c.get(u):[]}hasOnlyGoodArcs(u,s){const c=n.getArcs(u);for(let h=0;h<c.length;h++)if(!s.has(c[h]))return!1;return!0}getNodes(){return this.e}},r=new I.$ym;for(const u of i)if(r.set(u.identifier,u),u.extensionDependencies)for(const s of u.extensionDependencies)n.addArc(I.$wm.toKey(u.identifier),I.$wm.toKey(s));const a=new Set;n.getNodes().filter(u=>n.getArcs(u).length===0).forEach(u=>a.add(u));const t=n.getNodes().filter(u=>!a.has(u));let d;do{d=!1;for(let u=0;u<t.length;u++){const s=t[u];n.hasOnlyGoodArcs(s,a)&&(t.splice(u,1),u--,a.add(s),d=!0)}}while(d);return t.map(u=>r.get(u))}containsActivationEvent(i){return this.h.has(i)}containsExtension(i){return this.f.has(i)}getExtensionDescriptionsForActivationEvent(i){const n=this.h.get(i);return n?n.slice(0):[]}getAllExtensionDescriptions(){return this.g.slice(0)}getSnapshot(){return new S(this.d,this.getAllExtensionDescriptions())}getExtensionDescription(i){const n=this.f.get(i);return n||void 0}getExtensionDescriptionByUUID(i){for(const n of this.g)if(n.uuid===i)return n}getExtensionDescriptionByIdOrUUID(i,n){return this.getExtensionDescription(i)??(n?this.getExtensionDescriptionByUUID(n):void 0)}}e.$D9b=v;class S{constructor(i,n){this.versionId=i,this.extensions=n}}e.$E9b=S;class M{constructor(i){this.d=new E,this.c=new v(i,[])}async acquireLock(i){const n=await this.d.acquire(i);return new C(this,n)}deltaExtensions(i,n,r){if(!i.isAcquiredFor(this))throw new Error("Lock is not held");return this.c.deltaExtensions(n,r)}containsActivationEvent(i){return this.c.containsActivationEvent(i)}containsExtension(i){return this.c.containsExtension(i)}getExtensionDescriptionsForActivationEvent(i){return this.c.getExtensionDescriptionsForActivationEvent(i)}getAllExtensionDescriptions(){return this.c.getAllExtensionDescriptions()}getSnapshot(){return this.c.getSnapshot()}getExtensionDescription(i){return this.c.getExtensionDescription(i)}getExtensionDescriptionByUUID(i){return this.c.getExtensionDescriptionByUUID(i)}getExtensionDescriptionByIdOrUUID(i,n){return this.c.getExtensionDescriptionByIdOrUUID(i,n)}}e.$F9b=M;class C extends L.$Tc{constructor(i,n){super(),this.f=i,this.c=!1,this.B(n)}isAcquiredFor(i){return!this.c&&this.f===i}}e.$G9b=C;class b{constructor(i){this.name=i;const n=(0,R.$0g)();this.promise=n.promise,this.c=n.resolve}resolve(i){this.c(i)}}class E{constructor(){this.c=[],this.d=!1}async acquire(i){const n=new b(i);return this.c.push(n),this.e(),n.promise}e(){if(this.d||this.c.length===0)return;const i=this.c.shift();this.d=!0;let n=!0;const r=setTimeout(()=>{n&&console.warn(`The customer named ${i.name} has been holding on to the lock for 30s. This might be a problem.`)},30*1e3),a=()=>{n&&(clearTimeout(r),n=!1,this.d=!1,this.e())};i.resolve((0,L.$Rc)(a))}}var k;(function(o){o[o.Builtin=0]="Builtin",o[o.User=1]="User",o[o.Dev=2]="Dev"})(k||(k={}));function l(o,i){const n=o.isBuiltin?0:o.isUnderDevelopment?2:1,r=i.isBuiltin?0:i.isUnderDevelopment?2:1;if(n!==r)return n-r;const a=$.$gc.basename(o.extensionLocation.path),t=$.$gc.basename(i.extensionLocation.path);return a<t?-1:a>t?1:0}function p(o,i){const n=new I.$xm(i);return o.filter(r=>!n.has(r.identifier))}}),define(Se[293],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6m=e.$5m=e.$4m=e.$3m=e.$2m=e.ExtHostConnectionType=void 0;var I;(function(M){M[M.IPC=1]="IPC",M[M.Socket=2]="Socket",M[M.MessagePort=3]="MessagePort"})(I||(e.ExtHostConnectionType=I={}));class F{static{this.ENV_KEY="VSCODE_EXTHOST_IPC_HOOK"}constructor(C){this.pipeName=C,this.type=1}serialize(C){C[F.ENV_KEY]=this.pipeName}}e.$2m=F;class ${constructor(){this.type=2}static{this.ENV_KEY="VSCODE_EXTHOST_WILL_SEND_SOCKET"}serialize(C){C[$.ENV_KEY]="1"}}e.$3m=$;class L{constructor(){this.type=3}static{this.ENV_KEY="VSCODE_WILL_SEND_MESSAGE_PORT"}serialize(C){C[L.ENV_KEY]="1"}}e.$4m=L;function R(M){delete M[F.ENV_KEY],delete M[$.ENV_KEY],delete M[L.ENV_KEY]}function w(M,C){R(C),M.serialize(C)}e.$5m=w;function v(M){if(M[F.ENV_KEY])return S(M,new F(M[F.ENV_KEY]));if(M[$.ENV_KEY])return S(M,new $);if(M[L.ENV_KEY])return S(M,new L);throw new Error("No connection information defined in environment!")}e.$6m=v;function S(M,C){return R(M),C}}),define(Se[113],De([1,0,21]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.NativeLogMarkers=e.$Fm=e.$Em=e.MessageType=e.ExtensionHostExitCode=e.UIKind=void 0;var F;(function(S){S[S.Desktop=1]="Desktop",S[S.Web=2]="Web"})(F||(e.UIKind=F={}));var $;(function(S){S[S.VersionMismatch=55]="VersionMismatch",S[S.UnexpectedError=81]="UnexpectedError"})($||(e.ExtensionHostExitCode=$={}));var L;(function(S){S[S.Initialized=0]="Initialized",S[S.Ready=1]="Ready",S[S.Terminate=2]="Terminate"})(L||(e.MessageType=L={}));function R(S){const M=I.$se.alloc(1);switch(S){case 0:M.writeUInt8(1,0);break;case 1:M.writeUInt8(2,0);break;case 2:M.writeUInt8(3,0);break}return M}e.$Em=R;function w(S,M){if(S.byteLength!==1)return!1;switch(S.readUInt8(0)){case 1:return M===0;case 2:return M===1;case 3:return M===2;default:return!1}}e.$Fm=w;var v;(function(S){S.Start="START_NATIVE_LOG",S.End="END_NATIVE_LOG"})(v||(e.NativeLogMarkers=v={}))}),define(Se[90],De([1,0,5,4,13,27,113,65,87,24,2,3,219]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$yO=e.$xO=e.$wO=e.$vO=void 0;let E=class extends C.$Tc{constructor(o,i){super(),this.s=o,this.t=i,this.a=this.B(new F.$5d),this.onDidChangeTelemetryEnabled=this.a.event,this.b=this.B(new F.$5d),this.onDidChangeTelemetryConfiguration=this.b.event,this.c={usage:!0,error:!0},this.f=0,this.g=!1,this.j=!1,this.r=new Map,this.m=M.URI.revive(this.s.environment.extensionTelemetryLogResource),this.j=this.s.environment.isExtensionTelemetryLoggingOnly,this.n=i.createLogger(this.m,{id:v.$2o,name:(0,b.localize)(0,null,this.j?" (Not Sent)":""),hidden:!0}),this.B(this.n),this.B(i.onDidChangeLogLevel(n=>{(0,$.$Aj)(n)&&this.u()})),this.n.info("Below are logs for extension telemetry events sent to the telemetry output channel API once the log level is set to trace."),this.n.info("===========================================================")}u(){this.t.setVisibility(this.m,this.g&&this.t.getLogLevel()===$.LogLevel.Trace)}getTelemetryConfiguration(){return this.f===3}getTelemetryDetails(){return{isCrashEnabled:this.f>=1,isErrorsEnabled:this.c.error?this.f>=2:!1,isUsageEnabled:this.c.usage?this.f>=3:!1}}instantiateLogger(o,i,n){const r=this.getTelemetryDetails(),a=new k(i,n,o,this.n,this.j,this.getBuiltInCommonProperties(o),{isUsageEnabled:r.isUsageEnabled,isErrorsEnabled:r.isErrorsEnabled}),t=this.r.get(o.identifier.value)??[];return this.r.set(o.identifier.value,[...t,a]),a.apiTelemetryLogger}$initializeTelemetryLevel(o,i,n){this.f=o,this.g=i,this.c=n??{usage:!0,error:!0},this.u()}getBuiltInCommonProperties(o){const i=Object.create(null);switch(i["common.extname"]=`${o.publisher}.${o.name}`,i["common.extversion"]=o.version,i["common.vscodemachineid"]=this.s.telemetryInfo.machineId,i["common.vscodesessionid"]=this.s.telemetryInfo.sessionId,i["common.sqmid"]=this.s.telemetryInfo.sqmId,i["common.vscodeversion"]=this.s.version,i["common.isnewappinstall"]=l(this.s.telemetryInfo.firstSessionDate),i["common.product"]=this.s.environment.appHost,this.s.uiKind){case R.UIKind.Web:i["common.uikind"]="web";break;case R.UIKind.Desktop:i["common.uikind"]="desktop";break;default:i["common.uikind"]="unknown"}return i["common.remotename"]=(0,w.$ml)((0,v.$8o)(this.s.remote.authority)),i}$onDidChangeTelemetryLevel(o){this.h=this.getTelemetryConfiguration(),this.f=o;const i=this.getTelemetryDetails();this.r.forEach((n,r)=>{const a=n.filter(t=>!t.isDisposed);a.length===0?this.r.delete(r):this.r.set(r,a)}),this.r.forEach(n=>{for(const r of n)r.updateTelemetryEnablements(i.isUsageEnabled,i.isErrorsEnabled)}),this.h!==this.getTelemetryConfiguration()&&this.a.fire(this.getTelemetryConfiguration()),this.b.fire(this.getTelemetryDetails()),this.u()}onExtensionError(o,i){const r=this.r.get(o.value)?.filter(t=>!t.isDisposed);if(!r)return this.r.delete(o.value),!1;let a=!1;for(const t of r)t.ignoreUnhandledExtHostErrors||(t.logError(i),a=!0);return a}};e.$vO=E,e.$vO=E=Je([Ve(0,L.$uO),Ve(1,$.$zj)],E);class k{static validateSender(o){if(typeof o!="object")throw new TypeError("TelemetrySender argument is invalid");if(typeof o.sendEventData!="function")throw new TypeError("TelemetrySender.sendEventData must be a function");if(typeof o.sendErrorData!="function")throw new TypeError("TelemetrySender.sendErrorData must be a function");if(typeof o.flush<"u"&&typeof o.flush!="function")throw new TypeError("TelemetrySender.flush must be a function or undefined")}constructor(o,i,n,r,a,t,d){this.g=n,this.h=r,this.i=a,this.j=t,this.a=new F.$5d,this.ignoreUnhandledExtHostErrors=i?.ignoreUnhandledErrors??!1,this.b=i?.ignoreBuiltInCommonProperties??!1,this.c=i?.additionalCommonProperties,this.f=o,this.d={isUsageEnabled:d.isUsageEnabled,isErrorsEnabled:d.isErrorsEnabled}}updateTelemetryEnablements(o,i){this.e&&(this.d={isUsageEnabled:o,isErrorsEnabled:i},this.a.fire(this.e))}mixInCommonPropsAndCleanData(o){let i="properties"in o?o.properties??{}:o;return i=(0,v.$$o)(i,[]),this.c&&(i=(0,S.$Kn)(i,this.c)),this.b||(i=(0,S.$Kn)(i,this.j)),"properties"in o?o.properties=i:o=i,o}k(o,i){this.f&&(this.g.publisher==="vscode"?o=this.g.name+"/"+o:o=this.g.identifier.value+"/"+o,i=this.mixInCommonPropsAndCleanData(i||{}),this.i||this.f?.sendEventData(o,i),this.h.trace(o,i))}logUsage(o,i){this.d.isUsageEnabled&&this.k(o,i)}logError(o,i){if(!(!this.d.isErrorsEnabled||!this.f))if(typeof o=="string")this.k(o,i);else{const n={name:o.name,message:o.message,stack:o.stack,cause:o.cause},r=(0,v.$$o)(n,[]),a=new Error(r.message,{cause:r.cause});a.stack=r.stack,a.name=r.name,i=this.mixInCommonPropsAndCleanData(i||{}),this.i||this.f.sendErrorData(a,i),this.h.trace("exception",i)}}get apiTelemetryLogger(){if(!this.e){const o=this,i={logUsage:o.logUsage.bind(o),get isUsageEnabled(){return o.d.isUsageEnabled},get isErrorsEnabled(){return o.d.isErrorsEnabled},logError:o.logError.bind(o),dispose:o.dispose.bind(o),onDidChangeEnableStates:o.a.event.bind(o)};this.e=Object.freeze(i)}return this.e}get isDisposed(){return!this.f}dispose(){if(this.f?.flush){let o=this.f;this.f=void 0,Promise.resolve(o.flush()).then(o=void 0),this.e=void 0}else this.f=void 0}}e.$wO=k;function l(p){const o=Date.now()-new Date(p).getTime();return isNaN(o)?!1:o<1e3*60*60*24}e.$xO=l,e.$yO=(0,I.$ei)("IExtHostTelemetry")}),define(Se[26],De([1,0,4,2,263,137,25,5]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1F=e.$ZF=e.$YF=e.ActivationKind=e.$XF=e.$WF=e.$VF=e.$UF=e.$TF=e.ExtensionHostStartup=e.$SF=e.$RF=e.$QF=e.$PF=void 0,e.$PF=Object.freeze({identifier:new R.$wm("nullExtensionDescription"),name:"Null Extension Description",version:"0.0.0",publisher:"vscode",engines:{vscode:""},extensionLocation:F.URI.parse("void:location"),isBuiltin:!1,targetPlatform:"undefined",isUserBuiltin:!1,isUnderDevelopment:!1}),e.$QF="extensions.webWorker",e.$RF=(0,w.$ei)("extensionService");class v{constructor(a){this.dependency=a}}e.$SF=v;var S;(function(r){r[r.EagerAutoStart=1]="EagerAutoStart",r[r.EagerManualStart=2]="EagerManualStart",r[r.Lazy=3]="Lazy"})(S||(e.ExtensionHostStartup=S={}));class M{get versionId(){return this.c}get allExtensions(){return this.d}get myExtensions(){return this.e}constructor(a,t,d){this.c=a,this.d=t.slice(0),this.e=d.slice(0),this.f=null}toSnapshot(){return{versionId:this.c,allExtensions:this.d,myExtensions:this.e,activationEvents:L.$AF.createActivationEventsMap(this.d)}}set(a,t,d){if(this.c>a)throw new Error(`ExtensionHostExtensions: invalid versionId ${a} (current: ${this.c})`);const u=[],s=[],c=[],h=[],m=C(this.d),D=C(t),g=(U,z)=>U.extensionLocation.toString()===z.extensionLocation.toString()||U.isBuiltin===z.isBuiltin||U.isUserBuiltin===z.isUserBuiltin||U.isUnderDevelopment===z.isUnderDevelopment;for(const U of this.d){const z=D.get(U.identifier);if(!z){u.push(U.identifier),m.delete(U.identifier);continue}if(!g(U,z)){u.push(U.identifier),m.delete(U.identifier);continue}}for(const U of t){const z=m.get(U.identifier);if(!z){s.push(U);continue}if(!g(z,U)){u.push(z.identifier),m.delete(z.identifier);continue}}const f=new R.$xm(this.e),y=new R.$xm(d);for(const U of this.e)y.has(U)||c.push(U);for(const U of d)f.has(U)||h.push(U);const A=L.$AF.createActivationEventsMap(s),N={versionId:a,toRemove:u,toAdd:s,addActivationEvents:A,myToRemove:c,myToAdd:h};return this.delta(N),N}delta(a){if(this.c>=a.versionId)return null;const{toRemove:t,toAdd:d,myToRemove:u,myToAdd:s}=a,c=new R.$xm(t),h=new R.$xm(u);for(let m=0;m<this.d.length;m++)c.has(this.d[m].identifier)&&(this.d.splice(m,1),m--);for(let m=0;m<this.e.length;m++)h.has(this.e[m])&&(this.e.splice(m,1),m--);for(const m of d)this.d.push(m);for(const m of s)this.e.push(m);return this.f=null,a}containsExtension(a){for(const t of this.e)if(R.$wm.equals(t,a))return!0;return!1}containsActivationEvent(a){return this.f||(this.f=this.g()),this.f.has(a)}g(){const a=new Set;for(const t of this.d){if(!this.containsExtension(t.identifier))continue;const d=L.$AF.readActivationEvents(t);for(const u of d)a.add(u)}return a}}e.$TF=M;function C(r){const a=new R.$ym;for(const t of r)a.set(t.identifier,t);return a}function b(r,a){return r.enabledApiProposals?r.enabledApiProposals.includes(a):!1}e.$UF=b;function E(r,a){if(!b(r,a))throw new Error(`Extension '${r.identifier.value}' CANNOT use API proposal: ${a}.
Its package.json#enabledApiProposals-property declares: ${r.enabledApiProposals?.join(", ")??"[]"} but NOT ${a}.
 The missing proposal MUST be added and you must start in extension development mode or use the following command line switch: --enable-proposed-api ${r.identifier.value}`)}e.$VF=E;class k{constructor(a,t,d,u){this.codeLoadingTime=a,this.activateCallTime=t,this.activateResolvedTime=d,this.activationReason=u}}e.$WF=k;class l{constructor(a,t){this.description=a,this.value=t}}e.$XF=l;var p;(function(r){r[r.Normal=0]="Normal",r[r.Immediate=1]="Immediate"})(p||(e.ActivationKind=p={}));function o(r){return{type:r.isBuiltin?0:1,isBuiltin:r.isBuiltin||r.isUserBuiltin,identifier:{id:(0,$.$ep)(r.publisher,r.name),uuid:r.uuid},manifest:r,location:r.extensionLocation,targetPlatform:r.targetPlatform,validations:[],isValid:!0}}e.$YF=o;function i(r,a){return{identifier:new R.$wm((0,$.$cp)(r.manifest.publisher,r.manifest.name)),isBuiltin:r.type===0,isUserBuiltin:r.type===1&&r.isBuiltin,isUnderDevelopment:!!a,extensionLocation:r.location,...r.manifest,uuid:r.identifier.uuid,targetPlatform:r.targetPlatform}}e.$ZF=i;class n{constructor(){this.onDidRegisterExtensions=I.Event.None,this.onDidChangeExtensionsStatus=I.Event.None,this.onDidChangeExtensions=I.Event.None,this.onWillActivateByEvent=I.Event.None,this.onDidChangeResponsiveChange=I.Event.None,this.onWillStop=I.Event.None,this.extensions=[]}activateByEvent(a){return Promise.resolve(void 0)}activateById(a,t){return Promise.resolve(void 0)}activationEventIsDone(a){return!1}whenInstalledExtensionsRegistered(){return Promise.resolve(!0)}getExtension(){return Promise.resolve(void 0)}readExtensionPointContributions(a){return Promise.resolve(Object.create(null))}getExtensionsStatus(){return Object.create(null)}getInspectPorts(a,t){return Promise.resolve([])}stopExtensionHosts(){}async startExtensionHosts(){}async setRemoteEnvironment(a){}canAddExtension(){return!1}canRemoveExtension(){return!1}}e.$1F=n}),define(Se[294],De([1,0,14,145,25,26,13,8]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mic=e.$lic=e.$kic=e.$jic=e.$iic=e.$hic=void 0;class v{static{this.NONE=new v(!1,-1,-1,-1)}constructor(o,i,n,r){this.startup=o,this.codeLoadingTime=i,this.activateCallTime=n,this.activateResolvedTime=r}}e.$hic=v;class S{constructor(o){this.a=o,this.b=-1,this.c=-1,this.d=-1,this.f=-1,this.g=-1,this.h=-1}j(o,i){return o===-1||i===-1?-1:i-o}build(){return new v(this.a,this.j(this.b,this.c),this.j(this.d,this.f),this.j(this.g,this.h))}codeLoadingStart(){this.b=Date.now()}codeLoadingStop(){this.c=Date.now()}activateCallStart(){this.d=Date.now()}activateCallStop(){this.f=Date.now()}activateResolveStart(){this.g=Date.now()}activateResolveStop(){this.h=Date.now()}}e.$iic=S;class M{constructor(o,i,n,r,a,t){this.activationFailed=o,this.activationFailedError=i,this.activationTimes=n,this.module=r,this.exports=a,this.subscriptions=t}}e.$jic=M;class C extends M{constructor(o){super(!1,null,o,{activate:void 0,deactivate:void 0},void 0,[])}}e.$kic=C;class b extends M{constructor(){super(!1,null,v.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}e.$lic=b;class E extends M{constructor(o){super(!0,o,v.NONE,{activate:void 0,deactivate:void 0},void 0,[])}}let k=class{constructor(o,i,n,r){this.g=r,this.a=o,this.b=i,this.c=n,this.d=new $.$ym,this.f=Object.create(null)}dispose(){for(const[o,i]of this.d)i.dispose()}async waitForActivatingExtensions(){const o=[];for(const[i,n]of this.d)o.push(n.wait());await Promise.all(o)}isActivated(o){const i=this.d.get(o);return!!(i&&i.value)}getActivatedExtension(o){const i=this.d.get(o);if(!i||!i.value)throw new Error(`Extension '${o.value}' is not known or not activated`);return i.value}async activateByEvent(o,i){if(this.f[o])return;const n=this.a.getExtensionDescriptionsForActivationEvent(o);await this.h(n.map(r=>({id:r.identifier,reason:{startup:i,extensionId:r.identifier,activationEvent:o}}))),this.f[o]=!0}activateById(o,i){const n=this.a.getExtensionDescription(o);if(!n)throw new Error(`Extension '${o}' is not known`);return this.h([{id:n.identifier,reason:i}])}async h(o){const i=o.filter(n=>!this.isActivated(n.id)).map(n=>this.j(n));await Promise.all(i.map(n=>n.wait()))}j(o){if(this.d.has(o.id))return this.d.get(o.id);if(this.l(o.id))return this.k(o,null,[],null);const i=this.a.getExtensionDescription(o.id);if(!i){const a=new Error(`Cannot activate unknown extension '${o.id.value}'`),t=this.k(o,null,[],new E(a));return this.c.onExtensionActivationError(o.id,a,new L.$SF(o.id.value)),t}const n=[],r=typeof i.extensionDependencies>"u"?[]:i.extensionDependencies;for(const a of r){if(this.m(a))continue;const t=this.d.get(a);if(t){n.push(t);continue}if(this.l(a)){n.push(this.j({id:this.b.getExtensionDescription(a).identifier,reason:o.reason}));continue}const d=this.a.getExtensionDescription(a);if(d){if(!d.main&&!d.browser)continue;n.push(this.j({id:d.identifier,reason:o.reason}));continue}const u=i.displayName||i.identifier.value,s=new Error(`Cannot activate the '${u}' extension because it depends on unknown extension '${a}'`),c=this.k(o,i.displayName,[],new E(s));return this.c.onExtensionActivationError(i.identifier,s,new L.$SF(a)),c}return this.k(o,i.displayName,n,null)}k(o,i,n,r){const a=new l(o.id,i,o.reason,n,r,this.c,this.g);return this.d.set(o.id,a),a}l(o){return F.$D9b.isHostExtension(o,this.a,this.b)}m(o){const i=this.b.getExtensionDescription(o);return i?!i.main&&!i.browser:!1}};e.$mic=k,e.$mic=k=Je([Ve(3,R.$yj)],k);let l=class{get value(){return this.h}get friendlyName(){return this.d||this.c.value}constructor(o,i,n,r,a,t,d){this.c=o,this.d=i,this.f=n,this.g=r,this.h=a,this.j=t,this.k=d,this.a=new w.$dh,this.b=!1,this.l()}dispose(){this.b=!0}wait(){return this.a.wait()}async l(){await this.m(),this.a.open()}async m(){if(!this.h){for(;this.g.length>0;){for(let o=0;o<this.g.length;o++){const i=this.g[o];if(i.value&&!i.value.activationFailed){this.g.splice(o,1),o--;continue}if(i.value&&i.value.activationFailed){const n=new Error(`Cannot activate the '${this.friendlyName}' extension because its dependency '${i.friendlyName}' failed to activate`);n.detail=i.value.activationFailedError,this.h=new E(n),this.j.onExtensionActivationError(this.c,n,null);return}}this.g.length>0&&await Promise.race(this.g.map(o=>o.wait()))}await this.n()}}async n(){try{this.h=await this.j.actualActivateExtension(this.c,this.f)}catch(o){const i=new Error;if(o&&o.name&&(i.name=o.name),o&&o.message?i.message=`Activating extension '${this.c.value}' failed: ${o.message}.`:i.message=`Activating extension '${this.c.value}' failed: ${o}.`,o&&o.stack&&(i.stack=o.stack),this.h=new E(i),this.b&&I.$4(o))return;this.j.onExtensionActivationError(this.c,i,null),this.k.error(`Activating extension ${this.c.value} failed due to an error:`),this.k.error(o)}}};l=Je([Ve(6,R.$yj)],l)}),define(Se[295],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.allApiProposals=void 0,e.allApiProposals=Object.freeze({activeComment:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.activeComment.d.ts",aiRelatedInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.aiRelatedInformation.d.ts",authGetSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authGetSessions.d.ts",authSession:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.authSession.d.ts",canonicalUriProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.canonicalUriProvider.d.ts",chatParticipant:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatParticipant.d.ts",chatParticipantAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatParticipantAdditions.d.ts",chatProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatProvider.d.ts",chatTab:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatTab.d.ts",chatVariableResolver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.chatVariableResolver.d.ts",codeActionAI:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.codeActionAI.d.ts",codeActionRanges:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.codeActionRanges.d.ts",codiconDecoration:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.codiconDecoration.d.ts",commentReactor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentReactor.d.ts",commentsDraftState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.commentsDraftState.d.ts",contribCommentEditorActionsMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentEditorActionsMenu.d.ts",contribCommentPeekContext:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentPeekContext.d.ts",contribCommentThreadAdditionalMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribCommentThreadAdditionalMenu.d.ts",contribEditSessions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditSessions.d.ts",contribEditorContentMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribEditorContentMenu.d.ts",contribIssueReporter:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribIssueReporter.d.ts",contribLabelFormatterWorkspaceTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribLabelFormatterWorkspaceTooltip.d.ts",contribMenuBarHome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMenuBarHome.d.ts",contribMergeEditorMenus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMergeEditorMenus.d.ts",contribMultiDiffEditorMenus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribMultiDiffEditorMenus.d.ts",contribNotebookStaticPreloads:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribNotebookStaticPreloads.d.ts",contribRemoteHelp:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribRemoteHelp.d.ts",contribShareMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribShareMenu.d.ts",contribSourceControlHistoryItemGroupMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlHistoryItemGroupMenu.d.ts",contribSourceControlHistoryItemMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlHistoryItemMenu.d.ts",contribSourceControlInputBoxMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlInputBoxMenu.d.ts",contribSourceControlTitleMenu:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribSourceControlTitleMenu.d.ts",contribStatusBarItems:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribStatusBarItems.d.ts",contribViewsRemote:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsRemote.d.ts",contribViewsWelcome:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.contribViewsWelcome.d.ts",createFileSystemWatcher:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.createFileSystemWatcher.d.ts",customEditorMove:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.customEditorMove.d.ts",debugFocus:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.debugFocus.d.ts",debugVisualization:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.debugVisualization.d.ts",defaultChatParticipant:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.defaultChatParticipant.d.ts",diffCommand:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffCommand.d.ts",diffContentOptions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.diffContentOptions.d.ts",documentFiltersExclusive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentFiltersExclusive.d.ts",documentPaste:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.documentPaste.d.ts",dropMetadata:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.dropMetadata.d.ts",editSessionIdentityProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editSessionIdentityProvider.d.ts",editorInsets:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.editorInsets.d.ts",extensionRuntime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionRuntime.d.ts",extensionsAny:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.extensionsAny.d.ts",externalUriOpener:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.externalUriOpener.d.ts",fileComments:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileComments.d.ts",fileSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fileSearchProvider.d.ts",findFiles2:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findFiles2.d.ts",findTextInFiles:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.findTextInFiles.d.ts",fsChunks:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.fsChunks.d.ts",handleIssueUri:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.handleIssueUri.d.ts",idToken:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.idToken.d.ts",inlineCompletionsAdditions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineCompletionsAdditions.d.ts",inlineEdit:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.inlineEdit.d.ts",interactive:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactive.d.ts",interactiveWindow:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.interactiveWindow.d.ts",ipc:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.ipc.d.ts",languageModels:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.languageModels.d.ts",languageStatusText:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.languageStatusText.d.ts",mappedEditsProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.mappedEditsProvider.d.ts",multiDocumentHighlightProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.multiDocumentHighlightProvider.d.ts",newSymbolNamesProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.newSymbolNamesProvider.d.ts",notebookCellExecutionState:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookCellExecutionState.d.ts",notebookControllerAffinityHidden:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookControllerAffinityHidden.d.ts",notebookDeprecated:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookDeprecated.d.ts",notebookExecution:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookExecution.d.ts",notebookKernelSource:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookKernelSource.d.ts",notebookLiveShare:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookLiveShare.d.ts",notebookMessaging:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMessaging.d.ts",notebookMime:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookMime.d.ts",notebookVariableProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.notebookVariableProvider.d.ts",portsAttributes:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.portsAttributes.d.ts",profileContentHandlers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.profileContentHandlers.d.ts",quickDiffProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickDiffProvider.d.ts",quickPickItemTooltip:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickItemTooltip.d.ts",quickPickSortByLabel:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.quickPickSortByLabel.d.ts",resolvers:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.resolvers.d.ts",scmActionButton:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmActionButton.d.ts",scmHistoryProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmHistoryProvider.d.ts",scmMultiDiffEditor:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmMultiDiffEditor.d.ts",scmSelectedProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmSelectedProvider.d.ts",scmTextDocument:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmTextDocument.d.ts",scmValidation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.scmValidation.d.ts",shareProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.shareProvider.d.ts",showLocal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.showLocal.d.ts",speech:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.speech.d.ts",tabInputTextMerge:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tabInputTextMerge.d.ts",taskPresentationGroup:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.taskPresentationGroup.d.ts",telemetry:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.telemetry.d.ts",terminalDataWriteEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDataWriteEvent.d.ts",terminalDimensions:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalDimensions.d.ts",terminalExecuteCommandEvent:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalExecuteCommandEvent.d.ts",terminalQuickFixProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalQuickFixProvider.d.ts",terminalSelection:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.terminalSelection.d.ts",testCoverage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testCoverage.d.ts",testObserver:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.testObserver.d.ts",textSearchProvider:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.textSearchProvider.d.ts",timeline:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.timeline.d.ts",tokenInformation:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tokenInformation.d.ts",treeViewActiveItem:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewActiveItem.d.ts",treeViewMarkdownMessage:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewMarkdownMessage.d.ts",treeViewReveal:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.treeViewReveal.d.ts",tunnelFactory:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tunnelFactory.d.ts",tunnels:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.tunnels.d.ts",windowActivity:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.windowActivity.d.ts",workspaceTrust:"https://raw.githubusercontent.com/microsoft/vscode/main/src/vscode-dts/vscode.proposed.workspaceTrust.d.ts"})}),define(Se[296],De([1,0,235,14,39,134,108,37,25,295,136,137]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$OF=e.$NF=e.$MF=e.$LF=e.$KF=e.$JF=void 0;const b=w.$Tn.as(R.$Un.JSONContribution);class E{constructor(a,t,d){this.a=a,this.b=t,this.c=d}d(a,t){this.a({type:a,message:t,extensionId:this.b.identifier,extensionPointId:this.c})}error(a){this.d($.default.Error,a)}warn(a){this.d($.default.Warning,a)}info(a){this.d($.default.Info,a)}}e.$JF=E;class k{static a(a){const t=new v.$xm;for(let d=0,u=a.length;d<u;d++)t.add(a[d].description.identifier);return t}static compute(a,t){if(!a||!a.length)return new k(t,[]);if(!t||!t.length)return new k([],a);const d=this.a(a),u=this.a(t),s=t.filter(h=>!d.has(h.description.identifier)),c=a.filter(h=>!u.has(h.description.identifier));return new k(s,c)}constructor(a,t){this.added=a,this.removed=t}}e.$KF=k;class l{constructor(a,t){this.name=a,this.defaultExtensionKind=t,this.a=null,this.b=null,this.c=null}setHandler(a){if(this.a!==null)throw new Error("Handler already set!");this.a=a,this.d()}acceptUsers(a){this.c=k.compute(this.b,a),this.b=a,this.d()}d(){if(!(this.a===null||this.b===null||this.c===null))try{this.a(this.b,this.c)}catch(a){(0,F.$1)(a)}}}e.$LF=l;const p={type:"string",enum:["ui","workspace"],enumDescriptions:[I.localize(0,null),I.localize(1,null)]},o="vscode://schemas/vscode-extensions";e.$MF={properties:{engines:{type:"object",description:I.localize(2,null),properties:{vscode:{type:"string",description:I.localize(3,null),default:"^1.22.0"}}},publisher:{description:I.localize(4,null),type:"string"},displayName:{description:I.localize(5,null),type:"string"},categories:{description:I.localize(6,null),type:"array",uniqueItems:!0,items:{oneOf:[{type:"string",enum:v.$vm},{type:"string",const:"Languages",deprecationMessage:I.localize(7,null)}]}},galleryBanner:{type:"object",description:I.localize(8,null),properties:{color:{description:I.localize(9,null),type:"string"},theme:{description:I.localize(10,null),type:"string",enum:["dark","light"]}}},contributes:{description:I.localize(11,null),type:"object",properties:{},default:{}},preview:{type:"boolean",description:I.localize(12,null)},enableProposedApi:{type:"boolean",deprecationMessage:I.localize(13,null)},enabledApiProposals:{markdownDescription:I.localize(14,null),type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(S.allApiProposals),markdownEnumDescriptions:Object.values(S.allApiProposals)}},api:{markdownDescription:I.localize(15,null),type:"string",enum:["none"],enumDescriptions:[I.localize(16,null)]},activationEvents:{description:I.localize(17,null),type:"array",items:{type:"string",defaultSnippets:[{label:"onWebviewPanel",description:I.localize(18,null),body:"onWebviewPanel:viewType"},{label:"onLanguage",description:I.localize(19,null),body:"onLanguage:${1:languageId}"},{label:"onCommand",description:I.localize(20,null),body:"onCommand:${2:commandId}"},{label:"onDebug",description:I.localize(21,null),body:"onDebug"},{label:"onDebugInitialConfigurations",description:I.localize(22,null),body:"onDebugInitialConfigurations"},{label:"onDebugDynamicConfigurations",description:I.localize(23,null),body:"onDebugDynamicConfigurations"},{label:"onDebugResolve",description:I.localize(24,null),body:"onDebugResolve:${6:type}"},{label:"onDebugAdapterProtocolTracker",description:I.localize(25,null),body:"onDebugAdapterProtocolTracker:${6:type}"},{label:"workspaceContains",description:I.localize(26,null),body:"workspaceContains:${4:filePattern}"},{label:"onStartupFinished",description:I.localize(27,null),body:"onStartupFinished"},{label:"onTaskType",description:I.localize(28,null),body:"onTaskType:${1:taskType}"},{label:"onFileSystem",description:I.localize(29,null),body:"onFileSystem:${1:scheme}"},{label:"onEditSession",description:I.localize(30,null),body:"onEditSession:${1:scheme}"},{label:"onSearch",description:I.localize(31,null),body:"onSearch:${7:scheme}"},{label:"onView",body:"onView:${5:viewId}",description:I.localize(32,null)},{label:"onUri",body:"onUri",description:I.localize(33,null)},{label:"onOpenExternalUri",body:"onOpenExternalUri",description:I.localize(34,null)},{label:"onCustomEditor",body:"onCustomEditor:${9:viewType}",description:I.localize(35,null)},{label:"onNotebook",body:"onNotebook:${1:type}",description:I.localize(36,null)},{label:"onAuthenticationRequest",body:"onAuthenticationRequest:${11:authenticationProviderId}",description:I.localize(37,null)},{label:"onRenderer",description:I.localize(38,null),body:"onRenderer:${11:rendererId}"},{label:"onTerminalProfile",body:"onTerminalProfile:${1:terminalId}",description:I.localize(39,null)},{label:"onTerminalQuickFixRequest",body:"onTerminalQuickFixRequest:${1:quickFixId}",description:I.localize(40,null)},{label:"onWalkthrough",body:"onWalkthrough:${1:walkthroughID}",description:I.localize(41,null)},{label:"onIssueReporterOpened",body:"onIssueReporterOpened",description:I.localize(42,null)},{label:"*",description:I.localize(43,null),body:"*"}]}},badges:{type:"array",description:I.localize(44,null),items:{type:"object",required:["url","href","description"],properties:{url:{type:"string",description:I.localize(45,null)},href:{type:"string",description:I.localize(46,null)},description:{type:"string",description:I.localize(47,null)}}}},markdown:{type:"string",description:I.localize(48,null),enum:["github","standard"],default:"github"},qna:{default:"marketplace",description:I.localize(49,null),anyOf:[{type:["string","boolean"],enum:["marketplace",!1]},{type:"string"}]},extensionDependencies:{description:I.localize(50,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:L.$yo}},extensionPack:{description:I.localize(51,null),type:"array",uniqueItems:!0,items:{type:"string",pattern:L.$yo}},extensionKind:{description:I.localize(52,null),type:"array",items:p,default:["workspace"],defaultSnippets:[{body:["ui"],description:I.localize(53,null)},{body:["workspace"],description:I.localize(54,null)},{body:["ui","workspace"],description:I.localize(55,null)},{body:["workspace","ui"],description:I.localize(56,null)},{body:[],description:I.localize(57,null)}]},capabilities:{description:I.localize(58,null),type:"object",properties:{virtualWorkspaces:{description:I.localize(59,null),type:["boolean","object"],defaultSnippets:[{label:"limited",body:{supported:"${1:limited}",description:"${2}"}},{label:"false",body:{supported:!1,description:"${2}"}}],default:(!0).valueOf,properties:{supported:{markdownDescription:I.localize(60,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[I.localize(61,null),I.localize(62,null),I.localize(63,null)]},description:{type:"string",markdownDescription:I.localize(64,null)}}},untrustedWorkspaces:{description:I.localize(65,null),type:"object",required:["supported"],defaultSnippets:[{body:{supported:"${1:limited}",description:"${2}"}}],properties:{supported:{markdownDescription:I.localize(66,null),type:["string","boolean"],enum:["limited",!0,!1],enumDescriptions:[I.localize(67,null),I.localize(68,null),I.localize(69,null)]},restrictedConfigurations:{description:I.localize(70,null),type:"array",items:{type:"string"}},description:{type:"string",markdownDescription:I.localize(71,null)}}}}},sponsor:{description:I.localize(72,null),type:"object",defaultSnippets:[{body:{url:"${1:https:}"}}],properties:{url:{description:I.localize(73,null),type:"string"}}},scripts:{type:"object",properties:{"vscode:prepublish":{description:I.localize(74,null),type:"string"},"vscode:uninstall":{description:I.localize(75,null),type:"string"}}},icon:{type:"string",description:I.localize(76,null)},l10n:{type:"string",description:I.localize(77,null)},pricing:{type:"string",markdownDescription:I.localize(78,null),enum:["Free","Trial"],default:"Free"}}};class i{constructor(){this.a=new Map}registerExtensionPoint(a){if(this.a.has(a.extensionPoint))throw new Error("Duplicate extension point: "+a.extensionPoint);const t=new l(a.extensionPoint,a.defaultExtensionKind);return this.a.set(a.extensionPoint,t),a.activationEventsGenerator&&C.$AF.register(a.extensionPoint,a.activationEventsGenerator),e.$MF.properties.contributes.properties[a.extensionPoint]=a.jsonSchema,b.registerSchema(o,e.$MF),t}getExtensionPoints(){return Array.from(this.a.values())}}e.$NF=i;const n={ExtensionsRegistry:"ExtensionsRegistry"};w.$Tn.add(n.ExtensionsRegistry,new i),e.$OF=w.$Tn.as(n.ExtensionsRegistry),b.registerSchema(o,e.$MF),b.registerSchema(M.$Rj,{properties:{extensionEnabledApiProposals:{description:I.localize(79,null),type:"object",properties:{},additionalProperties:{anyOf:[{type:"array",uniqueItems:!0,items:{type:"string",enum:Object.keys(S.allApiProposals),markdownEnumDescriptions:Object.values(S.allApiProposals)}}]}}}})}),define(Se[297],De([1,0,231,18,24,296,45,4]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cH=void 0;const v={type:"object",additionalProperties:!1,properties:{type:{type:"string",description:I.localize(0,null)},required:{type:"array",items:{type:"string"}},properties:{type:"object",description:I.localize(1,null),additionalProperties:{$ref:"http://json-schema.org/draft-07/schema#"}},when:{type:"string",markdownDescription:I.localize(2,null),default:""}}};var S;(function(b){function E(k,l,p){if(!k)return;const o=F.$Sf(k.type)?k.type:void 0;if(!o||o.length===0){p.error(I.localize(3,null));return}const i=[];if(Array.isArray(k.required))for(const n of k.required)F.$Sf(n)&&i.push(n);return{extensionId:l.value,taskType:o,required:i,properties:k.properties?$.$Hn(k.properties):{},when:k.when?R.$cj.deserialize(k.when):void 0}}b.from=E})(S||(S={}));const M=L.$OF.registerExtensionPoint({extensionPoint:"taskDefinitions",activationEventsGenerator:(b,E)=>{for(const k of b)k.type&&E.push(`onTaskType:${k.type}`)},jsonSchema:{description:I.localize(4,null),type:"array",items:v}});class C{constructor(){this.d=new w.$5d,this.onDefinitionsChanged=this.d.event,this.a=Object.create(null),this.b=new Promise((E,k)=>{M.setHandler((l,p)=>{this.c=void 0;try{for(const o of p.removed){const i=o.value;for(const n of i)this.a&&n.type&&this.a[n.type]&&delete this.a[n.type]}for(const o of p.added){const i=o.value;for(const n of i){const r=S.from(n,o.description.identifier,o.collector);r&&(this.a[r.taskType]=r)}}(p.removed.length>0||p.added.length>0)&&this.d.fire()}catch{}E(void 0)})})}onReady(){return this.b}get(E){return this.a[E]}all(){return Object.keys(this.a).map(E=>this.a[E])}getJsonSchema(){if(this.c===void 0){const E=[];for(const k of this.all()){const l={type:"object",additionalProperties:!1};k.required.length>0&&(l.required=k.required.slice(0)),k.properties!==void 0?l.properties=$.$Hn(k.properties):l.properties=Object.create(null),l.properties.type={type:"string",enum:[k.taskType]},E.push(l)}this.c={oneOf:E}}return this.c}}e.$cH=new C}),define(Se[298],De([1,0,232,18,23,24,45,297]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TaskDefinition=e.TasksSchemaProperties=e.TaskSettingId=e.KeyedTaskIdentifier=e.TaskEvent=e.TaskRunSource=e.TaskRunType=e.TaskEventKind=e.$mH=e.JsonSchemaVersion=e.ExecutionEngine=e.$lH=e.$kH=e.$jH=e.$iH=e.$hH=e.RunOptions=e.RunOnOptions=e.DependsOrder=e.TaskSourceKind=e.TaskScope=e.TaskGroup=e.CommandString=e.RuntimeType=e.PresentationOptions=e.PanelKind=e.RevealProblemKind=e.RevealKind=e.CommandOptions=e.$gH=e.ShellQuoting=e.$fH=e.$eH=e.$dH=void 0,e.$dH="settings",e.$eH=new R.$vj("taskRunning",!1,I.localize(0,null)),e.$fH=I.localize2(2,"Tasks");var v;(function(P){P[P.Escape=1]="Escape",P[P.Strong=2]="Strong",P[P.Weak=3]="Weak"})(v||(e.ShellQuoting=v={})),e.$gH="$customized",function(P){function O(j){if(!j)return P.Strong;switch(j.toLowerCase()){case"escape":return P.Escape;case"strong":return P.Strong;case"weak":return P.Weak;default:return P.Strong}}P.from=O}(v||(e.ShellQuoting=v={}));var S;(function(P){P.defaults={cwd:"${workspaceFolder}"}})(S||(e.CommandOptions=S={}));var M;(function(P){P[P.Always=1]="Always",P[P.Silent=2]="Silent",P[P.Never=3]="Never"})(M||(e.RevealKind=M={})),function(P){function O(j){switch(j.toLowerCase()){case"always":return P.Always;case"silent":return P.Silent;case"never":return P.Never;default:return P.Always}}P.fromString=O}(M||(e.RevealKind=M={}));var C;(function(P){P[P.Never=1]="Never",P[P.OnProblem=2]="OnProblem",P[P.Always=3]="Always"})(C||(e.RevealProblemKind=C={})),function(P){function O(j){switch(j.toLowerCase()){case"always":return P.Always;case"never":return P.Never;case"onproblem":return P.OnProblem;default:return P.OnProblem}}P.fromString=O}(C||(e.RevealProblemKind=C={}));var b;(function(P){P[P.Shared=1]="Shared",P[P.Dedicated=2]="Dedicated",P[P.New=3]="New"})(b||(e.PanelKind=b={})),function(P){function O(j){switch(j.toLowerCase()){case"shared":return P.Shared;case"dedicated":return P.Dedicated;case"new":return P.New;default:return P.Shared}}P.fromString=O}(b||(e.PanelKind=b={}));var E;(function(P){P.defaults={echo:!0,reveal:M.Always,revealProblems:C.Never,focus:!1,panel:b.Shared,showReuseMessage:!0,clear:!1}})(E||(e.PresentationOptions=E={}));var k;(function(P){P[P.Shell=1]="Shell",P[P.Process=2]="Process",P[P.CustomExecution=3]="CustomExecution"})(k||(e.RuntimeType=k={})),function(P){function O(K){switch(K.toLowerCase()){case"shell":return P.Shell;case"process":return P.Process;case"customExecution":return P.CustomExecution;default:return P.Process}}P.fromString=O;function j(K){switch(K){case P.Shell:return"shell";case P.Process:return"process";case P.CustomExecution:return"customExecution";default:return"process"}}P.toString=j}(k||(e.RuntimeType=k={}));var l;(function(P){function O(j){return F.$Sf(j)?j:j.value}P.value=O})(l||(e.CommandString=l={}));var p;(function(P){P.Clean={_id:"clean",isDefault:!1},P.Build={_id:"build",isDefault:!1},P.Rebuild={_id:"rebuild",isDefault:!1},P.Test={_id:"test",isDefault:!1};function O(K){return K===P.Clean._id||K===P.Build._id||K===P.Rebuild._id||K===P.Test._id}P.is=O;function j(K){if(K!==void 0)return F.$Sf(K)?O(K)?{_id:K,isDefault:!1}:void 0:K}P.from=j})(p||(e.TaskGroup=p={}));var o;(function(P){P[P.Global=1]="Global",P[P.Workspace=2]="Workspace",P[P.Folder=3]="Folder"})(o||(e.TaskScope=o={}));var i;(function(P){P.Workspace="workspace",P.Extension="extension",P.InMemory="inMemory",P.WorkspaceFile="workspaceFile",P.User="user";function O(j){switch(j){case P.User:return 2;case P.WorkspaceFile:return 5;default:return 6}}P.toConfigurationTarget=O})(i||(e.TaskSourceKind=i={}));var n;(function(P){P.parallel="parallel",P.sequence="sequence"})(n||(e.DependsOrder=n={}));var r;(function(P){P[P.default=1]="default",P[P.folderOpen=2]="folderOpen"})(r||(e.RunOnOptions=r={}));var a;(function(P){P.defaults={reevaluateOnRerun:!0,runOn:r.default,instanceLimit:1}})(a||(e.RunOptions=a={}));class t{constructor(O,j,K,ie,_,X){this._label="",this._id=O,j&&(this._label=j),K&&(this.type=K),this.runOptions=ie,this.configurationProperties=_,this._source=X}getDefinition(O){}getMapKey(){return this._id}getKey(){}getCommonTaskId(){const O={folder:this.d(),id:this._id};return JSON.stringify(O)}clone(){return this.f(Object.assign({},this))}getWorkspaceFolder(){}getWorkspaceFileName(){}getTelemetryKind(){return"unknown"}matches(O,j=!1){if(O===void 0)return!1;if(F.$Sf(O))return O===this._label||O===this.configurationProperties.identifier||j&&O===this._id;const K=this.getDefinition(!0);return K!==void 0&&K._key===O._key}getQualifiedLabel(){const O=this.getWorkspaceFolder();return O?`${this._label} (${O.name})`:this._label}getTaskExecution(){return{id:this._id,task:this}}addTaskLoadMessages(O){this.c===void 0&&(this.c=[]),O&&(this.c=this.c.concat(O))}get taskLoadMessages(){return this.c}}e.$hH=t;class d extends t{constructor(O,j,K,ie,_,X,Y,ae){super(O,K,void 0,Y,ae,j),this.command={},this._source=j,this.hasDefinedMatchers=X,_&&(this.command=_)}clone(){return new d(this._id,this._source,this._label,this.type,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}customizes(){if(this._source&&this._source.customizes)return this._source.customizes}getDefinition(O=!1){if(O&&this._source.customizes!==void 0)return this._source.customizes;{let j;switch(this.command?this.command.runtime:void 0){case k.Shell:j="shell";break;case k.Process:j="process";break;case k.CustomExecution:j="customExecution";break;case void 0:j="$composite";break;default:throw new Error("Unexpected task runtime")}return{type:j,_key:this._id,id:this._id}}}static is(O){return O instanceof d}getMapKey(){const O=this._source.config.workspaceFolder;return O?`${O.uri.toString()}|${this._id}|${this.instance}`:`${this._id}|${this.instance}`}d(){return this._source.kind===i.User?e.$dH:this._source.config.workspaceFolder?.uri.toString()}getCommonTaskId(){return this._source.customizes?super.getCommonTaskId():this.getKey()??super.getCommonTaskId()}getKey(){const O=this.d();if(!O)return;let j=this.configurationProperties.identifier;this._source.kind!==i.Workspace&&(j+=this._source.kind);const K={type:e.$gH,folder:O,id:j};return JSON.stringify(K)}getWorkspaceFolder(){return this._source.config.workspaceFolder}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?$.$Og(this._source.config.workspace.configuration):void 0}getTelemetryKind(){return this._source.customizes?"workspace>extension":"workspace"}f(O){return new d(O._id,O._source,O._label,O.type,O.command,O.hasDefinedMatchers,O.runOptions,O.configurationProperties)}}e.$iH=d;class u extends t{constructor(O,j,K,ie,_,X,Y){super(O,K,ie,X,Y,j),this._source=j,this.configures=_}static is(O){return O instanceof u}f(O){return O}getDefinition(){return this.configures}getWorkspaceFileName(){return this._source.config.workspace&&this._source.config.workspace.configuration?$.$Og(this._source.config.workspace.configuration):void 0}getWorkspaceFolder(){return this._source.config.workspaceFolder}d(){return this._source.kind===i.User?e.$dH:this._source.config.workspaceFolder?.uri.toString()}getKey(){const O=this.d();if(!O)return;let j=this.configurationProperties.identifier;this._source.kind!==i.Workspace&&(j+=this._source.kind);const K={type:e.$gH,folder:O,id:j};return JSON.stringify(K)}}e.$jH=u;class s extends t{constructor(O,j,K,ie,_,X,Y,ae,ee){super(O,K,ie,ae,ee,j),this.defines=_,this.hasDefinedMatchers=Y,this.command=X,this.icon=ee.icon,this.hide=ee.hide}clone(){return new s(this._id,this._source,this._label,this.type,this.defines,this.command,this.hasDefinedMatchers,this.runOptions,this.configurationProperties)}getDefinition(){return this.defines}static is(O){return O instanceof s}getMapKey(){const O=this._source.workspaceFolder;return O?`${this._source.scope.toString()}|${O.uri.toString()}|${this._id}|${this.instance}`:`${this._source.scope.toString()}|${this._id}|${this.instance}`}d(){if(this._source.scope===3&&this._source.workspaceFolder)return this._source.workspaceFolder.uri.toString()}getKey(){const O={type:"contributed",scope:this._source.scope,id:this._id};return O.folder=this.d(),JSON.stringify(O)}getWorkspaceFolder(){return this._source.workspaceFolder}getTelemetryKind(){return"extension"}f(O){return new s(O._id,O._source,O._label,O.type,O.defines,O.command,O.hasDefinedMatchers,O.runOptions,O.configurationProperties)}}e.$kH=s;class c extends t{constructor(O,j,K,ie,_,X){super(O,K,ie,_,X,j),this._source=j}clone(){return new c(this._id,this._source,this._label,this.type,this.runOptions,this.configurationProperties)}static is(O){return O instanceof c}getTelemetryKind(){return"composite"}getMapKey(){return`${this._id}|${this.instance}`}d(){}f(O){return new c(O._id,O._source,O._label,O.type,O.runOptions,O.configurationProperties)}}e.$lH=c;var h;(function(P){P[P.Process=1]="Process",P[P.Terminal=2]="Terminal"})(h||(e.ExecutionEngine=h={})),function(P){P._default=P.Terminal}(h||(e.ExecutionEngine=h={}));var m;(function(P){P[P.V0_1_0=1]="V0_1_0",P[P.V2_0_0=2]="V2_0_0"})(m||(e.JsonSchemaVersion=m={}));class D{constructor(O){this.c=new Map;for(let j=0;j<O.length;j++)this.c.set(O[j].uri.toString(),j)}compare(O,j){const K=O.getWorkspaceFolder(),ie=j.getWorkspaceFolder();if(K&&ie){let _=this.c.get(K.uri.toString());_=_===void 0?0:_+1;let X=this.c.get(ie.uri.toString());return X=X===void 0?0:X+1,_===X?O._label.localeCompare(j._label):_-X}else return!K&&ie?-1:K&&!ie?1:0}}e.$mH=D;var g;(function(P){P.DependsOnStarted="dependsOnStarted",P.AcquiredInput="acquiredInput",P.Start="start",P.ProcessStarted="processStarted",P.Active="active",P.Inactive="inactive",P.Changed="changed",P.Terminated="terminated",P.ProcessEnded="processEnded",P.End="end"})(g||(e.TaskEventKind=g={}));var f;(function(P){P.SingleRun="singleRun",P.Background="background"})(f||(e.TaskRunType=f={}));var y;(function(P){P[P.System=0]="System",P[P.User=1]="User",P[P.FolderOpen=2]="FolderOpen",P[P.ConfigurationChange=3]="ConfigurationChange",P[P.Reconnect=4]="Reconnect"})(y||(e.TaskRunSource=y={}));var A;(function(P){function O(ae){return{taskId:ae._id,taskName:ae.configurationProperties.name,runType:ae.configurationProperties.isBackground?"background":"singleRun",group:ae.configurationProperties.group,__task:ae}}function j(ae,ee,fe){return{...O(ae),kind:"start",terminalId:ee,resolvedVariables:fe}}P.start=j;function K(ae,ee,fe){return{...O(ae),kind:"processStarted",terminalId:ee,processId:fe}}P.processStarted=K;function ie(ae,ee,fe){return{...O(ae),kind:"processEnded",terminalId:ee,exitCode:fe}}P.processEnded=ie;function _(ae,ee,fe){return{...O(ae),kind:"terminated",exitReason:fe,terminalId:ee}}P.terminated=_;function X(ae,ee,fe){return{...O(ee),kind:ae,terminalId:fe}}P.general=X;function Y(){return{kind:"changed"}}P.changed=Y})(A||(e.TaskEvent=A={}));var N;(function(P){function O(K){const ie=Object.keys(K).sort();let _="";for(const X of ie){let Y=K[X];Y instanceof Object?Y=O(Y):typeof Y=="string"&&(Y=Y.replace(/,/g,",,")),_+=X+","+Y+","}return _}function j(K){const _={_key:O(K),type:K.taskType};return Object.assign(_,K),_}P.create=j})(N||(e.KeyedTaskIdentifier=N={}));var U;(function(P){P.AutoDetect="task.autoDetect",P.SaveBeforeRun="task.saveBeforeRun",P.ShowDecorations="task.showDecorations",P.ProblemMatchersNeverPrompt="task.problemMatchers.neverPrompt",P.SlowProviderWarning="task.slowProviderWarning",P.QuickOpenHistory="task.quickOpen.history",P.QuickOpenDetail="task.quickOpen.detail",P.QuickOpenSkip="task.quickOpen.skip",P.QuickOpenShowAll="task.quickOpen.showAll",P.AllowAutomaticTasks="task.allowAutomaticTasks",P.Reconnection="task.reconnection",P.VerboseLogging="task.verboseLogging"})(U||(e.TaskSettingId=U={}));var z;(function(P){P.Tasks="tasks",P.SuppressTaskName="tasks.suppressTaskName",P.Windows="tasks.windows",P.Osx="tasks.osx",P.Linux="tasks.linux",P.ShowOutput="tasks.showOutput",P.IsShellCommand="tasks.isShellCommand",P.ServiceTestSetting="tasks.service.testSetting"})(z||(e.TasksSchemaProperties=z={}));var T;(function(P){function O(j,K){const ie=w.$cH.get(j.type);if(ie===void 0){const ae=L.$Hn(j);return delete ae._key,N.create(ae)}const _=Object.create(null);_.type=ie.taskType;const X=new Set;ie.required.forEach(ae=>X.add(ae));const Y=ie.properties;for(const ae of Object.keys(Y)){const ee=j[ae];if(ee!=null)_[ae]=ee;else if(X.has(ae)){const fe=Y[ae];if(fe.default!==void 0)_[ae]=L.$Hn(fe.default);else switch(fe.type){case"boolean":_[ae]=!1;break;case"number":case"integer":_[ae]=0;break;case"string":_[ae]="";break;default:K.error(I.localize(1,null,JSON.stringify(j,void 0,0),ae));return}}}return N.create(_)}P.createTaskIdentifier=O})(T||(e.TaskDefinition=T={}))}),define(Se[299],De([1,0,14]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$I9b=e.$H9b=void 0;class F{constructor(){this.a=null,this.b=null,this.d=null,this.f=!1,this.g=null,this.h=!1,this.i=null}get[Symbol.toStringTag](){return this.toString()}j(){return this.a||(this.a=new Promise((R,w)=>{this.b=R,this.d=w,this.f&&this.b(this.g),this.h&&this.d(this.i)})),this.a}resolveOk(R){this.f||this.h||(this.f=!0,this.g=R,this.a&&this.b(R))}resolveErr(R){this.f||this.h||(this.h=!0,this.i=R,this.a?this.d(R):(0,I.$1)(R))}then(R,w){return this.j().then(R,w)}catch(R){return this.j().then(void 0,R)}finally(R){return this.j().finally(R)}}e.$H9b=F;class $ extends F{constructor(){super(),this.h=!0,this.i=new I.$5}}e.$I9b=$}),define(Se[68],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6v=e.$5v=e.$4v=e.$3v=void 0;class I{static{this.count=0}constructor(v){this._proxyIdentifierBrand=void 0,this.sid=v,this.nid=++I.count}}e.$3v=I;const F=[];function $(w){const v=new I(w);return F[v.nid]=v,v}e.$4v=$;function L(w){return F[w].sid}e.$5v=L;class R{constructor(v){this.value=v}}e.$6v=R}),define(Se[6],De([1,0,68]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1L=e.$ZL=e.ExtHostTestingResource=e.ISuggestResultDtoField=e.ISuggestDataDtoField=e.$YL=e.CandidatePortSource=e.NotebookEditorRevealType=e.CellOutputKind=e.WebviewMessageArrayBufferViewType=e.WebviewEditorCapabilities=e.TabModelOperationKind=e.TabInputKind=e.TextEditorRevealType=void 0;var F;(function(l){l[l.Default=0]="Default",l[l.InCenter=1]="InCenter",l[l.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",l[l.AtTop=3]="AtTop"})(F||(e.TextEditorRevealType=F={}));var $;(function(l){l[l.UnknownInput=0]="UnknownInput",l[l.TextInput=1]="TextInput",l[l.TextDiffInput=2]="TextDiffInput",l[l.TextMergeInput=3]="TextMergeInput",l[l.NotebookInput=4]="NotebookInput",l[l.NotebookDiffInput=5]="NotebookDiffInput",l[l.CustomEditorInput=6]="CustomEditorInput",l[l.WebviewEditorInput=7]="WebviewEditorInput",l[l.TerminalEditorInput=8]="TerminalEditorInput",l[l.InteractiveEditorInput=9]="InteractiveEditorInput",l[l.ChatEditorInput=10]="ChatEditorInput"})($||(e.TabInputKind=$={}));var L;(function(l){l[l.TAB_OPEN=0]="TAB_OPEN",l[l.TAB_CLOSE=1]="TAB_CLOSE",l[l.TAB_UPDATE=2]="TAB_UPDATE",l[l.TAB_MOVE=3]="TAB_MOVE"})(L||(e.TabModelOperationKind=L={}));var R;(function(l){l[l.Editable=0]="Editable",l[l.SupportsHotExit=1]="SupportsHotExit"})(R||(e.WebviewEditorCapabilities=R={}));var w;(function(l){l[l.Int8Array=1]="Int8Array",l[l.Uint8Array=2]="Uint8Array",l[l.Uint8ClampedArray=3]="Uint8ClampedArray",l[l.Int16Array=4]="Int16Array",l[l.Uint16Array=5]="Uint16Array",l[l.Int32Array=6]="Int32Array",l[l.Uint32Array=7]="Uint32Array",l[l.Float32Array=8]="Float32Array",l[l.Float64Array=9]="Float64Array",l[l.BigInt64Array=10]="BigInt64Array",l[l.BigUint64Array=11]="BigUint64Array"})(w||(e.WebviewMessageArrayBufferViewType=w={}));var v;(function(l){l[l.Text=1]="Text",l[l.Error=2]="Error",l[l.Rich=3]="Rich"})(v||(e.CellOutputKind=v={}));var S;(function(l){l[l.Default=0]="Default",l[l.InCenter=1]="InCenter",l[l.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",l[l.AtTop=3]="AtTop"})(S||(e.NotebookEditorRevealType=S={}));var M;(function(l){l[l.None=0]="None",l[l.Process=1]="Process",l[l.Output=2]="Output"})(M||(e.CandidatePortSource=M={}));class C{static{this.a=0}static mixin(p){return p._id=C.a++,p}}e.$YL=C;var b;(function(l){l.label="a",l.kind="b",l.detail="c",l.documentation="d",l.sortText="e",l.filterText="f",l.preselect="g",l.insertText="h",l.insertTextRules="i",l.range="j",l.commitCharacters="k",l.additionalTextEdits="l",l.kindModifier="m",l.commandIdent="n",l.commandId="o",l.commandArguments="p"})(b||(e.ISuggestDataDtoField=b={}));var E;(function(l){l.defaultRanges="a",l.completions="b",l.isIncomplete="c",l.duration="d"})(E||(e.ISuggestResultDtoField=E={}));var k;(function(l){l[l.Workspace=0]="Workspace",l[l.TextDocument=1]="TextDocument"})(k||(e.ExtHostTestingResource=k={})),e.$ZL={MainThreadAuthentication:(0,I.$4v)("MainThreadAuthentication"),MainThreadBulkEdits:(0,I.$4v)("MainThreadBulkEdits"),MainThreadChatProvider:(0,I.$4v)("MainThreadChatProvider"),MainThreadChatAgents2:(0,I.$4v)("MainThreadChatAgents2"),MainThreadChatVariables:(0,I.$4v)("MainThreadChatVariables"),MainThreadClipboard:(0,I.$4v)("MainThreadClipboard"),MainThreadCommands:(0,I.$4v)("MainThreadCommands"),MainThreadComments:(0,I.$4v)("MainThreadComments"),MainThreadConfiguration:(0,I.$4v)("MainThreadConfiguration"),MainThreadConsole:(0,I.$4v)("MainThreadConsole"),MainThreadDebugService:(0,I.$4v)("MainThreadDebugService"),MainThreadDecorations:(0,I.$4v)("MainThreadDecorations"),MainThreadDiagnostics:(0,I.$4v)("MainThreadDiagnostics"),MainThreadDialogs:(0,I.$4v)("MainThreadDiaglogs"),MainThreadDocuments:(0,I.$4v)("MainThreadDocuments"),MainThreadDocumentContentProviders:(0,I.$4v)("MainThreadDocumentContentProviders"),MainThreadTextEditors:(0,I.$4v)("MainThreadTextEditors"),MainThreadEditorInsets:(0,I.$4v)("MainThreadEditorInsets"),MainThreadEditorTabs:(0,I.$4v)("MainThreadEditorTabs"),MainThreadErrors:(0,I.$4v)("MainThreadErrors"),MainThreadTreeViews:(0,I.$4v)("MainThreadTreeViews"),MainThreadDownloadService:(0,I.$4v)("MainThreadDownloadService"),MainThreadLanguageFeatures:(0,I.$4v)("MainThreadLanguageFeatures"),MainThreadLanguages:(0,I.$4v)("MainThreadLanguages"),MainThreadLogger:(0,I.$4v)("MainThreadLogger"),MainThreadMessageService:(0,I.$4v)("MainThreadMessageService"),MainThreadOutputService:(0,I.$4v)("MainThreadOutputService"),MainThreadProgress:(0,I.$4v)("MainThreadProgress"),MainThreadQuickDiff:(0,I.$4v)("MainThreadQuickDiff"),MainThreadQuickOpen:(0,I.$4v)("MainThreadQuickOpen"),MainThreadStatusBar:(0,I.$4v)("MainThreadStatusBar"),MainThreadSecretState:(0,I.$4v)("MainThreadSecretState"),MainThreadStorage:(0,I.$4v)("MainThreadStorage"),MainThreadSpeech:(0,I.$4v)("MainThreadSpeechProvider"),MainThreadTelemetry:(0,I.$4v)("MainThreadTelemetry"),MainThreadTerminalService:(0,I.$4v)("MainThreadTerminalService"),MainThreadWebviews:(0,I.$4v)("MainThreadWebviews"),MainThreadWebviewPanels:(0,I.$4v)("MainThreadWebviewPanels"),MainThreadWebviewViews:(0,I.$4v)("MainThreadWebviewViews"),MainThreadCustomEditors:(0,I.$4v)("MainThreadCustomEditors"),MainThreadUrls:(0,I.$4v)("MainThreadUrls"),MainThreadUriOpeners:(0,I.$4v)("MainThreadUriOpeners"),MainThreadProfileContentHandlers:(0,I.$4v)("MainThreadProfileContentHandlers"),MainThreadWorkspace:(0,I.$4v)("MainThreadWorkspace"),MainThreadFileSystem:(0,I.$4v)("MainThreadFileSystem"),MainThreadFileSystemEventService:(0,I.$4v)("MainThreadFileSystemEventService"),MainThreadExtensionService:(0,I.$4v)("MainThreadExtensionService"),MainThreadSCM:(0,I.$4v)("MainThreadSCM"),MainThreadSearch:(0,I.$4v)("MainThreadSearch"),MainThreadShare:(0,I.$4v)("MainThreadShare"),MainThreadTask:(0,I.$4v)("MainThreadTask"),MainThreadWindow:(0,I.$4v)("MainThreadWindow"),MainThreadLabelService:(0,I.$4v)("MainThreadLabelService"),MainThreadNotebook:(0,I.$4v)("MainThreadNotebook"),MainThreadNotebookDocuments:(0,I.$4v)("MainThreadNotebookDocumentsShape"),MainThreadNotebookEditors:(0,I.$4v)("MainThreadNotebookEditorsShape"),MainThreadNotebookKernels:(0,I.$4v)("MainThreadNotebookKernels"),MainThreadNotebookRenderers:(0,I.$4v)("MainThreadNotebookRenderers"),MainThreadInteractive:(0,I.$4v)("MainThreadInteractive"),MainThreadChat:(0,I.$4v)("MainThreadChat"),MainThreadInlineChat:(0,I.$4v)("MainThreadInlineChatShape"),MainThreadTheming:(0,I.$4v)("MainThreadTheming"),MainThreadTunnelService:(0,I.$4v)("MainThreadTunnelService"),MainThreadManagedSockets:(0,I.$4v)("MainThreadManagedSockets"),MainThreadTimeline:(0,I.$4v)("MainThreadTimeline"),MainThreadTesting:(0,I.$4v)("MainThreadTesting"),MainThreadLocalization:(0,I.$4v)("MainThreadLocalizationShape"),MainThreadAiRelatedInformation:(0,I.$4v)("MainThreadAiRelatedInformation"),MainThreadAiEmbeddingVector:(0,I.$4v)("MainThreadAiEmbeddingVector"),MainThreadIssueReporter:(0,I.$4v)("MainThreadIssueReporter")},e.$1L={ExtHostCommands:(0,I.$4v)("ExtHostCommands"),ExtHostConfiguration:(0,I.$4v)("ExtHostConfiguration"),ExtHostDiagnostics:(0,I.$4v)("ExtHostDiagnostics"),ExtHostDebugService:(0,I.$4v)("ExtHostDebugService"),ExtHostDecorations:(0,I.$4v)("ExtHostDecorations"),ExtHostDocumentsAndEditors:(0,I.$4v)("ExtHostDocumentsAndEditors"),ExtHostDocuments:(0,I.$4v)("ExtHostDocuments"),ExtHostDocumentContentProviders:(0,I.$4v)("ExtHostDocumentContentProviders"),ExtHostDocumentSaveParticipant:(0,I.$4v)("ExtHostDocumentSaveParticipant"),ExtHostEditors:(0,I.$4v)("ExtHostEditors"),ExtHostTreeViews:(0,I.$4v)("ExtHostTreeViews"),ExtHostFileSystem:(0,I.$4v)("ExtHostFileSystem"),ExtHostFileSystemInfo:(0,I.$4v)("ExtHostFileSystemInfo"),ExtHostFileSystemEventService:(0,I.$4v)("ExtHostFileSystemEventService"),ExtHostLanguages:(0,I.$4v)("ExtHostLanguages"),ExtHostLanguageFeatures:(0,I.$4v)("ExtHostLanguageFeatures"),ExtHostQuickOpen:(0,I.$4v)("ExtHostQuickOpen"),ExtHostQuickDiff:(0,I.$4v)("ExtHostQuickDiff"),ExtHostStatusBar:(0,I.$4v)("ExtHostStatusBar"),ExtHostShare:(0,I.$4v)("ExtHostShare"),ExtHostExtensionService:(0,I.$4v)("ExtHostExtensionService"),ExtHostLogLevelServiceShape:(0,I.$4v)("ExtHostLogLevelServiceShape"),ExtHostTerminalService:(0,I.$4v)("ExtHostTerminalService"),ExtHostSCM:(0,I.$4v)("ExtHostSCM"),ExtHostSearch:(0,I.$4v)("ExtHostSearch"),ExtHostTask:(0,I.$4v)("ExtHostTask"),ExtHostWorkspace:(0,I.$4v)("ExtHostWorkspace"),ExtHostWindow:(0,I.$4v)("ExtHostWindow"),ExtHostWebviews:(0,I.$4v)("ExtHostWebviews"),ExtHostWebviewPanels:(0,I.$4v)("ExtHostWebviewPanels"),ExtHostCustomEditors:(0,I.$4v)("ExtHostCustomEditors"),ExtHostWebviewViews:(0,I.$4v)("ExtHostWebviewViews"),ExtHostEditorInsets:(0,I.$4v)("ExtHostEditorInsets"),ExtHostEditorTabs:(0,I.$4v)("ExtHostEditorTabs"),ExtHostProgress:(0,I.$4v)("ExtHostProgress"),ExtHostComments:(0,I.$4v)("ExtHostComments"),ExtHostSecretState:(0,I.$4v)("ExtHostSecretState"),ExtHostStorage:(0,I.$4v)("ExtHostStorage"),ExtHostUrls:(0,I.$4v)("ExtHostUrls"),ExtHostUriOpeners:(0,I.$4v)("ExtHostUriOpeners"),ExtHostProfileContentHandlers:(0,I.$4v)("ExtHostProfileContentHandlers"),ExtHostOutputService:(0,I.$4v)("ExtHostOutputService"),ExtHostLabelService:(0,I.$4v)("ExtHostLabelService"),ExtHostNotebook:(0,I.$4v)("ExtHostNotebook"),ExtHostNotebookDocuments:(0,I.$4v)("ExtHostNotebookDocuments"),ExtHostNotebookEditors:(0,I.$4v)("ExtHostNotebookEditors"),ExtHostNotebookKernels:(0,I.$4v)("ExtHostNotebookKernels"),ExtHostNotebookRenderers:(0,I.$4v)("ExtHostNotebookRenderers"),ExtHostNotebookDocumentSaveParticipant:(0,I.$4v)("ExtHostNotebookDocumentSaveParticipant"),ExtHostInteractive:(0,I.$4v)("ExtHostInteractive"),ExtHostInlineChat:(0,I.$4v)("ExtHostInlineChatShape"),ExtHostChat:(0,I.$4v)("ExtHostChat"),ExtHostChatAgents2:(0,I.$4v)("ExtHostChatAgents"),ExtHostChatVariables:(0,I.$4v)("ExtHostChatVariables"),ExtHostChatProvider:(0,I.$4v)("ExtHostChatProvider"),ExtHostSpeech:(0,I.$4v)("ExtHostSpeech"),ExtHostAiRelatedInformation:(0,I.$4v)("ExtHostAiRelatedInformation"),ExtHostAiEmbeddingVector:(0,I.$4v)("ExtHostAiEmbeddingVector"),ExtHostTheming:(0,I.$4v)("ExtHostTheming"),ExtHostTunnelService:(0,I.$4v)("ExtHostTunnelService"),ExtHostManagedSockets:(0,I.$4v)("ExtHostManagedSockets"),ExtHostAuthentication:(0,I.$4v)("ExtHostAuthentication"),ExtHostTimeline:(0,I.$4v)("ExtHostTimeline"),ExtHostTesting:(0,I.$4v)("ExtHostTesting"),ExtHostTelemetry:(0,I.$4v)("ExtHostTelemetry"),ExtHostLocalization:(0,I.$4v)("ExtHostLocalization"),ExtHostIssueReporter:(0,I.$4v)("ExtHostIssueReporter")}}),define(Se[91],De([1,0,5,13,6,20]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hhc=e.$Ghc=e.$Fhc=void 0,e.$Fhc=(0,I.$ei)("IExtHostApiDeprecationService");let R=class{constructor(v,S){this.c=S,this.a=new Set,this.b=v.getProxy($.$ZL.MainThreadTelemetry)}report(v,S,M){const C=this.d(v,S);this.a.has(C)||(this.a.add(C),S.isUnderDevelopment&&this.c.warn(`[Deprecation Warning] '${v}' is deprecated. ${M}`),this.b.$publicLog2("extHostDeprecatedApiUsage",{extensionId:S.identifier.value,apiId:v}))}d(v,S){return`${v}-${S.identifier.value}`}};e.$Ghc=R,e.$Ghc=R=Je([Ve(0,L.$eO),Ve(1,F.$yj)],R),e.$Hhc=Object.freeze(new class{report(w,v,S){}})}),define(Se[300],De([1,0,48,3,6]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rhc=void 0;class L{static{this.a=0}constructor(v,S){this.extension=v,this.provider=S,this.handle=L.a++}}class R{static{this.a=0}constructor(v){this.b=new Map,this.c=new Map,this.d=v.getProxy($.$ZL.MainThreadChat)}registerChatProvider(v,S,M){const C=new L(v,M);return this.b.set(C.handle,C),this.d.$registerChatProvider(C.handle,S),(0,F.$Rc)(()=>{this.d.$unregisterChatProvider(C.handle),this.b.delete(C.handle)})}transferChatSession(v,S){const M=I.Iterable.find(this.c.keys(),C=>this.c.get(C)===v)??0;typeof M=="number"&&this.d.$transferChatSession(M,S)}sendInteractiveRequestToProvider(v,S){this.d.$sendRequestToProvider(v,S)}async $prepareChat(v,S){const M=this.b.get(v);if(!M)return;const C=await M.provider.prepareSession(S);if(!C)return;const b=R.a++;return this.c.set(b,C),{id:b,requesterUsername:C.requester?.name,requesterAvatarIconUri:C.requester?.icon,responderUsername:C.responder?.name,responderAvatarIconUri:C.responder?.icon,inputPlaceholder:C.inputPlaceholder}}$releaseSession(v){this.c.delete(v)}}e.$Rhc=R}),define(Se[301],De([1,0,6]),function(me,e,I){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vhc=void 0;class F{constructor(L){const R=L.getProxy(I.$ZL.MainThreadClipboard);this.value=Object.freeze({readText(){return R.$readText()},writeText(w){return R.$writeText(w)}})}}e.$Vhc=F}),define(Se[302],De([1,0,24,6,27,20]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mjc=void 0;let R=class{constructor(M,C){this.a=M.getProxy(F.$ZL.MainThreadConsole),this.b=C.consoleForward.includeStack,this.c=C.consoleForward.logNative,this.d("info","log"),this.d("log","log"),this.d("warn","warn"),this.d("debug","debug"),this.d("error","error")}d(M,C){const b=this,E=console[M];Object.defineProperty(console,M,{set:()=>{},get:()=>function(){b.e(M,C,E,arguments)}})}e(M,C,b,E){this.a.$logExtensionHostMessage({type:"__$console",severity:C,arguments:v(E,this.b)}),this.c&&this.f(M,b,E)}};e.$Mjc=R,e.$Mjc=R=Je([Ve(0,L.$eO),Ve(1,$.$uO)],R);const w=1e5;function v(S,M){const C=[];if(S.length)for(let b=0;b<S.length;b++){let E=S[b];if(typeof E>"u")E="undefined";else if(E instanceof Error){const k=E;k.stack?E=k.stack:E=k.toString()}C.push(E)}if(M){const b=new Error().stack;b&&C.push({__$stack:b.split(`
`).slice(3).join(`
`)})}try{const b=(0,I.$Mn)(C);return b.length>w?"Output omitted for a large object that exceeds the limits":b}catch(b){return`Output omitted for an object that cannot be inspected ('${b.toString()}')`}}}),define(Se[303],De([1,0,2,6,26]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qic=void 0;class L{constructor(w){this.a=w.getProxy(F.$ZL.MainThreadDialogs)}showOpenDialog(w,v){return v?.allowUIResources&&(0,$.$VF)(w,"showLocal"),this.a.$showOpenDialog(v).then(S=>S?S.map(M=>I.URI.revive(M)):void 0)}showSaveDialog(w){return this.a.$showSaveDialog(w).then(v=>v?I.URI.revive(v):void 0)}}e.$Qic=L}),define(Se[304],De([1,0,3,6]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$_ic=void 0;class ${constructor(R){this.b=0,this.a=R.getProxy(F.$ZL.MainThreadLabelService)}$registerResourceLabelFormatter(R){const w=this.b++;return this.a.$registerResourceLabelFormatter(w,R),(0,I.$Rc)(()=>{this.a.$unregisterResourceLabelFormatter(w)})}}e.$_ic=$}),define(Se[114],De([1,0,11,12,2,5,13,6,27,20]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$zic=e.$yic=void 0;let M=class{constructor(b,E,k){this.f=k,this.d=new Map,this.a=E.getProxy(w.$ZL.MainThreadLocalization),this.b=b.environment.appLanguage,this.c=this.b===I.$g}getMessage(b,E){const{message:k,args:l,comment:p}=E;if(this.c)return(0,F.$Ue)(k,l??{});let o=k;p&&p.length>0&&(o+=`/${Array.isArray(p)?p.join(""):p}`);const i=this.d.get(b)?.contents[o];return i||this.f.warn(`Using default string since no string found in i18n bundle that has the key: ${o}`),(0,F.$Ue)(i??k,l??{})}getBundle(b){return this.d.get(b)?.contents}getBundleUri(b){return this.d.get(b)?.uri}async initializeLocalizedMessages(b){if(this.c||!b.l10n&&!b.isBuiltin||this.d.has(b.identifier.value))return;let E;const k=await this.g(b);if(!k){this.f.error(`No bundle location found for extension ${b.identifier.value}`);return}try{const l=await this.a.$fetchBundleContents(k),p=JSON.parse(l);E=b.isBuiltin?p.contents?.bundle:p}catch(l){this.f.error(`Failed to load translations for ${b.identifier.value} from ${k}: ${l.message}`);return}E&&this.d.set(b.identifier.value,{contents:E,uri:k})}async g(b){if(b.isBuiltin){const E=await this.a.$fetchBuiltInBundleUri(b.identifier.value,this.b);return $.URI.revive(E)}return b.l10n?$.URI.joinPath(b.extensionLocation,b.l10n,`bundle.l10n.${this.b}.json`):void 0}};e.$yic=M,e.$yic=M=Je([Ve(0,v.$uO),Ve(1,S.$eO),Ve(2,R.$yj)],M),e.$zic=(0,L.$ei)("IExtHostLocalizationService")}),define(Se[146],De([1,0,13,6,27,20,2,56]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ljc=void 0;let v=class extends I.$Jj{constructor(C,b){super(b.logLevel,b.logsLocation,b.loggers.map(E=>(0,w.$Nh)(E))),this.r=C.getProxy(F.$ZL.MainThreadLogger)}$setLogLevel(C,b){b?this.setLogLevel(R.URI.revive(b),C):this.setLogLevel(C)}setVisibility(C,b){super.setVisibility(C,b),this.r.$setVisibility(C,b)}s(C,b,E){return new S(this.r,C,b,E)}};e.$Ljc=v,e.$Ljc=v=Je([Ve(0,L.$eO),Ve(1,$.$uO)],v);class S extends I.$Ej{constructor(C,b,E,k){super(k?.logLevel==="always"),this.r=C,this.s=b,this.m=!1,this.n=[],this.setLevel(E),this.r.$createLogger(b,k).then(()=>{this.u(this.n),this.m=!0})}g(C,b){const E=[[C,b]];this.m?this.u(E):this.n.push(...E)}u(C){this.r.$log(this.s,C)}flush(){this.r.$flush(this.s)}}}),define(Se[115],De([1,0,6,5,3,20,21]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bic=e.$Aic=void 0,e.$Aic=(0,F.$ei)("IExtHostManagedSockets");let w=class{constructor(C){this.b=0,this.c=null,this.d=new Map,this.a=C.getProxy(I.$ZL.MainThreadManagedSockets)}setFactory(C,b){for(const E of this.d.values())E.dispose();this.c&&this.a.$unregisterSocketFactory(this.c.socketFactoryId),this.c=new v(C,b),this.a.$registerSocketFactory(this.c.socketFactoryId)}async $openRemoteSocket(C){if(!this.c||this.c.socketFactoryId!==C)throw new Error(`No socket factory with id ${C}`);const b=++this.b,E=await this.c.makeConnection(),k=new $.$Sc;return this.d.set(b,new S(b,E,k)),k.add((0,$.$Rc)(()=>this.d.delete(b))),k.add(E.onDidEnd(()=>{this.a.$onDidManagedSocketEnd(b),k.dispose()})),k.add(E.onDidClose(l=>{this.a.$onDidManagedSocketClose(b,l?.stack??l?.message),k.dispose()})),k.add(E.onDidReceiveMessage(l=>this.a.$onDidManagedSocketHaveData(b,R.$se.wrap(l)))),b}$remoteSocketWrite(C,b){this.d.get(C)?.actual.send(b.buffer)}$remoteSocketEnd(C){const b=this.d.get(C);b&&(b.actual.end(),b.dispose())}async $remoteSocketDrain(C){await this.d.get(C)?.actual.drain?.()}};e.$Bic=w,e.$Bic=w=Je([Ve(0,L.$eO)],w);class v{constructor(C,b){this.socketFactoryId=C,this.makeConnection=b}}class S extends $.$Tc{constructor(C,b,E){super(),this.socketId=C,this.actual=b,this.B(E)}}}),define(Se[305],De([1,0,6,13,26]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$bjc=void 0;function L(w){return w&&w.title}let R=class{constructor(v,S){this.b=S,this.a=v.getProxy(I.$ZL.MainThreadMessageService)}showMessage(v,S,M,C,b){const E={source:{identifier:v.identifier,label:v.displayName||v.name}};let k;typeof C=="string"||L(C)?k=[C,...b]:(E.modal=C?.modal,E.useCustom=C?.useCustom,E.detail=C?.detail,k=b),E.useCustom&&(0,$.$VF)(v,"resolvers");const l=[];let p=!1;for(let o=0;o<k.length;o++){const i=k[o];if(typeof i=="string")l.push({title:i,handle:o,isCloseAffordance:!1});else if(typeof i=="object"){const{title:n,isCloseAffordance:r}=i;l.push({title:n,isCloseAffordance:!!r,handle:o}),r&&(p?this.b.warn(`[${v.identifier}] Only one message item can have 'isCloseAffordance':`,i):p=!0)}else this.b.warn(`[${v.identifier}] Invalid message item:`,i)}return this.a.$showMessage(S,M,E,l).then(o=>{if(typeof o=="number")return k[o]})}};e.$bjc=R,e.$bjc=R=Je([Ve(1,F.$yj)],R)}),define(Se[306],De([1,0,3,18,2,26,6]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kjc=void 0;class w{constructor(S){this.b=new Map,this.a=S.getProxy(R.$ZL.MainThreadProfileContentHandlers)}registerProfileContentHandler(S,M,C){if((0,L.$VF)(S,"profileContentHandlers"),this.b.has(M))throw new Error(`Handler with id '${M}' already registered`);return this.b.set(M,C),this.a.$registerProfileContentHandler(M,C.name,C.description,S.identifier.value),(0,I.$Rc)(()=>{this.b.delete(M),this.a.$unregisterProfileContentHandler(M)})}async $saveProfile(S,M,C,b){const E=this.b.get(S);if(!E)throw new Error(`Unknown handler with id: ${S}`);return E.saveProfile(M,C,b)}async $readProfile(S,M,C){const b=this.b.get(S);if(!b)throw new Error(`Unknown handler with id: ${S}`);return b.readProfile((0,F.$Sf)(M)?M:$.URI.revive(M),C)}}e.$kjc=w}),define(Se[116],De([1,0,6,4,5]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wic=e.$vic=void 0;class L{constructor(w){this.b=new F.$5d,this.onDidChangePassword=this.b.event,this.a=w.getProxy(I.$ZL.MainThreadSecretState)}async $onDidChangePassword(w){this.b.fire(w)}get(w,v){return this.a.$getPassword(w,v)}store(w,v,S){return this.a.$setPassword(w,v,S)}delete(w,v){return this.a.$deletePassword(w,v)}}e.$vic=L,e.$wic=(0,$.$ei)("IExtHostSecretState")}),define(Se[307],De([1,0,22,3,6]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$rjc=void 0;class L{static{this.a=1}constructor(w){this.c=new Map,this.d=new Map,this.b=w.getProxy($.$ZL.MainThreadSpeech)}async $createSpeechToTextSession(w,v,S){const M=this.c.get(w);if(!M)return;const C=new F.$Sc,b=new I.$ce;this.d.set(v,b);const E=C.add(M.provideSpeechToTextSession(b.token,S?{language:S}:void 0));C.add(E.onDidChange(k=>{b.token.isCancellationRequested||this.b.$emitSpeechToTextEvent(v,k)})),C.add(b.token.onCancellationRequested(()=>C.dispose()))}async $cancelSpeechToTextSession(w){this.d.get(w)?.dispose(!0),this.d.delete(w)}async $createKeywordRecognitionSession(w,v){const S=this.c.get(w);if(!S)return;const M=new F.$Sc,C=new I.$ce;this.d.set(v,C);const b=M.add(S.provideKeywordRecognitionSession(C.token));M.add(b.onDidChange(E=>{C.token.isCancellationRequested||this.b.$emitKeywordRecognitionEvent(v,E)})),M.add(C.token.onCancellationRequested(()=>M.dispose()))}async $cancelKeywordRecognitionSession(w){this.d.get(w)?.dispose(!0),this.d.delete(w)}registerProvider(w,v,S){const M=L.a++;return this.c.set(M,S),this.b.$registerProvider(M,v,{extension:w,displayName:w.value}),(0,F.$Rc)(()=>{this.b.$unregisterProvider(M),this.c.delete(M)})}}e.$rjc=L}),define(Se[117],De([1,0,6,4,5]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$oic=e.$nic=void 0;class L{constructor(w,v){this.c=v,this.b=new F.$5d,this.onDidChangeStorage=this.b.event,this.a=w.getProxy(I.$ZL.MainThreadStorage)}registerExtensionStorageKeysToSync(w,v){this.a.$registerExtensionStorageKeysToSync(w,v)}async initializeExtensionStorage(w,v,S){const M=await this.a.$initializeExtensionStorage(w,v);let C;return M&&(C=this.d(w,v,M)),C||S}setValue(w,v,S){return this.a.$setValue(w,v,S)}$acceptValue(w,v,S){const M=this.d(w,v,S);M&&this.b.fire({shared:w,key:v,value:M})}d(w,v,S){try{return JSON.parse(S)}catch(M){this.c.error(`[extHostStorage] unexpected error parsing storage contents (extensionId: ${v}, global: ${w}): ${M}`)}}}e.$nic=L,e.$oic=(0,$.$ei)("IExtHostStorage")}),define(Se[308],De([1,0,3,16,2,6]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Fjc=void 0;class R{static{this.a=new Set([F.Schemas.http,F.Schemas.https])}constructor(v){this.c=new Map,this.b=v.getProxy(L.$ZL.MainThreadUriOpeners)}registerExternalUriOpener(v,S,M,C){if(this.c.has(S))throw new Error(`Opener with id '${S}' already registered`);const b=C.schemes.find(E=>!R.a.has(E));if(b)throw new Error(`Scheme '${b}' is not supported. Only http and https are currently supported.`);return this.c.set(S,M),this.b.$registerUriOpener(S,C.schemes,v,C.label),(0,I.$Rc)(()=>{this.c.delete(S),this.b.$unregisterUriOpener(S)})}async $canOpenUri(v,S,M){const C=this.c.get(v);if(!C)throw new Error(`Unknown opener with id: ${v}`);const b=$.URI.revive(S);return C.canOpenExternalUri(b,M)}async $openUri(v,S,M){const C=this.c.get(v);if(!C)throw new Error(`Unknown opener id: '${v}'`);return C.openExternalUri($.URI.revive(S.resolvedUri),{sourceUri:$.URI.revive(S.sourceUri)},M)}}e.$Fjc=R}),define(Se[309],De([1,0,6,2,3,14,25]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Gjc=void 0;class w{static{this.a=0}constructor(S){this.c=new R.$xm,this.d=new Map,this.b=S.getProxy(I.$ZL.MainThreadUrls)}registerUriHandler(S,M){const C=S.identifier;if(this.c.has(C))throw new Error(`Protocol handler already registered for extension ${C}`);const b=w.a++;return this.c.add(C),this.d.set(b,M),this.b.$registerUriHandler(b,C,S.displayName||S.name),(0,$.$Rc)(()=>{this.c.delete(C),this.d.delete(b),this.b.$unregisterUriHandler(b)})}$handleExternalUri(S,M){const C=this.d.get(S);if(!C)return Promise.resolve(void 0);try{C.handleUri(F.URI.revive(M))}catch(b){(0,L.$1)(b)}return Promise.resolve(void 0)}async createAppUri(S){return F.URI.revive(await this.b.$createAppUri(S))}}e.$Gjc=w}),define(Se[92],De([1,0,4,3,16,24,2,239,276,112,6]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cic=e.$bic=e.$aic=e.$_hc=e.$$hc=void 0;class C{#e;#t;#i;#n;#s;#r;#a;#o;#c;#l;#u;#d;constructor(r,a,t,d,u,s,c){this.#a="",this.#c=!1,this.#l=!1,this._onMessageEmitter=new I.$5d,this.onDidReceiveMessage=this._onMessageEmitter.event,this.#h=new I.$5d,this._onDidDispose=this.#h.event,this.#e=r,this.#t=a,this.#o=t,this.#n=d,this.#s=u,this.#r=s,this.#u=b(s),this.#d=E(s),this.#i=c}#h;dispose(){this.#c=!0,this.#h.fire(),this.#h.dispose(),this._onMessageEmitter.dispose()}asWebviewUri(r){return this.#l=!0,(0,S.$Axb)(r,this.#n)}get cspSource(){const r=this.#r.extensionLocation;if(r.scheme===$.Schemas.https||r.scheme===$.Schemas.http){let a=r.toString();return a.endsWith("/")||(a+="/"),a+" "+S.$zxb}return S.$zxb}get html(){return this.a(),this.#a}set html(r){this.a(),this.#a!==r&&(this.#a=r,this.#d&&!this.#l&&/(["'])vscode-resource:([^\s'"]+?)(["'])/i.test(r)&&(this.#l=!0,this.#i.report("Webview vscode-resource: uris",this.#r,"Please migrate to use the 'webview.asWebviewUri' api instead: https://aka.ms/vscode-webview-use-aswebviewuri")),this.#t.$setHtml(this.#e,this.b(r)))}get options(){return this.a(),this.#o}set options(r){this.a(),L.$Ln(this.#o,r)||this.#t.$setOptions(this.#e,p(this.#r,this.#s,r)),this.#o=r}async postMessage(r){if(this.#c)return!1;const a=(0,v.$_mb)(r,{serializeBuffersForPostMessage:this.#u});return this.#t.$postMessage(this.#e,a.message,...a.buffers)}a(){if(this.#c)throw new Error("Webview is disposed")}b(r){if(!this.#d)return r;const a=this.#r.extensionLocation?.scheme===$.Schemas.vscodeRemote,t=this.#r.extensionLocation.scheme===$.Schemas.vscodeRemote?this.#r.extensionLocation.authority:void 0;return r.replace(/(["'])(?:vscode-resource):(\/\/([^\s\/'"]+?)(?=\/))?([^\s'"]+?)(["'])/gi,(d,u,s,c,h,m)=>{const D=R.URI.from({scheme:c||"file",path:decodeURIComponent(h)}),g=(0,S.$Axb)(D,{isRemote:a,authority:t}).toString();return`${u}${g}${m}`}).replace(/(["'])(?:vscode-webview-resource):(\/\/[^\s\/'"]+\/([^\s\/'"]+?)(?=\/))?([^\s'"]+?)(["'])/gi,(d,u,s,c,h,m)=>{const D=R.URI.from({scheme:c||"file",path:decodeURIComponent(h)}),g=(0,S.$Axb)(D,{isRemote:a,authority:t}).toString();return`${u}${g}${m}`})}}e.$$hc=C;function b(n){try{const r=(0,w.$np)((0,w.$mp)(n.engines.vscode));return!!r&&r.majorBase>=1&&r.minorBase>=57}catch{return!1}}e.$_hc=b;function E(n){try{const r=(0,w.$np)((0,w.$mp)(n.engines.vscode));return r?r.majorBase<1||r.majorBase===1&&r.minorBase<60:!1}catch{return!1}}class k extends F.$Tc{constructor(r,a,t,d,u){super(),this.c=a,this.f=t,this.g=d,this.h=u,this.b=new Map,this.a=r.getProxy(M.$ZL.MainThreadWebviews)}dispose(){super.dispose();for(const r of this.b.values())r.dispose();this.b.clear()}$onMessage(r,a,t){const d=this.j(r);if(d){const{message:u}=(0,v.$anb)(a,t.value);d._onMessageEmitter.fire(u)}}$onMissingCsp(r,a){this.g.warn(`${a} created a webview without a content security policy: https://aka.ms/vscode-webview-missing-csp`)}createNewWebview(r,a,t){const d=new C(r,this.a,o(a),this.c,this.f,t,this.h);this.b.set(r,d);const u=d._onDidDispose(()=>{u.dispose(),this.deleteWebview(r)});return d}deleteWebview(r){this.b.delete(r)}j(r){return this.b.get(r)}}e.$aic=k;function l(n){return{id:n.identifier,location:n.extensionLocation}}e.$bic=l;function p(n,r,a){return{enableCommandUris:a.enableCommandUris,enableScripts:a.enableScripts,enableForms:a.enableForms,portMapping:a.portMapping,localResourceRoots:a.localResourceRoots||i(n,r)}}e.$cic=p;function o(n){return{enableCommandUris:n.enableCommandUris,enableScripts:n.enableScripts,enableForms:n.enableForms,portMapping:n.portMapping,localResourceRoots:n.localResourceRoots?.map(r=>R.URI.from(r))}}function i(n,r){return[...(r?.getWorkspaceFolders()||[]).map(a=>a.uri),n.extensionLocation]}}),define(Se[147],De([1,0,4,6,2,16,12,5,20,26]),function(me,e,I,F,$,L,R,w,v,S){"use strict";var M;Object.defineProperty(e,"__esModule",{value:!0}),e.$Jjc=e.$Ijc=void 0;let C=class{static{M=this}static{this.a={focused:!0,active:!0}}getState(E){const k=this.d;return{get focused(){return k.focused},get active(){return(0,S.$VF)(E,"windowActivity"),k.active}}}constructor(E){this.c=new I.$5d,this.onDidChangeWindowState=this.c.event,this.d=M.a,this.b=E.getProxy(F.$ZL.MainThreadWindow),this.b.$getInitialState().then(({isFocused:k,isActive:l})=>{this.onDidChangeWindowProperty("focused",k),this.onDidChangeWindowProperty("active",l)})}$onDidChangeWindowFocus(E){this.onDidChangeWindowProperty("focused",E)}$onDidChangeWindowActive(E){this.onDidChangeWindowProperty("active",E)}onDidChangeWindowProperty(E,k){k!==this.d[E]&&(this.d={...this.d,[E]:k},this.c.fire(this.d))}openUri(E,k){let l;if(typeof E=="string"){l=E;try{E=$.URI.parse(E)}catch{return Promise.reject(`Invalid uri - '${E}'`)}}return(0,R.$Se)(E.scheme)?Promise.reject("Invalid scheme - cannot be empty"):E.scheme===L.Schemas.command?Promise.reject(`Invalid scheme '${E.scheme}'`):this.b.$openUri(E,l,k)}async asExternalUri(E,k){if((0,R.$Se)(E.scheme))return Promise.reject("Invalid scheme - cannot be empty");const l=await this.b.$asExternalUri(E,k);return $.URI.from(l)}};e.$Ijc=C,e.$Ijc=C=M=Je([Ve(0,v.$eO)],C),e.$Jjc=(0,w.$ei)("IExtHostWindow")}),define(Se[310],De([1,0,302,27,20]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$lkc=void 0;const L=1024*1024;let R=class extends I.$Mjc{constructor(v,S){super(v,S),this.g=!1,this.j("stderr","error"),this.j("stdout","log")}f(v,S,M){const C=v==="error"||v==="warn"?process.stderr:process.stdout;this.g=!0,C.write(`
START_NATIVE_LOG
`),S.apply(console,M),C.write(`
END_NATIVE_LOG
`),this.g=!1}j(v,S){const M=process[v],C=M.write;let b="";Object.defineProperty(M,"write",{set:()=>{},get:()=>(E,k,l)=>{if(!this.g){b+=E.toString(k);const p=b.length>L?b.length:b.lastIndexOf(`
`);p!==-1&&(console[S](b.slice(0,p)),b=b.slice(p+1))}C.call(M,E,k,l)}})}};e.$lkc=R,e.$lkc=R=Je([Ve(0,$.$eO),Ve(1,F.$uO)],R)}),define(Se[311],De([1,0,146,16,253,30]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$xkc=void 0;class R extends I.$Ljc{s(v,S,M){return v.scheme===F.Schemas.file?new $.$qP(M?.name||(0,L.$Ag)(),v.fsPath,!M?.donotRotate,!!M?.donotUseFormatters,S):super.s(v,S,M)}registerLogger(v){super.registerLogger(v),this.r.$registerLogger(v)}deregisterLogger(v){super.deregisterLogger(v),this.r.$deregisterLogger(v)}}e.$xkc=R}),define(Se[312],De([1,0,8,21,22,14,4,3,130,299,68]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";var C;Object.defineProperty(e,"__esModule",{value:!0}),e.$L9b=e.ResponsiveState=e.RequestInitiator=e.$K9b=e.$J9b=void 0;function b(y,A){try{return JSON.stringify(y,A)}catch{return"null"}}const E="$$ref$$",k={[E]:-1};class l{constructor(A,N){this.jsonString=A,this.referencedBuffers=N}}function p(y,A=null,N=!1){const U=[];return{jsonString:(N?b:JSON.stringify)(y,(T,P)=>{if(typeof P>"u")return k;if(typeof P=="object"){if(P instanceof F.$se){const O=U.push(P)-1;return{[E]:O}}if(A)return A(T,P)}return P}),referencedBuffers:U}}e.$J9b=p;function o(y,A,N){return JSON.parse(y,(U,z)=>{if(z){const T=z[E];if(typeof T=="number")return A[T];if(N&&z.$mid===1)return N.transformIncoming(z)}return z})}e.$K9b=o;function i(y,A){return JSON.stringify(y,A)}function n(y){return y?(A,N)=>N&&N.$mid===1?y.transformOutgoing(N):N:null}var r;(function(y){y[y.LocalSide=0]="LocalSide",y[y.OtherSide=1]="OtherSide"})(r||(e.RequestInitiator=r={}));var a;(function(y){y[y.Responsive=0]="Responsive",y[y.Unresponsive=1]="Unresponsive"})(a||(e.ResponsiveState=a={}));const t=()=>{},d=Symbol.for("rpcProtocol"),u=Symbol.for("rpcProxy");class s extends w.$Tc{static{C=d}static{this.a=3*1e3}constructor(A,N=null,U=null){super(),this[C]=!0,this.b=this.B(new R.$5d),this.onDidChangeResponsiveState=this.b.event,this.c=A,this.f=N,this.g=U,this.h=n(this.g),this.j=!1,this.m=[],this.s=[];for(let z=0,T=M.$3v.count;z<T;z++)this.m[z]=null,this.s[z]=null;this.t=0,this.u=Object.create(null),this.w={},this.y=0,this.z=0,this.C=0,this.D=this.B(new I.$qh(()=>this.H(),1e3)),this.c.onMessage(z=>this.L(z))}dispose(){this.j=!0,Object.keys(this.w).forEach(A=>{const N=this.w[A];delete this.w[A],N.resolveErr(L.$6())}),super.dispose()}drain(){return typeof this.c.drain=="function"?this.c.drain():Promise.resolve()}F(A){this.z===0&&(this.C=Date.now()+s.a),this.z++,this.D.isScheduled()||this.D.schedule()}G(A){this.C=Date.now()+s.a,this.z--,this.z===0&&this.D.cancel(),this.I(0)}H(){this.z!==0&&(Date.now()>this.C?this.I(1):this.D.schedule())}I(A){this.y!==A&&(this.y=A,this.b.fire(this.y))}get responsiveState(){return this.y}transformIncomingURIs(A){return this.g?(0,v.$gn)(A,this.g):A}getProxy(A){const{nid:N,sid:U}=A;return this.s[N]||(this.s[N]=this.J(N,U)),this.s[N]}J(A,N){const U={get:(z,T)=>(typeof T=="string"&&!z[T]&&T.charCodeAt(0)===36&&(z[T]=(...P)=>this.U(A,T,P)),T===u?N:z[T])};return new Proxy(Object.create(null),U)}set(A,N){return this.m[A.nid]=N,N}assertRegistered(A){for(let N=0,U=A.length;N<U;N++){const z=A[N];if(!this.m[z.nid])throw new Error(`Missing proxy instance ${z.sid}`)}}L(A){if(this.j)return;const N=A.byteLength,U=h.read(A,0),z=U.readUInt8(),T=U.readUInt32();switch(z){case 1:case 2:{let{rpcId:P,method:O,args:j}=D.deserializeRequestJSONArgs(U);this.g&&(j=(0,v.$gn)(j,this.g)),this.M(N,T,P,O,j,z===2);break}case 3:case 4:{let{rpcId:P,method:O,args:j}=D.deserializeRequestMixedArgs(U);this.g&&(j=(0,v.$gn)(j,this.g)),this.M(N,T,P,O,j,z===4);break}case 5:{this.f?.logIncoming(N,T,0,"ack"),this.G(T);break}case 6:{this.N(N,T);break}case 7:{this.O(N,T,void 0);break}case 9:{let P=D.deserializeReplyOKJSON(U);this.g&&(P=(0,v.$gn)(P,this.g)),this.O(N,T,P);break}case 10:{const P=D.deserializeReplyOKJSONWithBuffers(U,this.g);this.O(N,T,P);break}case 8:{const P=D.deserializeReplyOKVSBuffer(U);this.O(N,T,P);break}case 11:{let P=D.deserializeReplyErrError(U);this.g&&(P=(0,v.$gn)(P,this.g)),this.P(N,T,P);break}case 12:{this.P(N,T,void 0);break}default:console.error("received unexpected message"),console.error(A)}}M(A,N,U,z,T,P){this.f?.logIncoming(A,N,1,`receiveRequest ${(0,M.$5v)(U)}.${z}(`,T);const O=String(N);let j,K;if(P){const _=new $.$ce;T.push(_.token),j=this.Q(U,z,T),K=()=>_.cancel()}else j=this.Q(U,z,T),K=t;this.u[O]=K;const ie=D.serializeAcknowledged(N);this.f?.logOutgoing(ie.byteLength,N,1,"ack"),this.c.send(ie),j.then(_=>{delete this.u[O];const X=D.serializeReplyOK(N,_,this.h);this.f?.logOutgoing(X.byteLength,N,1,"reply:",_),this.c.send(X)},_=>{delete this.u[O];const X=D.serializeReplyErr(N,_);this.f?.logOutgoing(X.byteLength,N,1,"replyErr:",_),this.c.send(X)})}N(A,N){this.f?.logIncoming(A,N,1,"receiveCancel");const U=String(N);this.u[U]?.()}O(A,N,U){this.f?.logIncoming(A,N,0,"receiveReply:",U);const z=String(N);if(!this.w.hasOwnProperty(z))return;const T=this.w[z];delete this.w[z],T.resolveOk(U)}P(A,N,U){this.f?.logIncoming(A,N,0,"receiveReplyErr:",U);const z=String(N);if(!this.w.hasOwnProperty(z))return;const T=this.w[z];delete this.w[z];let P;U&&(U.$isError?(P=new Error,P.name=U.name,P.message=U.message,P.stack=U.stack):P=U),T.resolveErr(P)}Q(A,N,U){try{return Promise.resolve(this.S(A,N,U))}catch(z){return Promise.reject(z)}}S(A,N,U){const z=this.m[A];if(!z)throw new Error("Unknown actor "+(0,M.$5v)(A));const T=z[N];if(typeof T!="function")throw new Error("Unknown method "+N+" on actor "+(0,M.$5v)(A));return T.apply(z,U)}U(A,N,U){if(this.j)return new S.$I9b;let z=null;if(U.length>0&&$.CancellationToken.isCancellationToken(U[U.length-1])&&(z=U.pop()),z&&z.isCancellationRequested)return Promise.reject(L.$6());const T=D.serializeRequestArguments(U,this.h),P=++this.t,O=String(P),j=new S.$H9b,K=new w.$Sc;z&&K.add(z.onCancellationRequested(()=>{const _=D.serializeCancel(P);this.f?.logOutgoing(_.byteLength,P,0,"cancel"),this.c.send(D.serializeCancel(P))})),this.w[O]=new c(j,K),this.F(P);const ie=D.serializeRequest(P,A,N,T,!!z);return this.f?.logOutgoing(ie.byteLength,P,0,`request: ${(0,M.$5v)(A)}.${N}(`,U),this.c.send(ie),j}}e.$L9b=s;class c{constructor(A,N){this.a=A,this.b=N}resolveOk(A){this.a.resolveOk(A),this.b.dispose()}resolveErr(A){this.a.resolveErr(A),this.b.dispose()}}class h{static alloc(A,N,U){const z=new h(F.$se.alloc(U+1+4),0);return z.writeUInt8(A),z.writeUInt32(N),z}static read(A,N){return new h(A,N)}get buffer(){return this.a}constructor(A,N){this.a=A,this.b=N}static sizeUInt8(){return 1}static{this.sizeUInt32=4}writeUInt8(A){this.a.writeUInt8(A,this.b),this.b+=1}readUInt8(){const A=this.a.readUInt8(this.b);return this.b+=1,A}writeUInt32(A){this.a.writeUInt32BE(A,this.b),this.b+=4}readUInt32(){const A=this.a.readUInt32BE(this.b);return this.b+=4,A}static sizeShortString(A){return 1+A.byteLength}writeShortString(A){this.a.writeUInt8(A.byteLength,this.b),this.b+=1,this.a.set(A,this.b),this.b+=A.byteLength}readShortString(){const A=this.a.readUInt8(this.b);this.b+=1;const U=this.a.slice(this.b,this.b+A).toString();return this.b+=A,U}static sizeLongString(A){return 4+A.byteLength}writeLongString(A){this.a.writeUInt32BE(A.byteLength,this.b),this.b+=4,this.a.set(A,this.b),this.b+=A.byteLength}readLongString(){const A=this.a.readUInt32BE(this.b);this.b+=4;const U=this.a.slice(this.b,this.b+A).toString();return this.b+=A,U}writeBuffer(A){this.a.writeUInt32BE(A.byteLength,this.b),this.b+=4,this.a.set(A,this.b),this.b+=A.byteLength}static sizeVSBuffer(A){return 4+A.byteLength}writeVSBuffer(A){this.a.writeUInt32BE(A.byteLength,this.b),this.b+=4,this.a.set(A,this.b),this.b+=A.byteLength}readVSBuffer(){const A=this.a.readUInt32BE(this.b);this.b+=4;const N=this.a.slice(this.b,this.b+A);return this.b+=A,N}static sizeMixedArray(A){let N=0;N+=1;for(let U=0,z=A.length;U<z;U++){const T=A[U];switch(N+=1,T.type){case 1:N+=this.sizeLongString(T.value);break;case 2:N+=this.sizeVSBuffer(T.value);break;case 3:N+=this.sizeUInt32,N+=this.sizeLongString(T.value);for(let P=0;P<T.buffers.length;++P)N+=this.sizeVSBuffer(T.buffers[P]);break;case 4:break}}return N}writeMixedArray(A){this.a.writeUInt8(A.length,this.b),this.b+=1;for(let N=0,U=A.length;N<U;N++){const z=A[N];switch(z.type){case 1:this.writeUInt8(1),this.writeLongString(z.value);break;case 2:this.writeUInt8(2),this.writeVSBuffer(z.value);break;case 3:this.writeUInt8(3),this.writeUInt32(z.buffers.length),this.writeLongString(z.value);for(let T=0;T<z.buffers.length;++T)this.writeBuffer(z.buffers[T]);break;case 4:this.writeUInt8(4);break}}}readMixedArray(){const A=this.a.readUInt8(this.b);this.b+=1;const N=new Array(A);for(let U=0;U<A;U++)switch(this.readUInt8()){case 1:N[U]=this.readLongString();break;case 2:N[U]=this.readVSBuffer();break;case 3:{const T=this.readUInt32(),P=this.readLongString(),O=[];for(let j=0;j<T;++j)O.push(this.readVSBuffer());N[U]=new M.$6v(o(P,O,null));break}case 4:N[U]=void 0;break}return N}}var m;(function(y){y[y.Simple=0]="Simple",y[y.Mixed=1]="Mixed"})(m||(m={}));class D{static a(A){for(let N=0,U=A.length;N<U;N++)if(A[N]instanceof F.$se||A[N]instanceof M.$6v||typeof A[N]>"u")return!0;return!1}static serializeRequestArguments(A,N){if(this.a(A)){const U=[];for(let z=0,T=A.length;z<T;z++){const P=A[z];if(P instanceof F.$se)U[z]={type:2,value:P};else if(typeof P>"u")U[z]={type:4};else if(P instanceof M.$6v){const{jsonString:O,referencedBuffers:j}=p(P.value,N);U[z]={type:3,value:F.$se.fromString(O),buffers:j}}else U[z]={type:1,value:F.$se.fromString(i(P,N))}}return{type:1,args:U}}return{type:0,args:i(A,N)}}static serializeRequest(A,N,U,z,T){switch(z.type){case 0:return this.b(A,N,U,z.args,T);case 1:return this.c(A,N,U,z.args,T)}}static b(A,N,U,z,T){const P=F.$se.fromString(U),O=F.$se.fromString(z);let j=0;j+=h.sizeUInt8(),j+=h.sizeShortString(P),j+=h.sizeLongString(O);const K=h.alloc(T?2:1,A,j);return K.writeUInt8(N),K.writeShortString(P),K.writeLongString(O),K.buffer}static deserializeRequestJSONArgs(A){const N=A.readUInt8(),U=A.readShortString(),z=A.readLongString();return{rpcId:N,method:U,args:JSON.parse(z)}}static c(A,N,U,z,T){const P=F.$se.fromString(U);let O=0;O+=h.sizeUInt8(),O+=h.sizeShortString(P),O+=h.sizeMixedArray(z);const j=h.alloc(T?4:3,A,O);return j.writeUInt8(N),j.writeShortString(P),j.writeMixedArray(z),j.buffer}static deserializeRequestMixedArgs(A){const N=A.readUInt8(),U=A.readShortString(),z=A.readMixedArray(),T=new Array(z.length);for(let P=0,O=z.length;P<O;P++){const j=z[P];typeof j=="string"?T[P]=JSON.parse(j):T[P]=j}return{rpcId:N,method:U,args:T}}static serializeAcknowledged(A){return h.alloc(5,A,0).buffer}static serializeCancel(A){return h.alloc(6,A,0).buffer}static serializeReplyOK(A,N,U){if(typeof N>"u")return this.d(A);if(N instanceof F.$se)return this.e(A,N);if(N instanceof M.$6v){const{jsonString:z,referencedBuffers:T}=p(N.value,U,!0);return this.g(A,z,T)}else return this.f(A,b(N,U))}static d(A){return h.alloc(7,A,0).buffer}static e(A,N){let U=0;U+=h.sizeVSBuffer(N);const z=h.alloc(8,A,U);return z.writeVSBuffer(N),z.buffer}static deserializeReplyOKVSBuffer(A){return A.readVSBuffer()}static f(A,N){const U=F.$se.fromString(N);let z=0;z+=h.sizeLongString(U);const T=h.alloc(9,A,z);return T.writeLongString(U),T.buffer}static g(A,N,U){const z=F.$se.fromString(N);let T=0;T+=h.sizeUInt32,T+=h.sizeLongString(z);for(const O of U)T+=h.sizeVSBuffer(O);const P=h.alloc(10,A,T);P.writeUInt32(U.length),P.writeLongString(z);for(const O of U)P.writeBuffer(O);return P.buffer}static deserializeReplyOKJSON(A){const N=A.readLongString();return JSON.parse(N)}static deserializeReplyOKJSONWithBuffers(A,N){const U=A.readUInt32(),z=A.readLongString(),T=[];for(let P=0;P<U;++P)T.push(A.readVSBuffer());return new M.$6v(o(z,T,N))}static serializeReplyErr(A,N){const U=N?b(L.$3(N),null):void 0;if(typeof U!="string")return this.h(A);const z=F.$se.fromString(U);let T=0;T+=h.sizeLongString(z);const P=h.alloc(11,A,T);return P.writeLongString(z),P.buffer}static deserializeReplyErrError(A){const N=A.readLongString();return JSON.parse(N)}static h(A){return h.alloc(12,A,0).buffer}}var g;(function(y){y[y.RequestJSONArgs=1]="RequestJSONArgs",y[y.RequestJSONArgsWithCancellation=2]="RequestJSONArgsWithCancellation",y[y.RequestMixedArgs=3]="RequestMixedArgs",y[y.RequestMixedArgsWithCancellation=4]="RequestMixedArgsWithCancellation",y[y.Acknowledged=5]="Acknowledged",y[y.Cancel=6]="Cancel",y[y.ReplyOKEmpty=7]="ReplyOKEmpty",y[y.ReplyOKVSBuffer=8]="ReplyOKVSBuffer",y[y.ReplyOKJSON=9]="ReplyOKJSON",y[y.ReplyOKJSONWithBuffers=10]="ReplyOKJSONWithBuffers",y[y.ReplyErrError=11]="ReplyErrError",y[y.ReplyErrEmpty=12]="ReplyErrEmpty"})(g||(g={}));var f;(function(y){y[y.String=1]="String",y[y.VSBuffer=2]="VSBuffer",y[y.SerializedObjectWithBuffers=3]="SerializedObjectWithBuffers",y[y.Undefined=4]="Undefined"})(f||(f={}))}),define(Se[313],De([1,0,21,28,16,84,5]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$MJ=e.$LJ=e.$KJ=e.$JJ=void 0,e.$JJ=(0,R.$ei)("notebookDocumentService");const w=["W","X","Y","Z","a","b","c","d","e","f"],v=new RegExp(`^[${w.join("")}]+`),S=7;function M(E){if(E.scheme!==$.Schemas.vscodeNotebookCell)return;const k=E.fragment.indexOf("s");if(k<0)return;const l=parseInt(E.fragment.substring(0,k).replace(v,""),S),p=(0,I.$Le)(E.fragment.substring(k+1)).toString();if(!isNaN(l))return{handle:l,notebook:E.with({scheme:p,fragment:null})}}e.$KJ=M;function C(E,k){const l=k.toString(S),o=`${l.length<w.length?w[l.length-1]:"z"}${l}s${(0,I.$Me)(I.$se.fromString(E.scheme),!0,!0)}`;return E.with({scheme:$.Schemas.vscodeNotebookCell,fragment:o})}e.$LJ=C;class b{constructor(){this.a=new F.$Ac}getNotebook(k){if(k.scheme===$.Schemas.vscodeNotebookCell){const l=M(k);if(l){const p=this.a.get(l.notebook);if(p)return p}}return this.a.get(k)}addNotebookDocument(k){this.a.set(k.uri,k)}removeNotebookDocument(k){this.a.delete(k.uri)}}e.$MJ=b,(0,L.$0r)(e.$JJ,b,1)}),define(Se[118],De([1,0,21,35,48,100,16,17,11,45,313]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5J=e.$4J=e.$3J=e.$2J=e.CellStatusbarAlignment=e.$1J=e.$ZJ=e.$YJ=e.NotebookEditorPriority=e.$XJ=e.$WJ=e.$VJ=e.$UJ=e.CellUri=e.CellEditType=e.SelectionStateType=e.NotebookCellsChangeType=e.RendererMessagingSpec=e.NotebookRendererMatch=e.NotebookExecutionState=e.NotebookCellExecutionState=e.NotebookRunState=e.$TJ=e.$SJ=e.$RJ=e.$QJ=e.CellKind=e.$PJ=e.$OJ=e.$NJ=void 0,e.$NJ="workbench.editor.notebook",e.$OJ="workbench.editor.notebookTextDiffEditor",e.$PJ="workbench.editor.interactive";var C;(function(j){j[j.Markup=1]="Markup",j[j.Code=2]="Code"})(C||(e.CellKind=C={})),e.$QJ=["application/json","application/javascript","text/html","image/svg+xml",L.$qs.latex,L.$qs.markdown,"image/png","image/jpeg",L.$qs.text],e.$RJ=[L.$qs.latex,L.$qs.markdown,"application/json","text/html","image/svg+xml","image/png","image/jpeg",L.$qs.text],e.$SJ=new Map([["ms-toolsai.jupyter",new Set(["jupyter-notebook","interactive"])],["ms-toolsai.jupyter-renderers",new Set(["jupyter-notebook","interactive"])]]),e.$TJ="_notAvailable";var b;(function(j){j[j.Running=1]="Running",j[j.Idle=2]="Idle"})(b||(e.NotebookRunState=b={}));var E;(function(j){j[j.Unconfirmed=1]="Unconfirmed",j[j.Pending=2]="Pending",j[j.Executing=3]="Executing"})(E||(e.NotebookCellExecutionState=E={}));var k;(function(j){j[j.Unconfirmed=1]="Unconfirmed",j[j.Pending=2]="Pending",j[j.Executing=3]="Executing"})(k||(e.NotebookExecutionState=k={}));var l;(function(j){j[j.WithHardKernelDependency=0]="WithHardKernelDependency",j[j.WithOptionalKernelDependency=1]="WithOptionalKernelDependency",j[j.Pure=2]="Pure",j[j.Never=3]="Never"})(l||(e.NotebookRendererMatch=l={}));var p;(function(j){j.Always="always",j.Never="never",j.Optional="optional"})(p||(e.RendererMessagingSpec=p={}));var o;(function(j){j[j.ModelChange=1]="ModelChange",j[j.Move=2]="Move",j[j.ChangeCellLanguage=5]="ChangeCellLanguage",j[j.Initialize=6]="Initialize",j[j.ChangeCellMetadata=7]="ChangeCellMetadata",j[j.Output=8]="Output",j[j.OutputItem=9]="OutputItem",j[j.ChangeCellContent=10]="ChangeCellContent",j[j.ChangeDocumentMetadata=11]="ChangeDocumentMetadata",j[j.ChangeCellInternalMetadata=12]="ChangeCellInternalMetadata",j[j.ChangeCellMime=13]="ChangeCellMime",j[j.Unknown=100]="Unknown"})(o||(e.NotebookCellsChangeType=o={}));var i;(function(j){j[j.Handle=0]="Handle",j[j.Index=1]="Index"})(i||(e.SelectionStateType=i={}));var n;(function(j){j[j.Replace=1]="Replace",j[j.Output=2]="Output",j[j.Metadata=3]="Metadata",j[j.CellLanguage=4]="CellLanguage",j[j.DocumentMetadata=5]="DocumentMetadata",j[j.Move=6]="Move",j[j.OutputItems=7]="OutputItems",j[j.PartialMetadata=8]="PartialMetadata",j[j.PartialInternalMetadata=9]="PartialInternalMetadata"})(n||(e.CellEditType=n={}));var r;(function(j){j.scheme=R.Schemas.vscodeNotebookCell;function K(ee,fe){return(0,M.$LJ)(ee,fe)}j.generate=K;function ie(ee){return(0,M.$KJ)(ee)}j.parse=ie;function _(ee,fe){return ee.with({scheme:R.Schemas.vscodeNotebookCellOutput,fragment:`op${fe??""},${ee.scheme!==R.Schemas.file?ee.scheme:""}`})}j.generateCellOutputUri=_;function X(ee){if(ee.scheme!==R.Schemas.vscodeNotebookCellOutput)return;const fe=/^op([0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12})?\,(.*)$/i.exec(ee.fragment);if(!fe)return;const re=fe[1]&&fe[1]!==""?fe[1]:void 0,J=fe[2];return{outputId:re,notebook:ee.with({scheme:J||R.Schemas.file,fragment:null})}}j.parseCellOutputUri=X;function Y(ee,fe,re){return j.generate(ee,fe).with({scheme:re})}j.generateCellPropertyUri=Y;function ae(ee,fe){if(ee.scheme===fe)return j.parse(ee.with({scheme:j.scheme}))}j.parseCellPropertyUri=ae})(r||(e.CellUri=r={}));const a=j=>v.$i?j.replace(/\//g,"\\"):j;class t{constructor(K=[],ie=e.$QJ){this.e=ie,this.d=[...new Set(K)].map(_=>({pattern:_,matches:F.$Xj(a(_))}))}sort(K){const ie=new Map($.Iterable.map(K,X=>[X,a(X)]));let _=[];for(const{matches:X}of this.d)for(const[Y,ae]of ie)if(X(ae)){_.push(Y),ie.delete(Y);break}return ie.size&&(_=_.concat([...ie.keys()].sort((X,Y)=>this.e.indexOf(X)-this.e.indexOf(Y)))),_}prioritize(K,ie){const _=this.f(K);if(_===-1){this.d.unshift({pattern:K,matches:F.$Xj(a(K))});return}const X=new Set(ie.map(ae=>this.f(ae,_)));X.delete(-1);const Y=Array.from(X).sort();this.d.splice(_+1,0,...Y.map(ae=>this.d[ae]));for(let ae=Y.length-1;ae>=0;ae--)this.d.splice(Y[ae],1)}toArray(){return this.d.map(K=>K.pattern)}f(K,ie=this.d.length){const _=a(K);for(let X=0;X<ie;X++)if(this.d[X].matches(_))return X;return-1}}e.$UJ=t;function d(j,K,ie,_=(X,Y)=>X===Y){const X=[];function Y(fe,re,J){if(re===0&&J.length===0)return;const B=X[X.length-1];B&&B.start+B.deleteCount===fe?(B.deleteCount+=re,B.toInsert.push(...J)):X.push({start:fe,deleteCount:re,toInsert:J})}let ae=0,ee=0;for(;;){if(ae===j.length){Y(ae,0,K.slice(ee));break}if(ee===K.length){Y(ae,j.length-ae,[]);break}const fe=j[ae],re=K[ee];if(_(fe,re)){ae+=1,ee+=1;continue}ie(re)?(Y(ae,1,[]),ae+=1):(Y(ae,0,[re]),ee+=1)}return X}e.$VJ=d,e.$WJ=new S.$vj("notebookEditorCursorAtBoundary","none"),e.$XJ=new S.$vj("notebookEditorCursorAtLineBoundary","none");var u;(function(j){j.default="default",j.option="option"})(u||(e.NotebookEditorPriority=u={}));function s(j){const K=j;return!!((typeof K.include=="string"||F.$Yj(K.include))&&(typeof K.exclude=="string"||F.$Yj(K.exclude)))}e.$YJ=s;function c(j,K,ie){if(Array.isArray(j.viewType)&&j.viewType.indexOf(K)>=0||j.viewType===K)return!0;if(j.filenamePattern){const _=s(j.filenamePattern)?j.filenamePattern.include:j.filenamePattern,X=s(j.filenamePattern)?j.filenamePattern.exclude:void 0;if(F.$Wj(_,(0,w.$nc)(ie.fsPath).toLowerCase()))return!(X&&F.$Wj(X,(0,w.$nc)(ie.fsPath).toLowerCase()))}return!1}e.$ZJ=c,e.$1J={displayOrder:"notebook.displayOrder",cellToolbarLocation:"notebook.cellToolbarLocation",cellToolbarVisibility:"notebook.cellToolbarVisibility",showCellStatusBar:"notebook.showCellStatusBar",textDiffEditorPreview:"notebook.diff.enablePreview",diffOverviewRuler:"notebook.diff.overviewRuler",experimentalInsertToolbarAlignment:"notebook.experimental.insertToolbarAlignment",compactView:"notebook.compactView",focusIndicator:"notebook.cellFocusIndicator",insertToolbarLocation:"notebook.insertToolbarLocation",globalToolbar:"notebook.globalToolbar",stickyScrollEnabled:"notebook.stickyScroll.enabled",stickyScrollMode:"notebook.stickyScroll.mode",undoRedoPerCell:"notebook.undoRedoPerCell",consolidatedOutputButton:"notebook.consolidatedOutputButton",showFoldingControls:"notebook.showFoldingControls",dragAndDropEnabled:"notebook.dragAndDropEnabled",cellEditorOptionsCustomizations:"notebook.editorOptionsCustomizations",consolidatedRunButton:"notebook.consolidatedRunButton",openGettingStarted:"notebook.experimental.openGettingStarted",globalToolbarShowLabel:"notebook.globalToolbarShowLabel",markupFontSize:"notebook.markup.fontSize",interactiveWindowCollapseCodeCells:"interactiveWindow.collapseCellInputCode",outputScrollingDeprecated:"notebook.experimental.outputScrolling",outputScrolling:"notebook.output.scrolling",textOutputLineLimit:"notebook.output.textLineLimit",LinkifyOutputFilePaths:"notebook.output.linkifyFilePaths",formatOnSave:"notebook.formatOnSave.enabled",insertFinalNewline:"notebook.insertFinalNewline",formatOnCellExecution:"notebook.formatOnCellExecution",codeActionsOnSave:"notebook.codeActionsOnSave",outputWordWrap:"notebook.output.wordWrap",outputLineHeightDeprecated:"notebook.outputLineHeight",outputLineHeight:"notebook.output.lineHeight",outputFontSizeDeprecated:"notebook.outputFontSize",outputFontSize:"notebook.output.fontSize",outputFontFamilyDeprecated:"notebook.outputFontFamily",outputFontFamily:"notebook.output.fontFamily",findScope:"notebook.find.scope",logging:"notebook.logging",confirmDeleteRunningCell:"notebook.confirmDeleteRunningCell",remoteSaving:"notebook.experimental.remoteSave",gotoSymbolsAllSymbols:"notebook.gotoSymbols.showAllSymbols",scrollToRevealCell:"notebook.scrolling.revealNextCellOnExecute",anchorToFocusedCell:"notebook.scrolling.experimental.anchorToFocusedCell",cellChat:"notebook.experimental.cellChat",notebookVariablesView:"notebook.experimental.variablesView"};var h;(function(j){j[j.Left=1]="Left",j[j.Right=2]="Right"})(h||(e.CellStatusbarAlignment=h={}));class m{static{this.d="notebook/"}static create(K){return`${m.d}${K}`}static parse(K){if(K.startsWith(m.d))return K.substring(m.d.length)}}e.$2J=m;function D(j){return["application/vnd.code.notebook.stdout","application/vnd.code.notebook.stderr"].includes(j)}e.$3J=D;const g=new TextDecoder;function f(j){const K=[];let ie=!1;for(const ae of j)(K.length===0||ie)&&(K.push(ae),ie=!0);let _=N(K);const X=I.$se.concat(K.map(ae=>I.$se.wrap(ae))),Y=O(X);return _=_||Y.byteLength!==X.byteLength,{data:Y,didCompression:_}}e.$4J=f,e.$5J="\x1B[A";const y=e.$5J.split("").map(j=>j.charCodeAt(0)),A=10;function N(j){let K=!1;return j.forEach((ie,_)=>{if(_===0||ie.length<e.$5J.length)return;const X=j[_-1],Y=ie.subarray(0,e.$5J.length);if(Y[0]===y[0]&&Y[1]===y[1]&&Y[2]===y[2]){const ae=X.lastIndexOf(A);if(ae===-1)return;K=!0,j[_-1]=X.subarray(0,ae),j[_]=ie.subarray(e.$5J.length)}}),K}function U(j){let K=j;do j=K,K=j.replace(/[^\n]\x08/gm,"");while(K.length<j.length);return j}function z(j){for(j=j.replace(/\r+\n/gm,`
`);j.search(/\r[^$]/g)>-1;){const K=j.match(/^(.*)\r+/m)[1];let ie=j.match(/\r+(.*)$/m)[1];ie=ie+K.slice(ie.length,K.length),j=j.replace(/\r+.*$/m,"\r").replace(/^.*\r/m,ie)}return j}const T=8,P=13;function O(j){return!j.buffer.includes(T)&&!j.buffer.includes(P)?j:I.$se.fromString(z(U(g.decode(j.buffer))))}}),define(Se[7],De([1,0,19,14,80,28,100,12,18,2,30,25,32,64,118]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k){"use strict";var l,p,o,i,n,r,a,t,d,u,s,c,h,m,D,g,f;Object.defineProperty(e,"__esModule",{value:!0}),e.InlineEditTriggerKind=e.$6N=e.KeywordRecognitionStatus=e.SpeechToTextStatus=e.RelatedInformationType=e.$5N=e.$4N=e.$3N=e.$2N=e.$1N=e.$ZN=e.$YN=e.$XN=e.$WN=e.$VN=e.$UN=e.ChatResultFeedbackKind=e.InteractiveEditorResponseFeedbackKind=e.$TN=e.ChatVariableLevel=e.ChatCopyKind=e.InteractiveSessionVoteDirection=e.$SN=e.$RN=e.$QN=e.$PN=e.$ON=e.$NN=e.$MN=e.$LN=e.$KN=e.$JN=e.$IN=e.PortAutoForwardAction=e.WorkspaceTrustState=e.ExternalUriOpenerPriority=e.$HN=e.$GN=e.$FN=e.$EN=e.$DN=e.$CN=e.$BN=e.$AN=e.TestRunProfileKind=e.TestResultState=e.$zN=e.$yN=e.StandardTokenType=e.ExtensionRuntime=e.ExtensionMode=e.$xN=e.NotebookVariablesRequestKind=e.$wN=e.$vN=e.NotebookControllerAffinity2=e.NotebookControllerAffinity=e.$uN=e.NotebookEditorRevealType=e.NotebookCellStatusBarAlignment=e.NotebookCellExecutionState=e.NotebookCellKind=e.$tN=e.$sN=e.$rN=e.$qN=e.$pN=e.ColorThemeKind=e.$oN=e.$nN=e.ExtensionKind=e.InputBoxValidationSeverity=e.QuickPickItemKind=e.$mN=e.$lN=e.DebugConsoleMode=e.$kN=e.$jN=e.$iN=e.$hN=e.$gN=e.CommentThreadState=e.CommentState=e.CommentMode=e.CommentThreadCollapsibleState=e.FoldingRangeKind=e.$fN=e.$eN=e.FileChangeType=e.$dN=e.NewSymbolNameTag=e.$cN=e.$bN=e.$aN=e.$_M=e.InlineCompletionTriggerKind=e.$$M=e.$0M=e.$9M=e.$8M=e.$7M=e.$6M=e.$5M=e.$4M=e.$3M=e.$2M=e.$1M=e.$ZM=e.$YM=e.ConfigurationTarget=e.$XM=e.$WM=e.$VM=e.$UM=e.$TM=e.$SM=e.$RM=e.$QM=e.$PM=e.TreeItemCheckboxState=e.TreeItemCollapsibleState=e.$OM=e.ViewBadge=e.ProgressLocation=e.$NM=e.$MM=e.TaskScope=e.ShellQuoting=e.$LM=e.$KM=e.$JM=e.TaskPanelKind=e.TaskRevealKind=e.$IM=e.TerminalLocation=e.$HM=e.$GM=e.$FM=e.TerminalExitReason=e.SourceControlInputBoxValidationType=e.ColorFormat=e.$EM=e.$DM=e.$CM=e.$BM=e.SyntaxTokenType=e.DecorationRangeBehavior=e.TextDocumentChangeReason=e.TextEditorSelectionChangeKind=e.TextEditorRevealType=e.TextDocumentSaveReason=e.TextEditorLineNumbersStyle=e.$AM=e.StatusBarAlignment=e.ViewColumn=e.$zM=e.$yM=e.$xM=e.$wM=e.CompletionItemTag=e.CompletionItemKind=e.CompletionTriggerKind=e.$vM=e.$uM=e.InlayHintKind=e.SignatureHelpTriggerKind=e.$tM=e.$sM=e.$rM=e.$qM=e.$pM=e.LanguageStatusSeverity=e.$oM=e.$nM=e.$mM=e.$lM=e.$kM=e.$jM=e.CodeActionTriggerKind=e.$iM=e.$hM=e.SymbolTag=e.SymbolKind=e.$gM=e.$fM=e.DocumentHighlightKind=e.$eM=e.$dM=e.$cM=e.$bM=e.DiagnosticSeverity=e.DiagnosticTag=e.$aM=e.$_L=e.FileEditType=e.$$L=e.$0L=e.$9L=e.EnvironmentVariableMutatorType=e.EndOfLine=e.$8L=e.$7L=e.$6L=e.$5L=e.$4L=e.$3L=e.$2L=e.TerminalQuickFixType=e.TerminalOutputAnchor=void 0;function y(G){return Object.assign(G,{apply:function(...pe){if(pe.length===0)return Reflect.construct(G,[]);{const Fe=pe.length===1?[]:pe[1];return Reflect.construct(G,Fe,pe[0].constructor)}},call:function(...pe){if(pe.length===0)return Reflect.construct(G,[]);{const[Fe,...Ye]=pe;return Reflect.construct(G,Ye,Fe.constructor)}}})}var A;(function(G){G[G.Top=0]="Top",G[G.Bottom=1]="Bottom"})(A||(e.TerminalOutputAnchor=A={}));var N;(function(G){G[G.TerminalCommand=0]="TerminalCommand",G[G.Opener=1]="Opener",G[G.Command=3]="Command"})(N||(e.TerminalQuickFixType=N={}));let U=l=class{static from(...q){let pe=q;return new l(function(){if(pe){for(const Fe of pe)Fe&&typeof Fe.dispose=="function"&&Fe.dispose();pe=void 0}})}#e;constructor(q){this.#e=q}dispose(){typeof this.#e=="function"&&(this.#e(),this.#e=void 0)}};e.$2L=U,e.$2L=U=l=Je([y],U);let z=p=class{static Min(...q){if(q.length===0)throw new TypeError;let pe=q[0];for(let Fe=1;Fe<q.length;Fe++){const Ye=q[Fe];Ye.isBefore(pe)&&(pe=Ye)}return pe}static Max(...q){if(q.length===0)throw new TypeError;let pe=q[0];for(let Fe=1;Fe<q.length;Fe++){const Ye=q[Fe];Ye.isAfter(pe)&&(pe=Ye)}return pe}static isPosition(q){if(!q)return!1;if(q instanceof p)return!0;const{line:pe,character:Fe}=q;return typeof pe=="number"&&typeof Fe=="number"}static of(q){if(q instanceof p)return q;if(this.isPosition(q))return new p(q.line,q.character);throw new Error("Invalid argument, is NOT a position-like object")}get line(){return this.c}get character(){return this.e}constructor(q,pe){if(q<0)throw(0,F.$7)("line must be non-negative");if(pe<0)throw(0,F.$7)("character must be non-negative");this.c=q,this.e=pe}isBefore(q){return this.c<q.c?!0:q.c<this.c?!1:this.e<q.e}isBeforeOrEqual(q){return this.c<q.c?!0:q.c<this.c?!1:this.e<=q.e}isAfter(q){return!this.isBeforeOrEqual(q)}isAfterOrEqual(q){return!this.isBefore(q)}isEqual(q){return this.c===q.c&&this.e===q.e}compareTo(q){return this.c<q.c?-1:this.c>q.line?1:this.e<q.e?-1:this.e>q.e?1:0}translate(q,pe=0){if(q===null||pe===null)throw(0,F.$7)();let Fe;return typeof q>"u"?Fe=0:typeof q=="number"?Fe=q:(Fe=typeof q.lineDelta=="number"?q.lineDelta:0,pe=typeof q.characterDelta=="number"?q.characterDelta:0),Fe===0&&pe===0?this:new p(this.line+Fe,this.character+pe)}with(q,pe=this.character){if(q===null||pe===null)throw(0,F.$7)();let Fe;return typeof q>"u"?Fe=this.line:typeof q=="number"?Fe=q:(Fe=typeof q.line=="number"?q.line:this.line,pe=typeof q.character=="number"?q.character:this.character),Fe===this.line&&pe===this.character?this:new p(Fe,pe)}toJSON(){return{line:this.line,character:this.character}}};e.$3L=z,e.$3L=z=p=Je([y],z);let T=o=class{static isRange(q){return q instanceof o?!0:q?z.isPosition(q.start)&&z.isPosition(q.end):!1}static of(q){if(q instanceof o)return q;if(this.isRange(q))return new o(q.start,q.end);throw new Error("Invalid argument, is NOT a range-like object")}get start(){return this.c}get end(){return this.e}constructor(q,pe,Fe,Ye){let it,ut;if(typeof q=="number"&&typeof pe=="number"&&typeof Fe=="number"&&typeof Ye=="number"?(it=new z(q,pe),ut=new z(Fe,Ye)):z.isPosition(q)&&z.isPosition(pe)&&(it=z.of(q),ut=z.of(pe)),!it||!ut)throw new Error("Invalid arguments");it.isBefore(ut)?(this.c=it,this.e=ut):(this.c=ut,this.e=it)}contains(q){return o.isRange(q)?this.contains(q.start)&&this.contains(q.end):z.isPosition(q)?!(z.of(q).isBefore(this.c)||this.e.isBefore(q)):!1}isEqual(q){return this.c.isEqual(q.c)&&this.e.isEqual(q.e)}intersection(q){const pe=z.Max(q.start,this.c),Fe=z.Min(q.end,this.e);if(!pe.isAfter(Fe))return new o(pe,Fe)}union(q){if(this.contains(q))return this;if(q.contains(this))return q;const pe=z.Min(q.start,this.c),Fe=z.Max(q.end,this.end);return new o(pe,Fe)}get isEmpty(){return this.c.isEqual(this.e)}get isSingleLine(){return this.c.line===this.e.line}with(q,pe=this.end){if(q===null||pe===null)throw(0,F.$7)();let Fe;return q?z.isPosition(q)?Fe=q:(Fe=q.start||this.start,pe=q.end||this.end):Fe=this.start,Fe.isEqual(this.c)&&pe.isEqual(this.end)?this:new o(Fe,pe)}toJSON(){return[this.start,this.end]}};e.$4L=T,e.$4L=T=o=Je([y],T);let P=i=class extends T{static isSelection(q){return q instanceof i?!0:q?T.isRange(q)&&z.isPosition(q.anchor)&&z.isPosition(q.active)&&typeof q.isReversed=="boolean":!1}get anchor(){return this.f}get active(){return this.g}constructor(q,pe,Fe,Ye){let it,ut;if(typeof q=="number"&&typeof pe=="number"&&typeof Fe=="number"&&typeof Ye=="number"?(it=new z(q,pe),ut=new z(Fe,Ye)):z.isPosition(q)&&z.isPosition(pe)&&(it=z.of(q),ut=z.of(pe)),!it||!ut)throw new Error("Invalid arguments");super(it,ut),this.f=it,this.g=ut}get isReversed(){return this.f===this.e}toJSON(){return{start:this.start,end:this.end,active:this.active,anchor:this.anchor}}};e.$5L=P,e.$5L=P=i=Je([y],P);const O=G=>{if(typeof G!="string"||G.length===0||!/^[0-9A-Za-z_\-]+$/.test(G))throw(0,F.$7)("connectionToken")};class j{static isResolvedAuthority(q){return q&&typeof q=="object"&&typeof q.host=="string"&&typeof q.port=="number"&&(q.connectionToken===void 0||typeof q.connectionToken=="string")}constructor(q,pe,Fe){if(typeof q!="string"||q.length===0)throw(0,F.$7)("host");if(typeof pe!="number"||pe===0||Math.round(pe)!==pe)throw(0,F.$7)("port");typeof Fe<"u"&&O(Fe),this.host=q,this.port=Math.round(pe),this.connectionToken=Fe}}e.$6L=j;class K{static isManagedResolvedAuthority(q){return q&&typeof q=="object"&&typeof q.makeConnection=="function"&&(q.connectionToken===void 0||typeof q.connectionToken=="string")}constructor(q,pe){this.makeConnection=q,this.connectionToken=pe,typeof pe<"u"&&O(pe)}}e.$7L=K;class ie extends Error{static NotAvailable(q,pe){return new ie(q,E.RemoteAuthorityResolverErrorCode.NotAvailable,pe)}static TemporarilyNotAvailable(q){return new ie(q,E.RemoteAuthorityResolverErrorCode.TemporarilyNotAvailable)}constructor(q,pe=E.RemoteAuthorityResolverErrorCode.Unknown,Fe){super(q),this._message=q,this._code=pe,this._detail=Fe,Object.setPrototypeOf(this,ie.prototype)}}e.$8L=ie;var _;(function(G){G[G.LF=1]="LF",G[G.CRLF=2]="CRLF"})(_||(e.EndOfLine=_={}));var X;(function(G){G[G.Replace=1]="Replace",G[G.Append=2]="Append",G[G.Prepend=3]="Prepend"})(X||(e.EnvironmentVariableMutatorType=X={}));let Y=n=class{static isTextEdit(q){return q instanceof n?!0:q?T.isRange(q)&&typeof q.newText=="string":!1}static replace(q,pe){return new n(q,pe)}static insert(q,pe){return n.replace(new T(q,q),pe)}static delete(q){return n.replace(q,"")}static setEndOfLine(q){const pe=new n(new T(new z(0,0),new z(0,0)),"");return pe.newEol=q,pe}get range(){return this.c}set range(q){if(q&&!T.isRange(q))throw(0,F.$7)("range");this.c=q}get newText(){return this.e||""}set newText(q){if(q&&typeof q!="string")throw(0,F.$7)("newText");this.e=q}get newEol(){return this.f}set newEol(q){if(q&&typeof q!="number")throw(0,F.$7)("newEol");this.f=q}constructor(q,pe){this.c=q,this.e=pe}toJSON(){return{range:this.range,newText:this.newText,newEol:this.f}}};e.$9L=Y,e.$9L=Y=n=Je([y],Y);let ae=r=class{static isNotebookCellEdit(q){return q instanceof r?!0:q?hi.isNotebookRange(q)&&Array.isArray(q.newCells):!1}static replaceCells(q,pe){return new r(q,pe)}static insertCells(q,pe){return new r(new hi(q,q),pe)}static deleteCells(q){return new r(q,[])}static updateCellMetadata(q,pe){const Fe=new r(new hi(q,q),[]);return Fe.newCellMetadata=pe,Fe}static updateNotebookMetadata(q){const pe=new r(new hi(0,0),[]);return pe.newNotebookMetadata=q,pe}constructor(q,pe){this.range=q,this.newCells=pe}};e.$0L=ae,e.$0L=ae=r=Je([y],ae);class ee{static isSnippetTextEdit(q){return q instanceof ee?!0:q?T.isRange(q.range)&&J.isSnippetString(q.snippet):!1}static replace(q,pe){return new ee(q,pe)}static insert(q,pe){return ee.replace(new T(q,q),pe)}constructor(q,pe){this.range=q,this.snippet=pe}}e.$$L=ee;var fe;(function(G){G[G.File=1]="File",G[G.Text=2]="Text",G[G.Cell=3]="Cell",G[G.CellReplace=5]="CellReplace",G[G.Snippet=6]="Snippet"})(fe||(e.FileEditType=fe={}));let re=class{constructor(){this.c=[]}_allEntries(){return this.c}renameFile(q,pe,Fe,Ye){this.c.push({_type:1,from:q,to:pe,options:Fe,metadata:Ye})}createFile(q,pe,Fe){this.c.push({_type:1,from:void 0,to:q,options:pe,metadata:Fe})}deleteFile(q,pe,Fe){this.c.push({_type:1,from:q,to:void 0,options:pe,metadata:Fe})}e(q,pe,Fe){this.c.push({_type:3,metadata:Fe,uri:q,edit:{editType:5,metadata:pe},notebookMetadata:pe})}f(q,pe,Fe,Ye){const it=pe.start,ut=pe.end;(it!==ut||Fe.length>0)&&this.c.push({_type:5,uri:q,index:it,count:ut-it,cells:Fe,metadata:Ye})}g(q,pe,Fe,Ye){this.c.push({_type:3,metadata:Ye,uri:q,edit:{editType:3,index:pe,metadata:Fe}})}replace(q,pe,Fe,Ye){this.c.push({_type:2,uri:q,edit:new Y(pe,Fe),metadata:Ye})}insert(q,pe,Fe,Ye){this.replace(q,new T(pe,pe),Fe,Ye)}delete(q,pe,Fe){this.replace(q,pe,"",Fe)}has(q){return this.c.some(pe=>pe._type===2&&pe.uri.toString()===q.toString())}set(q,pe){if(pe)for(const Fe of pe){if(!Fe)continue;let Ye,it;Array.isArray(Fe)?(Ye=Fe[0],it=Fe[1]):Ye=Fe,ae.isNotebookCellEdit(Ye)?Ye.newCellMetadata?this.g(q,Ye.range.start,Ye.newCellMetadata,it):Ye.newNotebookMetadata?this.e(q,Ye.newNotebookMetadata,it):this.f(q,Ye.range,Ye.newCells,it):ee.isSnippetTextEdit(Ye)?this.c.push({_type:6,uri:q,range:Ye.range,edit:Ye.snippet,metadata:it}):this.c.push({_type:2,uri:q,edit:Ye,metadata:it})}else{for(let Fe=0;Fe<this.c.length;Fe++){const Ye=this.c[Fe];switch(Ye._type){case 2:case 6:case 3:case 5:Ye.uri.toString()===q.toString()&&(this.c[Fe]=void 0);break}}(0,I.$Ib)(this.c)}}get(q){const pe=[];for(const Fe of this.c)Fe._type===2&&Fe.uri.toString()===q.toString()&&pe.push(Fe.edit);return pe}entries(){const q=new L.$Ac;for(const pe of this.c)if(pe._type===2){let Fe=q.get(pe.uri);Fe||(Fe=[pe.uri,[]],q.set(pe.uri,Fe)),Fe[1].push(pe.edit)}return[...q.values()]}get size(){return this.entries().length}toJSON(){return this.entries()}};e.$_L=re,e.$_L=re=Je([y],re);let J=a=class{static isSnippetString(q){return q instanceof a?!0:q?typeof q.value=="string":!1}static c(q){return q.replace(/\$|}|\\/g,"\\$&")}constructor(q){this.e=1,this.value=q||""}appendText(q){return this.value+=a.c(q),this}appendTabstop(q=this.e++){return this.value+="$",this.value+=q,this}appendPlaceholder(q,pe=this.e++){if(typeof q=="function"){const Fe=new a;Fe.e=this.e,q(Fe),this.e=Fe.e,q=Fe.value}else q=a.c(q);return this.value+="${",this.value+=pe,this.value+=":",this.value+=q,this.value+="}",this}appendChoice(q,pe=this.e++){const Fe=q.map(Ye=>Ye.replaceAll(/[|\\,]/g,"\\$&")).join(",");return this.value+="${",this.value+=pe,this.value+="|",this.value+=Fe,this.value+="|}",this}appendVariable(q,pe){if(typeof pe=="function"){const Fe=new a;Fe.e=this.e,pe(Fe),this.e=Fe.e,pe=Fe.value}else typeof pe=="string"&&(pe=pe.replace(/\$|}/g,"\\$&"));return this.value+="${",this.value+=q,pe&&(this.value+=":",this.value+=pe),this.value+="}",this}};e.$aM=J,e.$aM=J=a=Je([y],J);var B;(function(G){G[G.Unnecessary=1]="Unnecessary",G[G.Deprecated=2]="Deprecated"})(B||(e.DiagnosticTag=B={}));var se;(function(G){G[G.Hint=3]="Hint",G[G.Information=2]="Information",G[G.Warning=1]="Warning",G[G.Error=0]="Error"})(se||(e.DiagnosticSeverity=se={}));let Ee=t=class{static isLocation(q){return q instanceof t?!0:q?T.isRange(q.range)&&S.URI.isUri(q.uri):!1}constructor(q,pe){if(this.uri=q,pe)if(T.isRange(pe))this.range=T.of(pe);else if(z.isPosition(pe))this.range=new T(pe,pe);else throw new Error("Illegal argument")}toJSON(){return{uri:this.uri,range:this.range}}};e.$bM=Ee,e.$bM=Ee=t=Je([y],Ee);let le=class{static is(q){return q?typeof q.message=="string"&&q.location&&T.isRange(q.location.range)&&S.URI.isUri(q.location.uri):!1}constructor(q,pe){this.location=q,this.message=pe}static isEqual(q,pe){return q===pe?!0:!q||!pe?!1:q.message===pe.message&&q.location.range.isEqual(pe.location.range)&&q.location.uri.toString()===pe.location.uri.toString()}};e.$cM=le,e.$cM=le=Je([y],le);let he=class{constructor(q,pe,Fe=se.Error){if(!T.isRange(q))throw new TypeError("range must be set");if(!pe)throw new TypeError("message must be set");this.range=q,this.message=pe,this.severity=Fe}toJSON(){return{severity:se[this.severity],message:this.message,range:this.range,source:this.source,code:this.code}}static isEqual(q,pe){return q===pe?!0:!q||!pe?!1:q.message===pe.message&&q.severity===pe.severity&&q.code===pe.code&&q.severity===pe.severity&&q.source===pe.source&&q.range.isEqual(pe.range)&&(0,I.$ub)(q.tags,pe.tags)&&(0,I.$ub)(q.relatedInformation,pe.relatedInformation,le.isEqual)}};e.$dM=he,e.$dM=he=Je([y],he);let ce=class{constructor(q,pe){if(!q)throw new Error("Illegal argument, contents must be defined");Array.isArray(q)?this.contents=q:this.contents=[q],this.range=pe}};e.$eM=ce,e.$eM=ce=Je([y],ce);var de;(function(G){G[G.Text=0]="Text",G[G.Read=1]="Read",G[G.Write=2]="Write"})(de||(e.DocumentHighlightKind=de={}));let H=class{constructor(q,pe=de.Text){this.range=q,this.kind=pe}toJSON(){return{range:this.range,kind:de[this.kind]}}};e.$fM=H,e.$fM=H=Je([y],H);let x=class{constructor(q,pe){this.uri=q,this.highlights=pe}toJSON(){return{uri:this.uri,highlights:this.highlights.map(q=>q.toJSON())}}};e.$gM=x,e.$gM=x=Je([y],x);var ue;(function(G){G[G.File=0]="File",G[G.Module=1]="Module",G[G.Namespace=2]="Namespace",G[G.Package=3]="Package",G[G.Class=4]="Class",G[G.Method=5]="Method",G[G.Property=6]="Property",G[G.Field=7]="Field",G[G.Constructor=8]="Constructor",G[G.Enum=9]="Enum",G[G.Interface=10]="Interface",G[G.Function=11]="Function",G[G.Variable=12]="Variable",G[G.Constant=13]="Constant",G[G.String=14]="String",G[G.Number=15]="Number",G[G.Boolean=16]="Boolean",G[G.Array=17]="Array",G[G.Object=18]="Object",G[G.Key=19]="Key",G[G.Null=20]="Null",G[G.EnumMember=21]="EnumMember",G[G.Struct=22]="Struct",G[G.Event=23]="Event",G[G.Operator=24]="Operator",G[G.TypeParameter=25]="TypeParameter"})(ue||(e.SymbolKind=ue={}));var be;(function(G){G[G.Deprecated=1]="Deprecated"})(be||(e.SymbolTag=be={}));let Pe=d=class{static validate(q){if(!q.name)throw new Error("name must not be falsy")}constructor(q,pe,Fe,Ye,it){this.name=q,this.kind=pe,this.containerName=it,typeof Fe=="string"&&(this.containerName=Fe),Ye instanceof Ee?this.location=Ye:Fe instanceof T&&(this.location=new Ee(Ye,Fe)),d.validate(this)}toJSON(){return{name:this.name,kind:ue[this.kind],location:this.location,containerName:this.containerName}}};e.$hM=Pe,e.$hM=Pe=d=Je([y],Pe);let we=u=class{static validate(q){if(!q.name)throw new Error("name must not be falsy");if(!q.range.contains(q.selectionRange))throw new Error("selectionRange must be contained in fullRange");q.children?.forEach(u.validate)}constructor(q,pe,Fe,Ye,it){this.name=q,this.detail=pe,this.kind=Fe,this.range=Ye,this.selectionRange=it,this.children=[],u.validate(this)}};e.$iM=we,e.$iM=we=u=Je([y],we);var Ae;(function(G){G[G.Invoke=1]="Invoke",G[G.Automatic=2]="Automatic"})(Ae||(e.CodeActionTriggerKind=Ae={}));let Oe=class{constructor(q,pe){this.title=q,this.kind=pe}};e.$jM=Oe,e.$jM=Oe=Je([y],Oe);let ze=class{static{s=this}static{this.c="."}constructor(q){this.value=q}append(q){return new s(this.value?this.value+s.c+q:q)}intersects(q){return this.contains(q)||q.contains(this)}contains(q){return this.value===q.value||q.value.startsWith(this.value+s.c)}};e.$kM=ze,e.$kM=ze=s=Je([y],ze),ze.Empty=new ze(""),ze.QuickFix=ze.Empty.append("quickfix"),ze.Refactor=ze.Empty.append("refactor"),ze.RefactorExtract=ze.Refactor.append("extract"),ze.RefactorInline=ze.Refactor.append("inline"),ze.RefactorMove=ze.Refactor.append("move"),ze.RefactorRewrite=ze.Refactor.append("rewrite"),ze.Source=ze.Empty.append("source"),ze.SourceOrganizeImports=ze.Source.append("organizeImports"),ze.SourceFixAll=ze.Source.append("fixAll"),ze.Notebook=ze.Empty.append("notebook");let W=class{constructor(q,pe){if(this.range=q,this.parent=pe,pe&&!pe.range.contains(this.range))throw new Error("Invalid argument: parent must contain this range")}};e.$lM=W,e.$lM=W=Je([y],W);class V{constructor(q,pe,Fe,Ye,it,ut){this.kind=q,this.name=pe,this.detail=Fe,this.uri=Ye,this.range=it,this.selectionRange=ut}}e.$mM=V;class Z{constructor(q,pe){this.fromRanges=pe,this.from=q}}e.$nM=Z;class Q{constructor(q,pe){this.fromRanges=pe,this.to=q}}e.$oM=Q;var $e;(function(G){G[G.Information=0]="Information",G[G.Warning=1]="Warning",G[G.Error=2]="Error"})($e||(e.LanguageStatusSeverity=$e={}));let ve=class{constructor(q,pe){this.range=q,this.command=pe}get isResolved(){return!!this.command}};e.$pM=ve,e.$pM=ve=Je([y],ve);let Te=c=class{#e;static isMarkdownString(q){return q instanceof c?!0:q&&q.appendCodeblock&&q.appendMarkdown&&q.appendText&&q.value!==void 0}constructor(q,pe=!1){this.#e=new $.$sk(q,{supportThemeIcons:pe})}get value(){return this.#e.value}set value(q){this.#e.value=q}get isTrusted(){return this.#e.isTrusted}set isTrusted(q){this.#e.isTrusted=q}get supportThemeIcons(){return this.#e.supportThemeIcons}set supportThemeIcons(q){this.#e.supportThemeIcons=q}get supportHtml(){return this.#e.supportHtml}set supportHtml(q){this.#e.supportHtml=q}get baseUri(){return this.#e.baseUri}set baseUri(q){this.#e.baseUri=q}appendText(q){return this.#e.appendText(q),this}appendMarkdown(q){return this.#e.appendMarkdown(q),this}appendCodeblock(q,pe){return this.#e.appendCodeblock(pe??"",q),this}};e.$qM=Te,e.$qM=Te=c=Je([y],Te);let He=class{constructor(q,pe){this.label=q,this.documentation=pe}};e.$rM=He,e.$rM=He=Je([y],He);let Qe=class{constructor(q,pe){this.label=q,this.documentation=pe,this.parameters=[]}};e.$sM=Qe,e.$sM=Qe=Je([y],Qe);let tt=class{constructor(){this.activeSignature=0,this.activeParameter=0,this.signatures=[]}};e.$tM=tt,e.$tM=tt=Je([y],tt);var st;(function(G){G[G.Invoke=1]="Invoke",G[G.TriggerCharacter=2]="TriggerCharacter",G[G.ContentChange=3]="ContentChange"})(st||(e.SignatureHelpTriggerKind=st={}));var lt;(function(G){G[G.Type=1]="Type",G[G.Parameter=2]="Parameter"})(lt||(e.InlayHintKind=lt={}));let rt=class{constructor(q){this.value=q}};e.$uM=rt,e.$uM=rt=Je([y],rt);let Ie=class{constructor(q,pe,Fe){this.position=q,this.label=pe,this.kind=Fe}};e.$vM=Ie,e.$vM=Ie=Je([y],Ie);var Ue;(function(G){G[G.Invoke=0]="Invoke",G[G.TriggerCharacter=1]="TriggerCharacter",G[G.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"})(Ue||(e.CompletionTriggerKind=Ue={}));var Le;(function(G){G[G.Text=0]="Text",G[G.Method=1]="Method",G[G.Function=2]="Function",G[G.Constructor=3]="Constructor",G[G.Field=4]="Field",G[G.Variable=5]="Variable",G[G.Class=6]="Class",G[G.Interface=7]="Interface",G[G.Module=8]="Module",G[G.Property=9]="Property",G[G.Unit=10]="Unit",G[G.Value=11]="Value",G[G.Enum=12]="Enum",G[G.Keyword=13]="Keyword",G[G.Snippet=14]="Snippet",G[G.Color=15]="Color",G[G.File=16]="File",G[G.Reference=17]="Reference",G[G.Folder=18]="Folder",G[G.EnumMember=19]="EnumMember",G[G.Constant=20]="Constant",G[G.Struct=21]="Struct",G[G.Event=22]="Event",G[G.Operator=23]="Operator",G[G.TypeParameter=24]="TypeParameter",G[G.User=25]="User",G[G.Issue=26]="Issue"})(Le||(e.CompletionItemKind=Le={}));var Ge;(function(G){G[G.Deprecated=1]="Deprecated"})(Ge||(e.CompletionItemTag=Ge={}));let ne=class{constructor(q,pe){this.label=q,this.kind=pe}toJSON(){return{label:this.label,kind:this.kind&&Le[this.kind],detail:this.detail,documentation:this.documentation,sortText:this.sortText,filterText:this.filterText,preselect:this.preselect,insertText:this.insertText,textEdit:this.textEdit}}};e.$wM=ne,e.$wM=ne=Je([y],ne);let oe=class{constructor(q=[],pe=!1){this.items=q,this.isIncomplete=pe}};e.$xM=oe,e.$xM=oe=Je([y],oe);let Ce=class{constructor(q,pe,Fe){this.insertText=q,this.range=pe,this.command=Fe}};e.$yM=Ce,e.$yM=Ce=Je([y],Ce);let Ke=class{constructor(q){this.commands=void 0,this.suppressSuggestions=void 0,this.items=q}};e.$zM=Ke,e.$zM=Ke=Je([y],Ke);var xe;(function(G){G[G.Active=-1]="Active",G[G.Beside=-2]="Beside",G[G.One=1]="One",G[G.Two=2]="Two",G[G.Three=3]="Three",G[G.Four=4]="Four",G[G.Five=5]="Five",G[G.Six=6]="Six",G[G.Seven=7]="Seven",G[G.Eight=8]="Eight",G[G.Nine=9]="Nine"})(xe||(e.ViewColumn=xe={}));var nt;(function(G){G[G.Left=1]="Left",G[G.Right=2]="Right"})(nt||(e.StatusBarAlignment=nt={}));function Ne(G,q){return`${C.$wm.toKey(G)}.${q}`}e.$AM=Ne;var bt;(function(G){G[G.Off=0]="Off",G[G.On=1]="On",G[G.Relative=2]="Relative",G[G.Interval=3]="Interval"})(bt||(e.TextEditorLineNumbersStyle=bt={}));var Et;(function(G){G[G.Manual=1]="Manual",G[G.AfterDelay=2]="AfterDelay",G[G.FocusOut=3]="FocusOut"})(Et||(e.TextDocumentSaveReason=Et={}));var Pt;(function(G){G[G.Default=0]="Default",G[G.InCenter=1]="InCenter",G[G.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",G[G.AtTop=3]="AtTop"})(Pt||(e.TextEditorRevealType=Pt={}));var Tt;(function(G){G[G.Keyboard=1]="Keyboard",G[G.Mouse=2]="Mouse",G[G.Command=3]="Command"})(Tt||(e.TextEditorSelectionChangeKind=Tt={}));var Xt;(function(G){G[G.Undo=1]="Undo",G[G.Redo=2]="Redo"})(Xt||(e.TextDocumentChangeReason=Xt={}));var It;(function(G){G[G.OpenOpen=0]="OpenOpen",G[G.ClosedClosed=1]="ClosedClosed",G[G.OpenClosed=2]="OpenClosed",G[G.ClosedOpen=3]="ClosedOpen"})(It||(e.DecorationRangeBehavior=It={})),function(G){function q(pe){switch(pe){case"keyboard":return G.Keyboard;case"mouse":return G.Mouse;case"api":return G.Command}}G.fromValue=q}(Tt||(e.TextEditorSelectionChangeKind=Tt={}));var Kt;(function(G){G[G.Other=0]="Other",G[G.Comment=1]="Comment",G[G.String=2]="String",G[G.RegEx=3]="RegEx"})(Kt||(e.SyntaxTokenType=Kt={})),function(G){function q(pe){switch(pe){case G.Other:return"other";case G.Comment:return"comment";case G.String:return"string";case G.RegEx:return"regex"}return"other"}G.toString=q}(Kt||(e.SyntaxTokenType=Kt={}));let Jt=class{constructor(q,pe){if(pe&&!S.URI.isUri(pe))throw(0,F.$7)("target");if(!T.isRange(q)||q.isEmpty)throw(0,F.$7)("range");this.range=q,this.target=pe}};e.$BM=Jt,e.$BM=Jt=Je([y],Jt);let xt=class{constructor(q,pe,Fe,Ye){this.red=q,this.green=pe,this.blue=Fe,this.alpha=Ye}};e.$CM=xt,e.$CM=xt=Je([y],xt);let ii=class{constructor(q,pe){if(pe&&!(pe instanceof xt))throw(0,F.$7)("color");if(!T.isRange(q)||q.isEmpty)throw(0,F.$7)("range");this.range=q,this.color=pe}};e.$DM=ii,e.$DM=ii=Je([y],ii);let et=class{constructor(q){if(!q||typeof q!="string")throw(0,F.$7)("label");this.label=q}};e.$EM=et,e.$EM=et=Je([y],et);var zt;(function(G){G[G.RGB=0]="RGB",G[G.HEX=1]="HEX",G[G.HSL=2]="HSL"})(zt||(e.ColorFormat=zt={}));var _t;(function(G){G[G.Error=0]="Error",G[G.Warning=1]="Warning",G[G.Information=2]="Information"})(_t||(e.SourceControlInputBoxValidationType=_t={}));var ft;(function(G){G[G.Unknown=0]="Unknown",G[G.Shutdown=1]="Shutdown",G[G.Process=2]="Process",G[G.User=3]="User",G[G.Extension=4]="Extension"})(ft||(e.TerminalExitReason=ft={}));class vt{constructor(q,pe,Fe){if(this.startIndex=q,this.length=pe,this.tooltip=Fe,typeof q!="number"||q<0)throw(0,F.$7)("startIndex");if(typeof pe!="number"||pe<1)throw(0,F.$7)("length");if(Fe!==void 0&&typeof Fe!="string")throw(0,F.$7)("tooltip")}}e.$FM=vt;class ei{constructor(q){this.uri=q}}e.$GM=ei;class qt{constructor(q){this.terminalCommand=q}}e.$HM=qt;var Ut;(function(G){G[G.Panel=1]="Panel",G[G.Editor=2]="Editor"})(Ut||(e.TerminalLocation=Ut={}));class dt{constructor(q){if(this.options=q,typeof q!="object")throw(0,F.$7)("options")}}e.$IM=dt;var Rt;(function(G){G[G.Always=1]="Always",G[G.Silent=2]="Silent",G[G.Never=3]="Never"})(Rt||(e.TaskRevealKind=Rt={}));var ti;(function(G){G[G.Shared=1]="Shared",G[G.Dedicated=2]="Dedicated",G[G.New=3]="New"})(ti||(e.TaskPanelKind=ti={}));let Yt=class{static{h=this}static{this.Clean=new h("clean","Clean")}static{this.Build=new h("build","Build")}static{this.Rebuild=new h("rebuild","Rebuild")}static{this.Test=new h("test","Test")}static from(q){switch(q){case"clean":return h.Clean;case"build":return h.Build;case"rebuild":return h.Rebuild;case"test":return h.Test;default:return}}constructor(q,pe){if(this.label=pe,typeof q!="string"||typeof pe!="string")throw(0,F.$7)("name");this.c=q}get id(){return this.c}};e.$JM=Yt,e.$JM=Yt=h=Je([y],Yt);function Ze(G){let q="";for(let pe=0;pe<G.length;pe++)q+=G[pe].replace(/,/g,",,")+",";return q}let Ft=class{constructor(q,pe,Fe){if(typeof q!="string")throw(0,F.$7)("process");this.e=[],this.c=q,pe!==void 0&&(Array.isArray(pe)?(this.e=pe,this.f=Fe):this.f=pe)}get process(){return this.c}set process(q){if(typeof q!="string")throw(0,F.$7)("process");this.c=q}get args(){return this.e}set args(q){Array.isArray(q)||(q=[]),this.e=q}get options(){return this.f}set options(q){this.f=q}computeId(){const q=[];if(q.push("process"),this.c!==void 0&&q.push(this.c),this.e&&this.e.length>0)for(const pe of this.e)q.push(pe);return Ze(q)}};e.$KM=Ft,e.$KM=Ft=Je([y],Ft);let Bt=class{constructor(q,pe,Fe){if(this.f=[],Array.isArray(pe)){if(!q)throw(0,F.$7)("command can't be undefined or null");if(typeof q!="string"&&typeof q.value!="string")throw(0,F.$7)("command");this.e=q,this.f=pe,this.g=Fe}else{if(typeof q!="string")throw(0,F.$7)("commandLine");this.c=q,this.g=pe}}get commandLine(){return this.c}set commandLine(q){if(typeof q!="string")throw(0,F.$7)("commandLine");this.c=q}get command(){return this.e?this.e:""}set command(q){if(typeof q!="string"&&typeof q.value!="string")throw(0,F.$7)("command");this.e=q}get args(){return this.f}set args(q){this.f=q||[]}get options(){return this.g}set options(q){this.g=q}computeId(){const q=[];if(q.push("shell"),this.c!==void 0&&q.push(this.c),this.e!==void 0&&q.push(typeof this.e=="string"?this.e:this.e.value),this.f&&this.f.length>0)for(const pe of this.f)q.push(typeof pe=="string"?pe:pe.value);return Ze(q)}};e.$LM=Bt,e.$LM=Bt=Je([y],Bt);var ni;(function(G){G[G.Escape=1]="Escape",G[G.Strong=2]="Strong",G[G.Weak=3]="Weak"})(ni||(e.ShellQuoting=ni={}));var mt;(function(G){G[G.Global=1]="Global",G[G.Workspace=2]="Workspace"})(mt||(e.TaskScope=mt={}));class Nt{constructor(q){this.c=q}computeId(){return"customExecution"+(0,M.$Ag)()}set callback(q){this.c=q}get callback(){return this.c}}e.$MM=Nt;let At=class{static{m=this}static{this.c="customExecution"}static{this.e="process"}static{this.f="shell"}static{this.g="$empty"}constructor(q,pe,Fe,Ye,it,ut){this.k=!1,this.l=this.definition=q;let gt;typeof pe=="string"?(this.o=this.name=pe,this.w=this.source=Fe,this.execution=Ye,gt=it,this.k=!0):pe===mt.Global||pe===mt.Workspace?(this.target=pe,this.o=this.name=Fe,this.w=this.source=Ye,this.execution=it,gt=ut):(this.target=pe,this.o=this.name=Fe,this.w=this.source=Ye,this.execution=it,gt=ut),typeof gt=="string"?(this.r=[gt],this.t=!0):Array.isArray(gt)?(this.r=gt,this.t=!0):(this.r=[],this.t=!1),this.u=!1,this.y=Object.create(null),this.z=Object.create(null)}get _id(){return this.j}set _id(q){this.j=q}get _deprecated(){return this.k}B(){this.j!==void 0&&(this.j=void 0,this.m=void 0,this.C())}C(){this.q instanceof Ft?this.l={type:m.e,id:this.q.computeId()}:this.q instanceof Bt?this.l={type:m.f,id:this.q.computeId()}:this.q instanceof Nt?this.l={type:m.c,id:this.q.computeId()}:this.l={type:m.g,id:(0,M.$Ag)()}}get definition(){return this.l}set definition(q){if(q==null)throw(0,F.$7)("Kind can't be undefined or null");this.B(),this.l=q}get scope(){return this.m}set target(q){this.B(),this.m=q}get name(){return this.o}set name(q){if(typeof q!="string")throw(0,F.$7)("name");this.B(),this.o=q}get execution(){return this.q}set execution(q){q===null&&(q=void 0),this.B(),this.q=q;const pe=this.l.type;(m.g===pe||m.e===pe||m.f===pe||m.c===pe)&&this.C()}get problemMatchers(){return this.r}set problemMatchers(q){if(Array.isArray(q))this.B(),this.r=q,this.t=!0;else{this.B(),this.r=[],this.t=!1;return}}get hasDefinedMatchers(){return this.t}get isBackground(){return this.u}set isBackground(q){q!==!0&&q!==!1&&(q=!1),this.B(),this.u=q}get source(){return this.w}set source(q){if(typeof q!="string"||q.length===0)throw(0,F.$7)("source must be a string of length > 0");this.B(),this.w=q}get group(){return this.x}set group(q){q===null&&(q=void 0),this.B(),this.x=q}get detail(){return this.A}set detail(q){q===null&&(q=void 0),this.A=q}get presentationOptions(){return this.y}set presentationOptions(q){q==null&&(q=Object.create(null)),this.B(),this.y=q}get runOptions(){return this.z}set runOptions(q){q==null&&(q=Object.create(null)),this.B(),this.z=q}};e.$NM=At,e.$NM=At=m=Je([y],At);var Wt;(function(G){G[G.SourceControl=1]="SourceControl",G[G.Window=10]="Window",G[G.Notification=15]="Notification"})(Wt||(e.ProgressLocation=Wt={}));var ri;(function(G){function q(pe){const Fe=pe;return(0,v.$Wf)(Fe.value)?Fe.tooltip&&!(0,v.$Sf)(Fe.tooltip)?(console.log("INVALID view badge, invalid tooltip",Fe.tooltip),!1):!0:(console.log("INVALID view badge, invalid value",Fe.value),!1)}G.isViewBadge=q})(ri||(e.ViewBadge=ri={}));let jt=D=class{static isTreeItem(q,pe){const Fe=q;if(Fe.checkboxState!==void 0){const Ye=(0,v.$Wf)(Fe.checkboxState)?Fe.checkboxState:(0,v.$Uf)(Fe.checkboxState)&&(0,v.$Wf)(Fe.checkboxState.state)?Fe.checkboxState.state:void 0,it=!(0,v.$Wf)(Fe.checkboxState)&&(0,v.$Uf)(Fe.checkboxState)?Fe.checkboxState.tooltip:void 0;if(Ye===void 0||Ye!==Lt.Checked&&Ye!==Lt.Unchecked||it!==void 0&&!(0,v.$Sf)(it))return console.log("INVALID tree item, invalid checkboxState",Fe.checkboxState),!1}if(q instanceof D)return!0;if(Fe.label!==void 0&&!(0,v.$Sf)(Fe.label)&&!Fe.label?.label)return console.log("INVALID tree item, invalid label",Fe.label),!1;if(Fe.id!==void 0&&!(0,v.$Sf)(Fe.id))return console.log("INVALID tree item, invalid id",Fe.id),!1;if(Fe.iconPath!==void 0&&!(0,v.$Sf)(Fe.iconPath)&&!S.URI.isUri(Fe.iconPath)&&(!Fe.iconPath||!(0,v.$Sf)(Fe.iconPath.id))){const Ye=Fe.iconPath;if(!Ye||!(0,v.$Sf)(Ye.light)&&!S.URI.isUri(Ye.light)&&!(0,v.$Sf)(Ye.dark)&&!S.URI.isUri(Ye.dark))return console.log("INVALID tree item, invalid iconPath",Fe.iconPath),!1}return Fe.description!==void 0&&!(0,v.$Sf)(Fe.description)&&typeof Fe.description!="boolean"?(console.log("INVALID tree item, invalid description",Fe.description),!1):Fe.resourceUri!==void 0&&!S.URI.isUri(Fe.resourceUri)?(console.log("INVALID tree item, invalid resourceUri",Fe.resourceUri),!1):Fe.tooltip!==void 0&&!(0,v.$Sf)(Fe.tooltip)&&!(Fe.tooltip instanceof Te)?(console.log("INVALID tree item, invalid tooltip",Fe.tooltip),!1):Fe.command!==void 0&&!Fe.command.command?(console.log("INVALID tree item, invalid command",Fe.command),!1):Fe.collapsibleState!==void 0&&Fe.collapsibleState<Vt.None&&Fe.collapsibleState>Vt.Expanded?(console.log("INVALID tree item, invalid collapsibleState",Fe.collapsibleState),!1):Fe.contextValue!==void 0&&!(0,v.$Sf)(Fe.contextValue)?(console.log("INVALID tree item, invalid contextValue",Fe.contextValue),!1):Fe.accessibilityInformation!==void 0&&!Fe.accessibilityInformation?.label?(console.log("INVALID tree item, invalid accessibilityInformation",Fe.accessibilityInformation),!1):!0}constructor(q,pe=Vt.None){this.collapsibleState=pe,S.URI.isUri(q)?this.resourceUri=q:this.label=q}};e.$OM=jt,e.$OM=jt=D=Je([y],jt);var Vt;(function(G){G[G.None=0]="None",G[G.Collapsed=1]="Collapsed",G[G.Expanded=2]="Expanded"})(Vt||(e.TreeItemCollapsibleState=Vt={}));var Lt;(function(G){G[G.Unchecked=0]="Unchecked",G[G.Checked=1]="Checked"})(Lt||(e.TreeItemCheckboxState=Lt={}));let Dt=class{async asString(){return typeof this.value=="string"?this.value:JSON.stringify(this.value)}asFile(){}constructor(q){this.value=q}};e.$PM=Dt,e.$PM=Dt=Je([y],Dt);class $t extends Dt{}e.$QM=$t;class Ct extends $t{#e;constructor(q){super(""),this.#e=q}asFile(){return this.#e}}e.$RM=Ct;class yt{constructor(q,pe,Fe,Ye){this.name=q,this.uri=pe,this._itemId=Fe,this.c=Ye}data(){return this.c()}}e.$SM=yt;let ui=class{#e=new Map;constructor(q){for(const[pe,Fe]of q??[]){const Ye=this.#e.get(this.#t(pe));Ye?Ye.push(Fe):this.#e.set(this.#t(pe),[Fe])}}get(q){return this.#e.get(this.#t(q))?.[0]}set(q,pe){this.#e.set(this.#t(q),[pe])}forEach(q,pe){for(const[Fe,Ye]of this.#e)for(const it of Ye)q.call(pe,it,Fe,this)}*[Symbol.iterator](){for(const[q,pe]of this.#e)for(const Fe of pe)yield[q,Fe]}#t(q){return q.toLowerCase()}};e.$TM=ui,e.$TM=ui=Je([y],ui);let Qt=class{constructor(q){this.insertText=q}};e.$UM=Qt,e.$UM=Qt=Je([y],Qt);let $i=class{constructor(q,pe){this.label=pe,this.insertText=q}};e.$VM=$i,e.$VM=$i=Je([y],$i);let Re=class{constructor(q,pe){this.id=q,this.color=pe}static isThemeIcon(q){return typeof q.id!="string"?(console.log("INVALID ThemeIcon, invalid id",q.id),!1):!0}};e.$WM=Re,e.$WM=Re=Je([y],Re),Re.File=new Re("file"),Re.Folder=new Re("folder");let je=class{constructor(q){this.id=q}};e.$XM=je,e.$XM=je=Je([y],je);var ye;(function(G){G[G.Global=1]="Global",G[G.Workspace=2]="Workspace",G[G.WorkspaceFolder=3]="WorkspaceFolder"})(ye||(e.ConfigurationTarget=ye={}));let te=class{get base(){return this.c}set base(q){this.c=q,this.e=S.URI.file(q)}get baseUri(){return this.e}set baseUri(q){this.e=q,this.c=q.fsPath}constructor(q,pe){if(typeof q!="string"&&(!q||!S.URI.isUri(q)&&!S.URI.isUri(q.uri)))throw(0,F.$7)("base");if(typeof pe!="string")throw(0,F.$7)("pattern");typeof q=="string"?this.baseUri=S.URI.file(q):S.URI.isUri(q)?this.baseUri=q:this.baseUri=q.uri,this.pattern=pe}toJSON(){return{pattern:this.pattern,base:this.base,baseUri:this.baseUri.toJSON()}}};e.$YM=te,e.$YM=te=Je([y],te);const Me=new WeakMap;function Be(G,q){Me.set(G,q)}e.$ZM=Be;let _e=class{constructor(q,pe,Fe,Ye,it){this.enabled=typeof q=="boolean"?q:!0,typeof pe=="string"&&(this.condition=pe),typeof Fe=="string"&&(this.hitCondition=Fe),typeof Ye=="string"&&(this.logMessage=Ye),typeof it=="string"&&(this.mode=it)}get id(){return this.c||(this.c=Me.get(this)??(0,M.$Ag)()),this.c}};e.$1M=_e,e.$1M=_e=Je([y],_e);let Xe=class extends _e{constructor(q,pe,Fe,Ye,it,ut){if(super(pe,Fe,Ye,it,ut),q===null)throw(0,F.$7)("location");this.location=q}};e.$2M=Xe,e.$2M=Xe=Je([y],Xe);let at=class extends _e{constructor(q,pe,Fe,Ye,it,ut){super(pe,Fe,Ye,it,ut),this.functionName=q}};e.$3M=at,e.$3M=at=Je([y],at);let kt=class extends _e{constructor(q,pe,Fe,Ye,it,ut,gt,Gt){if(super(Ye,it,ut,gt,Gt),!pe)throw(0,F.$7)("dataId");this.label=q,this.dataId=pe,this.canPersist=Fe}};e.$4M=kt,e.$4M=kt=Je([y],kt);let Ht=class{constructor(q,pe,Fe){this.command=q,this.args=pe||[],this.options=Fe}};e.$5M=Ht,e.$5M=Ht=Je([y],Ht);let St=class{constructor(q,pe){this.port=q,this.host=pe}};e.$6M=St,e.$6M=St=Je([y],St);let Mt=class{constructor(q){this.path=q}};e.$7M=Mt,e.$7M=Mt=Je([y],Mt);let Zt=class{constructor(q){this.implementation=q}};e.$8M=Zt,e.$8M=Zt=Je([y],Zt);let bi=class{constructor(q,pe,Fe){this.session=q,this.threadId=pe,this.frameId=Fe}};e.$9M=bi,e.$9M=bi=Je([y],bi);let pi=class{constructor(q,pe){this.session=q,this.threadId=pe}};e.$0M=pi,e.$0M=pi=Je([y],pi);let ht=class{constructor(q,pe){this.range=q,this.expression=pe}};e.$$M=ht,e.$$M=ht=Je([y],ht);var Xi;(function(G){G[G.Invoke=0]="Invoke",G[G.Automatic=1]="Automatic"})(Xi||(e.InlineCompletionTriggerKind=Xi={}));let ai=class{constructor(q,pe){this.range=q,this.text=pe}};e.$_M=ai,e.$_M=ai=Je([y],ai);let fi=class{constructor(q,pe,Fe=!0){this.range=q,this.variableName=pe,this.caseSensitiveLookup=Fe}};e.$aN=fi,e.$aN=fi=Je([y],fi);let yi=class{constructor(q,pe){this.range=q,this.expression=pe}};e.$bN=yi,e.$bN=yi=Je([y],yi);let Ai=class{constructor(q,pe){this.frameId=q,this.stoppedLocation=pe}};e.$cN=Ai,e.$cN=Ai=Je([y],Ai);var Yi;(function(G){G[G.AIGenerated=1]="AIGenerated"})(Yi||(e.NewSymbolNameTag=Yi={}));class hn{constructor(q,pe){this.newSymbolName=q,this.tags=pe}}e.$dN=hn;var Li;(function(G){G[G.Changed=1]="Changed",G[G.Created=2]="Created",G[G.Deleted=3]="Deleted"})(Li||(e.FileChangeType=Li={}));let Ri=g=class extends Error{static FileExists(q){return new g(q,b.FileSystemProviderErrorCode.FileExists,g.FileExists)}static FileNotFound(q){return new g(q,b.FileSystemProviderErrorCode.FileNotFound,g.FileNotFound)}static FileNotADirectory(q){return new g(q,b.FileSystemProviderErrorCode.FileNotADirectory,g.FileNotADirectory)}static FileIsADirectory(q){return new g(q,b.FileSystemProviderErrorCode.FileIsADirectory,g.FileIsADirectory)}static NoPermissions(q){return new g(q,b.FileSystemProviderErrorCode.NoPermissions,g.NoPermissions)}static Unavailable(q){return new g(q,b.FileSystemProviderErrorCode.Unavailable,g.Unavailable)}constructor(q,pe=b.FileSystemProviderErrorCode.Unknown,Fe){super(S.URI.isUri(q)?q.toString(!0):q),this.code=Fe?.name??"Unknown",(0,b.$Qk)(this,pe),Object.setPrototypeOf(this,g.prototype),typeof Error.captureStackTrace=="function"&&typeof Fe=="function"&&Error.captureStackTrace(this,Fe)}};e.$eN=Ri,e.$eN=Ri=g=Je([y],Ri);let ki=class{constructor(q,pe,Fe){this.start=q,this.end=pe,this.kind=Fe}};e.$fN=ki,e.$fN=ki=Je([y],ki);var mi;(function(G){G[G.Comment=1]="Comment",G[G.Imports=2]="Imports",G[G.Region=3]="Region"})(mi||(e.FoldingRangeKind=mi={}));var xi;(function(G){G[G.Collapsed=0]="Collapsed",G[G.Expanded=1]="Expanded"})(xi||(e.CommentThreadCollapsibleState=xi={}));var Ei;(function(G){G[G.Editing=0]="Editing",G[G.Preview=1]="Preview"})(Ei||(e.CommentMode=Ei={}));var Si;(function(G){G[G.Published=0]="Published",G[G.Draft=1]="Draft"})(Si||(e.CommentState=Si={}));var _i;(function(G){G[G.Unresolved=0]="Unresolved",G[G.Resolved=1]="Resolved"})(_i||(e.CommentThreadState=_i={}));class dn{constructor(q,pe=[]){this.tokenTypes=q,this.tokenModifiers=pe}}e.$gN=dn;function vi(G){return typeof G>"u"||(0,v.$Tf)(G)}class Mi{constructor(q){if(this.c=0,this.e=0,this.f=!0,this.g=[],this.j=0,this.k=new Map,this.l=new Map,this.m=!1,q){this.m=!0;for(let pe=0,Fe=q.tokenTypes.length;pe<Fe;pe++)this.k.set(q.tokenTypes[pe],pe);for(let pe=0,Fe=q.tokenModifiers.length;pe<Fe;pe++)this.l.set(q.tokenModifiers[pe],pe)}}push(q,pe,Fe,Ye,it){if(typeof q=="number"&&typeof pe=="number"&&typeof Fe=="number"&&typeof Ye=="number"&&(typeof it=="number"||typeof it>"u"))return typeof it>"u"&&(it=0),this.q(q,pe,Fe,Ye,it);if(T.isRange(q)&&typeof pe=="string"&&vi(Fe))return this.o(q,pe,Fe);throw(0,F.$7)()}o(q,pe,Fe){if(!this.m)throw new Error("Legend must be provided in constructor");if(q.start.line!==q.end.line)throw new Error("`range` cannot span multiple lines");if(!this.k.has(pe))throw new Error("`tokenType` is not in the provided legend");const Ye=q.start.line,it=q.start.character,ut=q.end.character-q.start.character,gt=this.k.get(pe);let Gt=0;if(Fe)for(const oi of Fe){if(!this.l.has(oi))throw new Error("`tokenModifier` is not in the provided legend");const li=this.l.get(oi);Gt|=1<<li>>>0}this.q(Ye,it,ut,gt,Gt)}q(q,pe,Fe,Ye,it){if(this.f&&(q<this.c||q===this.c&&pe<this.e)){this.f=!1;const Gt=this.g.length/5|0;let oi=0,li=0;for(let di=0;di<Gt;di++){let gi=this.g[5*di],Qi=this.g[5*di+1];gi===0?(gi=oi,Qi+=li):gi+=oi,this.g[5*di]=gi,this.g[5*di+1]=Qi,oi=gi,li=Qi}}let ut=q,gt=pe;this.f&&this.j>0&&(ut-=this.c,ut===0&&(gt-=this.e)),this.g[this.j++]=ut,this.g[this.j++]=gt,this.g[this.j++]=Fe,this.g[this.j++]=Ye,this.g[this.j++]=it,this.c=q,this.e=pe}static r(q){const pe=[],Fe=q.length/5|0;for(let gt=0;gt<Fe;gt++)pe[gt]=gt;pe.sort((gt,Gt)=>{const oi=q[5*gt],li=q[5*Gt];if(oi===li){const di=q[5*gt+1],gi=q[5*Gt+1];return di-gi}return oi-li});const Ye=new Uint32Array(q.length);let it=0,ut=0;for(let gt=0;gt<Fe;gt++){const Gt=5*pe[gt],oi=q[Gt+0],li=q[Gt+1],di=q[Gt+2],gi=q[Gt+3],Qi=q[Gt+4],Pn=oi-it,xn=Pn===0?li-ut:li,Zi=5*gt;Ye[Zi+0]=Pn,Ye[Zi+1]=xn,Ye[Zi+2]=di,Ye[Zi+3]=gi,Ye[Zi+4]=Qi,it=oi,ut=li}return Ye}build(q){return this.f?new Oi(new Uint32Array(this.g),q):new Oi(Mi.r(this.g),q)}}e.$hN=Mi;class Oi{constructor(q,pe){this.resultId=pe,this.data=q}}e.$iN=Oi;class fn{constructor(q,pe,Fe){this.start=q,this.deleteCount=pe,this.data=Fe}}e.$jN=fn;class Di{constructor(q,pe){this.resultId=pe,this.edits=q}}e.$kN=Di;var en;(function(G){G[G.Separate=0]="Separate",G[G.MergeWithParent=1]="MergeWithParent"})(en||(e.DebugConsoleMode=en={}));class mn{constructor(q){this.name=q}}e.$lN=mn;let wi=class{static{this.Back={iconPath:new Re("arrow-left")}}constructor(){}};e.$mN=wi,e.$mN=wi=Je([y],wi);var Fi;(function(G){G[G.Separator=-1]="Separator",G[G.Default=0]="Default"})(Fi||(e.QuickPickItemKind=Fi={}));var tn;(function(G){G[G.Info=1]="Info",G[G.Warning=2]="Warning",G[G.Error=3]="Error"})(tn||(e.InputBoxValidationSeverity=tn={}));var Ni;(function(G){G[G.UI=1]="UI",G[G.Workspace=2]="Workspace"})(Ni||(e.ExtensionKind=Ni={}));class nn{static validate(q){if(typeof q.badge=="string"){let pe=(0,w.$tf)(q.badge,0);if(pe<q.badge.length&&(pe+=(0,w.$tf)(q.badge,pe)),q.badge.length>pe)throw new Error("The 'badge'-property must be undefined or a short character")}else if(q.badge&&!Re.isThemeIcon(q.badge))throw new Error("The 'badge'-property is not a valid ThemeIcon");if(!q.color&&!q.badge&&!q.tooltip)throw new Error("The decoration is empty");return!0}constructor(q,pe,Fe){this.badge=q,this.tooltip=pe,this.color=Fe}}e.$nN=nn;let Ti=class{constructor(q){this.kind=q}};e.$oN=Ti,e.$oN=Ti=Je([y],Ti);var rn;(function(G){G[G.Light=1]="Light",G[G.Dark=2]="Dark",G[G.HighContrast=3]="HighContrast",G[G.HighContrastLight=4]="HighContrastLight"})(rn||(e.ColorThemeKind=rn={}));class hi{static isNotebookRange(q){return q instanceof hi?!0:q?typeof q.start=="number"&&typeof q.end=="number":!1}get start(){return this.c}get end(){return this.e}get isEmpty(){return this.c===this.e}constructor(q,pe){if(q<0)throw(0,F.$7)("start must be positive");if(pe<0)throw(0,F.$7)("end must be positive");q<=pe?(this.c=q,this.e=pe):(this.c=pe,this.e=q)}with(q){let pe=this.c,Fe=this.e;return q.start!==void 0&&(pe=q.start),q.end!==void 0&&(Fe=q.end),pe===this.c&&Fe===this.e?this:new hi(pe,Fe)}}e.$pN=hi;class Ci{static validate(q){if(typeof q.kind!="number")throw new Error("NotebookCellData MUST have 'kind' property");if(typeof q.value!="string")throw new Error("NotebookCellData MUST have 'value' property");if(typeof q.languageId!="string")throw new Error("NotebookCellData MUST have 'languageId' property")}static isNotebookCellDataArray(q){return Array.isArray(q)&&q.every(pe=>Ci.isNotebookCellData(pe))}static isNotebookCellData(q){return!0}constructor(q,pe,Fe,Ye,it,ut,gt){this.kind=q,this.value=pe,this.languageId=Fe,this.mime=Ye,this.outputs=it??[],this.metadata=ut,this.executionSummary=gt,Ci.validate(this)}}e.$qN=Ci;class ji{constructor(q){this.cells=q}}e.$rN=ji;class si{static isNotebookCellOutputItem(q){return q instanceof si?!0:q?typeof q.mime=="string"&&q.data instanceof Uint8Array:!1}static error(q){const pe={name:q.name,message:q.message,stack:q.stack};return si.json(pe,"application/vnd.code.notebook.error")}static stdout(q){return si.text(q,"application/vnd.code.notebook.stdout")}static stderr(q){return si.text(q,"application/vnd.code.notebook.stderr")}static bytes(q,pe="application/octet-stream"){return new si(q,pe)}static#e=new TextEncoder;static text(q,pe=R.$qs.text){const Fe=si.#e.encode(String(q));return new si(Fe,pe)}static json(q,pe="text/x-json"){const Fe=JSON.stringify(q,void 0,"	");return si.text(Fe,pe)}constructor(q,pe){this.data=q,this.mime=pe;const Fe=(0,R.$us)(pe,!0);if(!Fe)throw new Error(`INVALID mime type: ${pe}. Must be in the format "type/subtype[;optionalparameter]"`);this.mime=Fe}}e.$sN=si;class We{static isNotebookCellOutput(q){return q instanceof We?!0:!q||typeof q!="object"?!1:typeof q.id=="string"&&Array.isArray(q.items)}static ensureUniqueMimeTypes(q,pe=!1){const Fe=new Set,Ye=new Set;for(let it=0;it<q.length;it++){const ut=q[it],gt=(0,R.$us)(ut.mime);if(!Fe.has(gt)||(0,k.$3J)(gt)){Fe.add(gt);continue}Ye.add(it),pe&&console.warn(`DUPLICATED mime type '${ut.mime}' will be dropped`)}return Ye.size===0?q:q.filter((it,ut)=>!Ye.has(ut))}constructor(q,pe,Fe){this.items=We.ensureUniqueMimeTypes(q,!0),typeof pe=="string"?(this.id=pe,this.metadata=Fe):(this.id=(0,M.$Ag)(),this.metadata=pe??Fe)}}e.$tN=We;var ci;(function(G){G[G.Markup=1]="Markup",G[G.Code=2]="Code"})(ci||(e.NotebookCellKind=ci={}));var zi;(function(G){G[G.Idle=1]="Idle",G[G.Pending=2]="Pending",G[G.Executing=3]="Executing"})(zi||(e.NotebookCellExecutionState=zi={}));var ot;(function(G){G[G.Left=1]="Left",G[G.Right=2]="Right"})(ot||(e.NotebookCellStatusBarAlignment=ot={}));var pt;(function(G){G[G.Default=0]="Default",G[G.InCenter=1]="InCenter",G[G.InCenterIfOutsideViewport=2]="InCenterIfOutsideViewport",G[G.AtTop=3]="AtTop"})(pt||(e.NotebookEditorRevealType=pt={}));class gn{constructor(q,pe){this.text=q,this.alignment=pe}}e.$uN=gn;var sn;(function(G){G[G.Default=1]="Default",G[G.Preferred=2]="Preferred"})(sn||(e.NotebookControllerAffinity=sn={}));var Ui;(function(G){G[G.Default=1]="Default",G[G.Preferred=2]="Preferred",G[G.Hidden=-1]="Hidden"})(Ui||(e.NotebookControllerAffinity2=Ui={}));class $n{constructor(q,pe=[]){this.uri=q,this.provides=(0,I.$3b)(pe)}}e.$vN=$n;class Ii{constructor(q){this.label=q}}e.$wN=Ii;var on;(function(G){G[G.Named=1]="Named",G[G.Indexed=2]="Indexed"})(on||(e.NotebookVariablesRequestKind=on={}));let Bi=class{constructor(q,pe){this.label=q,this.timestamp=pe}};e.$xN=Bi,e.$xN=Bi=Je([y],Bi);var an;(function(G){G[G.Production=1]="Production",G[G.Development=2]="Development",G[G.Test=3]="Test"})(an||(e.ExtensionMode=an={}));var Wi;(function(G){G[G.Node=1]="Node",G[G.Webworker=2]="Webworker"})(Wi||(e.ExtensionRuntime=Wi={}));var cn;(function(G){G[G.Other=0]="Other",G[G.Comment=1]="Comment",G[G.String=2]="String",G[G.RegEx=3]="RegEx"})(cn||(e.StandardTokenType=cn={}));class bn{constructor(q,pe){this.ranges=q,this.wordPattern=pe}}e.$yN=bn;class pn{constructor(q){this.c=q}get autoForwardAction(){return this.c}}e.$zN=pn;var ln;(function(G){G[G.Queued=1]="Queued",G[G.Running=2]="Running",G[G.Passed=3]="Passed",G[G.Failed=4]="Failed",G[G.Skipped=5]="Skipped",G[G.Errored=6]="Errored"})(ln||(e.TestResultState=ln={}));var un;(function(G){G[G.Run=1]="Run",G[G.Debug=2]="Debug",G[G.Coverage=3]="Coverage"})(un||(e.TestRunProfileKind=un={}));let qi=class{constructor(q=void 0,pe=void 0,Fe=void 0,Ye=!1){this.include=q,this.exclude=pe,this.profile=Fe,this.continuous=Ye}};e.$AN=qi,e.$AN=qi=Je([y],qi);let Vi=f=class{static diff(q,pe,Fe){const Ye=new f(q);return Ye.expectedOutput=pe,Ye.actualOutput=Fe,Ye}constructor(q){this.message=q}};e.$BN=Vi,e.$BN=Vi=f=Je([y],Vi);let Hi=class{constructor(q){this.id=q}};e.$CN=Hi,e.$CN=Hi=Je([y],Hi);class Pi{constructor(q,pe){this.covered=q,this.total=pe}}e.$DN=Pi;const Gi=G=>{if(G&&G.covered>G.total)throw new Error(`The total number of covered items (${G.covered}) cannot be greater than the total (${G.total})`)};class Ki{static fromDetails(q,pe){const Fe=new Pi(0,0),Ye=new Pi(0,0),it=new Pi(0,0);for(const gt of pe)if("branches"in gt){Fe.total+=1,Fe.covered+=gt.executed?1:0;for(const Gt of gt.branches)Ye.total+=1,Ye.covered+=Gt.executed?1:0}else it.total+=1,it.covered+=gt.executed?1:0;const ut=new Ki(q,Fe,Ye.total>0?Ye:void 0,it.total>0?it:void 0);return ut.detailedCoverage=pe,ut}constructor(q,pe,Fe,Ye){this.uri=q,this.statementCoverage=pe,this.branchCoverage=Fe,this.declarationCoverage=Ye,Gi(pe),Gi(Fe),Gi(Ye)}}e.$EN=Ki;class ge{get executionCount(){return+this.executed}set executionCount(q){this.executed=q}constructor(q,pe,Fe=[]){this.executed=q,this.location=pe,this.branches=Fe}}e.$FN=ge;class ke{get executionCount(){return+this.executed}set executionCount(q){this.executed=q}constructor(q,pe,Fe){this.executed=q,this.location=pe,this.label=Fe}}e.$GN=ke;class qe{get executionCount(){return+this.executed}set executionCount(q){this.executed=q}constructor(q,pe,Fe){this.name=q,this.executed=pe,this.location=Fe}}e.$HN=qe;var ct;(function(G){G[G.None=0]="None",G[G.Option=1]="Option",G[G.Default=2]="Default",G[G.Preferred=3]="Preferred"})(ct||(e.ExternalUriOpenerPriority=ct={}));var wt;(function(G){G[G.Untrusted=0]="Untrusted",G[G.Trusted=1]="Trusted",G[G.Unspecified=2]="Unspecified"})(wt||(e.WorkspaceTrustState=wt={}));var Ot;(function(G){G[G.Notify=1]="Notify",G[G.OpenBrowser=2]="OpenBrowser",G[G.OpenPreview=3]="OpenPreview",G[G.Silent=4]="Silent",G[G.Ignore=5]="Ignore",G[G.OpenBrowserOnce=6]="OpenBrowserOnce"})(Ot||(e.PortAutoForwardAction=Ot={}));class Ji{constructor(q,pe,Fe,Ye,it,ut){this.kind=q,this.name=pe,this.detail=Fe,this.uri=Ye,this.range=it,this.selectionRange=ut}}e.$IN=Ji;class An{constructor(q){this.uri=q}}e.$JN=An;class Ln{constructor(q,pe){this.original=q,this.modified=pe}}e.$KN=Ln;class Rn{constructor(q,pe,Fe,Ye){this.base=q,this.input1=pe,this.input2=Fe,this.result=Ye}}e.$LN=Rn;class Mn{constructor(q,pe){this.uri=q,this.viewType=pe}}e.$MN=Mn;class On{constructor(q){this.viewType=q}}e.$NN=On;class Fn{constructor(q,pe){this.uri=q,this.notebookType=pe}}e.$ON=Fn;class Nn{constructor(q,pe,Fe){this.original=q,this.modified=pe,this.notebookType=Fe}}e.$PN=Nn;class Tn{constructor(){}}e.$QN=Tn;class jn{constructor(q,pe){this.uri=q,this.inputBoxUri=pe}}e.$RN=jn;class zn{constructor(q){this.providerId=q}}e.$SN=zn;var vn;(function(G){G[G.Down=0]="Down",G[G.Up=1]="Up"})(vn||(e.InteractiveSessionVoteDirection=vn={}));var wn;(function(G){G[G.Action=1]="Action",G[G.Toolbar=2]="Toolbar"})(wn||(e.ChatCopyKind=wn={}));var yn;(function(G){G[G.Short=1]="Short",G[G.Medium=2]="Medium",G[G.Full=3]="Full"})(yn||(e.ChatVariableLevel=yn={}));class Un{constructor(q,pe){this.label=q,this.values=pe}}e.$TN=Un;var kn;(function(G){G[G.Unhelpful=0]="Unhelpful",G[G.Helpful=1]="Helpful",G[G.Undone=2]="Undone",G[G.Accepted=3]="Accepted",G[G.Bug=4]="Bug"})(kn||(e.InteractiveEditorResponseFeedbackKind=kn={}));var En;(function(G){G[G.Unhelpful=0]="Unhelpful",G[G.Helpful=1]="Helpful"})(En||(e.ChatResultFeedbackKind=En={}));class Bn{constructor(q){this.value=typeof q=="string"?new Te(q):q}}e.$UN=Bn;class Wn{constructor(q,pe){this.value=q,this.baseUri=pe}}e.$VN=Wn;class qn{constructor(q,pe){this.value=q,this.title=pe}}e.$WN=qn;class Vn{constructor(q){this.value=q}}e.$XN=Vn;class Hn{constructor(q){this.value=q}}e.$YN=Hn;class Gn{constructor(q){this.value=q}}e.$ZN=Gn;class Kn{constructor(q,pe,Fe,Ye){this.prompt=q,this.command=pe,this.variables=Fe,this.participant=Ye}}e.$1N=Kn;class Jn{constructor(q,pe,Fe,Ye){this.response=q,this.result=pe,this.participant=Fe,this.command=Ye}}e.$2N=Jn;class Qn{constructor(q){this.content=q}}e.$3N=Qn;class Zn{constructor(q,pe){this.content=q,this.name=pe}}e.$4N=Zn;class Xn{constructor(q){this.content=q}}e.$5N=Xn;var Sn;(function(G){G[G.SymbolInformation=1]="SymbolInformation",G[G.CommandInformation=2]="CommandInformation",G[G.SearchInformation=3]="SearchInformation",G[G.SettingInformation=4]="SettingInformation"})(Sn||(e.RelatedInformationType=Sn={}));var Dn;(function(G){G[G.Started=1]="Started",G[G.Recognizing=2]="Recognizing",G[G.Recognized=3]="Recognized",G[G.Stopped=4]="Stopped"})(Dn||(e.SpeechToTextStatus=Dn={}));var Cn;(function(G){G[G.Recognized=1]="Recognized",G[G.Stopped=2]="Stopped"})(Cn||(e.KeywordRecognitionStatus=Cn={}));class Yn{constructor(q,pe){this.text=q,this.range=pe}}e.$6N=Yn;var In;(function(G){G[G.Invoke=0]="Invoke",G[G.Automatic=1]="Automatic"})(In||(e.InlineEditTriggerKind=In={}))}),define(Se[314],De([1,0,6,7]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ehc=void 0;class ${constructor(R){this.a=new Map,this.b=0,this.c=R.getProxy(I.$ZL.MainThreadAiRelatedInformation)}async $provideAiRelatedInformation(R,w,v){if(this.a.size===0)throw new Error("No related information providers registered");const S=this.a.get(R);if(!S)throw new Error("related information provider not found");return await S.provideRelatedInformation(w,v)??[]}getRelatedInformation(R,w,v){return this.c.$getAiRelatedInformation(w,v)}registerRelatedInformationProvider(R,w,v){const S=this.b;return this.b++,this.a.set(S,v),this.c.$registerAiRelatedInformationProvider(S,w),new F.$2L(()=>{this.c.$unregisterAiRelatedInformationProvider(S),this.a.delete(S)})}}e.$Ehc=$}),define(Se[315],De([1,0,4,6,7,25,142]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Phc=void 0;class w{constructor(M){this.b=new Map,this.c=new I.$5d,this.onDidChangeSessions=this.c.event,this.d=new v,this.f=new v,this.a=M.getProxy(F.$ZL.MainThreadAuthentication)}async getSession(M,C,b,E={}){const k=L.$wm.toKey(M.identifier),l=[...b].sort().join(" ");return await this.d.getOrCreate(`${k} ${C} ${l}`,async()=>{await this.a.$ensureProvider(C);const p=M.displayName||M.name;return this.a.$getSession(C,b,k,p,E)})}async getSessions(M,C,b){const E=L.$wm.toKey(M.identifier),k=[...b].sort().join(" ");return await this.f.getOrCreate(`${E} ${k}`,async()=>{await this.a.$ensureProvider(C);const l=M.displayName||M.name;return this.a.$getSessions(C,b,E,l)})}async removeSession(M,C){const b=this.b.get(M);return b?b.provider.removeSession(C):this.a.$removeSession(M,C)}registerAuthenticationProvider(M,C,b,E){if(this.b.get(M))throw new Error(`An authentication provider with id '${M}' is already registered.`);this.b.set(M,{label:C,provider:b,options:E??{supportsMultipleAccounts:!1}});const k=b.onDidChangeSessions(l=>this.a.$sendDidChangeSessions(M,l));return this.a.$registerAuthenticationProvider(M,C,E?.supportsMultipleAccounts??!1),new $.$2L(()=>{k.dispose(),this.b.delete(M),this.a.$unregisterAuthenticationProvider(M)})}$createSession(M,C,b){const E=this.b.get(M);if(E)return Promise.resolve(E.provider.createSession(C,b));throw new Error(`Unable to find authentication provider with handle: ${M}`)}$removeSession(M,C){const b=this.b.get(M);if(b)return Promise.resolve(b.provider.removeSession(C));throw new Error(`Unable to find authentication provider with handle: ${M}`)}$getSessions(M,C){const b=this.b.get(M);if(b)return Promise.resolve(b.provider.getSessions(C));throw new Error(`Unable to find authentication provider with handle: ${M}`)}$onDidChangeAuthenticationSessions(M,C){return M.startsWith(R.$6K)||this.c.fire({provider:{id:M,label:C}}),Promise.resolve()}}e.$Phc=w;class v{constructor(){this.a=new Map}getOrCreate(M,C){const b=this.a.get(M);if(b)return b;const E=C().finally(()=>this.a.delete(M));return this.a.set(M,E),E}}}),define(Se[148],De([1,0,2,6,7,5,20,13,19,12,17,26]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";var b;Object.defineProperty(e,"__esModule",{value:!0}),e.$Pic=e.$Oic=void 0;let E=class{static{b=this}static{this.c=0}static{this.d=250}constructor(l,p){this.h=p,this.f=new Map,this.g=l.getProxy(F.$ZL.MainThreadDecorations)}registerFileDecorationProvider(l,p){const o=b.c++;this.f.set(o,{provider:l,extensionDescription:p}),this.g.$registerDecorationProvider(o,p.identifier.value);const i=l.onDidChangeFileDecorations&&l.onDidChangeFileDecorations(n=>{if(!n){this.g.$onDidChange(o,null);return}const r=(0,v.$3b)(n);if(r.length<=b.d){this.g.$onDidChange(o,r);return}this.h.warn("[Decorations] CAPPING events from decorations provider",p.identifier.value,r.length);const a=r.map(u=>({uri:u,rank:(0,S.$Ye)(u.path,"/")})),t=(0,v.$zb)(a,(u,s)=>u.rank-s.rank||(0,S.$cf)(u.uri.path,s.uri.path)),d=[];e:for(const u of t){let s;for(const c of u){const h=(0,M.$mc)(c.uri.path);if(s!==h&&(s=h,d.push(c.uri)>=b.d))break e}}this.g.$onDidChange(o,d)});return new $.$2L(()=>{i?.dispose(),this.g.$unregisterDecorationProvider(o),this.f.delete(o)})}async $provideDecorations(l,p,o){if(!this.f.has(l))return Object.create(null);const i=Object.create(null),{provider:n,extensionDescription:r}=this.f.get(l);return await Promise.all(p.map(async a=>{try{const{uri:t,id:d}=a,u=await Promise.resolve(n.provideFileDecoration(I.URI.revive(t),o));if(!u)return;try{$.$nN.validate(u),u.badge&&typeof u.badge!="string"&&(0,C.$VF)(r,"codiconDecoration"),i[d]=[u.propagate,u.tooltip,u.badge,u.color]}catch(s){this.h.warn(`INVALID decoration from extension '${r.identifier.value}': ${s}`)}}catch(t){this.h.error(t)}})),i}};e.$Oic=E,e.$Oic=E=b=Je([Ve(0,R.$eO),Ve(1,w.$yj)],E),e.$Pic=(0,L.$ei)("IExtHostDecorations")}),define(Se[316],De([1,0,14,2,7,6,16,22,12]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ric=void 0;class S{static{this.a=0}constructor(C,b,E){this.d=b,this.e=E,this.b=new Map,this.c=C.getProxy(L.$ZL.MainThreadDocumentContentProviders)}registerTextDocumentContentProvider(C,b){if(Object.keys(R.Schemas).indexOf(C)>=0)throw new Error(`scheme '${C}' already registered`);const E=S.a++;this.b.set(E,b),this.c.$registerTextContentProvider(E,C);let k;if(typeof b.onDidChange=="function"){let l;k=b.onDidChange(async p=>{if(p.scheme!==C){this.e.warn(`Provider for scheme '${C}' is firing event for schema '${p.scheme}' which will be IGNORED`);return}if(!this.d.getDocument(p))return;l&&await l;const o=this.$provideTextDocumentContent(E,p).then(async i=>{if(!i&&typeof i!="string")return;const n=this.d.getDocument(p);if(!n)return;const r=(0,v.$9e)(i);if(!n.equalLines(r))return this.c.$onVirtualDocumentChange(p,i)}).catch(I.$1).finally(()=>{l===o&&(l=void 0)});l=o})}return new $.$2L(()=>{this.b.delete(E)&&this.c.$unregisterTextContentProvider(E),k&&(k.dispose(),k=void 0)})}$provideTextDocumentContent(C,b){const E=this.b.get(C);return E?Promise.resolve(E.provideTextDocumentContent(F.URI.revive(b),w.CancellationToken.None)):Promise.reject(new Error(`unsupported uri-scheme: ${b.scheme}`))}}e.$Ric=S}),define(Se[149],De([1,0,61,16,12,177,126,7,19]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$iO=e.$hO=e.$gO=void 0;const S=new Map;function M(k,l){l?S.set(k,l):S.delete(k)}e.$gO=M;function C(k){return S.get(k)}class b extends L.$xv{constructor(l,p,o,i,n,r,a){super(p,o,i,n),this.c=l,this.m=r,this.q=a,this.b=!1}dispose(){(0,I.ok)(!this.b),this.b=!0,this.q=!1}equalLines(l){return(0,v.$ub)(this.f,l)}get document(){if(!this.a){const l=this;this.a={get uri(){return l.d},get fileName(){return l.d.fsPath},get isUntitled(){return l.d.scheme===F.Schemas.untitled},get languageId(){return l.m},get version(){return l.h},get isClosed(){return l.b},get isDirty(){return l.q},save(){return l.r()},getText(p){return p?l.s(p):l.getText()},get eol(){return l.g===`
`?w.EndOfLine.LF:w.EndOfLine.CRLF},get lineCount(){return l.f.length},lineAt(p){return l.t(p)},offsetAt(p){return l.u(p)},positionAt(p){return l.v(p)},validateRange(p){return l.w(p)},validatePosition(p){return l.x(p)},getWordRangeAtPosition(p,o){return l.y(p,o)}}}return Object.freeze(this.a)}_acceptLanguageId(l){(0,I.ok)(!this.b),this.m=l}_acceptIsDirty(l){(0,I.ok)(!this.b),this.q=l}r(){return this.b?Promise.reject(new Error("Document has been closed")):this.c.$trySaveDocument(this.d)}s(l){const p=this.w(l);if(p.isEmpty)return"";if(p.isSingleLine)return this.f[p.start.line].substring(p.start.character,p.end.character);const o=this.g,i=p.start.line,n=p.end.line,r=[];r.push(this.f[i].substring(p.start.character));for(let a=i+1;a<n;a++)r.push(this.f[a]);return r.push(this.f[n].substring(0,p.end.character)),r.join(o)}t(l){let p;if(l instanceof w.$3L?p=l.line:typeof l=="number"&&(p=l),typeof p!="number"||p<0||p>=this.f.length||Math.floor(p)!==p)throw new Error("Illegal value for `line`");return new E(p,this.f[p],p===this.f.length-1)}u(l){return l=this.x(l),this.l(),this.j.getPrefixSum(l.line-1)+l.character}v(l){l=Math.floor(l),l=Math.max(0,l),this.l();const p=this.j.getIndexOf(l),o=this.f[p.index].length;return new w.$3L(p.index,Math.min(p.remainder,o))}w(l){if(!(l instanceof w.$4L))throw new Error("Invalid argument");const p=this.x(l.start),o=this.x(l.end);return p===l.start&&o===l.end?l:new w.$4L(p.line,p.character,o.line,o.character)}x(l){if(!(l instanceof w.$3L))throw new Error("Invalid argument");if(this.f.length===0)return l.with(0,0);let{line:p,character:o}=l,i=!1;if(p<0)p=0,o=0,i=!0;else if(p>=this.f.length)p=this.f.length-1,o=this.f[p].length,i=!0;else{const n=this.f[p].length;o<0?(o=0,i=!0):o>n&&(o=n,i=!0)}return i?new w.$3L(p,o):l}y(l,p){const o=this.x(l);if(!p)p=C(this.m);else if((0,$.$8e)(p))throw new Error(`[getWordRangeAtPosition]: ignoring custom regexp '${p.source}' because it matches the empty string.`);const i=(0,R.$Is)(o.character+1,(0,R.$Gs)(p),this.f[o.line],0);if(i)return new w.$4L(o.line,i.startColumn-1,o.line,i.endColumn-1)}}e.$hO=b;class E{constructor(l,p,o){this.a=l,this.b=p,this.c=o}get lineNumber(){return this.a}get text(){return this.b}get range(){return new w.$4L(this.a,0,this.a,this.b.length)}get rangeIncludingLineBreak(){return this.c?this.range:new w.$4L(this.a,0,this.a+1,0)}get firstNonWhitespaceCharacterIndex(){return/^(\s*)/.exec(this.b)[1].length}get isEmptyOrWhitespace(){return this.firstNonWhitespaceCharacterIndex===this.b.length}}e.$iO=E}),define(Se[317],De([1,0,6,7]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Tic=void 0;class ${constructor(R){this.a=new Map,this.b=0,this.c=R.getProxy(I.$ZL.MainThreadAiEmbeddingVector)}async $provideAiEmbeddingVector(R,w,v){if(this.a.size===0)throw new Error("No embedding vector providers registered");const S=this.a.get(R);if(!S)throw new Error("Embedding vector provider not found");const M=await S.provideEmbeddingVector(w,v);if(!M)throw new Error("Embedding vector provider returned undefined");return M}registerEmbeddingVectorProvider(R,w,v){const S=this.b;return this.b++,this.a.set(S,v),this.c.$registerAiEmbeddingVectorProvider(w,S),new F.$2L(()=>{this.c.$unregisterAiEmbeddingVectorProvider(S),this.a.delete(S)})}}e.$Tic=$}),define(Se[69],De([1,0,6,32,7,21,5,20,59,3,8,23,16]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.$8hc=e.$7hc=void 0;let k=E=class{constructor(p,o){this.b=new Map,this.c=new M.$nh,this.a=p.getProxy(I.$ZL.MainThreadFileSystem);const i=this;this.value=Object.freeze({async stat(n){try{let r;const a=i.b.get(n.scheme);return a?(await i.a.$ensureActivation(n.scheme),r=await a.impl.stat(n)):r=await i.a.$stat(n),{type:r.type,ctime:r.ctime,mtime:r.mtime,size:r.size,permissions:r.permissions===F.FilePermission.Readonly?1:void 0}}catch(r){E.e(r)}},async readDirectory(n){try{const r=i.b.get(n.scheme);return r?(await i.a.$ensureActivation(n.scheme),(await r.impl.readDirectory(n)).slice()):await i.a.$readdir(n)}catch(r){return E.e(r)}},async createDirectory(n){try{const r=i.b.get(n.scheme);return r&&!r.isReadonly?(await i.a.$ensureActivation(n.scheme),await i.d(r.impl,r.extUri,n)):await i.a.$mkdir(n)}catch(r){return E.e(r)}},async readFile(n){try{const r=i.b.get(n.scheme);return r?(await i.a.$ensureActivation(n.scheme),(await r.impl.readFile(n)).slice()):(await i.a.$readFile(n)).buffer}catch(r){return E.e(r)}},async writeFile(n,r){try{const a=i.b.get(n.scheme);return a&&!a.isReadonly?(await i.a.$ensureActivation(n.scheme),await i.d(a.impl,a.extUri,a.extUri.dirname(n)),await i.c.queueFor(n,()=>Promise.resolve(a.impl.writeFile(n,r,{create:!0,overwrite:!0})))):await i.a.$writeFile(n,L.$se.wrap(r))}catch(a){return E.e(a)}},async delete(n,r){try{const a=i.b.get(n.scheme);return a&&!a.isReadonly&&!r?.useTrash?(await i.a.$ensureActivation(n.scheme),await a.impl.delete(n,{recursive:!1,...r})):await i.a.$delete(n,{recursive:!1,useTrash:!1,atomic:!1,...r})}catch(a){return E.e(a)}},async rename(n,r,a){try{return await i.a.$rename(n,r,{overwrite:!1,...a})}catch(t){return E.e(t)}},async copy(n,r,a){try{return await i.a.$copy(n,r,{overwrite:!1,...a})}catch(t){return E.e(t)}},isWritableFileSystem(n){const r=o.getCapabilities(n);if(typeof r=="number")return!(r&2048)}})}async d(p,o,i){const n=[];for(;!o.isEqual(i,o.dirname(i));)try{if(!((await p.stat(i)).type&F.FileType.Directory))throw $.$eN.FileExists(`Unable to create folder '${i.scheme===b.Schemas.file?i.fsPath:i.toString(!0)}' that already exists but is not a directory`);break}catch(r){if(F.$Rk(r)!==F.FileSystemProviderErrorCode.FileNotFound)throw r;n.push(o.basename(i)),i=o.dirname(i)}for(let r=n.length-1;r>=0;r--){i=o.joinPath(i,n[r]);try{await p.createDirectory(i)}catch(a){if(F.$Rk(a)!==F.FileSystemProviderErrorCode.FileExists)throw a}}}static e(p){if(p instanceof $.$eN)throw p;if(p instanceof F.$Nk)switch(p.code){case F.FileSystemProviderErrorCode.FileExists:throw $.$eN.FileExists(p.message);case F.FileSystemProviderErrorCode.FileNotFound:throw $.$eN.FileNotFound(p.message);case F.FileSystemProviderErrorCode.FileNotADirectory:throw $.$eN.FileNotADirectory(p.message);case F.FileSystemProviderErrorCode.FileIsADirectory:throw $.$eN.FileIsADirectory(p.message);case F.FileSystemProviderErrorCode.NoPermissions:throw $.$eN.NoPermissions(p.message);case F.FileSystemProviderErrorCode.Unavailable:throw $.$eN.Unavailable(p.message);default:throw new $.$eN(p.message,p.name)}if(!(p instanceof Error))throw new $.$eN(String(p));if(p.name==="ENOPRO"||p.message.includes("ENOPRO"))throw $.$eN.Unavailable(p.message);switch(p.name){case F.FileSystemProviderErrorCode.FileExists:throw $.$eN.FileExists(p.message);case F.FileSystemProviderErrorCode.FileNotFound:throw $.$eN.FileNotFound(p.message);case F.FileSystemProviderErrorCode.FileNotADirectory:throw $.$eN.FileNotADirectory(p.message);case F.FileSystemProviderErrorCode.FileIsADirectory:throw $.$eN.FileIsADirectory(p.message);case F.FileSystemProviderErrorCode.NoPermissions:throw $.$eN.NoPermissions(p.message);case F.FileSystemProviderErrorCode.Unavailable:throw $.$eN.Unavailable(p.message);default:throw new $.$eN(p.message,p.name)}}addFileSystemProvider(p,o,i){return this.b.set(p,{impl:o,extUri:i?.isCaseSensitive?C.$Hg:C.$Jg,isReadonly:!!i?.isReadonly}),(0,S.$Rc)(()=>this.b.delete(p))}getFileSystemProviderExtUri(p){return this.b.get(p)?.extUri??C.$Hg}};e.$7hc=k,e.$7hc=k=E=Je([Ve(0,w.$eO),Ve(1,v.$Jhc)],k),e.$8hc=(0,R.$ei)("IExtHostConsumerFileSystem")}),define(Se[318],De([1,0,6,7]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$$ic=void 0;class ${constructor(R){this.a=new Map,this.b=new Map,this.c=R.getProxy(I.$ZL.MainThreadIssueReporter)}async $getIssueReporterUri(R,w){if(this.a.size===0)throw new Error("No issue request handlers registered");const v=this.a.get(R);if(!v)throw new Error("Issue request handler not found");const S=await v.handleIssueUrlRequest();if(!S)throw new Error("Issue request handler returned no result");return S}async $getIssueReporterData(R,w){if(this.b.size===0)throw new Error("No issue request handlers registered");const v=this.b.get(R);if(!v)throw new Error("Issue data provider not found");const S=await v.provideIssueData(w);if(!S)throw new Error("Issue data provider returned no result");return S}async $getIssueReporterTemplate(R,w){if(this.b.size===0)throw new Error("No issue request handlers registered");const v=this.b.get(R);if(!v)throw new Error("Issue data provider not found");const S=await v.provideIssueTemplate(w);if(!S)throw new Error("Issue template provider returned no result");return S}registerIssueUriRequestHandler(R,w){const v=R.identifier.value;return this.a.set(v,w),this.c.$registerIssueUriRequestHandler(v),new F.$2L(()=>{this.c.$unregisterIssueUriRequestHandler(v),this.a.delete(v)})}registerIssueDataProvider(R,w){const v=R.identifier.value;return this.b.set(v,w),this.c.$registerIssueDataProvider(v),new F.$2L(()=>{this.c.$unregisterIssueDataProvider(v),this.b.delete(v)})}}e.$$ic=$}),define(Se[93],De([1,0,5,27,13,69,2]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0hc=e.$9hc=void 0,e.$9hc=(0,I.$ei)("IExtensionStoragePaths");let w=class{constructor(S,M,C){this.d=M,this.f=C,this.a=S.workspace??void 0,this.b=S.environment,this.whenReady=this.h().then(b=>this.c=b)}async g(S){return R.URI.joinPath(this.b.workspaceStorageHome,S)}async h(){if(!this.a)return Promise.resolve(void 0);const S=this.a.id,M=await this.g(S);try{return await this.f.value.stat(M),this.d.trace("[ExtHostStorage] storage dir already exists",M),M}catch{}try{return this.d.trace("[ExtHostStorage] creating dir and metadata-file",M),await this.f.value.createDirectory(M),await this.f.value.writeFile(R.URI.joinPath(M,"meta.json"),new TextEncoder().encode(JSON.stringify({id:this.a.id,configuration:R.URI.revive(this.a.configuration)?.toString(),name:this.a.name},void 0,2))),M}catch(C){this.d.error("[ExtHostStorage]",C);return}}workspaceValue(S){if(this.c)return R.URI.joinPath(this.c,S.identifier.value)}globalValue(S){return R.URI.joinPath(this.b.globalStorageHome,S.identifier.value.toLowerCase())}onWillDeactivateAll(){}};e.$0hc=w,e.$0hc=w=Je([Ve(0,F.$uO),Ve(1,$.$yj),Ve(2,L.$8hc)],w)}),define(Se[319],De([1,0,7,20,4]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Bjc=void 0;let L=class{constructor(w){this.a=new I.$oN(I.ColorThemeKind.Dark),this.b=new $.$5d}get activeColorTheme(){return this.a}$onColorThemeChange(w){let v;switch(w){case"light":v=I.ColorThemeKind.Light;break;case"hcDark":v=I.ColorThemeKind.HighContrast;break;case"hcLight":v=I.ColorThemeKind.HighContrastLight;break;default:v=I.ColorThemeKind.Dark}this.a=new I.$oN(v),this.b.fire(this.a)}get onDidChangeActiveColorTheme(){return this.b.event}};e.$Bjc=L,e.$Bjc=L=Je([Ve(0,F.$eO)],L)}),define(Se[70],De([1,0,22,4,3,222,5,13,88,6,27,20,7]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qAb=e.$pAb=e.TunnelDtoConverter=void 0;class E extends v.$Vv{}var k;(function(p){function o(n){return{remoteAddress:n.remoteAddress,localAddress:n.localAddress,public:!!n.public,privacy:n.privacy??(n.public?v.TunnelPrivacyId.Public:v.TunnelPrivacyId.Private),protocol:n.protocol}}p.fromApiTunnel=o;function i(n){return{remoteAddress:{host:n.tunnelRemoteHost,port:n.tunnelRemotePort},localAddress:n.localAddress,public:n.privacy!==v.TunnelPrivacyId.ConstantPrivate&&n.privacy!==v.TunnelPrivacyId.ConstantPrivate,privacy:n.privacy,protocol:n.protocol}}p.fromServiceTunnel=i})(k||(e.TunnelDtoConverter=k={})),e.$pAb=(0,R.$ei)("IExtHostTunnelService");let l=class extends $.$Tc{constructor(o,i,n){super(),this.s=n,this.f=()=>Promise.resolve(!0),this.g=new Map,this.h=new F.$5d,this.onDidChangeTunnels=this.h.event,this.n=0,this.r=new Map,this.a=o.getProxy(S.$ZL.MainThreadTunnelService)}async openTunnel(o,i){this.s.trace(`ForwardedPorts: (ExtHostTunnelService) ${o.identifier.value} called openTunnel API for ${i.remoteAddress.host}:${i.remoteAddress.port}.`);const n=await this.a.$openTunnel(i,o.displayName);if(n){const r=new E(n.remoteAddress,n.localAddress,()=>this.a.$closeTunnel(n.remoteAddress));return this.B(r),r}}async getTunnels(){return this.a.$getTunnels()}u(){return this.n++}registerPortsAttributesProvider(o,i){const n=this.u();return this.r.set(n,{selector:o,provider:i}),this.a.$registerPortsAttributesProvider(o,n),new b.$2L(()=>{this.r.delete(n),this.a.$unregisterPortsAttributesProvider(n)})}async $providePortAttributes(o,i,n,r,a){const t=[];for(const u of o){const s=this.r.get(u);if(!s)return[];t.push(...await Promise.all(i.map(async c=>{let h;try{h=await s.provider.providePortAttributes({port:c,pid:n,commandLine:r},a)}catch{h=await s.provider.providePortAttributes(c,n,r,a)}return{providedAttributes:h,port:c}})))}const d=t.filter(u=>!!u.providedAttributes);return d.length>0?d.map(u=>({autoForwardAction:u.providedAttributes.autoForwardAction,port:u.port})):[]}async $registerCandidateFinder(o){}registerTunnelProvider(o,i){if(this.b)throw new Error("A tunnel provider has already been registered. Only the first tunnel provider to be registered will be used.");this.b=async(r,a)=>await o.provideTunnel(r,a,new I.$ce().token)??void 0;const n=i.tunnelFeatures?{elevation:!!i.tunnelFeatures?.elevation,privacyOptions:i.tunnelFeatures?.privacyOptions,protocol:i.tunnelFeatures.protocol===void 0?!0:i.tunnelFeatures.protocol}:void 0;return this.a.$setTunnelProvider(n),Promise.resolve((0,$.$Rc)(()=>{this.b=void 0,this.a.$setTunnelProvider(void 0)}))}async setTunnelFactory(o,i){if(o){o.candidatePortSource!==void 0&&this.a.$setCandidatePortSource(o.candidatePortSource),o.showCandidatePort&&(this.f=o.showCandidatePort,this.a.$setCandidateFilter());const n=o.tunnelFactory??(i?this.w(i):void 0);if(n){this.b=n;let r=o.tunnelFeatures?.privacyOptions??[];o.tunnelFeatures?.public&&r.length===0&&(r=[{id:"private",label:L.localize(0,null),themeIcon:"lock"},{id:"public",label:L.localize(1,null),themeIcon:"eye"}]);const a=o.tunnelFeatures?{elevation:!!o.tunnelFeatures?.elevation,public:!!o.tunnelFeatures?.public,privacyOptions:r,protocol:!0}:void 0;this.a.$setTunnelProvider(a)}}else this.b=void 0;return(0,$.$Rc)(()=>{this.b=void 0})}w(o){}async $closeTunnel(o,i){if(this.g.has(o.host)){const n=this.g.get(o.host);n.has(o.port)&&(i&&n.get(o.port).disposeListener.dispose(),await n.get(o.port).tunnel.dispose(),n.delete(o.port))}}async $onDidTunnelsChange(){this.h.fire()}async $forwardPort(o,i){if(this.b)try{this.s.trace("ForwardedPorts: (ExtHostTunnelService) Getting tunnel from provider.");const n=this.b(o,i);if(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Got tunnel promise from provider."),n!==void 0){const r=await n;if(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Successfully awaited tunnel from provider."),r===void 0){this.s.error("ForwardedPorts: (ExtHostTunnelService) Resolved tunnel is undefined");return}this.g.has(o.remoteAddress.host)||this.g.set(o.remoteAddress.host,new Map);const a=this.B(r.onDidDispose(()=>(this.s.trace("ForwardedPorts: (ExtHostTunnelService) Extension fired tunnel's onDidDispose."),this.a.$closeTunnel(r.remoteAddress))));return this.g.get(o.remoteAddress.host).set(o.remoteAddress.port,{tunnel:r,disposeListener:a}),k.fromApiTunnel(r)}else this.s.trace("ForwardedPorts: (ExtHostTunnelService) Tunnel is undefined")}catch(n){if(this.s.trace("ForwardedPorts: (ExtHostTunnelService) tunnel provider error"),n instanceof Error)return n.message}}async $applyCandidateFilter(o){const i=await Promise.all(o.map(r=>this.f(r.host,r.port,r.detail??""))),n=o.filter((r,a)=>i[a]);return this.s.trace(`ForwardedPorts: (ExtHostTunnelService) filtered from ${o.map(r=>r.port).join(", ")} to ${n.map(r=>r.port).join(", ")}`),n}};e.$qAb=l,e.$qAb=l=Je([Ve(0,C.$eO),Ve(1,M.$uO),Ve(2,w.$yj)],l)}),define(Se[15],De([1,0,19,21,166,74,80,28,161,56,100,24,23,18,2,29,83,135,141,139,118,67,89,292,26,7]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d,u,s){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.DebugTreeItem=e.TerminalQuickFix=e.ChatAgentUserActionEvent=e.ChatAgentResult=e.ChatAgentCompletionItem=e.ChatAgentResolvedVariable=e.ChatAgentRequest=e.ChatResponseProgress=e.ChatResponsePart=e.ChatResponseReferencePart=e.ChatResponseCommandButtonPart=e.ChatResponseProgressPart=e.ChatResponseAnchorPart=e.ChatResponseFilesPart=e.ChatResponseMarkdownPart=e.InteractiveEditorResponseFeedbackKind=e.ChatVariableLevel=e.ChatVariable=e.LanguageModelMessage=e.ChatInlineFollowup=e.ChatFollowup=e.DataTransfer=e.DataTransferItem=e.ViewBadge=e.TypeHierarchyItem=e.CodeActionTriggerKind=e.TestCoverage=e.TestResults=e.TestItem=e.TestTag=e.TestMessage=e.NotebookRendererScript=e.NotebookDocumentContentOptions=e.NotebookKernelSourceAction=e.NotebookStatusBarItem=e.NotebookExclusiveDocumentPattern=e.NotebookCellOutput=e.NotebookCellOutputItem=e.NotebookCellData=e.NotebookData=e.NotebookCellKind=e.NotebookCellExecutionState=e.NotebookCellExecutionSummary=e.NotebookRange=e.MappedEditsContext=e.LanguageSelector=e.GlobPattern=e.TextEditorOpenOptions=e.FoldingRangeKind=e.FoldingRange=e.ProgressLocation=e.EndOfLine=e.TextEditorLineNumbersStyle=e.TextDocumentSaveReason=e.SelectionRange=e.Color=e.ColorPresentation=e.DocumentLink=e.InlayHintKind=e.InlayHintLabelPart=e.InlayHint=e.SignatureHelp=e.SignatureInformation=e.ParameterInformation=e.CompletionItem=e.CompletionItemKind=e.CompletionItemTag=e.CompletionContext=e.CompletionTriggerKind=e.MultiDocumentHighlight=e.DocumentHighlight=e.InlineValueContext=e.InlineValue=e.EvaluatableExpression=e.Hover=e.DefinitionLink=e.location=e.CallHierarchyOutgoingCall=e.CallHierarchyIncomingCall=e.CallHierarchyItem=e.DocumentSymbol=e.WorkspaceSymbol=e.SymbolTag=e.SymbolKind=e.WorkspaceEdit=e.TextEdit=e.DecorationRenderOptions=e.DecorationRangeBehavior=e.ThemableDecorationRenderOptions=e.ThemableDecorationAttachmentRenderOptions=e.$dO=e.$cO=e.MarkdownString=e.$bO=e.ViewColumn=e.DiagnosticSeverity=e.DiagnosticRelatedInformation=e.Diagnostic=e.DiagnosticTag=e.DocumentSelector=e.Position=e.TokenType=e.Location=e.Range=e.Selection=void 0;var c;(function(Re){function je(te){const{selectionStartLineNumber:Me,selectionStartColumn:Be,positionLineNumber:_e,positionColumn:Xe}=te,at=new s.$3L(Me-1,Be-1),kt=new s.$3L(_e-1,Xe-1);return new s.$5L(at,kt)}Re.to=je;function ye(te){const{anchor:Me,active:Be}=te;return{selectionStartLineNumber:Me.line+1,selectionStartColumn:Me.character+1,positionLineNumber:Be.line+1,positionColumn:Be.character+1}}Re.from=ye})(c||(e.Selection=c={}));var h;(function(Re){function je(te){if(!te)return;const{start:Me,end:Be}=te;return{startLineNumber:Me.line+1,startColumn:Me.character+1,endLineNumber:Be.line+1,endColumn:Be.character+1}}Re.from=je;function ye(te){if(!te)return;const{startLineNumber:Me,startColumn:Be,endLineNumber:_e,endColumn:Xe}=te;return new s.$4L(Me-1,Be-1,_e-1,Xe-1)}Re.to=ye})(h||(e.Range=h={}));var m;(function(Re){function je(te){return{uri:te.uri,range:h.from(te.range)}}Re.from=je;function ye(te){return new s.$bM(k.URI.revive(te.uri),h.to(te.range))}Re.to=ye})(m||(e.Location=m={}));var D;(function(Re){function je(ye){switch(ye){case 1:return s.StandardTokenType.Comment;case 0:return s.StandardTokenType.Other;case 3:return s.StandardTokenType.RegEx;case 2:return s.StandardTokenType.String}}Re.to=je})(D||(e.TokenType=D={}));var g;(function(Re){function je(te){return new s.$3L(te.lineNumber-1,te.column-1)}Re.to=je;function ye(te){return{lineNumber:te.line+1,column:te.character+1}}Re.from=ye})(g||(e.Position=g={}));var f;(function(Re){function je(Me,Be,_e){return(0,I.$Hb)((0,I.$3b)(Me).map(Xe=>ye(Xe,Be,_e)))}Re.from=je;function ye(Me,Be,_e){if(typeof Me=="string")return{$serialized:!0,language:Me,isBuiltin:_e?.isBuiltin};if(Me)return{$serialized:!0,language:Me.language,scheme:te(Me.scheme,Be),pattern:oe.from(Me.pattern)??void 0,exclusive:Me.exclusive,notebookType:Me.notebookType,isBuiltin:_e?.isBuiltin}}function te(Me,Be){return Be&&typeof Me=="string"?Be.transformOutgoingScheme(Me):Me}})(f||(e.DocumentSelector=f={}));var y;(function(Re){function je(te){switch(te){case s.DiagnosticTag.Unnecessary:return 1;case s.DiagnosticTag.Deprecated:return 2}}Re.from=je;function ye(te){switch(te){case 1:return s.DiagnosticTag.Unnecessary;case 2:return s.DiagnosticTag.Deprecated;default:return}}Re.to=ye})(y||(e.DiagnosticTag=y={}));var A;(function(Re){function je(te){let Me;return te.code&&((0,E.$Sf)(te.code)||(0,E.$Wf)(te.code)?Me=String(te.code):Me={value:String(te.code.value),target:te.code.target}),{...h.from(te.range),message:te.message,source:te.source,code:Me,severity:U.from(te.severity),relatedInformation:te.relatedInformation&&te.relatedInformation.map(N.from),tags:Array.isArray(te.tags)?(0,I.$Hb)(te.tags.map(y.from)):void 0}}Re.from=je;function ye(te){const Me=new s.$dM(h.to(te),te.message,U.to(te.severity));return Me.source=te.source,Me.code=(0,E.$Sf)(te.code)?te.code:te.code?.value,Me.relatedInformation=te.relatedInformation&&te.relatedInformation.map(N.to),Me.tags=te.tags&&(0,I.$Hb)(te.tags.map(y.to)),Me}Re.to=ye})(A||(e.Diagnostic=A={}));var N;(function(Re){function je(te){return{...h.from(te.location.range),message:te.message,resource:te.location.uri}}Re.from=je;function ye(te){return new s.$cM(new s.$bM(te.resource,h.to(te)),te.message)}Re.to=ye})(N||(e.DiagnosticRelatedInformation=N={}));var U;(function(Re){function je(te){switch(te){case s.DiagnosticSeverity.Error:return o.MarkerSeverity.Error;case s.DiagnosticSeverity.Warning:return o.MarkerSeverity.Warning;case s.DiagnosticSeverity.Information:return o.MarkerSeverity.Info;case s.DiagnosticSeverity.Hint:return o.MarkerSeverity.Hint}return o.MarkerSeverity.Error}Re.from=je;function ye(te){switch(te){case o.MarkerSeverity.Info:return s.DiagnosticSeverity.Information;case o.MarkerSeverity.Warning:return s.DiagnosticSeverity.Warning;case o.MarkerSeverity.Error:return s.DiagnosticSeverity.Error;case o.MarkerSeverity.Hint:return s.DiagnosticSeverity.Hint;default:return s.DiagnosticSeverity.Error}}Re.to=ye})(U||(e.DiagnosticSeverity=U={}));var z;(function(Re){function je(te){return typeof te=="number"&&te>=s.ViewColumn.One?te-1:te===s.ViewColumn.Beside?d.$qD:d.$pD}Re.from=je;function ye(te){if(typeof te=="number"&&te>=0)return te+1;throw new Error("invalid 'EditorGroupColumn'")}Re.to=ye})(z||(e.ViewColumn=z={}));function T(Re){return typeof Re.range<"u"}function P(Re){return Re.length===0?!0:!!T(Re[0])}e.$bO=P;var O;(function(Re){function je(Xe){return Xe.map(Re.from)}Re.fromMany=je;function ye(Xe){return Xe&&typeof Xe=="object"&&typeof Xe.language=="string"&&typeof Xe.value=="string"}function te(Xe){let at;if(ye(Xe)){const{language:Mt,value:Zt}=Xe;at={value:"```"+Mt+`
`+Zt+"\n```\n"}}else s.$qM.isMarkdownString(Xe)?at={value:Xe.value,isTrusted:Xe.isTrusted,supportThemeIcons:Xe.supportThemeIcons,supportHtml:Xe.supportHtml,baseUri:Xe.baseUri}:typeof Xe=="string"?at={value:Xe}:at={value:""};const kt=Object.create(null);at.uris=kt;const Ht=Mt=>{try{let Zt=k.URI.parse(Mt,!0);Zt=Zt.with({query:Me(Zt.query,kt)}),kt[Mt]=Zt}catch{}return""},St=new v.marked.Renderer;return St.link=Ht,St.image=Mt=>typeof Mt=="string"?Ht(R.$Ak(Mt).href):"",(0,v.marked)(at.value,{renderer:St}),at}Re.from=te;function Me(Xe,at){if(!Xe)return Xe;let kt;try{kt=(0,S.$Mh)(Xe)}catch{}if(!kt)return Xe;let Ht=!1;return kt=(0,C.$Jn)(kt,St=>{if(k.URI.isUri(St)){const Mt=`__uri_${Math.random().toString(16).slice(2,8)}`;return at[Mt]=St,Ht=!0,Mt}else return}),Ht?JSON.stringify(kt):Xe}function Be(Xe){const at=new s.$qM(Xe.value,Xe.supportThemeIcons);return at.isTrusted=Xe.isTrusted,at.supportHtml=Xe.supportHtml,at.baseUri=Xe.baseUri?k.URI.from(Xe.baseUri):void 0,at}Re.to=Be;function _e(Xe){if(Xe)return typeof Xe=="string"?Xe:Re.from(Xe)}Re.fromStrict=_e})(O||(e.MarkdownString=O={}));function j(Re){return P(Re)?Re.map(je=>({range:h.from(je.range),hoverMessage:Array.isArray(je.hoverMessage)?O.fromMany(je.hoverMessage):je.hoverMessage?O.from(je.hoverMessage):void 0,renderOptions:je.renderOptions})):Re.map(je=>({range:h.from(je)}))}e.$cO=j;function K(Re){return typeof Re>"u"?Re:typeof Re=="string"?k.URI.file(Re):Re}e.$dO=K;var ie;(function(Re){function je(ye){return typeof ye>"u"?ye:{contentText:ye.contentText,contentIconPath:ye.contentIconPath?K(ye.contentIconPath):void 0,border:ye.border,borderColor:ye.borderColor,fontStyle:ye.fontStyle,fontWeight:ye.fontWeight,textDecoration:ye.textDecoration,color:ye.color,backgroundColor:ye.backgroundColor,margin:ye.margin,width:ye.width,height:ye.height}}Re.from=je})(ie||(e.ThemableDecorationAttachmentRenderOptions=ie={}));var _;(function(Re){function je(ye){return typeof ye>"u"?ye:{backgroundColor:ye.backgroundColor,outline:ye.outline,outlineColor:ye.outlineColor,outlineStyle:ye.outlineStyle,outlineWidth:ye.outlineWidth,border:ye.border,borderColor:ye.borderColor,borderRadius:ye.borderRadius,borderSpacing:ye.borderSpacing,borderStyle:ye.borderStyle,borderWidth:ye.borderWidth,fontStyle:ye.fontStyle,fontWeight:ye.fontWeight,textDecoration:ye.textDecoration,cursor:ye.cursor,color:ye.color,opacity:ye.opacity,letterSpacing:ye.letterSpacing,gutterIconPath:ye.gutterIconPath?K(ye.gutterIconPath):void 0,gutterIconSize:ye.gutterIconSize,overviewRulerColor:ye.overviewRulerColor,before:ye.before?ie.from(ye.before):void 0,after:ye.after?ie.from(ye.after):void 0}}Re.from=je})(_||(e.ThemableDecorationRenderOptions=_={}));var X;(function(Re){function je(ye){if(typeof ye>"u")return ye;switch(ye){case s.DecorationRangeBehavior.OpenOpen:return 0;case s.DecorationRangeBehavior.ClosedClosed:return 1;case s.DecorationRangeBehavior.OpenClosed:return 2;case s.DecorationRangeBehavior.ClosedOpen:return 3}}Re.from=je})(X||(e.DecorationRangeBehavior=X={}));var Y;(function(Re){function je(ye){return{isWholeLine:ye.isWholeLine,rangeBehavior:ye.rangeBehavior?X.from(ye.rangeBehavior):void 0,overviewRulerLane:ye.overviewRulerLane,light:ye.light?_.from(ye.light):void 0,dark:ye.dark?_.from(ye.dark):void 0,backgroundColor:ye.backgroundColor,outline:ye.outline,outlineColor:ye.outlineColor,outlineStyle:ye.outlineStyle,outlineWidth:ye.outlineWidth,border:ye.border,borderColor:ye.borderColor,borderRadius:ye.borderRadius,borderSpacing:ye.borderSpacing,borderStyle:ye.borderStyle,borderWidth:ye.borderWidth,fontStyle:ye.fontStyle,fontWeight:ye.fontWeight,textDecoration:ye.textDecoration,cursor:ye.cursor,color:ye.color,opacity:ye.opacity,letterSpacing:ye.letterSpacing,gutterIconPath:ye.gutterIconPath?K(ye.gutterIconPath):void 0,gutterIconSize:ye.gutterIconSize,overviewRulerColor:ye.overviewRulerColor,before:ye.before?ie.from(ye.before):void 0,after:ye.after?ie.from(ye.after):void 0}}Re.from=je})(Y||(e.DecorationRenderOptions=Y={}));var ae;(function(Re){function je(te){return{text:te.newText,eol:te.newEol&&Ie.from(te.newEol),range:h.from(te.range)}}Re.from=je;function ye(te){const Me=new s.$9L(h.to(te.range),te.text);return Me.newEol=typeof te.eol>"u"?void 0:Ie.to(te.eol),Me}Re.to=ye})(ae||(e.TextEdit=ae={}));var ee;(function(Re){function je(te,Me){const Be={edits:[]};if(te instanceof s.$_L){const _e=new w.$Bc;for(const Xe of te._allEntries())Xe._type===1&&k.URI.isUri(Xe.to)&&Xe.from===void 0&&_e.add(Xe.to);for(const Xe of te._allEntries())if(Xe._type===1){let at;Xe.options?.contents&&(ArrayBuffer.isView(Xe.options.contents)?at={type:"base64",value:(0,F.$Me)(F.$se.wrap(Xe.options.contents))}:at={type:"dataTransferItem",id:Xe.options.contents._itemId}),Be.edits.push({oldResource:Xe.from,newResource:Xe.to,options:{...Xe.options,contents:at},metadata:Xe.metadata})}else Xe._type===2?Be.edits.push({resource:Xe.uri,textEdit:ae.from(Xe.edit),versionId:_e.has(Xe.uri)?void 0:Me?.getTextDocumentVersion(Xe.uri),metadata:Xe.metadata}):Xe._type===6?Be.edits.push({resource:Xe.uri,textEdit:{range:h.from(Xe.range),text:Xe.edit.value,insertAsSnippet:!0},versionId:_e.has(Xe.uri)?void 0:Me?.getTextDocumentVersion(Xe.uri),metadata:Xe.metadata}):Xe._type===3?Be.edits.push({metadata:Xe.metadata,resource:Xe.uri,cellEdit:Xe.edit,notebookMetadata:Xe.notebookMetadata,notebookVersionId:Me?.getNotebookDocumentVersion(Xe.uri)}):Xe._type===5&&Be.edits.push({metadata:Xe.metadata,resource:Xe.uri,notebookVersionId:Me?.getNotebookDocumentVersion(Xe.uri),cellEdit:{editType:1,index:Xe.index,count:Xe.count,cells:Xe.cells.map(Pt.from)}})}return Be}Re.from=je;function ye(te){const Me=new s.$_L,Be=new w.$Ac;for(const _e of te.edits)if(_e.textEdit){const Xe=_e,at=k.URI.revive(Xe.resource),kt=h.to(Xe.textEdit.range),Ht=Xe.textEdit.text,St=Xe.textEdit.insertAsSnippet;let Mt;St?Mt=s.$$L.replace(kt,new s.$aM(Ht)):Mt=s.$9L.replace(kt,Ht);const Zt=Be.get(at);Zt?Zt.push(Mt):Be.set(at,[Mt])}else Me.renameFile(k.URI.revive(_e.oldResource),k.URI.revive(_e.newResource),_e.options);for(const[_e,Xe]of Be)Me.set(_e,Xe);return Me}Re.to=ye})(ee||(e.WorkspaceEdit=ee={}));var fe;(function(Re){const je=Object.create(null);je[s.SymbolKind.File]=0,je[s.SymbolKind.Module]=1,je[s.SymbolKind.Namespace]=2,je[s.SymbolKind.Package]=3,je[s.SymbolKind.Class]=4,je[s.SymbolKind.Method]=5,je[s.SymbolKind.Property]=6,je[s.SymbolKind.Field]=7,je[s.SymbolKind.Constructor]=8,je[s.SymbolKind.Enum]=9,je[s.SymbolKind.Interface]=10,je[s.SymbolKind.Function]=11,je[s.SymbolKind.Variable]=12,je[s.SymbolKind.Constant]=13,je[s.SymbolKind.String]=14,je[s.SymbolKind.Number]=15,je[s.SymbolKind.Boolean]=16,je[s.SymbolKind.Array]=17,je[s.SymbolKind.Object]=18,je[s.SymbolKind.Key]=19,je[s.SymbolKind.Null]=20,je[s.SymbolKind.EnumMember]=21,je[s.SymbolKind.Struct]=22,je[s.SymbolKind.Event]=23,je[s.SymbolKind.Operator]=24,je[s.SymbolKind.TypeParameter]=25;function ye(Me){return typeof je[Me]=="number"?je[Me]:6}Re.from=ye;function te(Me){for(const Be in je)if(je[Be]===Me)return Number(Be);return s.SymbolKind.Property}Re.to=te})(fe||(e.SymbolKind=fe={}));var re;(function(Re){function je(te){switch(te){case s.SymbolTag.Deprecated:return 1}}Re.from=je;function ye(te){switch(te){case 1:return s.SymbolTag.Deprecated}}Re.to=ye})(re||(e.SymbolTag=re={}));var J;(function(Re){function je(te){return{name:te.name,kind:fe.from(te.kind),tags:te.tags&&te.tags.map(re.from),containerName:te.containerName,location:he.from(te.location)}}Re.from=je;function ye(te){const Me=new s.$hM(te.name,fe.to(te.kind),te.containerName,he.to(te.location));return Me.tags=te.tags&&te.tags.map(re.to),Me}Re.to=ye})(J||(e.WorkspaceSymbol=J={}));var B;(function(Re){function je(te){const Me={name:te.name||"!!MISSING: name!!",detail:te.detail,range:h.from(te.range),selectionRange:h.from(te.selectionRange),kind:fe.from(te.kind),tags:te.tags?.map(re.from)??[]};return te.children&&(Me.children=te.children.map(je)),Me}Re.from=je;function ye(te){const Me=new s.$iM(te.name,te.detail,fe.to(te.kind),h.to(te.range),h.to(te.selectionRange));return(0,I.$Lb)(te.tags)&&(Me.tags=te.tags.map(re.to)),te.children&&(Me.children=te.children.map(ye)),Me}Re.to=ye})(B||(e.DocumentSymbol=B={}));var se;(function(Re){function je(te){const Me=new s.$mM(fe.to(te.kind),te.name,te.detail||"",k.URI.revive(te.uri),h.to(te.range),h.to(te.selectionRange));return Me._sessionId=te._sessionId,Me._itemId=te._itemId,Me}Re.to=je;function ye(te,Me,Be){if(Me=Me??te._sessionId,Be=Be??te._itemId,Me===void 0||Be===void 0)throw new Error("invalid item");return{_sessionId:Me,_itemId:Be,name:te.name,detail:te.detail,kind:fe.from(te.kind),uri:te.uri,range:h.from(te.range),selectionRange:h.from(te.selectionRange),tags:te.tags?.map(re.from)}}Re.from=ye})(se||(e.CallHierarchyItem=se={}));var Ee;(function(Re){function je(ye){return new s.$nM(se.to(ye.from),ye.fromRanges.map(te=>h.to(te)))}Re.to=je})(Ee||(e.CallHierarchyIncomingCall=Ee={}));var le;(function(Re){function je(ye){return new s.$oM(se.to(ye.to),ye.fromRanges.map(te=>h.to(te)))}Re.to=je})(le||(e.CallHierarchyOutgoingCall=le={}));var he;(function(Re){function je(te){return{range:te.range&&h.from(te.range),uri:te.uri}}Re.from=je;function ye(te){return new s.$bM(k.URI.revive(te.uri),h.to(te.range))}Re.to=ye})(he||(e.location=he={}));var ce;(function(Re){function je(te){const Me=te,Be=te;return{originSelectionRange:Me.originSelectionRange?h.from(Me.originSelectionRange):void 0,uri:Me.targetUri?Me.targetUri:Be.uri,range:h.from(Me.targetRange?Me.targetRange:Be.range),targetSelectionRange:Me.targetSelectionRange?h.from(Me.targetSelectionRange):void 0}}Re.from=je;function ye(te){return{targetUri:k.URI.revive(te.uri),targetRange:h.to(te.range),targetSelectionRange:te.targetSelectionRange?h.to(te.targetSelectionRange):void 0,originSelectionRange:te.originSelectionRange?h.to(te.originSelectionRange):void 0}}Re.to=ye})(ce||(e.DefinitionLink=ce={}));var de;(function(Re){function je(te){return{range:h.from(te.range),contents:O.fromMany(te.contents)}}Re.from=je;function ye(te){return new s.$eM(te.contents.map(O.to),h.to(te.range))}Re.to=ye})(de||(e.Hover=de={}));var H;(function(Re){function je(te){return{range:h.from(te.range),expression:te.expression}}Re.from=je;function ye(te){return new s.$$M(h.to(te.range),te.expression)}Re.to=ye})(H||(e.EvaluatableExpression=H={}));var x;(function(Re){function je(te){if(te instanceof s.$_M)return{type:"text",range:h.from(te.range),text:te.text};if(te instanceof s.$aN)return{type:"variable",range:h.from(te.range),variableName:te.variableName,caseSensitiveLookup:te.caseSensitiveLookup};if(te instanceof s.$bN)return{type:"expression",range:h.from(te.range),expression:te.expression};throw new Error("Unknown 'InlineValue' type")}Re.from=je;function ye(te){switch(te.type){case"text":return{range:h.to(te.range),text:te.text};case"variable":return{range:h.to(te.range),variableName:te.variableName,caseSensitiveLookup:te.caseSensitiveLookup};case"expression":return{range:h.to(te.range),expression:te.expression}}}Re.to=ye})(x||(e.InlineValue=x={}));var ue;(function(Re){function je(te){return{frameId:te.frameId,stoppedLocation:h.from(te.stoppedLocation)}}Re.from=je;function ye(te){return new s.$cN(te.frameId,h.to(te.stoppedLocation))}Re.to=ye})(ue||(e.InlineValueContext=ue={}));var be;(function(Re){function je(te){return{range:h.from(te.range),kind:te.kind}}Re.from=je;function ye(te){return new s.$fM(h.to(te.range),te.kind)}Re.to=ye})(be||(e.DocumentHighlight=be={}));var Pe;(function(Re){function je(te){return{uri:te.uri,highlights:te.highlights.map(be.from)}}Re.from=je;function ye(te){return new s.$gM(k.URI.revive(te.uri),te.highlights.map(be.to))}Re.to=ye})(Pe||(e.MultiDocumentHighlight=Pe={}));var we;(function(Re){function je(ye){switch(ye){case 1:return s.CompletionTriggerKind.TriggerCharacter;case 2:return s.CompletionTriggerKind.TriggerForIncompleteCompletions;case 0:default:return s.CompletionTriggerKind.Invoke}}Re.to=je})(we||(e.CompletionTriggerKind=we={}));var Ae;(function(Re){function je(ye){return{triggerKind:we.to(ye.triggerKind),triggerCharacter:ye.triggerCharacter}}Re.to=je})(Ae||(e.CompletionContext=Ae={}));var Oe;(function(Re){function je(te){switch(te){case s.CompletionItemTag.Deprecated:return 1}}Re.from=je;function ye(te){switch(te){case 1:return s.CompletionItemTag.Deprecated}}Re.to=ye})(Oe||(e.CompletionItemTag=Oe={}));var ze;(function(Re){const je=new Map([[s.CompletionItemKind.Method,0],[s.CompletionItemKind.Function,1],[s.CompletionItemKind.Constructor,2],[s.CompletionItemKind.Field,3],[s.CompletionItemKind.Variable,4],[s.CompletionItemKind.Class,5],[s.CompletionItemKind.Interface,7],[s.CompletionItemKind.Struct,6],[s.CompletionItemKind.Module,8],[s.CompletionItemKind.Property,9],[s.CompletionItemKind.Unit,12],[s.CompletionItemKind.Value,13],[s.CompletionItemKind.Constant,14],[s.CompletionItemKind.Enum,15],[s.CompletionItemKind.EnumMember,16],[s.CompletionItemKind.Keyword,17],[s.CompletionItemKind.Snippet,27],[s.CompletionItemKind.Text,18],[s.CompletionItemKind.Color,19],[s.CompletionItemKind.File,20],[s.CompletionItemKind.Reference,21],[s.CompletionItemKind.Folder,23],[s.CompletionItemKind.Event,10],[s.CompletionItemKind.Operator,11],[s.CompletionItemKind.TypeParameter,24],[s.CompletionItemKind.Issue,26],[s.CompletionItemKind.User,25]]);function ye(Be){return je.get(Be)??9}Re.from=ye;const te=new Map([[0,s.CompletionItemKind.Method],[1,s.CompletionItemKind.Function],[2,s.CompletionItemKind.Constructor],[3,s.CompletionItemKind.Field],[4,s.CompletionItemKind.Variable],[5,s.CompletionItemKind.Class],[7,s.CompletionItemKind.Interface],[6,s.CompletionItemKind.Struct],[8,s.CompletionItemKind.Module],[9,s.CompletionItemKind.Property],[12,s.CompletionItemKind.Unit],[13,s.CompletionItemKind.Value],[14,s.CompletionItemKind.Constant],[15,s.CompletionItemKind.Enum],[16,s.CompletionItemKind.EnumMember],[17,s.CompletionItemKind.Keyword],[27,s.CompletionItemKind.Snippet],[18,s.CompletionItemKind.Text],[19,s.CompletionItemKind.Color],[20,s.CompletionItemKind.File],[21,s.CompletionItemKind.Reference],[23,s.CompletionItemKind.Folder],[10,s.CompletionItemKind.Event],[11,s.CompletionItemKind.Operator],[24,s.CompletionItemKind.TypeParameter],[25,s.CompletionItemKind.User],[26,s.CompletionItemKind.Issue]]);function Me(Be){return te.get(Be)??s.CompletionItemKind.Property}Re.to=Me})(ze||(e.CompletionItemKind=ze={}));var W;(function(Re){function je(ye,te){const Me=new s.$wM(ye.label);return Me.insertText=ye.insertText,Me.kind=ze.to(ye.kind),Me.tags=ye.tags?.map(Oe.to),Me.detail=ye.detail,Me.documentation=R.$uk(ye.documentation)?O.to(ye.documentation):ye.documentation,Me.sortText=ye.sortText,Me.filterText=ye.filterText,Me.preselect=ye.preselect,Me.commitCharacters=ye.commitCharacters,l.$6s.isIRange(ye.range)?Me.range=h.to(ye.range):typeof ye.range=="object"&&(Me.range={inserting:h.to(ye.range.insert),replacing:h.to(ye.range.replace)}),Me.keepWhitespace=typeof ye.insertTextRules>"u"?!1:!!(ye.insertTextRules&1),typeof ye.insertTextRules<"u"&&ye.insertTextRules&4?Me.insertText=new s.$aM(ye.insertText):(Me.insertText=ye.insertText,Me.textEdit=Me.range instanceof s.$4L?new s.$9L(Me.range,Me.insertText):void 0),ye.additionalTextEdits&&ye.additionalTextEdits.length>0&&(Me.additionalTextEdits=ye.additionalTextEdits.map(Be=>ae.to(Be))),Me.command=te&&ye.command?te.fromInternal(ye.command):void 0,Me}Re.to=je})(W||(e.CompletionItem=W={}));var V;(function(Re){function je(te){if(typeof te.label!="string"&&!Array.isArray(te.label))throw new TypeError("Invalid label");return{label:te.label,documentation:O.fromStrict(te.documentation)}}Re.from=je;function ye(te){return{label:te.label,documentation:R.$uk(te.documentation)?O.to(te.documentation):te.documentation}}Re.to=ye})(V||(e.ParameterInformation=V={}));var Z;(function(Re){function je(te){return{label:te.label,documentation:O.fromStrict(te.documentation),parameters:Array.isArray(te.parameters)?te.parameters.map(V.from):[],activeParameter:te.activeParameter}}Re.from=je;function ye(te){return{label:te.label,documentation:R.$uk(te.documentation)?O.to(te.documentation):te.documentation,parameters:Array.isArray(te.parameters)?te.parameters.map(V.to):[],activeParameter:te.activeParameter}}Re.to=ye})(Z||(e.SignatureInformation=Z={}));var Q;(function(Re){function je(te){return{activeSignature:te.activeSignature,activeParameter:te.activeParameter,signatures:Array.isArray(te.signatures)?te.signatures.map(Z.from):[]}}Re.from=je;function ye(te){return{activeSignature:te.activeSignature,activeParameter:te.activeParameter,signatures:Array.isArray(te.signatures)?te.signatures.map(Z.to):[]}}Re.to=ye})(Q||(e.SignatureHelp=Q={}));var $e;(function(Re){function je(ye,te){const Me=new s.$vM(g.to(te.position),typeof te.label=="string"?te.label:te.label.map(ve.to.bind(void 0,ye)),te.kind&&Te.to(te.kind));return Me.textEdits=te.textEdits&&te.textEdits.map(ae.to),Me.tooltip=R.$uk(te.tooltip)?O.to(te.tooltip):te.tooltip,Me.paddingLeft=te.paddingLeft,Me.paddingRight=te.paddingRight,Me}Re.to=je})($e||(e.InlayHint=$e={}));var ve;(function(Re){function je(ye,te){const Me=new s.$uM(te.label);return Me.tooltip=R.$uk(te.tooltip)?O.to(te.tooltip):te.tooltip,p.Command.is(te.command)&&(Me.command=ye.fromInternal(te.command)),te.location&&(Me.location=he.to(te.location)),Me}Re.to=je})(ve||(e.InlayHintLabelPart=ve={}));var Te;(function(Re){function je(te){return te}Re.from=je;function ye(te){return te}Re.to=ye})(Te||(e.InlayHintKind=Te={}));var He;(function(Re){function je(te){return{range:h.from(te.range),url:te.target,tooltip:te.tooltip}}Re.from=je;function ye(te){let Me;if(te.url)try{Me=typeof te.url=="string"?k.URI.parse(te.url,!0):k.URI.revive(te.url)}catch{}return new s.$BM(h.to(te.range),Me)}Re.to=ye})(He||(e.DocumentLink=He={}));var Qe;(function(Re){function je(te){const Me=new s.$EM(te.label);return te.textEdit&&(Me.textEdit=ae.to(te.textEdit)),te.additionalTextEdits&&(Me.additionalTextEdits=te.additionalTextEdits.map(Be=>ae.to(Be))),Me}Re.to=je;function ye(te){return{label:te.label,textEdit:te.textEdit?ae.from(te.textEdit):void 0,additionalTextEdits:te.additionalTextEdits?te.additionalTextEdits.map(Me=>ae.from(Me)):void 0}}Re.from=ye})(Qe||(e.ColorPresentation=Qe={}));var tt;(function(Re){function je(te){return new s.$CM(te[0],te[1],te[2],te[3])}Re.to=je;function ye(te){return[te.red,te.green,te.blue,te.alpha]}Re.from=ye})(tt||(e.Color=tt={}));var st;(function(Re){function je(te){return{range:h.from(te.range)}}Re.from=je;function ye(te){return new s.$lM(h.to(te.range))}Re.to=ye})(st||(e.SelectionRange=st={}));var lt;(function(Re){function je(ye){switch(ye){case 2:return s.TextDocumentSaveReason.AfterDelay;case 1:return s.TextDocumentSaveReason.Manual;case 3:case 4:return s.TextDocumentSaveReason.FocusOut}}Re.to=je})(lt||(e.TextDocumentSaveReason=lt={}));var rt;(function(Re){function je(te){switch(te){case s.TextEditorLineNumbersStyle.Off:return 0;case s.TextEditorLineNumbersStyle.Relative:return 2;case s.TextEditorLineNumbersStyle.Interval:return 3;case s.TextEditorLineNumbersStyle.On:default:return 1}}Re.from=je;function ye(te){switch(te){case 0:return s.TextEditorLineNumbersStyle.Off;case 2:return s.TextEditorLineNumbersStyle.Relative;case 3:return s.TextEditorLineNumbersStyle.Interval;case 1:default:return s.TextEditorLineNumbersStyle.On}}Re.to=ye})(rt||(e.TextEditorLineNumbersStyle=rt={}));var Ie;(function(Re){function je(te){if(te===s.EndOfLine.CRLF)return 1;if(te===s.EndOfLine.LF)return 0}Re.from=je;function ye(te){if(te===1)return s.EndOfLine.CRLF;if(te===0)return s.EndOfLine.LF}Re.to=ye})(Ie||(e.EndOfLine=Ie={}));var Ue;(function(Re){function je(ye){if(typeof ye=="object")return ye.viewId;switch(ye){case s.ProgressLocation.SourceControl:return 3;case s.ProgressLocation.Window:return 10;case s.ProgressLocation.Notification:return 15}throw new Error("Unknown 'ProgressLocation'")}Re.from=je})(Ue||(e.ProgressLocation=Ue={}));var Le;(function(Re){function je(te){const Me={start:te.start+1,end:te.end+1};return te.kind&&(Me.kind=Ge.from(te.kind)),Me}Re.from=je;function ye(te){const Me={start:te.start-1,end:te.end-1};return te.kind&&(Me.kind=Ge.to(te.kind)),Me}Re.to=ye})(Le||(e.FoldingRange=Le={}));var Ge;(function(Re){function je(te){if(te)switch(te){case s.FoldingRangeKind.Comment:return p.$Wt.Comment;case s.FoldingRangeKind.Imports:return p.$Wt.Imports;case s.FoldingRangeKind.Region:return p.$Wt.Region}}Re.from=je;function ye(te){if(te)switch(te.value){case p.$Wt.Comment.value:return s.FoldingRangeKind.Comment;case p.$Wt.Imports.value:return s.FoldingRangeKind.Imports;case p.$Wt.Region.value:return s.FoldingRangeKind.Region}}Re.to=ye})(Ge||(e.FoldingRangeKind=Ge={}));var ne;(function(Re){function je(ye){if(ye)return{pinned:typeof ye.preview=="boolean"?!ye.preview:void 0,inactive:ye.background,preserveFocus:ye.preserveFocus,selection:typeof ye.selection=="object"?h.from(ye.selection):void 0,override:typeof ye.override=="boolean"?n.$SE.id:void 0}}Re.from=je})(ne||(e.TextEditorOpenOptions=ne={}));var oe;(function(Re){function je(Be){return Be instanceof s.$YM?Be.toJSON():typeof Be=="string"?Be:ye(Be)||te(Be)?new s.$YM(Be.baseUri??Be.base,Be.pattern).toJSON():Be}Re.from=je;function ye(Be){const _e=Be;return _e?k.URI.isUri(_e.baseUri)&&typeof _e.pattern=="string":!1}function te(Be){const _e=Be;return _e?typeof _e.base=="string"&&typeof _e.pattern=="string":!1}function Me(Be){return typeof Be=="string"?Be:new s.$YM(k.URI.revive(Be.baseUri),Be.pattern)}Re.to=Me})(oe||(e.GlobPattern=oe={}));var Ce;(function(Re){function je(ye){if(ye){if(Array.isArray(ye))return ye.map(je);if(typeof ye=="string")return ye;{const te=ye;return{language:te.language,scheme:te.scheme,pattern:oe.from(te.pattern),exclusive:te.exclusive,notebookType:te.notebookType}}}else return}Re.from=je})(Ce||(e.LanguageSelector=Ce={}));var Ke;(function(Re){function je(te){return!!te&&typeof te=="object"&&"documents"in te&&Array.isArray(te.documents)&&te.documents.every(Me=>Array.isArray(Me)&&Me.every(Be=>Be&&typeof Be=="object"&&"uri"in Be&&k.URI.isUri(Be.uri)&&"version"in Be&&typeof Be.version=="number"&&"ranges"in Be&&Array.isArray(Be.ranges)&&Be.ranges.every(_e=>_e instanceof s.$4L)))}Re.is=je;function ye(te){return{documents:te.documents.map(Me=>Me.map(Be=>({uri:k.URI.from(Be.uri),version:Be.version,ranges:Be.ranges.map(_e=>h.from(_e))})))}}Re.from=ye})(Ke||(e.MappedEditsContext=Ke={}));var xe;(function(Re){function je(te){return{start:te.start,end:te.end}}Re.from=je;function ye(te){return new s.$pN(te.start,te.end)}Re.to=ye})(xe||(e.NotebookRange=xe={}));var nt;(function(Re){function je(te){return{timing:typeof te.runStartTime=="number"&&typeof te.runEndTime=="number"?{startTime:te.runStartTime,endTime:te.runEndTime}:void 0,executionOrder:te.executionOrder,success:te.lastRunSuccess}}Re.to=je;function ye(te){return{lastRunSuccess:te.success,runStartTime:te.timing?.startTime,runEndTime:te.timing?.endTime,executionOrder:te.executionOrder}}Re.from=ye})(nt||(e.NotebookCellExecutionSummary=nt={}));var Ne;(function(Re){function je(ye){if(ye===r.NotebookCellExecutionState.Unconfirmed)return s.NotebookCellExecutionState.Pending;if(ye===r.NotebookCellExecutionState.Pending)return;if(ye===r.NotebookCellExecutionState.Executing)return s.NotebookCellExecutionState.Executing;throw new Error(`Unknown state: ${ye}`)}Re.to=je})(Ne||(e.NotebookCellExecutionState=Ne={}));var bt;(function(Re){function je(te){switch(te){case s.NotebookCellKind.Markup:return r.CellKind.Markup;case s.NotebookCellKind.Code:default:return r.CellKind.Code}}Re.from=je;function ye(te){switch(te){case r.CellKind.Markup:return s.NotebookCellKind.Markup;case r.CellKind.Code:default:return s.NotebookCellKind.Code}}Re.to=ye})(bt||(e.NotebookCellKind=bt={}));var Et;(function(Re){function je(te){const Me={metadata:te.metadata??Object.create(null),cells:[]};for(const Be of te.cells)s.$qN.validate(Be),Me.cells.push(Pt.from(Be));return Me}Re.from=je;function ye(te){const Me=new s.$rN(te.cells.map(Pt.to));return(0,E.$6f)(te.metadata)||(Me.metadata=te.metadata),Me}Re.to=ye})(Et||(e.NotebookData=Et={}));var Pt;(function(Re){function je(te){return{cellKind:bt.from(te.kind),language:te.languageId,mime:te.mime,source:te.value,metadata:te.metadata,internalMetadata:nt.from(te.executionSummary??{}),outputs:te.outputs?te.outputs.map(Xt.from):[]}}Re.from=je;function ye(te){return new s.$qN(bt.to(te.cellKind),te.source,te.language,te.mime,te.outputs?te.outputs.map(Xt.to):void 0,te.metadata,te.internalMetadata?nt.to(te.internalMetadata):void 0)}Re.to=ye})(Pt||(e.NotebookCellData=Pt={}));var Tt;(function(Re){function je(te){return{mime:te.mime,valueBytes:F.$se.wrap(te.data)}}Re.from=je;function ye(te){return new s.$sN(te.valueBytes.buffer,te.mime)}Re.to=ye})(Tt||(e.NotebookCellOutputItem=Tt={}));var Xt;(function(Re){function je(te){return{outputId:te.id,items:te.items.map(Tt.from),metadata:te.metadata}}Re.from=je;function ye(te){const Me=te.items.map(Tt.to);return new s.$tN(Me,te.outputId,te.metadata)}Re.to=ye})(Xt||(e.NotebookCellOutput=Xt={}));var It;(function(Re){function je(Me){return te(Me)?{include:oe.from(Me.include)??void 0,exclude:oe.from(Me.exclude)??void 0}:oe.from(Me)??void 0}Re.from=je;function ye(Me){return te(Me)?{include:oe.to(Me.include),exclude:oe.to(Me.exclude)}:oe.to(Me)}Re.to=ye;function te(Me){const Be=Me;return Be?!(0,E.$2f)(Be.include)&&!(0,E.$2f)(Be.exclude):!1}})(It||(e.NotebookExclusiveDocumentPattern=It={}));var Kt;(function(Re){function je(ye,te,Me){const Be=typeof ye.command=="string"?{title:"",command:ye.command}:ye.command;return{alignment:ye.alignment===s.NotebookCellStatusBarAlignment.Left?1:2,command:te.toInternal(Be,Me),text:ye.text,tooltip:ye.tooltip,accessibilityInformation:ye.accessibilityInformation,priority:ye.priority}}Re.from=je})(Kt||(e.NotebookStatusBarItem=Kt={}));var Jt;(function(Re){function je(ye,te,Me){const Be=typeof ye.command=="string"?{title:"",command:ye.command}:ye.command;return{command:te.toInternal(Be,Me),label:ye.label,description:ye.description,detail:ye.detail,documentation:ye.documentation}}Re.from=je})(Jt||(e.NotebookKernelSourceAction=Jt={}));var xt;(function(Re){function je(ye){return{transientOutputs:ye?.transientOutputs??!1,transientCellMetadata:ye?.transientCellMetadata??{},transientDocumentMetadata:ye?.transientDocumentMetadata??{},cellContentMetadata:ye?.cellContentMetadata??{}}}Re.from=je})(xt||(e.NotebookDocumentContentOptions=xt={}));var ii;(function(Re){function je(te){return{uri:te.uri,provides:te.provides}}Re.from=je;function ye(te){return new s.$vN(k.URI.revive(te.uri),te.provides)}Re.to=ye})(ii||(e.NotebookRendererScript=ii={}));var et;(function(Re){function je(te){return{message:O.fromStrict(te.message)||"",type:0,expected:te.expectedOutput,actual:te.actualOutput,contextValue:te.contextValue,location:te.location&&{range:h.from(te.location.range),uri:te.location.uri}}}Re.from=je;function ye(te){const Me=new s.$BN(typeof te.message=="string"?te.message:O.to(te.message));return Me.actualOutput=te.actual,Me.expectedOutput=te.expected,Me.contextValue=te.contextValue,Me.location=te.location?he.to(te.location):void 0,Me}Re.to=ye})(et||(e.TestMessage=et={}));var zt;(function(Re){Re.namespace=t.$UK,Re.denamespace=t.$VK})(zt||(e.TestTag=zt={}));var _t;(function(Re){function je(te){const Me=(0,i.$aO)(te).controllerId;return{extId:a.$QK.fromExtHostTestItem(te,Me).toString(),label:te.label,uri:k.URI.revive(te.uri),busy:te.busy,tags:te.tags.map(Be=>zt.namespace(Me,Be.id)),range:l.$6s.lift(h.from(te.range)),description:te.description||null,sortText:te.sortText||null,error:te.error&&O.fromStrict(te.error)||null}}Re.from=je;function ye(te){return{parent:void 0,error:void 0,id:a.$QK.fromString(te.extId).localId,label:te.label,uri:k.URI.revive(te.uri),tags:(te.tags||[]).map(Me=>{const{tagId:Be}=zt.denamespace(Me);return new s.$CN(Be)}),children:{add:()=>{},delete:()=>{},forEach:()=>{},*[Symbol.iterator](){},get:()=>{},replace:()=>{},size:0},range:h.to(te.range||void 0),canResolveChildren:!1,busy:te.busy,description:te.description||void 0,sortText:te.sortText||void 0}}Re.toPlain=ye})(_t||(e.TestItem=_t={})),function(Re){function je(te){return{id:te.id}}Re.from=je;function ye(te){return new s.$CN(te.id)}Re.to=ye}(zt||(e.TestTag=zt={}));var ft;(function(Re){const je=(te,Me)=>{const Be=[];for(const[Xe,at]of Me)a.$QK.compare(at.item.extId,Xe)===2&&(Me.delete(Xe),Be.push(at));const _e={..._t.toPlain(te.item),parent:void 0,taskStates:te.tasks.map(Xe=>({state:Xe.state,duration:Xe.duration,messages:Xe.messages.filter(at=>at.type===0).map(et.to)})),children:Be.map(Xe=>je(Xe,Me))};for(const Xe of _e.children)Xe.parent=_e;return _e};function ye(te){const Me=[],Be=new Map;for(const _e of te.items){Be.set(_e.item.extId,_e);const Xe=a.$QK.root(_e.item.extId);te.request.targets.some(at=>at.controllerId===Xe&&at.testIds.includes(_e.item.extId))&&Me.push(_e)}return{completedAt:te.completedAt,results:Me.map(_e=>je(_e,Be))}}Re.to=ye})(ft||(e.TestResults=ft={}));var vt;(function(Re){function je(Be){return{covered:Be.covered,total:Be.total}}function ye(Be){return"line"in Be?g.from(Be):h.from(Be)}function te(Be){return"branches"in Be?{count:Be.executed,location:ye(Be.location),type:1,branches:Be.branches.length?Be.branches.map(_e=>({count:_e.executed,location:_e.location&&ye(_e.location),label:_e.label})):void 0}:{type:0,name:Be.name,count:Be.executed,location:ye(Be.location)}}Re.fromDetailed=te;function Me(Be){return{uri:Be.uri,statement:je(Be.statementCoverage),branch:Be.branchCoverage&&je(Be.branchCoverage),declaration:Be.declarationCoverage&&je(Be.declarationCoverage),details:Be.detailedCoverage?.map(te)}}Re.fromFile=Me})(vt||(e.TestCoverage=vt={}));var ei;(function(Re){function je(ye){switch(ye){case 1:return s.CodeActionTriggerKind.Invoke;case 2:return s.CodeActionTriggerKind.Automatic}}Re.to=je})(ei||(e.CodeActionTriggerKind=ei={}));var qt;(function(Re){function je(te){const Me=new s.$IN(fe.to(te.kind),te.name,te.detail||"",k.URI.revive(te.uri),h.to(te.range),h.to(te.selectionRange));return Me._sessionId=te._sessionId,Me._itemId=te._itemId,Me}Re.to=je;function ye(te,Me,Be){if(Me=Me??te._sessionId,Be=Be??te._itemId,Me===void 0||Be===void 0)throw new Error("invalid item");return{_sessionId:Me,_itemId:Be,kind:fe.from(te.kind),name:te.name,detail:te.detail??"",uri:te.uri,range:h.from(te.range),selectionRange:h.from(te.selectionRange),tags:te.tags?.map(re.from)}}Re.from=ye})(qt||(e.TypeHierarchyItem=qt={}));var Ut;(function(Re){function je(ye){if(ye)return{value:ye.value,tooltip:ye.tooltip}}Re.from=je})(Ut||(e.ViewBadge=Ut={}));var dt;(function(Re){function je(Be,_e,Xe){const at=_e.fileData;return at?new s.$RM(new s.$SM(at.name,k.URI.revive(at.uri),at.id,(0,L.$db)(()=>Xe(at.id)))):Be===M.$qs.uriList&&_e.uriListData?new s.$QM(Me(_e.uriListData)):new s.$QM(_e.asString)}Re.to=je;async function ye(Be,_e){const Xe=await _e.asString();if(Be===M.$qs.uriList)return{asString:Xe,fileData:void 0,uriListData:te(Xe)};const at=_e.asFile();return{asString:Xe,fileData:at?{name:at.name,uri:at.uri,id:at._itemId??at.id}:void 0}}Re.from=ye;function te(Be){return $.$Ct.split(Be).map(_e=>{if(_e.startsWith("#"))return _e;try{return k.URI.parse(_e)}catch{}return _e})}function Me(Be){return $.$Ct.create(Be.map(_e=>typeof _e=="string"?_e:k.URI.revive(_e)))}})(dt||(e.DataTransferItem=dt={}));var Rt;(function(Re){function je(te,Me){const Be=te.items.map(([_e,Xe])=>[_e,dt.to(_e,Xe,Me)]);return new s.$TM(Be)}Re.toDataTransfer=je;async function ye(te){const Me={items:[]},Be=[];for(const[_e,Xe]of te)Be.push((async()=>{Me.items.push([_e,await dt.from(_e,Xe)])})());return await Promise.all(Be),Me}Re.from=ye})(Rt||(e.DataTransfer=Rt={}));var ti;(function(Re){function je(te,Me){return{kind:"reply",agentId:te.participant??Me?.agentId??"",subCommand:te.command??Me?.command,message:te.prompt,title:te.label}}Re.from=je;function ye(te){return{prompt:te.message,label:te.title,participant:te.agentId,command:te.subCommand}}Re.to=ye})(ti||(e.ChatFollowup=ti={}));var Yt;(function(Re){function je(ye){return"commandId"in ye?{kind:"command",title:ye.title??"",commandId:ye.commandId??"",when:ye.when??"",args:ye.args}:{kind:"reply",message:ye.message,title:ye.title,tooltip:ye.tooltip}}Re.from=je})(Yt||(e.ChatInlineFollowup=Yt={}));var Ze;(function(Re){function je(te){switch(te.role){case 0:return new s.$3N(te.content);case 1:return new s.$4N(te.content);case 2:return new s.$5N(te.content)}}Re.to=je;function ye(te){if(te instanceof s.$3N)return{role:0,content:te.content};if(te instanceof s.$4N)return{role:1,content:te.content};if(te instanceof s.$5N)return{role:2,content:te.content};throw new Error("Invalid LanguageModelMessage")}Re.from=ye})(Ze||(e.LanguageModelMessage=Ze={}));var Ft;(function(Re){function je(Me){const Be={};for(const _e of Object.keys(Me))Be[_e]=Me[_e].map(Re.to);return Be}Re.objectTo=je;function ye(Me){return{level:Bt.to(Me.level),kind:Me.kind,value:(0,k.$vc)(Me.value)?k.URI.revive(Me.value):Me.value,description:Me.description}}Re.to=ye;function te(Me){return{level:Bt.from(Me.level),kind:Me.kind,value:Me.value,description:Me.description}}Re.from=te})(Ft||(e.ChatVariable=Ft={}));var Bt;(function(Re){function je(te){switch(te){case"short":return s.ChatVariableLevel.Short;case"medium":return s.ChatVariableLevel.Medium;case"full":default:return s.ChatVariableLevel.Full}}Re.to=je;function ye(te){switch(te){case s.ChatVariableLevel.Short:return"short";case s.ChatVariableLevel.Medium:return"medium";case s.ChatVariableLevel.Full:default:return"full"}}Re.from=ye})(Bt||(e.ChatVariableLevel=Bt={}));var ni;(function(Re){function je(ye){switch(ye){case 1:return s.InteractiveEditorResponseFeedbackKind.Helpful;case 0:return s.InteractiveEditorResponseFeedbackKind.Unhelpful;case 2:return s.InteractiveEditorResponseFeedbackKind.Undone;case 3:return s.InteractiveEditorResponseFeedbackKind.Accepted;case 4:return s.InteractiveEditorResponseFeedbackKind.Bug}}Re.to=je})(ni||(e.InteractiveEditorResponseFeedbackKind=ni={}));var mt;(function(Re){function je(te){return{kind:"markdownContent",content:O.from(te.value)}}Re.to=je;function ye(te){return new s.$UN(O.to(te.content))}Re.from=ye})(mt||(e.ChatResponseMarkdownPart=mt={}));var Nt;(function(Re){function je(te){const{value:Me,baseUri:Be}=te;function _e(Xe,at){return Xe.map(kt=>{const Ht=k.URI.joinPath(at,kt.name);return{label:kt.name,uri:Ht,children:kt.children&&_e(kt.children,Ht)}})}return{kind:"treeData",treeData:{label:(0,b.$Og)(Be),uri:Be,children:_e(Me,Be)}}}Re.to=je;function ye(te){const Me=(0,S.$Nh)(te.treeData);function Be(at){return at.map(kt=>({name:kt.label,children:kt.children&&Be(kt.children)}))}const _e=Me.uri,Xe=Me.children?Be(Me.children):[];return new s.$VN(Xe,_e)}Re.from=ye})(Nt||(e.ChatResponseFilesPart=Nt={}));var At;(function(Re){function je(te){return{kind:"inlineReference",name:te.title,inlineReference:k.URI.isUri(te.value)?te.value:m.from(te.value)}}Re.to=je;function ye(te){const Me=(0,S.$Nh)(te);return new s.$WN(k.URI.isUri(Me.inlineReference)?Me.inlineReference:m.to(Me.inlineReference),te.name)}Re.from=ye})(At||(e.ChatResponseAnchorPart=At={}));var Wt;(function(Re){function je(te){return{kind:"progressMessage",content:O.from(te.value)}}Re.to=je;function ye(te){return new s.$XN(te.content.value)}Re.from=ye})(Wt||(e.ChatResponseProgressPart=Wt={}));var ri;(function(Re){function je(te,Me,Be){return{kind:"command",command:Me.toInternal(te.value,Be)??{command:te.value.command,title:te.value.title}}}Re.to=je;function ye(te,Me){return new s.$YN(Me.fromInternal(te.command)??{command:te.command.id,title:te.command.title})}Re.from=ye})(ri||(e.ChatResponseCommandButtonPart=ri={}));var jt;(function(Re){function je(te){return{kind:"reference",reference:k.URI.isUri(te.value)?te.value:m.from(te.value)}}Re.to=je;function ye(te){const Me=(0,S.$Nh)(te);return new s.$ZN(k.URI.isUri(Me.reference)?Me.reference:m.to(Me.reference))}Re.from=ye})(jt||(e.ChatResponseReferencePart=jt={}));var Vt;(function(Re){function je(Me){return Me instanceof s.$UN?mt.to(Me):Me instanceof s.$WN?At.to(Me):Me instanceof s.$ZN?jt.to(Me):Me instanceof s.$XN?Wt.to(Me):Me instanceof s.$VN?Nt.to(Me):{kind:"content",content:""}}Re.to=je;function ye(Me,Be){switch(Me.kind){case"reference":return jt.from(Me);case"markdownContent":case"inlineReference":case"progressMessage":case"treeData":case"command":return te(Me,Be)}}Re.from=ye;function te(Me,Be){switch(Me.kind){case"markdownContent":return mt.from(Me);case"inlineReference":return At.from(Me);case"progressMessage":return;case"treeData":return Nt.from(Me);case"command":return ri.from(Me,Be)}}Re.fromContent=te})(Vt||(e.ChatResponsePart=Vt={}));var Lt;(function(Re){function je(Me,Be){return"markdownContent"in Be?((0,u.$VF)(Me,"chatParticipantAdditions"),{content:O.from(Be.markdownContent),kind:"markdownContent"}):"content"in Be?"vulnerabilities"in Be&&Be.vulnerabilities?((0,u.$VF)(Me,"chatParticipantAdditions"),{content:Be.content,vulnerabilities:Be.vulnerabilities,kind:"vulnerability"}):typeof Be.content=="string"?{content:Be.content,kind:"content"}:((0,u.$VF)(Me,"chatParticipantAdditions"),{content:O.from(Be.content),kind:"markdownContent"}):"documents"in Be?{documents:Be.documents.map(_e=>({uri:_e.uri,version:_e.version,ranges:_e.ranges.map(Xe=>h.from(Xe))})),kind:"usedContext"}:"reference"in Be?{reference:"uri"in Be.reference?{uri:Be.reference.uri,range:h.from(Be.reference.range)}:Be.reference,kind:"reference"}:"inlineReference"in Be?{inlineReference:"uri"in Be.inlineReference?{uri:Be.inlineReference.uri,range:h.from(Be.inlineReference.range)}:Be.inlineReference,name:Be.title,kind:"inlineReference"}:"participant"in Be?((0,u.$VF)(Me,"chatParticipantAdditions"),{agentName:Be.participant,command:Be.command,kind:"agentDetection"}):"message"in Be?{content:O.from(Be.message),kind:"progressMessage"}:void 0}Re.from=je;function ye(Me){switch(Me.kind){case"markdownContent":case"inlineReference":case"treeData":return Re.to(Me);case"content":return{content:Me.content};case"usedContext":return{documents:Me.documents.map(Be=>({uri:k.URI.revive(Be.uri),version:Be.version,ranges:Be.ranges.map(_e=>h.to(_e))}))};case"reference":return{reference:(0,k.$vc)(Me.reference)?k.URI.revive(Me.reference):m.to(Me.reference)};case"agentDetection":return;case"progressMessage":return{message:Me.content.value};case"vulnerability":return{content:Me.content,vulnerabilities:Me.vulnerabilities};default:return}}Re.to=ye;function te(Me,Be){switch(Me.kind){case"markdownContent":return{content:Me.content.value};case"inlineReference":return{inlineReference:(0,k.$vc)(Me.inlineReference)?k.URI.revive(Me.inlineReference):m.to(Me.inlineReference),title:Me.name};case"command":return{command:Be.fromInternal(Me.command)??{command:Me.command.id,title:Me.command.title}};default:return}}Re.toProgressContent=te})(Lt||(e.ChatResponseProgress=Lt={}));var Dt;(function(Re){function je(ye){return{prompt:ye.message,command:ye.command,variables:ye.variables.variables.map($t.to)}}Re.to=je})(Dt||(e.ChatAgentRequest=Dt={}));var $t;(function(Re){function je(ye){return{name:ye.name,range:[ye.range.start,ye.range.endExclusive],values:ye.values.map(Ft.to)}}Re.to=je})($t||(e.ChatAgentResolvedVariable=$t={}));var Ct;(function(Re){function je(ye){return{label:ye.label,values:ye.values.map(Ft.from),insertText:ye.insertText,detail:ye.detail,documentation:ye.documentation}}Re.from=je})(Ct||(e.ChatAgentCompletionItem=Ct={}));var yt;(function(Re){function je(ye){return{errorDetails:ye.errorDetails,metadata:ye.metadata}}Re.to=je})(yt||(e.ChatAgentResult=yt={}));var ui;(function(Re){function je(ye,te,Me){if(te.action.kind==="vote")return;const Be=yt.to(ye);return te.action.kind==="command"?{action:{kind:"command",commandButton:Lt.toProgressContent(te.action.commandButton,Me)},result:Be}:te.action.kind==="followUp"?{action:{kind:"followUp",followup:ti.to(te.action.followup)},result:Be}:{action:te.action,result:Be}}Re.to=je})(ui||(e.ChatAgentUserActionEvent=ui={}));var Qt;(function(Re){function je(ye,te,Me){return"terminalCommand"in ye?{terminalCommand:ye.terminalCommand,shouldExecute:ye.shouldExecute}:"uri"in ye?{uri:ye.uri}:te.toInternal(ye,Me)}Re.from=je})(Qt||(e.TerminalQuickFix=Qt={}));var $i;(function(Re){function je(ye,te){return{id:te,label:ye.label,description:ye.description,canEdit:ye.canEdit,collapsibleState:ye.collapsibleState||0,contextValue:ye.contextValue}}Re.from=je})($i||(e.DebugTreeItem=$i={}))}),define(Se[320],De([1,0,6,20,15]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qhc=void 0;let L=class{constructor(w,v){this.a=w.getProxy(I.$ZL.MainThreadBulkEdits),this.b={getTextDocumentVersion:S=>v.getDocument(S)?.version,getNotebookDocumentVersion:()=>{}}}applyWorkspaceEdit(w,v,S){const M=$.WorkspaceEdit.from(w,this.b);return this.a.$tryApplyWorkspaceEdit(M,void 0,S?.isRefactoring??!1)}};e.$Qhc=L,e.$Qhc=L=Je([Ve(0,F.$eO)],L)}),define(Se[321],De([1,0,19,8,40,4,48,3,38,18,2,211,25,6,15,7,281,26]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Shc=void 0;class i{constructor(t,d,u,s,c,h){this.j=t,this.k=d,this.l=u,this.m=s,this.n=c,this.o=h,this.b=v.$1d.create(!1),this.d=!1}close(){this.d=!0}get timings(){return{firstProgress:this.g,totalElapsed:this.b.elapsed()}}get apiObject(){if(!this.i){let d=function(s){if(t.d){const c=new Error("Response stream has been closed");throw Error.captureStackTrace(c,s),c}};const t=this;this.b.reset();const u=s=>{typeof this.g>"u"&&"content"in s&&(this.g=this.b.elapsed()),this.l.$handleProgressChunk(this.k.requestId,s)};this.i={markdown(s){d(this.markdown);const c=new l.$UN(s),h=k.ChatResponseMarkdownPart.to(c);return u(h),this},filetree(s,c){d(this.filetree);const h=new l.$VN(s,c),m=k.ChatResponseFilesPart.to(h);return u(m),this},anchor(s,c){d(this.anchor);const h=new l.$WN(s,c),m=k.ChatResponseAnchorPart.to(h);return u(m),this},button(s){d(this.anchor);const c=new l.$YN(s),h=k.ChatResponseCommandButtonPart.to(c,t.n,t.o);return u(h),this},progress(s){d(this.progress);const c=new l.$XN(s),h=k.ChatResponseProgressPart.to(c);return u(h),this},reference(s){d(this.reference);const c=new l.$ZN(s),h=k.ChatResponseReferencePart.to(c);return u(h),this},push(s){d(this.push);const c=k.ChatResponsePart.to(s);return u(c),this},report(s){if(d(this.report),"placeholder"in s&&"resolvedContent"in s)return;const c=k.ChatResponseProgress.from(t.j,s);if(!c){t.m.error("Unknown progress type: "+JSON.stringify(s));return}return u(c),this}}}return this.i}}class n{static{this.b=0}constructor(t,d,u){this.j=d,this.k=u,this.d=new Map,this.i=new w.$3c,this.g=t.getProxy(E.$ZL.MainThreadChatAgents2)}createChatAgent(t,d,u){const s=n.b++,c=new r(t,d,this.g,s,u);return this.d.set(s,c),this.g.$registerAgent(s,t.identifier,d,{}),c.apiAgent}async $invokeAgent(t,d,u,s){const c=this.d.get(t);if(!c)throw new Error(`[CHAT](${t}) CANNOT invoke agent because the agent is not registered`);let h=this.i.get(d.sessionId);h||(h=new w.$Sc,this.i.set(d.sessionId,h));const m=new i(c.extension,d,this.g,this.j,this.k.converter,h);try{const D=await this.l(d.agentId,u),g=c.invoke(k.ChatAgentRequest.to(d),{history:D},m.apiObject,s);return await(0,F.$5g)(Promise.resolve(g).then(f=>{if(f?.metadata)try{JSON.stringify(f.metadata)}catch(y){const A=`result.metadata MUST be JSON.stringify-able. Got error: ${y.message}`;return this.j.error(`[${c.extension.identifier.value}] [@${c.id}] ${A}`,c.extension),{errorDetails:{message:A},timings:m.timings}}return{errorDetails:f?.errorDetails,timings:m.timings,metadata:f?.metadata}}),s)}catch(D){return this.j.error(D,c.extension),{errorDetails:{message:(0,C.localize)(0,null,(0,$.$2i)(D)),responseIsIncomplete:!0}}}finally{m.close()}}async l(t,d){const u=[];for(const s of d.history){const c=k.ChatAgentResult.to(s.result),h=t===s.request.agentId?c:{...c,metadata:void 0};u.push(new l.$1N(s.request.message,s.request.command,s.request.variables.variables.map(k.ChatAgentResolvedVariable.to),{extensionId:"",name:s.request.agentId}));const m=(0,I.$Hb)(s.response.map(D=>k.ChatResponsePart.fromContent(D,this.k.converter)));u.push(new l.$2N(m,h,{extensionId:"",name:s.request.agentId},s.request.command))}return u}$releaseSession(t){this.i.deleteAndDispose(t)}async $provideSlashCommands(t,d,u){const s=this.d.get(t);if(!s)return[];const c=await this.l(s.id,d);try{return await s.provideSlashCommands({history:c},u)}catch(h){const m=(0,$.$2i)(h);return this.j.error(`[${s.extension.identifier.value}] [@${s.id}] Error while providing slash commands: ${m}`),[]}}async $provideFollowups(t,d,u,s){const c=this.d.get(d);if(!c)return Promise.resolve([]);const h=k.ChatAgentResult.to(u);return(await c.provideFollowups(h,s)).filter(m=>{const D=!m.participant||R.Iterable.some(this.d.values(),g=>g.id===m.participant&&b.$wm.equals(g.extension.identifier,c.extension.identifier));return D||this.j.warn(`[@${c.id}] ChatFollowup refers to an invalid participant: ${m.participant}`),D}).map(m=>k.ChatFollowup.from(m,t))}$acceptFeedback(t,d,u,s){const c=this.d.get(t);if(!c)return;const h=k.ChatAgentResult.to(d);let m;switch(u){case p.InteractiveSessionVoteDirection.Down:m=l.ChatResultFeedbackKind.Unhelpful;break;case p.InteractiveSessionVoteDirection.Up:m=l.ChatResultFeedbackKind.Helpful;break}c.acceptFeedback(Object.freeze(s?{result:h,kind:m,reportIssue:s}:{result:h,kind:m}))}$acceptAction(t,d,u){const s=this.d.get(t);if(!s||u.action.kind==="vote")return;const c=k.ChatAgentUserActionEvent.to(d,u,this.k.converter);c&&s.acceptAction(Object.freeze(c))}async $invokeCompletionProvider(t,d,u){const s=this.d.get(t);return s?(await s.invokeCompletionProvider(d,u)).map(k.ChatAgentCompletionItem.from):[]}async $provideWelcomeMessage(t,d){const u=this.d.get(t);if(u)return await u.provideWelcomeMessage(d)}async $provideSampleQuestions(t,d){const u=this.d.get(t);if(u)return(await u.provideSampleQuestions(d)).map(s=>k.ChatFollowup.from(s,void 0))}}e.$Shc=n;class r{constructor(t,d,u,s,c){this.extension=t,this.id=d,this.y=u,this.z=s,this.A=c,this.q=new L.$5d,this.s=new L.$5d}acceptFeedback(t){this.q.fire(t)}acceptAction(t){this.s.fire(t)}async invokeCompletionProvider(t,d){return this.u?await this.u.provider.provideCompletionItems(t,d)??[]:[]}async provideSlashCommands(t,d){if(!this.b)return[];const u=await this.b.provideCommands(t,d);return u?u.map(s=>("isSticky2"in s&&(0,o.$VF)(this.extension,"chatParticipantAdditions"),{name:s.name,description:s.description??"",followupPlaceholder:s.isSticky2?.placeholder,isSticky:s.isSticky2?.isSticky??s.isSticky,sampleRequest:s.sampleRequest})):[]}async provideFollowups(t,d){if(!this.d)return[];const u=await this.d.provideFollowups(t,d);return u?u.filter(s=>!(s&&"commandId"in s)).filter(s=>!(s&&"message"in s)):[]}async provideWelcomeMessage(t){if(!this.w)return[];const d=await this.w.provideWelcomeMessage(t);return d?d.map(u=>typeof u=="string"?u:k.MarkdownString.from(u)):[]}async provideSampleQuestions(t){if(!this.w||!this.w.provideSampleQuestions)return[];const d=await this.w.provideSampleQuestions(t);return d||[]}get apiAgent(){let t=!1,d=!1;const u=()=>{t||d||(d=!0,queueMicrotask(()=>{this.y.$updateAgent(this.z,{description:this.g??"",fullName:this.i,icon:this.j?this.j instanceof M.URI?this.j:"light"in this.j?this.j.light:void 0:void 0,iconDark:this.j&&"dark"in this.j?this.j.dark:void 0,themeIcon:this.j instanceof l.$WM?this.j:void 0,hasSlashCommands:this.b!==void 0,hasFollowups:this.d!==void 0,isDefault:this.k,isSecondary:this.p,helpTextPrefix:!this.l||typeof this.l=="string"?this.l:k.MarkdownString.from(this.l),helpTextVariablesPrefix:!this.m||typeof this.m=="string"?this.m:k.MarkdownString.from(this.m),helpTextPostfix:!this.n||typeof this.n=="string"?this.n:k.MarkdownString.from(this.n),sampleRequest:this.o,supportIssueReporting:this.t,isSticky:this.x}),d=!1}))},s=this;return{get name(){return s.id},get description(){return s.g??""},set description(c){s.g=c,u()},get fullName(){return(0,o.$VF)(s.extension,"defaultChatParticipant"),s.i??s.extension.displayName??s.extension.name},set fullName(c){(0,o.$VF)(s.extension,"defaultChatParticipant"),s.i=c,u()},get iconPath(){return s.j},set iconPath(c){s.j=c,u()},get requestHandler(){return s.A},set requestHandler(c){(0,S.$3f)(typeof c=="function","Invalid request handler"),s.A=c},get commandProvider(){return s.b},set commandProvider(c){s.b=c,u()},get followupProvider(){return s.d},set followupProvider(c){s.d=c,u()},get isDefault(){return(0,o.$VF)(s.extension,"defaultChatParticipant"),s.k},set isDefault(c){(0,o.$VF)(s.extension,"defaultChatParticipant"),s.k=c,u()},get helpTextPrefix(){return(0,o.$VF)(s.extension,"defaultChatParticipant"),s.l},set helpTextPrefix(c){if((0,o.$VF)(s.extension,"defaultChatParticipant"),!s.k)throw new Error("helpTextPrefix is only available on the default chat agent");s.l=c,u()},get helpTextVariablesPrefix(){return(0,o.$VF)(s.extension,"defaultChatParticipant"),s.m},set helpTextVariablesPrefix(c){if((0,o.$VF)(s.extension,"defaultChatParticipant"),!s.k)throw new Error("helpTextVariablesPrefix is only available on the default chat agent");s.m=c,u()},get helpTextPostfix(){return(0,o.$VF)(s.extension,"defaultChatParticipant"),s.n},set helpTextPostfix(c){if((0,o.$VF)(s.extension,"defaultChatParticipant"),!s.k)throw new Error("helpTextPostfix is only available on the default chat agent");s.n=c,u()},get isSecondary(){return(0,o.$VF)(s.extension,"defaultChatParticipant"),s.p},set isSecondary(c){(0,o.$VF)(s.extension,"defaultChatParticipant"),s.p=c,u()},get sampleRequest(){return s.o},set sampleRequest(c){s.o=c,u()},get supportIssueReporting(){return(0,o.$VF)(s.extension,"chatParticipantAdditions"),s.t},set supportIssueReporting(c){(0,o.$VF)(s.extension,"chatParticipantAdditions"),s.t=c,u()},get onDidReceiveFeedback(){return s.q.event},set participantVariableProvider(c){if((0,o.$VF)(s.extension,"chatParticipantAdditions"),s.u=c,c){if(!c.triggerCharacters.length)throw new Error("triggerCharacters are required");s.y.$registerAgentCompletionsProvider(s.z,c.triggerCharacters)}else s.y.$unregisterAgentCompletionsProvider(s.z)},get participantVariableProvider(){return(0,o.$VF)(s.extension,"chatParticipantAdditions"),s.u},set welcomeMessageProvider(c){(0,o.$VF)(s.extension,"defaultChatParticipant"),s.w=c,u()},get welcomeMessageProvider(){return(0,o.$VF)(s.extension,"defaultChatParticipant"),s.w},onDidPerformAction:(0,o.$UF)(this.extension,"chatParticipantAdditions")?this.s.event:void 0,get isSticky(){return s.x},set isSticky(c){s.x=c,u()},dispose(){t=!0,s.b=void 0,s.d=void 0,s.q.dispose(),s.y.$unregisterAgent(s.z)}}}invoke(t,d,u,s){return this.A(t,d,u,s)}}}),define(Se[322],De([1,0,22,3,6,15,107,25,8,4,212,142,40]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Thc=void 0;class E{constructor(o,i){this.option=o,this.stream=new v.$Hh,this.stream=i??new v.$Hh}}class k{constructor(o,i){this.cts=i,this.a=new Map,this.b=new v.$Hh,this.c=!1;const n=this;this.apiObject={result:o,stream:n.b.asyncIterable},o.then(()=>{for(const r of this.d())r.resolve()}).catch(r=>{r instanceof Error||(r=new Error((0,b.$2i)(r),{cause:r}));for(const a of this.d())a.reject(r)}).finally(()=>{this.c=!0})}*d(){if(this.a.size>0)for(const[,o]of this.a)yield o.stream;else yield this.b}handleFragment(o){if(this.c)return;let i=this.a.get(o.index);i||(this.a.size===0?i=new E(o.index,this.b):i=new E(o.index),this.a.set(o.index,i)),i.stream.emitOne(o.part)}}class l{static{this.a=1}constructor(o,i,n){this.j=i,this.k=n,this.c=new S.$5d,this.d=new S.$5d,this.onDidChangeProviders=this.d.event,this.f=new Map,this.g=new Set,this.h=new w.$ym,this.i=new Map,this.b=o.getProxy($.$ZL.MainThreadChatProvider)}dispose(){this.c.dispose(),this.d.dispose()}registerLanguageModel(o,i,n,r){const a=l.a++;this.f.set(a,{extension:o.identifier,provider:n});let t;return r.auth&&(t={providerLabel:o.displayName||o.name,accountLabel:typeof r.auth=="object"?r.auth.label:void 0}),this.b.$registerProvider(a,i,{extension:o.identifier,model:r.name??"",auth:t}),(0,F.$Rc)(()=>{this.f.delete(a),this.b.$unregisterProvider(a)})}async $provideLanguageModelResponse(o,i,n,r,a,t){const d=this.f.get(o);if(!d)return;const u=new R.$Hv(async s=>{if(t.isCancellationRequested){this.j.warn(`[CHAT](${d.extension.value}) CANNOT send progress because the REQUEST IS CANCELLED`);return}this.b.$handleProgressChunk(i,{index:s.index,part:s.part})});return d.provider.provideLanguageModelResponse2(r.map(L.LanguageModelMessage.to),a,w.$wm.toKey(n),u,t)}$updateLanguageModels(o){const i=[],n=[];if(o.added)for(const r of o.added)this.g.add(r),i.push(r);if(o.removed)for(const r of o.removed){this.g.delete(r),n.push(r);for(const[a,t]of this.i)t.languageModelId===r&&(t.res.cts.cancel(),this.i.delete(a))}this.d.fire(Object.freeze({added:Object.freeze(i),removed:Object.freeze(n)}))}getLanguageModelIds(){return Array.from(this.g)}$updateModelAccesslist(o){const i=new Array;for(const{from:n,to:r,enabled:a}of o){const t=this.h.get(n)??new w.$xm;if(t.has(r)!==a){a?t.add(r):t.delete(r),this.h.set(n,t);const u={from:n,to:r};i.push(u),this.c.fire(u)}}}async requestLanguageModelAccess(o,i,n){const r=o.identifier,a=n?.justification,t=await this.b.$prepareChatAccess(r,i,a);if(!t)throw new Error(`Language model '${i}' NOT found`);this.m(r,t)&&await this.l(o,{identifier:t.extension,displayName:t.auth.providerLabel},a);const d=this;return{get model(){return t.model},get isRevoked(){return d.m(r,t)&&!d.h.get(r)?.has(t.extension)||!d.g.has(i)},get onDidChangeAccess(){const u=S.Event.filter(d.d.event,c=>c.removed.includes(i)),s=S.Event.filter(d.c.event,c=>w.$wm.equals(c.from,r)&&w.$wm.equals(c.to,t.extension));return S.Event.signal(S.Event.any(u,s))},makeChatRequest(u,s,c){if(d.m(r,t)&&!d.h.get(r)?.has(t.extension))throw new Error("Access to chat has been revoked");if(!d.g.has(i))throw new Error("Language Model has been removed");const h=new I.$ce(c),m=Math.random()*1e6|0,D=d.b.$fetchResponse(r,i,m,u.map(L.LanguageModelMessage.from),s??{},h.token),g=new k(D,h);return d.i.set(m,{languageModelId:i,res:g}),D.finally(()=>{d.i.delete(m),h.dispose()}),g.apiObject}}}async $handleResponseFragment(o,i){const n=this.i.get(o);n&&n.res.handleFragment(i)}async l(o,i,n){const r=C.$6K+i.identifier.value;if(!await this.k.getSession(o,r,[],{silent:!0}))try{const t=n?(0,M.localize)(0,null,i.displayName,n):(0,M.localize)(1,null,i.displayName);await this.k.getSession(o,r,[],{forceNewSession:{detail:t}})}catch{throw new Error("Access to language models has not been granted")}this.$updateModelAccesslist([{from:o.identifier,to:i.identifier,enabled:!0}])}m(o,i){return!!i.auth&&!w.$wm.equals(i.extension,o)}}e.$Thc=l}),define(Se[323],De([1,0,14,3,6,15,7,26]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Uhc=void 0;class v{static{this.a=0}constructor(C){this.b=new Map,this.c=C.getProxy($.$ZL.MainThreadChatVariables)}async $resolveVariable(C,b,E,k){const l=this.b.get(C);if(l)try{if(l.resolver.resolve2){(0,w.$VF)(l.extension,"chatParticipantAdditions");const p=new S(b,this.c),o=await l.resolver.resolve2(l.data.name,{prompt:E},p.apiObject,k);if(o)return o.map(L.ChatVariable.from)}else{const p=await l.resolver.resolve(l.data.name,{prompt:E},k);if(p)return p.map(L.ChatVariable.from)}}catch(p){(0,I.$2)(p)}}registerVariableResolver(C,b,E,k){const l=v.a++;return this.b.set(l,{extension:C,data:{name:b,description:E},resolver:k}),this.c.$registerVariable(l,{name:b,description:E}),(0,F.$Rc)(()=>{this.b.delete(l),this.c.$unregisterVariable(l)})}}e.$Uhc=v;class S{constructor(C,b){this.c=C,this.d=b,this.a=!1}close(){this.a=!0}get apiObject(){if(!this.b){let b=function(k){if(C.a){const l=new Error("Response stream has been closed");throw Error.captureStackTrace(l,k),l}};const C=this,E=k=>{this.d.$handleProgressChunk(this.c,k)};this.b={progress(k){b(this.progress);const l=new R.$XN(k),p=L.ChatResponseProgressPart.to(l);return E(p),this},reference(k){b(this.reference);const l=new R.$ZN(k),p=L.ChatResponseReferencePart.to(l);return E(p),this},push(k){b(this.push);const l=L.ChatResponsePart.to(k);return E(l),this}}}return this.b}}}),define(Se[324],De([1,0,8,53,4,3,2,83,25,15,7,6,26]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Yhc=void 0;function E(k,l,p){const o=k.getProxy(C.$ZL.MainThreadComments);class i{static{this.a=0}constructor(){this.b=new Map,this.c=new v.$ym,l.registerArgumentProcessor({processArgument:h=>{if(h&&h.$mid===6){const m=this.b.get(h.handle);return m?m.value:h}else if(h&&h.$mid===7){const m=this.b.get(h.commentControlHandle);if(!m)return h;const D=m.getCommentThread(h.commentThreadHandle);return D?D.value:h}else if(h&&(h.$mid===9||h.$mid===8)){const m=this.b.get(h.thread.commentControlHandle);if(!m)return h;const D=m.getCommentThread(h.thread.commentThreadHandle);return D?h.$mid===8?D.value:{thread:D.value,text:h.text}:h}else if(h&&h.$mid===10){const m=this.b.get(h.thread.commentControlHandle);if(!m)return h;const D=m.getCommentThread(h.thread.commentThreadHandle);if(!D)return h;const g=h.commentUniqueId,f=D.getCommentByUniqueId(g);return f||h}else if(h&&h.$mid===11){const m=this.b.get(h.thread.commentControlHandle);if(!m)return h;const D=m.getCommentThread(h.thread.commentThreadHandle);if(!D)return h;const g=h.text,f=h.commentUniqueId,y=D.getCommentByUniqueId(f);return y?(typeof y.body=="string"?y.body=g:y.body=new M.$qM(g),y):h}return h}})}createCommentController(h,m,D){const g=i.a++,f=new r(h,g,m,D);this.b.set(f.handle,f);const y=this.c.get(h.identifier)||[];return y.push(f),this.c.set(h.identifier,y),f.value}async $createCommentThreadTemplate(h,m,D){const g=this.b.get(h);g&&g.$createCommentThreadTemplate(m,D)}async $setActiveComment(h,m){const D=this.b.get(h);D&&D.$setActiveComment(m??void 0)}async $updateCommentThreadTemplate(h,m,D){const g=this.b.get(h);g&&g.$updateCommentThreadTemplate(m,D)}$deleteCommentThread(h,m){this.b.get(h)?.$deleteCommentThread(m)}$provideCommentingRanges(h,m,D){const g=this.b.get(h);if(!g||!g.commentingRangeProvider)return Promise.resolve(void 0);const f=p.getDocument(R.URI.revive(m));return(0,I.$9g)(async()=>{const y=await g.commentingRangeProvider.provideCommentingRanges(f,D);let A;return Array.isArray(y)?A={ranges:y,fileComments:!1}:y?A={ranges:y.ranges||[],fileComments:y.fileComments||!1}:A=y??void 0,A}).then(y=>{let A;return y&&(A={ranges:y.ranges.map(N=>S.Range.from(N)),fileComments:y.fileComments}),A})}$toggleReaction(h,m,D,g,f){const y=this.b.get(h);return!y||!y.reactionHandler?Promise.resolve(void 0):(0,I.$9g)(()=>{const A=y.getCommentThread(m);if(A){const N=A.getCommentByUniqueId(g.uniqueIdInThread);if(y!==void 0&&N&&y.reactionHandler)return y.reactionHandler(N,d(f))}return Promise.resolve(void 0)})}}class n{static{this.a=0}set threadId(h){this.n=h}get threadId(){return this.n}get id(){return this.n}get resource(){return this.o}get uri(){return this.o}set range(h){(h===void 0!=(this.p===void 0)||!h||!this.p||!h.isEqual(this.p))&&(this.p=h,this.b.range=h,this.c.fire())}get range(){return this.p}set canReply(h){this.d!==h&&(this.d=h,this.b.canReply=h,this.c.fire())}get canReply(){return this.d}get label(){return this.e}set label(h){this.e=h,this.b.label=h,this.c.fire()}get contextValue(){return this.f}set contextValue(h){this.f=h,this.b.contextValue=h,this.c.fire()}get comments(){return this.q}set comments(h){this.q=h,this.b.comments=h,this.c.fire()}get collapsibleState(){return this.g}set collapsibleState(h){this.g=h,this.b.collapsibleState=h,this.c.fire()}get state(){return this.h}set state(h){this.h=h,this.b.state=h,this.c.fire()}get isDisposed(){return this.j}constructor(h,m,D,g,f,y,A,N){this.m=m,this.n=D,this.o=g,this.p=f,this.q=y,this.extensionDescription=A,this.r=N,this.handle=n.a++,this.commentHandle=0,this.b=Object.create(null),this.c=new $.$5d,this.onDidUpdateCommentThread=this.c.event,this.d=!0,this.k=new Map,this.l=new L.$Uc,this.l.value=new L.$Sc,this.n===void 0&&(this.n=`${h}.${this.handle}`),o.$createCommentThread(m,this.handle,this.n,this.o,S.Range.from(this.p),A.identifier,this.r),this.i=[],this.j=!1,this.i.push(this.onDidUpdateCommentThread(()=>{this.eventuallyUpdateCommentThread()})),this.comments=y,this.i.push({dispose:()=>{o.$deleteCommentThread(m,this.handle)}});const U=this;this.value={get uri(){return U.uri},get range(){return U.range},set range(z){U.range=z},get comments(){return U.comments},set comments(z){U.comments=z},get collapsibleState(){return U.collapsibleState},set collapsibleState(z){U.collapsibleState=z},get canReply(){return U.canReply},set canReply(z){U.canReply=z},get contextValue(){return U.contextValue},set contextValue(z){U.contextValue=z},get label(){return U.label},set label(z){U.label=z},get state(){return U.state},set state(z){U.state=z},dispose:()=>{U.dispose()}}}s(){this.r&&(this.r=!1,this.b.isTemplate=!1)}eventuallyUpdateCommentThread(){if(this.j)return;this.s(),this.l.value||(this.l.value=new L.$Sc);const h=D=>Object.prototype.hasOwnProperty.call(this.b,D),m={};h("range")&&(m.range=S.Range.from(this.p)),h("label")&&(m.label=this.label),h("contextValue")&&(m.contextValue=this.contextValue??null),h("comments")&&(m.comments=this.q.map(D=>a(this,D,this.k,this.extensionDescription))),h("collapsibleState")&&(m.collapseState=u(this.g)),h("canReply")&&(m.canReply=this.canReply),h("state")&&(m.state=s(this.h)),h("isTemplate")&&(m.isTemplate=this.r),this.b={},o.$updateCommentThread(this.m,this.handle,this.n,this.o,m)}getCommentByUniqueId(h){for(const m of this.k){const D=m[0],g=m[1];if(h===g)return D}}dispose(){this.j=!0,this.l.dispose(),this.i.forEach(h=>h.dispose())}}Je([(0,F.$Jh)(100)],n.prototype,"eventuallyUpdateCommentThread",null);class r{get id(){return this.j}get label(){return this.k}get handle(){return this.i}get commentingRangeProvider(){return this.b}set commentingRangeProvider(h){this.b=h,o.$updateCommentingRanges(this.handle)}get reactionHandler(){return this.c}set reactionHandler(h){this.c=h,o.$updateCommentControllerFeatures(this.handle,{reactionHandler:!!h})}get options(){return this.d}set options(h){this.d=h,o.$updateCommentControllerFeatures(this.handle,{options:this.d})}get activeComment(){return(0,b.$VF)(this.h,"activeComment"),this.e}get activeCommentThread(){return(0,b.$VF)(this.h,"activeComment"),this.f}constructor(h,m,D,g){this.h=h,this.i=m,this.j=D,this.k=g,this.a=new Map,o.$registerCommentController(this.handle,D,g,this.h.identifier.value);const f=this;this.value=Object.freeze({id:f.id,label:f.label,get options(){return f.options},set options(y){f.options=y},get commentingRangeProvider(){return f.commentingRangeProvider},set commentingRangeProvider(y){f.commentingRangeProvider=y},get reactionHandler(){return f.reactionHandler},set reactionHandler(y){f.reactionHandler=y},get activeCommentThread(){return f.activeCommentThread},createCommentThread(y,A,N){return f.createCommentThread(y,A,N).value},dispose:()=>{f.dispose()}}),this.g=[],this.g.push({dispose:()=>{o.$unregisterCommentController(this.handle)}})}createCommentThread(h,m,D){m===void 0&&(0,b.$VF)(this.h,"fileComments");const g=new n(this.id,this.handle,void 0,h,m,D,this.h,!1);return this.a.set(g.handle,g),g}$setActiveComment(h){if(!h){this.e=void 0,this.f=void 0;return}const m=this.a.get(h.commentThreadHandle);m&&(this.e=h.uniqueIdInThread?m.getCommentByUniqueId(h.uniqueIdInThread):void 0,this.f=m)}$createCommentThreadTemplate(h,m){const D=new n(this.id,this.handle,void 0,R.URI.revive(h),S.Range.to(m),[],this.h,!0);return D.collapsibleState=w.CommentThreadCollapsibleState.Expanded,this.a.set(D.handle,D),D}$updateCommentThreadTemplate(h,m){const D=this.a.get(h);D&&(D.range=S.Range.to(m))}$deleteCommentThread(h){this.a.get(h)?.dispose(),this.a.delete(h)}getCommentThread(h){return this.a.get(h)}dispose(){this.a.forEach(h=>{h.dispose()}),this.g.forEach(h=>h.dispose())}}function a(c,h,m,D){let g=m.get(h);return g||(g=++c.commentHandle,m.set(h,g)),h.state!==void 0&&(0,b.$VF)(D,"commentsDraftState"),h.reactions?.some(f=>f.reactors!==void 0)&&(0,b.$VF)(D,"commentReactor"),{mode:h.mode,contextValue:h.contextValue,uniqueIdInThread:g,body:typeof h.body=="string"?h.body:S.MarkdownString.from(h.body),userName:h.author.name,userIconPath:h.author.iconPath,label:h.label,commentReactions:h.reactions?h.reactions.map(f=>t(f)):void 0,state:h.state,timestamp:h.timestamp?.toJSON()}}function t(c){return{label:c.label,iconPath:c.iconPath?S.$dO(c.iconPath):void 0,count:c.count,hasReacted:c.authorHasReacted,reactors:c.reactors&&c.reactors.length>0&&typeof c.reactors[0]!="string"?c.reactors.map(h=>h.name):c.reactors}}function d(c){return{label:c.label||"",count:c.count||0,iconPath:c.iconPath?R.URI.revive(c.iconPath):"",authorHasReacted:c.hasReacted||!1,reactors:c.reactors?.map(h=>({name:h}))}}function u(c){if(c!==void 0)switch(c){case M.CommentThreadCollapsibleState.Expanded:return w.CommentThreadCollapsibleState.Expanded;case M.CommentThreadCollapsibleState.Collapsed:return w.CommentThreadCollapsibleState.Collapsed}return w.CommentThreadCollapsibleState.Collapsed}function s(c){if(c!==void 0)switch(c){case M.CommentThreadState.Unresolved:return w.CommentThreadState.Unresolved;case M.CommentThreadState.Resolved:return w.CommentThreadState.Resolved}return w.CommentThreadState.Unresolved}return new i}e.$Yhc=E}),define(Se[325],De([1,0,22,54,3,16,23,2,15,92,110,6,7]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$eic=void 0;class E{constructor(d,u){this.document=d,this.b=u,this.a=1,this.c=new M.$Dhc("custom documents")}addEdit(d){return this.c.add([d])}async undo(d,u){await this.f(d).undo(),u||this.disposeBackup()}async redo(d,u){await this.f(d).redo(),u||this.disposeBackup()}disposeEdits(d){for(const u of d)this.c.delete(u)}getNewBackupUri(){if(!this.b)throw new Error("Backup requires a valid storage path");const d=a(this.document.uri)+this.a++;return(0,R.$Rg)(this.b,d)}updateBackup(d){this.d?.delete(),this.d=d}disposeBackup(){this.d?.delete(),this.d=void 0}f(d){const u=this.c.get(d,0);if(!u)throw new Error("No edit found");return u}}class k{constructor(){this.a=new Map}get(d,u){return this.a.get(this.b(d,u))}add(d,u,s){const c=this.b(d,u.uri);if(this.a.has(c))throw new Error(`Document already exists for viewType:${d} resource:${u.uri}`);const h=new E(u,s);return this.a.set(c,h),h}delete(d,u){const s=this.b(d,u.uri);this.a.delete(s)}b(d,u){return`${d}@@@${u}`}}var l;(function(t){t[t.Text=0]="Text",t[t.Custom=1]="Custom"})(l||(l={}));class p{constructor(){this.a=new Map}addTextProvider(d,u,s){return this.b(0,d,u,s)}addCustomProvider(d,u,s){return this.b(1,d,u,s)}get(d){return this.a.get(d)}b(d,u,s,c){if(this.a.has(u))throw new Error(`Provider for viewType:${u} already registered`);return this.a.set(u,{type:d,extension:s,provider:c}),new b.$2L(()=>this.a.delete(u))}}class o{constructor(d,u,s,c,h){this.d=u,this.f=s,this.g=c,this.h=h,this.b=new p,this.c=new k,this.a=d.getProxy(C.$ZL.MainThreadCustomEditors)}registerCustomEditorProvider(d,u,s,c){const h=new $.$Sc;return n(s)?(h.add(this.b.addTextProvider(u,d,s)),this.a.$registerTextEditorProvider((0,S.$bic)(d),u,c.webviewOptions||{},{supportsMove:!!s.moveCustomTextEditor},(0,S.$_hc)(d))):(h.add(this.b.addCustomProvider(u,d,s)),i(s)&&h.add(s.onDidChangeCustomDocument(m=>{const D=this.i(u,m.document.uri);if(r(m)){const g=D.addEdit(m);this.a.$onDidEdit(m.document.uri,u,g,m.label)}else this.a.$onContentChange(m.document.uri,u)})),this.a.$registerCustomEditorProvider((0,S.$bic)(d),u,c.webviewOptions||{},!!c.supportsMultipleEditorsPerDocument,(0,S.$_hc)(d))),b.$2L.from(h,new b.$2L(()=>{this.a.$unregisterEditorProvider(u)}))}async $createCustomDocument(d,u,s,c,h){const m=this.b.get(u);if(!m)throw new Error(`No provider found for '${u}'`);if(m.type!==1)throw new Error(`Invalid provide type for '${u}'`);const D=w.URI.revive(d),g=await m.provider.openCustomDocument(D,{backupId:s,untitledDocumentData:c?.buffer},h);let f;return i(m.provider)&&this.f&&(f=this.f.workspaceValue(m.extension)??this.f.globalValue(m.extension)),this.c.add(u,g,f),{editable:i(m.provider)}}async $disposeCustomDocument(d,u){const s=this.b.get(u);if(!s)throw new Error(`No provider found for '${u}'`);if(s.type!==1)throw new Error(`Invalid provider type for '${u}'`);const c=w.URI.revive(d),{document:h}=this.i(u,c);this.c.delete(u,h),h.dispose()}async $resolveCustomEditor(d,u,s,c,h,m){const D=this.b.get(s);if(!D)throw new Error(`No provider found for '${s}'`);const g=v.ViewColumn.to(h),f=this.g.createNewWebview(u,c.contentOptions,D.extension),y=this.h.createNewWebviewPanel(u,s,c.title,g,c.options,f,c.active),A=w.URI.revive(d);switch(D.type){case 1:{const{document:N}=this.i(s,A);return D.provider.resolveCustomEditor(N,y,m)}case 0:{const N=this.d.getDocument(A);return D.provider.resolveCustomTextEditor(N,y,m)}default:throw new Error("Unknown webview provider type")}}$disposeEdits(d,u,s){this.i(u,d).disposeEdits(s)}async $onMoveCustomEditor(d,u,s){const c=this.b.get(s);if(!c)throw new Error(`No provider found for '${s}'`);if(!c.provider.moveCustomTextEditor)throw new Error(`Provider does not implement move '${s}'`);const h=this.h.getWebviewPanel(d);if(!h)throw new Error("No webview found");const m=w.URI.revive(u),D=this.d.getDocument(m);await c.provider.moveCustomTextEditor(D,h,I.CancellationToken.None)}async $undo(d,u,s,c){return this.i(u,d).undo(s,c)}async $redo(d,u,s,c){return this.i(u,d).redo(s,c)}async $revert(d,u,s){const c=this.i(u,d);await this.j(u).revertCustomDocument(c.document,s),c.disposeBackup()}async $onSave(d,u,s){const c=this.i(u,d);await this.j(u).saveCustomDocument(c.document,s),c.disposeBackup()}async $onSaveAs(d,u,s,c){const h=this.i(u,d);return this.j(u).saveCustomDocumentAs(h.document,w.URI.revive(s),c)}async $backup(d,u,s){const c=this.i(u,d),m=await this.j(u).backupCustomDocument(c.document,{destination:c.getNewBackupUri()},s);return c.updateBackup(m),m.id}i(d,u){const s=this.c.get(d,w.URI.revive(u));if(!s)throw new Error("No custom document found");return s}j(d){const s=this.b.get(d)?.provider;if(!s||!i(s))throw new Error("Custom document is not editable");return s}}e.$eic=o;function i(t){return!!t.onDidChangeCustomDocument}function n(t){return typeof t.resolveCustomTextEditor=="function"}function r(t){return typeof t.undo=="function"&&typeof t.redo=="function"}function a(t){const d=t.scheme===L.Schemas.file||t.scheme===L.Schemas.untitled?t.fsPath:t.toString();return(0,F.$5i)(d)+""}}),define(Se[326],De([1,0,213,135,2,6,7,15,4,13,28,59]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";var b;Object.defineProperty(e,"__esModule",{value:!0}),e.$Lhc=e.$Khc=void 0;class E{#e;#t;#i;constructor(p,o,i,n,r,a,t,d){this.d=p,this.e=o,this.f=i,this.g=n,this.h=r,this.c=!1,this.f=Math.max(n,i),this.#i=new M.$Ac(u=>a.getComparisonKey(u)),this.#e=t,this.#t=d}dispose(){this.c||(this.#t.fire([...this.#i.keys()]),this.#e?.$clear(this.e),this.#i.clear(),this.c=!0)}get name(){return this.j(),this.d}set(p,o){if(!p){this.clear();return}this.j();let i=[];if($.URI.isUri(p)){if(!o){this.delete(p);return}this.#i.set(p,o.slice()),i=[p]}else if(Array.isArray(p)){i=[];let a;p=[...p].sort(E.k);for(const t of p){const[d,u]=t;if((!a||d.toString()!==a.toString())&&(a&&this.#i.get(a).length===0&&this.#i.delete(a),a=d,i.push(d),this.#i.set(d,[])),u)this.#i.get(d)?.push(...u);else{const s=this.#i.get(d);s&&(s.length=0)}}}if(this.#t.fire(i),!this.#e)return;const n=[];let r=0;for(const a of i){let t=[];const d=this.#i.get(a);if(d)if(d.length>this.g){t=[];const u=[R.DiagnosticSeverity.Error,R.DiagnosticSeverity.Warning,R.DiagnosticSeverity.Information,R.DiagnosticSeverity.Hint];e:for(let s=0;s<4;s++)for(const c of d)if(c.severity===u[s]&&t.push({...w.Diagnostic.from(c),modelVersionId:this.h(a)})===this.g)break e;t.push({severity:F.MarkerSeverity.Info,message:(0,I.localize)(0,null,d.length-this.g),startLineNumber:t[t.length-1].startLineNumber,startColumn:t[t.length-1].startColumn,endLineNumber:t[t.length-1].endLineNumber,endColumn:t[t.length-1].endColumn})}else t=d.map(u=>({...w.Diagnostic.from(u),modelVersionId:this.h(a)}));if(n.push([a,t]),r+=t.length,r>this.f)break}this.#e.$changeMany(this.e,n)}delete(p){this.j(),this.#t.fire([p]),this.#i.delete(p),this.#e?.$changeMany(this.e,[[p,void 0]])}clear(){this.j(),this.#t.fire([...this.#i.keys()]),this.#i.clear(),this.#e?.$clear(this.e)}forEach(p,o){this.j();for(const[i,n]of this)p.call(o,i,n,this)}*[Symbol.iterator](){this.j();for(const p of this.#i.keys())yield[p,this.get(p)]}get(p){this.j();const o=this.#i.get(p);return Array.isArray(o)?Object.freeze(o.slice(0)):[]}has(p){return this.j(),Array.isArray(this.#i.get(p))}j(){if(this.c)throw new Error("illegal state - object is disposed")}static k(p,o){return p[0].toString()<o[0].toString()?-1:p[0].toString()>o[0].toString()?1:0}}e.$Khc=E;let k=class{static{b=this}static{this.c=0}static{this.d=1e3}static{this.e=1.1*b.d}static _mapper(p){const o=new M.$Ac;for(const i of p)o.set(i,i);return{uris:Object.freeze(Array.from(o.values()))}}constructor(p,o,i,n){this.j=o,this.k=i,this.l=n,this.g=new Map,this.h=new v.$9d({merge:r=>r.flat(),delay:50}),this.onDidChangeDiagnostics=v.Event.map(this.h.event,b._mapper),this.f=p.getProxy(L.$ZL.MainThreadDiagnostics)}createDiagnosticCollection(p,o){const{g:i,f:n,h:r,j:a,k:t,l:d}=this,u=new class{$changeMany(h,m){n.$changeMany(h,m),a.trace("[DiagnosticCollection] change many (extension, owner, uris)",p.value,h,m.length===0?"CLEARING":m)}$clear(h){n.$clear(h),a.trace("[DiagnosticCollection] remove all (extension, owner)",p.value,h)}dispose(){n.dispose()}};let s;if(!o)o="_generated_diagnostic_collection_name_#"+b.c++,s=o;else if(!i.has(o))s=o;else{this.j.warn(`DiagnosticCollection with name '${o}' does already exist.`);do s=o+b.c++;while(i.has(s))}return new class extends E{constructor(){super(o,s,b.e,b.d,h=>d.getDocument(h)?.version,t.extUri,u,r),i.set(s,this)}dispose(){super.dispose(),i.delete(s)}}}getDiagnostics(p){if(p)return this.m(p);{const o=new Map,i=[];for(const n of this.g.values())n.forEach((r,a)=>{let t=o.get(r.toString());typeof t>"u"&&(t=i.length,o.set(r.toString(),t),i.push([r,[]])),i[t][1]=i[t][1].concat(...a)});return i}}m(p){let o=[];for(const i of this.g.values())i.has(p)&&(o=o.concat(i.get(p)));return o}$acceptMarkersChange(p){if(!this.n){const o="_generated_mirror",i=new E(o,o,Number.MAX_SAFE_INTEGER,Number.MAX_SAFE_INTEGER,n=>{},this.k.extUri,void 0,this.h);this.g.set(o,i),this.n=i}for(const[o,i]of p)this.n.set($.URI.revive(o),i.map(w.Diagnostic.to))}};e.$Lhc=k,e.$Lhc=k=b=Je([Ve(1,S.$yj),Ve(2,C.$Jhc)],k)}),define(Se[327],De([1,0,2,14,7,15,75]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sic=void 0;class w{constructor(S,M,C,b={timeout:1500,errors:3}){this.c=S,this.d=M,this.f=C,this.g=b,this.a=new R.$4c,this.b=new WeakMap}dispose(){this.a.clear()}getOnWillSaveTextDocumentEvent(S){return(M,C,b)=>{const k={dispose:this.a.push([M,C,S])};return Array.isArray(b)&&b.push(k),k}}async $participateInSave(S,M){const C=I.URI.revive(S);let b=!1;const E=setTimeout(()=>b=!0,this.g.timeout),k=[];try{for(const l of[...this.a]){if(b)break;const p=this.d.getDocument(C),o=await this.h(l,{document:p,reason:L.TextDocumentSaveReason.to(M)});k.push(o)}}finally{clearTimeout(E)}return k}h([S,M,C],b){const E=this.b.get(S);return typeof E=="number"&&E>this.g.errors?Promise.resolve(!1):this.i(C,S,M,b).then(()=>!0,k=>{if(this.c.error(`onWillSaveTextDocument-listener from extension '${C.identifier.value}' threw ERROR`),this.c.error(k),!(k instanceof Error)||k.message!=="concurrent_edits"){const l=this.b.get(S);this.b.set(S,l?l+1:1),typeof l=="number"&&l>this.g.errors&&this.c.info(`onWillSaveTextDocument-listener from extension '${C.identifier.value}' will now be IGNORED because of timeouts and/or errors`)}return!1})}i(S,M,C,b){const E=[],k=Date.now(),{document:l,reason:p}=b,{version:o}=l,i=Object.freeze({document:l,reason:p,waitUntil(n){if(Object.isFrozen(E))throw(0,F.$8)("waitUntil can not be called async");E.push(Promise.resolve(n))}});try{M.apply(C,[i])}catch(n){return Promise.reject(n)}return Object.freeze(E),new Promise((n,r)=>{const a=setTimeout(()=>r(new Error("timeout")),this.g.timeout);return Promise.all(E).then(t=>{this.c.debug(`onWillSaveTextDocument-listener from extension '${S.identifier.value}' finished after ${Date.now()-k}ms`),clearTimeout(a),n(t)}).catch(t=>{clearTimeout(a),r(t)})}).then(n=>{const r={edits:[]};for(const a of n)if(Array.isArray(a)&&a.every(t=>t instanceof $.$9L))for(const{newText:t,newEol:d,range:u}of a)r.edits.push({resource:l.uri,versionId:void 0,textEdit:{range:u&&L.Range.from(u),text:t,eol:d&&L.EndOfLine.from(d)}});if(r.edits.length!==0)return o===l.version?this.f.$tryApplyWorkspaceEdit(r):Promise.reject(new Error("concurrent_edits"))})}}e.$Sic=w}),define(Se[328],De([1,0,4,3,2,6,149,15,18,24,7]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Mhc=void 0;class C{constructor(E,k){this.a=new I.$5d,this.b=new I.$5d,this.c=new I.$5d,this.d=new I.$5d,this.onDidAddDocument=this.a.event,this.onDidRemoveDocument=this.b.event,this.onDidChangeDocument=this.c.event,this.onDidSaveDocument=this.d.event,this.e=new F.$Sc,this.h=new Map,this.f=E.getProxy(L.$ZL.MainThreadDocuments),this.g=k,this.g.onDidRemoveDocuments(l=>{for(const p of l)this.b.fire(p.document)},void 0,this.e),this.g.onDidAddDocuments(l=>{for(const p of l)this.a.fire(p.document)},void 0,this.e)}dispose(){this.e.dispose()}getAllDocumentData(){return[...this.g.allDocuments()]}getDocumentData(E){if(!E)return;const k=this.g.getDocument(E);if(k)return k}getDocument(E){const k=this.getDocumentData(E);if(!k?.document)throw new Error(`Unable to retrieve document from URI '${E}'`);return k.document}ensureDocumentData(E){const k=this.g.getDocument(E);if(k)return Promise.resolve(k);let l=this.h.get(E.toString());return l||(l=this.f.$tryOpenDocument(E).then(p=>{this.h.delete(E.toString());const o=$.URI.revive(p);return(0,v.$4f)(this.g.getDocument(o))},p=>(this.h.delete(E.toString()),Promise.reject(p))),this.h.set(E.toString(),l)),l}createDocumentData(E){return this.f.$tryCreateDocument(E).then(k=>$.URI.revive(k))}$acceptModelLanguageChanged(E,k){const l=$.URI.revive(E),p=this.g.getDocument(l);if(!p)throw new Error("unknown document");this.b.fire(p.document),p._acceptLanguageId(k),this.a.fire(p.document)}$acceptModelSaved(E){const k=$.URI.revive(E),l=this.g.getDocument(k);if(!l)throw new Error("unknown document");this.$acceptDirtyStateChanged(E,!1),this.d.fire(l.document)}$acceptDirtyStateChanged(E,k){const l=$.URI.revive(E),p=this.g.getDocument(l);if(!p)throw new Error("unknown document");p._acceptIsDirty(k),this.c.fire({document:p.document,contentChanges:[],reason:void 0})}$acceptModelChanged(E,k,l){const p=$.URI.revive(E),o=this.g.getDocument(p);if(!o)throw new Error("unknown document");o._acceptIsDirty(l),o.onEvents(k);let i;k.isUndoing?i=M.TextDocumentChangeReason.Undo:k.isRedoing&&(i=M.TextDocumentChangeReason.Redo),this.c.fire((0,S.$In)({document:o.document,contentChanges:k.changes.map(n=>({range:w.Range.to(n.range),rangeOffset:n.rangeOffset,rangeLength:n.rangeLength,text:n.text})),reason:i}))}setWordDefinitionFor(E,k){(0,R.$gO)(E,k)}}e.$Mhc=C}),define(Se[71],De([1,0,73,4,18,2,5,6,20,15,7]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gic=e.$fic=void 0,e.$fic=(0,R.$ei)("IExtHostEditorTabs");class C{constructor(p,o,i){this.e=i,this.d=o,this.acceptDtoUpdate(p)}get apiObject(){if(!this.a){const p=this,o={get isActive(){return p.b.id===p.e()},get label(){return p.b.label},get input(){return p.c},get isDirty(){return p.b.isDirty},get isPinned(){return p.b.isPinned},get isPreview(){return p.b.isPreview},get group(){return p.d.apiObject}};this.a=Object.freeze(o)}return this.a}get tabId(){return this.b.id}acceptDtoUpdate(p){this.b=p,this.c=this.f()}f(){switch(this.b.input.kind){case 1:return new M.$JN(L.URI.revive(this.b.input.uri));case 2:return new M.$KN(L.URI.revive(this.b.input.original),L.URI.revive(this.b.input.modified));case 3:return new M.$LN(L.URI.revive(this.b.input.base),L.URI.revive(this.b.input.input1),L.URI.revive(this.b.input.input2),L.URI.revive(this.b.input.result));case 6:return new M.$MN(L.URI.revive(this.b.input.uri),this.b.input.viewType);case 7:return new M.$NN(this.b.input.viewType);case 4:return new M.$ON(L.URI.revive(this.b.input.uri),this.b.input.notebookType);case 5:return new M.$PN(L.URI.revive(this.b.input.original),L.URI.revive(this.b.input.modified),this.b.input.notebookType);case 8:return new M.$QN;case 9:return new M.$RN(L.URI.revive(this.b.input.uri),L.URI.revive(this.b.input.inputBoxUri));case 10:return new M.$SN(this.b.input.providerId);default:return}}}class b{constructor(p,o){this.c=[],this.d="",this.b=p,this.e=o;for(const i of p.tabs)i.isActive&&(this.d=i.id),this.c.push(new C(i,this,()=>this.activeTabId()))}get apiObject(){if(!this.a){const p=this,o={get isActive(){return p.b.groupId===p.e()},get viewColumn(){return S.ViewColumn.to(p.b.viewColumn)},get activeTab(){return p.c.find(i=>i.tabId===p.d)?.apiObject},get tabs(){return Object.freeze(p.c.map(i=>i.apiObject))}};this.a=Object.freeze(o)}return this.a}get groupId(){return this.b.groupId}get tabs(){return this.c}acceptGroupDtoUpdate(p){this.b=p}acceptTabOperation(p){if(p.kind===0){const i=new C(p.tabDto,this,()=>this.activeTabId());return this.c.splice(p.index,0,i),p.tabDto.isActive&&(this.d=i.tabId),i}else if(p.kind===1){const i=this.c.splice(p.index,1)[0];if(!i)throw new Error(`Tab close updated received for index ${p.index} which does not exist`);return i.tabId===this.d&&(this.d=""),i}else if(p.kind===3){if(p.oldIndex===void 0)throw new Error("Invalid old index on move IPC");const i=this.c.splice(p.oldIndex,1)[0];if(!i)throw new Error(`Tab move updated received for index ${p.oldIndex} which does not exist`);return this.c.splice(p.index,0,i),i}const o=this.c.find(i=>i.tabId===p.tabDto.id);if(!o)throw new Error("INVALID tab");return p.tabDto.isActive?this.d=p.tabDto.id:this.d===p.tabDto.id&&!p.tabDto.isActive&&(this.d=""),o.acceptDtoUpdate(p.tabDto),o}activeTabId(){return this.d}}let E=class{constructor(p){this.b=new F.$5d,this.c=new F.$5d,this.e=[],this.a=p.getProxy(w.$ZL.MainThreadEditorTabs)}get tabGroups(){if(!this.f){const p=this,o={onDidChangeTabGroups:p.c.event,onDidChangeTabs:p.b.event,get all(){return Object.freeze(p.e.map(i=>i.apiObject))},get activeTabGroup(){const i=p.d;return(0,$.$4f)(p.e.find(r=>r.groupId===i)?.apiObject)},close:async(i,n)=>{const r=Array.isArray(i)?i:[i];return r.length?k(r[0])?this.j(r,n):this.i(r,n):!0}};this.f=Object.freeze(o)}return this.f}$acceptEditorTabModel(p){const o=new Set(this.e.map(u=>u.groupId)),i=new Set(p.map(u=>u.groupId)),n=(0,I.$L)(o,i),r=this.e.filter(u=>n.removed.includes(u.groupId)).map(u=>u.apiObject),a=[],t=[];this.e=p.map(u=>{const s=new b(u,()=>this.d);return n.added.includes(s.groupId)?a.push(s.apiObject):t.push(s.apiObject),s});const d=(0,$.$4f)(p.find(u=>u.isActive===!0)?.groupId);d!==void 0&&this.d!==d&&(this.d=d),this.c.fire(Object.freeze({opened:a,closed:r,changed:t}))}$acceptTabGroupUpdate(p){const o=this.e.find(i=>i.groupId===p.groupId);if(!o)throw new Error("Update Group IPC call received before group creation.");o.acceptGroupDtoUpdate(p),p.isActive&&(this.d=p.groupId),this.c.fire(Object.freeze({changed:[o.apiObject],opened:[],closed:[]}))}$acceptTabOperation(p){const o=this.e.find(n=>n.groupId===p.groupId);if(!o)throw new Error("Update Tabs IPC call received before group creation.");const i=o.acceptTabOperation(p);switch(p.kind){case 0:this.b.fire(Object.freeze({opened:[i.apiObject],closed:[],changed:[]}));return;case 1:this.b.fire(Object.freeze({opened:[],closed:[i.apiObject],changed:[]}));return;case 3:case 2:this.b.fire(Object.freeze({opened:[],closed:[],changed:[i.apiObject]}));return}}g(p){for(const o of this.e)for(const i of o.tabs)if(i.apiObject===p)return i}h(p){return this.e.find(o=>o.apiObject===p)}async i(p,o){const i=[];for(const n of p){const r=this.g(n);if(!r)throw new Error("Tab close: Invalid tab not found!");i.push(r.tabId)}return this.a.$closeTab(i,o)}async j(p,o){const i=[];for(const n of p){const r=this.h(n);if(!r)throw new Error("Group close: Invalid group not found!");i.push(r.groupId)}return this.a.$closeGroup(i,o)}};e.$gic=E,e.$gic=E=Je([Ve(0,v.$eO)],E);function k(l){return l.tabs!==void 0}}),define(Se[329],De([1,0,2,6,3,7,15,174,12,21,26,80]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Uic=void 0;class b{constructor(){this.a=[]}add(l){this.b=void 0,this.a.push(l)}delete(l){const p=this.a.indexOf(l);p>=0&&(this.a.splice(p,1),this.b=void 0)}c(){if(!this.b){const l=this.a.sort(),p=[];let o,i,n=14,r=14;for(const a of l){let t=o?(0,v.$lf)(o,a):0;for(t===0?i=1:i=r;t<a.length;t++)t+1===a.length?(n=r,r=9):r+=1,p.push([i,a.toUpperCase().charCodeAt(t),r]),p.push([i,a.toLowerCase().charCodeAt(t),r]),i=r;o=a,r=n}p.push([9,58,10]),p.push([10,47,12]),this.b=new w.$41(p)}}provideDocumentLinks(l){this.c();const p=[],o=w.$51.computeLinks({getLineContent(i){return l.lineAt(i-1).text},getLineCount(){return l.lineCount}},this.b);for(const i of o){const n=R.DocumentLink.to(i);n.target&&p.push(n)}return p}}class E{constructor(l,p){this.i=p,this.b=new b,this.c=new Map,this.d=new Set,this.f=new Map,this.h=0,this.a=l.getProxy(F.$ZL.MainThreadFileSystem)}dispose(){this.g?.dispose()}registerFileSystemProvider(l,p,o,i={}){if(E.j(o),this.d.has(p))throw new Error(`a provider for the scheme '${p}' is already registered`);this.g||(this.g=this.i.registerDocumentLinkProvider(l,"*",this.b));const n=this.h++;this.b.add(p),this.d.add(p),this.c.set(n,o);let r=2;i.isCaseSensitive&&(r+=1024),i.isReadonly&&(r+=2048),typeof o.copy=="function"&&(r+=8),typeof o.open=="function"&&typeof o.close=="function"&&typeof o.read=="function"&&typeof o.write=="function"&&((0,M.$VF)(l,"fsChunks"),r+=4);let a;i.isReadonly&&(0,C.$uk)(i.isReadonly)&&i.isReadonly.value!==""&&(a={value:i.isReadonly.value,isTrusted:i.isReadonly.isTrusted,supportThemeIcons:i.isReadonly.supportThemeIcons,supportHtml:i.isReadonly.supportHtml,baseUri:i.isReadonly.baseUri,uris:i.isReadonly.uris}),this.a.$registerFileSystemProvider(n,p,r,a).catch(d=>{console.error(`FAILED to register filesystem provider of ${l.identifier.value}-extension for the scheme ${p}`),console.error(d)});const t=o.onDidChangeFile(d=>{const u=[];for(const s of d){const{uri:c,type:h}=s;if(c.scheme!==p)continue;let m;switch(h){case L.FileChangeType.Changed:m=0;break;case L.FileChangeType.Created:m=1;break;case L.FileChangeType.Deleted:m=2;break;default:throw new Error("Unknown FileChangeType")}u.push({resource:c,type:m})}this.a.$onFileSystemChange(n,u)});return(0,$.$Rc)(()=>{t.dispose(),this.b.delete(p),this.d.delete(p),this.c.delete(n),this.a.$unregisterProvider(n)})}static j(l){if(!l)throw new Error("MISSING provider");if(typeof l.watch!="function")throw new Error("Provider does NOT implement watch");if(typeof l.stat!="function")throw new Error("Provider does NOT implement stat");if(typeof l.readDirectory!="function")throw new Error("Provider does NOT implement readDirectory");if(typeof l.createDirectory!="function")throw new Error("Provider does NOT implement createDirectory");if(typeof l.readFile!="function")throw new Error("Provider does NOT implement readFile");if(typeof l.writeFile!="function")throw new Error("Provider does NOT implement writeFile");if(typeof l.delete!="function")throw new Error("Provider does NOT implement delete");if(typeof l.rename!="function")throw new Error("Provider does NOT implement rename")}static k(l){const{type:p,ctime:o,mtime:i,size:n,permissions:r}=l;return{type:p,ctime:o,mtime:i,size:n,permissions:r}}$stat(l,p){return Promise.resolve(this.l(l).stat(I.URI.revive(p))).then(o=>E.k(o))}$readdir(l,p){return Promise.resolve(this.l(l).readDirectory(I.URI.revive(p)))}$readFile(l,p){return Promise.resolve(this.l(l).readFile(I.URI.revive(p))).then(o=>S.$se.wrap(o))}$writeFile(l,p,o,i){return Promise.resolve(this.l(l).writeFile(I.URI.revive(p),o.buffer,i))}$delete(l,p,o){return Promise.resolve(this.l(l).delete(I.URI.revive(p),o))}$rename(l,p,o,i){return Promise.resolve(this.l(l).rename(I.URI.revive(p),I.URI.revive(o),i))}$copy(l,p,o,i){const n=this.l(l);if(!n.copy)throw new Error('FileSystemProvider does not implement "copy"');return Promise.resolve(n.copy(I.URI.revive(p),I.URI.revive(o),i))}$mkdir(l,p){return Promise.resolve(this.l(l).createDirectory(I.URI.revive(p)))}$watch(l,p,o,i){const n=this.l(l).watch(I.URI.revive(o),i);this.f.set(p,n)}$unwatch(l,p){const o=this.f.get(p);o&&(o.dispose(),this.f.delete(p))}$open(l,p,o){const i=this.l(l);if(!i.open)throw new Error('FileSystemProvider does not implement "open"');return Promise.resolve(i.open(I.URI.revive(p),o))}$close(l,p){const o=this.l(l);if(!o.close)throw new Error('FileSystemProvider does not implement "close"');return Promise.resolve(o.close(p))}$read(l,p,o,i){const n=this.l(l);if(!n.read)throw new Error('FileSystemProvider does not implement "read"');const r=S.$se.alloc(i);return Promise.resolve(n.read(p,o,r.buffer,0,i)).then(a=>r.slice(0,a))}$write(l,p,o,i){const n=this.l(l);if(!n.write)throw new Error('FileSystemProvider does not implement "write"');return Promise.resolve(n.write(p,o,i.buffer,0,i.byteLength))}l(l){const p=this.c.get(l);if(!p){const o=new Error;throw o.name="ENOPRO",o.message="no provider",o}return p}}e.$Uic=E}),define(Se[330],De([1,0,4,35,2,6,15,7,44]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Vic=void 0;class S{get ignoreCreateEvents(){return!!(this.h&1)}get ignoreChangeEvents(){return!!(this.h&2)}get ignoreDeleteEvents(){return!!(this.h&4)}constructor(E,k,l,p,o,i){this.a=Math.random(),this.b=new I.$5d,this.c=new I.$5d,this.d=new I.$5d,this.h=0,i?.ignoreCreateEvents&&(this.h+=1),i?.ignoreChangeEvents&&(this.h+=2),i?.ignoreDeleteEvents&&(this.h+=4);const n=(0,F.$Xj)(o),r=typeof o=="string",a=i?.correlate,t=p(d=>{if(!(typeof d.session=="number"&&d.session!==this.a)&&!(a&&typeof d.session>"u")){if(!i?.ignoreCreateEvents)for(const u of d.created){const s=$.URI.revive(u);n(s.fsPath)&&(!r||k.getWorkspaceFolder(s))&&this.b.fire(s)}if(!i?.ignoreChangeEvents)for(const u of d.changed){const s=$.URI.revive(u);n(s.fsPath)&&(!r||k.getWorkspaceFolder(s))&&this.c.fire(s)}if(!i?.ignoreDeleteEvents)for(const u of d.deleted){const s=$.URI.revive(u);n(s.fsPath)&&(!r||k.getWorkspaceFolder(s))&&this.d.fire(s)}}});this.g=w.$2L.from(this.i(E,l,o,i,i?.correlate),this.b,this.c,this.d,t)}i(E,k,l,p,o){const i=w.$2L.from();if(typeof l=="string")return i;const n=E.getProxy(L.$ZL.MainThreadFileSystemEventService);let r=!1;return(l.pattern.includes(F.$Tj)||l.pattern.includes(F.$Uj))&&(r=!0),n.$watch(k.identifier.value,this.a,l.baseUri,{recursive:r,excludes:p?.excludes??[]},!!o),w.$2L.from({dispose:()=>n.$unwatch(this.a)})}dispose(){this.g.dispose()}get onDidCreate(){return this.b.event}get onDidChange(){return this.c.event}get onDidDelete(){return this.d.event}}class M{constructor(E){this.a=E,this.session=this.a.session,this.b=new v.$V(()=>this.a.created.map($.URI.revive)),this.c=new v.$V(()=>this.a.changed.map($.URI.revive)),this.d=new v.$V(()=>this.a.deleted.map($.URI.revive))}get created(){return this.b.value}get changed(){return this.c.value}get deleted(){return this.d.value}}class C{constructor(E,k,l){this.j=E,this.k=k,this.l=l,this.a=new I.$5d,this.b=new I.$5d,this.c=new I.$5d,this.d=new I.$5d,this.g=new I.$7d,this.h=new I.$7d,this.i=new I.$7d,this.onDidRenameFile=this.b.event,this.onDidCreateFile=this.c.event,this.onDidDeleteFile=this.d.event}createFileSystemWatcher(E,k,l,p){return new S(this.j,E,k,this.a.event,R.GlobPattern.from(l),p)}$onFileEvent(E){this.a.fire(new M(E))}$onDidRunFileOperation(E,k){switch(E){case 2:this.b.fire(Object.freeze({files:k.map(l=>({oldUri:$.URI.revive(l.source),newUri:$.URI.revive(l.target)}))}));break;case 1:this.d.fire(Object.freeze({files:k.map(l=>$.URI.revive(l.target))}));break;case 0:case 3:this.c.fire(Object.freeze({files:k.map(l=>$.URI.revive(l.target))}));break;default:}}getOnWillRenameFileEvent(E){return this.m(E,this.g)}getOnWillCreateFileEvent(E){return this.m(E,this.h)}getOnWillDeleteFileEvent(E){return this.m(E,this.i)}m(E,k){return(l,p,o)=>{const i=function(r){l.call(p,r)};return i.extension=E,k.event(i,void 0,o)}}async $onWillRunFileOperation(E,k,l,p){switch(E){case 2:return await this.n(this.g,{files:k.map(o=>({oldUri:$.URI.revive(o.source),newUri:$.URI.revive(o.target)}))},l,p);case 1:return await this.n(this.i,{files:k.map(o=>$.URI.revive(o.target))},l,p);case 0:case 3:return await this.n(this.h,{files:k.map(o=>$.URI.revive(o.target))},l,p)}}async n(E,k,l,p){const o=new Set,i=[];if(await E.fireAsync(k,p,async(r,a)=>{const t=Date.now(),d=await Promise.resolve(r);d instanceof w.$_L&&(i.push([a.extension,d]),o.add(a.extension.displayName??a.extension.identifier.value)),Date.now()-t>l&&this.k.warn("SLOW file-participant",a.extension.identifier)}),p.isCancellationRequested||i.length===0)return;const n={edits:[]};for(const[,r]of i){const{edits:a}=R.WorkspaceEdit.from(r,{getTextDocumentVersion:t=>this.l.getDocument(t)?.version,getNotebookDocumentVersion:()=>{}});n.edits=n.edits.concat(a)}return{edit:n,extensionNames:Array.from(o)}}}e.$Vic=C}),define(Se[331],De([1,0,19,8,22,14,121,3,24,38,12,18,2,29,170,83,131,215,25,15,7,26,110,6]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nhc=void 0;class u{constructor(W,V){this.d=W,this.e=V}async provideDocumentSymbols(W,V){const Z=this.d.getDocument(W),Q=await this.e.provideDocumentSymbols(Z,V);if(!(0,I.$Kb)(Q))return Q[0]instanceof r.$iM?Q.map(n.DocumentSymbol.from):u.f(Q)}static f(W){W=W.slice(0).sort((Q,$e)=>{let ve=Q.location.range.start.compareTo($e.location.range.start);return ve===0&&(ve=$e.location.range.end.compareTo(Q.location.range.end)),ve});const V=[],Z=[];for(const Q of W){const $e={name:Q.name||"!!MISSING: name!!",kind:n.SymbolKind.from(Q.kind),tags:Q.tags?.map(n.SymbolTag.from)||[],detail:"",containerName:Q.containerName,range:n.Range.from(Q.location.range),selectionRange:n.Range.from(Q.location.range),children:[]};for(;;){if(Z.length===0){Z.push($e),V.push($e);break}const ve=Z[Z.length-1];if(E.$6s.containsRange(ve.range,$e.range)&&!E.$6s.equalsRange(ve.range,$e.range)){ve.children?.push($e),Z.push($e);break}Z.pop()}}return V}}class s{constructor(W,V,Z,Q,$e,ve){this.f=W,this.g=V,this.h=Z,this.j=Q,this.k=$e,this.l=ve,this.d=new t.$Dhc("CodeLens"),this.e=new Map}async provideCodeLenses(W,V){const Z=this.f.getDocument(W),Q=await this.h.provideCodeLenses(Z,V);if(!Q||V.isCancellationRequested)return;const $e=this.d.add(Q),ve=new w.$Sc;this.e.set($e,ve);const Te={cacheId:$e,lenses:[]};for(let He=0;He<Q.length;He++)Te.lenses.push({cacheId:[$e,He],range:n.Range.from(Q[He].range),command:this.g.toInternal(Q[He].command,ve)});return Te}async resolveCodeLens(W,V){const Z=W.cacheId&&this.d.get(...W.cacheId);if(!Z)return;let Q;if(typeof this.h.resolveCodeLens!="function"||Z.isResolved?Q=Z:Q=await this.h.resolveCodeLens(Z,V),Q||(Q=Z),V.isCancellationRequested)return;const $e=W.cacheId&&this.e.get(W.cacheId[0]);if($e){if(!Q.command){const ve=new Error("INVALID code lens resolved, lacks command: "+this.j.identifier.value);this.k.onExtensionError(this.j.identifier,ve),this.l.error(ve);return}return W.command=this.g.toInternal(Q.command,$e),W}}releaseCodeLenses(W){this.e.get(W)?.dispose(),this.e.delete(W),this.d.delete(W)}}function c(ze){return Array.isArray(ze)?ze.map(n.DefinitionLink.from):ze?[n.DefinitionLink.from(ze)]:[]}class h{constructor(W,V){this.d=W,this.e=V}async provideDefinition(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideDefinition(Q,$e,Z);return c(ve)}}class m{constructor(W,V){this.d=W,this.e=V}async provideDeclaration(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideDeclaration(Q,$e,Z);return c(ve)}}class D{constructor(W,V){this.d=W,this.e=V}async provideImplementation(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideImplementation(Q,$e,Z);return c(ve)}}class g{constructor(W,V){this.d=W,this.e=V}async provideTypeDefinition(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideTypeDefinition(Q,$e,Z);return c(ve)}}class f{constructor(W,V){this.d=W,this.e=V}async provideHover(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideHover(Q,$e,Z);if(!(!ve||(0,I.$Kb)(ve.contents)))return ve.range||(ve.range=Q.getWordRangeAtPosition($e)),ve.range||(ve.range=new r.$4L($e,$e)),n.Hover.from(ve)}}class y{constructor(W,V){this.d=W,this.e=V}async provideEvaluatableExpression(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideEvaluatableExpression(Q,$e,Z);if(ve)return n.EvaluatableExpression.from(ve)}}class A{constructor(W,V){this.d=W,this.e=V}async provideInlineValues(W,V,Z,Q){const $e=this.d.getDocument(W),ve=await this.e.provideInlineValues($e,n.Range.to(V),n.InlineValueContext.to(Z),Q);if(Array.isArray(ve))return ve.map(Te=>n.InlineValue.from(Te))}}class N{constructor(W,V){this.d=W,this.e=V}async provideDocumentHighlights(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideDocumentHighlights(Q,$e,Z);if(Array.isArray(ve))return ve.map(n.DocumentHighlight.from)}}class U{constructor(W,V){this.d=W,this.e=V}async provideMultiDocumentHighlights(W,V,Z,Q){const $e=this.d.getDocument(W),ve=Z.map(Qe=>this.d.getDocument(Qe)),Te=n.Position.to(V),He=await this.e.provideMultiDocumentHighlights($e,Te,ve,Q);if(Array.isArray(He))return He.map(n.MultiDocumentHighlight.from)}}class z{constructor(W,V){this.d=W,this.e=V}async provideLinkedEditingRanges(W,V,Z){const Q=this.d.getDocument(W),$e=n.Position.to(V),ve=await this.e.provideLinkedEditingRanges(Q,$e,Z);if(ve&&Array.isArray(ve.ranges))return{ranges:(0,I.$Hb)(ve.ranges.map(n.Range.from)),wordPattern:ve.wordPattern}}}class T{constructor(W,V){this.d=W,this.e=V}async provideReferences(W,V,Z,Q){const $e=this.d.getDocument(W),ve=n.Position.to(V),Te=await this.e.provideReferences($e,ve,Z,Q);if(Array.isArray(Te))return Te.map(n.location.from)}}class P{static{this.d=1e3}constructor(W,V,Z,Q,$e,ve,Te){this.g=W,this.h=V,this.j=Z,this.k=Q,this.l=$e,this.m=ve,this.n=Te,this.e=new t.$Dhc("CodeAction"),this.f=new Map}async provideCodeActions(W,V,Z,Q){const $e=this.g.getDocument(W),ve=k.$8s.isISelection(V)?n.Selection.to(V):n.Range.to(V),Te=[];for(const rt of this.j.getDiagnostics(W))if(ve.intersection(rt.range)&&Te.push(rt)>P.d)break;const He={diagnostics:Te,only:Z.only?new r.$kM(Z.only):void 0,triggerKind:n.CodeActionTriggerKind.to(Z.trigger)},Qe=await this.k.provideCodeActions($e,ve,He,Q);if(!(0,I.$Lb)(Qe)||Q.isCancellationRequested)return;const tt=this.e.add(Qe),st=new w.$Sc;this.f.set(tt,st);const lt=[];for(let rt=0;rt<Qe.length;rt++){const Ie=Qe[rt];if(Ie)if(P.o(Ie))this.n.report("CodeActionProvider.provideCodeActions - return commands",this.m,"Return 'CodeAction' instances instead."),lt.push({_isSynthetic:!0,title:Ie.title,command:this.h.toInternal(Ie,st)});else{He.only&&(Ie.kind?He.only.contains(Ie.kind)||this.l.warn(`${this.m.identifier.value} - Code actions of kind '${He.only.value} 'requested but returned code action is of kind '${Ie.kind.value}'. Code action will be dropped. Please check 'CodeActionContext.only' to only return requested code actions.`):this.l.warn(`${this.m.identifier.value} - Code actions of kind '${He.only.value} 'requested but returned code action does not have a 'kind'. Code action will be dropped. Please set 'CodeAction.kind'.`));const Ue=Ie.ranges??[];lt.push({cacheId:[tt,rt],title:Ie.title,command:Ie.command&&this.h.toInternal(Ie.command,st),diagnostics:Ie.diagnostics&&Ie.diagnostics.map(n.Diagnostic.from),edit:Ie.edit&&n.WorkspaceEdit.from(Ie.edit,void 0),kind:Ie.kind&&Ie.kind.value,isPreferred:Ie.isPreferred,isAI:(0,a.$UF)(this.m,"codeActionAI")?Ie.isAI:!1,ranges:(0,a.$UF)(this.m,"codeActionRanges")?(0,I.$Hb)(Ue.map(n.Range.from)):void 0,disabled:Ie.disabled?.reason})}}return{cacheId:tt,actions:lt}}async resolveCodeAction(W,V){const[Z,Q]=W,$e=this.e.get(Z,Q);if(!$e||P.o($e))return{};if(!this.k.resolveCodeAction)return{};const ve=await this.k.resolveCodeAction($e,V)??$e;let Te;ve.edit&&(Te=n.WorkspaceEdit.from(ve.edit,void 0));let He;if(ve.command){const Qe=this.f.get(Z);Qe&&(He=this.h.toInternal(ve.command,Qe))}return{edit:Te,command:He}}releaseCodeActions(W){this.f.get(W)?.dispose(),this.f.delete(W),this.e.delete(W)}static o(W){return typeof W.command=="string"&&typeof W.title=="string"}}class O{static toInternalProviderId(W,V){return W+"."+V}constructor(W,V,Z,Q,$e){this.d=W,this.e=V,this.f=Z,this.g=Q,this.h=$e}async prepareDocumentPaste(W,V,Z,Q){if(!this.f.prepareDocumentPaste)return;const $e=this.e.getDocument(W),ve=V.map(Qe=>n.Range.to(Qe)),Te=n.DataTransfer.toDataTransfer(Z,()=>{throw new L.$$});if(await this.f.prepareDocumentPaste($e,ve,Te,Q),Q.isCancellationRequested)return;const He=Array.from(Te).filter(([,Qe])=>!(Qe instanceof r.$QM));return n.DataTransfer.from(He)}async providePasteEdits(W,V,Z,Q,$e){if(!this.f.provideDocumentPasteEdits)return;const ve=this.e.getDocument(V),Te=Z.map(tt=>n.Range.to(tt)),He=n.DataTransfer.toDataTransfer(Q,async tt=>(await this.d.$resolvePasteFileData(this.g,W,tt)).buffer),Qe=await this.f.provideDocumentPasteEdits(ve,Te,He,$e);if(Qe)return{label:Qe.label??(0,o.localize)(0,null,this.h.displayName||this.h.name),detail:this.h.displayName||this.h.name,yieldTo:Qe.yieldTo?.map(tt=>"mimeType"in tt?tt:{providerId:O.toInternalProviderId(tt.extensionId,tt.providerId)}),insertText:typeof Qe.insertText=="string"?Qe.insertText:{snippet:Qe.insertText.value},additionalEdit:Qe.additionalEdit?n.WorkspaceEdit.from(Qe.additionalEdit,void 0):void 0}}}class j{constructor(W,V){this.d=W,this.e=V}async provideDocumentFormattingEdits(W,V,Z){const Q=this.d.getDocument(W),$e=await this.e.provideDocumentFormattingEdits(Q,V,Z);if(Array.isArray($e))return $e.map(n.TextEdit.from)}}class K{constructor(W,V){this.d=W,this.e=V}async provideDocumentRangeFormattingEdits(W,V,Z,Q){const $e=this.d.getDocument(W),ve=n.Range.to(V),Te=await this.e.provideDocumentRangeFormattingEdits($e,ve,Z,Q);if(Array.isArray(Te))return Te.map(n.TextEdit.from)}async provideDocumentRangesFormattingEdits(W,V,Z,Q){(0,C.$3f)(typeof this.e.provideDocumentRangesFormattingEdits=="function","INVALID invocation of `provideDocumentRangesFormattingEdits`");const $e=this.d.getDocument(W),ve=V.map(n.Range.to),Te=await this.e.provideDocumentRangesFormattingEdits($e,ve,Z,Q);if(Array.isArray(Te))return Te.map(n.TextEdit.from)}}class ie{constructor(W,V){this.d=W,this.e=V,this.autoFormatTriggerCharacters=[]}async provideOnTypeFormattingEdits(W,V,Z,Q,$e){const ve=this.d.getDocument(W),Te=n.Position.to(V),He=await this.e.provideOnTypeFormattingEdits(ve,Te,Z,Q,$e);if(Array.isArray(He))return He.map(n.TextEdit.from)}}class _{constructor(W,V){this.e=W,this.f=V,this.d=new t.$Dhc("WorkspaceSymbols")}async provideWorkspaceSymbols(W,V){const Z=await this.e.provideWorkspaceSymbols(W,V);if(!(0,I.$Lb)(Z))return{symbols:[]};const Q=this.d.add(Z),$e={cacheId:Q,symbols:[]};for(let ve=0;ve<Z.length;ve++){const Te=Z[ve];if(!Te||!Te.name){this.f.warn("INVALID SymbolInformation",Te);continue}$e.symbols.push({...n.WorkspaceSymbol.from(Te),cacheId:[Q,ve]})}return $e}async resolveWorkspaceSymbol(W,V){if(typeof this.e.resolveWorkspaceSymbol!="function"||!W.cacheId)return W;const Z=this.d.get(...W.cacheId);if(Z){const Q=await this.e.resolveWorkspaceSymbol(Z,V);return Q&&(0,v.$Kn)(W,n.WorkspaceSymbol.from(Q),!0)}}releaseWorkspaceSymbols(W){this.d.delete(W)}}class X{static supportsResolving(W){return typeof W.prepareRename=="function"}constructor(W,V,Z){this.d=W,this.e=V,this.f=Z}async provideRenameEdits(W,V,Z,Q){const $e=this.d.getDocument(W),ve=n.Position.to(V);try{const Te=await this.e.provideRenameEdits($e,ve,Z,Q);return Te?n.WorkspaceEdit.from(Te):void 0}catch(Te){const He=X.g(Te);return He?{rejectReason:He,edits:void 0}:Promise.reject(Te)}}async resolveRenameLocation(W,V,Z){if(typeof this.e.prepareRename!="function")return Promise.resolve(void 0);const Q=this.d.getDocument(W),$e=n.Position.to(V);try{const ve=await this.e.prepareRename(Q,$e,Z);let Te,He;if(r.$4L.isRange(ve)?(Te=ve,He=Q.getText(ve)):(0,C.$Uf)(ve)&&(Te=ve.range,He=ve.placeholder),!Te||!He)return;if(Te.start.line>$e.line||Te.end.line<$e.line){this.f.warn("INVALID rename location: position line must be within range start/end lines");return}return{range:n.Range.from(Te),text:He}}catch(ve){const Te=X.g(ve);return Te?{rejectReason:Te,range:void 0,text:void 0}:Promise.reject(ve)}}static g(W){return typeof W=="string"?W:W instanceof Error&&typeof W.message=="string"?W.message:void 0}}class Y{constructor(W,V,Z){this.d=W,this.e=V,this.f=Z}async provideNewSymbolNames(W,V,Z){const Q=this.d.getDocument(W),$e=n.Range.to(V);try{const ve=await this.e.provideNewSymbolNames(Q,$e,Z);return ve?ve.map(Te=>typeof Te=="string"?{newSymbolName:Te}:{newSymbolName:Te.newSymbolName,tags:Te.tags}):void 0}catch(ve){this.f.error(Y.g(ve)??JSON.stringify(ve,null,"	"));return}}static g(W){return typeof W=="string"?W:W instanceof Error&&typeof W.message=="string"?W.message:void 0}}class ae{constructor(W,V){this.resultId=W,this.tokens=V}}class ee{constructor(W,V){this.f=W,this.g=V,this.e=1,this.d=new Map}async provideDocumentSemanticTokens(W,V,Z){const Q=this.f.getDocument(W),$e=V!==0?this.d.get(V):null;let ve=typeof $e?.resultId=="string"&&typeof this.g.provideDocumentSemanticTokensEdits=="function"?await this.g.provideDocumentSemanticTokensEdits(Q,$e.resultId,Z):await this.g.provideDocumentSemanticTokens(Q,Z);return $e&&this.d.delete(V),ve?(ve=ee.h(ve),this.o(ee.n($e,ve),ve)):null}async releaseDocumentSemanticColoring(W){this.d.delete(W)}static h(W){return ee.j(W)?ee.k(W)?W:new r.$iN(new Uint32Array(W.data),W.resultId):ee.l(W)?ee.m(W)?W:new r.$kN(W.edits.map(V=>new r.$jN(V.start,V.deleteCount,V.data?new Uint32Array(V.data):V.data)),W.resultId):W}static j(W){return W&&!!W.data}static k(W){return W.data instanceof Uint32Array}static l(W){return W&&Array.isArray(W.edits)}static m(W){for(const V of W.edits)if(!(V.data instanceof Uint32Array))return!1;return!0}static n(W,V){if(!ee.j(V)||!W||!W.tokens)return V;const Z=W.tokens,Q=Z.length,$e=V.data,ve=$e.length;let Te=0;const He=Math.min(Q,ve);for(;Te<He&&Z[Te]===$e[Te];)Te++;if(Te===Q&&Te===ve)return new r.$kN([],V.resultId);let Qe=0;const tt=He-Te;for(;Qe<tt&&Z[Q-Qe-1]===$e[ve-Qe-1];)Qe++;return new r.$kN([{start:Te,deleteCount:Q-Te-Qe,data:$e.subarray(Te,ve-Qe)}],V.resultId)}o(W,V){if(ee.j(W)){const Z=this.e++;return this.d.set(Z,new ae(W.resultId,W.data)),(0,p.$8_)({id:Z,type:"full",data:W.data})}if(ee.l(W)){const Z=this.e++;return ee.j(V)?this.d.set(Z,new ae(V.resultId,V.data)):this.d.set(Z,new ae(W.resultId)),(0,p.$8_)({id:Z,type:"delta",deltas:(W.edits||[]).map(Q=>({start:Q.start,deleteCount:Q.deleteCount,data:Q.data}))})}return null}}class fe{constructor(W,V){this.d=W,this.e=V}async provideDocumentRangeSemanticTokens(W,V,Z){const Q=this.d.getDocument(W),$e=await this.e.provideDocumentRangeSemanticTokens(Q,n.Range.to(V),Z);return $e?this.f($e):null}f(W){return(0,p.$8_)({id:0,type:"full",data:W.data})}}class re{static supportsResolving(W){return typeof W.resolveCompletionItem=="function"}constructor(W,V,Z,Q,$e){this.f=W,this.g=V,this.h=Z,this.j=Q,this.k=$e,this.d=new t.$Dhc("CompletionItem"),this.e=new Map}async provideCompletionItems(W,V,Z,Q){const $e=this.f.getDocument(W),ve=n.Position.to(V),Te=$e.getWordRangeAtPosition(ve)||new r.$4L(ve,ve),He=Te.with({end:ve}),Qe=new S.$1d,tt=await this.h.provideCompletionItems($e,ve,Q,n.CompletionContext.to(Z));if(!tt||Q.isCancellationRequested)return;const st=Array.isArray(tt)?new r.$xM(tt):tt,lt=re.supportsResolving(this.h)?this.d.add(st.items):this.d.add([]),rt=new w.$Sc;this.e.set(lt,rt);const Ie=[],Ue={x:lt,b:Ie,a:{replace:n.Range.from(Te),insert:n.Range.from(He)},c:st.isIncomplete||void 0,d:Qe.elapsed()};for(let Le=0;Le<st.items.length;Le++){const Ge=st.items[Le],ne=this.l(Ge,[lt,Le],He,Te);Ie.push(ne)}return Ue}async resolveCompletionItem(W,V){if(typeof this.h.resolveCompletionItem!="function")return;const Z=this.d.get(...W);if(!Z)return;const Q=this.l(Z,W),$e=await this.h.resolveCompletionItem(Z,V);if(!$e)return;const ve=this.l($e,W);return(Q.h!==ve.h||Q.i!==ve.i)&&this.j.report("CompletionItem.insertText",this.k,"extension MAY NOT change 'insertText' of a CompletionItem during resolve"),(Q.n!==ve.n||Q.o!==ve.o||!(0,v.$Ln)(Q.p,ve.p))&&this.j.report("CompletionItem.command",this.k,"extension MAY NOT change 'command' of a CompletionItem during resolve"),{...Q,d:ve.d,c:ve.c,l:ve.l,h:ve.h,i:ve.i,n:ve.n,o:ve.o,p:ve.p}}releaseCompletionItems(W){this.e.get(W)?.dispose(),this.e.delete(W),this.d.delete(W)}l(W,V,Z,Q){const $e=this.e.get(V[0]);if(!$e)throw Error("DisposableStore is missing...");const ve=this.g.toInternal(W.command,$e),Te={x:V,a:W.label,b:W.kind!==void 0?n.CompletionItemKind.from(W.kind):void 0,m:W.tags&&W.tags.map(n.CompletionItemTag.from),c:W.detail,d:typeof W.documentation>"u"?void 0:n.MarkdownString.fromStrict(W.documentation),e:W.sortText!==W.label?W.sortText:void 0,f:W.filterText!==W.label?W.filterText:void 0,g:W.preselect||void 0,i:W.keepWhitespace?1:0,k:W.commitCharacters?.join(""),l:W.additionalTextEdits&&W.additionalTextEdits.map(n.TextEdit.from),n:ve?.$ident,o:ve?.id,p:ve?.$ident?void 0:ve?.arguments};W.textEdit?(this.j.report("CompletionItem.textEdit",this.k,"Use 'CompletionItem.insertText' and 'CompletionItem.range' instead."),Te.h=W.textEdit.newText):typeof W.insertText=="string"?Te.h=W.insertText:W.insertText instanceof r.$aM&&(Te.h=W.insertText.value,Te.i|=4);let He;return W.textEdit?He=W.textEdit.range:W.range&&(He=W.range),r.$4L.isRange(He)?Te.j=n.Range.from(He):He&&(!Z?.isEqual(He.inserting)||!Q?.isEqual(He.replacing))&&(Te.j={insert:n.Range.from(He.inserting),replace:n.Range.from(He.replacing)}),Te}}class J{async provideInlineCompletions(W,V,Z,Q){}disposeCompletions(W){}handleDidShowCompletionItem(W,V,Z){}handlePartialAccept(W,V,Z){}}class B extends J{constructor(W,V,Z,Q){super(),this.f=W,this.g=V,this.h=Z,this.j=Q,this.d=new Ee,this.e=(0,a.$UF)(this.f,"inlineCompletionsAdditions"),this.k={[l.InlineCompletionTriggerKind.Automatic]:r.InlineCompletionTriggerKind.Automatic,[l.InlineCompletionTriggerKind.Explicit]:r.InlineCompletionTriggerKind.Invoke}}get supportsHandleEvents(){return(0,a.$UF)(this.f,"inlineCompletionsAdditions")&&(typeof this.h.handleDidShowCompletionItem=="function"||typeof this.h.handleDidPartiallyAcceptCompletionItem=="function")}async provideInlineCompletions(W,V,Z,Q){const $e=this.g.getDocument(W),ve=n.Position.to(V),Te=await this.h.provideInlineCompletionItems($e,ve,{selectedCompletionInfo:Z.selectedSuggestionInfo?{range:n.Range.to(Z.selectedSuggestionInfo.range),text:Z.selectedSuggestionInfo.text}:void 0,triggerKind:this.k[Z.triggerKind]},Q);if(!Te||Q.isCancellationRequested)return;const He=Array.isArray(Te)?Te:Te.items,Qe=this.e?Array.isArray(Te)?[]:Te.commands||[]:[],tt=this.e&&!Array.isArray(Te)?Te.enableForwardStability:void 0;let st;return{pid:this.d.createReferenceId({dispose(){st?.dispose()},items:He}),items:He.map((rt,Ie)=>{let Ue;rt.command&&(st||(st=new w.$Sc),Ue=this.j.toInternal(rt.command,st));const Le=rt.insertText;return{insertText:typeof Le=="string"?Le:{snippet:Le.value},filterText:rt.filterText,range:rt.range?n.Range.from(rt.range):void 0,command:Ue,idx:Ie,completeBracketPairs:this.e?rt.completeBracketPairs:!1}}),commands:Qe.map(rt=>(st||(st=new w.$Sc),this.j.toInternal(rt,st))),suppressSuggestions:!1,enableForwardStability:tt}}disposeCompletions(W){this.d.disposeReferenceId(W)?.dispose()}handleDidShowCompletionItem(W,V,Z){const Q=this.d.get(W)?.items[V];Q&&this.h.handleDidShowCompletionItem&&this.e&&this.h.handleDidShowCompletionItem(Q,Z)}handlePartialAccept(W,V,Z){const Q=this.d.get(W)?.items[V];Q&&this.h.handleDidPartiallyAcceptCompletionItem&&this.e&&this.h.handleDidPartiallyAcceptCompletionItem(Q,Z)}}class se{async provideInlineEdits(W,V,Z){const Q=this.f.getDocument(W),$e=await this.g.provideInlineEdit(Q,{triggerKind:this.e[V.triggerKind]},Z);if(!$e||Z.isCancellationRequested)return;let ve;const Te=this.d.createReferenceId({dispose(){ve?.dispose()},item:$e});let He;$e.accepted&&(ve||(ve=new w.$Sc),He=this.h.toInternal($e.accepted,ve));let Qe;return $e.rejected&&(ve||(ve=new w.$Sc),Qe=this.h.toInternal($e.rejected,ve)),{pid:Te,text:$e.text,range:n.Range.from($e.range),accepted:He,rejected:Qe}}disposeEdit(W){this.d.disposeReferenceId(W)?.dispose()}constructor(W,V,Z,Q){this.f=V,this.g=Z,this.h=Q,this.d=new Ee,this.e={[l.InlineEditTriggerKind.Automatic]:r.InlineEditTriggerKind.Automatic,[l.InlineEditTriggerKind.Invoke]:r.InlineEditTriggerKind.Invoke}}}class Ee{constructor(){this.d=new Map,this.e=1}createReferenceId(W){const V=this.e++;return this.d.set(V,W),V}disposeReferenceId(W){const V=this.d.get(W);return this.d.delete(W),V}get(W){return this.d.get(W)}}class le{constructor(W,V){this.e=W,this.f=V,this.d=new t.$Dhc("SignatureHelp")}async provideSignatureHelp(W,V,Z,Q){const $e=this.e.getDocument(W),ve=n.Position.to(V),Te=this.g(Z),He=await this.f.provideSignatureHelp($e,ve,Q,Te);if(He){const Qe=this.d.add([He]);return{...n.SignatureHelp.from(He),id:Qe}}}g(W){let V;if(W.activeSignatureHelp){const Z=n.SignatureHelp.to(W.activeSignatureHelp),Q=this.d.get(W.activeSignatureHelp.id,0);Q?(V=Q,V.activeSignature=Z.activeSignature,V.activeParameter=Z.activeParameter):V=Z}return{...W,activeSignatureHelp:V}}releaseSignatureHelp(W){this.d.delete(W)}}class he{constructor(W,V,Z,Q,$e){this.f=W,this.g=V,this.h=Z,this.j=Q,this.k=$e,this.d=new t.$Dhc("InlayHints"),this.e=new Map}async provideInlayHints(W,V,Z){const Q=this.f.getDocument(W),$e=n.Range.to(V),ve=await this.h.provideInlayHints(Q,$e,Z);if(!Array.isArray(ve)||ve.length===0){this.j.trace(`[InlayHints] NO inlay hints from '${this.k.identifier.value}' for range ${JSON.stringify(V)}`);return}if(Z.isCancellationRequested)return;const Te=this.d.add(ve);this.e.set(Te,new w.$Sc);const He={hints:[],cacheId:Te};for(let Qe=0;Qe<ve.length;Qe++)this.l(ve[Qe],$e)&&He.hints.push(this.m(ve[Qe],[Te,Qe]));return this.j.trace(`[InlayHints] ${He.hints.length} inlay hints from '${this.k.identifier.value}' for range ${JSON.stringify(V)}`),He}async resolveInlayHint(W,V){if(typeof this.h.resolveInlayHint!="function")return;const Z=this.d.get(...W);if(!Z)return;const Q=await this.h.resolveInlayHint(Z,V);if(Q&&this.l(Q))return this.m(Q,W)}releaseHints(W){this.e.get(W)?.dispose(),this.e.delete(W),this.d.delete(W)}l(W,V){return W.label.length===0||Array.isArray(W.label)&&W.label.every(Z=>Z.value.length===0)?(console.log("INVALID inlay hint, empty label",W),!1):!(V&&!V.contains(W.position))}m(W,V){const Z=this.e.get(V[0]);if(!Z)throw Error("DisposableStore is missing...");const Q={label:"",cacheId:V,tooltip:n.MarkdownString.fromStrict(W.tooltip),position:n.Position.from(W.position),textEdits:W.textEdits&&W.textEdits.map(n.TextEdit.from),kind:W.kind&&n.InlayHintKind.from(W.kind),paddingLeft:W.paddingLeft,paddingRight:W.paddingRight};if(typeof W.label=="string")Q.label=W.label;else{const $e=[];Q.label=$e;for(const ve of W.label){if(!ve.value){console.warn("INVALID inlay hint, empty label part",this.k.identifier.value);continue}const Te={label:ve.value,tooltip:n.MarkdownString.fromStrict(ve.tooltip)};r.$bM.isLocation(ve.location)&&(Te.location=n.location.from(ve.location)),ve.command&&(Te.command=this.g.toInternal(ve.command,Z)),$e.push(Te)}}return Q}}class ce{constructor(W,V){this.e=W,this.f=V,this.d=new t.$Dhc("DocumentLink")}async provideLinks(W,V){const Z=this.e.getDocument(W),Q=await this.f.provideDocumentLinks(Z,V);if(!(!Array.isArray(Q)||Q.length===0)&&!V.isCancellationRequested){if(typeof this.f.resolveDocumentLink!="function")return{links:Q.filter(ce.g).map(n.DocumentLink.from)};{const $e=this.d.add(Q),ve={links:[],cacheId:$e};for(let Te=0;Te<Q.length;Te++){if(!ce.g(Q[Te]))continue;const He=n.DocumentLink.from(Q[Te]);He.cacheId=[$e,Te],ve.links.push(He)}return ve}}}static g(W){return W.target&&W.target.path.length>5e4?(console.warn("DROPPING link because it is too long"),!1):!0}async resolveLink(W,V){if(typeof this.f.resolveDocumentLink!="function")return;const Z=this.d.get(...W);if(!Z)return;const Q=await this.f.resolveDocumentLink(Z,V);if(!(!Q||!ce.g(Q)))return n.DocumentLink.from(Q)}releaseLinks(W){this.d.delete(W)}}class de{constructor(W,V){this.d=W,this.e=V}async provideColors(W,V){const Z=this.d.getDocument(W),Q=await this.e.provideDocumentColors(Z,V);return Array.isArray(Q)?Q.map(ve=>({color:n.Color.from(ve.color),range:n.Range.from(ve.range)})):[]}async provideColorPresentations(W,V,Z){const Q=this.d.getDocument(W),$e=n.Range.to(V.range),ve=n.Color.to(V.color),Te=await this.e.provideColorPresentations(ve,{document:Q,range:$e},Z);if(Array.isArray(Te))return Te.map(n.ColorPresentation.from)}}class H{constructor(W,V){this.d=W,this.e=V}async provideFoldingRanges(W,V,Z){const Q=this.d.getDocument(W),$e=await this.e.provideFoldingRanges(Q,V,Z);if(Array.isArray($e))return $e.map(n.FoldingRange.from)}}class x{constructor(W,V,Z){this.d=W,this.e=V,this.f=Z}async provideSelectionRanges(W,V,Z){const Q=this.d.getDocument(W),$e=V.map(n.Position.to),ve=await this.e.provideSelectionRanges(Q,$e,Z);if(!(0,I.$Lb)(ve))return[];if(ve.length!==$e.length)return this.f.warn("BAD selection ranges, provider must return ranges for each position"),[];const Te=[];for(let He=0;He<$e.length;He++){const Qe=[];Te.push(Qe);let tt=$e[He],st=ve[He];for(;;){if(!st.range.contains(tt))throw new Error("INVALID selection range, must contain the previous range");if(Qe.push(n.SelectionRange.from(st)),!st.parent)break;tt=st.range,st=st.parent}}return Te}}class ue{constructor(W,V){this.f=W,this.g=V,this.d=new R.$jO(""),this.e=new Map}async prepareSession(W,V,Z){const Q=this.f.getDocument(W),$e=n.Position.to(V),ve=await this.g.prepareCallHierarchy(Q,$e,Z);if(!ve)return;const Te=this.d.nextId();return this.e.set(Te,new Map),Array.isArray(ve)?ve.map(He=>this.h(Te,He)):[this.h(Te,ve)]}async provideCallsTo(W,V,Z){const Q=this.j(W,V);if(!Q)throw new Error("missing call hierarchy item");const $e=await this.g.provideCallHierarchyIncomingCalls(Q,Z);if($e)return $e.map(ve=>({from:this.h(W,ve.from),fromRanges:ve.fromRanges.map(Te=>n.Range.from(Te))}))}async provideCallsFrom(W,V,Z){const Q=this.j(W,V);if(!Q)throw new Error("missing call hierarchy item");const $e=await this.g.provideCallHierarchyOutgoingCalls(Q,Z);if($e)return $e.map(ve=>({to:this.h(W,ve.to),fromRanges:ve.fromRanges.map(Te=>n.Range.from(Te))}))}releaseSession(W){this.e.delete(W)}h(W,V){const Z=this.e.get(W),Q=n.CallHierarchyItem.from(V,W,Z.size.toString(36));return Z.set(Q._itemId,V),Q}j(W,V){return this.e.get(W)?.get(V)}}class be{constructor(W,V){this.f=W,this.g=V,this.d=new R.$jO(""),this.e=new Map}async prepareSession(W,V,Z){const Q=this.f.getDocument(W),$e=n.Position.to(V),ve=await this.g.prepareTypeHierarchy(Q,$e,Z);if(!ve)return;const Te=this.d.nextId();return this.e.set(Te,new Map),Array.isArray(ve)?ve.map(He=>this.h(Te,He)):[this.h(Te,ve)]}async provideSupertypes(W,V,Z){const Q=this.j(W,V);if(!Q)throw new Error("missing type hierarchy item");const $e=await this.g.provideTypeHierarchySupertypes(Q,Z);if($e)return $e.map(ve=>this.h(W,ve))}async provideSubtypes(W,V,Z){const Q=this.j(W,V);if(!Q)throw new Error("missing type hierarchy item");const $e=await this.g.provideTypeHierarchySubtypes(Q,Z);if($e)return $e.map(ve=>this.h(W,ve))}releaseSession(W){this.e.delete(W)}h(W,V){const Z=this.e.get(W),Q=n.TypeHierarchyItem.from(V,W,Z.size.toString(36));return Z.set(Q._itemId,V),Q}j(W,V){return this.e.get(W)?.get(V)}}class Pe{static toInternalProviderId(W,V){return W+"."+V}constructor(W,V,Z,Q,$e){this.d=W,this.e=V,this.f=Z,this.g=Q,this.h=$e}async provideDocumentOnDropEdits(W,V,Z,Q,$e){const ve=this.e.getDocument(V),Te=n.Position.to(Z),He=n.DataTransfer.toDataTransfer(Q,async tt=>(await this.d.$resolveDocumentOnDropFileData(this.g,W,tt)).buffer),Qe=await this.f.provideDocumentDropEdits(ve,Te,He,$e);if(Qe)return{label:Qe.label??(0,o.localize)(1,null,this.h.displayName||this.h.name),yieldTo:Qe.yieldTo?.map(tt=>"mimeType"in tt?tt:{providerId:Pe.toInternalProviderId(tt.extensionId,tt.providerId)}),insertText:typeof Qe.insertText=="string"?Qe.insertText:{snippet:Qe.insertText.value},additionalEdit:Qe.additionalEdit?n.WorkspaceEdit.from(Qe.additionalEdit,void 0):void 0}}}class we{constructor(W,V){this.d=W,this.e=V}async provideMappedEdits(W,V,Z,Q){const $e=b.URI.revive(W),ve=this.d.getDocument($e),Te=Z.documents.map(tt=>tt.map(st=>({uri:b.URI.revive(st.uri),version:st.version,ranges:st.ranges.map(lt=>n.Range.to(lt))}))),He={documents:Te,selections:Te[0]?.[0]?.ranges??[]},Qe=await this.e.provideMappedEdits(ve,V,He,Q);return Qe?n.WorkspaceEdit.from(Qe):null}}class Ae{constructor(W,V){this.adapter=W,this.extension=V}}class Oe{static{this.d=0}constructor(W,V,Z,Q,$e,ve,Te,He){this.g=V,this.h=Z,this.j=Q,this.k=$e,this.l=ve,this.m=Te,this.n=He,this.f=new Map,this.e=W.getProxy(d.$ZL.MainThreadLanguageFeatures)}o(W,V){return n.DocumentSelector.from(W,this.g,V)}p(W){return new r.$2L(()=>{this.f.delete(W),this.e.$unregister(W)})}q(){return Oe.d++}async s(W,V,Z,Q,$e,ve=!1){const Te=this.f.get(W);if(!Te||!(Te.adapter instanceof V))return Q;const He=Date.now();ve||this.l.trace(`[${Te.extension.identifier.value}] INVOKE provider '${Z.toString().replace(/[\r\n]/g,"")}'`);const Qe=Z(Te.adapter,Te.extension);return Promise.resolve(Qe).catch(tt=>{(0,L.$4)(tt)||(this.l.error(`[${Te.extension.identifier.value}] provider FAILED`),this.l.error(tt),this.n.onExtensionError(Te.extension.identifier,tt))}).finally(()=>{ve||this.l.trace(`[${Te.extension.identifier.value}] provider DONE after ${Date.now()-He}ms`)}),$.CancellationToken.isCancellationToken($e)?(0,F.$6g)(Qe,$e):Qe}t(W,V){const Z=this.q();return this.f.set(Z,new Ae(W,V)),Z}static u(W){return W.displayName||W.name}registerDocumentSymbolProvider(W,V,Z,Q){const $e=this.t(new u(this.h,Z),W),ve=Q&&Q.label||Oe.u(W);return this.e.$registerDocumentSymbolProvider($e,this.o(V,W),ve),this.p($e)}$provideDocumentSymbols(W,V,Z){return this.s(W,u,Q=>Q.provideDocumentSymbols(b.URI.revive(V),Z),void 0,Z)}registerCodeLensProvider(W,V,Z){const Q=this.q(),$e=typeof Z.onDidChangeCodeLenses=="function"?this.q():void 0;this.f.set(Q,new Ae(new s(this.h,this.j.converter,Z,W,this.n,this.l),W)),this.e.$registerCodeLensSupport(Q,this.o(V,W),$e);let ve=this.p(Q);if($e!==void 0){const Te=Z.onDidChangeCodeLenses(He=>this.e.$emitCodeLensEvent($e));ve=r.$2L.from(ve,Te)}return ve}$provideCodeLenses(W,V,Z){return this.s(W,s,Q=>Q.provideCodeLenses(b.URI.revive(V),Z),void 0,Z)}$resolveCodeLens(W,V,Z){return this.s(W,s,Q=>Q.resolveCodeLens(V,Z),void 0,void 0)}$releaseCodeLenses(W,V){this.s(W,s,Z=>Promise.resolve(Z.releaseCodeLenses(V)),void 0,void 0)}registerDefinitionProvider(W,V,Z){const Q=this.t(new h(this.h,Z),W);return this.e.$registerDefinitionSupport(Q,this.o(V,W)),this.p(Q)}$provideDefinition(W,V,Z,Q){return this.s(W,h,$e=>$e.provideDefinition(b.URI.revive(V),Z,Q),[],Q)}registerDeclarationProvider(W,V,Z){const Q=this.t(new m(this.h,Z),W);return this.e.$registerDeclarationSupport(Q,this.o(V,W)),this.p(Q)}$provideDeclaration(W,V,Z,Q){return this.s(W,m,$e=>$e.provideDeclaration(b.URI.revive(V),Z,Q),[],Q)}registerImplementationProvider(W,V,Z){const Q=this.t(new D(this.h,Z),W);return this.e.$registerImplementationSupport(Q,this.o(V,W)),this.p(Q)}$provideImplementation(W,V,Z,Q){return this.s(W,D,$e=>$e.provideImplementation(b.URI.revive(V),Z,Q),[],Q)}registerTypeDefinitionProvider(W,V,Z){const Q=this.t(new g(this.h,Z),W);return this.e.$registerTypeDefinitionSupport(Q,this.o(V,W)),this.p(Q)}$provideTypeDefinition(W,V,Z,Q){return this.s(W,g,$e=>$e.provideTypeDefinition(b.URI.revive(V),Z,Q),[],Q)}registerHoverProvider(W,V,Z,Q){const $e=this.t(new f(this.h,Z),W);return this.e.$registerHoverProvider($e,this.o(V,W)),this.p($e)}$provideHover(W,V,Z,Q){return this.s(W,f,$e=>$e.provideHover(b.URI.revive(V),Z,Q),void 0,Q)}registerEvaluatableExpressionProvider(W,V,Z,Q){const $e=this.t(new y(this.h,Z),W);return this.e.$registerEvaluatableExpressionProvider($e,this.o(V,W)),this.p($e)}$provideEvaluatableExpression(W,V,Z,Q){return this.s(W,y,$e=>$e.provideEvaluatableExpression(b.URI.revive(V),Z,Q),void 0,Q)}registerInlineValuesProvider(W,V,Z,Q){const $e=typeof Z.onDidChangeInlineValues=="function"?this.q():void 0,ve=this.t(new A(this.h,Z),W);this.e.$registerInlineValuesProvider(ve,this.o(V,W),$e);let Te=this.p(ve);if($e!==void 0){const He=Z.onDidChangeInlineValues(Qe=>this.e.$emitInlineValuesEvent($e));Te=r.$2L.from(Te,He)}return Te}$provideInlineValues(W,V,Z,Q,$e){return this.s(W,A,ve=>ve.provideInlineValues(b.URI.revive(V),Z,Q,$e),void 0,$e)}registerDocumentHighlightProvider(W,V,Z){const Q=this.t(new N(this.h,Z),W);return this.e.$registerDocumentHighlightProvider(Q,this.o(V,W)),this.p(Q)}registerMultiDocumentHighlightProvider(W,V,Z){const Q=this.t(new U(this.h,Z),W);return this.e.$registerMultiDocumentHighlightProvider(Q,this.o(V,W)),this.p(Q)}$provideDocumentHighlights(W,V,Z,Q){return this.s(W,N,$e=>$e.provideDocumentHighlights(b.URI.revive(V),Z,Q),void 0,Q)}$provideMultiDocumentHighlights(W,V,Z,Q,$e){return this.s(W,U,ve=>ve.provideMultiDocumentHighlights(b.URI.revive(V),Z,Q.map(Te=>b.URI.revive(Te)),$e),void 0,$e)}registerLinkedEditingRangeProvider(W,V,Z){const Q=this.t(new z(this.h,Z),W);return this.e.$registerLinkedEditingRangeProvider(Q,this.o(V,W)),this.p(Q)}$provideLinkedEditingRanges(W,V,Z,Q){return this.s(W,z,async $e=>{const ve=await $e.provideLinkedEditingRanges(b.URI.revive(V),Z,Q);if(ve)return{ranges:ve.ranges,wordPattern:ve.wordPattern?Oe.w(ve.wordPattern):void 0}},void 0,Q)}registerReferenceProvider(W,V,Z){const Q=this.t(new T(this.h,Z),W);return this.e.$registerReferenceSupport(Q,this.o(V,W)),this.p(Q)}$provideReferences(W,V,Z,Q,$e){return this.s(W,T,ve=>ve.provideReferences(b.URI.revive(V),Z,Q,$e),void 0,$e)}registerCodeActionProvider(W,V,Z,Q){const $e=new w.$Sc,ve=this.t(new P(this.h,this.j.converter,this.k,Z,this.l,W,this.m),W);return this.e.$registerQuickFixSupport(ve,this.o(V,W),{providedKinds:Q?.providedCodeActionKinds?.map(Te=>Te.value),documentation:Q?.documentation?.map(Te=>({kind:Te.kind.value,command:this.j.converter.toInternal(Te.command,$e)}))},Oe.u(W),!!Z.resolveCodeAction),$e.add(this.p(ve)),$e}$provideCodeActions(W,V,Z,Q,$e){return this.s(W,P,ve=>ve.provideCodeActions(b.URI.revive(V),Z,Q,$e),void 0,$e)}$resolveCodeAction(W,V,Z){return this.s(W,P,Q=>Q.resolveCodeAction(V,Z),{},void 0)}$releaseCodeActions(W,V){this.s(W,P,Z=>Promise.resolve(Z.releaseCodeActions(V)),void 0,void 0)}registerDocumentFormattingEditProvider(W,V,Z){const Q=this.t(new j(this.h,Z),W);return this.e.$registerDocumentFormattingSupport(Q,this.o(V,W),W.identifier,W.displayName||W.name),this.p(Q)}$provideDocumentFormattingEdits(W,V,Z,Q){return this.s(W,j,$e=>$e.provideDocumentFormattingEdits(b.URI.revive(V),Z,Q),void 0,Q)}registerDocumentRangeFormattingEditProvider(W,V,Z){const Q=typeof Z.provideDocumentRangesFormattingEdits=="function",$e=this.t(new K(this.h,Z),W);return this.e.$registerRangeFormattingSupport($e,this.o(V,W),W.identifier,W.displayName||W.name,Q),this.p($e)}$provideDocumentRangeFormattingEdits(W,V,Z,Q,$e){return this.s(W,K,ve=>ve.provideDocumentRangeFormattingEdits(b.URI.revive(V),Z,Q,$e),void 0,$e)}$provideDocumentRangesFormattingEdits(W,V,Z,Q,$e){return this.s(W,K,ve=>ve.provideDocumentRangesFormattingEdits(b.URI.revive(V),Z,Q,$e),void 0,$e)}registerOnTypeFormattingEditProvider(W,V,Z,Q){const $e=this.t(new ie(this.h,Z),W);return this.e.$registerOnTypeFormattingSupport($e,this.o(V,W),Q,W.identifier),this.p($e)}$provideOnTypeFormattingEdits(W,V,Z,Q,$e,ve){return this.s(W,ie,Te=>Te.provideOnTypeFormattingEdits(b.URI.revive(V),Z,Q,$e,ve),void 0,ve)}registerWorkspaceSymbolProvider(W,V){const Z=this.t(new _(V,this.l),W);return this.e.$registerNavigateTypeSupport(Z,typeof V.resolveWorkspaceSymbol=="function"),this.p(Z)}$provideWorkspaceSymbols(W,V,Z){return this.s(W,_,Q=>Q.provideWorkspaceSymbols(V,Z),{symbols:[]},Z)}$resolveWorkspaceSymbol(W,V,Z){return this.s(W,_,Q=>Q.resolveWorkspaceSymbol(V,Z),void 0,void 0)}$releaseWorkspaceSymbols(W,V){this.s(W,_,Z=>Z.releaseWorkspaceSymbols(V),void 0,void 0)}registerRenameProvider(W,V,Z){const Q=this.t(new X(this.h,Z,this.l),W);return this.e.$registerRenameSupport(Q,this.o(V,W),X.supportsResolving(Z)),this.p(Q)}$provideRenameEdits(W,V,Z,Q,$e){return this.s(W,X,ve=>ve.provideRenameEdits(b.URI.revive(V),Z,Q,$e),void 0,$e)}$resolveRenameLocation(W,V,Z,Q){return this.s(W,X,$e=>$e.resolveRenameLocation(b.URI.revive(V),Z,Q),void 0,Q)}registerNewSymbolNamesProvider(W,V,Z){const Q=this.t(new Y(this.h,Z,this.l),W);return this.e.$registerNewSymbolNamesProvider(Q,this.o(V,W)),this.p(Q)}$provideNewSymbolNames(W,V,Z,Q){return this.s(W,Y,$e=>$e.provideNewSymbolNames(b.URI.revive(V),Z,Q),void 0,Q)}registerDocumentSemanticTokensProvider(W,V,Z,Q){const $e=this.t(new ee(this.h,Z),W),ve=typeof Z.onDidChangeSemanticTokens=="function"?this.q():void 0;this.e.$registerDocumentSemanticTokensProvider($e,this.o(V,W),Q,ve);let Te=this.p($e);if(ve){const He=Z.onDidChangeSemanticTokens(Qe=>this.e.$emitDocumentSemanticTokensEvent(ve));Te=r.$2L.from(Te,He)}return Te}$provideDocumentSemanticTokens(W,V,Z,Q){return this.s(W,ee,$e=>$e.provideDocumentSemanticTokens(b.URI.revive(V),Z,Q),null,Q)}$releaseDocumentSemanticTokens(W,V){this.s(W,ee,Z=>Z.releaseDocumentSemanticColoring(V),void 0,void 0)}registerDocumentRangeSemanticTokensProvider(W,V,Z,Q){const $e=this.t(new fe(this.h,Z),W);return this.e.$registerDocumentRangeSemanticTokensProvider($e,this.o(V,W),Q),this.p($e)}$provideDocumentRangeSemanticTokens(W,V,Z,Q){return this.s(W,fe,$e=>$e.provideDocumentRangeSemanticTokens(b.URI.revive(V),Z,Q),null,Q)}registerCompletionItemProvider(W,V,Z,Q){const $e=this.t(new re(this.h,this.j.converter,Z,this.m,W),W);return this.e.$registerCompletionsProvider($e,this.o(V,W),Q,re.supportsResolving(Z),W.identifier),this.p($e)}$provideCompletionItems(W,V,Z,Q,$e){return this.s(W,re,ve=>ve.provideCompletionItems(b.URI.revive(V),Z,Q,$e),void 0,$e)}$resolveCompletionItem(W,V,Z){return this.s(W,re,Q=>Q.resolveCompletionItem(V,Z),void 0,Z)}$releaseCompletionItems(W,V){this.s(W,re,Z=>Z.releaseCompletionItems(V),void 0,void 0)}registerInlineCompletionsProvider(W,V,Z,Q){const $e=new B(W,this.h,Z,this.j.converter),ve=this.t($e,W);return this.e.$registerInlineCompletionsSupport(ve,this.o(V,W),$e.supportsHandleEvents,i.$wm.toKey(W.identifier.value),Q?.yieldTo?.map(Te=>i.$wm.toKey(Te))||[]),this.p(ve)}$provideInlineCompletions(W,V,Z,Q,$e){return this.s(W,J,ve=>ve.provideInlineCompletions(b.URI.revive(V),Z,Q,$e),void 0,$e)}$handleInlineCompletionDidShow(W,V,Z,Q){this.s(W,J,async $e=>{$e.handleDidShowCompletionItem(V,Z,Q)},void 0,void 0)}$handleInlineCompletionPartialAccept(W,V,Z,Q){this.s(W,J,async $e=>{$e.handlePartialAccept(V,Z,Q)},void 0,void 0)}$freeInlineCompletionsList(W,V){this.s(W,J,async Z=>{Z.disposeCompletions(V)},void 0,void 0)}registerInlineEditProvider(W,V,Z){const Q=new se(W,this.h,Z,this.j.converter),$e=this.t(Q,W);return this.e.$registerInlineEditProvider($e,this.o(V,W),W.identifier),this.p($e)}$provideInlineEdit(W,V,Z,Q){return this.s(W,se,$e=>$e.provideInlineEdits(b.URI.revive(V),Z,Q),void 0,Q)}$freeInlineEdit(W,V){this.s(W,se,async Z=>{Z.disposeEdit(V)},void 0,void 0)}registerSignatureHelpProvider(W,V,Z,Q){const $e=Array.isArray(Q)?{triggerCharacters:Q,retriggerCharacters:[]}:Q,ve=this.t(new le(this.h,Z),W);return this.e.$registerSignatureHelpProvider(ve,this.o(V,W),$e),this.p(ve)}$provideSignatureHelp(W,V,Z,Q,$e){return this.s(W,le,ve=>ve.provideSignatureHelp(b.URI.revive(V),Z,Q,$e),void 0,$e)}$releaseSignatureHelp(W,V){this.s(W,le,Z=>Z.releaseSignatureHelp(V),void 0,void 0)}registerInlayHintsProvider(W,V,Z){const Q=typeof Z.onDidChangeInlayHints=="function"?this.q():void 0,$e=this.t(new he(this.h,this.j.converter,Z,this.l,W),W);this.e.$registerInlayHintsProvider($e,this.o(V,W),typeof Z.resolveInlayHint=="function",Q,Oe.u(W));let ve=this.p($e);if(Q!==void 0){const Te=Z.onDidChangeInlayHints(He=>this.e.$emitInlayHintsEvent(Q));ve=r.$2L.from(ve,Te)}return ve}$provideInlayHints(W,V,Z,Q){return this.s(W,he,$e=>$e.provideInlayHints(b.URI.revive(V),Z,Q),void 0,Q)}$resolveInlayHint(W,V,Z){return this.s(W,he,Q=>Q.resolveInlayHint(V,Z),void 0,Z)}$releaseInlayHints(W,V){this.s(W,he,Z=>Z.releaseHints(V),void 0,void 0)}registerDocumentLinkProvider(W,V,Z){const Q=this.t(new ce(this.h,Z),W);return this.e.$registerDocumentLinkProvider(Q,this.o(V,W),typeof Z.resolveDocumentLink=="function"),this.p(Q)}$provideDocumentLinks(W,V,Z){return this.s(W,ce,Q=>Q.provideLinks(b.URI.revive(V),Z),void 0,Z,V.scheme==="output")}$resolveDocumentLink(W,V,Z){return this.s(W,ce,Q=>Q.resolveLink(V,Z),void 0,void 0,!0)}$releaseDocumentLinks(W,V){this.s(W,ce,Z=>Z.releaseLinks(V),void 0,void 0,!0)}registerColorProvider(W,V,Z){const Q=this.t(new de(this.h,Z),W);return this.e.$registerDocumentColorProvider(Q,this.o(V,W)),this.p(Q)}$provideDocumentColors(W,V,Z){return this.s(W,de,Q=>Q.provideColors(b.URI.revive(V),Z),[],Z)}$provideColorPresentations(W,V,Z,Q){return this.s(W,de,$e=>$e.provideColorPresentations(b.URI.revive(V),Z,Q),void 0,Q)}registerFoldingRangeProvider(W,V,Z){const Q=this.q(),$e=typeof Z.onDidChangeFoldingRanges=="function"?this.q():void 0;this.f.set(Q,new Ae(new H(this.h,Z),W)),this.e.$registerFoldingRangeProvider(Q,this.o(V,W),W.identifier,$e);let ve=this.p(Q);if($e!==void 0){const Te=Z.onDidChangeFoldingRanges(()=>this.e.$emitFoldingRangeEvent($e));ve=r.$2L.from(ve,Te)}return ve}$provideFoldingRanges(W,V,Z,Q){return this.s(W,H,$e=>$e.provideFoldingRanges(b.URI.revive(V),Z,Q),void 0,Q)}registerSelectionRangeProvider(W,V,Z){const Q=this.t(new x(this.h,Z,this.l),W);return this.e.$registerSelectionRangeProvider(Q,this.o(V,W)),this.p(Q)}$provideSelectionRanges(W,V,Z,Q){return this.s(W,x,$e=>$e.provideSelectionRanges(b.URI.revive(V),Z,Q),[],Q)}registerCallHierarchyProvider(W,V,Z){const Q=this.t(new ue(this.h,Z),W);return this.e.$registerCallHierarchyProvider(Q,this.o(V,W)),this.p(Q)}$prepareCallHierarchy(W,V,Z,Q){return this.s(W,ue,$e=>Promise.resolve($e.prepareSession(b.URI.revive(V),Z,Q)),void 0,Q)}$provideCallHierarchyIncomingCalls(W,V,Z,Q){return this.s(W,ue,$e=>$e.provideCallsTo(V,Z,Q),void 0,Q)}$provideCallHierarchyOutgoingCalls(W,V,Z,Q){return this.s(W,ue,$e=>$e.provideCallsFrom(V,Z,Q),void 0,Q)}$releaseCallHierarchy(W,V){this.s(W,ue,Z=>Promise.resolve(Z.releaseSession(V)),void 0,void 0)}registerTypeHierarchyProvider(W,V,Z){const Q=this.t(new be(this.h,Z),W);return this.e.$registerTypeHierarchyProvider(Q,this.o(V,W)),this.p(Q)}$prepareTypeHierarchy(W,V,Z,Q){return this.s(W,be,$e=>Promise.resolve($e.prepareSession(b.URI.revive(V),Z,Q)),void 0,Q)}$provideTypeHierarchySupertypes(W,V,Z,Q){return this.s(W,be,$e=>$e.provideSupertypes(V,Z,Q),void 0,Q)}$provideTypeHierarchySubtypes(W,V,Z,Q){return this.s(W,be,$e=>$e.provideSubtypes(V,Z,Q),void 0,Q)}$releaseTypeHierarchy(W,V){this.s(W,be,Z=>Promise.resolve(Z.releaseSession(V)),void 0,void 0)}registerDocumentOnDropEditProvider(W,V,Z,Q){const $e=this.q();this.f.set($e,new Ae(new Pe(this.e,this.h,Z,$e,W),W));const ve=(0,a.$UF)(W,"dropMetadata")&&Q?Pe.toInternalProviderId(W.identifier.value,Q.id):void 0;return this.e.$registerDocumentOnDropEditProvider($e,this.o(V,W),ve,(0,a.$UF)(W,"dropMetadata")?Q:void 0),this.p($e)}$provideDocumentOnDropEdits(W,V,Z,Q,$e,ve){return this.s(W,Pe,Te=>Promise.resolve(Te.provideDocumentOnDropEdits(V,b.URI.revive(Z),Q,$e,ve)),void 0,void 0)}registerMappedEditsProvider(W,V,Z){const Q=this.t(new we(this.h,Z),W);return this.e.$registerMappedEditsProvider(Q,this.o(V,W)),this.p(Q)}$provideMappedEdits(W,V,Z,Q,$e){return this.s(W,we,ve=>Promise.resolve(ve.provideMappedEdits(V,Z,Q,$e)),null,$e)}registerDocumentPasteEditProvider(W,V,Z,Q){const $e=this.q();this.f.set($e,new Ae(new O(this.e,this.h,Z,$e,W),W));const ve=O.toInternalProviderId(W.identifier.value,Q.id);return this.e.$registerPasteEditProvider($e,this.o(V,W),ve,{supportsCopy:!!Z.prepareDocumentPaste,supportsPaste:!!Z.provideDocumentPasteEdits,copyMimeTypes:Q.copyMimeTypes,pasteMimeTypes:Q.pasteMimeTypes}),this.p($e)}$prepareDocumentPaste(W,V,Z,Q,$e){return this.s(W,O,ve=>ve.prepareDocumentPaste(b.URI.revive(V),Z,Q,$e),void 0,$e)}$providePasteEdits(W,V,Z,Q,$e,ve){return this.s(W,O,Te=>Te.providePasteEdits(V,b.URI.revive(Z),Q,$e,ve),void 0,ve)}static w(W){return{pattern:W.source,flags:W.flags}}static y(W){return{decreaseIndentPattern:Oe.w(W.decreaseIndentPattern),increaseIndentPattern:Oe.w(W.increaseIndentPattern),indentNextLinePattern:W.indentNextLinePattern?Oe.w(W.indentNextLinePattern):void 0,unIndentedLinePattern:W.unIndentedLinePattern?Oe.w(W.unIndentedLinePattern):void 0}}static z(W){return{beforeText:Oe.w(W.beforeText),afterText:W.afterText?Oe.w(W.afterText):void 0,previousLineText:W.previousLineText?Oe.w(W.previousLineText):void 0,action:W.action}}static B(W){return W.map(Oe.z)}static C(W){return{open:W.open,close:W.close,notIn:W.notIn?W.notIn.map(V=>r.SyntaxTokenType.toString(V)):void 0}}static D(W){return W.map(Oe.C)}setLanguageConfiguration(W,V,Z){const{wordPattern:Q}=Z;if(Q&&(0,M.$8e)(Q))throw new Error(`Invalid language configuration: wordPattern '${Q}' is not allowed to match the empty string.`);Q?this.h.setWordDefinitionFor(V,Q):this.h.setWordDefinitionFor(V,void 0),Z.__electricCharacterSupport&&this.m.report("LanguageConfiguration.__electricCharacterSupport",W,"Do not use."),Z.__characterPairSupport&&this.m.report("LanguageConfiguration.__characterPairSupport",W,"Do not use.");const $e=this.q(),ve={comments:Z.comments,brackets:Z.brackets,wordPattern:Z.wordPattern?Oe.w(Z.wordPattern):void 0,indentationRules:Z.indentationRules?Oe.y(Z.indentationRules):void 0,onEnterRules:Z.onEnterRules?Oe.B(Z.onEnterRules):void 0,__electricCharacterSupport:Z.__electricCharacterSupport,__characterPairSupport:Z.__characterPairSupport,autoClosingPairs:Z.autoClosingPairs?Oe.D(Z.autoClosingPairs):void 0};return this.e.$setLanguageConfiguration($e,V,ve),this.p($e)}$setWordDefinitions(W){for(const V of W)this.h.setWordDefinitionFor(V.languageId,new RegExp(V.regexSource,V.regexFlags))}}e.$Nhc=Oe}),define(Se[332],De([1,0,6,15,7,39,8,3,26]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ajc=void 0;class S{constructor(C,b,E,k){this.c=b,this.d=E,this.e=k,this.b=[],this.f=0,this.g=new Set,this.a=C.getProxy(I.$ZL.MainThreadLanguages)}$acceptLanguageIds(C){this.b=C}async getLanguages(){return this.b.slice(0)}async changeLanguage(C,b){await this.a.$changeLanguage(C,b);const E=this.c.getDocumentData(C);if(!E)throw new Error(`document '${C.toString()}' NOT found`);return E.document}async tokenAtPosition(C,b){const E=C.version,k=F.Position.from(b),l=await this.a.$tokensAtPosition(C.uri,k),p={type:$.StandardTokenType.Other,range:C.getWordRangeAtPosition(b)??new $.$4L(b.line,b.character,b.line,b.character)};if(!l)return p;const o={range:F.Range.to(l.range),type:F.TokenType.to(l.type)};return!o.range.contains(b)||E!==C.version?p:o}createLanguageStatusItem(C,b,E){const k=this.f++,l=this.a,p=this.g,o=`${C.identifier.value}/${b}`;if(p.has(o))throw new Error(`LanguageStatusItem with id '${b}' ALREADY exists`);p.add(o);const i={selector:E,id:b,name:C.displayName??C.name,severity:$.LanguageStatusSeverity.Information,command:void 0,text:"",detail:"",busy:!1};let n;const r=new w.$Sc,a=()=>{if(n?.dispose(),!p.has(o)){console.warn(`LanguageStatusItem (${b}) from ${C.identifier.value} has been disposed and CANNOT be updated anymore`);return}n=(0,R.$gh)(()=>{r.clear(),this.a.$setLanguageStatus(k,{id:o,name:i.name??C.displayName??C.name,source:C.displayName??C.name,selector:F.DocumentSelector.from(i.selector,this.e),label:i.text,detail:i.detail??"",severity:i.severity===$.LanguageStatusSeverity.Error?L.default.Error:i.severity===$.LanguageStatusSeverity.Warning?L.default.Warning:L.default.Info,command:i.command&&this.d.toInternal(i.command,r),accessibilityInfo:i.accessibilityInformation,busy:i.busy})},0)},t={dispose(){r.dispose(),n?.dispose(),l.$removeLanguageStatus(k),p.delete(o)},get id(){return i.id},get name(){return i.name},set name(d){i.name=d,a()},get selector(){return i.selector},set selector(d){i.selector=d,a()},get text(){return i.text},set text(d){i.text=d,a()},set text2(d){(0,v.$VF)(C,"languageStatusText"),i.text=d,a()},get text2(){return(0,v.$VF)(C,"languageStatusText"),i.text},get detail(){return i.detail},set detail(d){i.detail=d,a()},get severity(){return i.severity},set severity(d){i.severity=d,a()},get accessibilityInformation(){return i.accessibilityInformation},set accessibilityInformation(d){i.accessibilityInformation=d,a()},get command(){return i.command},set command(d){i.command=d,a()},get busy(){return i.busy},set busy(d){i.busy=d,a()}};return a(),t}}e.$ajc=S}),define(Se[333],De([1,0,16,2,15,7,118]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Yic=e.$Xic=void 0;class w{constructor(C,b,E,k){this.start=C,this.deletedCount=b,this.deletedItems=E,this.items=k}asApiEvent(){return{range:new L.$pN(this.start,this.start+this.deletedCount),addedCells:this.items.map(C=>C.apiCell),removedCells:this.deletedItems}}}class v{static asModelAddData(C){return{EOL:C.eol,lines:C.source,languageId:C.language,uri:C.uri,isDirty:!1,versionId:1}}constructor(C,b,E){this.notebook=C,this.h=b,this.j=E,this.handle=E.handle,this.uri=F.URI.revive(E.uri),this.cellKind=E.cellKind,this.a=E.outputs.map($.NotebookCellOutput.to),this.e=E.internalMetadata??{},this.b=Object.freeze(E.metadata??{}),this.d=Object.freeze($.NotebookCellExecutionSummary.to(E.internalMetadata??{}))}get internalMetadata(){return this.e}get apiCell(){if(!this.f){const C=this,b=this.h.getDocument(this.uri);if(!b)throw new Error(`MISSING extHostDocument for notebook cell: ${this.uri}`);const E={get index(){return C.notebook.getCellIndex(C)},notebook:C.notebook.apiNotebook,kind:$.NotebookCellKind.to(this.j.cellKind),document:b.document,get mime(){return C.g},set mime(k){C.g=k},get outputs(){return C.a.slice(0)},get metadata(){return C.b},get executionSummary(){return C.d}};this.f=Object.freeze(E)}return this.f}setOutputs(C){this.a=C.map($.NotebookCellOutput.to)}setOutputItems(C,b,E){const k=E.map($.NotebookCellOutputItem.to),l=this.a.find(p=>p.id===C);if(l&&(b||(l.items.length=0),l.items.push(...k),l.items.length>1&&l.items.every(p=>R.$3J(p.mime)))){const p=new Map,o=[];l.items.forEach(i=>{let n;p.has(i.mime)?n=p.get(i.mime):(n=[],p.set(i.mime,n),o.push(i.mime)),n.push(i.data)}),l.items.length=0,o.forEach(i=>{const n=R.$4J(p.get(i));l.items.push({mime:i,data:n.data.buffer})})}}setMetadata(C){this.b=Object.freeze(C)}setInternalMetadata(C){this.e=C,this.d=Object.freeze($.NotebookCellExecutionSummary.to(C))}setMime(C){}}e.$Xic=v;class S{static{this.a=0}constructor(C,b,E,k,l){this.k=C,this.l=b,this.m=E,this.uri=k,this.handle=S.a++,this.b=[],this.g=0,this.h=!1,this.j=!1,this.d=l.viewType,this.f=Object.freeze(l.metadata??Object.create(null)),this.r([[0,0,l.cells]],!0,void 0),this.g=l.versionId}dispose(){this.j=!0}get versionId(){return this.g}get apiNotebook(){if(!this.e){const C=this,b={get uri(){return C.uri},get version(){return C.g},get notebookType(){return C.d},get isDirty(){return C.h},get isUntitled(){return C.uri.scheme===I.Schemas.untitled},get isClosed(){return C.j},get metadata(){return C.f},get cellCount(){return C.b.length},cellAt(E){return E=C.n(E),C.b[E].apiCell},getCells(E){return(E?C.p(E):C.b).map(l=>l.apiCell)},save(){return C.q()}};this.e=Object.freeze(b)}return this.e}acceptDocumentPropertiesChanged(C){C.metadata&&(this.f=Object.freeze({...this.f,...C.metadata}))}acceptDirty(C){this.h=C}acceptModelChanged(C,b,E){this.g=C.versionId,this.h=b,this.acceptDocumentPropertiesChanged({metadata:E});const k={notebook:this.apiNotebook,metadata:E,cellChanges:[],contentChanges:[]},l=[];for(const o of C.rawEvents)o.kind===R.NotebookCellsChangeType.ModelChange?this.r(o.changes,!1,k.contentChanges):o.kind===R.NotebookCellsChangeType.Move?this.s(o.index,o.length,o.newIdx,k.contentChanges):o.kind===R.NotebookCellsChangeType.Output?(this.t(o.index,o.outputs),l.push({cell:this.b[o.index].apiCell,outputs:this.b[o.index].apiCell.outputs})):o.kind===R.NotebookCellsChangeType.OutputItem?(this.u(o.index,o.outputId,o.append,o.outputItems),l.push({cell:this.b[o.index].apiCell,outputs:this.b[o.index].apiCell.outputs})):o.kind===R.NotebookCellsChangeType.ChangeCellLanguage?(this.v(o.index,o.language),l.push({cell:this.b[o.index].apiCell,document:this.b[o.index].apiCell.document})):o.kind===R.NotebookCellsChangeType.ChangeCellContent?l.push({cell:this.b[o.index].apiCell,document:this.b[o.index].apiCell.document}):o.kind===R.NotebookCellsChangeType.ChangeCellMime?this.w(o.index,o.mime):o.kind===R.NotebookCellsChangeType.ChangeCellMetadata?(this.x(o.index,o.metadata),l.push({cell:this.b[o.index].apiCell,metadata:this.b[o.index].apiCell.metadata})):o.kind===R.NotebookCellsChangeType.ChangeCellInternalMetadata&&(this.y(o.index,o.internalMetadata),l.push({cell:this.b[o.index].apiCell,executionSummary:this.b[o.index].apiCell.executionSummary}));const p=new Map;for(let o=0;o<l.length;o++){const i=l[o],n=p.get(i.cell);if(n===void 0){const r=k.cellChanges.push({document:void 0,executionSummary:void 0,metadata:void 0,outputs:void 0,...i});p.set(i.cell,r-1)}else k.cellChanges[n]={...k.cellChanges[n],...i}}return Object.freeze(k),Object.freeze(k.cellChanges),Object.freeze(k.contentChanges),k}n(C){return C=C|0,C<0?0:C>=this.b.length?this.b.length-1:C}o(C){let b=C.start|0,E=C.end|0;return b<0&&(b=0),E>this.b.length&&(E=this.b.length),C.with({start:b,end:E})}p(C){C=this.o(C);const b=[];for(let E=C.start;E<C.end;E++)b.push(this.b[E]);return b}async q(){return this.j?Promise.reject(new Error("Notebook has been closed")):this.k.$trySaveNotebook(this.uri)}r(C,b,E){if(this.j)return;const k=[],l=[],p=[];if(C.reverse().forEach(o=>{const n=o[2].map(t=>{const d=new v(this,this.l,t);return b||l.push(v.asModelAddData(t)),d}),r=new w(o[0],o[1],[],n),a=this.b.splice(o[0],o[1],...n);for(const t of a)p.push(t.uri),r.deletedItems.push(t.apiCell);k.push(r)}),this.l.acceptDocumentsAndEditorsDelta({addedDocuments:l,removedDocuments:p}),E)for(const o of k)E.push(o.asApiEvent())}s(C,b,E,k){const l=this.b.splice(C,b);this.b.splice(E,0,...l);const p=[new w(C,b,l.map(o=>o.apiCell),[]),new w(E,0,[],l)];for(const o of p)k.push(o.asApiEvent())}t(C,b){this.b[C].setOutputs(b)}u(C,b,E,k){this.b[C].setOutputItems(b,E,k)}v(C,b){const E=this.b[C];E.apiCell.document.languageId!==b&&this.m.$acceptModelLanguageChanged(E.uri,b)}w(C,b){const E=this.b[C];E.apiCell.mime=b}x(C,b){this.b[C].setMetadata(b)}y(C,b){this.b[C].setInternalMetadata(b)}getCellFromApiCell(C){return this.b.find(b=>b.apiCell===C)}getCellFromIndex(C){return this.b[C]}getCell(C){return this.b.find(b=>b.handle===C)}getCellIndex(C){return this.b.indexOf(C)}}e.$Yic=S}),define(Se[334],De([1,0,4,2,15,7]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$cjc=void 0;class R{constructor(v,S,M,C={timeout:1500,errors:3}){this.b=v,this.c=S,this.d=M,this.f=C,this.a=new I.$7d}dispose(){}getOnWillSaveNotebookDocumentEvent(v){return(S,M,C)=>{const b=function(k){S.call(M,k)};return b.extension=v,this.a.event(b,void 0,C)}}async $participateInSave(v,S,M){const C=F.URI.revive(v),b=this.c.getNotebookDocument(C);if(!b)throw new Error("Unable to resolve notebook document");const E=[];if(await this.a.fireAsync({notebook:b.apiNotebook,reason:$.TextDocumentSaveReason.to(S)},M,async(l,p)=>{const o=Date.now(),i=await await Promise.resolve(l);Date.now()-o>this.f.timeout&&this.b.warn("onWillSaveNotebookDocument-listener from extension",p.extension.identifier),!M.isCancellationRequested&&i&&(i instanceof L.$_L?E.push(i):this.b.warn("onWillSaveNotebookDocument-listener from extension",p.extension.identifier,"ignored due to invalid data"))}),M.isCancellationRequested)return!1;if(E.length===0)return!0;const k={edits:[]};for(const l of E){const{edits:p}=$.WorkspaceEdit.from(l);k.edits=k.edits.concat(p)}return this.d.$tryApplyWorkspaceEdit(k)}}e.$cjc=R}),define(Se[150],De([1,0,14,15,7]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Zic=void 0;class L{static{this.apiEditorsToExtHost=new WeakMap}constructor(w,v,S,M,C,b){this.id=w,this.f=v,this.notebookData=S,this.a=[],this.b=[],this.d=!1,this.a=C,this.b=M,this.c=b}get apiEditor(){if(!this.e){const w=this;this.e={get notebook(){return w.notebookData.apiNotebook},get selection(){return w.a[0]},set selection(v){this.selections=[v]},get selections(){return w.a},set selections(v){if(!Array.isArray(v)||!v.every($.$pN.isNotebookRange))throw(0,I.$7)("selections");w.a=v,w.g(v)},get visibleRanges(){return w.b},revealRange(v,S){w.f.$tryRevealRange(w.id,F.NotebookRange.from(v),S??$.NotebookEditorRevealType.Default)},get viewColumn(){return w.c}},L.apiEditorsToExtHost.set(this.e,this)}return this.e}get visible(){return this.d}_acceptVisibility(w){this.d=w}_acceptVisibleRanges(w){this.b=w}_acceptSelections(w){this.a=w}g(w){this.f.$trySetSelections(this.id,w.map(F.NotebookRange.from))}_acceptViewColumn(w){this.c=w}}e.$Zic=L}),define(Se[335],De([1,0,4,13,15]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ejc=void 0;let L=class{constructor(w,v){this.c=w,this.d=v,this.a=new I.$5d,this.b=new I.$5d,this.onDidChangeNotebookEditorSelection=this.a.event,this.onDidChangeNotebookEditorVisibleRanges=this.b.event}$acceptEditorPropertiesChanged(w,v){this.c.debug("ExtHostNotebook#$acceptEditorPropertiesChanged",w,v);const S=this.d.getEditorById(w);v.visibleRanges&&S._acceptVisibleRanges(v.visibleRanges.ranges.map($.NotebookRange.to)),v.selections&&S._acceptSelections(v.selections.selections.map($.NotebookRange.to)),v.visibleRanges&&this.b.fire({notebookEditor:S.apiEditor,visibleRanges:S.apiEditor.visibleRanges}),v.selections&&this.a.fire(Object.freeze({notebookEditor:S.apiEditor,selections:S.apiEditor.selections}))}$acceptEditorViewColumns(w){for(const v in w)this.d.getEditorById(v)._acceptViewColumn($.ViewColumn.to(w[v]))}};e.$ejc=L,e.$ejc=L=Je([Ve(0,F.$yj)],L)}),define(Se[336],De([1,0,4,6,150]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hjc=void 0;class L{constructor(w,v){this.c=v,this.a=new Map,this.b=w.getProxy(F.$ZL.MainThreadNotebookRenderers)}$postRendererMessage(w,v,S){const M=this.c.getEditorById(w);this.a.get(v)?.fire({editor:M.apiEditor,message:S})}createRendererMessaging(w,v){if(!w.contributes?.notebookRenderer?.some(M=>M.id===v))throw new Error(`Extensions may only call createRendererMessaging() for renderers they contribute (got ${v})`);return{onDidReceiveMessage:(M,C,b)=>this.d(v).event(M,C,b),postMessage:(M,C)=>{$.$Zic.apiEditorsToExtHost.has(M)&&([M,C]=[C,M]);const b=C&&$.$Zic.apiEditorsToExtHost.get(C);return this.b.$postMessage(b?.id,v,M)}}}d(w){let v=this.a.get(w);return v||(v=new I.$5d({onDidRemoveLastListener:()=>{v?.dispose(),this.a.delete(w)}}),this.a.set(w,v),v)}}e.$hjc=L}),define(Se[337],De([1,0,15,107,22,53,14]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ljc=void 0;class w{constructor(C){this.b=0,this.c=new Map,this.a=C}async withProgress(C,b,E){const k=this.b++,{title:l,location:p,cancellable:o}=b,i={label:C.displayName||C.name,id:C.identifier.value};return this.a.$startProgress(k,{location:I.ProgressLocation.from(p),title:l,source:i,cancellable:o},C.isUnderDevelopment?void 0:C.identifier.value).catch(R.$2),this.d(k,E,!!o)}d(C,b,E){let k;E&&(k=new $.$ce,this.c.set(C,k));const l=o=>{this.a.$progressEnd(o),this.c.delete(o),k?.dispose()};let p;try{p=b(new S(this.a,C),E&&k?k.token:$.CancellationToken.None)}catch(o){throw l(C),o}return p.then(o=>l(C),o=>l(C)),p}$acceptProgressCanceled(C){const b=this.c.get(C);b&&(b.cancel(),this.c.delete(C))}}e.$ljc=w;function v(M,C){return M.message=C.message,typeof C.increment=="number"&&(typeof M.increment=="number"?M.increment+=C.increment:M.increment=C.increment),M}class S extends F.$Hv{constructor(C,b){super(E=>this.throttledReport(E)),this.c=C,this.d=b}throttledReport(C){this.c.$progressReport(this.d,C)}}Je([(0,L.$Kh)(100,(M,C)=>v(M,C),()=>Object.create(null))],S.prototype,"throttledReport",null)}),define(Se[338],De([1,0,2,6,8,15]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mjc=void 0;class R{static{this.a=0}constructor(v,S){this.d=S,this.c=new Map,this.b=v.getProxy(F.$ZL.MainThreadQuickDiff)}$provideOriginalResource(v,S,M){const C=I.URI.revive(S),b=this.c.get(v);return b?(0,$.$9g)(()=>b.provideOriginalResource(C,M)).then(E=>E||null):Promise.resolve(null)}registerQuickDiffProvider(v,S,M,C){const b=R.a++;return this.c.set(b,S),this.b.$registerQuickDiffProvider(b,L.DocumentSelector.from(v,this.d),M,C),{dispose:()=>{this.b.$unregisterQuickDiffProvider(b),this.c.delete(b)}}}}e.$mjc=R}),define(Se[339],De([1,0,22,4,3,6,2,7,14,19,39,55,26,15]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$njc=void 0;function k(l,p,o){const i=l.getProxy(L.$ZL.MainThreadQuickOpen);class n{constructor(m,D){this.e=new Map,this.f=0,this.a=m,this.b=D}showQuickPick(m,D,g,f=I.CancellationToken.None){this.c=void 0;const y=Promise.resolve(D),A=++this.f,N=i.$show(A,{title:g?.title,placeHolder:g?.placeHolder,matchOnDescription:g?.matchOnDescription,matchOnDetail:g?.matchOnDetail,ignoreFocusLost:g?.ignoreFocusOut,canPickMany:g?.canPickMany},f),U={},z=N.then(()=>U);return Promise.race([z,y]).then(T=>{if(T===U)return;const P=(0,b.$UF)(m,"quickPickItemTooltip");return y.then(O=>{const j=[];for(let K=0;K<O.length;K++){const ie=O[K];if(typeof ie=="string")j.push({label:ie,handle:K});else if(ie.kind===w.QuickPickItemKind.Separator)j.push({type:"separator",label:ie.label});else{ie.tooltip&&!P&&console.warn(`Extension '${m.identifier.value}' uses a tooltip which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${m.identifier.value}`);const _=ie.iconPath?u(ie.iconPath):void 0;j.push({label:ie.label,iconPath:_?.iconPath,iconClass:_?.iconClass,description:ie.description,detail:ie.detail,picked:ie.picked,alwaysShow:ie.alwaysShow,tooltip:P?E.MarkdownString.fromStrict(ie.tooltip):void 0,handle:K})}}return g&&typeof g.onDidSelectItem=="function"&&(this.c=K=>{g.onDidSelectItem(O[K])}),i.$setItems(A,j),N.then(K=>{if(typeof K=="number")return O[K];if(Array.isArray(K))return K.map(ie=>O[ie])})})}).then(void 0,T=>{if(!(0,v.$4)(T))return i.$setError(A,T),Promise.reject(T)})}$onItemSelected(m){this.c?.(m)}showInput(m,D=I.CancellationToken.None){return this.d=m?.validateInput,i.$input(m,typeof this.d=="function",D).then(void 0,g=>{if(!(0,v.$4)(g))return Promise.reject(g)})}async $validateInput(m){if(!this.d)return;const D=await this.d(m);if(!D||typeof D=="string")return D;let g;switch(D.severity){case w.InputBoxValidationSeverity.Info:g=M.default.Info;break;case w.InputBoxValidationSeverity.Warning:g=M.default.Warning;break;case w.InputBoxValidationSeverity.Error:g=M.default.Error;break;default:g=D.message?M.default.Error:M.default.Ignore;break}return{content:D.message,severity:g}}async showWorkspaceFolderPick(m,D=I.CancellationToken.None){const g=await this.b.executeCommand("_workbench.pickWorkspaceFolder",[m]);if(!g)return;const f=await this.a.getWorkspaceFolders2();if(f)return f.find(y=>y.uri.toString()===g.uri.toString())}createQuickPick(m){const D=new s(m,()=>this.e.delete(D._id));return this.e.set(D._id,D),D}createInputBox(m){const D=new c(m,()=>this.e.delete(D._id));return this.e.set(D._id,D),D}$onDidChangeValue(m,D){this.e.get(m)?._fireDidChangeValue(D)}$onDidAccept(m){this.e.get(m)?._fireDidAccept()}$onDidChangeActive(m,D){const g=this.e.get(m);g instanceof s&&g._fireDidChangeActive(D)}$onDidChangeSelection(m,D){const g=this.e.get(m);g instanceof s&&g._fireDidChangeSelection(D)}$onDidTriggerButton(m,D){this.e.get(m)?._fireDidTriggerButton(D)}$onDidTriggerItemButton(m,D,g){const f=this.e.get(m);f instanceof s&&f._fireDidTriggerItemButton(D,g)}$onDidHide(m){this.e.get(m)?._fireDidHide()}}class r{static{this.a=1}constructor(m,D){this.x=m,this.y=D,this._id=s.a++,this.e=!1,this.f=!1,this.g=!0,this.j=!1,this.k=!0,this.l="",this.n=[],this.o=new Map,this.p=new F.$5d,this.q=new F.$5d,this.r=new F.$5d,this.s=new F.$5d,this.u={id:this._id},this.v=!1,this.w=[this.r,this.s,this.p,this.q],this.onDidChangeValue=this.q.event,this.onDidAccept=this.p.event,this.onDidTriggerButton=this.r.event,this.onDidHide=this.s.event}get title(){return this.b}set title(m){this.b=m,this.z({title:m})}get step(){return this.c}set step(m){this.c=m,this.z({step:m})}get totalSteps(){return this.d}set totalSteps(m){this.d=m,this.z({totalSteps:m})}get enabled(){return this.g}set enabled(m){this.g=m,this.z({enabled:m})}get busy(){return this.j}set busy(m){this.j=m,this.z({busy:m})}get ignoreFocusOut(){return this.k}set ignoreFocusOut(m){this.k=m,this.z({ignoreFocusOut:m})}get value(){return this.l}set value(m){this.l=m,this.z({value:m})}get placeholder(){return this.m}set placeholder(m){this.m=m,this.z({placeholder:m})}get buttons(){return this.n}set buttons(m){this.n=m.slice(),this.o.clear(),m.forEach((D,g)=>{const f=D===w.$mN.Back?-1:g;this.o.set(f,D)}),this.z({buttons:m.map((D,g)=>({...u(D.iconPath),tooltip:D.tooltip,handle:D===w.$mN.Back?-1:g}))})}show(){this.e=!0,this.f=!0,this.z({visible:!0})}hide(){this.e=!1,this.z({visible:!1})}_fireDidAccept(){this.p.fire()}_fireDidChangeValue(m){this.l=m,this.q.fire(m)}_fireDidTriggerButton(m){const D=this.o.get(m);D&&this.r.fire(D)}_fireDidHide(){this.f&&(this.f=this.e,this.s.fire())}dispose(){this.v||(this.v=!0,this._fireDidHide(),this.w=(0,$.$Oc)(this.w),this.t&&(clearTimeout(this.t),this.t=void 0),this.y(),i.$dispose(this._id))}z(m){if(!this.v){for(const D of Object.keys(m)){const g=m[D];this.u[D]=g===void 0?null:g}"visible"in this.u?(this.t&&(clearTimeout(this.t),this.t=void 0),this.A()):this.e&&!this.t&&(this.t=setTimeout(()=>{this.t=void 0,this.A()},0))}}A(){i.$createOrUpdate(this.u),this.u={id:this._id}}}function a(h){if(h instanceof w.$WM)return{id:h.id};const m=d(h),D=t(h);return{dark:typeof m=="string"?R.URI.file(m):m,light:typeof D=="string"?R.URI.file(D):D}}function t(h){return typeof h=="object"&&"light"in h?h.light:h}function d(h){return typeof h=="object"&&"dark"in h?h.dark:h}function u(h){const m=a(h);let D,g;return"id"in m?g=C.ThemeIcon.asClassName(m):D=m,{iconPath:D,iconClass:g}}class s extends r{constructor(m,D){super(m.identifier,D),this.O=m,this.B=[],this.C=new Map,this.D=new Map,this.E=!1,this.F=!0,this.G=!0,this.H=!0,this.I=!1,this.J=[],this.K=new F.$5d,this.L=[],this.M=new F.$5d,this.N=new F.$5d,this.onDidChangeActive=this.K.event,this.onDidChangeSelection=this.M.event,this.onDidTriggerItemButton=this.N.event,this.w.push(this.K,this.M,this.N),this.z({type:"quickPick"})}get items(){return this.B}set items(m){this.B=m.slice(),this.C.clear(),this.D.clear(),m.forEach((f,y)=>{this.C.set(y,f),this.D.set(f,y)});const D=(0,b.$UF)(this.O,"quickPickItemTooltip"),g=[];for(let f=0;f<m.length;f++){const y=m[f];if(y.kind===w.QuickPickItemKind.Separator)g.push({type:"separator",label:y.label});else{y.tooltip&&!D&&console.warn(`Extension '${this.O.identifier.value}' uses a tooltip which is proposed API that is only available when running out of dev or with the following command line switch: --enable-proposed-api ${this.O.identifier.value}`);const A=y.iconPath?u(y.iconPath):void 0;g.push({handle:f,label:y.label,iconPath:A?.iconPath,iconClass:A?.iconClass,description:y.description,detail:y.detail,picked:y.picked,alwaysShow:y.alwaysShow,tooltip:D?E.MarkdownString.fromStrict(y.tooltip):void 0,buttons:y.buttons?.map((N,U)=>({...u(N.iconPath),tooltip:N.tooltip,handle:U}))})}}this.z({items:g})}get canSelectMany(){return this.E}set canSelectMany(m){this.E=m,this.z({canSelectMany:m})}get matchOnDescription(){return this.F}set matchOnDescription(m){this.F=m,this.z({matchOnDescription:m})}get matchOnDetail(){return this.G}set matchOnDetail(m){this.G=m,this.z({matchOnDetail:m})}get sortByLabel(){return this.H}set sortByLabel(m){this.H=m,this.z({sortByLabel:m})}get keepScrollPosition(){return this.I}set keepScrollPosition(m){this.I=m,this.z({keepScrollPosition:m})}get activeItems(){return this.J}set activeItems(m){this.J=m.filter(D=>this.D.has(D)),this.z({activeItems:this.J.map(D=>this.D.get(D))})}get selectedItems(){return this.L}set selectedItems(m){this.L=m.filter(D=>this.D.has(D)),this.z({selectedItems:this.L.map(D=>this.D.get(D))})}_fireDidChangeActive(m){const D=(0,S.$Hb)(m.map(g=>this.C.get(g)));this.J=D,this.K.fire(D)}_fireDidChangeSelection(m){const D=(0,S.$Hb)(m.map(g=>this.C.get(g)));this.L=D,this.M.fire(D)}_fireDidTriggerItemButton(m,D){const g=this.C.get(m);if(!g||!g.buttons||!g.buttons.length)return;const f=g.buttons[D];f&&this.N.fire({button:f,item:g})}}class c extends r{constructor(m,D){super(m.identifier,D),this.B=!1,this.z({type:"inputBox"})}get password(){return this.B}set password(m){this.B=m,this.z({password:m})}get prompt(){return this.C}set prompt(m){this.C=m,this.z({prompt:m})}get valueSelection(){return this.D}set valueSelection(m){this.D=m,this.z({valueSelection:m})}get validationMessage(){return this.E}set validationMessage(m){this.E=m,m?typeof m=="string"?this.z({validationMessage:m,severity:M.default.Error}):this.z({validationMessage:m.message,severity:m.severity??M.default.Error}):this.z({validationMessage:void 0,severity:M.default.Ignore})}}return new n(p,o)}e.$njc=k}),define(Se[340],De([1,0,2,4,53,3,8,6,19,128,13,25,55,15,26,16,11]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p){"use strict";var o;Object.defineProperty(e,"__esModule",{value:!0}),e.$pjc=e.$ojc=void 0;function i(A){return A instanceof I.URI}function n(A,N){return A.scheme===l.Schemas.file&&N.scheme===l.Schemas.file&&p.$k?A.toString()===N.toString():A.toString().toLowerCase()===N.toString().toLowerCase()}function r(A){if(A)return typeof A.iconPath=="string"?I.URI.file(A.iconPath):I.URI.isUri(A.iconPath)||b.ThemeIcon.isThemeIcon(A.iconPath)?A.iconPath:void 0}function a(A){if(A.icon){if(I.URI.isUri(A.icon))return A.icon;if(b.ThemeIcon.isThemeIcon(A.icon))return A.icon;{const N=A.icon;return{light:N.light,dark:N.dark}}}else return}function t(A,N){if(!A.iconPath&&!N.iconPath)return 0;if(A.iconPath){if(!N.iconPath)return 1}else return-1;const U=typeof A.iconPath=="string"?A.iconPath:I.URI.isUri(A.iconPath)?A.iconPath.fsPath:A.iconPath.id,z=typeof N.iconPath=="string"?N.iconPath:I.URI.isUri(N.iconPath)?N.iconPath.fsPath:N.iconPath.id;return(0,S.$4q)(U,z)}function d(A,N){let U=0;if(A.strikeThrough!==N.strikeThrough)return A.strikeThrough?1:-1;if(A.faded!==N.faded)return A.faded?1:-1;if(A.tooltip!==N.tooltip)return(A.tooltip||"").localeCompare(N.tooltip||"");if(U=t(A,N),U!==0)return U;if(A.light&&N.light)U=t(A.light,N.light);else{if(A.light)return 1;if(N.light)return-1}if(U!==0)return U;if(A.dark&&N.dark)U=t(A.dark,N.dark);else{if(A.dark)return 1;if(N.dark)return-1}return U}function u(A,N){if(A.command!==N.command)return A.command<N.command?-1:1;if(A.title!==N.title)return A.title<N.title?-1:1;if(A.tooltip!==N.tooltip){if(A.tooltip!==void 0&&N.tooltip!==void 0)return A.tooltip<N.tooltip?-1:1;if(A.tooltip!==void 0)return 1;if(N.tooltip!==void 0)return-1}if(A.arguments===N.arguments)return 0;if(A.arguments)if(N.arguments){if(A.arguments.length!==N.arguments.length)return A.arguments.length-N.arguments.length}else return 1;else return-1;for(let U=0;U<A.arguments.length;U++){const z=A.arguments[U],T=N.arguments[U];if(z!==T&&!(i(z)&&i(T)&&n(z,T)))return z<T?-1:1}return 0}function s(A,N){let U=(0,S.$4q)(A.resourceUri.fsPath,N.resourceUri.fsPath,!0);if(U!==0)return U;if(A.command&&N.command)U=u(A.command,N.command);else{if(A.command)return 1;if(N.command)return-1}if(U!==0)return U;if(A.decorations&&N.decorations)U=d(A.decorations,N.decorations);else{if(A.decorations)return 1;if(N.decorations)return-1}if(A.multiFileDiffEditorModifiedUri&&N.multiFileDiffEditorModifiedUri)U=(0,S.$4q)(A.multiFileDiffEditorModifiedUri.fsPath,N.multiFileDiffEditorModifiedUri.fsPath,!0);else{if(A.multiFileDiffEditorModifiedUri)return 1;if(N.multiFileDiffEditorModifiedUri)return-1}if(A.multiDiffEditorOriginalUri&&N.multiDiffEditorOriginalUri)U=(0,S.$4q)(A.multiDiffEditorOriginalUri.fsPath,N.multiDiffEditorOriginalUri.fsPath,!0);else{if(A.multiDiffEditorOriginalUri)return 1;if(N.multiDiffEditorOriginalUri)return-1}return U}function c(A,N){for(let U=0;U<A.length;U++)if(A[U]!==N[U])return!1;return!0}function h(A,N){return A.command===N.command&&A.title===N.title&&A.tooltip===N.tooltip&&(A.arguments&&N.arguments?c(A.arguments,N.arguments):A.arguments===N.arguments)}function m(A,N){return(0,v.$ub)(A,N,h)}class D{#e;#t;get value(){return this.d}set value(N){N=N??"",this.#e.$setInputBoxValue(this.l,N),this.n(N)}get onDidChange(){return this.e.event}get placeholder(){return this.f}set placeholder(N){this.#e.$setInputBoxPlaceholder(this.l,N),this.f=N}get validateInput(){return(0,k.$VF)(this.k,"scmValidation"),this.g}set validateInput(N){if((0,k.$VF)(this.k,"scmValidation"),N&&typeof N!="function")throw new Error(`[${this.k.identifier.value}]: Invalid SCM input box validation function`);this.g=N,this.#e.$setValidationProviderIsEnabled(this.l,!!N)}get enabled(){return this.h}set enabled(N){N=!!N,this.h!==N&&(this.h=N,this.#e.$setInputBoxEnablement(this.l,N))}get visible(){return this.j}set visible(N){N=!!N,this.j!==N&&(this.j=N,this.#e.$setInputBoxVisibility(this.l,N))}get document(){return(0,k.$VF)(this.k,"scmTextDocument"),this.#t.getDocument(this.m)}constructor(N,U,z,T,P){this.k=N,this.l=T,this.m=P,this.d="",this.e=new F.$5d,this.f="",this.h=!0,this.j=!0,this.#t=U,this.#e=z}showValidationMessage(N,U){(0,k.$VF)(this.k,"scmValidation"),this.#e.$showValidationMessage(this.l,N,U)}$onInputBoxValueChange(N){this.n(N)}n(N){this.d=N,this.e.fire(N)}}e.$ojc=D;class g{static{this.d=0}get disposed(){return this.l}get id(){return this.u}get label(){return this.v}set label(N){this.v=N,this.q.$updateGroupLabel(this.t,this.handle,N)}get hideWhenEmpty(){return this.p}set hideWhenEmpty(N){this.p=N,this.q.$updateGroup(this.t,this.handle,this.features)}get features(){return{hideWhenEmpty:this.hideWhenEmpty}}get resourceStates(){return[...this.f]}set resourceStates(N){this.f=[...N],this.k.fire()}constructor(N,U,z,T,P,O,j){this.q=N,this.s=U,this.t=z,this.u=T,this.v=P,this.multiDiffEditorEnableViewChanges=O,this.w=j,this.e=0,this.f=[],this.g=new Map,this.h=new Map,this.j=new Map,this.k=new F.$5d,this.onDidUpdateResourceStates=this.k.event,this.l=!1,this.m=new F.$5d,this.onDidDispose=this.m.event,this.n=[],this.o=[],this.p=void 0,this.handle=g.d++}getResourceState(N){return this.g.get(N)}$executeResourceCommand(N,U){const z=this.h.get(N);return z?(0,R.$9g)(()=>this.s.executeCommand(z.command,...z.arguments||[],U)):Promise.resolve(void 0)}_takeResourceStateSnapshot(){const N=[...this.f].sort(s),z=(0,v.$Db)(this.o,N,s).map(O=>{const j=O.toInsert.map(K=>{const ie=this.e++;this.g.set(ie,K);const _=K.resourceUri;let X;if(K.command)if(K.command.command==="vscode.open"||K.command.command==="vscode.diff"||K.command.command==="vscode.changes"){const de=new L.$Sc;X=this.s.converter.toInternal(K.command,de),this.j.set(ie,de)}else this.h.set(ie,K.command);const Y=(0,k.$UF)(this.w,"scmMultiDiffEditor"),ae=Y?K.multiDiffEditorOriginalUri:void 0,ee=Y?K.multiFileDiffEditorModifiedUri:void 0,fe=r(K.decorations),re=K.decorations&&r(K.decorations.light)||fe,J=K.decorations&&r(K.decorations.dark)||fe,B=[re,J],se=K.decorations&&K.decorations.tooltip||"",Ee=K.decorations&&!!K.decorations.strikeThrough,le=K.decorations&&!!K.decorations.faded,he=K.contextValue||"";return{rawResource:[ie,_,B,se,Ee,le,he,X,ae,ee],handle:ie}});return{start:O.start,deleteCount:O.deleteCount,toInsert:j}}),T=z.map(({start:O,deleteCount:j,toInsert:K})=>[O,j,K.map(ie=>ie.rawResource)]),P=z.reverse();for(const{start:O,deleteCount:j,toInsert:K}of P){const ie=K.map(X=>X.handle),_=this.n.splice(O,j,...ie);for(const X of _)this.g.delete(X),this.h.delete(X),this.j.get(X)?.dispose(),this.j.delete(X)}return this.o=N,T}dispose(){this.l=!0,this.m.fire()}}class f{static{this.d=0}#e;get id(){return this.z}get label(){return this.A}get rootUri(){return this.B}get inputBox(){return this.f}get count(){return this.g}set count(N){this.g!==N&&(this.g=N,this.#e.$updateSourceControl(this.w,{count:N}))}get quickDiffProvider(){return this.h}set quickDiffProvider(N){this.h=N;let U;(0,k.$UF)(this.x,"quickDiffProvider")&&(U=N?.label),this.#e.$updateSourceControl(this.w,{hasQuickDiffProvider:!!N,quickDiffLabel:U})}get historyProvider(){return(0,k.$VF)(this.x,"scmHistoryProvider"),this.j}set historyProvider(N){(0,k.$VF)(this.x,"scmHistoryProvider"),this.j=N,this.k.value=new L.$Sc,this.#e.$updateSourceControl(this.w,{hasHistoryProvider:!!N}),N&&this.k.value.add(N.onDidChangeCurrentHistoryItemGroup(()=>{this.l=N?.currentHistoryItemGroup,this.#e.$onDidChangeHistoryProviderCurrentHistoryItemGroup(this.w,this.l)}))}get commitTemplate(){return this.m}set commitTemplate(N){N!==this.m&&(this.m=N,this.#e.$updateSourceControl(this.w,{commitTemplate:N}))}get acceptInputCommand(){return this.o}set acceptInputCommand(N){this.n.value=new L.$Sc,this.o=N;const U=this.y.converter.toInternal(N,this.n.value);this.#e.$updateSourceControl(this.w,{acceptInputCommand:U})}get actionButton(){return(0,k.$VF)(this.x,"scmActionButton"),this.q}set actionButton(N){(0,k.$VF)(this.x,"scmActionButton"),this.p.value=new L.$Sc,this.q=N;const U=N!==void 0?{command:this.y.converter.toInternal(N.command,this.p.value),secondaryCommands:N.secondaryCommands?.map(z=>z.map(T=>this.y.converter.toInternal(T,this.p.value))),description:N.description,enabled:N.enabled}:void 0;this.#e.$updateSourceControl(this.w,{actionButton:U??null})}get statusBarCommands(){return this.t}set statusBarCommands(N){if(this.t&&N&&m(this.t,N))return;this.s.value=new L.$Sc,this.t=N;const U=(N||[]).map(z=>this.y.converter.toInternal(z,this.s.value));this.#e.$updateSourceControl(this.w,{statusBarCommands:U})}get selected(){return this.u}constructor(N,U,z,T,P,O,j){this.x=N,this.y=T,this.z=P,this.A=O,this.B=j,this.e=new Map,this.g=void 0,this.h=void 0,this.k=new L.$Uc,this.m=void 0,this.n=new L.$Uc,this.o=void 0,this.p=new L.$Uc,this.s=new L.$Uc,this.t=void 0,this.u=!1,this.v=new F.$5d,this.onDidChangeSelection=this.v.event,this.w=f.d++,this.C=new Map,this.D=new Set,this.#e=z;const K=I.URI.from({scheme:l.Schemas.vscodeSourceControl,path:`${P}/scm${this.w}/input`,query:j?`rootUri=${encodeURIComponent(j.toString())}`:void 0});this.f=new D(N,U,this.#e,this.w,K),this.#e.$registerSourceControl(this.w,P,O,j,K)}createResourceGroup(N,U,z){const T=(0,k.$UF)(this.x,"scmMultiDiffEditor")&&z?.multiDiffEditorEnableViewChanges===!0,P=new g(this.#e,this.y,this.w,N,U,T,this.x),O=F.Event.once(P.onDidDispose)(()=>this.C.delete(P));return this.C.set(P,O),this.eventuallyAddResourceGroups(),P}eventuallyAddResourceGroups(){const N=[],U=[];for(const[z,T]of this.C){T.dispose();const P=z.onDidUpdateResourceStates(()=>{this.D.add(z),this.eventuallyUpdateResourceStates()});F.Event.once(z.onDidDispose)(()=>{this.D.delete(z),P.dispose(),this.e.delete(z.handle),this.#e.$unregisterGroup(this.w,z.handle)}),N.push([z.handle,z.id,z.label,z.features,z.multiDiffEditorEnableViewChanges]);const O=z._takeResourceStateSnapshot();O.length>0&&U.push([z.handle,O]),this.e.set(z.handle,z)}this.#e.$registerGroups(this.w,N,U),this.C.clear()}eventuallyUpdateResourceStates(){const N=[];this.D.forEach(U=>{const z=U._takeResourceStateSnapshot();z.length!==0&&N.push([U.handle,z])}),N.length>0&&this.#e.$spliceResourceStates(this.w,N),this.D.clear()}getResourceGroup(N){return this.e.get(N)}setSelectionState(N){this.u=N,this.v.fire(N)}dispose(){this.n.dispose(),this.p.dispose(),this.s.dispose(),this.e.forEach(N=>N.dispose()),this.#e.$unregisterSourceControl(this.w)}}Je([(0,$.$Jh)(100)],f.prototype,"eventuallyAddResourceGroups",null),Je([(0,$.$Jh)(100)],f.prototype,"eventuallyUpdateResourceStates",null);let y=class{static{o=this}static{this.d=0}get onDidChangeActiveProvider(){return this.j.event}constructor(N,U,z,T){this.l=U,this.m=z,this.n=T,this.g=new Map,this.h=new C.$ym,this.j=new F.$5d,this.e=N.getProxy(w.$ZL.MainThreadSCM),this.f=N.getProxy(w.$ZL.MainThreadTelemetry),U.registerArgumentProcessor({processArgument:P=>{if(P&&P.$mid===3){const O=this.g.get(P.sourceControlHandle);if(!O)return P;const j=O.getResourceGroup(P.groupHandle);return j?j.getResourceState(P.handle):P}else if(P&&P.$mid===4){const O=this.g.get(P.sourceControlHandle);return O?O.getResourceGroup(P.groupHandle):P}else if(P&&P.$mid===5){const O=this.g.get(P.handle);return O||P}return P}})}createSourceControl(N,U,z,T){this.n.trace("ExtHostSCM#createSourceControl",N.identifier.value,U,z,T),this.f.$publicLog2("api/scm/createSourceControl",{extensionId:N.identifier.value});const P=o.d++,O=new f(N,this.m,this.e,this.l,U,z,T);this.g.set(P,O);const j=this.h.get(N.identifier)||[];return j.push(O),this.h.set(N.identifier,j),O}getLastInputBox(N){this.n.trace("ExtHostSCM#getLastInputBox",N.identifier.value);const U=this.h.get(N.identifier),z=U&&U[U.length-1];return z&&z.inputBox}$provideOriginalResource(N,U,z){const T=I.URI.revive(U);this.n.trace("ExtHostSCM#$provideOriginalResource",N,T.toString());const P=this.g.get(N);return!P||!P.quickDiffProvider||!P.quickDiffProvider.provideOriginalResource?Promise.resolve(null):(0,R.$9g)(()=>P.quickDiffProvider.provideOriginalResource(T,z)).then(O=>O||null)}$onInputBoxValueChange(N,U){this.n.trace("ExtHostSCM#$onInputBoxValueChange",N);const z=this.g.get(N);return z&&z.inputBox.$onInputBoxValueChange(U),Promise.resolve(void 0)}$executeResourceCommand(N,U,z,T){this.n.trace("ExtHostSCM#$executeResourceCommand",N,U,z);const P=this.g.get(N);if(!P)return Promise.resolve(void 0);const O=P.getResourceGroup(U);return O?O.$executeResourceCommand(z,T):Promise.resolve(void 0)}$validateInput(N,U,z){this.n.trace("ExtHostSCM#$validateInput",N);const T=this.g.get(N);return!T||!T.inputBox.validateInput?Promise.resolve(void 0):(0,R.$9g)(()=>T.inputBox.validateInput(U,z)).then(P=>{if(!P)return Promise.resolve(void 0);const O=E.MarkdownString.fromStrict(P.message);return O?Promise.resolve([O,P.type]):Promise.resolve(void 0)})}$setSelectedSourceControl(N){return this.n.trace("ExtHostSCM#$setSelectedSourceControl",N),N!==void 0&&this.g.get(N)?.setSelectionState(!0),this.k!==void 0&&this.g.get(this.k)?.setSelectionState(!1),this.k=N,Promise.resolve(void 0)}async $resolveHistoryItemGroupCommonAncestor(N,U,z,T){return await this.g.get(N)?.historyProvider?.resolveHistoryItemGroupCommonAncestor(U,z,T)??void 0}async $provideHistoryItems(N,U,z,T){return(await this.g.get(N)?.historyProvider?.provideHistoryItems(U,z,T))?.map(j=>({...j,icon:a(j)}))??void 0}async $provideHistoryItemSummary(N,U,z,T){const P=this.g.get(N)?.historyProvider;if(typeof P?.provideHistoryItemSummary!="function")return;const O=await P.provideHistoryItemSummary(U,z,T);return O?{...O,icon:a(O)}:void 0}async $provideHistoryItemChanges(N,U,z,T){return await this.g.get(N)?.historyProvider?.provideHistoryItemChanges(U,z,T)??void 0}};e.$pjc=y,e.$pjc=y=o=Je([Ve(3,M.$yj)],y)}),define(Se[341],De([1,0,6,15,2]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$qjc=void 0;class L{static{this.a=0}constructor(w,v){this.d=v,this.c=new Map,this.b=w.getProxy(I.$ZL.MainThreadShare)}async $provideShare(w,v,S){return await this.c.get(w)?.provideShare({selection:F.Range.to(v.selection),resourceUri:$.URI.revive(v.resourceUri)},S)??void 0}registerShareProvider(w,v){const S=L.a++;return this.c.set(S,v),this.b.$registerShareProvider(S,F.DocumentSelector.from(w,this.d),v.id,v.label,v.priority),{dispose:()=>{this.b.$unregisterShareProvider(S),this.c.delete(S)}}}}e.$qjc=L}),define(Se[342],De([1,0,7,6,218,3,15,18]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tjc=e.$sjc=void 0;class v{static{this.a=0}static{this.b=new Map([["statusBarItem.errorBackground",new I.$XM("statusBarItem.errorForeground")],["statusBarItem.warningBackground",new I.$XM("statusBarItem.warningForeground")]])}#e;#t;constructor(b,E,k,l,p,o=I.StatusBarAlignment.Left,i){if(this.i=!1,this.k="",this.q=new L.$Sc,this.#e=b,this.#t=E,p&&l){this.c=(0,I.$AM)(l.identifier,p);const n=k.get(this.c);n&&(o=n.alignLeft?I.StatusBarAlignment.Left:I.StatusBarAlignment.Right,i=n.priority,this.j=!0,this.name=n.name,this.text=n.text,this.tooltip=n.tooltip,this.command=n.command,this.accessibilityInformation=n.accessibilityInformation)}else this.c=String(v.a++);this.e=l,this.f=p,this.g=o,this.h=this.u(i)}u(b){if((0,w.$Wf)(b))return b===Number.POSITIVE_INFINITY?Number.MAX_VALUE:b===Number.NEGATIVE_INFINITY?-Number.MAX_VALUE:b}get id(){return this.f??this.e.identifier.value}get alignment(){return this.g}get priority(){return this.h}get text(){return this.k}get name(){return this.m}get tooltip(){return this.l}get color(){return this.n}get backgroundColor(){return this.o}get command(){return this.r?.fromApi}get accessibilityInformation(){return this.t}set text(b){this.k=b,this.v()}set name(b){this.m=b,this.v()}set tooltip(b){this.l=b,this.v()}set color(b){this.n=b,this.v()}set backgroundColor(b){b&&!v.b.has(b.id)&&(b=void 0),this.o=b,this.v()}set command(b){this.r?.fromApi!==b&&(this.p&&this.q.add(this.p),this.p=new L.$Sc,typeof b=="string"?this.r={fromApi:b,internal:this.#t.toInternal({title:"",command:b},this.p)}:b?this.r={fromApi:b,internal:this.#t.toInternal(b,this.p)}:this.r=void 0,this.v())}set accessibilityInformation(b){this.t=b,this.v()}show(){this.j=!0,this.v()}hide(){clearTimeout(this.s),this.j=!1,this.#e.$disposeEntry(this.c)}v(){this.i||!this.j||(clearTimeout(this.s),this.s=setTimeout(()=>{this.s=void 0;let b;this.e?this.f?b=`${this.e.identifier.value}.${this.f}`:b=this.e.identifier.value:b=this.f;let E;this.m?E=this.m:E=(0,$.localize)(0,null,this.e.displayName||this.e.name);let k=this.n;this.o&&(k=v.b.get(this.o.id));const l=R.MarkdownString.fromStrict(this.l);this.#e.$setEntry(this.c,b,this.e?.identifier.value,E,this.k,l,this.r?.internal,k,this.o,this.g===I.StatusBarAlignment.Left,this.h,this.t),this.q.clear()},0))}dispose(){this.hide(),this.i=!0}}e.$sjc=v;class S{constructor(b){this.b=[],this.a=b.createStatusBarEntry(void 0,"status.extensionMessage",I.StatusBarAlignment.Left,Number.MIN_VALUE),this.a.name=(0,$.localize)(1,null)}dispose(){this.b.length=0,this.a.dispose()}setMessage(b){const E={message:b};return this.b.unshift(E),this.c(),new I.$2L(()=>{const k=this.b.indexOf(E);k>=0&&(this.b.splice(k,1),this.c())})}c(){this.b.length>0?(this.a.text=this.b[0].message,this.a.show()):this.a.hide()}}class M{constructor(b,E){this.e=new Map,this.a=b.getProxy(F.$ZL.MainThreadStatusBar),this.b=E,this.c=new S(this)}$acceptStaticEntries(b){for(const E of b)this.e.set(E.entryId,E)}createStatusBarEntry(b,E,k,l){return new v(this.a,this.b,this.e,b,E,k,l)}setStatusBarMessage(b,E){const k=this.c.setMessage(b);let l;return typeof E=="number"?l=setTimeout(()=>k.dispose(),E):typeof E<"u"&&E.then(()=>k.dispose(),()=>k.dispose()),new I.$2L(()=>{k.dispose(),clearTimeout(l)})}}e.$tjc=M}),define(Se[151],De([1,0,29,141,67,111,89,15,2]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$tO=e.$sO=e.$rO=e.$qO=void 0;const S=(n,r,a,t)=>{let d=r;return{enumerable:!0,configurable:!1,get(){return d},set(u){if(!a(d,u)){const s=d;d=u,n.listener?.(t(u,s))}}}},M=(n,r)=>n===r,C={range:(n,r)=>n===r?!0:!n||!r?!1:n.isEqual(r),label:M,description:M,sortText:M,busy:M,error:M,canResolveChildren:M,tags:(n,r)=>!(n.length!==r.length||n.some(a=>!r.find(t=>a.id===t.id)))},b=n=>r=>({op:4,update:n(r)}),E=(n,r)=>({range:(()=>{let a;const t=b(d=>({range:I.$6s.lift(w.Range.from(d))}));return{enumerable:!0,configurable:!1,get(){return a},set(d){n.listener?.({op:6}),C.range(a,d)||(a=d,n.listener?.(t(d)))}}})(),label:S(n,r,C.label,b(a=>({label:a}))),description:S(n,void 0,C.description,b(a=>({description:a}))),sortText:S(n,void 0,C.sortText,b(a=>({sortText:a}))),canResolveChildren:S(n,!1,C.canResolveChildren,a=>({op:2,state:a})),busy:S(n,!1,C.busy,b(a=>({busy:a}))),error:S(n,void 0,C.error,b(a=>({error:w.MarkdownString.fromStrict(a)||null}))),tags:S(n,[],C.tags,(a,t)=>({op:1,new:a.map(w.TestTag.from),old:t.map(w.TestTag.from)}))}),k=n=>{const r=$.$QK.fromString(n.extId),a=new p(r.controllerId,r.localId,n.label,v.URI.revive(n.uri)||void 0);return a.range=w.Range.to(n.range||void 0),a.description=n.description||void 0,a.sortText=n.sortText||void 0,a.tags=n.tags.map(t=>w.TestTag.to({id:(0,R.$VK)(t).tagId})),a},l=n=>{let r;for(const a of n.tests){const t=k(a.item);(0,F.$aO)(t).parent=r,r=t}return r};e.$qO=l;class p{constructor(r,a,t,d){if(a.includes("\0"))throw new Error(`Test IDs may not include the ${JSON.stringify(a)} symbol`);const u=(0,F.$_N)(this,r);Object.defineProperties(this,{id:{value:a,enumerable:!0,writable:!1},uri:{value:d,enumerable:!0,writable:!1},parent:{enumerable:!1,get(){return u.parent instanceof o?void 0:u.parent}},children:{value:(0,L.$$N)(u,F.$aO,p),enumerable:!0,writable:!1},...E(u,t)})}}e.$rO=p;class o extends p{constructor(r,a){super(r,r,a,void 0),this._isRoot=!0}}e.$sO=o;class i extends L.$7N{constructor(r,a,t){super({controllerId:r,getDocumentVersion:d=>d&&t.getDocument(d)?.version,getApiFor:F.$aO,getChildren:d=>d.children,root:new o(r,a),toITestItem:w.TestItem.from})}}e.$tO=i}),define(Se[33],De([1,0,18,7,15,24,6,19,13,56,29,49,2,3,5,20,151,21,68,40,38,87,90,30]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EO=e.$DO=e.$CO=e.$BO=e.$AO=e.$zO=void 0;let u=class{#e;#t;#i;constructor(g,f,y){this.b=new Map,this.c=new Map,this.#e=g.getProxy(R.$ZL.MainThreadCommands),this.d=f,this.#i=y,this.#t=g.getProxy(R.$ZL.MainThreadTelemetry),this.converter=new s(this,A=>{const N=this.c.get(A);return N?.result===h.Void?N:void 0},f),this.f=[{processArgument(A){return(0,S.$Nh)(A)}},{processArgument(A){return(0,L.$Jn)(A,function(N){if(M.$6s.isIRange(N))return $.Range.to(N);if(C.$5s.isIPosition(N))return $.Position.to(N);if(M.$6s.isIRange(N.range)&&b.URI.isUri(N.uri))return $.location.to(N);if(N instanceof o.$se)return N.buffer.buffer;if(!Array.isArray(N))return N})}}]}registerArgumentProcessor(g){this.f.push(g)}registerApiCommand(g){const f=this.registerCommand(!1,g.id,async(...y)=>{const A=g.args.map((U,z)=>{if(!U.validate(y[z]))throw new Error(`Invalid argument '${U.name}' when running '${g.id}', received: ${typeof y[z]=="object"?JSON.stringify(y[z],null,"	"):y[z]} `);return U.convert(y[z])}),N=await this.executeCommand(g.internalId,...A);return g.result.convert(N,y,this.converter)},void 0,{description:g.description,args:g.args,returns:g.result.description});return this.c.set(g.id,g),new F.$2L(()=>{f.dispose(),this.c.delete(g.id)})}registerCommand(g,f,y,A,N,U){if(this.d.trace("ExtHostCommands#registerCommand",f),!f.trim().length)throw new Error("invalid id");if(this.b.has(f))throw new Error(`command '${f}' already exists`);return this.b.set(f,{callback:y,thisArg:A,metadata:N,extension:U}),g&&this.#e.$registerCommand(f),new F.$2L(()=>{this.b.delete(f)&&g&&this.#e.$unregisterCommand(f)})}executeCommand(g,...f){return this.d.trace("ExtHostCommands#executeCommand",g),this.g(g,f,!0)}async g(g,f,y){if(this.b.has(g))return this.#e.$fireCommandActivationEvent(g),this.h(g,f,!1);{let A=!1;const N=(0,L.$Jn)(f,function(U){if(U instanceof F.$3L)return $.Position.from(U);if(U instanceof F.$4L)return $.Range.from(U);if(U instanceof F.$bM)return $.location.from(U);if(F.$pN.isNotebookRange(U))return $.NotebookRange.from(U);if(U instanceof ArrayBuffer)return A=!0,o.$se.wrap(new Uint8Array(U));if(U instanceof Uint8Array)return A=!0,o.$se.wrap(U);if(U instanceof o.$se)return A=!0,U;if(!Array.isArray(U))return U});try{const U=await this.#e.$executeCommand(g,A?new i.$6v(N):N,y);return(0,S.$Nh)(U)}catch(U){if(U instanceof Error&&U.message==="$executeCommand:retry")return this.g(g,f,!1);throw U}}}async h(g,f,y){const A=this.b.get(g);if(!A)throw new Error("Unknown command");const{callback:N,thisArg:U,metadata:z}=A;if(z?.args)for(let P=0;P<z.args.length;P++)try{(0,I.$0f)(f[P],z.args[P].constraint)}catch{throw new Error(`Running the contributed command: '${g}' failed. Illegal argument '${z.args[P].name}' - ${z.args[P].description}`)}const T=r.$1d.create();try{return await N.apply(U,f)}catch(P){if(g===this.converter.delegatingCommandId){const O=this.converter.getActualCommand(...f);O&&(g=O.command)}if(this.d.error(P,g,A.extension?.identifier),!y)throw P;if(A.extension?.identifier){const O=this.#i.onExtensionError(A.extension.identifier,P);this.d.trace("forwarded error to extension?",O,A.extension?.identifier)}throw new class extends Error{constructor(){super((0,n.$2i)(P)),this.id=g,this.source=A.extension?.displayName??A.extension?.name}}}finally{this.j(A,g,T.elapsed())}}j(g,f,y){g.extension&&this.#t.$publicLog2("Extension:ActionExecuted",{extensionId:g.extension.identifier.value,id:new a.$Wo(f),duration:y})}$executeContributedCommand(g,...f){this.d.trace("ExtHostCommands#$executeContributedCommand",g);const y=this.b.get(g);return y?(f=f.map(A=>this.f.reduce((N,U)=>U.processArgument(N,y.extension?.identifier),A)),this.h(g,f,!0)):Promise.reject(new Error(`Contributed command '${g}' does not exist.`))}getCommands(g=!1){return this.d.trace("ExtHostCommands#getCommands",g),this.#e.$getCommands().then(f=>(g&&(f=f.filter(y=>y[0]!=="_")),f))}$getContributedCommandMetadata(){const g=Object.create(null);for(const[f,y]of this.b){const{metadata:A}=y;A&&(g[f]=A)}return Promise.resolve(g)}};e.$zO=u,e.$zO=u=Je([Ve(0,l.$eO),Ve(1,v.$yj),Ve(2,t.$yO)],u),e.$AO=(0,k.$ei)("IExtHostCommands");class s{constructor(g,f,y){this.d=g,this.f=f,this.g=y,this.delegatingCommandId=`__vsc${(0,d.$Ag)()}`,this.b=new Map,this.c=0,this.d.registerCommand(!0,this.delegatingCommandId,this.h,this)}toInternal(g,f){if(!g)return;const y={$ident:void 0,id:g.command,title:g.title,tooltip:g.tooltip};if(!g.command)return y;const A=this.f(g.command);if(A)y.id=A.internalId,y.arguments=A.args.map((N,U)=>N.convert(g.arguments&&g.arguments[U]));else if((0,w.$Lb)(g.arguments)){const N=`${g.command} /${++this.c}`;this.b.set(N,g),f.add((0,E.$Rc)(()=>{this.b.delete(N),this.g.trace("CommandsConverter#DISPOSE",N)})),y.$ident=N,y.id=this.delegatingCommandId,y.arguments=[N],this.g.trace("CommandsConverter#CREATE",g.command,N)}return y}fromInternal(g){return typeof g.$ident=="string"?this.b.get(g.$ident):{command:g.id,title:g.title,arguments:g.arguments}}getActualCommand(...g){return this.b.get(g[0])}h(...g){const f=this.getActualCommand(...g);return this.g.trace("CommandsConverter#EXECUTE",g[0],f?f.command:"MISSING"),f?this.d.executeCommand(f.command,...f.arguments||[]):Promise.reject(`Actual command not found, wanted to execute ${g[0]}`)}}e.$BO=s;class c{static{this.Uri=new c("uri","Uri of a text document",g=>b.URI.isUri(g),g=>g)}static{this.Position=new c("position","A position in a text document",g=>F.$3L.isPosition(g),$.Position.from)}static{this.Range=new c("range","A range in a text document",g=>F.$4L.isRange(g),$.Range.from)}static{this.Selection=new c("selection","A selection in a text document",g=>F.$5L.isSelection(g),$.Selection.from)}static{this.Number=new c("number","",g=>typeof g=="number",g=>g)}static{this.String=new c("string","",g=>typeof g=="string",g=>g)}static{this.StringArray=c.Arr(c.String)}static Arr(g){return new c(`${g.name}_array`,`Array of ${g.name}, ${g.description}`,f=>Array.isArray(f)&&f.every(y=>g.validate(y)),f=>f.map(y=>g.convert(y)))}static{this.CallHierarchyItem=new c("item","A call hierarchy item",g=>g instanceof F.$mM,$.CallHierarchyItem.from)}static{this.TypeHierarchyItem=new c("item","A type hierarchy item",g=>g instanceof F.$IN,$.TypeHierarchyItem.from)}static{this.TestItem=new c("testItem","A VS Code TestItem",g=>g instanceof p.$rO,$.TestItem.from)}constructor(g,f,y,A){this.name=g,this.description=f,this.validate=y,this.convert=A}optional(){return new c(this.name,`(optional) ${this.description}`,g=>g==null||this.validate(g),g=>g===void 0?void 0:g===null?null:this.convert(g))}with(g,f){return new c(g??this.name,f??this.description,this.validate,this.convert)}}e.$CO=c;class h{static{this.Void=new h("no result",g=>g)}constructor(g,f){this.description=g,this.convert=f}}e.$DO=h;class m{constructor(g,f,y,A,N){this.id=g,this.internalId=f,this.description=y,this.args=A,this.result=N}}e.$EO=m}),define(Se[343],De([1,0,19,16,2,83,131,45,33,15,7]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ohc=void 0;const C=[new v.$EO("vscode.executeDocumentHighlights","_executeDocumentHighlights","Execute document highlight provider.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of DocumentHighlight-instances.",E(S.DocumentHighlight.to))),new v.$EO("vscode.executeDocumentSymbolProvider","_executeDocumentSymbolProvider","Execute document symbol provider.",[v.$CO.Uri],new v.$DO("A promise that resolves to an array of SymbolInformation and DocumentSymbol instances.",(l,p)=>{if((0,I.$Kb)(l))return;class o extends M.$hM{static to(n){const r=new o(n.name,S.SymbolKind.to(n.kind),n.containerName||"",new M.$bM(p[0],S.Range.to(n.range)));return r.detail=n.detail,r.range=r.location.range,r.selectionRange=S.Range.to(n.selectionRange),r.children=n.children?n.children.map(o.to):[],r}}return l.map(o.to)})),new v.$EO("vscode.executeFormatDocumentProvider","_executeFormatDocumentProvider","Execute document format provider.",[v.$CO.Uri,new v.$CO("options","Formatting options",l=>!0,l=>l)],new v.$DO("A promise that resolves to an array of TextEdits.",E(S.TextEdit.to))),new v.$EO("vscode.executeFormatRangeProvider","_executeFormatRangeProvider","Execute range format provider.",[v.$CO.Uri,v.$CO.Range,new v.$CO("options","Formatting options",l=>!0,l=>l)],new v.$DO("A promise that resolves to an array of TextEdits.",E(S.TextEdit.to))),new v.$EO("vscode.executeFormatOnTypeProvider","_executeFormatOnTypeProvider","Execute format on type provider.",[v.$CO.Uri,v.$CO.Position,new v.$CO("ch","Trigger character",l=>typeof l=="string",l=>l),new v.$CO("options","Formatting options",l=>!0,l=>l)],new v.$DO("A promise that resolves to an array of TextEdits.",E(S.TextEdit.to))),new v.$EO("vscode.executeDefinitionProvider","_executeDefinitionProvider","Execute all definition providers.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of Location or LocationLink instances.",k)),new v.$EO("vscode.executeTypeDefinitionProvider","_executeTypeDefinitionProvider","Execute all type definition providers.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of Location or LocationLink instances.",k)),new v.$EO("vscode.executeDeclarationProvider","_executeDeclarationProvider","Execute all declaration providers.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of Location or LocationLink instances.",k)),new v.$EO("vscode.executeImplementationProvider","_executeImplementationProvider","Execute all implementation providers.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of Location or LocationLink instances.",k)),new v.$EO("vscode.executeReferenceProvider","_executeReferenceProvider","Execute all reference providers.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of Location-instances.",E(S.location.to))),new v.$EO("vscode.executeHoverProvider","_executeHoverProvider","Execute all hover providers.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of Hover-instances.",E(S.Hover.to))),new v.$EO("vscode.executeSelectionRangeProvider","_executeSelectionRangeProvider","Execute selection range provider.",[v.$CO.Uri,new v.$CO("position","A position in a text document",l=>Array.isArray(l)&&l.every(p=>M.$3L.isPosition(p)),l=>l.map(S.Position.from))],new v.$DO("A promise that resolves to an array of ranges.",l=>l.map(p=>{let o;for(const i of p.reverse())o=new M.$lM(S.Range.to(i),o);return o}))),new v.$EO("vscode.executeWorkspaceSymbolProvider","_executeWorkspaceSymbolProvider","Execute all workspace symbol providers.",[v.$CO.String.with("query","Search string")],new v.$DO("A promise that resolves to an array of SymbolInformation-instances.",l=>l.map(S.WorkspaceSymbol.to))),new v.$EO("vscode.prepareCallHierarchy","_executePrepareCallHierarchy","Prepare call hierarchy at a position inside a document",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of CallHierarchyItem-instances",l=>l.map(S.CallHierarchyItem.to))),new v.$EO("vscode.provideIncomingCalls","_executeProvideIncomingCalls","Compute incoming calls for an item",[v.$CO.CallHierarchyItem],new v.$DO("A promise that resolves to an array of CallHierarchyIncomingCall-instances",l=>l.map(S.CallHierarchyIncomingCall.to))),new v.$EO("vscode.provideOutgoingCalls","_executeProvideOutgoingCalls","Compute outgoing calls for an item",[v.$CO.CallHierarchyItem],new v.$DO("A promise that resolves to an array of CallHierarchyOutgoingCall-instances",l=>l.map(S.CallHierarchyOutgoingCall.to))),new v.$EO("vscode.prepareRename","_executePrepareRename","Execute the prepareRename of rename provider.",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to a range and placeholder text.",l=>{if(l)return{range:S.Range.to(l.range),placeholder:l.text}})),new v.$EO("vscode.executeDocumentRenameProvider","_executeDocumentRenameProvider","Execute rename provider.",[v.$CO.Uri,v.$CO.Position,v.$CO.String.with("newName","The new symbol name")],new v.$DO("A promise that resolves to a WorkspaceEdit.",l=>{if(l){if(l.rejectReason)throw new Error(l.rejectReason);return S.WorkspaceEdit.to(l)}})),new v.$EO("vscode.executeLinkProvider","_executeLinkProvider","Execute document link provider.",[v.$CO.Uri,v.$CO.Number.with("linkResolveCount","Number of links that should be resolved, only when links are unresolved.").optional()],new v.$DO("A promise that resolves to an array of DocumentLink-instances.",l=>l.map(S.DocumentLink.to))),new v.$EO("vscode.provideDocumentSemanticTokensLegend","_provideDocumentSemanticTokensLegend","Provide semantic tokens legend for a document",[v.$CO.Uri],new v.$DO("A promise that resolves to SemanticTokensLegend.",l=>{if(l)return new M.$gN(l.tokenTypes,l.tokenModifiers)})),new v.$EO("vscode.provideDocumentSemanticTokens","_provideDocumentSemanticTokens","Provide semantic tokens for a document",[v.$CO.Uri],new v.$DO("A promise that resolves to SemanticTokens.",l=>{if(!l)return;const p=(0,R.$9_)(l);if(p.type==="full")return new M.$iN(p.data,void 0)})),new v.$EO("vscode.provideDocumentRangeSemanticTokensLegend","_provideDocumentRangeSemanticTokensLegend","Provide semantic tokens legend for a document range",[v.$CO.Uri,v.$CO.Range.optional()],new v.$DO("A promise that resolves to SemanticTokensLegend.",l=>{if(l)return new M.$gN(l.tokenTypes,l.tokenModifiers)})),new v.$EO("vscode.provideDocumentRangeSemanticTokens","_provideDocumentRangeSemanticTokens","Provide semantic tokens for a document range",[v.$CO.Uri,v.$CO.Range],new v.$DO("A promise that resolves to SemanticTokens.",l=>{if(!l)return;const p=(0,R.$9_)(l);if(p.type==="full")return new M.$iN(p.data,void 0)})),new v.$EO("vscode.executeCompletionItemProvider","_executeCompletionItemProvider","Execute completion item provider.",[v.$CO.Uri,v.$CO.Position,v.$CO.String.with("triggerCharacter","Trigger completion when the user types the character, like `,` or `(`").optional(),v.$CO.Number.with("itemResolveCount","Number of completions to resolve (too large numbers slow down completions)").optional()],new v.$DO("A promise that resolves to a CompletionList-instance.",(l,p,o)=>{if(!l)return new M.$xM([]);const i=l.suggestions.map(n=>S.CompletionItem.to(n,o));return new M.$xM(i,l.incomplete)})),new v.$EO("vscode.executeSignatureHelpProvider","_executeSignatureHelpProvider","Execute signature help provider.",[v.$CO.Uri,v.$CO.Position,v.$CO.String.with("triggerCharacter","Trigger signature help when the user types the character, like `,` or `(`").optional()],new v.$DO("A promise that resolves to SignatureHelp.",l=>{if(l)return S.SignatureHelp.to(l)})),new v.$EO("vscode.executeCodeLensProvider","_executeCodeLensProvider","Execute code lens provider.",[v.$CO.Uri,v.$CO.Number.with("itemResolveCount","Number of lenses that should be resolved and returned. Will only return resolved lenses, will impact performance)").optional()],new v.$DO("A promise that resolves to an array of CodeLens-instances.",(l,p,o)=>E(i=>new M.$pM(S.Range.to(i.range),i.command&&o.fromInternal(i.command)))(l))),new v.$EO("vscode.executeCodeActionProvider","_executeCodeActionProvider","Execute code action provider.",[v.$CO.Uri,new v.$CO("rangeOrSelection","Range in a text document. Some refactoring provider requires Selection object.",l=>M.$4L.isRange(l),l=>M.$5L.isSelection(l)?S.Selection.from(l):S.Range.from(l)),v.$CO.String.with("kind","Code action kind to return code actions for").optional(),v.$CO.Number.with("itemResolveCount","Number of code actions to resolve (too large numbers slow down code actions)").optional()],new v.$DO("A promise that resolves to an array of Command-instances.",(l,p,o)=>E(i=>{if(i._isSynthetic){if(!i.command)throw new Error("Synthetic code actions must have a command");return o.fromInternal(i.command)}else{const n=new M.$jM(i.title,i.kind?new M.$kM(i.kind):void 0);return i.edit&&(n.edit=S.WorkspaceEdit.to(i.edit)),i.command&&(n.command=o.fromInternal(i.command)),n.isPreferred=i.isPreferred,n}})(l))),new v.$EO("vscode.executeDocumentColorProvider","_executeDocumentColorProvider","Execute document color provider.",[v.$CO.Uri],new v.$DO("A promise that resolves to an array of ColorInformation objects.",l=>l?l.map(p=>new M.$DM(S.Range.to(p.range),S.Color.to(p.color))):[])),new v.$EO("vscode.executeColorPresentationProvider","_executeColorPresentationProvider","Execute color presentation provider.",[new v.$CO("color","The color to show and insert",l=>l instanceof M.$CM,S.Color.from),new v.$CO("context","Context object with uri and range",l=>!0,l=>({uri:l.uri,range:S.Range.from(l.range)}))],new v.$DO("A promise that resolves to an array of ColorPresentation objects.",l=>l?l.map(S.ColorPresentation.to):[])),new v.$EO("vscode.executeInlayHintProvider","_executeInlayHintProvider","Execute inlay hints provider",[v.$CO.Uri,v.$CO.Range],new v.$DO("A promise that resolves to an array of Inlay objects",(l,p,o)=>l.map(S.InlayHint.to.bind(void 0,o)))),new v.$EO("vscode.executeFoldingRangeProvider","_executeFoldingRangeProvider","Execute folding range provider",[v.$CO.Uri],new v.$DO("A promise that resolves to an array of FoldingRange objects",(l,p)=>{if(l)return l.map(S.FoldingRange.to)})),new v.$EO("vscode.resolveNotebookContentProviders","_resolveNotebookContentProvider","Resolve Notebook Content Providers",[],new v.$DO("A promise that resolves to an array of NotebookContentProvider static info objects.",E(l=>({viewType:l.viewType,displayName:l.displayName,options:{transientOutputs:l.options.transientOutputs,transientCellMetadata:l.options.transientCellMetadata,transientDocumentMetadata:l.options.transientDocumentMetadata},filenamePattern:l.filenamePattern.map(p=>S.NotebookExclusiveDocumentPattern.to(p))})))),new v.$EO("vscode.executeInlineValueProvider","_executeInlineValueProvider","Execute inline value provider",[v.$CO.Uri,v.$CO.Range,new v.$CO("context","An InlineValueContext",l=>l&&typeof l.frameId=="number"&&l.stoppedLocation instanceof M.$4L,l=>S.InlineValueContext.from(l))],new v.$DO("A promise that resolves to an array of InlineValue objects",l=>l.map(S.InlineValue.to))),new v.$EO("vscode.open","_workbench.open","Opens the provided resource in the editor. Can be a text or binary file, or an http(s) URL. If you need more control over the options for opening a text file, use vscode.window.showTextDocument instead.",[new v.$CO("uriOrString","Uri-instance or string (only http/https)",l=>$.URI.isUri(l)||typeof l=="string"&&(0,F.$pg)(l,F.Schemas.http,F.Schemas.https),l=>l),new v.$CO("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[S.ViewColumn.from(l),void 0]:[S.ViewColumn.from(l.viewColumn),S.TextEditorOpenOptions.from(l)])).optional(),v.$CO.String.with("label","").optional()],v.$DO.Void),new v.$EO("vscode.openWith","_workbench.openWith","Opens the provided resource with a specific editor.",[v.$CO.Uri.with("resource","Resource to open"),v.$CO.String.with("viewId","Custom editor view id. This should be the viewType string for custom editors or the notebookType string for notebooks. Use 'default' to use VS Code's default text editor"),new v.$CO("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="number"||typeof l=="object",l=>l&&(typeof l=="number"?[S.ViewColumn.from(l),void 0]:[S.ViewColumn.from(l.viewColumn),S.TextEditorOpenOptions.from(l)])).optional()],v.$DO.Void),new v.$EO("vscode.diff","_workbench.diff","Opens the provided resources in the diff editor to compare their contents.",[v.$CO.Uri.with("left","Left-hand side resource of the diff editor"),v.$CO.Uri.with("right","Right-hand side resource of the diff editor"),v.$CO.String.with("title","Human readable title for the diff editor").optional(),new v.$CO("columnOrOptions","Either the column in which to open or editor options, see vscode.TextDocumentShowOptions",l=>l===void 0||typeof l=="object",l=>l&&[S.ViewColumn.from(l.viewColumn),S.TextEditorOpenOptions.from(l)]).optional()],v.$DO.Void),new v.$EO("vscode.changes","_workbench.changes","Opens a list of resources in the changes editor to compare their contents.",[v.$CO.String.with("title","Human readable title for the changes editor"),new v.$CO("resourceList","List of resources to compare",l=>{for(const p of l){if(p.length!==3)return!1;const[o,i,n]=p;if(!$.URI.isUri(o)||!$.URI.isUri(i)&&i!==void 0&&i!==null||!$.URI.isUri(n)&&n!==void 0&&n!==null)return!1}return!0},l=>l)],v.$DO.Void),new v.$EO("vscode.prepareTypeHierarchy","_executePrepareTypeHierarchy","Prepare type hierarchy at a position inside a document",[v.$CO.Uri,v.$CO.Position],new v.$DO("A promise that resolves to an array of TypeHierarchyItem-instances",l=>l.map(S.TypeHierarchyItem.to))),new v.$EO("vscode.provideSupertypes","_executeProvideSupertypes","Compute supertypes for an item",[v.$CO.TypeHierarchyItem],new v.$DO("A promise that resolves to an array of TypeHierarchyItem-instances",l=>l.map(S.TypeHierarchyItem.to))),new v.$EO("vscode.provideSubtypes","_executeProvideSubtypes","Compute subtypes for an item",[v.$CO.TypeHierarchyItem],new v.$DO("A promise that resolves to an array of TypeHierarchyItem-instances",l=>l.map(S.TypeHierarchyItem.to))),new v.$EO("vscode.revealTestInExplorer","_revealTestInExplorer","Reveals a test instance in the explorer",[v.$CO.TestItem],v.$DO.Void),new v.$EO("vscode.experimental.editSession.continue","_workbench.editSessions.actions.continueEditSession","Continue the current edit session in a different workspace",[v.$CO.Uri.with("workspaceUri","The target workspace to continue the current edit session in")],v.$DO.Void),new v.$EO("setContext","_setContext","Set a custom context key value that can be used in when clauses.",[v.$CO.String.with("name","The context key name"),new v.$CO("value","The context key value",()=>!0,l=>l)],v.$DO.Void),new v.$EO("vscode.executeMappedEditsProvider","_executeMappedEditsProvider","Execute Mapped Edits Provider",[v.$CO.Uri,v.$CO.StringArray,new v.$CO("MappedEditsContext","Mapped Edits Context",l=>S.MappedEditsContext.is(l),l=>S.MappedEditsContext.from(l))],new v.$DO("A promise that resolves to a workspace edit or null",l=>l?S.WorkspaceEdit.to(l):null))];class b{static register(p){C.forEach(p.registerApiCommand,p),this.a(p)}static a(p){p.registerCommand(!1,"_validateWhenClauses",w.$dj)}}e.$Ohc=b;function E(l){return p=>{if(Array.isArray(p))return p.map(l)}}function k(l){if(!Array.isArray(l))return;const p=[];for(const o of l)L.$St(o)?p.push(S.DefinitionLink.to(o)):p.push(S.location.to(o));return p}}),define(Se[344],De([1,0,8,3,2,6,33,15,7]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Wic=void 0;class S{static{this.a=0}constructor(E,k){this.extension=E,this.provider=k,this.handle=S.a++}}class M{constructor(E){this.session=E,this.responses=[]}}class C{static{this.a=0}constructor(E,k,l,p){this.f=l,this.g=p,this.b=new Map,this.d=new Map,this.e=E.getProxy(L.$ZL.MainThreadInlineChat),k.registerApiCommand(new R.$EO("vscode.editorChat.start","inlineChat.start","Invoke a new editor chat session",[new R.$CO("Run arguments","",o=>!0,o=>{if(o)return{initialRange:o.initialRange?w.Range.from(o.initialRange):void 0,initialSelection:v.$5L.isSelection(o.initialSelection)?w.Selection.from(o.initialSelection):void 0,message:o.message,autoSend:o.autoSend,position:o.position?w.Position.from(o.position):void 0}})],R.$DO.Void))}registerProvider(E,k,l){const p=new S(E,k);return this.b.set(p.handle,p),this.e.$registerInteractiveEditorProvider(p.handle,l?.label??E.displayName??E.name,E.identifier.value,typeof k.handleInteractiveEditorResponseFeedback=="function",typeof k.provideFollowups=="function",l?.supportReportIssue??!1),(0,F.$Rc)(()=>{this.e.$unregisterInteractiveEditorProvider(p.handle),this.b.delete(p.handle)})}async $prepareSession(E,k,l,p){const o=this.b.get(E);if(!o){this.g.warn("CANNOT prepare session because the PROVIDER IS GONE");return}const i=this.f.getDocument($.URI.revive(k)),n=w.Selection.to(l),r=await o.provider.prepareInteractiveEditorSession({document:i,selection:n},p);if(!r)return;if(r.wholeRange&&!r.wholeRange.contains(n))throw new Error("InteractiveEditorSessionProvider returned a wholeRange that does not contain the selection.");const a=C.a++;return this.d.set(a,new M(r)),{id:a,placeholder:r.placeholder,input:r.input,slashCommands:r.slashCommands?.map(t=>({command:t.command,detail:t.detail,refer:t.refer,executeImmediately:t.executeImmediately})),wholeRange:w.Range.from(r.wholeRange),message:r.message}}async $provideResponse(E,k,l,p){const o=this.b.get(E);if(!o)return;const i=this.d.get(k.id);if(!i)return;const n={prompt:l.prompt,selection:w.Selection.to(l.selection),wholeRange:w.Range.to(l.wholeRange),attempt:l.attempt,live:l.live,previewDocument:this.f.getDocument($.URI.revive(l.previewDocument)),withIntentDetection:l.withIntentDetection};let r=!1;const a={report:async D=>{if(!l.live&&D.edits?.length)throw new Error("Progress reporting is only supported for live sessions");r||p.isCancellationRequested||await this.e.$handleProgressChunk(l.requestId,{message:D.message,edits:D.edits?.map(w.TextEdit.from),editsShouldBeInstant:D.editsShouldBeInstant,slashCommand:D.slashCommand?.command,markdownFragment:v.$qM.isMarkdownString(D.content)?D.content.value:D.content})}},t=Promise.resolve(o.provider.provideInteractiveEditorResponse(i.session,n,a,p));let d;try{d=await(0,I.$5g)(t,p)}finally{r=!0}if(!d)return;const u=i.responses.push(d)-1,s={wholeRange:w.Range.from(d.wholeRange),placeholder:d.placeholder};if(!C.h(d))return{...s,id:u,type:"editorEdit",message:w.MarkdownString.from(d.contents),edits:[]};const{edits:c,contents:h}=d,m=h!==void 0?w.MarkdownString.from(h):void 0;return c instanceof v.$_L?{...s,id:u,type:"bulkEdit",edits:w.WorkspaceEdit.from(c),message:m}:{...s,id:u,type:"editorEdit",edits:c.map(w.TextEdit.from),message:m}}async $provideFollowups(E,k,l,p){const o=this.b.get(E),i=this.d.get(k),n=i?.responses[l];if(o&&n&&o.provider.provideFollowups){const r=Promise.resolve(o.provider.provideFollowups(i.session,n,p));return(await(0,I.$5g)(r,p))?.map(w.ChatInlineFollowup.from)}}$handleFeedback(E,k,l,p){const o=this.b.get(E),i=this.d.get(k),n=i?.responses[l];if(o&&n){const r=w.InteractiveEditorResponseFeedbackKind.to(p);o.provider.handleInteractiveEditorResponseFeedback?.(i.session,n,r)}}$releaseSession(E,k){}static h(E){return typeof E=="object"&&typeof E.edits=="object"}}e.$Wic=C}),define(Se[345],De([1,0,2,33]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$0ic=void 0;class ${constructor(R,w,v,S,M){this.a=w,this.b=v,this.c=S;const C=new F.$EO("interactive.open","_interactive.open","Open interactive window and return notebook editor and input URI",[new F.$CO("showOptions","Show Options",b=>!0,b=>b),new F.$CO("resource","Interactive resource Uri",b=>!0,b=>b),new F.$CO("controllerId","Notebook controller Id",b=>!0,b=>b),new F.$CO("title","Interactive editor title",b=>!0,b=>b)],new F.$DO("Notebook and input URI",b=>{if(M.debug("[ExtHostInteractive] open iw with notebook editor id",b.notebookEditorId),b.notebookEditorId!==void 0){const E=this.a.getEditorById(b.notebookEditorId);return M.debug("[ExtHostInteractive] notebook editor found",E.id),{notebookUri:I.URI.revive(b.notebookUri),inputUri:I.URI.revive(b.inputUri),notebookEditor:E.apiEditor}}return M.debug("[ExtHostInteractive] notebook editor not found, uris for the interactive document",b.notebookUri,b.inputUri),{notebookUri:I.URI.revive(b.notebookUri),inputUri:I.URI.revive(b.inputUri)}}));this.c.registerApiCommand(C)}$willAddInteractiveDocument(R,w,v,S){this.b.acceptDocumentsAndEditorsDelta({addedDocuments:[{EOL:w,lines:[""],languageId:v,uri:R,isDirty:!1,versionId:1}]})}$willRemoveInteractiveDocument(R,w){this.b.acceptDocumentsAndEditorsDelta({removedDocuments:[R]})}}e.$0ic=$}),define(Se[346],De([1,0,19,8,22,4,3,28,2,25,13,6,33,15,7,112,286,26,68,287]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gjc=e.$fjc=void 0;let r=class{constructor(m,D,g,f,y){this.m=D,this.n=g,this.o=f,this.q=y,this.b=new w.$Ac,this.c=new w.$Ac,this.f=new Map,this.g=0,this.h=new Map,this.i=0,this.j=new Map,this.k=0,this.l=new L.$5d,this.onDidChangeNotebookCellExecutionState=this.l.event,this.r=0,this.s={},this.a=m.getProxy(C.$ZL.MainThreadNotebookKernels);const A=new b.$EO("notebook.selectKernel","_notebook.selectKernel","Trigger kernel picker for specified notebook editor widget",[new b.$CO("options","Select kernel options",U=>!0,U=>{if(U&&"notebookEditor"in U&&"id"in U){const z=this.n.getIdByEditor(U.notebookEditor);return{id:U.id,extension:U.extension,notebookEditorId:z}}else if(U&&"notebookEditor"in U){const z=this.n.getIdByEditor(U.notebookEditor);if(z===void 0)throw new Error(`Cannot invoke 'notebook.selectKernel' for unrecognized notebook editor ${U.notebookEditor.notebook.uri.toString()}`);return{notebookEditorId:z}}return U})],b.$DO.Void),N=new b.$EO("vscode.executeNotebookVariableProvider","_executeNotebookVariableProvider","Execute notebook variable provider",[b.$CO.Uri],new b.$DO("A promise that resolves to an array of variables",(U,z)=>U.map(T=>({name:T.name,value:T.value,type:T.type,editable:!1}))));this.o.registerApiCommand(A),this.o.registerApiCommand(N)}createNotebookController(m,D,g,f,y,A){for(const fe of this.j.values())if(fe.controller.id===D&&S.$wm.equals(m.identifier,fe.extensionId))throw new Error(`notebook controller with id '${D}' ALREADY exist`);const N=this.k++,U=this;this.q.trace(`NotebookController[${N}], CREATED by ${m.identifier.value}, ${D}`);const z=()=>console.warn(`NO execute handler from notebook controller '${j.id}' of extension: '${m.identifier}'`);let T=!1;const P=new L.$5d,O=new L.$5d,j={id:c(m.identifier,D),notebookType:g,extensionId:m.identifier,extensionLocation:m.extensionLocation,label:f||m.identifier.value,preloads:A?A.map(E.NotebookRendererScript.from):[]};let K=y??z,ie,_;this.a.$addKernel(N,j).catch(fe=>{console.log(fe),T=!0});let X=0;const Y=()=>{if(T)return;const fe=++X;Promise.resolve().then(()=>{fe===X&&this.a.$updateKernel(N,j)})},ae=new w.$Ac,ee={get id(){return D},get notebookType(){return j.notebookType},onDidChangeSelectedNotebooks:P.event,get label(){return j.label},set label(fe){j.label=fe??m.displayName??m.name,Y()},get detail(){return j.detail??""},set detail(fe){j.detail=fe,Y()},get description(){return j.description??""},set description(fe){j.description=fe,Y()},get supportedLanguages(){return j.supportedLanguages},set supportedLanguages(fe){j.supportedLanguages=fe,Y()},get supportsExecutionOrder(){return j.supportsExecutionOrder??!1},set supportsExecutionOrder(fe){j.supportsExecutionOrder=fe,Y()},get rendererScripts(){return j.preloads?j.preloads.map(E.NotebookRendererScript.to):[]},get executeHandler(){return K},set executeHandler(fe){K=fe??z},get interruptHandler(){return ie},set interruptHandler(fe){ie=fe,j.supportsInterrupt=!!fe,Y()},set variableProvider(fe){(0,o.$VF)(m,"notebookVariableProvider"),_=fe,j.hasVariableProvider=!!fe,fe?.onDidChangeVariables(re=>U.a.$variablesUpdated(re.uri)),Y()},get variableProvider(){return _},createNotebookCellExecution(fe){if(T)throw new Error("notebook controller is DISPOSED");if(!ae.has(fe.notebook.uri))throw U.q.trace(`NotebookController[${N}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(ae.keys()).map(re=>re.toString())),new Error(`notebook controller is NOT associated to notebook: ${fe.notebook.uri.toString()}`);return U._createNotebookCellExecution(fe,c(m.identifier,this.id))},createNotebookExecution(fe){if((0,o.$VF)(m,"notebookExecution"),T)throw new Error("notebook controller is DISPOSED");if(!ae.has(fe.uri))throw U.q.trace(`NotebookController[${N}] NOT associated to notebook, associated to THESE notebooks:`,Array.from(ae.keys()).map(re=>re.toString())),new Error(`notebook controller is NOT associated to notebook: ${fe.uri.toString()}`);return U._createNotebookExecution(fe,c(m.identifier,this.id))},dispose:()=>{T||(this.q.trace(`NotebookController[${N}], DISPOSED`),T=!0,this.j.delete(N),P.dispose(),O.dispose(),this.a.$removeKernel(N))},updateNotebookAffinity(fe,re){re===k.NotebookControllerAffinity2.Hidden&&(0,o.$VF)(m,"notebookControllerAffinityHidden"),U.a.$updateNotebookPriority(N,fe.uri,re)},onDidReceiveMessage:O.event,postMessage(fe,re){return(0,o.$VF)(m,"notebookMessaging"),U.a.$postMessage(N,re&&U.n.getIdByEditor(re),fe)},asWebviewUri(fe){return(0,o.$VF)(m,"notebookMessaging"),(0,l.$Axb)(fe,U.m.remote)}};return this.j.set(N,{extensionId:m.identifier,controller:ee,onDidReceiveMessage:O,onDidChangeSelection:P,associatedNotebooks:ae}),ee}getIdByController(m){for(const[D,g]of this.j)if(g.controller===m)return c(g.extensionId,m.id);return null}createNotebookControllerDetectionTask(m,D){const g=this.g++,f=this;this.q.trace(`NotebookControllerDetectionTask[${g}], CREATED by ${m.identifier.value}`),this.a.$addKernelDetectionTask(g,D);const y={dispose:()=>{this.f.delete(g),f.a.$removeKernelDetectionTask(g)}};return this.f.set(g,y),y}registerKernelSourceActionProvider(m,D,g){const f=this.i++,y=typeof g.onDidChangeNotebookKernelSourceActions=="function"?f:void 0,A=this;this.h.set(f,g),this.q.trace(`NotebookKernelSourceActionProvider[${f}], CREATED by ${m.identifier.value}`),this.a.$addKernelSourceActionProvider(f,f,D);let N;return y!==void 0&&(N=g.onDidChangeNotebookKernelSourceActions(U=>this.a.$emitNotebookKernelSourceActionsChangeEvent(y))),{dispose:()=>{this.h.delete(f),A.a.$removeKernelSourceActionProvider(f,f),N?.dispose()}}}async $provideKernelSourceActions(m,D){const g=this.h.get(m);if(g){const f=new R.$Sc;return(await g.provideNotebookKernelSourceActions(D)??[]).map(A=>E.NotebookKernelSourceAction.from(A,this.o.converter,f))}return[]}$acceptNotebookAssociation(m,D,g){const f=this.j.get(m);if(f){const y=this.n.getNotebookDocument(v.URI.revive(D));g?f.associatedNotebooks.set(y.uri,!0):f.associatedNotebooks.delete(y.uri),this.q.trace(`NotebookController[${m}] ASSOCIATE notebook`,y.uri.toString(),g),f.onDidChangeSelection.fire({selected:g,notebook:y.apiNotebook})}}async $executeCells(m,D,g){const f=this.j.get(m);if(!f)return;const y=this.n.getNotebookDocument(v.URI.revive(D)),A=[];for(const N of g){const U=y.getCell(N);U&&A.push(U.apiCell)}try{this.q.trace(`NotebookController[${m}] EXECUTE cells`,y.uri.toString(),A.length),await f.controller.executeHandler.call(f.controller,A,y.apiNotebook,f.controller)}catch(N){this.q.error(`NotebookController[${m}] execute cells FAILED`,N),console.error(N)}}async $cancelCells(m,D,g){const f=this.j.get(m);if(!f)return;const y=this.n.getNotebookDocument(v.URI.revive(D));if(f.controller.interruptHandler)await f.controller.interruptHandler.call(f.controller,y.apiNotebook);else for(const A of g){const N=y.getCell(A);N&&this.b.get(N.uri)?.cancel()}if(f.controller.interruptHandler){const A=this.c.get(y.uri);g.length&&Array.isArray(A)&&A.length&&A.forEach(N=>N.dispose())}}async $provideVariables(m,D,g,f,y,A,N){const U=this.j.get(m);if(!U)return;const z=this.n.getNotebookDocument(v.URI.revive(g)),T=U.controller.variableProvider;if(!T)return;let P;if(f!==void 0){if(P=this.s[f],!P)return}else this.s={};const O=y==="named"?k.NotebookVariablesRequestKind.Named:k.NotebookVariablesRequestKind.Indexed,j=T.provideVariables(z.apiNotebook,P,O,A,N);let K=0;for await(const ie of j){if(N.isCancellationRequested)return;const _={id:this.r++,name:ie.variable.name,value:ie.variable.value,type:ie.variable.type,hasNamedChildren:ie.hasNamedChildren,indexedChildrenCount:ie.indexedChildrenCount,extensionId:U.extensionId.value};if(this.s[_.id]=ie.variable,this.a.$receiveVariable(D,_),K++>=n.$Zgb)return}}$acceptKernelMessageFromRenderer(m,D,g){const f=this.j.get(m);if(!f)return;const y=this.n.getEditorById(D);f.onDidReceiveMessage.fire(Object.freeze({editor:y.apiEditor,message:g}))}$cellExecutionChanged(m,D,g){const y=this.n.getNotebookDocument(v.URI.revive(m)).getCell(D);if(y){const A=g?E.NotebookCellExecutionState.to(g):k.NotebookCellExecutionState.Idle;A!==void 0&&this.l.fire({cell:y.apiCell,state:A})}}_createNotebookCellExecution(m,D){if(m.index<0)throw new Error("CANNOT execute cell that has been REMOVED from notebook");const f=this.n.getNotebookDocument(m.notebook.uri).getCellFromApiCell(m);if(!f)throw new Error("invalid cell");if(this.b.has(f.uri))throw new Error(`duplicate execution for ${f.uri}`);const y=new t(D,f,this.a);this.b.set(f.uri,y);const A=y.onDidChangeState(()=>{y.state===a.Resolved&&(y.dispose(),A.dispose(),this.b.delete(f.uri))});return y.asApiObject()}_createNotebookExecution(m,D){const g=this.n.getNotebookDocument(m.uri),f=m.getCells().find(N=>{const U=g.getCellFromApiCell(N);return U&&this.b.has(U.uri)});if(f)throw new Error(`duplicate cell execution for ${f.document.uri}`);if(this.c.has(g.uri))throw new Error(`duplicate notebook execution for ${g.uri}`);const y=new u(D,g,this.a),A=y.onDidChangeState(()=>{y.state===d.Resolved&&(y.dispose(),A.dispose(),this.c.delete(g.uri))});return this.c.set(g.uri,[y,A]),y.asApiObject()}};e.$fjc=r,e.$fjc=r=Je([Ve(4,M.$yj)],r);var a;(function(h){h[h.Init=0]="Init",h[h.Started=1]="Started",h[h.Resolved=2]="Resolved"})(a||(a={}));class t extends R.$Tc{static{this.a=0}get state(){return this.f}constructor(m,D,g){super(),this.m=D,this.n=g,this.b=t.a++,this.c=new L.$5d,this.onDidChangeState=this.c.event,this.f=a.Init,this.g=this.B(new $.$ce),this.h=new s(10,f=>this.s(f)),this.j=D.internalMetadata.executionOrder,this.n.$createExecution(this.b,m,this.m.notebook.uri,this.m.handle)}cancel(){this.g.cancel()}async r(m){await this.h.addItem(m)}async s(m){const D=Array.isArray(m)?m:[m];return this.n.$updateExecution(this.b,new i.$6v(D))}t(){if(this.f===a.Init)throw new Error("Must call start before modifying cell output");if(this.f===a.Resolved)throw new Error("Cannot modify cell output after calling resolve")}w(m){let D=this.m;if(m&&(D=this.m.notebook.getCellFromApiCell(m)),!D)throw new Error("INVALID cell");return D.handle}y(m){return m.map(D=>{const g=k.$tN.ensureUniqueMimeTypes(D.items,!0);return g===D.items?E.NotebookCellOutput.from(D):E.NotebookCellOutput.from({items:g,id:D.id,metadata:D.metadata})})}async z(m,D,g){const f=this.w(D),y=this.y((0,I.$3b)(m));return this.r({editType:p.CellExecutionUpdateType.Output,cellHandle:f,append:g,outputs:y})}async C(m,D,g){return m=k.$tN.ensureUniqueMimeTypes((0,I.$3b)(m),!0),this.r({editType:p.CellExecutionUpdateType.OutputItems,items:m.map(E.NotebookCellOutputItem.from),outputId:D.id,append:g})}asApiObject(){const m=this;return Object.freeze({get token(){return m.g.token},get cell(){return m.m.apiCell},get executionOrder(){return m.j},set executionOrder(g){m.j=g,m.s([{editType:p.CellExecutionUpdateType.ExecutionState,executionOrder:m.j}])},start(g){if(m.f===a.Resolved||m.f===a.Started)throw new Error("Cannot call start again");m.f=a.Started,m.c.fire(),m.s({editType:p.CellExecutionUpdateType.ExecutionState,runStartTime:g})},end(g,f){if(m.f===a.Resolved)throw new Error("Cannot call resolve twice");m.f=a.Resolved,m.c.fire(),m.h.flush(),m.n.$completeExecution(m.b,new i.$6v({runEndTime:f,lastRunSuccess:g}))},clearOutput(g){return m.t(),m.z([],g,!1)},appendOutput(g,f){return m.t(),m.z(g,f,!0)},replaceOutput(g,f){return m.t(),m.z(g,f,!1)},appendOutputItems(g,f){return m.t(),m.C(g,f,!0)},replaceOutputItems(g,f){return m.t(),m.C(g,f,!1)}})}}var d;(function(h){h[h.Init=0]="Init",h[h.Started=1]="Started",h[h.Resolved=2]="Resolved"})(d||(d={}));class u extends R.$Tc{static{this.a=0}get state(){return this.f}constructor(m,D,g){super(),this.h=D,this.j=g,this.b=u.a++,this.c=new L.$5d,this.onDidChangeState=this.c.event,this.f=d.Init,this.g=this.B(new $.$ce),this.j.$createNotebookExecution(this.b,m,this.h.uri)}cancel(){this.g.cancel()}asApiObject(){return Object.freeze({start:()=>{if(this.f===d.Resolved||this.f===d.Started)throw new Error("Cannot call start again");this.f=d.Started,this.c.fire(),this.j.$beginNotebookExecution(this.b)},end:()=>{if(this.f===d.Resolved)throw new Error("Cannot call resolve twice");this.f=d.Resolved,this.c.fire(),this.j.$completeNotebookExecution(this.b)}})}}class s{constructor(m,D){this.f=m,this.g=D,this.a=[],this.b=Date.now()}addItem(m){return this.a.push(m),this.c||(this.c=new F.$Bh,this.b=Date.now(),(0,F.$fh)(this.f).then(()=>this.flush())),Date.now()-this.b>this.f?this.flush():this.c.p}flush(){if(this.a.length===0||!this.c)return Promise.resolve();const m=this.c;this.c=void 0;const D=this.a;return this.a=[],this.g(D).finally(()=>m.complete())}}function c(h,m){return`${h.value}/${m}`}e.$gjc=c}),define(Se[46],De([1,0,4,6,5,2,20,3,7,220,14,264,22,30,265,55,8,15,33]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$uic=e.$tic=e.$sic=e.$ric=void 0,e.$ric=(0,$.$ei)("IExtHostTerminalService");class n{constructor(g,f,y,A){this.l=g,this._id=f,this.m=y,this.n=A,this.a=!1,this.j={isInteractedWith:!1},this.isOpen=!1,this.m=Object.freeze(this.m),this.b=new Promise(U=>this.f=U);const N=this;this.value={get name(){return N.n||""},get processId(){return N.b},get creationOptions(){return N.m},get exitStatus(){return N.h},get state(){return N.j},get selection(){return N.k},sendText(U,z=!0){N.q(),N.l.$sendText(N._id,U,z)},show(U){N.q(),N.l.$show(N._id,U)},hide(){N.q(),N.l.$hide(N._id)},dispose(){N.a||(N.a=!0,N.l.$dispose(N._id))},get dimensions(){if(!(N.d===void 0||N.g===void 0))return{columns:N.d,rows:N.g}}}}async create(g,f){if(typeof this._id!="string")throw new Error("Terminal has already been created");await this.l.$createTerminal(this._id,{name:g.name,shellPath:g.shellPath??void 0,shellArgs:g.shellArgs??void 0,cwd:g.cwd??f?.cwd??void 0,env:g.env??void 0,icon:c(g.iconPath)??void 0,color:l.ThemeColor.isThemeColor(g.color)?g.color.id:void 0,initialText:g.message??void 0,strictEnv:g.strictEnv??void 0,hideFromUser:g.hideFromUser??void 0,isFeatureTerminal:f?.isFeatureTerminal??void 0,isExtensionOwnedTerminal:!0,useShellEnvironment:f?.useShellEnvironment??void 0,location:f?.location||this.o(g.location,f?.resolvedExtHostIdentifier),isTransient:g.isTransient??void 0})}async createExtensionTerminal(g,f,y,A,N){if(typeof this._id!="string")throw new Error("Terminal has already been created");if(await this.l.$createTerminal(this._id,{name:this.n,isExtensionCustomPtyTerminal:!0,icon:A,color:l.ThemeColor.isThemeColor(N)?N.id:void 0,location:f?.location||this.o(g,y),isTransient:!0}),typeof this._id=="string")throw new Error("Terminal creation failed");return this._id}o(g,f){return typeof g=="object"?"parentTerminal"in g&&g.parentTerminal&&f?{parentTerminal:f}:"viewColumn"in g?{viewColumn:o.ViewColumn.from(g.viewColumn),preserveFocus:g.preserveFocus}:void 0:g}q(){if(this.a)throw new Error("Terminal has already been disposed")}set name(g){this.n=g}setExitStatus(g,f){this.h=Object.freeze({code:g,reason:f})}setDimensions(g,f){return g===this.d&&f===this.g||g===0||f===0?!1:(this.d=g,this.g=f,!0)}setInteractedWith(){return this.j.isInteractedWith?!1:(this.j={isInteractedWith:!0},!0)}setSelection(g){this.k=g}_setProcessId(g){this.f?(this.f(g),this.f=void 0):this.b.then(f=>{f!==g&&(this.b=Promise.resolve(g))})}}e.$sic=n;class r{get onProcessReady(){return this.b.event}constructor(g){this.g=g,this.id=0,this.shouldPersist=!1,this.a=new I.$5d,this.onProcessData=this.a.event,this.b=new I.$5d,this.d=new I.$5d,this.onDidChangeProperty=this.d.event,this.f=new I.$5d,this.onProcessExit=this.f.event}refreshProperty(g){throw new Error(`refreshProperty is not suppported in extension owned terminals. property: ${g}`)}updateProperty(g,f){throw new Error(`updateProperty is not suppported in extension owned terminals. property: ${g}, value: ${f}`)}async start(){}shutdown(){this.g.close()}input(g){this.g.handleInput?.(g)}resize(g,f){this.g.setDimensions?.({columns:g,rows:f})}clearBuffer(){}async processBinary(g){}acknowledgeDataEvent(g){}async setUnicodeVersion(g){}getInitialCwd(){return Promise.resolve("")}getCwd(){return Promise.resolve("")}startSendingEvents(g){this.g.onDidWrite(f=>this.a.fire(f)),this.g.onDidClose?.((f=void 0)=>{this.f.fire(f===void 0?void 0:f)}),this.g.onDidOverrideDimensions?.(f=>{f&&this.d.fire({type:"overrideDimensions",value:{cols:f.columns,rows:f.rows}})}),this.g.onDidChangeName?.(f=>{this.d.fire({type:"title",value:f})}),this.g.open(g||void 0),g&&this.g.setDimensions?.(g),this.b.fire({pid:-1,cwd:"",windowsPty:void 0})}}let a=1,t=class extends w.$Tc{get activeTerminal(){return this.b?.value}get terminals(){return this.f.map(g=>g.value)}constructor(g,f,y){super(),this.Q=f,this.f=[],this.g=new Map,this.h={},this.j={},this.m={},this.n=new Map,this.w=this.B(new w.$Uc),this.z=new Set,this.C=new Map,this.D=new Map,this.F=new Map,this.G=new Map,this.H=new I.$5d,this.onDidCloseTerminal=this.H.event,this.I=new I.$5d,this.onDidOpenTerminal=this.I.event,this.J=new I.$5d,this.onDidChangeActiveTerminal=this.J.event,this.L=new I.$5d,this.onDidChangeTerminalDimensions=this.L.event,this.M=new I.$5d,this.onDidChangeTerminalState=this.M.event,this.N=new I.$5d,this.onDidChangeShell=this.N.event,this.O=new I.$5d({onWillAddFirstListener:()=>this.a.$startSendingDataEvents(),onDidRemoveLastListener:()=>this.a.$stopSendingDataEvents()}),this.onDidWriteTerminalData=this.O.event,this.P=new I.$5d({onWillAddFirstListener:()=>this.a.$startSendingCommandEvents(),onDidRemoveLastListener:()=>this.a.$stopSendingCommandEvents()}),this.onDidExecuteTerminalCommand=this.P.event,this.a=y.getProxy(F.$ZL.MainThreadTerminalService),this.y=new k.$Gtb(this.a.$sendProcessData),this.a.$registerProcessSupport(g),this.Q.registerArgumentProcessor({processArgument:A=>{const N=U=>{const z=U;return this.W(z.instanceId)?.value};switch(A?.$mid){case 15:return N(A);default:{if(Array.isArray(A))for(let U=0;U<A.length&&A[U].$mid===15;U++)A[U]=N(A[U]);return A}}}}),this.B({dispose:()=>{for(const[A,N]of this.g)N.shutdown(!0)}})}getDefaultShell(g){return(g?this.u:this.s)?.path||""}getDefaultShellArgs(g){return(g?this.u:this.s)?.args||[]}createExtensionTerminal(g,f){const y=new n(this.a,(0,E.$Ag)(),g,g.name),A=new r(g.pty);return y.createExtensionTerminal(g.location,f,this.R(g,f).resolvedExtHostIdentifier,c(g.iconPath),h(g.color)).then(N=>{const U=this.S(N,A);this.h[N]=U}),this.f.push(y),y.value}R(g,f){if(f=f||{},g.location&&typeof g.location=="object"&&"parentTerminal"in g.location){const y=g.location.parentTerminal;if(y){const A=this.f.find(N=>N.value===y);A&&(f.resolvedExtHostIdentifier=A._id)}}else g.location&&typeof g.location!="object"?f.location=g.location:f.location&&typeof f.location=="object"&&"splitActiveTerminal"in f.location&&(f.location={splitActiveTerminal:!0});return f}attachPtyToTerminal(g,f){if(!this.W(g))throw new Error(`Cannot resolve terminal with id ${g} for virtual process`);const A=new r(f),N=this.S(g,A);this.h[g]=N}async $acceptActiveTerminalChanged(g){const f=this.b;if(g===null){this.b=void 0,f!==this.b&&this.J.fire(this.b);return}const y=this.W(g);y&&(this.b=y,f!==this.b&&this.J.fire(this.b.value))}async $acceptTerminalProcessData(g,f){const y=this.W(g);y&&this.O.fire({terminal:y.value,data:f})}async $acceptTerminalDimensions(g,f,y){const A=this.W(g);A&&A.setDimensions(f,y)&&this.L.fire({terminal:A.value,dimensions:A.value.dimensions})}async $acceptDidExecuteCommand(g,f){const y=this.W(g);y&&this.P.fire({terminal:y.value,...f})}async $acceptTerminalMaximumDimensions(g,f,y){this.g.get(g)?.resize(f,y)}async $acceptTerminalTitleChange(g,f){const y=this.W(g);y&&(y.name=f)}async $acceptTerminalClosed(g,f,y){const A=this.Y(this.f,g);if(A!==null){const N=this.f.splice(A,1)[0];N.setExitStatus(f,y),this.H.fire(N.value)}}$acceptTerminalOpened(g,f,y,A){if(f){const z=this.Y(this.f,f);if(z!==null){this.f[z]._id=g,this.I.fire(this.terminals[z]),this.f[z].isOpen=!0;return}}const N={name:A.name,shellPath:A.executable,shellArgs:A.args,cwd:typeof A.cwd=="string"?A.cwd:L.URI.revive(A.cwd),env:A.env,hideFromUser:A.hideFromUser},U=new n(this.a,g,N,y);this.f.push(U),this.I.fire(U.value),U.isOpen=!0}async $acceptTerminalProcessId(g,f){this.W(g)?._setProcessId(f)}async $startExtensionTerminal(g,f){const y=this.W(g);if(!y)return{message:(0,S.localize)(0,null,g)};y.isOpen||await new Promise(N=>{const U=this.onDidOpenTerminal(async z=>{z===y.value&&(U.dispose(),N())})});const A=this.g.get(g);A?A.startSendingEvents(f):this.j[g]={initialDimensions:f}}S(g,f){const y=new w.$Sc;y.add(f.onProcessReady(N=>this.a.$sendProcessReady(g,N.pid,N.cwd,N.windowsPty))),y.add(f.onDidChangeProperty(N=>this.a.$sendProcessProperty(g,N))),this.y.startBuffering(g,f.onProcessData),y.add(f.onProcessExit(N=>this.U(g,N))),this.g.set(g,f);const A=this.j[g];return A&&f instanceof r&&(f.startSendingEvents(A.initialDimensions),delete this.j[g]),y}$acceptProcessAckDataEvent(g,f){this.g.get(g)?.acknowledgeDataEvent(f)}$acceptProcessInput(g,f){this.g.get(g)?.input(f)}$acceptTerminalInteraction(g){const f=this.W(g);f?.setInteractedWith()&&this.M.fire(f.value)}$acceptTerminalSelection(g,f){this.W(g)?.setSelection(f)}$acceptProcessResize(g,f,y){try{this.g.get(g)?.resize(f,y)}catch(A){if(A.code!=="EPIPE"&&A.code!=="ERR_IPC_CHANNEL_CLOSED")throw A}}$acceptProcessShutdown(g,f){this.g.get(g)?.shutdown(f)}$acceptProcessRequestInitialCwd(g){this.g.get(g)?.getInitialCwd().then(f=>this.a.$sendProcessProperty(g,{type:"initialCwd",value:f}))}$acceptProcessRequestCwd(g){this.g.get(g)?.getCwd().then(f=>this.a.$sendProcessProperty(g,{type:"cwd",value:f}))}$acceptProcessRequestLatency(g){return Promise.resolve(g)}registerLinkProvider(g){return this.z.add(g),this.z.size===1&&this.a.$startLinkProvider(),new v.$2L(()=>{this.z.delete(g),this.z.size===0&&this.a.$stopLinkProvider()})}registerProfileProvider(g,f,y){if(this.C.has(f))throw new Error(`Terminal profile provider "${f}" already registered`);return this.C.set(f,y),this.a.$registerProfileProvider(f,g.identifier.value),new v.$2L(()=>{this.C.delete(f),this.a.$unregisterProfileProvider(f)})}registerTerminalQuickFixProvider(g,f,y){if(this.D.has(g))throw new Error(`Terminal quick fix provider "${g}" is already registered`);return this.D.set(g,y),this.a.$registerQuickFixProvider(g,f),new v.$2L(()=>{this.D.delete(g),this.a.$unregisterQuickFixProvider(g)})}async $provideTerminalQuickFixes(g,f){const y=new b.$ce().token;if(y.isCancellationRequested)return;const A=this.D.get(g);if(!A)return;const N=await A.provideTerminalQuickFixes(f,y);if(N===null||Array.isArray(N)&&N.length===0)return;const U=new w.$Sc;if(this.w.value=U,!Array.isArray(N))return N?o.TerminalQuickFix.from(N,this.Q.converter,U):void 0;const z=[];for(const T of N){const P=o.TerminalQuickFix.from(T,this.Q.converter,U);P&&z.push(P)}return z}async $createContributedProfileTerminal(g,f){const y=new b.$ce().token;let A=await this.C.get(g)?.provideTerminalProfile(y);if(!y.isCancellationRequested){if(A&&!("options"in A)&&(A={options:A}),!A||!("options"in A))throw new Error(`No terminal profile options provided for id "${g}"`);if("pty"in A.options){this.createExtensionTerminal(A.options,f);return}this.createTerminalFromOptions(A.options,f)}}async $provideLinks(g,f){const y=this.W(g);if(!y)return[];this.F.delete(g),this.G.get(g)?.dispose(!0);const N=new b.$ce;this.G.set(g,N);const U=[],z={terminal:y.value,line:f},T=[];for(const j of this.z)T.push(p.Promises.withAsyncBody(async K=>{N.token.onCancellationRequested(()=>K({provider:j,links:[]}));const ie=await j.provideTerminalLinks(z,N.token)||[];N.token.isCancellationRequested||K({provider:j,links:ie})}));const P=await Promise.all(T);if(N.token.isCancellationRequested)return[];const O=new Map;for(const j of P)j&&j.links.length>0&&U.push(...j.links.map(K=>{const ie={id:a++,startIndex:K.startIndex,length:K.length,label:K.tooltip};return O.set(ie.id,{provider:j.provider,link:K}),ie}));return this.F.set(g,O),U}$activateLink(g,f){const y=this.F.get(g)?.get(f);y&&y.provider.handleTerminalLink(y.link)}U(g,f){this.y.stopBuffering(g),this.g.delete(g),delete this.j[g];const y=this.h[g];y&&(y.dispose(),delete this.h[g]),this.a.$sendProcessExit(g,f)}W(g){return this.X(this.f,g)}X(g,f){const y=this.Y(g,f);return y!==null?g[y]:null}Y(g,f){const y=g.findIndex(A=>A._id===f);return y===-1?null:y}getEnvironmentVariableCollection(g){let f=this.n.get(g.identifier.value);return f||(f=new d,this.$(g.identifier.value,f)),f.getScopedEnvironmentVariableCollection(void 0)}Z(g,f){const y=(0,C.$Xr)(f.map),A=(0,C.$Yr)(f.descriptionMap);this.a.$setEnvironmentVariableCollection(g,f.persistent,y.length===0?void 0:y,A)}$initEnvironmentVariableCollections(g){g.forEach(f=>{const y=f[0],A=new d(f[1]);this.$(y,A)})}$acceptDefaultProfile(g,f){const y=this.s;this.s=g,this.u=f,y?.path!==g.path&&this.N.fire(g.path)}$(g,f){this.n.set(g,f),f.onDidChangeCollection(()=>{this.Z(g,f)})}};e.$tic=t,e.$tic=t=Je([Ve(1,i.$AO),Ve(2,R.$eO)],t);class d{get persistent(){return this.b}set persistent(g){this.b=g,this.d.fire()}get onDidChangeCollection(){return this.d&&this.d.event}constructor(g){this.map=new Map,this.a=new Map,this.descriptionMap=new Map,this.b=!0,this.d=new I.$5d,this.map=new Map(g)}getScopedEnvironmentVariableCollection(g){const f=this.h(g);let y=this.a.get(f);return y||(y=new u(this,g),this.a.set(f,y),y.onDidChangeCollection(()=>this.d.fire())),y}replace(g,f,y,A){this.f(g,{value:f,type:v.EnvironmentVariableMutatorType.Replace,options:y??{applyAtProcessCreation:!0},scope:A})}append(g,f,y,A){this.f(g,{value:f,type:v.EnvironmentVariableMutatorType.Append,options:y??{applyAtProcessCreation:!0},scope:A})}prepend(g,f,y,A){this.f(g,{value:f,type:v.EnvironmentVariableMutatorType.Prepend,options:y??{applyAtProcessCreation:!0},scope:A})}f(g,f){if(f.options&&f.options.applyAtProcessCreation===!1&&!f.options.applyAtShellIntegration)throw new Error("EnvironmentVariableMutatorOptions must apply at either process creation or shell integration");const y=this.g(g,f.scope),A=this.map.get(y),N=f.options?{applyAtProcessCreation:f.options.applyAtProcessCreation??!1,applyAtShellIntegration:f.options.applyAtShellIntegration??!1}:{applyAtProcessCreation:!0};if(!A||A.value!==f.value||A.type!==f.type||A.options?.applyAtProcessCreation!==N.applyAtProcessCreation||A.options?.applyAtShellIntegration!==N.applyAtShellIntegration||A.scope?.workspaceFolder?.index!==f.scope?.workspaceFolder?.index){const U=this.g(g,f.scope),z={variable:g,...f,options:N};this.map.set(U,z),this.d.fire()}}get(g,f){const y=this.g(g,f),A=this.map.get(y);return A?m(A):void 0}g(g,f){const y=this.h(f);return y.length?`${g}:::${y}`:g}h(g){return this.j(g?.workspaceFolder)??""}j(g){return g?g.uri.toString():void 0}getVariableMap(g){const f=new Map;for(const[y,A]of this.map)this.h(A.scope)===this.h(g)&&f.set(A.variable,m(A));return f}delete(g,f){const y=this.g(g,f);this.map.delete(y),this.d.fire()}clear(g){if(g?.workspaceFolder){for(const[f,y]of this.map)y.scope?.workspaceFolder?.index===g.workspaceFolder.index&&this.map.delete(f);this.k(g)}else this.map.clear(),this.descriptionMap.clear();this.d.fire()}setDescription(g,f){const y=this.h(f),A=this.descriptionMap.get(y);if(!A||A.description!==g){let N;typeof g=="string"?N=g:N=g?.value.split(`

`)[0];const U={description:N,scope:f};this.descriptionMap.set(y,U),this.d.fire()}}getDescription(g){const f=this.h(g);return this.descriptionMap.get(f)?.description}k(g){const f=this.h(g);this.descriptionMap.delete(f)}}class u{get persistent(){return this.b.persistent}set persistent(g){this.b.persistent=g}get onDidChangeCollection(){return this.a&&this.a.event}constructor(g,f){this.b=g,this.d=f,this.a=new I.$5d}getScoped(g){return this.b.getScopedEnvironmentVariableCollection(g)}replace(g,f,y){this.b.replace(g,f,y,this.d)}append(g,f,y){this.b.append(g,f,y,this.d)}prepend(g,f,y){this.b.prepend(g,f,y,this.d)}get(g){return this.b.get(g,this.d)}forEach(g,f){this.b.getVariableMap(this.d).forEach((y,A)=>g.call(f,A,y,this),this.d)}[Symbol.iterator](){return this.b.getVariableMap(this.d).entries()}delete(g){this.b.delete(g,this.d),this.a.fire(void 0)}clear(){this.b.clear(this.d)}set description(g){this.b.setDescription(g,this.d)}get description(){return this.b.getDescription(this.d)}}let s=class extends t{constructor(g,f){super(!1,g,f)}createTerminal(g,f,y){throw new M.$_}createTerminalFromOptions(g,f){throw new M.$_}};e.$uic=s,e.$uic=s=Je([Ve(0,i.$AO),Ve(1,R.$eO)],s);function c(D){if(!(!D||typeof D=="string"))return"id"in D?{id:D.id,color:D.color}:D}function h(D){return l.ThemeColor.isThemeColor(D)?D:void 0}function m(D){const g={...D};return delete g.scope,g.options=g.options??void 0,delete g.variable,g}}),define(Se[347],De([1,0,8,21,22,4,74,54,3,24,18,30,13,6,20,151,15,7,67,111,89,26]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ajc=e.$zjc=e.$yjc=e.$xjc=void 0;let t=class extends v.$Tc{constructor(T,P,O,j){super(),this.w=j,this.f=this.B(new L.$5d),this.g=new Map,this.s=this.B(new L.$5d),this.onResultsChanged=this.f.event,this.results=[],this.h=T.getProxy(E.$ZL.MainThreadTesting),this.m=new y(this.h),this.j=new c(this.h,P),O.registerArgumentProcessor({processArgument:K=>{switch(K?.$mid){case 16:{const ie=K,_=ie.tests[ie.tests.length-1].item.extId;return this.g.get(i.$QK.root(_))?.collection.tree.get(_)?.actual??(0,l.$qO)(K)}case 18:{const{extId:ie,message:_}=K;return{test:this.g.get(i.$QK.root(ie))?.collection.tree.get(ie)?.actual,message:p.TestMessage.to(_)}}default:return K}}}),O.registerCommand(!1,"testing.getExplorerSelection",async()=>{const K=await O.executeCommand("_testing.getExplorerSelection"),ie=_=>{const X=this.g.get(i.$QK.root(_));if(X)return i.$QK.isRoot(_)?X.controller:X.collection.tree.get(_)?.actual};return{include:K?.include.map(ie).filter(M.$1f)||[],exclude:K?.exclude.map(ie).filter(M.$1f)||[]}})}createTestController(T,P,O,j){if(this.g.has(P))throw new Error(`Attempt to insert a duplicate controller with ID "${P}"`);const K=new v.$Sc,ie=K.add(new l.$tO(P,O,this.w));ie.root.label=O;const _=new Map,X=new Set,Y=this.h,ae={items:ie.root.children,get label(){return O},set label(fe){O=fe,ie.root.label=fe,Y.$updateController(P,{label:O})},get refreshHandler(){return j},set refreshHandler(fe){j=fe,Y.$updateController(P,{canRefresh:!!fe})},get id(){return P},createRunProfile:(fe,re,J,B,se,Ee)=>{let le=(0,w.$5i)(fe);for(;_.has(le);)le++;return new N(this.h,_,X,this.s.event,P,le,fe,re,J,B,se,Ee)},createTestItem(fe,re,J){return new l.$rO(P,fe,re,J)},createTestRun:(fe,re,J=!0)=>this.j.createTestRun(T,P,ie,fe,re,J),invalidateTestResults:fe=>{if(fe===void 0)this.h.$markTestRetired(void 0);else{const re=fe instanceof Array?fe:[fe];this.h.$markTestRetired(re.map(J=>i.$QK.fromExtHostTestItem(J,P).toString()))}},set resolveHandler(fe){ie.resolveHandler=fe},get resolveHandler(){return ie.resolveHandler},dispose:()=>{K.dispose()}};Y.$registerTestController(P,O,!!j),K.add((0,v.$Rc)(()=>Y.$unregisterTestController(P)));const ee={controller:ae,collection:ie,profiles:_,extension:T,activeProfiles:X};return this.g.set(P,ee),K.add((0,v.$Rc)(()=>this.g.delete(P))),K.add(ie.onDidGenerateDiff(fe=>Y.$publishDiff(P,fe.map(r.TestsDiffOp.serialize)))),ae}createTestObserver(){return this.m.checkout()}async runTests(T,P=$.CancellationToken.None){const O=h(T);if(!O)throw new Error("The request passed to `vscode.test.runTests` must include a profile");const j=this.g.get(O.controllerId);if(!j)throw new Error("Controller not found");await this.h.$runTests({isUiTriggered:!1,targets:[{testIds:T.include?.map(K=>i.$QK.fromExtHostTestItem(K,j.collection.root.id).toString())??[j.collection.root.id],profileGroup:U[O.kind],profileId:O.profileId,controllerId:O.controllerId}],exclude:T.exclude?.map(K=>K.id)},P)}$syncTests(){for(const{collection:T}of this.g.values())T.flushDiff();return Promise.resolve()}async $provideFileCoverage(T,P,O){return await this.j.getCoverageReport(T,P)?.provideFileCoverage(O)??[]}async $resolveFileCoverage(T,P,O,j){return await this.j.getCoverageReport(T,P)?.resolveFileCoverage(O,j)??[]}$configureRunProfile(T,P){this.g.get(T)?.profiles.get(P)?.configureHandler?.()}$setDefaultRunProfiles(T){const P=new Map;for(const[O,j]of Object.entries(T)){const K=this.g.get(O);if(!K)continue;const ie=new Map,_=j.filter(Y=>!K.activeProfiles.has(Y)),X=[...K.activeProfiles].filter(Y=>!j.includes(Y));for(const Y of _)ie.set(Y,!0),K.activeProfiles.add(Y);for(const Y of X)ie.set(Y,!1),K.activeProfiles.delete(Y);ie.size&&P.set(O,ie)}this.s.fire(P)}async $refreshTests(T,P){await this.g.get(T)?.controller.refreshHandler?.(P)}$publishTestResults(T){this.results=Object.freeze(T.map(P=>(0,S.$In)(p.TestResults.to(P))).concat(this.results).sort((P,O)=>O.completedAt-P.completedAt).slice(0,32)),this.f.fire()}async $expandTest(T,P){const O=this.g.get(i.$QK.fromString(T).controllerId)?.collection;O&&(await O.expand(T,P<0?1/0:P),O.flushDiff())}$acceptDiff(T){this.m.applyDiff(T.map(P=>r.TestsDiffOp.deserialize({asCanonicalUri:O=>O},P)))}async $runControllerTests(T,P){return Promise.all(T.map(O=>this.y(O,!1,P)))}async $startContinuousRun(T,P){const O=new $.$ce(P),j=await Promise.all(T.map(K=>this.y(K,!0,O.token)));return!P.isCancellationRequested&&!j.some(K=>K.error)&&await new Promise(K=>P.onCancellationRequested(K)),O.dispose(!0),j}async y(T,P,O){const j=this.g.get(T.controllerId);if(!j)return{};const{collection:K,profiles:ie,extension:_}=j,X=ie.get(T.profileId);if(!X)return{};const Y=T.testIds.map(re=>K.tree.get(re)).filter(M.$1f),ae=T.excludeExtIds.map(re=>j.collection.tree.get(re)).filter(M.$1f).filter(re=>Y.some(J=>J.fullId.compare(re.fullId)===2));if(!Y.length)return{};const ee=new o.$AN(Y.some(re=>re.actual instanceof l.$sO)?void 0:Y.map(re=>re.actual),ae.map(re=>re.actual),X,P),fe=(0,r.$SK)(T)&&this.j.prepareForMainThreadTestRun(ee,m.fromInternal(T,j.collection),_,O);try{return await X.runHandler(ee,O),{}}catch(re){return{error:String(re)}}finally{fe&&(fe.hasRunningTasks&&!O.isCancellationRequested&&await L.Event.toPromise(fe.onEnd),fe.dispose())}}$cancelExtensionTestRun(T){T===void 0?this.j.cancelAllRuns():this.j.cancelRunById(T)}};e.$xjc=t,e.$xjc=t=Je([Ve(0,k.$eO),Ve(1,b.$yj)],t);const d=1e4;var u;(function(z){z[z.Running=0]="Running",z[z.Cancelling=1]="Cancelling",z[z.Ended=2]="Ended"})(u||(u={}));class s extends v.$Tc{get hasRunningTasks(){return this.f.size>0}get id(){return this.s.id}constructor(T,P,O,j,K){super(),this.s=T,this.w=P,this.y=O,this.z=j,this.c=0,this.f=new Map,this.g=new Set,this.j=this.B(new L.$5d),this.m=this.B(new L.$5d),this.onDidCoverage=this.m.event,this.onEnd=this.j.event,this.h=this.B(new $.$ce(K));const ie=this.B(new I.$qh(()=>this.C(),d));this.B(this.h.token.onCancellationRequested(()=>ie.schedule()))}cancel(){this.c===0?(this.h.cancel(),this.c=1):this.c===1&&this.C()}createRun(T){const P=this.s.id,O=this.s.controllerId,j=(0,C.$Ag)(),K=this.y,ie=this.m;let _;const X=fe=>(re,...J)=>{if(ae){this.z.warn(`Setting the state of test "${re.id}" is a no-op after the run ends.`);return}this.s.isIncluded(re)&&(this.F(re),fe(re,...J))},Y=(fe,re)=>{const J=re instanceof Array?re.map(p.TestMessage.from):[p.TestMessage.from(re)];if(fe.uri&&fe.range){const B={range:p.Range.from(fe.range),uri:fe.uri};for(const se of J)se.location=se.location||B}this.w.$appendTestMessagesInRun(P,j,i.$QK.fromExtHostTestItem(fe,O).toString(),J)};let ae=!1;const ee={isPersisted:this.s.isPersisted,token:this.h.token,name:T,get coverageProvider(){return _?.provider},set coverageProvider(fe){(0,a.$VF)(K,"testCoverage"),_=fe&&new D(fe),ie.fire({taskId:j,runId:P,coverage:_})},enqueued:X(fe=>{this.w.$updateTestStateInRun(P,j,i.$QK.fromExtHostTestItem(fe,O).toString(),1)}),skipped:X(fe=>{this.w.$updateTestStateInRun(P,j,i.$QK.fromExtHostTestItem(fe,O).toString(),5)}),started:X(fe=>{this.w.$updateTestStateInRun(P,j,i.$QK.fromExtHostTestItem(fe,O).toString(),2)}),errored:X((fe,re,J)=>{Y(fe,re),this.w.$updateTestStateInRun(P,j,i.$QK.fromExtHostTestItem(fe,O).toString(),6,J)}),failed:X((fe,re,J)=>{Y(fe,re),this.w.$updateTestStateInRun(P,j,i.$QK.fromExtHostTestItem(fe,O).toString(),4,J)}),passed:X((fe,re)=>{this.w.$updateTestStateInRun(P,j,i.$QK.fromExtHostTestItem(fe,this.s.controllerId).toString(),3,re)}),appendOutput:(fe,re,J)=>{ae||(J&&(this.s.isIncluded(J)?this.F(J):J=void 0),this.w.$appendOutputToRun(P,j,F.$se.fromString(fe),re&&p.location.from(re),J&&i.$QK.fromExtHostTestItem(J,O).toString()))},end:()=>{ae||(ae=!0,this.w.$finishedTestRunTask(P,j),this.f.delete(j),this.f.size||this.D())}};return this.f.set(j,{run:ee}),this.w.$startedTestRunTask(P,{id:j,name:T,running:!0}),ee}C(){for(const{run:T}of this.f.values())T.end()}D(){this.c!==2&&(this.c=2,this.j.fire())}F(T){if(!(T instanceof l.$rO))throw new n.$9N(T.id);if(this.g.has(i.$QK.fromExtHostTestItem(T,this.s.controllerId).toString()))return;const P=[],O=this.s.colllection.root;for(;;){const j=p.TestItem.from(T);if(P.unshift(j),this.g.has(j.extId)||(this.g.add(j.extId),T===O))break;T=T.parent||O}this.w.$addTestsToRun(this.s.controllerId,this.s.id,P)}dispose(){this.D(),super.dispose()}}class c{get trackers(){return this.c.values()}constructor(T,P){this.g=T,this.h=P,this.c=new Map,this.f=[]}getCoverageReport(T,P){return this.f.find(O=>O.runId===T)?.coverage.get(P)}prepareForMainThreadTestRun(T,P,O,j){return this.j(T,P,O,j)}cancelRunById(T){for(const P of this.c.values())if(P.id===T){P.cancel();return}}cancelAllRuns(){for(const T of this.c.values())T.cancel()}createTestRun(T,P,O,j,K,ie){const _=this.c.get(j);if(_)return _.createRun(K);const X=m.fromPublic(P,O,j,ie),Y=h(j);this.g.$startedExtensionTestRun({controllerId:P,continuous:!!j.continuous,profile:Y&&{group:U[Y.kind],id:Y.profileId},exclude:j.exclude?.map(ee=>i.$QK.fromExtHostTestItem(ee,O.root.id).toString())??[],id:X.id,include:j.include?.map(ee=>i.$QK.fromExtHostTestItem(ee,O.root.id).toString())??[O.root.id],persist:ie});const ae=this.j(j,X,T);return L.Event.once(ae.onEnd)(()=>{this.g.$finishedExtensionTestRun(X.id),ae.dispose()}),ae.createRun(K)}j(T,P,O,j){const K=new s(P,this.g,O,this.h,j);this.c.set(T,K);let ie;const _=K.onDidCoverage(({runId:X,taskId:Y,coverage:ae})=>{ie||(ie={runId:X,coverage:new Map},this.f.unshift(ie),this.f.length>r.$XK&&this.f.pop()),ie.coverage.set(Y,ae),this.g.$signalCoverageAvailable(X,Y,!!ae)});return L.Event.once(K.onEnd)(()=>{this.c.delete(T),_.dispose()}),K}}e.$yjc=c;const h=z=>{if(z.profile){if(!(z.profile instanceof N))throw new Error("TestRunRequest.profile is not an instance created from TestController.createRunProfile");return z.profile}};class m{static fromPublic(T,P,O,j){return new m(T,(0,C.$Ag)(),O.include?.map(K=>i.$QK.fromExtHostTestItem(K,T).toString())??[T],O.exclude?.map(K=>i.$QK.fromExtHostTestItem(K,T).toString())??[],j,P)}static fromInternal(T,P){return new m(T.controllerId,T.runId,T.testIds,T.excludeExtIds,!0,P)}constructor(T,P,O,j,K,ie){this.controllerId=T,this.id=P,this.isPersisted=K,this.colllection=ie,this.c=O.map(_=>_+"\0"),this.f=j.map(_=>_+"\0")}isIncluded(T){const P=i.$QK.fromExtHostTestItem(T,this.controllerId).toString()+"\0";for(const O of this.f)if(P===O||P.startsWith(O))return!1;for(const O of this.c)if(P===O||P.startsWith(O))return!0;return!1}}e.$zjc=m;class D{constructor(T){this.provider=T}async provideFileCoverage(T){this.c||(this.c=(async()=>this.provider.provideFileCoverage(T))());try{return(await this.c)?.map(p.TestCoverage.fromFile)??[]}catch(P){throw this.c=void 0,P}}async resolveFileCoverage(T,P){const O=await this.c;let j=O?.[T];return!this.provider||!O||!j?[]:(j.detailedCoverage||(j=O[T]=await this.provider.resolveFileCoverage?.(j,P)??j),j.detailedCoverage?.map(p.TestCoverage.fromDetailed)??[])}}class g{get isEmpty(){return this.c.size===0&&this.g.size===0&&this.f.size===0}constructor(T){this.j=T,this.c=new Set,this.f=new Set,this.g=new Set,this.h=new Set}add(T){this.c.add(T)}update(T){Object.assign(T.revived,p.TestItem.toPlain(T.item)),this.c.has(T)||this.f.add(T)}remove(T){if(this.c.has(T)){this.c.delete(T);return}this.f.delete(T);const P=i.$QK.parentId(T.item.extId);if(P&&this.h.has(P.toString())){this.h.add(T.item.extId);return}this.g.add(T)}getChangeEvent(){const{c:T,f:P,g:O}=this;return{get added(){return[...T].map(j=>j.revived)},get updated(){return[...P].map(j=>j.revived)},get removed(){return[...O].map(j=>j.revived)}}}complete(){this.isEmpty||this.j.fire(this.getChangeEvent())}}class f extends r.$YK{constructor(){super(...arguments),this.s=new L.$5d,this.onDidChangeTests=this.s.event}get rootTests(){return this.g}getMirroredTestDataById(T){return this.f.get(T)}getMirroredTestDataByReference(T){return this.f.get(T.id)}w(T,P){return{...T,revived:p.TestItem.toPlain(T.item),depth:P?P.depth+1:0,children:new Set}}v(){return new g(this.s)}}class y{constructor(T){this.f=T}checkout(){this.c||(this.c=this.g());const T=this.c;return T.observers++,{onDidChangeTest:T.tests.onDidChangeTests,get tests(){return[...T.tests.rootTests].map(P=>P.revived)},dispose:(0,R.$db)(()=>{--T.observers===0&&(this.f.$unsubscribeFromDiffs(),this.c=void 0)})}}getMirroredTestDataByReference(T){return this.c?.tests.getMirroredTestDataByReference(T)}applyDiff(T){this.c?.tests.apply(T)}g(){const T=new f({asCanonicalUri:P=>P});return this.f.$subscribeToDiffs(),{observers:0,tests:T}}}const A=(z,T,P,O)=>{P?Object.assign(P,O):T.$updateTestRunConfig(z.controllerId,z.profileId,O)};class N{#e;#t;#i;#n;#s;get label(){return this.f}set label(T){T!==this.f&&(this.f=T,A(this,this.#e,this.#n,{label:T}))}get supportsContinuousRun(){return this.g}set supportsContinuousRun(T){T!==this.g&&(this.g=T,A(this,this.#e,this.#n,{supportsContinuousRun:T}))}get isDefault(){return this.#t.has(this.profileId)}set isDefault(T){T!==this.isDefault&&(T?this.#t.add(this.profileId):this.#t.delete(this.profileId),A(this,this.#e,this.#n,{isDefault:T}))}get tag(){return this._tag}set tag(T){T?.id!==this._tag?.id&&(this._tag=T,A(this,this.#e,this.#n,{tag:T?p.TestTag.namespace(this.controllerId,T.id):null}))}get configureHandler(){return this.c}set configureHandler(T){T!==this.c&&(this.c=T,A(this,this.#e,this.#n,{hasConfigurationHandler:!!T}))}get onDidChangeDefault(){return L.Event.chain(this.#i,T=>T.map(P=>P.get(this.controllerId)?.get(this.profileId)).filter(M.$1f))}constructor(T,P,O,j,K,ie,_,X,Y,ae=!1,ee=void 0,fe=!1){this.controllerId=K,this.profileId=ie,this.f=_,this.kind=X,this.runHandler=Y,this._tag=ee,this.g=fe,this.#e=T,this.#s=P,this.#t=O,this.#i=j,P.set(ie,this);const re=U[X];if(typeof re!="number")throw new Error(`Unknown TestRunProfile.group ${X}`);ae&&O.add(ie),this.#n={profileId:ie,controllerId:K,tag:ee?p.TestTag.namespace(this.controllerId,ee.id):null,label:_,group:re,isDefault:ae,hasConfigurationHandler:!1,supportsContinuousRun:fe},queueMicrotask(()=>{this.#n&&(this.#e.$publishTestRunProfile(this.#n),this.#n=void 0)})}dispose(){this.#s?.delete(this.profileId)&&(this.#s=void 0,this.#e.$removeTestProfile(this.controllerId,this.profileId)),this.#n=void 0}}e.$Ajc=N;const U={[o.TestRunProfileKind.Coverage]:8,[o.TestRunProfileKind.Debug]:4,[o.TestRunProfileKind.Run]:2}}),define(Se[152],De([1,0,61,14,121,15,7]),function(me,e,I,F,$,L,R){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nO=e.$mO=e.$lO=void 0;class w{static{this.c=new $.$jO("TextEditorDecorationType")}constructor(b,E,k){const l=w.c.nextId();b.$registerTextEditorDecorationType(E.identifier,l,L.DecorationRenderOptions.from(k)),this.value=Object.freeze({key:l,dispose(){b.$removeTextEditorDecorationType(l)}})}}e.$lO=w;class v{constructor(b,E){this.g=[],this.h=void 0,this.j=!1,this.c=b,this.d=b.version,this.e=E.undoStopBefore,this.f=E.undoStopAfter}finalize(){return this.j=!0,{documentVersionId:this.d,edits:this.g,setEndOfLine:this.h,undoStopBefore:this.e,undoStopAfter:this.f}}k(){if(this.j)throw new Error("Edit is only valid while callback runs")}replace(b,E){this.k();let k=null;if(b instanceof R.$3L)k=new R.$4L(b,b);else if(b instanceof R.$4L)k=b;else throw new Error("Unrecognized location");this.l(k,E,!1)}insert(b,E){this.k(),this.l(new R.$4L(b,b),E,!0)}delete(b){this.k();let E=null;if(b instanceof R.$4L)E=b;else throw new Error("Unrecognized location");this.l(E,null,!0)}l(b,E,k){const l=this.c.validateRange(b);this.g.push({range:l,text:E,forceMoveMarkers:k})}setEndOfLine(b){if(this.k(),b!==R.EndOfLine.LF&&b!==R.EndOfLine.CRLF)throw(0,F.$7)("endOfLine");this.h=b}}class S{constructor(b,E,k,l){this.c=b,this.d=E,this._accept(k),this.e=l;const p=this;this.value={get tabSize(){return p.f},set tabSize(o){p.n(o)},get indentSize(){return p.g},set indentSize(o){p.p(o)},get insertSpaces(){return p.j},set insertSpaces(o){p.s(o)},get cursorStyle(){return p.k},set cursorStyle(o){p.t(o)},get lineNumbers(){return p.l},set lineNumbers(o){p.u(o)}}}_accept(b){this.f=b.tabSize,this.g=b.indentSize,this.h=b.originalIndentSize,this.j=b.insertSpaces,this.k=b.cursorStyle,this.l=L.TextEditorLineNumbersStyle.to(b.lineNumbers)}m(b){if(b==="auto")return"auto";if(typeof b=="number"){const E=Math.floor(b);return E>0?E:null}if(typeof b=="string"){const E=parseInt(b,10);return isNaN(E)?null:E>0?E:null}return null}n(b){const E=this.m(b);if(E!==null){if(typeof E=="number"){if(this.f===E)return;this.f=E}this.v("setTabSize",this.c.$trySetOptions(this.d,{tabSize:E}))}}o(b){if(b==="tabSize")return"tabSize";if(typeof b=="number"){const E=Math.floor(b);return E>0?E:null}if(typeof b=="string"){const E=parseInt(b,10);return isNaN(E)?null:E>0?E:null}return null}p(b){const E=this.o(b);if(E!==null){if(typeof E=="number"){if(this.h===E)return;this.g=E,this.h=E}this.v("setIndentSize",this.c.$trySetOptions(this.d,{indentSize:E}))}}q(b){return b==="auto"?"auto":b==="false"?!1:!!b}s(b){const E=this.q(b);if(typeof E=="boolean"){if(this.j===E)return;this.j=E}this.v("setInsertSpaces",this.c.$trySetOptions(this.d,{insertSpaces:E}))}t(b){this.k!==b&&(this.k=b,this.v("setCursorStyle",this.c.$trySetOptions(this.d,{cursorStyle:b})))}u(b){this.l!==b&&(this.l=b,this.v("setLineNumbers",this.c.$trySetOptions(this.d,{lineNumbers:L.TextEditorLineNumbersStyle.from(b)})))}assign(b){const E={};let k=!1;if(typeof b.tabSize<"u"){const l=this.m(b.tabSize);l==="auto"?(k=!0,E.tabSize=l):typeof l=="number"&&this.f!==l&&(this.f=l,k=!0,E.tabSize=l)}if(typeof b.indentSize<"u"){const l=this.o(b.indentSize);l==="tabSize"?(k=!0,E.indentSize=l):typeof l=="number"&&this.h!==l&&(this.g=l,this.h=l,k=!0,E.indentSize=l)}if(typeof b.insertSpaces<"u"){const l=this.q(b.insertSpaces);l==="auto"?(k=!0,E.insertSpaces=l):this.j!==l&&(this.j=l,k=!0,E.insertSpaces=l)}typeof b.cursorStyle<"u"&&this.k!==b.cursorStyle&&(this.k=b.cursorStyle,k=!0,E.cursorStyle=b.cursorStyle),typeof b.lineNumbers<"u"&&this.l!==b.lineNumbers&&(this.l=b.lineNumbers,k=!0,E.lineNumbers=L.TextEditorLineNumbersStyle.from(b.lineNumbers)),k&&this.v("setOptions",this.c.$trySetOptions(this.d,E))}v(b,E){E.catch(k=>{this.e.warn(`ExtHostTextEditorOptions '${b}' failed:'`),this.e.warn(k)})}}e.$mO=S;class M{constructor(b,E,k,l,p,o,i,n){this.id=b,this.j=E,this.k=k,this.g=!1,this.h=new Set,this.c=p,this.d=new S(this.j,this.id,o,k),this.e=i,this.f=n;const r=this;this.value=Object.freeze({get document(){return l.value},set document(a){throw new F.$9("document")},get selection(){return r.c&&r.c[0]},set selection(a){if(!(a instanceof R.$5L))throw(0,F.$7)("selection");r.c=[a],r.l()},get selections(){return r.c},set selections(a){if(!Array.isArray(a)||a.some(t=>!(t instanceof R.$5L)))throw(0,F.$7)("selections");r.c=a,r.l()},get visibleRanges(){return r.e},set visibleRanges(a){throw new F.$9("visibleRanges")},get options(){return r.d.value},set options(a){r.g||r.d.assign(a)},get viewColumn(){return r.f},set viewColumn(a){throw new F.$9("viewColumn")},edit(a,t={undoStopBefore:!0,undoStopAfter:!0}){if(r.g)return Promise.reject(new Error("TextEditor#edit not possible on closed editors"));const d=new v(l.value,t);return a(d),r.m(d)},insertSnippet(a,t,d={undoStopBefore:!0,undoStopAfter:!0}){if(r.g)return Promise.reject(new Error("TextEditor#insertSnippet not possible on closed editors"));let u;if(!t||Array.isArray(t)&&t.length===0)u=r.c.map(s=>L.Range.from(s));else if(t instanceof R.$3L){const{lineNumber:s,column:c}=L.Position.from(t);u=[{startLineNumber:s,startColumn:c,endLineNumber:s,endColumn:c}]}else if(t instanceof R.$4L)u=[L.Range.from(t)];else{u=[];for(const s of t)if(s instanceof R.$4L)u.push(L.Range.from(s));else{const{lineNumber:c,column:h}=L.Position.from(s);u.push({startLineNumber:c,startColumn:h,endLineNumber:c,endColumn:h})}}return E.$tryInsertSnippet(b,l.value.version,a.value,u,d)},setDecorations(a,t){const d=t.length===0;d&&!r.h.has(a.key)||(d?r.h.delete(a.key):r.h.add(a.key),r.n(()=>{if(L.$bO(t))return E.$trySetDecorations(b,a.key,L.$cO(t));{const u=new Array(4*t.length);for(let s=0,c=t.length;s<c;s++){const h=t[s];u[4*s]=h.start.line+1,u[4*s+1]=h.start.character+1,u[4*s+2]=h.end.line+1,u[4*s+3]=h.end.character+1}return E.$trySetDecorationsFast(b,a.key,u)}}))},revealRange(a,t){r.n(()=>E.$tryRevealRange(b,L.Range.from(a),t||R.TextEditorRevealType.Default))},show(a){E.$tryShowEditor(b,L.ViewColumn.from(a))},hide(){E.$tryHideEditor(b)}})}dispose(){(0,I.ok)(!this.g),this.g=!0}_acceptOptions(b){(0,I.ok)(!this.g),this.d._accept(b)}_acceptVisibleRanges(b){(0,I.ok)(!this.g),this.e=b}_acceptViewColumn(b){(0,I.ok)(!this.g),this.f=b}_acceptSelections(b){(0,I.ok)(!this.g),this.c=b}async l(){const b=this.c.map(L.Selection.from);return await this.n(()=>this.j.$trySetSelections(this.id,b)),this.value}m(b){const E=b.finalize();if(E.edits.length===0&&!E.setEndOfLine)return Promise.resolve(!0);const k=E.edits.map(p=>p.range);k.sort((p,o)=>p.end.line===o.end.line?p.end.character===o.end.character?p.start.line===o.start.line?p.start.character-o.start.character:p.start.line-o.start.line:p.end.character-o.end.character:p.end.line-o.end.line);for(let p=0,o=k.length-1;p<o;p++){const i=k[p].end;if(k[p+1].start.isBefore(i))return Promise.reject(new Error("Overlapping ranges are not allowed!"))}const l=E.edits.map(p=>({range:L.Range.from(p.range),text:p.text,forceMoveMarkers:p.forceMoveMarkers}));return this.j.$tryApplyEdits(this.id,E.documentVersionId,l,{setEndOfLine:typeof E.setEndOfLine=="number"?L.EndOfLine.from(E.setEndOfLine):void 0,undoStopBefore:E.undoStopBefore,undoStopAfter:E.undoStopAfter})}n(b){return this.g?(this.k.warn("TextEditor is closed/disposed"),Promise.resolve(void 0)):b().then(()=>this,E=>(E instanceof Error&&E.name==="DISPOSED"||this.k.warn(E),null))}}e.$nO=M}),define(Se[72],De([1,0,61,4,3,2,5,6,149,20,152,15,13,28,16,48,44]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$pO=e.$oO=void 0;class o{constructor(r){this.value=r,this.a=0}ref(){this.a++}unref(){return--this.a===0}}let i=class{constructor(r,a){this.h=r,this.i=a,this.a=null,this.b=new Map,this.c=new E.$Ac,this.d=new F.$5d,this.e=new F.$5d,this.f=new F.$5d,this.g=new F.$5d,this.onDidAddDocuments=this.d.event,this.onDidRemoveDocuments=this.e.event,this.onDidChangeVisibleTextEditors=this.f.event,this.onDidChangeActiveTextEditor=this.g.event}$acceptDocumentsAndEditorsDelta(r){this.acceptDocumentsAndEditorsDelta(r)}acceptDocumentsAndEditorsDelta(r){const a=[],t=[],d=[];if(r.removedDocuments)for(const u of r.removedDocuments){const s=L.URI.revive(u),c=this.c.get(s);c?.unref()&&(this.c.delete(s),a.push(c.value))}if(r.addedDocuments)for(const u of r.addedDocuments){const s=L.URI.revive(u.uri);let c=this.c.get(s);if(c&&s.scheme!==k.Schemas.vscodeNotebookCell&&s.scheme!==k.Schemas.vscodeInteractiveInput)throw new Error(`document '${s} already exists!'`);c||(c=new o(new v.$hO(this.h.getProxy(w.$ZL.MainThreadDocuments),s,u.lines,u.EOL,u.versionId,u.languageId,u.isDirty)),this.c.set(s,c),t.push(c.value)),c.ref()}if(r.removedEditors)for(const u of r.removedEditors){const s=this.b.get(u);this.b.delete(u),s&&d.push(s)}if(r.addedEditors)for(const u of r.addedEditors){const s=L.URI.revive(u.documentUri);I.ok(this.c.has(s),`document '${s}' does not exist`),I.ok(!this.b.has(u.id),`editor '${u.id}' already exists!`);const c=this.c.get(s).value,h=new M.$nO(u.id,this.h.getProxy(w.$ZL.MainThreadTextEditors),this.i,new p.$V(()=>c.document),u.selections.map(C.Selection.to),u.options,u.visibleRanges.map(m=>C.Range.to(m)),typeof u.editorPosition=="number"?C.ViewColumn.to(u.editorPosition):void 0);this.b.set(u.id,h)}r.newActiveEditor!==void 0&&(I.ok(r.newActiveEditor===null||this.b.has(r.newActiveEditor),`active editor '${r.newActiveEditor}' does not exist`),this.a=r.newActiveEditor),(0,$.$Oc)(a),(0,$.$Oc)(d),r.removedDocuments&&this.e.fire(a),r.addedDocuments&&this.d.fire(t),(r.removedEditors||r.addedEditors)&&this.f.fire(this.allEditors().map(u=>u.value)),r.newActiveEditor!==void 0&&this.g.fire(this.activeEditor())}getDocument(r){return this.c.get(r)?.value}allDocuments(){return l.Iterable.map(this.c.values(),r=>r.value)}getEditor(r){return this.b.get(r)}activeEditor(r){if(!this.a)return;const a=this.b.get(this.a);return r?a:a?.value}allEditors(){return[...this.b.values()]}};e.$oO=i,e.$oO=i=Je([Ve(0,S.$eO),Ve(1,b.$yj)],i),e.$pO=(0,R.$ei)("IExtHostDocumentsAndEditors")}),define(Se[348],De([1,0,19,4,6,152,15,7]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Whc=void 0;class v{constructor(M,C){this.i=C,this.a=new F.$5d,this.b=new F.$5d,this.c=new F.$5d,this.d=new F.$5d,this.f=new F.$5d,this.g=new F.$5d,this.onDidChangeTextEditorSelection=this.a.event,this.onDidChangeTextEditorOptions=this.b.event,this.onDidChangeTextEditorVisibleRanges=this.c.event,this.onDidChangeTextEditorViewColumn=this.d.event,this.onDidChangeActiveTextEditor=this.f.event,this.onDidChangeVisibleTextEditors=this.g.event,this.h=M.getProxy($.$ZL.MainThreadTextEditors),this.i.onDidChangeVisibleTextEditors(b=>this.g.fire(b)),this.i.onDidChangeActiveTextEditor(b=>this.f.fire(b))}getActiveTextEditor(){return this.i.activeEditor()}getVisibleTextEditors(M){const C=this.i.allEditors();return M?C:C.map(b=>b.value)}async showTextDocument(M,C,b){let E;typeof C=="number"?E={position:R.ViewColumn.from(C),preserveFocus:b}:typeof C=="object"?E={position:R.ViewColumn.from(C.viewColumn),preserveFocus:C.preserveFocus,selection:typeof C.selection=="object"?R.Range.from(C.selection):void 0,pinned:typeof C.preview=="boolean"?!C.preview:void 0}:E={preserveFocus:!1};const k=await this.h.$tryShowTextDocument(M.uri,E),l=k&&this.i.getEditor(k);if(l)return l.value;throw k?new Error(`Could NOT open editor for "${M.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${M.uri.toString()}".`)}createTextEditorDecorationType(M,C){return new L.$lO(this.h,M,C).value}$acceptEditorPropertiesChanged(M,C){const b=this.i.getEditor(M);if(!b)throw new Error("unknown text editor");if(C.options&&b._acceptOptions(C.options),C.selections){const E=C.selections.selections.map(R.Selection.to);b._acceptSelections(E)}if(C.visibleRanges){const E=I.$Hb(C.visibleRanges.map(R.Range.to));b._acceptVisibleRanges(E)}if(C.options&&this.b.fire({textEditor:b.value,options:{...C.options,lineNumbers:R.TextEditorLineNumbersStyle.to(C.options.lineNumbers)}}),C.selections){const E=w.TextEditorSelectionChangeKind.fromValue(C.selections.source),k=C.selections.selections.map(R.Selection.to);this.a.fire({textEditor:b.value,selections:k,kind:E})}if(C.visibleRanges){const E=I.$Hb(C.visibleRanges.map(R.Range.to));this.c.fire({textEditor:b.value,visibleRanges:E})}}$acceptEditorPositionData(M){for(const C in M){const b=this.i.getEditor(C);if(!b)throw new Error("Unknown text editor");const E=R.ViewColumn.to(M[C]);b.value.viewColumn!==E&&(b._acceptViewColumn(E),this.d.fire({textEditor:b.value,viewColumn:E}))}}getDiffInformation(M){return Promise.resolve(this.h.$getDiffInformation(M))}}e.$Whc=v}),define(Se[349],De([1,0,2,5,6,3,7,15,25,18]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Djc=e.$Cjc=void 0,e.$Cjc=(0,F.$ei)("IExtHostTimeline");class M{constructor(E,k){this.b=new Map,this.c=new Map,this.a=E.getProxy($.$ZL.MainThreadTimeline),k.registerArgumentProcessor({processArgument:(l,p)=>{if(l&&l.$mid===12)if(this.b.get(l.source)&&v.$wm.equals(p,this.b.get(l.source)?.extension)){const o=l.uri===void 0?void 0:I.URI.revive(l.uri);return this.c.get(l.source)?.get(C(o))?.get(l.handle)}else return;return l}})}async $getTimeline(E,k,l,p){return this.b.get(E)?.provider.provideTimeline(I.URI.revive(k),l,p)}registerTimelineProvider(E,k,l,p){const o=new L.$Sc,i=this.d(k.id,p,o).bind(this);let n;k.onDidChange&&(n=k.onDidChange(a=>this.a.$emitTimelineChangeEvent({uri:void 0,reset:!0,...a,id:k.id}),this));const r=this.c;return this.f({...k,scheme:E,onDidChange:void 0,async provideTimeline(a,t,d){t?.resetCache&&(o.clear(),r.get(k.id)?.clear());const u=await k.provideTimeline(a,t,d);if(u==null)return;const s=i(a,t);return{...u,source:k.id,items:u.items.map(s)}},dispose(){for(const a of r.values())a.get(k.id)?.clear();n?.dispose(),o.dispose()}},l)}d(E,k,l){return(p,o)=>{let i;if(o?.cacheResults){let n=this.c.get(E);n===void 0&&(n=new Map,this.c.set(E,n));const r=C(p);i=n.get(r),i===void 0&&(i=new Map,n.set(r,i))}return n=>{const{iconPath:r,...a}=n,t=`${E}|${n.id??n.timestamp}`;i?.set(t,n);let d,u,s;n.iconPath&&(r instanceof R.$WM?s={id:r.id,color:r.color}:I.URI.isUri(r)?(d=r,u=r):{light:d,dark:u}=r);let c;return R.$qM.isMarkdownString(a.tooltip)?c=w.MarkdownString.from(a.tooltip):(0,S.$Sf)(a.tooltip)?c=a.tooltip:R.$qM.isMarkdownString(a.detail)?(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),c=w.MarkdownString.from(a.detail)):(0,S.$Sf)(a.detail)&&(console.warn("Using deprecated TimelineItem.detail, migrate to TimelineItem.tooltip"),c=a.detail),{...a,id:a.id??void 0,handle:t,source:E,command:n.command?k.toInternal(n.command,l):void 0,icon:d,iconDark:u,themeIcon:s,tooltip:c,accessibilityInformation:n.accessibilityInformation}}}}f(E,k){if(this.b.get(E.id))throw new Error(`Timeline Provider ${E.id} already exists.`);return this.a.$registerTimelineProvider({id:E.id,label:E.label,scheme:E.scheme}),this.b.set(E.id,{provider:E,extension:k}),(0,L.$Rc)(()=>{for(const p of this.c.values())p.get(E.id)?.clear();this.b.delete(E.id),this.a.$unregisterTimelineProvider(E.id),E.dispose()})}}e.$Djc=M;function C(b){return b?.toString()}}),define(Se[350],De([1,0,221,23,2,4,3,280,8,7,18,19,15,80,22,178,26]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ejc=void 0;function o(r,a){if((0,M.$Sf)(r))return{label:r};if(r&&typeof r=="object"&&typeof r.label=="string"){let t;return Array.isArray(r.highlights)&&(t=r.highlights.filter(d=>d.length===2&&typeof d[0]=="number"&&typeof d[1]=="number"),t=t.length?t:void 0),{label:r.label,highlights:t}}}class i extends R.$Tc{constructor(a,t,d){super(),this.f=a,this.g=t,this.h=d,this.a=new Map,this.b=new l.$C9;function u(s){return s&&s.$treeViewId&&(s.$treeItemHandle||s.$selectedTreeItems||s.$focusedTreeItem)}t.registerArgumentProcessor({processArgument:s=>u(s)?this.r(s):Array.isArray(s)&&s.length>0?s.map(c=>u(c)?this.r(c):c):s})}registerTreeDataProvider(a,t,d){const u=this.createTreeView(a,{treeDataProvider:t},d);return{dispose:()=>u.dispose()}}createTreeView(a,t,d){if(!t||!t.treeDataProvider)throw new Error("Options with treeDataProvider is mandatory");const u=t.dragAndDropController?.dropMimeTypes??[],s=t.dragAndDropController?.dragMimeTypes??[],c=!!t.dragAndDropController?.handleDrag,h=!!t.dragAndDropController?.handleDrop,m=this.m(a,t,d),D={showCollapseAll:!!t.showCollapseAll,canSelectMany:!!t.canSelectMany,dropMimeTypes:u,dragMimeTypes:s,hasHandleDrag:c,hasHandleDrop:h,manuallyManageCheckboxes:!!t.manageCheckboxStateManually},g=this.f.$registerTreeViewDataProvider(a,D),f={get onDidCollapseElement(){return m.onDidCollapseElement},get onDidExpandElement(){return m.onDidExpandElement},get selection(){return m.selectedElements},get onDidChangeSelection(){return m.onDidChangeSelection},get activeItem(){return(0,p.$VF)(d,"treeViewActiveItem"),m.focusedElement},get onDidChangeActiveItem(){return(0,p.$VF)(d,"treeViewActiveItem"),m.onDidChangeActiveItem},get visible(){return m.visible},get onDidChangeVisibility(){return m.onDidChangeVisibility},get onDidChangeCheckboxState(){return m.onDidChangeCheckboxState},get message(){return m.message},set message(y){(0,E.$uk)(y)&&(0,p.$VF)(d,"treeViewMarkdownMessage"),m.message=y},get title(){return m.title},set title(y){m.title=y},get description(){return m.description},set description(y){m.description=y},get badge(){return m.badge},set badge(y){y!==void 0&&S.ViewBadge.isViewBadge(y)?m.badge={value:Math.floor(Math.abs(y.value)),tooltip:y.tooltip}:y===void 0&&(m.badge=void 0)},reveal:(y,A)=>m.reveal(y,A),dispose:async()=>{await g,this.a.delete(a),m.dispose()}};return this.B(f),f}$getChildren(a,t){const d=this.a.get(a);return d?d.getChildren(t):Promise.reject(new w.$oF(a))}async $handleDrop(a,t,d,u,s,c,h,m){const D=this.a.get(a);if(!D)return Promise.reject(new w.$oF(a));const g=b.DataTransfer.toDataTransfer(d,async f=>(await this.f.$resolveDropFileData(a,t,f)).buffer);return h===a&&m&&await this.j(g,D,m,s,c),D.onDrop(g,u,s)}async j(a,t,d,u,s){const c=this.b.removeDragOperationTransfer(s);if(c)(await c)?.forEach((h,m)=>{h&&a.set(m,h)});else if(s&&t.handleDrag){const h=t.handleDrag(d,a,u);this.b.addDragOperationTransfer(s,h),await h}return a}async $handleDrag(a,t,d,u){const s=this.a.get(a);if(!s)return Promise.reject(new w.$oF(a));const c=await this.j(new S.$TM,s,t,u,d);if(!(!c||u.isCancellationRequested))return b.DataTransfer.from(c)}async $hasResolve(a){const t=this.a.get(a);if(!t)throw new w.$oF(a);return t.hasResolve}$resolve(a,t,d){const u=this.a.get(a);if(!u)throw new w.$oF(a);return u.resolveTreeItem(t,d)}$setExpanded(a,t,d){const u=this.a.get(a);if(!u)throw new w.$oF(a);u.setExpanded(t,d)}$setSelectionAndFocus(a,t,d){const u=this.a.get(a);if(!u)throw new w.$oF(a);u.setSelectionAndFocus(t,d)}$setVisible(a,t){const d=this.a.get(a);if(!d){if(!t)return;throw new w.$oF(a)}d.setVisible(t)}$changeCheckboxState(a,t){const d=this.a.get(a);if(!d)throw new w.$oF(a);d.setCheckboxState(t)}m(a,t,d){const u=this.B(new n(a,t,this.f,this.g.converter,this.h,d));return this.a.set(a,u),u}r(a){const t=this.a.get(a.$treeViewId);return t&&"$treeItemHandle"in a?t.getExtensionElement(a.$treeItemHandle):t&&"$focusedTreeItem"in a&&a.$focusedTreeItem?t.focusedElement:null}}e.$Ejc=i;class n extends R.$Tc{static{this.a="0"}static{this.b="1"}get visible(){return this.r}get selectedElements(){return this.s.map(a=>this.getExtensionElement(a)).filter(a=>!(0,M.$2f)(a))}get focusedElement(){return this.t?this.getExtensionElement(this.t):void 0}constructor(a,t,d,u,s,c){if(super(),this.I=a,this.J=d,this.L=u,this.M=s,this.N=c,this.h=void 0,this.j=new Map,this.m=new Map,this.r=!1,this.s=[],this.t=void 0,this.u=this.B(new L.$5d),this.onDidExpandElement=this.u.event,this.w=this.B(new L.$5d),this.onDidCollapseElement=this.w.event,this.y=this.B(new L.$5d),this.onDidChangeSelection=this.y.event,this.z=this.B(new L.$5d),this.onDidChangeActiveItem=this.z.event,this.C=this.B(new L.$5d),this.onDidChangeVisibility=this.C.event,this.D=this.B(new L.$5d),this.onDidChangeCheckboxState=this.D.event,this.F=this.B(new L.$5d),this.G=Promise.resolve(),this.H=Promise.resolve(),this.O="",this.P="",this.Z=new k.$ce,c.contributes&&c.contributes.views)for(const g in c.contributes.views)for(const f of c.contributes.views[g])f.id===a&&(this.P=f.name);this.f=t.treeDataProvider,this.g=t.dragAndDropController,this.f.onDidChangeTreeData&&this.B(this.f.onDidChangeTreeData(g=>this.F.fire({message:!1,element:g})));let h,m;const D=L.Event.debounce(this.F.event,(g,f)=>(g||(g={message:!1,elements:[]}),f.element!==!1&&(h||(h=new Promise(y=>m=y),this.G=this.G.then(()=>h)),Array.isArray(f.element)?g.elements.push(...f.element):g.elements.push(f.element)),f.message&&(g.message=!0),g),200,!0);this.B(D(({message:g,elements:f})=>{f.length&&(this.H=this.H.then(()=>{const y=m;return h=null,this.$(f).then(()=>y())})),g&&this.J.$setMessage(this.I,b.MarkdownString.fromStrict(this.O)??"")}))}async getChildren(a){const t=a?this.getExtensionElement(a):void 0;if(a&&!t)return this.M.error(`No tree item with id '${a}' found.`),Promise.resolve([]);let d=this.X(a);return d||(d=await this.Y(t)),d?d.map(u=>u.item):void 0}getExtensionElement(a){return this.j.get(a)}reveal(a,t){t=t||{select:!0,focus:!1};const d=(0,M.$2f)(t.select)?!0:t.select,u=(0,M.$2f)(t.focus)?!1:t.focus,s=(0,M.$2f)(t.expand)?!1:t.expand;return typeof this.f.getParent!="function"?Promise.reject(new Error("Required registered TreeDataProvider to implement 'getParent' method to access 'reveal' method")):a?this.G.then(()=>this.S(a)).then(c=>this.W(a,c[c.length-1]).then(h=>this.J.$reveal(this.I,{item:h.item,parentChain:c.map(m=>m.item)},{select:d,focus:u,expand:s})),c=>this.M.error(c)):this.J.$reveal(this.I,void 0,{select:d,focus:u,expand:s})}get message(){return this.O}set message(a){this.O=a,this.F.fire({message:!0,element:!1})}get title(){return this.P}set title(a){this.P=a,this.J.$setTitle(this.I,a,this.Q)}get description(){return this.Q}set description(a){this.Q=a,this.J.$setTitle(this.I,this.P,a)}get badge(){return this.R}set badge(a){this.R?.value===a?.value&&this.R?.tooltip===a?.tooltip||(this.R=b.ViewBadge.from(a),this.J.$setBadge(this.I,a))}setExpanded(a,t){const d=this.getExtensionElement(a);d&&(t?this.u.fire(Object.freeze({element:d})):this.w.fire(Object.freeze({element:d})))}setSelectionAndFocus(a,t){const d=!(0,C.$ub)(this.s,a);this.s=a;const u=this.t!==t;this.t=t,d&&this.y.fire(Object.freeze({selection:this.selectedElements})),u&&this.z.fire(Object.freeze({activeItem:this.focusedElement}))}setVisible(a){a!==this.r&&(this.r=a,this.C.fire(Object.freeze({visible:this.r})))}async setCheckboxState(a){const t=(await Promise.all(a.map(async d=>{const u=this.getExtensionElement(d.treeItemHandle);return u?{extensionItem:u,treeItem:await this.f.getTreeItem(u),newState:d.newState?S.TreeItemCheckboxState.Checked:S.TreeItemCheckboxState.Unchecked}:Promise.resolve(void 0)}))).filter(d=>d!==void 0);t.forEach(d=>{d.treeItem.checkboxState=d.newState?S.TreeItemCheckboxState.Checked:S.TreeItemCheckboxState.Unchecked}),this.D.fire({items:t.map(d=>[d.extensionItem,d.newState])})}async handleDrag(a,t,d){const u=[];for(const s of a){const c=this.getExtensionElement(s);c&&u.push(c)}if(!(!this.g?.handleDrag||u.length===0))return await this.g.handleDrag(u,t,d),t}get hasHandleDrag(){return!!this.g?.handleDrag}async onDrop(a,t,d){const u=t?this.getExtensionElement(t):void 0;if(!(!u&&t||!this.g?.handleDrop))return(0,v.$9g)(()=>this.g?.handleDrop?this.g.handleDrop(u,a,d):void 0)}get hasResolve(){return!!this.f.resolveTreeItem}async resolveTreeItem(a,t){if(!this.f.resolveTreeItem)return;const d=this.j.get(a);if(d){const u=this.m.get(d);if(u){const s=await this.f.resolveTreeItem(u.extensionItem,d,t)??u.extensionItem;return this.hb(s),u.item.tooltip=this.eb(s.tooltip),u.item.command=this.fb(u.disposableStore,s.command),u.item}}}S(a){return this.U(a).then(t=>t?this.S(t).then(d=>this.W(t,d[d.length-1]).then(u=>(d.push(u),d))):Promise.resolve([]))}U(a){const t=this.m.get(a);return t?Promise.resolve(t.parent?this.j.get(t.parent.item.handle):void 0):(0,v.$9g)(()=>this.f.getParent(a))}W(a,t){const d=this.m.get(a);return d?Promise.resolve(d):(0,v.$9g)(()=>this.f.getTreeItem(a)).then(u=>this.kb(a,u,t,!0)).then(u=>this.getChildren(t?t.item.handle:void 0).then(()=>{const s=this.getExtensionElement(u);if(s){const c=this.m.get(s);if(c)return Promise.resolve(c)}throw new Error(`Cannot resolve tree item for element ${u} from extension ${this.N.identifier.value}`)}))}X(a){if(a){let t;if(typeof a=="string"){const d=this.getExtensionElement(a);t=d?this.m.get(d):void 0}else t=a;return t&&t.children||void 0}return this.h}async Y(a){this.rb(a);const t=new k.$ce(this.Z.token);try{const d=a?this.m.get(a):void 0,u=await this.f.getChildren(a);if(t.token.isCancellationRequested)return;const s=(0,C.$Hb)(u||[]),c=await Promise.all((0,C.$Hb)(s).map(m=>this.f.getTreeItem(m)));if(t.token.isCancellationRequested)return;const h=c.map((m,D)=>m?this.db(s[D],m,d):null);return(0,C.$Hb)(h)}finally{t.dispose()}}$(a){if(a.some(d=>!d))return this.Z.dispose(!0),this.Z=new k.$ce,this.tb(),this.J.$refresh(this.I);{const d=this.ab(a);if(d.length)return this.bb(d)}return Promise.resolve(void 0)}ab(a){const t=new Set,d=a.map(s=>this.m.get(s));for(const s of d)if(s&&!t.has(s.item.handle)){let c=s;for(;c&&c.parent&&d.findIndex(h=>c&&c.parent&&h&&h.item.handle===c.parent.item.handle)===-1;){const h=this.j.get(c.parent.item.handle);c=h?this.m.get(h):void 0}c&&!c.parent&&t.add(s.item.handle)}const u=[];return t.forEach(s=>{const c=this.j.get(s);if(c){const h=this.m.get(c);h&&(!h.parent||!t.has(h.parent.item.handle))&&u.push(s)}}),u}bb(a){const t={};return Promise.all(a.map(d=>this.cb(d).then(u=>{u&&(t[d]=u.item)}))).then(()=>Object.keys(t).length?this.J.$refresh(this.I,t):void 0)}cb(a){const t=this.getExtensionElement(a);if(t){const d=this.m.get(t);if(d)return this.rb(t),(0,v.$9g)(()=>this.f.getTreeItem(t)).then(u=>{if(u){const s=this.ib(t,u,d.parent);return this.pb(t,s,d,d.parent),d.dispose(),s}return null})}return Promise.resolve(null)}db(a,t,d){const u=this.ib(a,t,d);if(t.id&&this.j.has(u.item.handle))throw new Error((0,I.localize)(0,null,t.id));return this.ob(a,u),this.qb(u,d),u}eb(a){return S.$qM.isMarkdownString(a)?b.MarkdownString.from(a):a}fb(a,t){return t?{...this.L.toInternal(t,a),originalId:t.command}:void 0}gb(a){if(a.checkboxState===void 0)return;let t,d,u;return typeof a.checkboxState=="number"?t=a.checkboxState:(t=a.checkboxState.state,d=a.checkboxState.tooltip,u=a.checkboxState.accessibilityInformation),{isChecked:t===S.TreeItemCheckboxState.Checked,tooltip:d,accessibilityInformation:u}}hb(a){if(!S.$OM.isTreeItem(a,this.N))throw new Error(`Extension ${this.N.identifier.value} has provided an invalid tree item.`)}ib(a,t,d){this.hb(t);const u=this.B(new R.$Sc),s=this.kb(a,t,d),c=this.lb(t);return{item:{handle:s,parentHandle:d?d.item.handle:void 0,label:o(t.label,this.N),description:t.description,resourceUri:t.resourceUri,tooltip:this.eb(t.tooltip),command:this.fb(u,t.command),contextValue:t.contextValue,icon:c,iconDark:this.mb(t)||c,themeIcon:this.jb(t),collapsibleState:(0,M.$2f)(t.collapsibleState)?S.TreeItemCollapsibleState.None:t.collapsibleState,accessibilityInformation:t.accessibilityInformation,checkbox:this.gb(t)},extensionItem:t,parent:d,children:void 0,disposableStore:u,dispose(){u.dispose()}}}jb(a){return a.iconPath instanceof S.$WM?a.iconPath:void 0}kb(a,{id:t,label:d,resourceUri:u},s,c){if(t)return`${n.b}/${t}`;const h=o(d,this.N),m=s?s.item.handle:n.a;let D=h?h.label:u?(0,F.$Og)(u):"";D=D.indexOf("/")!==-1?D.replace("/","//"):D;const g=this.m.has(a)?this.m.get(a).item.handle:void 0,f=this.X(s)||[];let y,A=0;do{if(y=`${m}/${A}:${D}`,c||!this.j.has(y)||g===y)break;A++}while(A<=f.length);return y}lb(a){if(a.iconPath&&!(a.iconPath instanceof S.$WM))return typeof a.iconPath=="string"||$.URI.isUri(a.iconPath)?this.nb(a.iconPath):this.nb(a.iconPath.light)}mb(a){if(a.iconPath&&!(a.iconPath instanceof S.$WM)&&a.iconPath.dark)return this.nb(a.iconPath.dark)}nb(a){return $.URI.isUri(a)?a:$.URI.file(a)}ob(a,t){this.j.set(t.item.handle,a),this.m.set(a,t)}pb(a,t,d,u){this.j.delete(t.item.handle),this.m.delete(a),t.item.handle!==d.item.handle&&this.j.delete(d.item.handle),this.ob(a,t);const s=this.X(u)||[],c=s.filter(h=>h.item.handle===d.item.handle)[0];c&&s.splice(s.indexOf(c),1,t)}qb(a,t){t?(t.children||(t.children=[]),t.children.push(a)):(this.h||(this.h=[]),this.h.push(a))}rb(a){if(a){const t=this.m.get(a);if(t){if(t.children)for(const d of t.children){const u=this.j.get(d.item.handle);u&&this.sb(u)}t.children=void 0}}else this.tb()}sb(a){const t=this.m.get(a);if(t){if(t.children)for(const d of t.children){const u=this.j.get(d.item.handle);u&&this.sb(u)}this.m.delete(a),this.j.delete(t.item.handle),t.dispose()}}tb(){this.h=void 0,this.j.clear(),this.m.forEach(a=>a.dispose()),this.m.clear()}dispose(){super.dispose(),this.Z.dispose(),this.tb(),this.J.$disposeTree(this.I)}}}),define(Se[351],De([1,0,4,3,2,30,15,92,6,7]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dic=void 0;class M extends F.$Tc{#e;#t;#i;#n;#s;#r;#a;#o;#c;#l;#u;#d;#h;constructor(k,l,p,o){super(),this.#o=void 0,this.#c=!0,this.#u=!1,this.#d=this.B(new I.$5d),this.onDidDispose=this.#d.event,this.#h=this.B(new I.$5d),this.onDidChangeViewState=this.#h.event,this.#e=k,this.#t=l,this.#n=p,this.#i=o.viewType,this.#s=o.panelOptions,this.#o=o.viewColumn,this.#r=o.title,this.#l=o.active}dispose(){this.#u||(this.#u=!0,this.#d.fire(),this.#t.$disposeWebview(this.#e),this.#n.dispose(),super.dispose())}get webview(){return this.c(),this.#n}get viewType(){return this.c(),this.#i}get title(){return this.c(),this.#r}set title(k){this.c(),this.#r!==k&&(this.#r=k,this.#t.$setTitle(this.#e,k))}get iconPath(){return this.c(),this.#a}set iconPath(k){this.c(),this.#a!==k&&(this.#a=k,this.#t.$setIconPath(this.#e,$.URI.isUri(k)?{light:k,dark:k}:k))}get options(){return this.#s}get viewColumn(){if(this.c(),!(typeof this.#o=="number"&&this.#o<0))return this.#o}get active(){return this.c(),this.#l}get visible(){return this.c(),this.#c}_updateViewState(k){this.#u||(this.active!==k.active||this.visible!==k.visible||this.viewColumn!==k.viewColumn)&&(this.#l=k.active,this.#c=k.visible,this.#o=k.viewColumn,this.#h.fire({webviewPanel:this}))}reveal(k,l){this.c(),this.#t.$reveal(this.#e,{viewColumn:typeof k>"u"?void 0:R.ViewColumn.from(k),preserveFocus:!!l})}c(){if(this.#u)throw new Error("Webview is disposed")}}class C extends F.$Tc{static c(){return(0,L.$Ag)()}constructor(k,l,p){super(),this.j=l,this.m=p,this.g=new Map,this.h=new Map,this.f=k.getProxy(v.$ZL.MainThreadWebviewPanels)}dispose(){super.dispose(),this.g.forEach(k=>k.dispose()),this.g.clear()}createWebviewPanel(k,l,p,o,i={}){const n=typeof o=="object"?o.viewColumn:o,r={viewColumn:R.ViewColumn.from(n),preserveFocus:typeof o=="object"&&!!o.preserveFocus},a=(0,w.$_hc)(k),t=C.c();this.f.$createWebviewPanel((0,w.$bic)(k),t,l,{title:p,panelOptions:b(i),webviewOptions:(0,w.$cic)(k,this.m,i),serializeBuffersForPostMessage:a},r);const d=this.j.createNewWebview(t,i,k);return this.createNewWebviewPanel(t,l,p,n,i,d,!0)}$onDidChangeWebviewPanelViewStates(k){const l=Object.keys(k);l.sort((p,o)=>{const i=k[p],n=k[o];return i.active?1:n.active?-1:+i.visible-+n.visible});for(const p of l){const o=this.getWebviewPanel(p);if(!o)continue;const i=k[p];o._updateViewState({active:i.active,visible:i.visible,viewColumn:R.ViewColumn.to(i.position)})}}async $onDidDisposeWebviewPanel(k){this.getWebviewPanel(k)?.dispose(),this.g.delete(k),this.j.deleteWebview(k)}registerWebviewPanelSerializer(k,l,p){if(this.h.has(l))throw new Error(`Serializer for '${l}' already registered`);return this.h.set(l,{serializer:p,extension:k}),this.f.$registerSerializer(l,{serializeBuffersForPostMessage:(0,w.$_hc)(k)}),new S.$2L(()=>{this.h.delete(l),this.f.$unregisterSerializer(l)})}async $deserializeWebviewPanel(k,l,p,o){const i=this.h.get(l);if(!i)throw new Error(`No serializer found for '${l}'`);const{serializer:n,extension:r}=i,a=this.j.createNewWebview(k,p.webviewOptions,r),t=this.createNewWebviewPanel(k,l,p.title,o,p.panelOptions,a,p.active);await n.deserializeWebviewPanel(t,p.state)}createNewWebviewPanel(k,l,p,o,i,n,r){const a=new M(k,this.f,n,{viewType:l,title:p,viewColumn:o,panelOptions:i,active:r});return this.g.set(k,a),a}getWebviewPanel(k){return this.g.get(k)}}e.$dic=C;function b(E){return{enableFindWidget:E.enableFindWidget,retainContextWhenHidden:E.retainContextWhenHidden}}}),define(Se[352],De([1,0,4,3,92,15,6,7]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Hjc=void 0;class v extends F.$Tc{#e;#t;#i;#n;#s;#r;#a;#o;#c;constructor(C,b,E,k,l,p){super(),this.#s=!1,this.#l=this.B(new I.$5d),this.onDidChangeVisibility=this.#l.event,this.#u=this.B(new I.$5d),this.onDidDispose=this.#u.event,this.#i=E,this.#a=k,this.#e=C,this.#t=b,this.#n=l,this.#r=p}dispose(){this.#s||(this.#s=!0,this.#u.fire(),this.#n.dispose(),super.dispose())}#l;#u;get title(){return this.a(),this.#a}set title(C){this.a(),this.#a!==C&&(this.#a=C,this.#t.$setWebviewViewTitle(this.#e,C))}get description(){return this.a(),this.#o}set description(C){this.a(),this.#o!==C&&(this.#o=C,this.#t.$setWebviewViewDescription(this.#e,C))}get visible(){return this.#r}get webview(){return this.#n}get viewType(){return this.#i}_setVisible(C){C===this.#r||this.#s||(this.#r=C,this.#l.fire())}get badge(){return this.a(),this.#c}set badge(C){this.a(),!(C?.value===this.#c?.value&&C?.tooltip===this.#c?.tooltip)&&(this.#c=L.ViewBadge.from(C),this.#t.$setWebviewViewBadge(this.#e,C))}show(C){this.a(),this.#t.$show(this.#e,!!C)}a(){if(this.#s)throw new Error("Webview is disposed")}}class S{constructor(C,b){this.d=b,this.b=new Map,this.c=new Map,this.a=C.getProxy(R.$ZL.MainThreadWebviewViews)}registerWebviewViewProvider(C,b,E,k){if(this.b.has(b))throw new Error(`View provider for '${b}' already registered`);return this.b.set(b,{provider:E,extension:C}),this.a.$registerWebviewViewProvider((0,$.$bic)(C),b,{retainContextWhenHidden:k?.retainContextWhenHidden,serializeBuffersForPostMessage:(0,$.$_hc)(C)}),new w.$2L(()=>{this.b.delete(b),this.a.$unregisterWebviewViewProvider(b)})}async $resolveWebviewView(C,b,E,k,l){const p=this.b.get(b);if(!p)throw new Error(`No view provider found for '${b}'`);const{provider:o,extension:i}=p,n=this.d.createNewWebview(C,{},i),r=new v(C,this.a,b,E,n,!0);this.c.set(C,r),await o.resolveWebviewView(r,{state:k},l)}async $onDidChangeWebviewViewVisibility(C,b){this.e(C)._setVisible(b)}async $disposeWebviewView(C){const b=this.e(C);this.c.delete(C),b.dispose(),this.d.deleteWebview(C)}e(C){const b=this.c.get(C);if(!b)throw new Error("No webview found");return b}}e.$Hjc=S}),define(Se[353],De([1,0,69,16,13,251,32,11]),function(me,e,I,F,$,L,R,w){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$mkc=void 0;let v=class{constructor(C,b){C.addFileSystemProvider(F.Schemas.file,new S(b),{isCaseSensitive:w.$k})}};e.$mkc=v,e.$mkc=v=Je([Ve(0,I.$8hc),Ve(1,$.$yj)],v);class S{constructor(C){this.b=C,this.a=new L.$Mq(this.b)}async stat(C){const b=await this.a.stat(C);return{type:b.type,ctime:b.ctime,mtime:b.mtime,size:b.size,permissions:b.permissions===R.FilePermission.Readonly?1:void 0}}readDirectory(C){return this.a.readdir(C)}createDirectory(C){return this.a.mkdir(C)}readFile(C){return this.a.readFile(C)}writeFile(C,b,E){return this.a.writeFile(C,b,{...E,unlock:!1,atomic:!1})}delete(C,b){return this.a.delete(C,{...b,useTrash:!1,atomic:!1})}rename(C,b,E){return this.a.rename(C,b,E)}copy(C,b,E){return this.a.copy(C,b,E)}get onDidChangeFile(){throw new Error("Method not implemented.")}watch(C,b){throw new Error("Method not implemented.")}}}),define(Se[354],De([1,0,17,63,30,33,3,6,2,20]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$kkc=void 0;let M=class extends R.$Tc{constructor(b,E){super();const k=b.getProxy(w.$ZL.MainThreadDownloadService);E.registerCommand(!1,"_workbench.downloadResource",async l=>{const p=v.URI.file((0,I.$jc)((0,F.tmpdir)(),(0,$.$Ag)()));return await k.$download(l,p),p})}};e.$kkc=M,e.$kkc=M=Je([Ve(0,S.$eO),Ve(1,L.$AO)],M)}),define(Se[355],De([1,0,57,17,2,93,3,16,8,31]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wkc=void 0;class M extends L.$0hc{constructor(){super(...arguments),this.i=null}async g(t){const d=await super.g(t);if(d.scheme!==w.Schemas.file)return d;if(this.b.skipWorkspaceStorageLock)return this.d.info(`Skipping acquiring lock for ${d.fsPath}.`),d;const u=d.fsPath;let s=0;do{let c;s===0?c=u:c=/[/\\]$/.test(u)?`${u.substr(0,u.length-1)}-${s}`:`${u}-${s}`,await C(c);const h=F.$jc(c,"vscode.lock"),m=await l(this.d,h,!1);if(m)return this.i=m,process.on("exit",()=>{m.dispose()}),$.URI.file(c);s++}while(s<10);return d}onWillDeactivateAll(){this.i?.setWillRelease(6e3)}}e.$wkc=M;async function C(a){try{await S.Promises.stat(a);return}catch{}try{await S.Promises.mkdir(a,{recursive:!0})}catch{}}const b=1e3,E=10*60*1e3;class k extends R.$Tc{constructor(t,d){super(),this.b=t,this.c=d,this.a=this.B(new v.$ph),this.a.cancelAndSet(async()=>{const u=await p(t,d);(!u||u.pid!==process.pid)&&(t.info(`Lock '${d}': The lock was lost unexpectedly.`),this.a.cancel());try{await S.Promises.utimes(d,new Date,new Date)}catch(s){t.error(s),t.info(`Lock '${d}': Could not update mtime.`)}},b)}dispose(){super.dispose();try{I.unlinkSync(this.c)}catch{}}async setWillRelease(t){this.b.info(`Lock '${this.c}': Marking the lockfile as scheduled to be released in ${t} ms.`);try{const d={pid:process.pid,willReleaseAt:Date.now()+t};await S.Promises.writeFile(this.c,JSON.stringify(d),{flag:"w"})}catch(d){this.b.error(d)}}}async function l(a,t,d){try{const s={pid:process.pid,willReleaseAt:0};await S.Promises.writeFile(t,JSON.stringify(s),{flag:"wx"})}catch(s){a.error(s)}const u=await p(a,t);return!u||u.pid!==process.pid?d?(a.info(`Lock '${t}': Could not acquire lock, giving up.`),null):(a.info(`Lock '${t}': Could not acquire lock, checking if the file is stale.`),n(a,t)):(a.info(`Lock '${t}': Lock acquired.`),new k(a,t))}async function p(a,t){let d;try{d=await S.Promises.readFile(t)}catch(u){return a.error(u),null}try{return JSON.parse(String(d))}catch(u){return a.error(u),null}}async function o(a,t){let d;try{d=await S.Promises.stat(t)}catch(u){return a.error(u),0}return d.mtime.getTime()}function i(a){try{return process.kill(a,0),!0}catch{return!1}}async function n(a,t){const d=await p(a,t);if(!d)return a.info(`Lock '${t}': Could not read pid of lock holder.`),r(a,t);if(d.willReleaseAt){let m=d.willReleaseAt-Date.now();if(m<5e3){for(m>0?a.info(`Lock '${t}': The lockfile is scheduled to be released in ${m} ms.`):a.info(`Lock '${t}': The lockfile is scheduled to have been released.`);m>0;){if(await(0,v.$fh)(Math.min(100,m)),await o(a,t)===0)return r(a,t);m=d.willReleaseAt-Date.now()}return r(a,t)}}if(!i(d.pid))return a.info(`Lock '${t}': The pid ${d.pid} appears to be gone.`),r(a,t);const u=await o(a,t),s=Date.now()-u;if(s<=E)return a.info(`Lock '${t}': The lock does not look stale, elapsed: ${s} ms, giving up.`),null;a.info(`Lock '${t}': The lock looks stale, waiting for 2s.`),await(0,v.$fh)(2e3);const c=await o(a,t),h=Date.now()-c;return h<=E?(a.info(`Lock '${t}': The lock does not look stale, elapsed: ${h} ms, giving up.`),null):(a.info(`Lock '${t}': The lock looks stale even after waiting for 2s.`),r(a,t))}async function r(a,t){a.info(`Lock '${t}': Deleting a stale lock.`);try{await S.Promises.unlink(t)}catch{}return l(a,t,!0)}}),define(Se[356],De([1,0,30,20,46,33]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Rjc=void 0;let R=class extends $.$tic{constructor(v,S){super(!0,v,S)}createTerminal(v,S,M){return this.createTerminalFromOptions({name:v,shellPath:S,shellArgs:M})}createTerminalFromOptions(v,S){const M=new $.$sic(this.a,(0,I.$Ag)(),v,v.name);return this.f.push(M),M.create(v,this.R(v,S)),M.value}};e.$Rjc=R,e.$Rjc=R=Je([Ve(0,L.$AO),Ve(1,F.$eO)],R)}),define(Se[357],De([1,0,4,37,45,5]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jL=e.$iL=e.OutputChannelUpdateMode=e.$hL=e.$gL=e.$fL=e.$eL=e.$dL=e.$cL=e.$bL=e.$aL=e.$_K=e.$$K=void 0,e.$$K="text/x-code-output",e.$_K="output",e.$aL="Log",e.$bL="text/x-code-log-output",e.$cL="log",e.$dL="workbench.panel.output",e.$eL=new $.$vj("inOutput",!1),e.$fL=new $.$vj("activeLogOutput",!1),e.$gL=new $.$vj("outputView.scrollLock",!1),e.$hL=(0,L.$ei)("outputService");var R;(function(v){v[v.Append=1]="Append",v[v.Replace=2]="Replace",v[v.Clear=3]="Clear"})(R||(e.OutputChannelUpdateMode=R={})),e.$iL={OutputChannels:"workbench.contributions.outputChannels"};class w{constructor(){this.a=new Map,this.b=new I.$5d,this.onDidRegisterChannel=this.b.event,this.c=new I.$5d,this.onDidRemoveChannel=this.c.event}registerChannel(S){this.a.has(S.id)||(this.a.set(S.id,S),this.b.fire(S.id))}getChannels(){const S=[];return this.a.forEach(M=>S.push(M)),S}getChannel(S){return this.a.get(S)}removeChannel(S){this.a.delete(S),this.c.fire(S)}}F.$Tn.add(e.$iL.OutputChannels,new w),e.$jL=new $.$vj("activeOutputChannel","")}),define(Se[153],De([1,0,6,5,20,25,13,357,69,27,59,183,21,18,32,4,3]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$jjc=e.$ijc=void 0;class o extends R.$Ej{get disposed(){return this.n}constructor(a,t,d,u,s){super(),this.id=a,this.name=t,this.r=d,this.s=u,this.extension=s,this.m=0,this.n=!1,this.visible=!1,this.setLevel(d.getLevel()),this.B(d.onDidChangeLogLevel(c=>this.setLevel(c)))}get logLevel(){return this.getLevel()}appendLine(a){this.append(a+`
`)}append(a){this.info(a)}clear(){const a=this.m;this.r.flush(),this.s.$update(this.id,w.OutputChannelUpdateMode.Clear,a)}replace(a){const t=this.m;this.info(a),this.s.$update(this.id,w.OutputChannelUpdateMode.Replace,t),this.visible&&this.r.flush()}show(a,t){this.r.flush(),this.s.$reveal(this.id,!!(typeof a=="boolean"?a:t))}hide(){this.s.$close(this.id)}g(a,t){this.m+=b.$se.fromString(t).byteLength,(0,R.log)(this.r,a,t),this.visible&&(this.r.flush(),this.s.$update(this.id,w.OutputChannelUpdateMode.Append))}dispose(){super.dispose(),this.n||(this.s.$dispose(this.id),this.n=!0)}}class i extends o{appendLine(a){this.append(a)}}let n=class{constructor(a,t,d,u,s,c){this.i=t,this.j=d,this.k=u,this.l=s,this.m=c,this.d=new Map,this.f=1,this.g=new Map,this.h=null,this.a=a.getProxy(I.$ZL.MainThreadOutputService),this.b=this.k.extUri.joinPath(t.logsLocation,`output_logging_${(0,C.$Im)(new Date).replace(/-|:|\.\d+Z$/g,"")}`)}$setVisibleChannel(a){this.h=a;for(const[t,d]of this.g)d.visible=t===this.h}createOutputChannel(a,t,d){if(a=a.trim(),!a)throw new Error("illegal argument `name`. must not be falsy");const u=typeof t=="object"&&t.log,s=(0,E.$Sf)(t)?t:void 0;if((0,E.$Sf)(s)&&!s.trim())throw new Error("illegal argument `languageId`. must not be empty");let c;const h=this.i.environment.extensionLogLevel?.find(([D])=>L.$wm.equals(d.identifier,D))?.[1];h&&(c=(0,R.$Oj)(h));const m=u?this.o(a,c,d):this.n(a,s,d);return m.then(D=>{this.g.set(D.id,D),D.visible=D.id===this.h}),u?this.r(a,c??this.m.getLevel(),m):this.q(a,m)}async n(a,t,d){this.c||(this.c=this.j.value.createDirectory(this.b).then(()=>this.b));const u=await this.c,s=this.k.extUri.joinPath(u,`${this.f++}-${a.replace(/[\\/:\*\?"<>\|]/g,"")}.log`),c=this.l.createLogger(s,{logLevel:"always",donotRotate:!0,donotUseFormatters:!0,hidden:!0}),h=await this.a.$register(a,s,t,d.identifier.value);return new o(h,a,c,this.a,d)}async o(a,t,d){const u=await this.p(d),s=a.replace(/[\\/:\*\?"<>\|]/g,""),c=this.k.extUri.joinPath(u,`${s}.log`),h=`${d.identifier.value}.${s}`,m=this.l.createLogger(c,{id:h,name:a,logLevel:t,extensionId:d.identifier.value});return new i(h,a,m,this.a,d)}p(a){let t=this.d.get(a.identifier.value);if(!t){const d=this.k.extUri.joinPath(this.i.logsLocation,a.identifier.value);this.d.set(a.identifier.value,t=(async()=>{try{await this.j.value.createDirectory(d)}catch(u){if((0,k.$Rk)(u)!==k.FileSystemProviderErrorCode.FileExists)throw u}return d})())}return t}q(a,t){let d=!1;const u=()=>{if(d)throw new Error("Channel has been closed")};return{get name(){return a},append(s){u(),t.then(c=>c.append(s))},appendLine(s){u(),t.then(c=>c.appendLine(s))},clear(){u(),t.then(s=>s.clear())},replace(s){u(),t.then(c=>c.replace(s))},show(s,c){u(),t.then(h=>h.show(s,c))},hide(){u(),t.then(s=>s.hide())},dispose(){d=!0,t.then(s=>s.dispose())}}}r(a,t,d){const u=new p.$Sc,s=()=>{if(u.isDisposed)throw new Error("Channel has been closed")},c=u.add(new l.$5d);function h(m){t=m,c.fire(m)}return d.then(m=>{u.add(m),m.logLevel!==t&&h(m.logLevel),u.add(m.onDidChangeLogLevel(D=>h(D)))}),{...this.q(a,d),get logLevel(){return t},onDidChangeLogLevel:c.event,trace(m,...D){s(),d.then(g=>g.trace(m,...D))},debug(m,...D){s(),d.then(g=>g.debug(m,...D))},info(m,...D){s(),d.then(g=>g.info(m,...D))},warn(m,...D){s(),d.then(g=>g.warn(m,...D))},error(m,...D){s(),d.then(g=>g.error(m,...D))},dispose(){u.dispose()}}}};e.$ijc=n,e.$ijc=n=Je([Ve(0,$.$eO),Ve(1,S.$uO),Ve(2,v.$8hc),Ve(3,M.$Jhc),Ve(4,R.$zj),Ve(5,R.$yj)],n),e.$jjc=(0,F.$ei)("IExtHostOutputService")}),define(Se[154],De([1,0,5,8]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Ym=e.$Xm=void 0,e.$Xm=(0,I.$ei)("remoteAgentService"),e.$Ym=new class{constructor(){this.maxSampleCount=5,this.sampleDelay=2e3,this.initial=[],this.maxInitialCount=3,this.average=[],this.maxAverageCount=100,this.highLatencyMultiple=2,this.highLatencyMinThreshold=500,this.highLatencyMaxThreshold=1500,this.lastMeasurement=void 0}get latency(){return this.lastMeasurement}async measure($){let L=1/0;for(let w=0;w<this.maxSampleCount;w++){const v=await $.getRoundTripTime();if(v===void 0)return;L=Math.min(L,v/2),await(0,F.$fh)(this.sampleDelay)}this.average.push(L),this.average.length>this.maxAverageCount&&this.average.shift();let R;return this.initial.length<this.maxInitialCount?this.initial.push(L):R=this.initial.reduce((w,v)=>w+v,0)/this.initial.length,this.lastMeasurement={initial:R,current:L,average:this.average.reduce((w,v)=>w+v,0)/this.average.length,high:typeof R>"u"?!1:L>this.highLatencyMaxThreshold||L>this.highLatencyMinThreshold&&L>R*this.highLatencyMultiple},this.lastMeasurement}}}),define(Se[358],De([1,0,225,86,37,41,52,3,4,154,11,24,8]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$MI=e.$LI=e.$KI=e.$JI=e.$II=e.$HI=e.$GI=void 0,e.$GI=Object.freeze({id:"application",order:100,title:(0,I.localize)(0,null),type:"object"}),e.$HI=Object.freeze({id:"workbench",order:7,title:(0,I.localize)(1,null),type:"object"}),e.$II=Object.freeze({id:"security",scope:1,title:(0,I.localize)(2,null),type:"object",order:7}),e.$JI=Object.freeze({id:"problems",title:(0,I.localize)(3,null),type:"object",order:101}),e.$KI={ConfigurationMigration:"base.contributions.configuration.migration"};class E{constructor(){this.migrations=[],this.a=new v.$5d,this.onDidRegisterConfigurationMigration=this.a.event}registerConfigurationMigrations(i){this.migrations.push(...i)}}const k=new E;$.$Tn.add(e.$KI.ConfigurationMigration,k);let l=class extends w.$Tc{static{this.ID="workbench.contrib.configurationMigration"}constructor(i,n){super(),this.a=i,this.b=n,this.B(this.b.onDidChangeWorkspaceFolders(async r=>{for(const a of r.added)await this.f(a,k.migrations)})),this.c(k.migrations),this.B(k.onDidRegisterConfigurationMigration(r=>this.c(r)))}async c(i){await this.f(void 0,i);for(const n of this.b.getWorkspace().folders)await this.f(n,i)}async f(i,n){await Promise.all([n.map(r=>this.g(r,i?.uri))])}async g(i,n){const r=this.a.inspect(i.key,{resource:n}),a=this.b.getWorkbenchState()===3?[["user",2],["userLocal",3],["userRemote",4],["workspace",5],["workspaceFolder",6]]:[["user",2],["userLocal",3],["userRemote",4],["workspace",5]];for(const[t,d]of a){const u=r[t];if(!u)continue;const s=[];if(u.value!==void 0){const c=await this.h(i,t,u.value,n,void 0);for(const h of c??[])s.push([h,[]])}for(const{identifiers:c,value:h}of u.overrides??[])if(h!==void 0){const m=await this.h(i,t,h,n,c);for(const D of m??[])s.push([D,c])}s.length&&await Promise.allSettled(s.map(async([[c,h],m])=>this.a.updateValue(c,h.value,{resource:n,overrideIdentifiers:m},d)))}}async h(i,n,r,a,t){const d=s=>{const h=this.a.inspect(s,{resource:a})[n];if(h)return t?h.overrides?.find(({identifiers:m})=>(0,C.$Ln)(m,t))?.value:h.value},u=await i.migrateFn(r,d);return Array.isArray(u)?u:[[i.key,u]]}};e.$LI=l,e.$LI=l=Je([Ve(0,R.$Ki),Ve(1,L.$ni)],l);let p=class extends w.$Tc{static{this.ID="workbench.contrib.dynamicWorkbenchSecurityConfiguration"}constructor(i){super(),this.b=i,this.a=new b.$Bh,this.ready=this.a.p,this.c()}async c(){try{await this.f()}finally{this.a.complete()}}async f(){if(!M.$i&&(await this.b.getEnvironment())?.os!==1)return;$.$Tn.as(F.$Yn.Configuration).registerConfiguration({...e.$II,properties:{"security.allowedUNCHosts":{type:"array",items:{type:"string",pattern:"^[^\\\\]+$",patternErrorMessage:(0,I.localize)(4,null)},default:[],markdownDescription:(0,I.localize)(5,null),scope:2},"security.restrictUNCAccess":{type:"boolean",default:!0,markdownDescription:(0,I.localize)(6,null),scope:2}}})}};e.$MI=p,e.$MI=p=Je([Ve(0,S.$Xm)],p)}),define(Se[359],De([1,0,35,16,17,23,234,358,86,5,37]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1eb=e.$Zeb=e.ResolvedStatus=e.RegisteredEditorPriority=e.$Yeb=e.$Xeb=void 0,e.$Xeb=(0,S.$ei)("editorResolverService"),e.$Yeb="workbench.editorAssociations";const C=M.$Tn.as(v.$Yn.Configuration),b={...w.$HI,properties:{"workbench.editorAssociations":{type:"object",markdownDescription:(0,R.localize)(0,null),additionalProperties:{type:"string"}}}};C.registerConfiguration(b);var E;(function(o){o.builtin="builtin",o.option="option",o.exclusive="exclusive",o.default="default"})(E||(e.RegisteredEditorPriority=E={}));var k;(function(o){o[o.ABORT=1]="ABORT",o[o.NONE=2]="NONE"})(k||(e.ResolvedStatus=k={}));function l(o){switch(o){case E.exclusive:return 5;case E.default:return 4;case E.builtin:return 3;case E.option:default:return 1}}e.$Zeb=l;function p(o,i){if(new Set([F.Schemas.extension,F.Schemas.webviewPanel,F.Schemas.vscodeWorkspaceTrust,F.Schemas.vscodeSettings]).has(i.scheme))return!1;const a=typeof o=="string"&&o.indexOf($.$gc.sep)>=0?`${i.scheme}:${i.path}`:(0,L.$Og)(i);return I.$Wj(typeof o=="string"?o.toLowerCase():o,a.toLowerCase())}e.$1eb=p}),define(Se[360],De([1,0,34,16,17,11,23,2,5,269,41,144,154]),function(me,e,I,F,$,L,R,w,v,S,M,C,b){"use strict";var E;Object.defineProperty(e,"__esModule",{value:!0}),e.$CL=e.$BL=void 0,e.$BL=(0,v.$ei)("pathService");let k=E=class{constructor(p,o,i,n){this.d=p,this.e=o,this.f=i,this.g=n,this.a=(async()=>(await this.e.getEnvironment())?.os||L.OS)(),this.b=(async()=>{const r=await this.e.getEnvironment();return this.c=r?.userHome??p})()}hasValidBasename(p,o,i){return typeof o=="string"||typeof o>"u"?this.a.then(n=>this.h(p,n,o)):this.h(p,o,i)}h(p,o,i){return p.scheme===F.Schemas.file||p.scheme===F.Schemas.vscodeRemote?(0,I.$dg)(i??(0,R.$Og)(p),o===1):!0}get defaultUriScheme(){return E.findDefaultUriScheme(this.f,this.g)}static findDefaultUriScheme(p,o){if(p.remoteAuthority)return F.Schemas.vscodeRemote;const i=(0,S.$yL)(o.getWorkspace());if(i)return i;const n=o.getWorkspace().folders[0];if(n)return n.uri.scheme;const r=o.getWorkspace().configuration;return r?r.scheme:F.Schemas.file}userHome(p){return p?.preferLocal?this.d:this.b}get resolvedUserHome(){return this.c}get path(){return this.a.then(p=>p===1?$.$fc:$.$gc)}async fileURI(p){let o="";if(await this.a===1&&(p=p.replace(/\\/g,"/")),p[0]==="/"&&p[1]==="/"){const n=p.indexOf("/",2);n===-1?(o=p.substring(2),p="/"):(o=p.substring(2,n),p=p.substring(n)||"/")}return w.URI.from({scheme:F.Schemas.file,authority:o,path:p,query:"",fragment:""})}};e.$CL=k,e.$CL=k=E=Je([Ve(1,b.$Xm),Ve(2,C.$kL),Ve(3,M.$ni)],k)}),define(Se[361],De([1,0,236,19,53,4,54,3,2,52,241,13,64,271,88,41,144,26,22,18,24,45]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vL=e.$uL=e.$tL=e.OnPortForward=e.$sL=e.$rL=e.$qL=e.$pL=e.$oL=e.TunnelSource=e.TunnelCloseReason=e.$nL=e.$mL=e.$lL=void 0;const t=10*1e3,d="remote.tunnels.toRestore",u="remote.tunnels.toRestoreExpiration",s=1e3*60*60*24*14;e.$lL="onTunnel",e.$mL=new a.$vj("forwardedPortsViewEnabled",!1,I.localize(0,null));function c(z){const T=z.match(/^([a-zA-Z0-9_-]+(?:\.[a-zA-Z0-9_-]+)*:)?([0-9]+)$/);if(T)return{host:T[1]?.substring(0,T[1].length-1)||"localhost",port:Number(T[2])}}e.$nL=c;var h;(function(z){z.Other="Other",z.User="User",z.AutoForwardEnd="AutoForwardEnd"})(h||(e.TunnelCloseReason=h={}));var m;(function(z){z[z.User=0]="User",z[z.Auto=1]="Auto",z[z.Extension=2]="Extension"})(m||(e.TunnelSource=m={})),e.$oL={source:m.User,description:I.localize(1,null)},e.$pL={source:m.Auto,description:I.localize(2,null)};function D(z,T,P){const O=z.get(f(T,P));if(O)return O;if((0,k.$Rv)(T))for(const j of k.$Qv){const K=f(j,P);if(z.has(K))return z.get(K)}else if((0,k.$Tv)(T))for(const j of k.$Sv){const K=f(j,P);if(z.has(K))return z.get(K)}}e.$qL=D;function g(z,T,P){const O=D(z,T,P);if(O)return O;const j=(0,k.$Tv)(T)?"localhost":(0,k.$Rv)(T)?"0.0.0.0":void 0;if(j)return D(z,j,P)}e.$rL=g;function f(z,T){return z+":"+T}e.$sL=f;var y;(function(z){z.Notify="notify",z.OpenBrowser="openBrowser",z.OpenBrowserOnce="openBrowserOnce",z.OpenPreview="openPreview",z.Silent="silent",z.Ignore="ignore"})(y||(e.OnPortForward=y={}));function A(z){return z&&"host"in z&&typeof z.host=="string"&&"port"in z&&typeof z.port=="number"&&(!("detail"in z)||typeof z.detail=="string")&&(!("pid"in z)||typeof z.pid=="string")}e.$tL=A;class N extends w.$Tc{static{this.c="remote.portsAttributes"}static{this.f="remote.otherPortsAttributes"}static{this.g=/^(\d+)\-(\d+)$/}static{this.h=/^([a-z0-9\-]+):(\d{1,5})$/}constructor(T){super(),this.r=T,this.j=[],this.n=new L.$5d,this.onDidChangeAttributes=this.n.event,this.B(T.onDidChangeConfiguration(P=>{(P.affectsConfiguration(N.c)||P.affectsConfiguration(N.f))&&this.s()})),this.s()}s(){this.j=this.y(),this.n.fire()}getAttributes(T,P,O){let j=this.w(T,P,O,this.j,0);const K={label:void 0,onAutoForward:void 0,elevateIfNeeded:void 0,requireLocalPort:void 0,protocol:void 0};for(;j>=0;){const ie=this.j[j];ie.key===T?(K.onAutoForward=ie.onAutoForward??K.onAutoForward,K.elevateIfNeeded=ie.elevateIfNeeded!==void 0?ie.elevateIfNeeded:K.elevateIfNeeded,K.label=ie.label??K.label,K.requireLocalPort=ie.requireLocalPort,K.protocol=ie.protocol):(K.onAutoForward=K.onAutoForward??ie.onAutoForward,K.elevateIfNeeded=K.elevateIfNeeded!==void 0?K.elevateIfNeeded:ie.elevateIfNeeded,K.label=K.label??ie.label,K.requireLocalPort=K.requireLocalPort!==void 0?K.requireLocalPort:void 0,K.protocol=K.protocol??ie.protocol),j=this.w(T,P,O,this.j,j+1)}return K.onAutoForward!==void 0||K.elevateIfNeeded!==void 0||K.label!==void 0||K.requireLocalPort!==void 0||K.protocol!==void 0?K:this.C()}t(T){return T.start!==void 0&&T.end!==void 0}u(T){return T.host!==void 0&&T.port!==void 0&&(0,n.$Sf)(T.host)&&(0,n.$Wf)(T.port)}w(T,P,O,j,K){if(K>=j.length)return-1;const ie=!(0,k.$Rv)(P)&&!(0,k.$Tv)(P),X=j.slice(K).findIndex(Y=>(0,n.$Wf)(Y.key)?ie?!1:Y.key===T:this.t(Y.key)?ie?!1:T>=Y.key.start&&T<=Y.key.end:this.u(Y.key)?T===Y.key.port&&P===Y.key.host:O?Y.key.test(O):!1);return X>=0?X+K:-1}y(){const T=this.r.getValue(N.c);if(!T||!(0,n.$Uf)(T))return[];const P=[];for(const j in T){if(j===void 0)continue;const K=T[j];let ie;if(Number(j))ie=Number(j);else if((0,n.$Sf)(j))if(N.g.test(j)){const _=j.match(N.g);ie={start:Number(_[1]),end:Number(_[2])}}else if(N.h.test(j)){const _=j.match(N.h);ie={host:_[1],port:Number(_[2])}}else{let _;try{_=RegExp(j)}catch{}_&&(ie=_)}ie&&P.push({key:ie,elevateIfNeeded:K.elevateIfNeeded,onAutoForward:K.onAutoForward,label:K.label,requireLocalPort:K.requireLocalPort,protocol:K.protocol})}const O=this.r.getValue(N.f);return O&&(this.m={elevateIfNeeded:O.elevateIfNeeded,label:O.label,onAutoForward:O.onAutoForward,requireLocalPort:O.requireLocalPort,protocol:O.protocol}),this.z(P)}z(T){function P(O,j){return(0,n.$Wf)(O.key)?O.key:j.t(O.key)?O.key.start:j.u(O.key)?O.key.port:Number.MAX_VALUE}return T.sort((O,j)=>P(O,this)-P(j,this))}C(){return this.m}static providedActionToAction(T){switch(T){case k.ProvidedOnAutoForward.Notify:return y.Notify;case k.ProvidedOnAutoForward.OpenBrowser:return y.OpenBrowser;case k.ProvidedOnAutoForward.OpenBrowserOnce:return y.OpenBrowserOnce;case k.ProvidedOnAutoForward.OpenPreview:return y.OpenPreview;case k.ProvidedOnAutoForward.Silent:return y.Silent;case k.ProvidedOnAutoForward.Ignore:return y.Ignore;default:return}}async addAttributes(T,P,O){const K=this.r.inspect(N.c).userRemoteValue;let ie;!K||!(0,n.$Uf)(K)?ie={}:ie=(0,r.$Hn)(K),ie[`${T}`]||(ie[`${T}`]={});for(const _ in P)ie[`${T}`][_]=P[_];return this.r.updateValue(N.c,ie,O)}}e.$uL=N;let U=class extends w.$Tc{constructor(T,P,O,j,K,ie,_,X,Y,ae){super(),this.H=T,this.I=P,this.J=O,this.L=j,this.M=K,this.N=ie,this.O=_,this.P=X,this.Q=Y,this.R=ae,this.c=new Map,this.g=new L.$5d,this.onForwardPort=this.g.event,this.h=new L.$5d,this.onClosePort=this.h.event,this.j=new L.$5d,this.onPortName=this.j.event,this.n=new L.$5d,this.onCandidatesChanged=this.n.event,this.t=new L.$5d,this.onEnvironmentTunnelsSet=this.t.event,this.u=!1,this.w=void 0,this.z=!1,this.C=new L.$5d,this.D=new Map,this.F=new Map,this.G=[],this.db=new Date,this.configPortsAttributes=new N(O),this.s=this.ab(),this.B(this.configPortsAttributes.onDidChangeAttributes(this.jb,this)),this.forwarded=new Map,this.f=new Map,this.H.tunnels.then(async ee=>{const fe=await this.getAttributes(ee.map(re=>({port:re.tunnelRemotePort,host:re.tunnelRemoteHost})));for(const re of ee)if(re.localAddress){const J=f(re.tunnelRemoteHost,re.tunnelRemotePort),B=g(this.m??new Map,re.tunnelRemoteHost,re.tunnelRemotePort);this.forwarded.set(J,{remotePort:re.tunnelRemotePort,remoteHost:re.tunnelRemoteHost,localAddress:re.localAddress,protocol:fe?.get(re.tunnelRemotePort)?.protocol??k.TunnelProtocol.Http,localUri:await this.X(re.localAddress,fe?.get(re.tunnelRemotePort)),localPort:re.tunnelLocalPort,runningProcess:B?.detail,hasRunningProcess:!!B,pid:B?.pid,privacy:re.privacy,source:e.$oL}),this.f.set(J,re)}}),this.detected=new Map,this.B(this.H.onTunnelOpened(async ee=>{const fe=f(ee.tunnelRemoteHost,ee.tunnelRemotePort);if(!g(this.forwarded,ee.tunnelRemoteHost,ee.tunnelRemotePort)&&!g(this.detected,ee.tunnelRemoteHost,ee.tunnelRemotePort)&&!g(this.c,ee.tunnelRemoteHost,ee.tunnelRemotePort)&&ee.localAddress){const re=g(this.m??new Map,ee.tunnelRemoteHost,ee.tunnelRemotePort),J=(await this.getAttributes([{port:ee.tunnelRemotePort,host:ee.tunnelRemoteHost}]))?.get(ee.tunnelRemotePort);this.forwarded.set(fe,{remoteHost:ee.tunnelRemoteHost,remotePort:ee.tunnelRemotePort,localAddress:ee.localAddress,protocol:J?.protocol??k.TunnelProtocol.Http,localUri:await this.X(ee.localAddress,J),localPort:ee.tunnelLocalPort,closeable:!0,runningProcess:re?.detail,hasRunningProcess:!!re,pid:re?.pid,privacy:ee.privacy,source:e.$oL})}await this.cb(),this.f.set(fe,ee),this.g.fire(this.forwarded.get(fe))})),this.B(this.H.onTunnelClosed(ee=>this.W(ee,h.Other))),this.U()}S(){return this.Q.extensions.find(T=>T.activationEvents?.includes(e.$lL))?(this.R.createKey(e.$mL.key,!0),!0):!1}U(){if(this.S())return;const T=this.B(this.Q.onDidRegisterExtensions(()=>{this.S()&&T.dispose()}))}async W(T,P){const O=f(T.host,T.port);this.forwarded.has(O)&&(this.forwarded.delete(O),await this.cb(),this.h.fire(T))}X(T,P){if(T.startsWith("http"))return v.URI.parse(T);const O=P?.protocol??"http";return v.URI.parse(`${O}://${T}`)}async Y(T){const P=this.N.getWorkspace(),O=P.configuration?(0,R.$5i)(P.configuration.path):P.folders.length>0?(0,R.$5i)(P.folders[0].uri.path):void 0;if(O===void 0){this.O.debug("Could not get workspace hash for forwarded ports storage key.");return}return`${T}.${this.L.remoteAuthority}.${O}`}async Z(){return this.Y(d)}async $(){return this.Y(u)}async ab(){const T=this.I.get(d,1);if(T)return this.I.remove(d,1),await this.cb(),T;const P=await this.Z();if(P)return this.I.get(P,0)}async restoreForwarded(){if(this.bb(),this.J.getValue("remote.restoreForwardedPorts")){const T=await this.s;if(T&&T!==this.y){const P=JSON.parse(T)??[];this.O.trace(`ForwardedPorts: (TunnelModel) restoring ports ${P.map(O=>O.remotePort).join(", ")}`);for(const O of P){const j=g(this.detected,O.remoteHost,O.remotePort);O.source.source!==m.Extension&&!j||O.source.source===m.Extension&&j?await this.fb({remote:{host:O.remoteHost,port:O.remotePort},local:O.localPort,name:O.name,elevateIfNeeded:!0,source:O.source}):O.source.source===m.Extension&&!j&&this.D.set(f(O.remoteHost,O.remotePort),O)}}}if(this.z=!0,this.C.fire(),!this.w){const T=await this.Z();this.w=this.B(new w.$Sc),this.w.add(this.I.onDidChangeValue(0,void 0,this.w)(async P=>{P.key===T&&(this.s=Promise.resolve(this.I.get(T,0)),await this.restoreForwarded())}))}}bb(){const T=this.I.keys(0,0).filter(P=>P.startsWith(u));for(const P of T){const O=this.I.getNumber(P,0);if(O&&O<Date.now()){this.s=Promise.resolve(void 0);const j=P.replace(u,d);this.I.remove(P,0),this.I.remove(j,0)}}}async cb(){if(this.J.getValue("remote.restoreForwardedPorts")){const T=Array.from(this.forwarded.values()),P=T.map(ie=>({remoteHost:ie.remoteHost,remotePort:ie.remotePort,localPort:ie.localPort,name:ie.name,localAddress:ie.localAddress,localUri:ie.localUri,protocol:ie.protocol,source:ie.source}));let O;T.length>0&&(O=JSON.stringify(P));const j=await this.Z(),K=await this.$();!O&&j&&K?(this.I.remove(j,0),this.I.remove(K,0)):O!==this.y&&j&&K&&(this.I.store(j,O,0,0),this.I.store(K,Date.now()+s,0,0)),this.y=O}}async eb(T,P,O){if(!T.tunnelLocalPort||!O?.requireLocalPort||T.tunnelLocalPort===P)return;const j=new Date;if(this.db.getTime()+t>j.getTime())return;this.db=j;const K=I.localize(3,null,P,T.tunnelRemotePort,T.tunnelLocalPort);return this.P.info(K)}async forward(T,P){return!this.z&&this.L.remoteAuthority&&await L.Event.toPromise(this.C.event),this.fb(T,P)}async fb(T,P){await this.Q.activateByEvent(e.$lL);const O=g(this.forwarded,T.remote.host,T.remote.port);P=P??(P!==null?(await this.getAttributes([T.remote]))?.get(T.remote.port):void 0);const j=T.local!==void 0?T.local:T.remote.port;let K;if(O)return this.hb(O,T,P);{const ie=this.L.remoteAuthority,_=ie?{getAddress:async()=>(await this.M.resolveAuthority(ie)).authority}:void 0,X=f(T.remote.host,T.remote.port);this.c.set(X,!0),T=this.gb(X,T);const Y=await this.H.openTunnel(_,T.remote.host,T.remote.port,void 0,j,T.elevateIfNeeded?T.elevateIfNeeded:P?.elevateIfNeeded,T.privacy,P?.protocol);if(typeof Y=="string")K=Y;else if(Y&&Y.localAddress){const ae=g(this.m??new Map,T.remote.host,T.remote.port),ee=Y.protocol?Y.protocol===k.TunnelProtocol.Https?k.TunnelProtocol.Https:k.TunnelProtocol.Http:P?.protocol??k.TunnelProtocol.Http,fe={remoteHost:Y.tunnelRemoteHost,remotePort:Y.tunnelRemotePort,localPort:Y.tunnelLocalPort,name:P?.label??T.name,closeable:!0,localAddress:Y.localAddress,protocol:ee,localUri:await this.X(Y.localAddress,P),runningProcess:ae?.detail,hasRunningProcess:!!ae,pid:ae?.pid,source:T.source??e.$oL,privacy:Y.privacy};return this.forwarded.set(X,fe),this.f.set(X,Y),this.c.delete(X),await this.cb(),await this.eb(Y,j,P),this.g.fire(fe),Y}this.c.delete(X)}return K}gb(T,P){const O=this.D.has(T)?this.D:this.F.has(T)?this.F:void 0;if(O){const j=O.get(T);O.delete(T),j&&(P.name=j.name??P.name,P.local=("local"in j?j.local:"localPort"in j?j.localPort:void 0)??P.local,P.privacy=P.privacy)}return P}async hb(T,P,O){const j=O?.label??P.name;let K;(function(_){_[_.None=0]="None",_[_.Fire=1]="Fire",_[_.Reopen=2]="Reopen"})(K||(K={}));let ie=K.None;switch(j!==T.name&&(T.name=j,ie=K.Fire),(O?.protocol||T.protocol!==k.TunnelProtocol.Http)&&O?.protocol!==T.protocol&&(P.source=T.source,ie=K.Reopen),P.privacy&&T.privacy!==P.privacy&&(ie=K.Reopen),ie){case K.Fire:{this.g.fire();break}case K.Reopen:await this.close(T.remoteHost,T.remotePort,h.User),await this.fb(P,O)}return g(this.f,P.remote.host,P.remote.port)}async name(T,P,O){const j=g(this.forwarded,T,P),K=f(T,P);if(j){j.name=O,await this.cb(),this.j.fire({host:T,port:P});return}else this.detected.has(K)&&(this.detected.get(K).name=O,this.j.fire({host:T,port:P}))}async close(T,P,O){const j=f(T,P),K=this.forwarded.get(j);return O===h.AutoForwardEnd&&K&&K.source.source===m.Auto&&this.F.set(j,{local:K.localPort,name:K.name,privacy:K.privacy}),await this.H.closeTunnel(T,P),this.W({host:T,port:P},O)}address(T,P){const O=f(T,P);return(this.forwarded.get(O)||this.detected.get(O))?.localAddress}get environmentTunnelsSet(){return this.u}addEnvironmentTunnels(T){if(T)for(const P of T){const O=g(this.m??new Map,P.remoteAddress.host,P.remoteAddress.port),j=typeof P.localAddress=="string"?P.localAddress:f(P.localAddress.host,P.localAddress.port);this.detected.set(f(P.remoteAddress.host,P.remoteAddress.port),{remoteHost:P.remoteAddress.host,remotePort:P.remoteAddress.port,localAddress:j,protocol:k.TunnelProtocol.Http,localUri:this.X(j),closeable:!1,runningProcess:O?.detail,hasRunningProcess:!!O,pid:O?.pid,privacy:k.TunnelPrivacyId.ConstantPrivate,source:{source:m.Extension,description:I.localize(4,null)}}),this.H.setEnvironmentTunnel(P.remoteAddress.host,P.remoteAddress.port,j,k.TunnelPrivacyId.ConstantPrivate,k.TunnelProtocol.Http)}this.u=!0,this.t.fire(),this.g.fire()}setCandidateFilter(T){this.r=T}async setCandidates(T){let P=T;this.r&&(P=await this.r(T));const O=this.ib(P);this.O.trace(`ForwardedPorts: (TunnelModel) removed candidates ${Array.from(O.values()).map(j=>j.port).join(", ")}`),this.n.fire(O)}ib(T){const P=this.m??new Map,O=new Map;return this.m=O,T.forEach(j=>{const K=f(j.host,j.port);O.set(K,{host:j.host,port:j.port,detail:j.detail,pid:j.pid}),P.has(K)&&P.delete(K);const ie=g(this.forwarded,j.host,j.port);ie&&(ie.runningProcess=j.detail,ie.hasRunningProcess=!0,ie.pid=j.pid)}),P.forEach((j,K)=>{const ie=c(K);if(!ie)return;const _=g(this.forwarded,ie.host,ie.port);_&&(_.runningProcess=void 0,_.hasRunningProcess=!1,_.pid=void 0);const X=g(this.detected,ie.host,ie.port);X&&(X.runningProcess=void 0,X.hasRunningProcess=!1,X.pid=void 0)}),P}get candidates(){return this.m?Array.from(this.m.values()):[]}get candidatesOrUndefined(){return this.m?this.candidates:void 0}async jb(){const T=Array.from(this.forwarded.values()),P=await this.getAttributes(T.map(O=>({port:O.remotePort,host:O.remoteHost})),!1);if(P)for(const O of T){const j=P.get(O.remotePort);(j?.protocol||O.protocol!==k.TunnelProtocol.Http)&&j?.protocol!==O.protocol&&await this.fb({remote:{host:O.remoteHost,port:O.remotePort},local:O.localPort,name:O.name,source:O.source},j),j&&j.label&&j.label!==O.name&&await this.name(O.remoteHost,O.remotePort,j.label)}}async getAttributes(T,P=!0){const O=new Map,j=new Map;T.forEach(Y=>{const ae=g(this.m??new Map,k.$Qv[0],Y.port)??Y;if(ae){O.set(Y.port,ae);const ee=A(ae)?ae.pid:void 0;j.has(ee)||j.set(ee,[]),j.get(ee)?.push(Y.port)}});const K=new Map;if(T.forEach(Y=>{const ae=this.configPortsAttributes.getAttributes(Y.port,Y.host,O.get(Y.port)?.detail);ae&&K.set(Y.port,ae)}),this.G.length===0||!P)return K.size>0?K:void 0;const ie=await Promise.all((0,F.$Rb)(this.G.map(Y=>Array.from(j.entries()).map(ae=>{const ee=ae[1],fe=O.get(ee[0]);return Y.providePortAttributes(ee,fe?.pid,fe?.detail,new i.$ce().token)})))),_=new Map;if(ie.forEach(Y=>Y.forEach(ae=>{ae&&_.set(ae.port,ae)})),!K&&!_)return;const X=new Map;return T.forEach(Y=>{const ae=K.get(Y.port),ee=_.get(Y.port);X.set(Y.port,{elevateIfNeeded:ae?.elevateIfNeeded,label:ae?.label,onAutoForward:ae?.onAutoForward??N.providedActionToAction(ee?.autoForwardAction),requireLocalPort:ae?.requireLocalPort,protocol:ae?.protocol})}),X}addAttributesProvider(T){this.G.push(T)}};e.$vL=U,Je([(0,$.$Jh)(1e3)],U.prototype,"cb",null),e.$vL=U=Je([Ve(0,k.$Mv),Ve(1,E.$Fp),Ve(2,S.$Ki),Ve(3,p.$kL),Ve(4,b.$gl),Ve(5,l.$ni),Ve(6,C.$yj),Ve(7,M.$fw),Ve(8,o.$RF),Ve(9,a.$wj)],U)}),define(Se[94],De([1,0]),function(me,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.TextSearchCompleteMessageType=e.$dK=e.$cK=void 0;class I{constructor(R,w){this.line=R,this.character=w}isBefore(R){return!1}isBeforeOrEqual(R){return!1}isAfter(R){return!1}isAfterOrEqual(R){return!1}isEqual(R){return!1}compareTo(R){return 0}translate(R,w){return new I(0,0)}with(R){return new I(0,0)}}e.$cK=I;class F{constructor(R,w,v,S){this.isEmpty=!1,this.isSingleLine=!1,this.start=new I(R,w),this.end=new I(v,S)}contains(R){return!1}isEqual(R){return!1}intersection(R){}union(R){return new F(0,0,0,0)}with(R){return new F(0,0,0,0)}}e.$dK=F;var $;(function(L){L[L.Information=1]="Information",L[L.Warning=2]="Warning"})($||(e.TextSearchCompleteMessageType=$={}))}),define(Se[36],De([1,0,19,35,24,34,12,5,17,14,94,8]),function(me,e,I,F,$,L,R,w,v,S,M,C){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EK=e.$DK=e.$CK=e.$BK=e.$AK=e.$zK=e.$yK=e.$xK=e.$wK=e.$vK=e.$uK=e.$tK=e.SearchErrorCode=e.$sK=e.$rK=e.SearchSortOrder=e.ViewMode=e.$qK=e.$pK=e.$oK=e.$nK=e.SearchCompletionExitCode=e.$mK=e.$lK=e.$kK=e.QueryType=e.SearchProviderType=e.$jK=e.$iK=e.$hK=e.$gK=e.$fK=e.$eK=e.TextSearchCompleteMessageType=void 0,Object.defineProperty(e,"TextSearchCompleteMessageType",{enumerable:!0,get:function(){return M.TextSearchCompleteMessageType}}),e.$eK="workbench.view.search",e.$fK="workbench.panel.search",e.$gK="workbench.view.search",e.$hK="search-result",e.$iK="search.exclude";const b="\u27EA ",E=" characters skipped \u27EB",k=(b.length+E.length+5)*2;e.$jK=(0,w.$ei)("searchService");var l;(function(Y){Y[Y.file=0]="file",Y[Y.text=1]="text"})(l||(e.SearchProviderType=l={}));var p;(function(Y){Y[Y.File=1]="File",Y[Y.Text=2]="Text"})(p||(e.QueryType=p={}));function o(Y){return!!Y.preview}e.$kK=o;function i(Y){return!!Y.resource}e.$lK=i;function n(Y){return!!Y.message}e.$mK=n;var r;(function(Y){Y[Y.Normal=0]="Normal",Y[Y.NewSearchStarted=1]="NewSearchStarted"})(r||(e.SearchCompletionExitCode=r={}));class a{constructor(ae){this.resource=ae,this.results=[]}}e.$nK=a;class t{constructor(ae,ee,fe,re){this.ranges=ee,this.webviewIndex=re;const J=Array.isArray(ee)?ee:[ee];if(fe&&fe.matchLines===1&&d(J)){ae=(0,R.$Lf)(ae,fe.matchLines);let B="",se=0,Ee=0;const le=Math.floor(fe.charsPerLine/5),he=[];for(const ce of J){const de=Math.max(ce.startColumn-le,0),H=ce.startColumn+fe.charsPerLine;if(de>Ee+le+k){const x=b+(de-Ee)+E;B+=x+ae.slice(de,H),se+=de-(Ee+x.length)}else B+=ae.slice(Ee,H);he.push(new s(0,ce.startColumn-se,ce.endColumn-se)),Ee=H}this.preview={text:B,matches:Array.isArray(this.ranges)?he:he[0]}}else{const B=Array.isArray(ee)?ee[0].startLineNumber:ee.startLineNumber;this.preview={text:ae,matches:(0,I.$2b)(ee,se=>new u(se.startLineNumber-B,se.startColumn,se.endLineNumber-B,se.endColumn))}}}}e.$oK=t;function d(Y){const ae=Y[0].startLineNumber;for(const ee of Y)if(ee.startLineNumber!==ae||ee.endLineNumber!==ae)return!1;return!0}class u{constructor(ae,ee,fe,re){this.startLineNumber=ae,this.startColumn=ee,this.endLineNumber=fe,this.endColumn=re}}e.$pK=u;class s extends u{constructor(ae,ee,fe){super(ae,ee,ae,fe)}}e.$qK=s;var c;(function(Y){Y.List="list",Y.Tree="tree"})(c||(e.ViewMode=c={}));var h;(function(Y){Y.Default="default",Y.FileNames="fileNames",Y.Type="type",Y.Modified="modified",Y.CountDescending="countDescending",Y.CountAscending="countAscending"})(h||(e.SearchSortOrder=h={}));function m(Y,ae=!0){const ee=Y&&Y.files&&Y.files.exclude,fe=ae&&Y&&Y.search&&Y.search.exclude;if(!ee&&!fe)return;if(!ee||!fe)return ee||fe;let re=Object.create(null);return re=$.$Kn(re,$.$Hn(ee)),re=$.$Kn(re,$.$Hn(fe),!0),re}e.$rK=m;function D(Y,ae){return Y.excludePattern&&F.$Wj(Y.excludePattern,ae)?!1:Y.includePattern||Y.usingSearchPaths?Y.includePattern&&F.$Wj(Y.includePattern,ae)?!0:Y.usingSearchPaths?!!Y.folderQueries&&Y.folderQueries.some(ee=>{const fe=ee.folder.fsPath;if(L.$fg(ae,fe)){const re=v.$lc(fe,ae);return!ee.includePattern||!!F.$Wj(ee.includePattern,re)}else return!1}):!1:!0}e.$sK=D;var g;(function(Y){Y[Y.unknownEncoding=1]="unknownEncoding",Y[Y.regexParseError=2]="regexParseError",Y[Y.globParseError=3]="globParseError",Y[Y.invalidLiteral=4]="invalidLiteral",Y[Y.rgProcessError=5]="rgProcessError",Y[Y.other=6]="other",Y[Y.canceled=7]="canceled"})(g||(e.SearchErrorCode=g={}));class f extends Error{constructor(ae,ee){super(ae),this.code=ee}}e.$tK=f;function y(Y){const ae=Y.message;if((0,S.$4)(Y))return new f(ae,g.canceled);try{const ee=JSON.parse(ae);return new f(ee.message,ee.code)}catch{return new f(ae,g.other)}}e.$uK=y;function A(Y){const ae={message:Y.message,code:Y.code};return new Error(JSON.stringify(ae))}e.$vK=A;function N(Y){return Y.type==="error"?!0:Y.type==="success"}e.$wK=N;function U(Y){return Y.type==="success"}e.$xK=U;function z(Y){return!!Y.path}e.$yK=z;function T(Y,ae,ee=!0){const fe=Y.searchPath?Y.searchPath:Y.relativePath;return ee?(0,R.$If)(fe,ae):F.$Wj(ae,fe)}e.$zK=T;class P{constructor(ae){this.path=ae,this.results=[]}addMatch(ae){this.results.push(ae)}serialize(){return{path:this.path,results:this.results,numMatches:this.results.length}}}e.$AK=P;function O(Y,ae){const ee={...Y||{},...ae||{}};return Object.keys(ee).filter(fe=>{const re=ee[fe];return typeof re=="boolean"&&re})}e.$BK=O;class j{constructor(ae,ee){this.c=null,this.a={...ae.excludePattern||{},...ee.excludePattern||{}},this.b=F.$Xj(this.a);let fe=ae.includePattern;ee.includePattern&&(fe?fe={...fe,...ee.includePattern}:fe=ee.includePattern),fe&&(this.c=F.$Xj(fe))}matchesExcludesSync(ae,ee,fe){return!!(this.b&&this.b(ae,ee,fe))}includedInQuerySync(ae,ee,fe){return!(this.b&&this.b(ae,ee,fe)||this.c&&!this.c(ae,ee,fe))}includedInQuery(ae,ee,fe){const re=this.b(ae,ee,fe),J=()=>this.c?!!this.c(ae,ee,fe):!0;return(0,C.$3g)(re)?re.then(B=>B?!1:J()):J()}hasSiblingExcludeClauses(){return K(this.a)}}e.$CK=j;function K(Y){for(const ae in Y)if(typeof Y[ae]!="boolean")return!0;return!1}function ie(Y){if(!Y)return;let ae;return ee=>(ae||(ae=(Y()||Promise.resolve([])).then(fe=>fe?X(fe):{})),ae.then(fe=>!!fe[ee]))}e.$DK=ie;function _(Y){if(!Y)return;let ae;return ee=>{if(!ae){const fe=Y();ae=fe?X(fe):{}}return!!ae[ee]}}e.$EK=_;function X(Y){const ae={};for(const ee of Y)ae[ee]=!0;return ae}}),define(Se[42],De([1,0,19,8,22,4,3,77,16,122,23,12,2,223,5,13,254,41,59,27,20,15,7,66,36,6,56]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d,u,s,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$3hc=e.$2hc=void 0;function h(U,z,T){return new M.$Gg(P=>f(P,T)).isEqual(U,z)}function m(U,z,T){return h(U.uri,z.uri,T)?0:(0,C.$cf)(U.uri.toString(),z.uri.toString())}function D(U,z,T){return U.index!==z.index?U.index<z.index?-1:1:h(U.uri,z.uri,T)?(0,C.$cf)(U.name,z.name):(0,C.$cf)(U.uri.toString(),z.uri.toString())}function g(U,z,T,P){const O=U.slice(0).sort((K,ie)=>T(K,ie,P)),j=z.slice(0).sort((K,ie)=>T(K,ie,P));return(0,I.$Eb)(O,j,(K,ie)=>T(K,ie,P))}function f(U,z){const T=z.getCapabilities(U.scheme);return!(T&&T&1024)}class y extends o.$xi{static toExtHostWorkspace(z,T,P,O){if(!z)return{workspace:null,added:[],removed:[]};const{id:j,name:K,folders:ie,configuration:_,transient:X,isUntitled:Y}=z,ae=[],ee=T;T?ie.forEach((B,se)=>{const Ee=b.URI.revive(B.uri),le=y.o(P||T,Ee,O);le?(le.name=B.name,le.index=B.index,ae.push(le)):ae.push({uri:Ee,name:B.name,index:se})}):ae.push(...ie.map(({uri:B,name:se,index:Ee})=>({uri:b.URI.revive(B),name:se,index:Ee}))),ae.sort((B,se)=>B.index<se.index?-1:1);const fe=new y(j,K,ae,!!X,_?b.URI.revive(_):null,!!Y,B=>f(B,O)),{added:re,removed:J}=g(ee?ee.workspaceFolders:[],fe.workspaceFolders,m,O);return{workspace:fe,added:re,removed:J}}static o(z,T,P){for(let O=0;O<z.folders.length;O++){const j=z.workspaceFolders[O];if(h(j.uri,T,P))return j}}constructor(z,T,P,O,j,K,ie){super(z,P.map(_=>new o.$yi(_)),O,j,ie),this.t=T,this.u=K,this.q=[],this.s=w.$ki.forUris(ie),P.forEach(_=>{this.q.push(_),this.s.set(_.uri,_)})}get name(){return this.t}get isUntitled(){return this.u}get workspaceFolders(){return this.q.slice(0)}getWorkspaceFolder(z,T){return T&&this.s.get(z)&&(z=(0,M.$Qg)(z)),this.s.findSubstr(z)}resolveWorkspaceFolder(z){return this.s.get(z)}}let A=class{constructor(z,T,P,O,j){this.c=new L.$5d,this.onDidChangeWorkspace=this.c.event,this.g=new L.$5d,this.onDidGrantWorkspaceTrust=this.g.event,this.u=[],this.v=!1,this.w=new Map,this.A=0,this.B=new L.$7d,this.C=new Map,this.h=O,this.s=P,this.t=j,this.j=new S.$hm,this.k=new F.$dh,this.o=z.getProxy(s.$ZL.MainThreadWorkspace),this.q=z.getProxy(s.$ZL.MainThreadMessageService);const K=T.workspace;this.l=K?new y(K.id,K.name,[],!!K.transient,K.configuration?b.URI.revive(K.configuration):null,!!K.isUntitled,ie=>f(ie,P)):void 0}$initializeWorkspace(z,T){this.v=T,this.$acceptWorkspaceData(z),this.k.open()}waitForInitializeCall(){return this.k.wait()}get workspace(){return this.x}get name(){return this.x?this.x.name:void 0}get workspaceFile(){if(this.x&&this.x.configuration)return this.x.isUntitled?b.URI.from({scheme:v.Schemas.untitled,path:(0,M.$Og)((0,M.$Qg)(this.x.configuration))}):this.x.configuration}get x(){return this.n||this.l}getWorkspaceFolders(){if(this.x)return this.x.workspaceFolders.slice(0)}async getWorkspaceFolders2(){if(await this.k.wait(),!!this.x)return this.x.workspaceFolders.slice(0)}updateWorkspaceFolders(z,T,P,...O){const j=[];if(Array.isArray(O)&&O.forEach(Y=>{b.URI.isUri(Y.uri)&&!j.some(ae=>h(ae.uri,Y.uri,this.s))&&j.push({uri:Y.uri,name:Y.name||(0,M.$Ng)(Y.uri)})}),this.n||[T,P].some(Y=>typeof Y!="number"||Y<0)||P===0&&j.length===0)return!1;const K=this.x?this.x.workspaceFolders:[];if(T+P>K.length)return!1;const ie=K.slice(0);ie.splice(T,P,...j.map(Y=>({uri:Y.uri,name:Y.name||(0,M.$Ng)(Y.uri),index:void 0})));for(let Y=0;Y<ie.length;Y++){const ae=ie[Y];if(ie.some((ee,fe)=>fe!==Y&&h(ae.uri,ee.uri,this.s)))return!1}ie.forEach((Y,ae)=>Y.index=ae);const{added:_,removed:X}=g(K,ie,D,this.s);if(_.length===0&&X.length===0)return!1;if(this.o){const Y=z.displayName||z.name;this.o.$updateWorkspaceFolders(Y,T,P,j).then(void 0,ae=>{this.n=void 0;const ee={source:{identifier:z.identifier,label:z.displayName||z.name}};this.q.$showMessage(p.Severity.Error,(0,E.localize)(0,null,Y,ae.toString()),ee,[])})}return this.y(ie),!0}getWorkspaceFolder(z,T){if(this.x)return this.x.getWorkspaceFolder(z,T)}async getWorkspaceFolder2(z,T){if(await this.k.wait(),!!this.x)return this.x.getWorkspaceFolder(z,T)}async resolveWorkspaceFolder(z){if(await this.k.wait(),!!this.x)return this.x.resolveWorkspaceFolder(z)}getPath(){if(!this.x)return;const{folders:z}=this.x;if(z.length!==0)return z[0].uri.fsPath}getRelativePath(z,T){let P,O="";if(typeof z=="string"?(P=b.URI.file(z),O=z):typeof z<"u"&&(P=z,O=z.fsPath),!P)return O;const j=this.getWorkspaceFolder(P,!0);if(!j)return O;typeof T>"u"&&this.x&&(T=this.x.folders.length>1);let K=(0,M.$Tg)(j.uri,P);return T&&j.name&&(K=`${j.name}/${K}`),K}y(z){this.x&&(this.n=y.toExtHostWorkspace({id:this.x.id,name:this.x.name,configuration:this.x.configuration,folders:z,isUntitled:this.x.isUntitled},this.x,void 0,this.s).workspace||void 0)}$acceptWorkspaceData(z){const{workspace:T,added:P,removed:O}=y.toExtHostWorkspace(z,this.l,this.n,this.s);this.l=T||void 0,this.n=void 0,this.c.fire(Object.freeze({added:P,removed:O}))}findFiles(z,T,P,O,j=$.CancellationToken.None){this.h.trace(`extHostWorkspace#findFiles: fileSearch, extension: ${O.value}, entryPoint: findFiles`);let K="",ie=!0;return T===null?ie=!1:T!==void 0&&(typeof T=="string"?K=T:K=T.pattern),this.z(z,void 0,{exclude:K,maxResults:P,useDefaultExcludes:ie,useDefaultSearchExcludes:!1,useIgnoreFiles:!1},j)}findFiles2(z,T={},P,O=$.CancellationToken.None){return this.h.trace(`extHostWorkspace#findFiles2: fileSearch, extension: ${P.value}, entryPoint: findFiles2`),this.z(void 0,z,T,O)}async z(z,T,P,O=$.CancellationToken.None){if(O&&O.isCancellationRequested)return Promise.resolve([]);const j=typeof P.exclude=="string"?P.exclude:P.exclude?P.exclude.pattern:void 0,K={ignoreSymlinks:typeof P.followSymlinks=="boolean"?!P.followSymlinks:void 0,disregardIgnoreFiles:typeof P.useIgnoreFiles=="boolean"?!P.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof P.useGlobalIgnoreFiles=="boolean"?!P.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof P.useParentIgnoreFiles=="boolean"?!P.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof P.useDefaultExcludes=="boolean"?!P.useDefaultExcludes:!1,disregardSearchExcludeSettings:typeof P.useDefaultSearchExcludes=="boolean"?!P.useDefaultSearchExcludes:!1,maxResults:P.maxResults,excludePattern:j,shouldGlobSearch:typeof P.fuzzy=="boolean"?!P.fuzzy:!0,_reason:"startFileSearch"};let ie;if(z){const{includePattern:_,folder:X}=N(a.GlobPattern.from(z));ie=X,K.includePattern=_}else{const{includePattern:_,folder:X}=N(a.GlobPattern.from(T));ie=X,K.filePattern=_}return this.o.$startFileSearch(ie??null,K,O).then(_=>Array.isArray(_)?_.map(X=>b.URI.revive(X)):[])}async findTextInFiles(z,T,P,O,j=$.CancellationToken.None){this.h.trace(`extHostWorkspace#findTextInFiles: textSearch, extension: ${O.value}, entryPoint: findTextInFiles`);const K=this.j.getNext(),ie=typeof T.previewOptions>"u"?{matchLines:100,charsPerLine:1e4}:T.previewOptions,{includePattern:_,folder:X}=N(a.GlobPattern.from(T.include)),Y=typeof T.exclude=="string"?T.exclude:T.exclude?T.exclude.pattern:void 0,ae={ignoreSymlinks:typeof T.followSymlinks=="boolean"?!T.followSymlinks:void 0,disregardIgnoreFiles:typeof T.useIgnoreFiles=="boolean"?!T.useIgnoreFiles:void 0,disregardGlobalIgnoreFiles:typeof T.useGlobalIgnoreFiles=="boolean"?!T.useGlobalIgnoreFiles:void 0,disregardParentIgnoreFiles:typeof T.useParentIgnoreFiles=="boolean"?!T.useParentIgnoreFiles:void 0,disregardExcludeSettings:typeof T.useDefaultExcludes=="boolean"?!T.useDefaultExcludes:!0,fileEncoding:T.encoding,maxResults:T.maxResults,previewOptions:ie,afterContext:T.afterContext,beforeContext:T.beforeContext,includePattern:_,excludePattern:Y},ee=!1;if(this.u[K]=fe=>{if(ee)return;const re=b.URI.revive(fe.resource);fe.results.forEach(J=>{const B=(0,c.$Nh)(J);(0,u.$kK)(B)?P({uri:re,preview:{text:B.preview.text,matches:(0,I.$2b)(B.preview.matches,se=>new t.$4L(se.startLineNumber,se.startColumn,se.endLineNumber,se.endColumn))},ranges:(0,I.$2b)(B.ranges,se=>new t.$4L(se.startLineNumber,se.startColumn,se.endLineNumber,se.endColumn))}):P({uri:re,text:B.text,lineNumber:B.lineNumber})})},j.isCancellationRequested)return{};try{const fe=await this.o.$startTextSearch(z,X??null,ae,K,j);return delete this.u[K],fe||{}}catch(fe){throw delete this.u[K],fe}}$handleTextSearchResult(z,T){this.u[T]?.(z)}async save(z){const T=await this.o.$save(z,{saveAs:!1});return b.URI.revive(T)}async saveAs(z){const T=await this.o.$save(z,{saveAs:!0});return b.URI.revive(T)}saveAll(z){return this.o.$saveAll(z)}resolveProxy(z){return this.o.$resolveProxy(z)}loadCertificates(){return this.o.$loadCertificates()}get trusted(){return this.v}requestWorkspaceTrust(z){return this.o.$requestWorkspaceTrust(z)}$onDidGrantWorkspaceTrust(){this.v||(this.v=!0,this.g.fire())}registerEditSessionIdentityProvider(z,T){if(this.w.has(z))throw new Error(`A provider has already been registered for scheme ${z}`);this.w.set(z,T);const P=this.t.transformOutgoingScheme(z),O=this.A++;return this.o.$registerEditSessionIdentityProvider(O,P),(0,R.$Rc)(()=>{this.w.delete(z),this.o.$unregisterEditSessionIdentityProvider(O)})}async $getEditSessionIdentifier(z,T){this.h.info("Getting edit session identifier for workspaceFolder",z);const P=await this.resolveWorkspaceFolder(b.URI.revive(z));if(!P){this.h.warn("Unable to resolve workspace folder");return}this.h.info("Invoking #provideEditSessionIdentity for workspaceFolder",P);const O=this.w.get(P.uri.scheme);if(this.h.info(`Provider for scheme ${P.uri.scheme} is defined: `,!!O),!O)return;const j=await O.provideEditSessionIdentity(P,T);if(this.h.info("Provider returned edit session identifier: ",j),!!j)return j}async $provideEditSessionIdentityMatch(z,T,P,O){this.h.info("Getting edit session identifier for workspaceFolder",z);const j=await this.resolveWorkspaceFolder(b.URI.revive(z));if(!j){this.h.warn("Unable to resolve workspace folder");return}this.h.info("Invoking #provideEditSessionIdentity for workspaceFolder",j);const K=this.w.get(j.uri.scheme);if(this.h.info(`Provider for scheme ${j.uri.scheme} is defined: `,!!K),!K)return;const ie=await K.provideEditSessionIdentityMatch?.(T,P,O);if(this.h.info("Provider returned edit session identifier match result: ",ie),!!ie)return ie}getOnWillCreateEditSessionIdentityEvent(z){return(T,P,O)=>{const j=function(ie){T.call(P,ie)};return j.extension=z,this.B.event(j,void 0,O)}}async $onWillCreateEditSessionIdentity(z,T,P){const O=await this.resolveWorkspaceFolder(b.URI.revive(z));if(O===void 0)throw new Error("Unable to resolve workspace folder");await this.B.fireAsync({workspaceFolder:O},T,async(j,K)=>{const ie=Date.now();await Promise.resolve(j),Date.now()-ie>P&&this.h.warn("SLOW edit session create-participant",K.extension.identifier)}),T.isCancellationRequested}registerCanonicalUriProvider(z,T){if(this.C.has(z))throw new Error(`A provider has already been registered for scheme ${z}`);this.C.set(z,T);const P=this.t.transformOutgoingScheme(z),O=this.A++;return this.o.$registerCanonicalUriProvider(O,P),(0,R.$Rc)(()=>{this.C.delete(z),this.o.$unregisterCanonicalUriProvider(O)})}async provideCanonicalUri(z,T,P){const O=this.C.get(z.scheme);if(!O)return;const j=await O.provideCanonicalUri?.(b.URI.revive(z),T,P);if(j)return j}async $provideCanonicalUri(z,T,P){return this.provideCanonicalUri(b.URI.revive(z),{targetScheme:T},P)}};e.$2hc=A,e.$2hc=A=Je([Ve(0,r.$eO),Ve(1,n.$uO),Ve(2,i.$Jhc),Ve(3,l.$yj),Ve(4,d.$Zhc)],A),e.$3hc=(0,k.$ei)("IExtHostWorkspace");function N(U){let z,T;return U&&(typeof U=="string"?z=U:(z=U.pattern,T=b.URI.revive(U.baseUri))),{includePattern:z,folder:T}}}),define(Se[43],De([1,0,24,4,42,6,7,256,86,18,8,5,20,13,2]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$6hc=e.$5hc=e.$4hc=void 0;function l(d,u){if(u){const s=u.split(".");let c=d;for(let h=0;c&&h<s.length;h++)c=c[s[h]];return c}}function p(d){return d instanceof k.URI}function o(d){return d&&d.uri instanceof k.URI&&d.languageId&&typeof d.languageId=="string"}function i(d){return d&&!d.uri&&d.languageId&&typeof d.languageId=="string"}function n(d){return d&&d.uri instanceof k.URI&&(!d.name||typeof d.name=="string")&&(!d.index||typeof d.index=="number")}function r(d){if(p(d))return{resource:d};if(o(d))return{resource:d.uri,overrideIdentifier:d.languageId};if(i(d))return{overrideIdentifier:d.languageId};if(n(d))return{resource:d.uri};if(d===null)return{resource:null}}let a=class{constructor(u,s,c){this.a=u.getProxy(L.$ZL.MainThreadConfiguration),this.c=s,this.b=c,this.d=new M.$dh,this.e=null}getConfigProvider(){return this.d.wait().then(u=>this.e)}$initializeConfiguration(u){this.e=new t(this.a,this.c,u,this.b),this.d.open()}$acceptConfigurationChanged(u,s){this.getConfigProvider().then(c=>c.$acceptConfigurationChanged(u,s))}};e.$4hc=a,e.$4hc=a=Je([Ve(0,b.$eO),Ve(1,$.$3hc),Ve(2,E.$yj)],a);class t{constructor(u,s,c,h){this.a=new F.$5d,this.b=u,this.f=h,this.c=s,this.e=w.$fo.parse(c),this.d=this.k(c.configurationScopes)}get onDidChangeConfiguration(){return this.a&&this.a.event}$acceptConfigurationChanged(u,s){const c={data:this.e.toData(),workspace:this.c.workspace};this.e=w.$fo.parse(u),this.d=this.k(u.configurationScopes),this.a.fire(this.j(s,c))}getConfiguration(u,s,c){const h=r(s)||{},m=this.g(u?l(this.e.getValue(void 0,h,this.c.workspace),u):this.e.getValue(void 0,h,this.c.workspace));u&&this.h(u,h,c?.identifier);function D(f){if(f==null)return null;if(typeof f=="boolean")return f?2:5;switch(f){case R.ConfigurationTarget.Global:return 2;case R.ConfigurationTarget.Workspace:return 5;case R.ConfigurationTarget.WorkspaceFolder:return 6}}const g={has(f){return typeof l(m,f)<"u"},get:(f,y)=>{this.h(u?`${u}.${f}`:f,h,c?.identifier);let A=l(m,f);if(typeof A>"u")A=y;else{let N;const U=(z,T)=>{if((0,S.$Uf)(z)){let P;const O=()=>{N=N||(0,I.$Hn)(m),P=P||l(N,T)};return new Proxy(z,{get:(j,K)=>{if(typeof K=="string"&&K.toLowerCase()==="tojson")return O(),()=>P;if(N)return P=P||l(N,T),P[K];const ie=j[K];return typeof K=="string"?U(ie,`${T}.${K}`):ie},set:(j,K,ie)=>(O(),P&&(P[K]=ie),!0),deleteProperty:(j,K)=>(O(),P&&delete P[K],!0),defineProperty:(j,K,ie)=>(O(),P&&Object.defineProperty(P,K,ie),!0)})}return Array.isArray(z)?(0,I.$Hn)(z):z};A=U(A,f)}return A},update:(f,y,A,N)=>{f=u?`${u}.${f}`:f;const U=D(A);return y!==void 0?this.b.$updateConfigurationOption(U,f,y,h,N):this.b.$removeConfigurationOption(U,f,h,N)},inspect:f=>{f=u?`${u}.${f}`:f;const y=this.e.inspect(f,h,this.c.workspace);if(y)return{key:f,defaultValue:(0,I.$Hn)(y.policy?.value??y.default?.value),globalValue:(0,I.$Hn)(y.user?.value??y.application?.value),workspaceValue:(0,I.$Hn)(y.workspace?.value),workspaceFolderValue:(0,I.$Hn)(y.workspaceFolder?.value),defaultLanguageValue:(0,I.$Hn)(y.default?.override),globalLanguageValue:(0,I.$Hn)(y.user?.override??y.application?.override),workspaceLanguageValue:(0,I.$Hn)(y.workspace?.override),workspaceFolderLanguageValue:(0,I.$Hn)(y.workspaceFolder?.override),languageIds:(0,I.$Hn)(y.overrideIdentifiers)}}};return typeof m=="object"&&(0,I.$Kn)(g,m,!1),Object.freeze(g)}g(u){const s=c=>(0,S.$Uf)(c)?new Proxy(c,{get:(h,m)=>s(h[m]),set:(h,m,D)=>{throw new Error(`TypeError: Cannot assign to read only property '${String(m)}' of object`)},deleteProperty:(h,m)=>{throw new Error(`TypeError: Cannot delete read only property '${String(m)}' of object`)},defineProperty:(h,m)=>{throw new Error(`TypeError: Cannot define property '${String(m)}' for a readonly object`)},setPrototypeOf:h=>{throw new Error("TypeError: Cannot set prototype for a readonly object")},isExtensible:()=>!1,preventExtensions:()=>!0}):c;return s(u)}h(u,s,c){const h=v.$9n.test(u)?4:this.d.get(u),m=c?`[${c.value}] `:"";if(h===4){typeof s?.resource>"u"&&this.f.warn(`${m}Accessing a resource scoped configuration without providing a resource is not expected. To get the effective value for '${u}', provide the URI of a resource or 'null' for any resource.`);return}if(h===3){s?.resource&&this.f.warn(`${m}Accessing a window scoped configuration for a resource is not expected. To associate '${u}' to a resource, define its scope to 'resource' in configuration contributions in 'package.json'.`);return}}j(u,s){const c=new w.$ho(u,s,this.e,this.c.workspace);return Object.freeze({affectsConfiguration:(h,m)=>c.affectsConfiguration(h,r(m))})}k(u){return u.reduce((s,c)=>(s.set(c[0],c[1]),s),new Map)}}e.$5hc=t,e.$6hc=(0,C.$ei)("IExtHostConfiguration")}),define(Se[95],De([1,0,2,8,4,6,7,42,72,43,22,46,20,27,5,16,11,13,91,298,14]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$wjc=e.$vjc=e.$ujc=e.TaskDTO=e.TaskHandleDTO=e.CustomExecutionDTO=void 0;var a;(function(U){function z(P){if(P!=null)return P}U.from=z;function T(P){if(P!=null)return P}U.to=T})(a||(a={}));var t;(function(U){function z(P){if(P!=null)return P}U.from=z;function T(P){if(P!=null)return P}U.to=T})(t||(t={}));var d;(function(U){function z(P){if(P!=null)return P}U.from=z;function T(P){if(P!=null)return P}U.to=T})(d||(d={}));var u;(function(U){function z(O){if(O){const j=O;return j&&!!j.process}else return!1}U.is=z;function T(O){if(O==null)return;const j={process:O.process,args:O.args};return O.options&&(j.options=d.from(O.options)),j}U.from=T;function P(O){if(O!=null)return new R.$KM(O.process,O.args,O.options)}U.to=P})(u||(u={}));var s;(function(U){function z(P){if(P!=null)return P}U.from=z;function T(P){if(P!=null)return P}U.to=T})(s||(s={}));var c;(function(U){function z(O){if(O){const j=O;return j&&(!!j.commandLine||!!j.command)}else return!1}U.is=z;function T(O){if(O==null)return;const j={};return O.commandLine!==void 0?j.commandLine=O.commandLine:(j.command=O.command,j.args=O.args),O.options&&(j.options=s.from(O.options)),j}U.from=T;function P(O){if(!(O==null||O.command===void 0&&O.commandLine===void 0))return O.commandLine?new R.$LM(O.commandLine,O.options):new R.$LM(O.command,O.args?O.args:[],O.options)}U.to=P})(c||(c={}));var h;(function(U){function z(O){if(O){const j=O;return j&&j.customExecution==="customExecution"}else return!1}U.is=z;function T(O){return{customExecution:"customExecution"}}U.from=T;function P(O,j){return j.get(O)}U.to=P})(h||(e.CustomExecutionDTO=h={}));var m;(function(U){function z(T,P){let O;return T.scope!==void 0&&typeof T.scope!="number"?O=T.scope.uri:T.scope!==void 0&&typeof T.scope=="number"&&(T.scope===R.TaskScope.Workspace&&P&&P.workspaceFile?O=P.workspaceFile:O=n.$dH),{id:T._id,workspaceFolder:O}}U.from=z})(m||(e.TaskHandleDTO=m={}));var D;(function(U){function z(T){if(T!=null)return{_id:T.id,isDefault:T.isDefault}}U.from=z})(D||(D={}));var g;(function(U){function z(O,j){if(O==null)return[];const K=[];for(const ie of O){const _=T(ie,j);_&&K.push(_)}return K}U.fromMany=z;function T(O,j){if(O==null)return;let K;O.execution instanceof R.$KM?K=u.from(O.execution):O.execution instanceof R.$LM?K=c.from(O.execution):O.execution&&O.execution instanceof R.$MM&&(K=h.from(O.execution));const ie=a.from(O.definition);let _;return O.scope?typeof O.scope=="number"?_=O.scope:_=O.scope.uri:_=R.TaskScope.Workspace,!ie||!_?void 0:{_id:O._id,definition:ie,name:O.name,source:{extensionId:j.identifier.value,label:O.source,scope:_},execution:K,isBackground:O.isBackground,group:D.from(O.group),presentationOptions:t.from(O.presentationOptions),problemMatchers:O.problemMatchers,hasDefinedMatchers:O.hasDefinedMatchers,runOptions:O.runOptions?O.runOptions:{reevaluateOnRerun:!0},detail:O.detail}}U.from=T;async function P(O,j,K){if(O==null)return;let ie;u.is(O.execution)?ie=u.to(O.execution):c.is(O.execution)?ie=c.to(O.execution):h.is(O.execution)&&(ie=h.to(O._id,K));const _=a.to(O.definition);let X;if(O.source&&(O.source.scope!==void 0?typeof O.source.scope=="number"?X=O.source.scope:X=await j.resolveWorkspaceFolder(I.URI.revive(O.source.scope)):X=R.TaskScope.Workspace),!_||!X)return;const Y=new R.$NM(_,X,O.name,O.source.label,ie,O.problemMatchers);return O.isBackground!==void 0&&(Y.isBackground=O.isBackground),O.group!==void 0&&(Y.group=R.$JM.from(O.group._id),Y.group&&O.group.isDefault&&(Y.group=new R.$JM(Y.group.id,Y.group.label),O.group.isDefault===!0&&(Y.group.isDefault=O.group.isDefault))),O.presentationOptions&&(Y.presentationOptions=t.to(O.presentationOptions)),O._id&&(Y._id=O._id),O.detail&&(Y.detail=O.detail),Y}U.to=P})(g||(e.TaskDTO=g={}));var f;(function(U){function z(P){return P}U.from=z;function T(P){if(P)return Object.assign(Object.create(null),P)}U.to=T})(f||(f={}));class y{#e;constructor(z,T,P){this._id=T,this.a=P,this.#e=z}get task(){return this.a}terminate(){this.#e.terminateTask(this)}fireDidStartProcess(z){}fireDidEndProcess(z){}}let A=class{constructor(z,T,P,O,j,K,ie,_){this.q=new $.$5d,this.r=new $.$5d,this.s=new $.$5d,this.u=new $.$5d,this.a=z.getProxy(L.$ZL.MainThreadTask),this.b=P,this.c=O,this.d=j,this.e=K,this.h=0,this.j=new Map,this.k=new Map,this.l=new Map,this.m=new Map,this.n=new Set,this.o=new Map,this.f=ie,this.g=_,this.a.$registerSupportedExecutions(!0)}registerTaskProvider(z,T,P){if(!P)return new R.$2L(()=>{});const O=this.x();return this.j.set(O,{type:T,provider:P,extension:z}),this.a.$registerTaskProvider(O,T),new R.$2L(()=>{this.j.delete(O),this.a.$unregisterTaskProvider(O)})}registerTaskSystem(z,T){this.a.$registerTaskSystem(z,T)}fetchTasks(z){return this.a.$fetchTasks(f.from(z)).then(async T=>{const P=[];for(const O of T){const j=await g.to(O,this.b,this.m);j&&P.push(j)}return P})}get taskExecutions(){const z=[];return this.k.forEach(T=>z.push(T)),z}terminateTask(z){if(!(z instanceof y))throw new Error("No valid task execution provided");return this.a.$terminateTask(z._id)}get onDidStartTask(){return this.q.event}async $onDidStartTask(z,T,P){const O=this.m.get(z.id);O&&(this.o.set(z.id,O),this.e.attachPtyToTerminal(T,await O.callback(P))),this.p=z.id,this.q.fire({execution:await this.z(z)})}get onDidEndTask(){return this.r.event}async $OnDidEndTask(z){if(!this.l.has(z.id))return;const T=await this.z(z);this.l.delete(z.id),this.k.delete(z.id),this.B(z),this.r.fire({execution:T})}get onDidStartTaskProcess(){return this.s.event}async $onDidStartTaskProcess(z){const T=await this.z(z.id);this.s.fire({execution:T,processId:z.processId})}get onDidEndTaskProcess(){return this.u.event}async $onDidEndTaskProcess(z){const T=await this.z(z.id);this.u.fire({execution:T,exitCode:z.exitCode})}$provideTasks(z,T){const P=this.j.get(z);if(!P)return Promise.reject(new Error("no handler found"));const O=[],j=(0,F.$9g)(()=>P.provider.provideTasks(M.CancellationToken.None)).then(K=>this.v(T,O,P,K));return new Promise(K=>{j.then(ie=>{Promise.all(O).then(()=>{K(ie)})})})}async $resolveTask(z,T){const P=this.j.get(z);if(!P)return Promise.reject(new Error("no handler found"));if(T.definition.type!==P.type)throw new Error(`Unexpected: Task of type [${T.definition.type}] cannot be resolved by provider of type [${P.type}].`);const O=await g.to(T,this.b,this.m);if(!O)throw new Error("Unexpected: Task cannot be resolved.");const j=await P.provider.resolveTask(O,M.CancellationToken.None);if(!j)return;this.A(j,P);const K=g.from(j,P.extension);if(!K)throw new Error("Unexpected: Task cannot be resolved.");if(j.definition!==O.definition)throw new Error("Unexpected: The resolved task definition must be the same object as the original task definition. The task definition cannot be changed.");return h.is(K.execution)&&await this.y(K,j,!0),await this.w(K)}x(){return this.h++}async y(z,T,P){const O=await this.a.$createTaskId(z);!P&&!this.m.has(O)&&(this.n.add(O),this.o.set(O,T.execution)),this.m.set(O,T.execution)}async z(z,T){if(typeof z=="string"){const j=this.l.get(z);if(!j)throw new r.$bb("Unexpected: The specified task is missing an execution");return j}const P=this.l.get(z.id);if(P)return P;let O;return T?O=Promise.resolve(new y(this,z.id,T)):O=g.to(z.task,this.b,this.m).then(j=>{if(!j)throw new r.$bb("Unexpected: Task does not exist.");return new y(this,z.id,j)}),this.l.set(z.id,O),O.then(j=>(this.k.set(z.id,j),j))}A(z,T){z._deprecated&&this.g.report("Task.constructor",T.extension,"Use the Task constructor that takes a `scope` instead.")}B(z){this.o.get(z.id)&&this.o.delete(z.id),this.n.has(z.id)&&this.p!==z.id&&(this.m.delete(z.id),this.n.delete(z.id));const P=this.n.values();let O=P.next();for(;!O.done;)!this.o.has(O.value)&&this.p!==O.value&&(this.m.delete(O.value),this.n.delete(O.value)),O=P.next()}};e.$ujc=A,e.$ujc=A=Je([Ve(0,b.$eO),Ve(1,E.$uO),Ve(2,w.$3hc),Ve(3,v.$pO),Ve(4,S.$6hc),Ve(5,C.$ric),Ve(6,o.$yj),Ve(7,i.$Fhc)],A);let N=class extends A{constructor(z,T,P,O,j,K,ie,_){super(z,T,P,O,j,K,ie,_),this.registerTaskSystem(l.Schemas.vscodeRemote,{scheme:l.Schemas.vscodeRemote,authority:"",platform:p.$h(0)})}async executeTask(z,T){if(!T.execution)throw new Error("Tasks to execute must include an execution");const P=g.from(T,z);if(P===void 0)throw new Error("Task is not valid");if(h.is(P.execution))await this.y(P,T,!1);else throw new r.$_;const O=await this.z(await this.a.$getTaskExecution(P),T);return this.a.$executeTask(P).catch(j=>{throw new Error(j)}),O}v(z,T,P,O){const j=[];if(O)for(const K of O){if(this.A(K,P),!K.definition||!z[K.definition.type]){const _=K.source?K.source:"No task source";this.f.warn(`The task [${_}, ${K.name}] uses an undefined task type. The task will be ignored in the future.`)}const ie=g.from(K,P.extension);ie&&h.is(ie.execution)?(j.push(ie),T.push(this.y(ie,K,!0))):this.f.warn("Only custom execution tasks supported.")}return{tasks:j,extension:P.extension}}async w(z){if(h.is(z.execution))return z;this.f.warn("Only custom execution tasks supported.")}async $resolveVariables(z,T){return{process:void 0,variables:Object.create(null)}}async $jsonTasksSupported(){return!1}async $findExecutable(z,T,P){}};e.$vjc=N,e.$vjc=N=Je([Ve(0,b.$eO),Ve(1,E.$uO),Ve(2,w.$3hc),Ve(3,v.$pO),Ve(4,S.$6hc),Ve(5,C.$ric),Ve(6,o.$yj),Ve(7,i.$Fhc)],N),e.$wjc=(0,k.$ei)("IExtHostTask")}),define(Se[362],De([1,0,36,29]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$MK=e.$LK=e.$KK=void 0;function $(R){return"cellResults"in R}e.$KK=$,e.$LK="rawCell#";function L(R,w){let v=-1;const S=[];let M=[];return R.forEach(b=>{b.range.startLineNumber!==v&&M.length>0&&(S.push([...M]),M=[]),M.push(b),v=b.range.endLineNumber}),M.length>0&&S.push([...M]),S.map(b=>{const E=[],k=b[0].range.startLineNumber,l=b[b.length-1].range.endLineNumber;for(let p=k;p<=l;p++)E.push(w.getLineContent(p));return new I.$oK(E.join(`
`)+`
`,b.map(p=>new F.$6s(p.range.startLineNumber-1,p.range.startColumn-1,p.range.endLineNumber-1,p.range.endColumn-1)))})}e.$MK=L}),define(Se[363],De([1,0,217,21,4,3,28,12,18,2,32,110,6,33,15,7,68,333,150,24,16,288,362,359]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9ic=void 0;class u{static{this.a=0}get activeNotebookEditor(){return this.k?.apiEditor}get visibleNotebookEditors(){return this.l.map(c=>c.apiEditor)}constructor(c,h,m,D,g,f){this.q=m,this.r=D,this.s=g,this.t=f,this.f=new Map,this.g=new R.$Ac,this.h=new Map,this.j=new $.$5d,this.onDidChangeActiveNotebookEditor=this.j.event,this.l=[],this.m=new $.$5d,this.onDidOpenNotebookDocument=this.m.event,this.n=new $.$5d,this.onDidCloseNotebookDocument=this.n.event,this.o=new $.$5d,this.onDidChangeVisibleNotebookEditors=this.o.event,this.p=new C.$Dhc("NotebookCellStatusBarCache"),this.w=0,this.x=new Map,this.b=c.getProxy(b.$ZL.MainThreadNotebook),this.c=c.getProxy(b.$ZL.MainThreadNotebookDocuments),this.d=c.getProxy(b.$ZL.MainThreadNotebookEditors),this.i=h.converter,h.registerArgumentProcessor({processArgument:y=>{if(y&&y.$mid===13){const A=y.notebookEditor?.notebookUri,N=y.cell.handle,z=this.g.get(A)?.getCell(N);if(z)return z.apiCell}if(y&&y.$mid===14){const A=y.uri,N=this.g.get(A);if(N)return N.apiNotebook}return y}}),u.B(h)}getEditorById(c){const h=this.h.get(c);if(!h)throw new Error(`unknown text editor: ${c}. known editors: ${[...this.h.keys()]} `);return h}getIdByEditor(c){for(const[h,m]of this.h)if(m.apiEditor===c)return h}get notebookDocuments(){return[...this.g.values()]}getNotebookDocument(c,h){const m=this.g.get(c);if(!m&&!h)throw new Error(`NO notebook document for '${c}'`);return m}static u(c,h){if(!h)return;const m=h.filenamePattern.map(D=>k.NotebookExclusiveDocumentPattern.from(D)).filter(D=>D!==void 0);if(h.filenamePattern&&!m){console.warn(`Notebook content provider view options file name pattern is invalid ${h.filenamePattern}`);return}return{extension:c.identifier,providerDisplayName:c.displayName||c.name,displayName:h.displayName,filenamePattern:m,exclusive:h.exclusive||!1}}registerNotebookCellStatusBarItemProvider(c,h,m){const D=u.a++,g=typeof m.onDidChangeCellStatusBarItems=="function"?u.a++:void 0;this.f.set(D,m),this.b.$registerNotebookCellStatusBarItemProvider(D,g,h);let f;return g!==void 0&&(f=m.onDidChangeCellStatusBarItems(y=>this.b.$emitCellStatusBarEvent(g))),new l.$2L(()=>{this.f.delete(D),this.b.$unregisterNotebookCellStatusBarItemProvider(D,g),f?.dispose()})}async createNotebookDocument(c){const h=await this.c.$tryCreateNotebook({viewType:c.viewType,content:c.content&&k.NotebookData.from(c.content)});return S.URI.revive(h)}async openNotebookDocument(c){const h=this.g.get(c);if(h)return h.apiNotebook;const m=await this.c.$tryOpenNotebook(c),D=this.g.get(S.URI.revive(m));return(0,v.$4f)(D?.apiNotebook)}async showNotebookDocument(c,h){S.URI.isUri(c)&&(c=await this.openNotebookDocument(c));let m;typeof h=="object"?m={position:k.ViewColumn.from(h.viewColumn),preserveFocus:h.preserveFocus,selections:h.selections&&h.selections.map(k.NotebookRange.from),pinned:typeof h.preview=="boolean"?!h.preview:void 0}:m={preserveFocus:!1};const D=await this.d.$tryShowNotebookDocument(c.uri,c.notebookType,m),g=D&&this.h.get(D)?.apiEditor;if(g)return g;throw D?new Error(`Could NOT open editor for "${c.uri.toString()}" because another editor opened in the meantime.`):new Error(`Could NOT open editor for "${c.uri.toString()}".`)}async $provideNotebookCellStatusBarItems(c,h,m,D){const g=this.f.get(c),f=S.URI.revive(h),y=this.g.get(f);if(!y||!g)return;const A=y.getCellFromIndex(m);if(!A)return;const N=await g.provideCellStatusBarItems(A.apiCell,D);if(!N)return;const U=new L.$Sc,z=this.p.add([U]),P=(Array.isArray(N)?N:[N]).map(O=>k.NotebookStatusBarItem.from(O,this.i,U));return{cacheId:z,items:P}}$releaseNotebookCellStatusBarItems(c){this.p.delete(c)}registerNotebookSerializer(c,h,m,D,g){if((0,w.$Se)(h))throw new Error("viewType cannot be empty or just whitespace");const f=this.w++;return this.x.set(f,{viewType:h,serializer:m,options:D}),this.b.$registerNotebookSerializer(f,{id:c.identifier,location:c.extensionLocation},h,k.NotebookDocumentContentOptions.from(D),u.u(c,g)),(0,L.$Rc)(()=>{this.b.$unregisterNotebookSerializer(f)})}async $dataToNotebook(c,h,m){const D=this.x.get(c);if(!D)throw new Error("NO serializer found");const g=await D.serializer.deserializeNotebook(h.buffer,m);return new p.$6v(k.NotebookData.from(g))}async $notebookToData(c,h,m){const D=this.x.get(c);if(!D)throw new Error("NO serializer found");const g=await D.serializer.serializeNotebook(k.NotebookData.to(h.value),m);return F.$se.wrap(g)}async $saveNotebook(c,h,m,D,g){const f=S.URI.revive(h),y=this.x.get(c);if(!y)throw new Error("NO serializer found");const A=this.g.get(f);if(!A)throw new Error("Document NOT found");if(A.versionId!==m)throw new Error("Document version mismatch");if(!this.s.value.isWritableFileSystem(f.scheme))throw new M.$Wk((0,I.localize)(0,null,this.z(f)),6);await this.y(f,D);const N={metadata:(0,n.$Pn)(A.apiNotebook.metadata,O=>!(y.options?.transientDocumentMetadata??{})[O]),cells:[]};for(const O of A.apiNotebook.getCells()){const j=new l.$qN(O.kind,O.document.getText(),O.document.languageId,O.mime,y.options?.transientOutputs?[]:[...O.outputs],O.metadata,O.executionSummary);j.metadata=(0,n.$Pn)(O.metadata,K=>!(y.options?.transientCellMetadata??{})[K]),N.cells.push(j)}const U=await y.serializer.serializeNotebook(N,g);await this.s.value.writeFile(f,U);const z=this.s.getFileSystemProviderExtUri(f.scheme),T=await this.s.value.stat(f);return{name:z.basename(f),isFile:(T.type&M.FileType.File)!==0,isDirectory:(T.type&M.FileType.Directory)!==0,isSymbolicLink:(T.type&M.FileType.SymbolicLink)!==0,mtime:T.mtime,ctime:T.ctime,size:T.size,readonly:!!((T.permissions??0)&M.FilePermission.Readonly)||!this.s.value.isWritableFileSystem(f.scheme),locked:!!((T.permissions??0)&M.FilePermission.Locked),etag:M.$8k({mtime:T.mtime,size:T.size}),children:void 0}}async $searchInNotebooks(c,h,m,D,g){const f=this.x.get(c)?.serializer;if(!f)return{limitHit:!1,results:[]};const y=new R.$Bc;await(async(T,P,O)=>{await Promise.all(T.map(async j=>await Promise.all(j.filenamePatterns.map(K=>{const ie={_reason:O._reason,folderQueries:O.folderQueries,includePattern:O.includePattern,excludePattern:O.excludePattern,maxResults:O.maxResults,type:1,filePattern:K};return this.t.doInternalFileSearchWithCustomCallback(ie,P,_=>{_.forEach(X=>{y.has(X)||D.some(ae=>j.isFromSettings&&!ae.isFromSettings?!1:ae.filenamePatterns.some(ee=>(0,d.$1eb)(ee,X)))||y.add(X)})}).catch(_=>{if(_.code==="ENOENT")return console.warn("Could not find notebook search results, ignoring notebook results."),{limitHit:!1,messages:[]};throw _})}))))})(m,g,h);const N=new R.$Ac;let U=!1;const z=Array.from(y).map(async T=>{const P=[];try{if(g.isCancellationRequested)return;if(h.maxResults&&[...N.values()].reduce((ie,_)=>ie+_.cellResults.length,0)>h.maxResults){U=!0;return}const O=[],j=this.g.get(T);if(j)j.apiNotebook.getCells().forEach(_=>O.push({input:_.document.getText(),outputs:_.outputs.flatMap(X=>X.items.map(Y=>Y.data.toString()))}));else{const ie=await this.s.value.readFile(T),_=F.$se.fromString(ie.toString()),X=await f.deserializeNotebook(_.buffer,g);if(g.isCancellationRequested)return;k.NotebookData.from(X).cells.forEach(ae=>O.push({input:ae.source,outputs:ae.outputs.flatMap(ee=>ee.items.map(fe=>fe.valueBytes.toString()))}))}if(g.isCancellationRequested)return;O.forEach((ie,_)=>{const X=h.contentPattern.pattern,Y=new a.$mTb(ie.input,void 0,ie.outputs),ae=Y.findInInputs(X),ee=Y.findInOutputs(X),fe=ee.flatMap(re=>(0,t.$MK)(re.matches,re.textBuffer)).map((re,J)=>(re.webviewIndex=J,re));if(ae.length>0||ee.length>0){const re={index:_,contentResults:(0,t.$MK)(ae,Y.inputTextBuffer),webviewResults:fe};P.push(re)}});const K={resource:T,cellResults:P};N.set(T,K);return}catch{return}});return await Promise.all(z),{limitHit:U,results:[...N.values()]}}async y(c,h){const m=await this.s.value.stat(c);if(typeof h?.mtime=="number"&&typeof h.etag=="string"&&h.etag!==M.$7k&&typeof m.mtime=="number"&&typeof m.size=="number"&&h.mtime<m.mtime&&h.etag!==M.$8k({mtime:h.mtime,size:m.size}))throw new M.$Wk((0,I.localize)(1,null),3,h)}z(c){return c.scheme===r.Schemas.file?c.fsPath:c.toString()}A(c,h,m){if(this.h.has(h))throw new Error(`editor with id ALREADY EXSIST: ${h}`);const D=new i.$Zic(h,this.d,c,m.visibleRanges.map(k.NotebookRange.to),m.selections.map(k.NotebookRange.to),typeof m.viewColumn=="number"?k.ViewColumn.to(m.viewColumn):void 0);this.h.set(h,D)}$acceptDocumentAndEditorsDelta(c){if(c.value.removedDocuments)for(const m of c.value.removedDocuments){const D=S.URI.revive(m),g=this.g.get(D);g&&(g.dispose(),this.g.delete(D),this.q.$acceptDocumentsAndEditorsDelta({removedDocuments:g.apiNotebook.getCells().map(f=>f.document.uri)}),this.n.fire(g.apiNotebook));for(const f of this.h.values())f.notebookData.uri.toString()===D.toString()&&this.h.delete(f.id)}if(c.value.addedDocuments){const m=[];for(const D of c.value.addedDocuments){const g=S.URI.revive(D.uri);if(this.g.has(g))throw new Error(`adding EXISTING notebook ${g} `);const f=new o.$Yic(this.c,this.q,this.r,g,D);m.push(...D.cells.map(y=>o.$Xic.asModelAddData(y))),this.g.get(g)?.dispose(),this.g.set(g,f),this.q.$acceptDocumentsAndEditorsDelta({addedDocuments:m}),this.m.fire(f.apiNotebook)}}if(c.value.addedEditors)for(const m of c.value.addedEditors){if(this.h.has(m.id))return;const D=S.URI.revive(m.documentUri),g=this.g.get(D);g&&this.A(g,m.id,m)}const h=[];if(c.value.removedEditors)for(const m of c.value.removedEditors){const D=this.h.get(m);D&&(this.h.delete(m),this.k?.id===D.id&&(this.k=void 0),h.push(D))}if(c.value.visibleEditors){this.l=c.value.visibleEditors.map(D=>this.h.get(D)).filter(D=>!!D);const m=new Set;this.l.forEach(D=>m.add(D.id));for(const D of this.h.values()){const g=m.has(D.id);D._acceptVisibility(g)}this.l=[...this.h.values()].map(D=>D).filter(D=>D.visible),this.o.fire(this.visibleNotebookEditors)}c.value.newActiveEditor===null?this.k=void 0:c.value.newActiveEditor&&(this.h.get(c.value.newActiveEditor)||console.error(`FAILED to find active notebook editor ${c.value.newActiveEditor}`),this.k=this.h.get(c.value.newActiveEditor)),c.value.newActiveEditor!==void 0&&this.j.fire(this.k?.apiEditor)}static B(c){const h=E.$CO.String.with("notebookType","A notebook type"),m=new E.$EO("vscode.executeDataToNotebook","_executeDataToNotebook","Invoke notebook serializer",[h,new E.$CO("data","Bytes to convert to data",g=>g instanceof Uint8Array,g=>F.$se.wrap(g))],new E.$DO("Notebook Data",g=>k.NotebookData.to(g.value))),D=new E.$EO("vscode.executeNotebookToData","_executeNotebookToData","Invoke notebook serializer",[h,new E.$CO("NotebookData","Notebook data to convert to bytes",g=>!0,g=>new p.$6v(k.NotebookData.from(g)))],new E.$DO("Bytes",g=>g.buffer));c.registerApiCommand(m),c.registerApiCommand(D)}}e.$9ic=u}),define(Se[364],De([1,0,17,22,40,35,23,38,36]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1ic=void 0;class S{constructor(b,E,k){this.k=b,this.l=E,this.o=k,this.e=!1,this.f=0,this.g=!1,this.a=b.filePattern,this.b=b.includePattern&&L.$Xj(b.includePattern),this.c=b.maxResults||void 0,this.d=b.exists,this.h=new Set,this.j=b.excludePattern&&L.$Xj(b.excludePattern)}cancel(){this.g=!0,this.h.forEach(b=>b.cancel()),this.h=new Set}search(b){const E=this.k.folderQueries||[];return new Promise((k,l)=>{const p=o=>{this.f++,b(o)};if(this.g)return k({limitHit:this.e});this.k.extraFileResources&&this.k.extraFileResources.forEach(o=>{const i=o.toString(),n=I.$nc(i);this.j&&this.j(i,n)||this.v(p,{base:o,basename:n})}),Promise.all(E.map(o=>this.p(o,p))).then(o=>{k({limitHit:this.e,stats:o[0]||void 0})},o=>{l(new Error((0,$.$2i)(o)))})})}async p(b,E){const k=new F.$ce,l=this.q(b),p=this.r(),o=new v.$CK(this.k,b),i=!o.hasSiblingExcludeClauses();let n;try{this.h.add(k),n=w.$1d.create();const r=await this.l.provideFileSearchResults({pattern:this.k.filePattern||""},l,k.token),a=n.elapsed(),t=w.$1d.create();return this.g&&!this.e||(r&&r.forEach(d=>{const u=I.$gc.relative(b.folder.path,d.path);if(i){const s=I.$nc(d.path);this.v(E,{base:b.folder,relativePath:u,basename:s});return}this.s(p,b.folder,u,E)}),this.g&&!this.e)?null:(this.u(p,o,E),{providerTime:a,postProcessTime:t.elapsed()})}finally{k.dispose(),this.h.delete(k)}}q(b){const E=(0,v.$BK)(this.k.includePattern,b.includePattern),k=(0,v.$BK)(this.k.excludePattern,b.excludePattern);return{folder:b.folder,excludes:k,includes:E,useIgnoreFiles:!b.disregardIgnoreFiles,useGlobalIgnoreFiles:!b.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!b.disregardParentIgnoreFiles,followSymlinks:!b.ignoreSymlinks,maxResults:this.k.maxResults,session:this.o}}r(){const b={rootEntries:[],pathToEntries:Object.create(null)};return b.pathToEntries["."]=b.rootEntries,b}s({pathToEntries:b},E,k,l){if(k===this.a){const o=I.$nc(this.a);this.v(l,{base:E,relativePath:this.a,basename:o})}function p(o){const i=I.$nc(o),n=I.$mc(o);let r=b[n];r||(r=b[n]=[],p(n)),r.push({base:E,relativePath:o,basename:i})}p(k)}u({rootEntries:b,pathToEntries:E},k,l){const p=this,o=this.a;function i(n){const r=(0,v.$EK)(()=>n.map(a=>a.basename));for(let a=0,t=n.length;a<t;a++){const d=n[a],{relativePath:u,basename:s}=d;if(k.matchesExcludesSync(u,s,o!==s?r:void 0))continue;const c=E[u];if(c)i(c);else{if(u===o)continue;p.v(l,d)}if(p.e)break}}i(b)}v(b,E){(!this.b||E.relativePath&&this.b(E.relativePath,E.basename))&&((this.d||this.c&&this.f>=this.c)&&(this.e=!0,this.cancel()),this.e||b(E))}}class M{constructor(){this.b=new Map}static{this.a=512}fileSearch(b,E,k,l){const p=this.c(b.cacheKey),o=new S(b,E,p&&p.token);let i=0;const n=r=>{i+=r.length,k(r.map(a=>this.d(a)))};return this.e(o,M.a,n,l).then(r=>({limitHit:r.limitHit,stats:{fromCache:!1,type:"fileSearchProvider",resultCount:i,detailStats:r.stats}}))}clearCache(b){this.c(b)?.cancel()}c(b){if(b)return this.b.has(b)||this.b.set(b,new F.$ce),this.b.get(b)}d(b){return b.relativePath?{resource:R.$Rg(b.base,b.relativePath)}:{resource:b.base}}e(b,E,k,l){const p=l.onCancellationRequested(()=>{b.cancel()}),o=n=>{n&&(i.push(n),E>0&&i.length>=E&&(k(i),i=[]))};let i=[];return b.search(o).then(n=>(i.length&&k(i),p.dispose(),n),n=>(i.length&&k(i),p.dispose(),Promise.reject(n)))}}e.$1ic=M}),define(Se[365],De([1,0,19,73,35,102,28,16,17,23,12,18,2,99,237,52,13,41,143,360,36]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$EL=e.$DL=void 0;let a=class{constructor(f,y,A,N,U){this.a=f,this.b=y,this.c=A,this.d=N,this.e=U}text(f,y,A={}){f=this.f(f,A);const N=this.a.getValue(),U=y&&y.some(T=>!this.a.getValue({resource:T}).search.useRipgrep);return{...this.h(y?.map(o.$zi),A),type:2,contentPattern:f,previewOptions:A.previewOptions,maxFileSize:A.maxFileSize,usePCRE2:N.search.usePCRE2||U||!1,beforeContext:A.beforeContext,afterContext:A.afterContext,userDisabledExcludesAndIgnoreFiles:A.disregardExcludeSettings&&A.disregardIgnoreFiles}}f(f,y){const A=this.a.getValue();f.isRegExp&&(f.pattern=f.pattern.replace(/\r?\n/g,"\\n"));const N={...f,wordSeparators:A.editor.wordSeparators};return this.j(f,y)&&(N.isCaseSensitive=!0),this.k(f)&&(N.isMultiline=!0),y.notebookSearchConfig?.includeMarkupInput&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookMarkdownInput=y.notebookSearchConfig.includeMarkupInput),y.notebookSearchConfig?.includeMarkupPreview&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookMarkdownPreview=y.notebookSearchConfig.includeMarkupPreview),y.notebookSearchConfig?.includeCodeInput&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookCellInput=y.notebookSearchConfig.includeCodeInput),y.notebookSearchConfig?.includeOutput&&(N.notebookInfo||(N.notebookInfo={}),N.notebookInfo.isInNotebookCellOutput=y.notebookSearchConfig.includeOutput),N}file(f,y={}){return{...this.h(f,y),type:1,filePattern:y.filePattern?y.filePattern.trim():y.filePattern,exists:y.exists,sortByScore:y.sortByScore,cacheKey:y.cacheKey,shouldGlobMatchFilePattern:y.shouldGlobSearch}}g(f,y){return f?(f=Array.isArray(f)?f.map(c):c(f),y?this.parseSearchPaths(f):{pattern:d(...Array.isArray(f)?f:[f])}):{}}h(f=[],y={}){const A=this.g(y.includePattern,y.expandPatterns),N=this.g(y.excludePattern,y.expandPatterns),U=f.length>1,z=(A.searchPaths&&A.searchPaths.length?A.searchPaths.map(O=>this.q(O,y,N)):f.map(O=>this.r(O,y,N,U))).filter(O=>!!O),T={_reason:y._reason,folderQueries:z,usingSearchPaths:!!(A.searchPaths&&A.searchPaths.length),extraFileResources:y.extraFileResources,excludePattern:N.pattern,includePattern:A.pattern,onlyOpenEditors:y.onlyOpenEditors,maxResults:y.maxResults};if(y.onlyOpenEditors){const O=I.$Hb(I.$Rb(this.c.groups.map(ie=>ie.editors.map(_=>_.resource))));this.d.trace("QueryBuilder#commonQuery - openEditor URIs",JSON.stringify(O));const j=O.filter(ie=>(0,r.$sK)(T,ie.fsPath)),K=this.i(j);return this.d.trace("QueryBuilder#commonQuery - openEditor Query",JSON.stringify(K)),{...T,...K}}const P=y.extraFileResources&&y.extraFileResources.filter(O=>(0,r.$sK)(T,O.fsPath));return T.extraFileResources=P&&P.length?P:void 0,T}i(f){const y=[],A=new R.$Ac,N={};let U=!1;return f.forEach(z=>{if(z.scheme===w.Schemas.walkThrough)return;if((0,S.$Vg)(z)){const P=this.b.getWorkspaceFolder(z)?.uri??z.with({path:v.$mc(z.fsPath)});let O=A.get(P);O||(U=!0,O={folder:P,includePattern:{}},y.push(O),A.set(P,O));const j=v.$lc(P.fsPath,z.fsPath);(0,C.$4f)(O.includePattern)[j.replace(/\\/g,"/")]=!0}else z.fsPath&&(U=!0,N[z.fsPath]=!0)}),{folderQueries:y,includePattern:N,usingSearchPaths:!0,excludePattern:U?void 0:{"**/*":!0}}}j(f,y){if(y.isSmartCase){if(f.isRegExp){if(M.$Jf(f.pattern,!0))return!0}else if(M.$Jf(f.pattern))return!0}return!!f.isCaseSensitive}k(f){return f.isMultiline||f.isRegExp&&(0,E.$dC)(f.pattern)||f.pattern.indexOf(`
`)>=0?!0:!!f.isMultiline}parseSearchPaths(f){const y=K=>v.$ic(K)||/^\.\.?([\/\\]|$)/.test(K),N=(Array.isArray(f)?f:u(f)).map(K=>{const ie=this.e.resolvedUserHome;return ie?(0,L.$$v)(K,ie.scheme===w.Schemas.file?ie.fsPath:ie.path):K}),U=F.$K(N,K=>y(K)?"searchPaths":"exprSegments"),z=(U.exprSegments||[]).map(K=>M.$4e(K,"/")).map(K=>M.$4e(K,"\\")).map(K=>(K[0]==="."&&(K="*"+K),s(K))),T={},P=this.m(U.searchPaths||[]);P&&P.length&&(T.searchPaths=P);const O=I.$Rb(z),j=d(...O);return j&&(T.pattern=j),T}l(f,y){return y.disregardExcludeSettings?void 0:(0,r.$rK)(f,!y.disregardSearchExcludeSettings)}m(f){if(!f||!f.length)return[];const y=f.flatMap(N=>{let{pathPortion:U,globPortion:z}=t(N);return z&&(z=h(z)),this.n(U).flatMap(P=>this.o(P,z))}),A=new Map;return y.forEach(N=>{const U=N.searchPath.toString(),z=A.get(U);z?N.pattern&&(z.pattern=z.pattern||{},z.pattern[N.pattern]=!0):A.set(U,{searchPath:N.searchPath,pattern:N.pattern?d(N.pattern):void 0})}),Array.from(A.values())}n(f){if(v.$ic(f)){const y=this.b.getWorkspace().folders;return y[0]&&y[0].uri.scheme!==w.Schemas.file?[{searchPath:y[0].uri.with({path:f})}]:[{searchPath:b.URI.file(v.$hc(f))}]}if(this.b.getWorkbenchState()===2){const y=this.b.getWorkspace().folders[0].uri;if(f=c(f),f.startsWith("../")||f===".."){const N=v.$gc.resolve(y.path,f);return[{searchPath:y.with({path:N})}]}const A=h(f);return[{searchPath:y,pattern:A}]}else{if(f==="./"||f===".\\")return[];{const y=f.replace(/^\.[\/\\]/,""),N=this.b.getWorkspace().folders.map(U=>{const z=y.match(new RegExp(`^${M.$Xe(U.name)}(?:/(.*)|$)`));return z?{match:z,folder:U}:null}).filter(C.$1f);if(N.length)return N.map(U=>{const z=U.match[1];return{searchPath:U.folder.uri,pattern:z&&h(z)}});{const U=f.match(/\.[\/\\](.+)[\/\\]?/),z=U?U[1]:f,T=k.localize(0,null,z);throw new Error(T)}}}}o(f,y){const A=f.pattern&&y?`${f.pattern}/${y}`:f.pattern||y,N=[{searchPath:f.searchPath,pattern:A}];return A&&!A.endsWith("**")&&N.push({searchPath:f.searchPath,pattern:A+"/**"}),N}q(f,y,A){const N=this.r((0,o.$zi)(f.searchPath),y,A,!1);return N?{...N,includePattern:f.pattern}:null}r(f,y,A,N){let U;const z=b.URI.isUri(f)?f:f.uri;if(A.searchPaths){const K=A.searchPaths.filter(ie=>(0,S.$Kg)(ie.searchPath,z))[0];if(K&&!K.pattern)return null;K&&(U=K.pattern)}const T=this.a.getValue({resource:z}),O={...this.l(T,y)||{},...U||{}},j=b.URI.isUri(f)?(0,S.$Og)(f):f.name;return{folder:z,folderName:N?j:void 0,excludePattern:Object.keys(O).length>0?O:void 0,fileEncoding:T.files&&T.files.encoding,disregardIgnoreFiles:typeof y.disregardIgnoreFiles=="boolean"?y.disregardIgnoreFiles:!T.search.useIgnoreFiles,disregardGlobalIgnoreFiles:typeof y.disregardGlobalIgnoreFiles=="boolean"?y.disregardGlobalIgnoreFiles:!T.search.useGlobalIgnoreFiles,disregardParentIgnoreFiles:typeof y.disregardParentIgnoreFiles=="boolean"?y.disregardParentIgnoreFiles:!T.search.useParentIgnoreFiles,ignoreSymlinks:typeof y.ignoreSymlinks=="boolean"?y.ignoreSymlinks:!T.search.followSymlinks}}};e.$DL=a,e.$DL=a=Je([Ve(0,l.$Ki),Ve(1,o.$ni),Ve(2,i.$kD),Ve(3,p.$yj),Ve(4,n.$BL)],a);function t(g){const f=g.match(/[\*\{\}\(\)\[\]\?]/);if(f){const y=f.index,A=g.substr(0,y).match(/[/|\\][^/\\]*$/);if(A){let N=g.substr(0,A.index);return N.match(/[/\\]/)||(N+="/"),{pathPortion:N,globPortion:g.substr((A.index||0)+1)}}}return{pathPortion:g}}function d(...g){return g.length?g.reduce((f,y)=>(f[y]=!0,f),Object.create(null)):void 0}function u(g){return $.$Vj(g,",").map(f=>f.trim()).filter(f=>!!f.length)}function s(g){return[`**/${g}/**`,`**/${g}`].map(y=>y.replace(/\*\*\/\*\*/g,"**"))}function c(g){return g.replace(/\\/g,"/")}function h(g){return c(g).replace(/^\.\//,"").replace(/\/+$/g,"")}function m(g){return g.replace(/([?*[\]])/g,"[$1]")}function D(g,f){g=I.$Mb(g,N=>N.toString());const y=[],A=f.getWorkspace();return g&&g.forEach(N=>{let U;if(f.getWorkbenchState()===2)U=(0,S.$Tg)(A.folders[0].uri,N),U&&U!=="."&&(U="./"+U);else{const z=f.getWorkspaceFolder(N);if(z){const T=z.name;if(A.folders.filter(O=>O.name===T).length===1){const O=(0,S.$Tg)(z.uri,N);O===""?U=`./${z.name}`:U=`./${z.name}/${O}`}else U=N.fsPath}}U&&y.push(m(U))}),y}e.$EL=D}),define(Se[366],De([1,0,23,2,22,14,5,365,36,41,8]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nub=e.$mub=void 0;const C=7e3;function b(p,o){const i=o.activationEvents;if(!i)return Promise.resolve(void 0);const n=[],r=[];for(const c of i)if(/^workspaceContains:/.test(c)){const h=c.substr(18);h.indexOf("*")>=0||h.indexOf("?")>=0||p.forceUsingSearch?r.push(h):n.push(h)}if(n.length===0&&r.length===0)return Promise.resolve(void 0);const{promise:a,resolve:t}=(0,M.$0g)(),d=c=>t({activationEvent:c}),u=Promise.all(n.map(c=>E(p,c,d))).then(()=>{}),s=k(p,o.identifier,r,d);return Promise.all([u,s]).then(()=>{t(void 0)}),a}e.$mub=b;async function E(p,o,i){for(const n of p.folders)if(await p.exists(I.$Rg(F.URI.revive(n),o))){i(`workspaceContains:${o}`);return}}async function k(p,o,i,n){if(i.length===0)return Promise.resolve(void 0);const r=new $.$ce,a=p.checkExists(p.folders,i,r.token),t=setTimeout(async()=>{r.cancel(),p.logService.info(`Not activating extension '${o.value}': Timed out while searching for 'workspaceContains' pattern ${i.join(",")}`)},C);let d=!1;try{d=await a}catch(u){L.$4(u)||L.$1(u)}r.dispose(),clearTimeout(t),d&&n(`workspaceContains:${i.join(",")}`)}function l(p,o,i,n){const r=p.get(R.$di),a=p.get(v.$jK),d=r.createInstance(w.$DL).file(o.map(u=>(0,S.$zi)(F.URI.revive(u))),{_reason:"checkExists",includePattern:i,exists:!0});return a.fileSearch(d,n).then(u=>!!u.limitHit,u=>L.$4(u)?!1:Promise.reject(u))}e.$nub=l}),define(Se[47],De([1,0,214,17,58,23,8,3,77,2,13,6,43,294,117,42,26,145,14,25,21,273,7,64,5,27,93,20,106,70,46,4,366,116,275,16,114,38,11,115]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d,u,s,c,h,m,D,g,f,y,A,N,U,z,T,P,O){"use strict";var j;Object.defineProperty(e,"__esModule",{value:!0}),e.$Gic=e.$Fic=e.$Eic=e.$Dic=e.$Cic=void 0,e.$Cic=(0,u.$ei)("IHostUtils");let K=j=class extends w.$Tc{constructor(J,B,se,Ee,le,he,ce,de,H,x,ue,be){super(),this.X=be,this.a=this.B(new f.$5d),this.onDidChangeRemoteConnectionData=this.a.event,this.U=!1,this.c=B,this.g=se,this.f=ce,this.j=Ee,this.m=le,this.s=he,this.t=H,this.u=x,this.w=ue,this.y=this.g.getProxy(C.$ZL.MainThreadWorkspace),this.z=this.g.getProxy(C.$ZL.MainThreadTelemetry),this.C=this.g.getProxy(C.$ZL.MainThreadExtensionService),this.D=new R.$dh,this.F=new R.$dh,this.G=new R.$dh,this.H=new R.$dh,this.I=new fe(this.f.extensions.activationEvents),this.L=new o.$D9b(this.I,this.f.extensions.allExtensions);const Pe=new n.$xm(this.f.extensions.myExtensions);this.J=new o.$D9b(this.I,ae(this.L,Pe)),P.$t&&(this.s.info(`Creating extension host with the following global extensions: ${X(this.L)}`),this.s.info(`Creating extension host with the following local extensions: ${X(this.J)}`)),this.M=new k.$nic(this.g,this.s),this.N=new A.$vic(this.g),this.O=de,this.h=J.createChild(new m.$ci([k.$oic,this.M],[A.$wic,this.N])),this.P=this.B(new E.$mic(this.J,this.L,{onExtensionActivationError:(we,Ae,Oe)=>{this.C.$onExtensionActivationError(we,i.$3(Ae),Oe)},actualActivateExtension:async(we,Ae)=>{if(o.$D9b.isHostExtension(we,this.J,this.L))return await this.C.$activateExtension(we,Ae),new E.$lic;const Oe=this.J.getExtensionDescription(we);return this.db(Oe,Ae)}},this.s)),this.Q=null,this.R=Object.create(null),this.S=!1,this.W=this.f.remote.connectionData}getRemoteConnectionData(){return this.W}async initialize(){try{await this.tb(),this.D.open(),await this.j.waitForInitializeCall(),$.mark("code/extHost/ready"),this.F.open(),this.f.autoStart&&this.rb()}catch(J){i.$1(J)}}async Y(){this.O.onWillDeactivateAll();let J=[];try{J=this.J.getAllExtensionDescriptions().map(le=>le.identifier).filter(le=>this.isActivated(le)).map(le=>this.cb(le))}catch{}await Promise.all(J)}terminate(J,B=0){if(this.U)return;this.U=!0,this.s.info(`Extension host terminating: ${J}`),this.s.flush(),this.u.dispose(),this.P.dispose(),i.setUnexpectedErrorHandler(Ee=>{this.s.error(Ee)}),this.g.dispose();const se=this.Y();Promise.race([(0,R.$fh)(5e3),se]).finally(()=>{this.c.pid?this.s.info(`Extension host with pid ${this.c.pid} exiting with code ${B}`):this.s.info(`Extension host exiting with code ${B}`),this.s.flush(),this.s.dispose(),this.c.exit(B)})}isActivated(J){return this.G.isOpen()?this.P.isActivated(J):!1}async getExtension(J){const B=await this.C.$getExtension(J);return B&&{...B,identifier:new n.$wm(B.identifier.value),extensionLocation:S.URI.revive(B.extensionLocation)}}Z(J,B){return this.P.activateByEvent(J,B)}$(J,B){return this.P.activateById(J,B)}activateByIdWithErrors(J,B){return this.$(J,B).then(()=>{const se=this.P.getActivatedExtension(J);if(se.activationFailed)return Promise.reject(se.activationFailedError)})}getExtensionRegistry(){return this.G.wait().then(J=>this.J)}getExtensionExports(J){if(this.G.isOpen())return this.P.getActivatedExtension(J).exports;try{return this.P.getActivatedExtension(J).exports}catch{return null}}async ab(J){if(J.scheme===U.Schemas.file&&this.c.fsRealpath){const B=await this.c.fsRealpath(J.fsPath);return S.URI.file(B)}return J}async getExtensionPathIndex(){return this.Q||(this.Q=this.bb(this.J.getAllExtensionDescriptions()).then(J=>new ee(J))),this.Q}async bb(J){const B=v.$ki.forUris(se=>L.$Ig.ignorePathCasing(se));return await Promise.all(J.map(async se=>{if(this.ub(se)){const Ee=await this.ab(se.extensionLocation);B.set(Ee,se)}})),B}cb(J){let B=Promise.resolve(void 0);if(!this.G.isOpen()||!this.P.isActivated(J))return B;const se=this.P.getActivatedExtension(J);if(!se)return B;try{typeof se.module.deactivate=="function"&&(B=Promise.resolve(se.module.deactivate()).then(void 0,Ee=>(this.s.error(Ee),Promise.resolve(void 0))))}catch(Ee){this.s.error(`An error occurred when deactivating the extension '${J.value}':`),this.s.error(Ee)}try{(0,w.$Oc)(se.subscriptions)}catch(Ee){this.s.error(`An error occurred when deactivating the subscriptions for extension '${J.value}':`),this.s.error(Ee)}return B}async db(J,B){return this.f.remote.isRemote?this.C.$onWillActivateExtension(J.identifier):await this.C.$onWillActivateExtension(J.identifier),this.fb(J,B).then(se=>{const Ee=se.activationTimes;return this.C.$onDidActivateExtension(J.identifier,Ee.codeLoadingTime,Ee.activateCallTime,Ee.activateResolvedTime,B),this.eb(J,B,"success",Ee),se},se=>{throw this.eb(J,B,"failure"),se})}eb(J,B,se,Ee){const le=_(J,B);this.z.$publicLog2("extensionActivationTimes",{...le,...Ee||{},outcome:se})}fb(J,B){const se=_(J,B);this.z.$publicLog2("activatePlugin",se);const Ee=this.ub(J);if(!Ee)return Promise.resolve(new E.$kic(E.$hic.NONE));this.s.info(`ExtensionService#_doActivateExtension ${J.identifier.value}, startup: ${B.startup}, activationEvent: '${B.activationEvent}'${J.identifier.value!==B.extensionId.value?`, root cause: ${B.extensionId.value}`:""}`),this.s.flush();const le=new E.$iic(B.startup);return Promise.all([this.vb(J,(0,L.$Rg)(J.extensionLocation,Ee),le),this.gb(J)]).then(he=>($.mark(`code/extHost/willActivateExtension/${J.identifier.value}`),j.hb(this.s,J.identifier,he[0],he[1],le))).then(he=>($.mark(`code/extHost/didActivateExtension/${J.identifier.value}`),he))}gb(J){const B=new a.$qic(J,this.M),se=new a.$pic(J.identifier.value,!1,this.M),Ee=new N.$xic(J,this.N),le=J.isUnderDevelopment?this.f.environment.extensionTestsLocationURI?t.ExtensionMode.Test:t.ExtensionMode.Development:t.ExtensionMode.Production,he=this.f.remote.isRemote?t.ExtensionKind.Workspace:t.ExtensionKind.UI;return this.s.trace(`ExtensionService#loadExtensionContext ${J.identifier.value}`),Promise.all([B.whenReady,se.whenReady,this.O.whenReady]).then(()=>{const ce=this;let de,H;const x=(0,p.$UF)(J,"ipc")?this.f.messagePorts?.get(n.$wm.toKey(J.identifier)):void 0;return Object.freeze({globalState:B,workspaceState:se,secrets:Ee,subscriptions:[],get extensionUri(){return J.extensionLocation},get extensionPath(){return J.extensionLocation.fsPath},asAbsolutePath(ue){return F.$jc(J.extensionLocation.fsPath,ue)},get storagePath(){return ce.O.workspaceValue(J)?.fsPath},get globalStoragePath(){return ce.O.globalValue(J).fsPath},get logPath(){return F.$jc(ce.f.logsLocation.fsPath,J.identifier.value)},get logUri(){return S.URI.joinPath(ce.f.logsLocation,J.identifier.value)},get storageUri(){return ce.O.workspaceValue(J)},get globalStorageUri(){return ce.O.globalValue(J)},get extensionMode(){return le},get extension(){return de===void 0&&(de=new Y(ce,J.identifier,J,he,!1)),de},get extensionRuntime(){return(0,p.$VF)(J,"extensionRuntime"),ce.extensionRuntime},get environmentVariableCollection(){return ce.u.getEnvironmentVariableCollection(J)},get messagePassingProtocol(){if(!H){if(!x)return;const ue=f.Event.buffer(f.Event.fromDOMEventEmitter(x,"message",be=>be.data));x.start(),H={onDidReceiveMessage:ue,postMessage:x.postMessage.bind(x)}}return H}})})}static hb(J,B,se,Ee,le){return se=se||{activate:void 0,deactivate:void 0},this.ib(J,B,se,Ee,le).then(he=>new E.$jic(!1,null,le.build(),se,he,Ee.subscriptions))}static ib(J,B,se,Ee,le){if(typeof se.activate=="function")try{le.activateCallStart(),J.trace(`ExtensionService#_callActivateOptional ${B.value}`);const he=typeof global=="object"?global:self,ce=se.activate.apply(he,[Ee]);return le.activateCallStop(),le.activateResolveStart(),Promise.resolve(ce).then(de=>(le.activateResolveStop(),de))}catch(he){return Promise.reject(he)}else return Promise.resolve(se)}jb(J,B){this.$(J.identifier,{startup:!1,extensionId:J.identifier,activationEvent:B}).then(void 0,se=>{this.s.error(se)})}kb(J,B=0){const Ee=Date.now();(0,P.$B)(()=>{for(let le=B;le<J.length;le+=1){const he=J[le];for(const ce of he.activationEvents??[])if(ce==="onStartupFinished")if(Date.now()-Ee>50){this.kb(J,le);break}else this.jb(he,ce)}})}lb(){this.C.$setPerformanceMarks($.getMarks()),this.m.getConfigProvider().then(J=>{const B=J.getConfiguration("extensions.experimental").get("deferredStartupFinishedActivation"),se=this.J.getAllExtensionDescriptions();if(B)this.kb(se);else for(const Ee of se)if(Ee.activationEvents)for(const le of Ee.activationEvents)le==="onStartupFinished"&&this.jb(Ee,le)})}mb(){const J=this.Z("*",!0).then(void 0,he=>{this.s.error(he)});this.B(this.j.onDidChangeWorkspace(he=>this.nb(he.added)));const B=this.j.workspace?this.j.workspace.folders:[],se=this.nb(B),Ee=this.pb(),le=Promise.all([Ee,J,se]).then(()=>{});return Promise.race([le,(0,R.$fh)(1e4)]).then(()=>{this.lb()}),le}nb(J){return J.length===0?Promise.resolve(void 0):Promise.all(this.J.getAllExtensionDescriptions().map(B=>this.ob(J,B))).then(()=>{})}async ob(J,B){if(this.isActivated(B.identifier))return;const se=!this.f.remote.isRemote&&!!this.f.remote.authority,Ee={logService:this.s,folders:J.map(he=>he.uri),forceUsingSearch:se||!this.c.fsExists,exists:he=>this.c.fsExists(he.fsPath),checkExists:(he,ce,de)=>this.y.$checkExists(he,ce,de)},le=await(0,y.$mub)(Ee,B);if(le)return this.$(B.identifier,{startup:!0,extensionId:B.identifier,activationEvent:le.activationEvent}).then(void 0,he=>this.s.error(he))}async pb(){if(this.f.remote.authority)return this.Z(`onResolveRemoteAuthority:${this.f.remote.authority}`,!1)}async $extensionTestsExecute(){await this.H.wait();try{return await this.qb()}catch(J){throw console.error(J),J}}async qb(){const{extensionDevelopmentLocationURI:J,extensionTestsLocationURI:B}=this.f.environment;if(!J||!B)throw new Error(I.localize(0,null));const se=await this.vb(null,B,new E.$iic(!1));if(!se||typeof se.run!="function")throw new Error(I.localize(1,null,B.toString()));return new Promise((Ee,le)=>{const he=(H,x)=>{H?(P.$t&&this.s.error("Test runner called back with error",H),le(H)):(P.$t&&(x?this.s.info(`Test runner called back with ${x} failures.`):this.s.info("Test runner called back with successful outcome.")),Ee(typeof x=="number"&&x>0?1:0))},ce=(0,L.$Fg)(B),de=se.run(ce,he);de&&de.then&&de.then(()=>{P.$t&&this.s.info("Test runner finished successfully."),Ee(0)}).catch(H=>{P.$t&&this.s.error("Test runner finished with error",H),le(H instanceof Error&&H.stack?H.stack:String(H))})})}rb(){if(this.S)throw new Error("Extension host is already started!");return this.S=!0,this.F.wait().then(()=>this.G.open()).then(()=>Promise.race([this.P.waitForActivatingExtensions(),(0,R.$fh)(1e3)])).then(()=>this.mb()).then(()=>{this.H.open(),this.s.info("Eager extensions activated")})}registerRemoteAuthorityResolver(J,B){return this.R[J]=B,(0,w.$Rc)(()=>{delete this.R[J]})}async getRemoteExecServer(J){const{resolver:B}=await this.sb(J);return B?.resolveExecServer?.(J,{resolveAttempt:0})}async sb(J){const B=J.indexOf("+");if(B===-1)throw new t.$8L("Not an authority that can be resolved!",d.RemoteAuthorityResolverErrorCode.InvalidAuthority);const se=J.substr(0,B);return await this.D.wait(),await this.Z(`onResolveRemoteAuthority:${se}`,!1),{authorityPrefix:se,resolver:this.R[se]}}async $resolveAuthority(J,B){const se=T.$1d.create(!1),Ee=()=>`[resolveAuthority(${(0,d.$kl)(J)},${B})][${se.elapsed()}ms] `,le=W=>this.s.info(`${Ee()}${W}`),he=W=>this.s.warn(`${Ee()}${W}`),ce=(W,V=void 0)=>this.s.error(`${Ee()}${W}`,V),de=W=>{if(W instanceof t.$8L)return{type:"error",error:{code:W._code,message:W._message,detail:W._detail}};throw W},H=async W=>{le(`activating resolver for ${W}...`);const{resolver:V,authorityPrefix:Z}=await this.sb(W);if(!V)throw ce(`no resolver for ${Z}`),new t.$8L(`No remote extension installed to resolve ${Z}.`,d.RemoteAuthorityResolverErrorCode.NoResolverFound);return{resolver:V,authorityPrefix:Z,remoteAuthority:W}},x=J.split(/@|%40/g).reverse();le(`activating remote resolvers ${x.join(" -> ")}`);let ue;try{ue=await Promise.all(x.map(H)).catch(async W=>{if(!(W instanceof t.$8L)||W._code!==d.RemoteAuthorityResolverErrorCode.InvalidAuthority)throw W;return he(`resolving nested authorities failed: ${W.message}`),[await H(J)]})}catch(W){return de(W)}const be=new R.$ph;be.cancelAndSet(()=>le("waiting..."),1e3);let Pe,we;for(const[W,{authorityPrefix:V,resolver:Z,remoteAuthority:Q}]of ue.entries())try{if(W===ue.length-1)le("invoking final resolve()..."),$.mark(`code/extHost/willResolveAuthority/${V}`),Pe=await Z.resolve(Q,{resolveAttempt:B,execServer:we}),$.mark(`code/extHost/didResolveAuthorityOK/${V}`),le("setting tunnel factory..."),this.B(await this.t.setTunnelFactory(Z,t.$7L.isManagedResolvedAuthority(Pe)?Pe:void 0));else{if(le(`invoking resolveExecServer() for ${Q}`),$.mark(`code/extHost/willResolveExecServer/${V}`),we=await Z.resolveExecServer?.(Q,{resolveAttempt:B,execServer:we}),!we)throw new t.$8L(`Exec server was not available for ${Q}`,d.RemoteAuthorityResolverErrorCode.NoResolverFound);$.mark(`code/extHost/didResolveExecServerOK/${V}`)}}catch($e){return $.mark(`code/extHost/didResolveAuthorityError/${V}`),ce("returned an error",$e),be.dispose(),de($e)}be.dispose();const Ae={environmentTunnels:Pe.environmentTunnels,features:Pe.tunnelFeatures?{elevation:Pe.tunnelFeatures.elevation,privacyOptions:Pe.tunnelFeatures.privacyOptions,protocol:Pe.tunnelFeatures.protocol===void 0?!0:Pe.tunnelFeatures.protocol}:void 0},Oe={extensionHostEnv:Pe.extensionHostEnv,isTrusted:Pe.isTrusted,authenticationSession:Pe.authenticationSessionForInitializingExtensions?{id:Pe.authenticationSessionForInitializingExtensions.id,providerId:Pe.authenticationSessionForInitializingExtensions.providerId}:void 0};le(`returned ${t.$7L.isManagedResolvedAuthority(Pe)?"managed authority":`${Pe.host}:${Pe.port}`}`);let ze;if(t.$7L.isManagedResolvedAuthority(Pe)){const W=B;this.X.setFactory(W,Pe.makeConnection),ze={authority:J,connectTo:new d.$hl(W),connectionToken:Pe.connectionToken}}else ze={authority:J,connectTo:new d.$il(Pe.host,Pe.port),connectionToken:Pe.connectionToken};return{type:"ok",value:{authority:ze,options:Oe,tunnelInformation:Ae}}}async $getCanonicalURI(J,B){this.s.info(`$getCanonicalURI invoked for authority (${(0,d.$kl)(J)})`);const{resolver:se}=await this.sb(J);if(!se)return null;const Ee=S.URI.revive(B);if(typeof se.getCanonicalURI>"u")return Ee;const le=await(0,R.$9g)(()=>se.getCanonicalURI(Ee));return le||Ee}$startExtensionHost(J){J.toAdd.forEach(Ee=>Ee.extensionLocation=S.URI.revive(Ee.extensionLocation));const{globalRegistry:B,myExtensions:se}=ie(this.I,this.L,this.J,J);return this.L.set(B.getAllExtensionDescriptions()),this.J.set(se),P.$t&&(this.s.info(`$startExtensionHost: global extensions: ${X(this.L)}`),this.s.info(`$startExtensionHost: local extensions: ${X(this.J)}`)),this.rb()}$activateByEvent(J,B){return B===1?this.D.wait().then(se=>this.Z(J,!1)):this.G.wait().then(se=>this.Z(J,!1))}async $activate(J,B){return await this.G.wait(),this.J.getExtensionDescription(J)?(await this.$(J,B),!0):!1}async $deltaExtensions(J){J.toAdd.forEach(he=>he.extensionLocation=S.URI.revive(he.extensionLocation));const{globalRegistry:B,myExtensions:se}=ie(this.I,this.L,this.J,J),Ee=await this.bb(se);return(await this.getExtensionPathIndex()).setSearchTree(Ee),this.L.set(B.getAllExtensionDescriptions()),this.J.set(se),P.$t&&(this.s.info(`$deltaExtensions: global extensions: ${X(this.L)}`),this.s.info(`$deltaExtensions: local extensions: ${X(this.J)}`)),Promise.resolve(void 0)}async $test_latency(J){return J}async $test_up(J){return J.byteLength}async $test_down(J){const B=r.$se.alloc(J),se=Math.random()%256;for(let Ee=0;Ee<J;Ee++)B.writeUInt8(se,Ee);return B}async $updateRemoteConnectionData(J){this.W=J,this.a.fire()}};e.$Dic=K,e.$Dic=K=j=Je([Ve(0,u.$di),Ve(1,e.$Cic),Ve(2,h.$eO),Ve(3,l.$3hc),Ve(4,b.$6hc),Ve(5,M.$yj),Ve(6,s.$uO),Ve(7,c.$9hc),Ve(8,D.$pAb),Ve(9,g.$ric),Ve(10,z.$zic),Ve(11,O.$Aic)],K);function ie(re,J,B,se){re.addActivationEvents(se.addActivationEvents);const Ee=new o.$D9b(re,J.getAllExtensionDescriptions());Ee.deltaExtensions(se.toAdd,se.toRemove);const le=new n.$xm(B.getAllExtensionDescriptions().map(ce=>ce.identifier));for(const ce of se.myToRemove)le.delete(ce);for(const ce of se.myToAdd)le.add(ce);const he=ae(Ee,le);return{globalRegistry:Ee,myExtensions:he}}function _(re,J){return{id:re.identifier.value,name:re.name,extensionVersion:re.version,publisherDisplayName:re.publisher,activationEvents:re.activationEvents?re.activationEvents.join(","):null,isBuiltin:re.isBuiltin,reason:J.activationEvent,reasonId:J.extensionId.value}}function X(re){return re.getAllExtensionDescriptions().map(J=>J.identifier.value).join(",")}e.$Eic=(0,u.$ei)("IExtHostExtensionService");class Y{#e;#t;#i;constructor(J,B,se,Ee,le){this.#e=J,this.#t=B,this.#i=se.identifier,this.id=se.identifier.value,this.extensionUri=se.extensionLocation,this.extensionPath=F.$hc((0,L.$Fg)(se.extensionLocation)),this.packageJSON=se,this.extensionKind=Ee,this.isFromDifferentExtensionHost=le}get isActive(){return this.#e.isActivated(this.#i)}get exports(){if(!(this.packageJSON.api==="none"||this.isFromDifferentExtensionHost))return this.#e.getExtensionExports(this.#i)}async activate(){if(this.isFromDifferentExtensionHost)throw new Error("Cannot activate foreign extension");return await this.#e.activateByIdWithErrors(this.#i,{startup:!1,extensionId:this.#t,activationEvent:"api"}),this.exports}}e.$Fic=Y;function ae(re,J){return re.getAllExtensionDescriptions().filter(B=>J.has(B.identifier))}class ee{constructor(J){this.a=J}setSearchTree(J){this.a=J}findSubstr(J){return this.a.findSubstr(J)}forEach(J){return this.a.forEach(J)}}e.$Gic=ee;class fe{constructor(J){this.a=new n.$ym,this.addActivationEvents(J)}readActivationEvents(J){return this.a.get(J.identifier)??[]}addActivationEvents(J){for(const B of Object.keys(J))this.a.set(B,J[B])}}}),define(Se[367],De([1,0,58,2,6,43,26,25,20,27,5,47,13,12]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E){"use strict";var k;Object.defineProperty(e,"__esModule",{value:!0}),e.$Ojc=void 0;let l=class{constructor(r,a,t,d,u,s,c){this.c=r,this.d=a,this.e=t,this.f=d,this.g=u,this.h=s,this.i=c,this.a=new Map,this.b=[]}async install(){this.j(),I.mark("code/extHost/willWaitForConfig");const r=await this.f.getConfigProvider();I.mark("code/extHost/didWaitForConfig");const a=await this.g.getExtensionPathIndex();this.register(new o(this.c,a,this.d,r,this.i)),this.register(this.e.createInstance(p)),this.h.remote.isRemote&&this.register(this.e.createInstance(i,a,this.h.environment.appUriScheme))}register(r){if("nodeModuleName"in r)if(Array.isArray(r.nodeModuleName))for(const a of r.nodeModuleName)this.a.set(a,r);else this.a.set(r.nodeModuleName,r);typeof r.alternativeModuleName=="function"&&this.b.push(a=>r.alternativeModuleName(a))}};e.$Ojc=l,e.$Ojc=l=Je([Ve(2,M.$di),Ve(3,L.$6hc),Ve(4,C.$Eic),Ve(5,S.$uO),Ve(6,b.$yj)],l);let p=class{static{k=this}static{this.a=new Map([["vscode-ripgrep","@vscode/ripgrep"],["vscode-windows-registry","@vscode/windows-registry"]])}constructor(r){if(r.environment.appRoot&&k.a.size){const a=(0,E.$Xe)(this.c(r.environment.appRoot.fsPath)),t="[a-z0-9_.-]",d=`@${t}+\\/${t}+|${t}+`,u="node_modules|node_modules\\.asar(?:\\.unpacked)?";this.b=new RegExp(`^(${a}/${u}\\/)(${d})(.*)$`,"i")}}alternativeModuleName(r){if(!this.b)return;const a=this.b.exec(this.c(r));if(!a)return;const[,t,d,u]=a,s=k.a.get(d);if(s!==void 0)return console.warn(`${d} as been renamed to ${s}, please update your imports`),t+s+u}c(r){return r.replace(/\\/g,"/")}};p=k=Je([Ve(0,S.$uO)],p);class o{constructor(r,a,t,d,u){this.c=r,this.d=a,this.e=t,this.f=d,this.g=u,this.nodeModuleName="vscode",this.a=new w.$ym}load(r,a){const t=this.d.findSubstr(a);if(t){let d=this.a.get(t.identifier);return d||(d=this.c(t,this.e,this.f),this.a.set(t.identifier,d)),d}if(!this.b){let d="";this.d.forEach((u,s)=>d+=`	${s} -> ${u.identifier.value}
`),this.g.warn(`Could not identify extension for 'vscode' require call from ${a}. These are the extension path mappings: 
${d}`),this.b=this.c(R.$PF,this.e,this.f)}return this.b}}let i=class{constructor(r,a,t){this.e=r,this.f=a,this.nodeModuleName=["open","opn"],this.d=t.getProxy($.$ZL.MainThreadTelemetry);const d=t.getProxy($.$ZL.MainThreadWindow);this.c=(u,s)=>{const c=F.URI.parse(u);return s?this.g(u,s):c.scheme==="http"||c.scheme==="https"?d.$openUri(c,u,{allowTunneling:!0}):c.scheme==="mailto"||c.scheme===this.f?d.$openUri(c,u,{}):this.g(u,s)}}load(r,a,t){const d=this.e.findSubstr(a);return d&&(this.a=d.identifier.value,this.h()),this.b=t(r),this.c}g(r,a){return this.i(),this.b(r,a)}h(){this.a&&this.d.$publicLog2("shimming.open",{extension:this.a})}i(){this.a&&this.d.$publicLog2("shimming.open.call.noForward",{extension:this.a})}};i=Je([Ve(2,v.$eO)],i)}),define(Se[60],De([1,0,44,3,17,50,5,72,71,47,7,42,291,43]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Iic=e.$Hic=void 0,e.$Hic=(0,R.$ei)("IExtHostVariableResolverProvider");class k extends b.$fP{constructor(o,i,n,r,a,t,d){function u(){if(n){const s=n.activeEditor();if(s)return s.document.uri;const c=r.tabGroups.all.find(h=>h.isActive)?.activeTab;if(c!==void 0){if(c.input instanceof M.$KN||c.input instanceof M.$PN)return c.input.modified;if(c.input instanceof M.$JN||c.input instanceof M.$ON||c.input instanceof M.$MN)return c.input.uri}}}super({getFolderUri:s=>{const c=t.folders.filter(h=>h.name===s);if(c&&c.length>0)return c[0].uri},getWorkspaceFolderCount:()=>t.folders.length,getConfigurationValue:(s,c)=>a.getConfiguration(void 0,s).get(c),getAppRoot:()=>L.cwd(),getExecPath:()=>L.env.VSCODE_EXEC_PATH,getFilePath:()=>{const s=u();if(s)return $.$hc(s.fsPath)},getWorkspaceFolderPathForFile:()=>{if(i){const s=u();if(s){const c=i.getWorkspaceFolder(s);if(c)return $.$hc(c.uri.fsPath)}}},getSelectedText:()=>{if(n){const s=n.activeEditor();if(s&&!s.selection.isEmpty)return s.document.getText(s.selection)}},getLineNumber:()=>{if(n){const s=n.activeEditor();if(s)return String(s.selection.end.line+1)}},getExtension:s=>o.getExtension(s)},void 0,d?Promise.resolve(d):void 0,Promise.resolve(L.env))}}let l=class extends F.$Tc{constructor(o,i,n,r,a){super(),this.b=o,this.c=i,this.g=n,this.h=r,this.j=a,this.a=new I.$V(async()=>{const t=await this.h.getConfigProvider(),u={folders:await this.c.getWorkspaceFolders2()||[]};return this.B(this.c.onDidChangeWorkspace(async s=>{u.folders=await this.c.getWorkspaceFolders2()||[]})),new k(this.b,this.c,this.g,this.j,t,u,this.m())})}getResolver(){return this.a.value}m(){}};e.$Iic=l,e.$Iic=l=Je([Ve(0,S.$Eic),Ve(1,C.$3hc),Ve(2,w.$pO),Ve(3,E.$6hc),Ve(4,v.$fic)],l)}),define(Se[96],De([1,0,8,4,2,25,5,6,71,47,20,7,42,140,283,43,60,3,55,33,15]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Nic=e.$Mic=e.$Lic=e.$Kic=e.$Jic=void 0,e.$Jic=(0,R.$ei)("IExtHostDebugService");let a=class{get onDidStartDebugSession(){return this.n.event}get onDidTerminateDebugSession(){return this.o.event}get onDidChangeActiveDebugSession(){return this.q.event}get activeDebugSession(){return this.u?.api}get onDidReceiveDebugSessionCustomEvent(){return this.w.event}get activeDebugConsole(){return this.y.value}constructor(m,D,g,f,y,A,N){this.N=D,this.O=g,this.P=f,this.Q=y,this.R=A,this.S=N,this.m=new Map,this.F=0,this.G=new Map,this.H=new Map,this.I=new WeakMap,this.J=new Map,this.L=new Map,this.M=0,this.d=0,this.f=[],this.g=0,this.h=[],this.j=0,this.k=[],this.D=new Map,this.E=new Map,this.n=new F.$5d,this.o=new F.$5d,this.q=new F.$5d,this.w=new F.$5d,this.l=m.getProxy(w.$ZL.MainThreadDebugService),this.A=new F.$5d,this.C=new F.$5d,this.y=new d(this.l),this.z=new Map,this.O.getExtensionRegistry().then(U=>{U.onDidChange(z=>{this.V(U)}),this.V(U)})}async $getVisualizerTreeItem(m,D){const g=this.W(D);if(!g)return;const f=await this.H.get(m)?.getTreeItem?.(g);return f?this.U(m,f):void 0}registerDebugVisualizationTree(m,D,g){const f=L.$wm.toKey(m.identifier),y=this.jb(f,D);if(this.G.has(y))throw new Error(`A debug visualization provider with id '${D}' is already registered`);return this.H.set(y,g),this.l.$registerDebugVisualizerTree(y,!!g.editItem),(0,o.$Rc)(()=>{this.l.$unregisterDebugVisualizerTree(y),this.H.delete(D)})}async $getVisualizerTreeItemChildren(m,D){const g=this.J.get(D)?.item;return g?(await this.H.get(m)?.getChildren?.(g))?.map(y=>this.U(m,y))||[]:[]}async $editVisualizerTreeItem(m,D){const g=this.J.get(m);if(!g)return;const f=await this.H.get(g.provider)?.editItem?.(g.item,D);return this.U(g.provider,f||g.item)}$disposeVisualizedTree(m){const D=this.J.get(m);if(!D)return;const g=[D.children];for(const f of g)if(f)for(const y of f)g.push(this.J.get(y)?.children),this.J.delete(y)}U(m,D){let g=this.I.get(D);return g||(g=this.F++,this.I.set(D,g),this.J.set(g,{provider:m,item:D})),r.DebugTreeItem.from(D,g)}asDebugSourceUri(m,D){const g=m;if(typeof g.sourceReference=="number"&&g.sourceReference>0){let f=`debug:${encodeURIComponent(g.path||"")}`,y="?";return D&&(f+=`${y}session=${encodeURIComponent(D.id)}`,y="&"),f+=`${y}ref=${g.sourceReference}`,$.URI.parse(f)}else{if(g.path)return $.URI.file(g.path);throw new Error("cannot create uri from DAP 'source' object; properties 'path' and 'sourceReference' are both missing.")}}V(m){const D=[];for(const g of m.getAllExtensionDescriptions())if(g.contributes){const f=g.contributes.debuggers;if(f&&f.length>0)for(const y of f)(0,k.$tG)(y)&&D.push(y.type)}this.l.$registerDebugTypes(D)}get stackFrameFocus(){return this.B}get onDidChangeStackFrameFocus(){return this.C.event}get onDidChangeBreakpoints(){return this.A.event}get breakpoints(){const m=[];return this.z.forEach(D=>m.push(D)),m}async $resolveDebugVisualizer(m,D){const g=this.L.get(m);if(!g)throw new Error(`No debug visualizer found with id '${m}'`);let{v:f,provider:y,extensionId:A}=g;if(f.visualization||(f=await y.resolveDebugVisualization?.(f,D)||f,g.v=f),!f.visualization)throw new Error(`No visualization returned from resolveDebugVisualization in '${y}'`);return this.kb(A,f.visualization)}async $executeDebugVisualizerCommand(m){const D=this.L.get(m);if(!D)throw new Error(`No debug visualizer found with id '${m}'`);const g=D.v.visualization;g&&"command"in g&&this.S.executeCommand(g.command,...g.arguments||[])}W(m){const D=this.m.get(m.sessionId);return D&&{session:D.api,variable:m.variable,containerId:m.containerId,frameId:m.frameId,threadId:m.threadId}}async $provideDebugVisualizers(m,D,g,f){const y=this.W(g),A=this.jb(m,D),N=this.G.get(A);if(!y||!N)return[];const U=await N.provideDebugVisualization(y,f);return U?U.map(z=>{const T=++this.M;this.L.set(T,{v:z,provider:N,extensionId:m});const P=z.iconPath?this.lb(z.iconPath):void 0;return{id:T,name:z.name,iconClass:P?.iconClass,iconPath:P?.iconPath,visualization:this.kb(m,z.visualization)}}):[]}$disposeDebugVisualizers(m){for(const D of m)this.L.delete(D)}registerDebugVisualizationProvider(m,D,g){if(!m.contributes?.debugVisualizers?.some(A=>A.id===D))throw new Error(`Extensions may only call registerDebugVisualizationProvider() for renderers they contribute (got ${D})`);const f=L.$wm.toKey(m.identifier),y=this.jb(f,D);if(this.G.has(y))throw new Error(`A debug visualization provider with id '${D}' is already registered`);return this.G.set(y,g),this.l.$registerDebugVisualizer(f,D),(0,o.$Rc)(()=>{this.l.$unregisterDebugVisualizer(f,D),this.G.delete(D)})}addBreakpoints(m){const D=m.filter(y=>{const A=y.id;return this.z.has(A)?!1:(this.z.set(A,y),!0)});this.gb(D,[],[]);const g=[],f=new Map;for(const y of D)if(y instanceof C.$2M){let A=f.get(y.location.uri.toString());A||(A={type:"sourceMulti",uri:y.location.uri,lines:[]},f.set(y.location.uri.toString(),A),g.push(A)),A.lines.push({id:y.id,enabled:y.enabled,condition:y.condition,hitCondition:y.hitCondition,logMessage:y.logMessage,line:y.location.range.start.line,character:y.location.range.start.character,mode:y.mode})}else y instanceof C.$3M&&g.push({type:"function",id:y.id,enabled:y.enabled,hitCondition:y.hitCondition,logMessage:y.logMessage,condition:y.condition,functionName:y.functionName,mode:y.mode});return this.l.$registerBreakpoints(g)}removeBreakpoints(m){const D=m.filter(A=>this.z.delete(A.id));this.gb([],D,[]);const g=D.filter(A=>A instanceof C.$2M).map(A=>A.id),f=D.filter(A=>A instanceof C.$3M).map(A=>A.id),y=D.filter(A=>A instanceof C.$4M).map(A=>A.id);return this.l.$unregisterBreakpoints(g,f,y)}startDebugging(m,D,g){return this.l.$startDebugging(m?m.uri:void 0,D,{parentSessionID:g.parentSession?g.parentSession.id:void 0,lifecycleManagedByParent:g.lifecycleManagedByParent,repl:g.consoleMode===C.DebugConsoleMode.MergeWithParent?"mergeWithParent":"separate",noDebug:g.noDebug,compact:g.compact,suppressSaveBeforeStart:g.suppressSaveBeforeStart,suppressDebugStatusbar:g.suppressDebugStatusbar??g.debugUI?.simple,suppressDebugToolbar:g.suppressDebugToolbar??g.debugUI?.simple,suppressDebugView:g.suppressDebugView??g.debugUI?.simple})}stopDebugging(m){return this.l.$stopDebugging(m?m.id:void 0)}registerDebugConfigurationProvider(m,D,g){if(!D)return new C.$2L(()=>{});const f=this.d++;return this.f.push({type:m,handle:f,provider:D}),this.l.$registerDebugConfigurationProvider(m,g,!!D.provideDebugConfigurations,!!D.resolveDebugConfiguration,!!D.resolveDebugConfigurationWithSubstitutedVariables,f),new C.$2L(()=>{this.f=this.f.filter(y=>y.provider!==D),this.l.$unregisterDebugConfigurationProvider(f)})}registerDebugAdapterDescriptorFactory(m,D,g){if(!g)return new C.$2L(()=>{});if(!this.cb(m,D))throw new Error(`a DebugAdapterDescriptorFactory can only be registered from the extension that defines the '${D}' debugger.`);if(this.$(D))throw new Error("a DebugAdapterDescriptorFactory can only be registered once per a type.");const f=this.g++;return this.h.push({type:D,handle:f,factory:g}),this.l.$registerDebugAdapterDescriptorFactory(D,f),new C.$2L(()=>{this.h=this.h.filter(y=>y.factory!==g),this.l.$unregisterDebugAdapterDescriptorFactory(f)})}registerDebugAdapterTrackerFactory(m,D){if(!D)return new C.$2L(()=>{});const g=this.j++;return this.k.push({type:m,handle:g,factory:D}),new C.$2L(()=>{this.k=this.k.filter(f=>f.factory!==D)})}async $runInTerminal(m,D){return Promise.resolve(void 0)}async $substituteVariables(m,D){let g;const f=await this.ib(m);return f&&(g={uri:f.uri,name:f.name,index:f.index,toResource:()=>{throw new Error("Not implemented")}}),(await this.R.getResolver()).resolveAnyAsync(g,D)}X(m,D){if(m.type==="implementation")return new s(m.implementation)}Y(){}async $startDASession(m,D){const g=this,f=await this.hb(D);return this.eb(this.$(f.type),f).then(y=>{if(!y)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${f.type}' (extension might have failed to activate)`);const A=this.Z(y),N=this.X(A,f);if(!N)throw new Error(`Couldn't create a debug adapter for type '${f.type}'.`);const U=N;return this.D.set(m,U),this.db(f).then(z=>(z&&this.E.set(m,z),U.onMessage(async T=>{if(T.type==="request"&&T.command==="handshake"){const P=T,O={type:"response",seq:0,command:P.command,request_seq:P.seq,success:!0};this.K||(this.K=this.Y());try{if(this.K){const j=await this.K.sign(P.arguments.value);O.body={signature:j},U.sendResponse(O)}else throw new Error("no signer")}catch(j){O.success=!1,O.message=j.message,U.sendResponse(O)}}else z&&z.onDidSendMessage&&z.onDidSendMessage(T),T=(0,k.$yG)(T,!0),g.l.$acceptDAMessage(m,T)}),U.onError(T=>{z&&z.onError&&z.onError(T),this.l.$acceptDAError(m,T.name,T.message,T.stack)}),U.onExit(T=>{z&&z.onExit&&z.onExit(T??void 0,void 0),this.l.$acceptDAExit(m,T??void 0,void 0)}),z&&z.onWillStartSession&&z.onWillStartSession(),U.startSession()))})}$sendDAMessage(m,D){D=(0,k.$xG)(D,!1);const g=this.E.get(m);g&&g.onWillReceiveMessage&&g.onWillReceiveMessage(D),this.D.get(m)?.sendMessage(D)}$stopDASession(m){const D=this.E.get(m);this.E.delete(m),D&&D.onWillStopSession&&D.onWillStopSession();const g=this.D.get(m);return this.D.delete(m),g?g.stopSession():Promise.resolve(void 0)}$acceptBreakpointsDelta(m){const D=[],g=[],f=[];if(m.added)for(const y of m.added){const A=y.id;if(A&&!this.z.has(A)){let N;if(y.type==="function")N=new C.$3M(y.functionName,y.enabled,y.condition,y.hitCondition,y.logMessage,y.mode);else if(y.type==="data")N=new C.$4M(y.label,y.dataId,y.canPersist,y.enabled,y.hitCondition,y.condition,y.logMessage,y.mode);else{const U=$.URI.revive(y.uri);N=new C.$2M(new C.$bM(U,new C.$3L(y.line,y.character)),y.enabled,y.condition,y.hitCondition,y.logMessage,y.mode)}(0,C.$ZM)(N,A),this.z.set(A,N),D.push(N)}}if(m.removed)for(const y of m.removed){const A=this.z.get(y);A&&(this.z.delete(y),g.push(A))}if(m.changed){for(const y of m.changed)if(y.id){const A=this.z.get(y.id);if(A){if(A instanceof C.$3M&&y.type==="function"){const N=A;N.enabled=y.enabled,N.condition=y.condition,N.hitCondition=y.hitCondition,N.logMessage=y.logMessage,N.functionName=y.functionName}else if(A instanceof C.$2M&&y.type==="source"){const N=A;N.enabled=y.enabled,N.condition=y.condition,N.hitCondition=y.hitCondition,N.logMessage=y.logMessage,N.location=new C.$bM($.URI.revive(y.uri),new C.$3L(y.line,y.character))}f.push(A)}}}this.gb(D,g,f)}async $acceptStackFrameFocus(m){let D;const g=m.sessionId?await this.hb(m.sessionId):void 0;if(!g)throw new Error("no DebugSession found for debug focus context");m.kind==="thread"?D=new C.$0M(g.api,m.threadId):D=new C.$9M(g.api,m.threadId,m.frameId),this.B=D,this.C.fire(this.B)}$provideDebugConfigurations(m,D,g){return(0,I.$9g)(async()=>{const f=this.bb(m);if(!f)throw new Error("no DebugConfigurationProvider found");if(!f.provideDebugConfigurations)throw new Error("DebugConfigurationProvider has no method provideDebugConfigurations");const y=await this.ib(D);return f.provideDebugConfigurations(y,g)}).then(f=>{if(!f)throw new Error("nothing returned from DebugConfigurationProvider.provideDebugConfigurations");return f})}$resolveDebugConfiguration(m,D,g,f){return(0,I.$9g)(async()=>{const y=this.bb(m);if(!y)throw new Error("no DebugConfigurationProvider found");if(!y.resolveDebugConfiguration)throw new Error("DebugConfigurationProvider has no method resolveDebugConfiguration");const A=await this.ib(D);return y.resolveDebugConfiguration(A,g,f)})}$resolveDebugConfigurationWithSubstitutedVariables(m,D,g,f){return(0,I.$9g)(async()=>{const y=this.bb(m);if(!y)throw new Error("no DebugConfigurationProvider found");if(!y.resolveDebugConfigurationWithSubstitutedVariables)throw new Error("DebugConfigurationProvider has no method resolveDebugConfigurationWithSubstitutedVariables");const A=await this.ib(D);return y.resolveDebugConfigurationWithSubstitutedVariables(A,g,f)})}async $provideDebugAdapter(m,D){const g=this.ab(m);if(!g)return Promise.reject(new Error("no adapter descriptor factory found for handle"));const f=await this.hb(D);return this.eb(g,f).then(y=>{if(!y)throw new Error(`Couldn't find a debug adapter descriptor for debug type '${f.type}'`);return this.Z(y)})}async $acceptDebugSessionStarted(m){const D=await this.hb(m);this.n.fire(D.api)}async $acceptDebugSessionTerminated(m){const D=await this.hb(m);D&&(this.o.fire(D.api),this.m.delete(D.id))}async $acceptDebugSessionActiveChanged(m){this.u=m?await this.hb(m):void 0,this.q.fire(this.u?.api)}async $acceptDebugSessionNameChanged(m,D){(await this.hb(m))?._acceptNameChanged(D)}async $acceptDebugSessionCustomEvent(m,D){const f={session:(await this.hb(m)).api,event:D.event,body:D.body};this.w.fire(f)}Z(m){if(m instanceof C.$5M)return{type:"executable",command:m.command,args:m.args,options:m.options};if(m instanceof C.$6M)return{type:"server",port:m.port,host:m.host};if(m instanceof C.$7M)return{type:"pipeServer",path:m.path};if(m instanceof C.$8M)return{type:"implementation",implementation:m.implementation};throw new Error("convertToDto unexpected type")}$(m){const D=this.h.filter(g=>g.type===m);if(D.length>0)return D[0].factory}ab(m){const D=this.h.filter(g=>g.handle===m);if(D.length>0)return D[0].factory}bb(m){const D=this.f.filter(g=>g.handle===m);if(D.length>0)return D[0].provider}cb(m,D){if(m.contributes){const g=m.contributes.debuggers;if(g&&g.length>0){for(const f of g)if(f.label&&f.type&&f.type===D)return!0}}return!1}db(m){const g=m.configuration.type,f=this.k.filter(y=>y.type===g||y.type==="*").map(y=>(0,I.$9g)(()=>y.factory.createDebugAdapterTracker(m.api)).then(A=>A,A=>null));return Promise.race([Promise.all(f).then(y=>{const A=y.filter(N=>!!N);if(A.length>0)return new u(A)}),new Promise(y=>setTimeout(()=>y(void 0),1e3))]).catch(y=>{})}async eb(m,D){const g=D.configuration.debugServer;if(typeof g=="number")return Promise.resolve(new C.$6M(g));if(m){const y=await this.O.getExtensionRegistry();return(0,I.$9g)(()=>m.createDebugAdapterDescriptor(D.api,this.fb(D,y))).then(A=>{if(A)return A})}const f=await this.O.getExtensionRegistry();return Promise.resolve(this.fb(D,f))}fb(m,D){}gb(m,D,g){(m.length>0||D.length>0||g.length>0)&&this.A.fire(Object.freeze({added:m,removed:D,changed:g}))}async hb(m){if(m)if(typeof m=="string"){const D=this.m.get(m);if(D)return D}else{let D=this.m.get(m.id);if(!D){const g=await this.ib(m.folderUri),f=m.parent?this.m.get(m.parent):void 0;D=new t(this.l,m.id,m.type,m.name,g,m.configuration,f?.api),this.m.set(D.id,D),this.l.$sessionCached(D.id)}return D}throw new Error("cannot find session")}ib(m){if(m){const D=$.URI.revive(m);return this.N.resolveWorkspaceFolder(D)}return Promise.resolve(void 0)}jb(m,D){return`${m}\0${D}`}kb(m,D){if(D){if("title"in D&&"command"in D)return{type:0};if("treeId"in D)return{type:1,id:`${m}\0${D.treeId}`};throw new Error("Unsupported debug visualization type")}}lb(m){const D=this.mb(m);let g,f;return"id"in D?f=i.ThemeIcon.asClassName(D):g=D,{iconPath:g,iconClass:f}}mb(m){if(m instanceof C.$WM)return{id:m.id};const D=typeof m=="object"&&"dark"in m?m.dark:m,g=typeof m=="object"&&"light"in m?m.light:m;return{dark:typeof D=="string"?$.URI.file(D):D,light:typeof g=="string"?$.URI.file(g):g}}};e.$Kic=a,e.$Kic=a=Je([Ve(0,M.$eO),Ve(1,b.$3hc),Ve(2,S.$Eic),Ve(3,l.$6hc),Ve(4,v.$fic),Ve(5,p.$Hic),Ve(6,n.$AO)],a);class t{constructor(m,D,g,f,y,A,N){this.f=m,this.g=D,this.h=g,this.j=f,this.k=y,this.l=A,this.m=N}get api(){const m=this;return this.d??=Object.freeze({id:m.g,type:m.h,get name(){return m.j},set name(D){m.j=D,m.f.$setDebugSessionName(m.g,D)},parentSession:m.m,workspaceFolder:m.k,configuration:m.l,customRequest(D,g){return m.f.$customDebugAdapterRequest(m.g,D,g)},getDebugProtocolBreakpoint(D){return m.f.$getDebugProtocolBreakpoint(m.g,D.id)}})}get id(){return this.g}get type(){return this.h}_acceptNameChanged(m){this.j=m}get configuration(){return this.l}}e.$Lic=t;class d{constructor(m){this.value=Object.freeze({append(D){m.$appendDebugConsole(D)},appendLine(D){this.append(D+`
`)}})}}e.$Mic=d;class u{constructor(m){this.d=m}onWillStartSession(){this.d.forEach(m=>m.onWillStartSession?m.onWillStartSession():void 0)}onWillReceiveMessage(m){this.d.forEach(D=>D.onWillReceiveMessage?D.onWillReceiveMessage(m):void 0)}onDidSendMessage(m){this.d.forEach(D=>D.onDidSendMessage?D.onDidSendMessage(m):void 0)}onWillStopSession(){this.d.forEach(m=>m.onWillStopSession?m.onWillStopSession():void 0)}onError(m){this.d.forEach(D=>D.onError?D.onError(m):void 0)}onExit(m,D){this.d.forEach(g=>g.onExit?g.onExit(m,D):void 0)}}class s extends E.$Fnb{constructor(m){super(),this.h=m,m.onDidSendMessage(D=>{this.acceptMessage(D)})}startSession(){return Promise.resolve(void 0)}sendMessage(m){this.h.handleMessage(m)}stopSession(){return this.h.dispose(),Promise.resolve(void 0)}}let c=class extends a{constructor(m,D,g,f,y,A,N){super(m,D,g,f,y,A,N)}};e.$Nic=c,e.$Nic=c=Je([Ve(0,M.$eO),Ve(1,b.$3hc),Ve(2,S.$Eic),Ve(3,l.$6hc),Ve(4,v.$fic),Ve(5,p.$Hic),Ve(6,n.$AO)],c)}),define(Se[368],De([1,0,14,58,2,6,312,13,84,106,27,249,20,66,47,90]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Qjc=e.$Pjc=void 0;class p{static async installEarlyHandler(n){Error.stackTraceLimit=100;const r=n.get(w.$yj),t=n.get(b.$eO).getProxy(L.$ZL.MainThreadErrors);I.setUnexpectedErrorHandler(d=>{r.error(d);const u=I.$3(d);t.$onUnexpectedError(u)})}static async installFullHandler(n){const r=n.get(w.$yj),a=n.get(b.$eO),t=n.get(k.$Eic),d=n.get(l.$yO),u=a.getProxy(L.$ZL.MainThreadExtensionService),s=a.getProxy(L.$ZL.MainThreadErrors),c=await t.getExtensionPathIndex(),h=new WeakMap;function m(f,y){if(h.has(f))return h.get(f).stack;let A="",N,U;for(const T of y)A+=`
	at ${T.toString()}`,U=T.getFileName(),!N&&U&&(N=c.findSubstr($.URI.file(U)));const z=`${f.name||"Error"}: ${f.message||""}${A}`;return h.set(f,{extensionIdentifier:N?.identifier,stack:z}),z}const D=Symbol("prepareStackTrace wrapped");let g=m;Object.defineProperty(Error,"prepareStackTrace",{configurable:!1,get(){return g},set(f){if(f===m||!f||f[D]){g=f||m;return}g=function(y,A){return m(y,A),f.call(Error,y,A)},Object.assign(g,{[D]:!0})}}),I.setUnexpectedErrorHandler(f=>{r.error(f);const y=I.$3(f),A=h.get(f);if(!A?.extensionIdentifier){s.$onUnexpectedError(y);return}u.$onExtensionRuntimeError(A.extensionIdentifier,y);const N=d.onExtensionError(A.extensionIdentifier,f);r.trace("forwarded error to extension?",N,A)})}}e.$Pjc=p;class o{constructor(n,r,a,t,d){this.a=a,this.b=new R.$L9b(n,null,t),r=o.e(r,this.b);const u=new S.$ci(...(0,v.$$r)());u.set(M.$uO,{_serviceBrand:void 0,...r,messagePorts:d}),u.set(b.$eO,new b.$fO(this.b)),u.set(E.$Zhc,new E.$1hc(t)),u.set(k.$Cic,a);const s=new C.$Pq(u,!0);s.invokeFunction(p.installEarlyHandler),this.d=s.invokeFunction(c=>c.get(w.$yj)),F.mark("code/extHost/didCreateServices"),this.a.pid?this.d.info(`Extension host with pid ${this.a.pid} started`):this.d.info("Extension host started"),this.d.trace("initData",r),this.c=s.invokeFunction(c=>c.get(k.$Eic)),this.c.initialize(),s.invokeFunction(p.installFullHandler)}async asBrowserUri(n){const r=this.b.getProxy(L.$ZL.MainThreadExtensionService);return $.URI.revive(await r.$asBrowserUri(n))}terminate(n){this.c.terminate(n)}static e(n,r){n.extensions.allExtensions.forEach(t=>{t.extensionLocation=$.URI.revive(r.transformIncomingURIs(t.extensionLocation))}),n.environment.appRoot=$.URI.revive(r.transformIncomingURIs(n.environment.appRoot));const a=n.environment.extensionDevelopmentLocationURI;return a&&(n.environment.extensionDevelopmentLocationURI=a.map(t=>$.URI.revive(r.transformIncomingURIs(t)))),n.environment.extensionTestsLocationURI=$.URI.revive(r.transformIncomingURIs(n.environment.extensionTestsLocationURI)),n.environment.globalStorageHome=$.URI.revive(r.transformIncomingURIs(n.environment.globalStorageHome)),n.environment.workspaceStorageHome=$.URI.revive(r.transformIncomingURIs(n.environment.workspaceStorageHome)),n.environment.extensionTelemetryLogResource=$.URI.revive(r.transformIncomingURIs(n.environment.extensionTelemetryLogResource)),n.nlsBaseUrl=$.URI.revive(r.transformIncomingURIs(n.nlsBaseUrl)),n.logsLocation=$.URI.revive(r.transformIncomingURIs(n.logsLocation)),n.workspace=r.transformIncomingURIs(n.workspace),n}}e.$Qjc=o}),define(Se[369],De([1,0,8,11,224,243,138,96,71,47,20,46,7,60,42,284,285,43,33]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$1jc=void 0;let n=class extends w.$Kic{constructor(u,s,c,h,m,D,g,f){super(u,s,c,h,D,g,f),this.pb=m,this.nb=new t}X(u,s){switch(u.type){case"server":return new l.$Vjc(u);case"pipeServer":return new l.$Wjc(u);case"executable":return new l.$Xjc(u,s.type)}return super.X(u,s)}fb(u,s){const c=l.$Xjc.platformAdapterExecutable(s.getAllExtensionDescriptions(),u.type);if(c)return new b.$5M(c.command,c.args,c.options)}Y(){return new R.$xac}async $runInTerminal(u,s){if(u.kind==="integrated"){this.ob||(this.ob=this.pb.onDidCloseTerminal(T=>{this.nb.onTerminalClosed(T)}));const c=await this.P.getConfigProvider(),h=this.pb.getDefaultShell(!0),m=this.pb.getDefaultShellArgs(!0),D=u.title||$.localize(0,null),g=JSON.stringify({shell:h,shellArgs:m});let f=await this.nb.checkout(g,D),y,A=!1;if(f)y=u.cwd;else{const T={shellPath:h,shellArgs:m,cwd:u.cwd,name:D,iconPath:new b.$WM("debug")};A=!0,f=this.pb.createTerminalFromOptions(T,{isFeatureTerminal:!0,useShellEnvironment:!0}),this.nb.insert(f,g)}f.show(!0);const N=await f.processId;A?await new Promise(T=>setTimeout(T,1e3)):c.getConfiguration("debug.terminal").get("clearBeforeReusing")&&(h.indexOf("powershell")>=0||h.indexOf("pwsh")>=0||h.indexOf("cmd.exe")>=0?f.sendText("cls"):h.indexOf("bash")>=0?f.sendText("clear"):F.$i?f.sendText("cls"):f.sendText("clear"));const U=(0,p.$Zjc)(h,u.args,!!u.argsCanBeInterpretedByShell,y,u.env);f.sendText(U);const z=this.onDidTerminateDebugSession(T=>{T.id===s&&(this.nb.free(f),z.dispose())});return N}else if(u.kind==="external")return a(u,await this.P.getConfigProvider());return super.$runInTerminal(u,s)}};e.$1jc=n,e.$1jc=n=Je([Ve(0,M.$eO),Ve(1,k.$3hc),Ve(2,S.$Eic),Ve(3,o.$6hc),Ve(4,C.$ric),Ve(5,v.$fic),Ve(6,E.$Hic),Ve(7,i.$AO)],n);let r;function a(d,u){if(!r)if(F.$i)r=new L.$i_b;else if(F.$j)r=new L.$j_b;else if(F.$k)r=new L.$k_b;else throw new Error("external terminals not supported on this platform");const s=u.getConfiguration("terminal");return r.runInTerminal(d.title,d.cwd,d.args,d.env||{},s.external||{})}class t{constructor(){this.b=new Map}static{this.a=1e3}async checkout(u,s){const h=[...this.b.entries()].map(([m,D])=>(0,I.$4g)(async g=>{if(m.name!==s||D.lastUsedAt!==-1&&await(0,p.$Yjc)(await m.processId))return null;const f=Date.now();return D.lastUsedAt+t.a>f||g.isCancellationRequested||D.config!==u?null:(D.lastUsedAt=f,m)}));return await(0,I.$jh)(h,m=>!!m)}insert(u,s){this.b.set(u,{lastUsedAt:Date.now(),config:s})}free(u){const s=this.b.get(u);s&&(s.lastUsedAt=-1)}onTerminalClosed(u){this.b.delete(u)}}}),define(Se[370],De([1,0,17,2,104,42,72,43,41,46,20,27,95,16,13,91,23,63,60]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Sjc=void 0;let n=class extends b.$ujc{constructor(a,t,d,u,s,c,h,m,D){super(a,t,d,u,s,c,h,m),this.C=d,this.D=D,t.remote.isRemote&&t.remote.authority?this.registerTaskSystem(E.Schemas.vscodeRemote,{scheme:E.Schemas.vscodeRemote,authority:t.remote.authority,platform:process.platform}):this.registerTaskSystem(E.Schemas.file,{scheme:E.Schemas.file,authority:"",platform:process.platform}),this.a.$registerSupportedExecutions(!0,!0,!0)}async executeTask(a,t){const d=t;if(!t.execution&&d._id===void 0)throw new Error("Tasks to execute must include an execution");if(d._id!==void 0){const u=b.TaskHandleDTO.from(d,this.C),s=await this.a.$getTaskExecution(u);if(s.task===void 0)throw new Error("Task from execution DTO is undefined");const c=await this.z(s,t);return this.a.$executeTask(u).catch(()=>{}),c}else{const u=b.TaskDTO.from(t,a);if(u===void 0)return Promise.reject(new Error("Task is not valid"));b.CustomExecutionDTO.is(u.execution)&&await this.y(u,t,!1);const s=await this.z(await this.a.$getTaskExecution(u),t);return this.a.$executeTask(u).catch(()=>{}),s}}v(a,t,d,u){const s=[];if(u)for(const c of u){this.A(c,d),(!c.definition||!a[c.definition.type])&&this.f.warn(`The task [${c.source}, ${c.name}] uses an undefined task type. The task will be ignored in the future.`);const h=b.TaskDTO.from(c,d.extension);h&&(s.push(h),b.CustomExecutionDTO.is(h.execution)&&t.push(this.y(h,c,!0)))}return{tasks:s,extension:d.extension}}async w(a){return a}async G(a){let t=a&&a.length>0?a[0]:void 0;if(!t){const d=F.URI.file((0,o.homedir)());t=new v.$yi({uri:d,name:p.$Og(d),index:0})}return{uri:t.uri,name:t.name,index:t.index,toResource:()=>{throw new Error("Not implemented")}}}async $resolveVariables(a,t){const d=F.URI.revive(a),u={process:void 0,variables:Object.create(null)},s=await this.b.resolveWorkspaceFolder(d),c=await this.b.getWorkspaceFolders2()??[],h=await this.D.getResolver(),m=s?{uri:s.uri,name:s.name,index:s.index,toResource:()=>{throw new Error("Not implemented")}}:await this.G(c);for(const D of t.variables)u.variables[D]=await h.resolveAsync(m,D);if(t.process!==void 0){let D;if(t.process.path!==void 0){D=t.process.path.split(I.$tc);for(let g=0;g<D.length;g++)D[g]=await h.resolveAsync(m,D[g])}u.process=await $.win32.findExecutable(await h.resolveAsync(m,t.process.name),t.process.cwd!==void 0?await h.resolveAsync(m,t.process.cwd):void 0,D)}return u}async $jsonTasksSupported(){return!0}async $findExecutable(a,t,d){return $.win32.findExecutable(a,t,d)}};e.$Sjc=n,e.$Sjc=n=Je([Ve(0,M.$eO),Ve(1,C.$uO),Ve(2,L.$3hc),Ve(3,R.$pO),Ve(4,w.$6hc),Ve(5,S.$ric),Ve(6,k.$yj),Ve(7,l.$Fhc),Ve(8,i.$Hic)],n)}),define(Se[371],De([1,0,63,60]),function(me,e,I,F){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ykc=void 0;class $ extends F.$Iic{m(){return(0,I.homedir)()}}e.$ykc=$}),define(Se[155],De([1,0,19,8,22,40,16,17,23,2,36]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$5ic=e.$4ic=e.$3ic=e.$2ic=void 0;class C{constructor(i,n,r,a){this.d=i,this.e=n,this.f=r,this.g=a,this.a=null,this.b=!1,this.c=0}search(i,n){const r=this.d.folderQueries||[],a=new $.$ce(n);return new Promise((t,d)=>{this.a=new E(i);let u=!1;const s=(c,h)=>{if(!u&&!this.b){const m=this.h(c);l(c)&&typeof this.d.maxResults=="number"&&this.c+m>this.d.maxResults&&(this.b=!0,u=!0,a.cancel(),c=this.j(c,this.d.maxResults-this.c));const D=this.h(c);this.c+=D,(D>0||!l(c))&&this.a.add(c,h)}};Promise.all(r.map((c,h)=>this.k(c,m=>s(m,h),a.token))).then(c=>{a.dispose(),this.a.flush();const h=c.some(m=>!!m&&!!m.limitHit);t({limitHit:this.b||h,messages:(0,I.$Rb)(c.map(m=>m?.message?Array.isArray(m.message)?m.message:[m.message]:[])),stats:{type:this.g}})},c=>{a.dispose();const h=(0,L.$2i)(c);d(new Error(h))})})}h(i){return l(i)?Array.isArray(i.ranges)?i.ranges.length:1:0}j(i,n){const r=Array.isArray(i.ranges)?i.ranges:[i.ranges],a=Array.isArray(i.preview.matches)?i.preview.matches:[i.preview.matches];return{ranges:r.slice(0,n),preview:{matches:a.slice(0,n),text:i.preview.text},uri:i.uri}}async k(i,n,r){const a=new M.$CK(this.d,i),t=[],d={report:c=>{if(!this.l(c))return;const h=i.folder.scheme===R.Schemas.file?(0,M.$DK)(()=>this.f.readdir(v.$Qg(c.uri))):void 0,m=v.$Tg(i.folder,c.uri);if(m){const D=a.includedInQuery(m,w.$nc(m),h);(0,F.$3g)(D)?t.push(D.then(g=>{g&&n(c)})):D&&n(c)}}},u=this.n(i),s=await this.e.provideTextSearchResults(b(this.d.contentPattern),u,d,r);return t.length&&await Promise.all(t),s}l(i){if(l(i)){if(Array.isArray(i.ranges)){if(!Array.isArray(i.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same type."),!1;if(i.preview.matches.length!==i.ranges.length)return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}else if(Array.isArray(i.preview.matches))return console.warn("INVALID - A text search provider match's`ranges` and`matches` properties must have the same length."),!1}return!0}n(i){const n=(0,M.$BK)(this.d.includePattern,i.includePattern),r=(0,M.$BK)(this.d.excludePattern,i.excludePattern),a={folder:S.URI.from(i.folder),excludes:r,includes:n,useIgnoreFiles:!i.disregardIgnoreFiles,useGlobalIgnoreFiles:!i.disregardGlobalIgnoreFiles,useParentIgnoreFiles:!i.disregardParentIgnoreFiles,followSymlinks:!i.ignoreSymlinks,encoding:i.fileEncoding&&this.f.toCanonicalName(i.fileEncoding),maxFileSize:this.d.maxFileSize,maxResults:this.d.maxResults,previewOptions:this.d.previewOptions,afterContext:this.d.afterContext,beforeContext:this.d.beforeContext};return a.usePCRE2=this.d.usePCRE2,a}}e.$2ic=C;function b(o){return{isCaseSensitive:o.isCaseSensitive||!1,isRegExp:o.isRegExp||!1,isWordMatch:o.isWordMatch||!1,isMultiline:o.isMultiline||!1,pattern:o.pattern}}class E{constructor(i){this.e=i,this.b=-1,this.d=null,this.a=new p(512,n=>this.g(n))}add(i,n){this.d&&(this.b!==n||!v.$Kg(this.c,i.uri))&&(this.f(),this.d=null),this.d||(this.b=n,this.d={resource:i.uri,results:[]}),this.d.results.push(k(i))}f(){const i=this.d&&this.d.results?this.d.results.length:0;this.a.addItem(this.d,i)}flush(){this.f(),this.a.flush()}g(i){this.e(i)}}e.$3ic=E;function k(o){return l(o)?{preview:{matches:(0,I.$2b)(o.preview.matches,i=>({startLineNumber:i.start.line,startColumn:i.start.character,endLineNumber:i.end.line,endColumn:i.end.character})),text:o.preview.text},ranges:(0,I.$2b)(o.ranges,i=>({startLineNumber:i.start.line,startColumn:i.start.character,endLineNumber:i.end.line,endColumn:i.end.character}))}:{text:o.text,lineNumber:o.lineNumber}}function l(o){return!!o.preview}e.$4ic=l;class p{static{this.a=4e3}static{this.b=50}constructor(i,n){this.g=i,this.h=n,this.c=0,this.d=[],this.e=0}addItem(i,n){i&&this.j(i,n)}addItems(i,n){i&&this.k(i,n)}j(i,n){this.d.push(i),this.e+=n,this.l()}k(i,n){this.d=this.d.concat(i),this.e+=n,this.l()}l(){this.c<p.b?this.flush():this.e>=this.g?this.flush():this.f||(this.f=setTimeout(()=>{this.flush()},p.a))}flush(){this.e&&(this.c+=this.e,this.h(this.d),this.d=[],this.e=0,this.f&&(clearTimeout(this.f),this.f=0))}}e.$5ic=p}),define(Se[97],De([1,0,3,6,5,364,20,66,13,2,155]),function(me,e,I,F,$,L,R,w,v,S,M){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$8ic=e.$7ic=e.$6ic=void 0,e.$6ic=(0,$.$ei)("IExtHostSearch");let C=class{constructor(l,p,o){this.k=l,this.l=p,this.n=o,this.c=this.k.getProxy(F.$ZL.MainThreadSearch),this.d=0,this.e=new Map,this.g=new Set,this.h=new Map,this.i=new Set,this.j=new L.$1ic}o(l){return this.l.transformOutgoingScheme(l)}registerTextSearchProvider(l,p){if(this.g.has(l))throw new Error(`a text search provider for the scheme '${l}' is already registered`);this.g.add(l);const o=this.d++;return this.e.set(o,p),this.c.$registerTextSearchProvider(o,this.o(l)),(0,I.$Rc)(()=>{this.g.delete(l),this.e.delete(o),this.c.$unregisterProvider(o)})}registerFileSearchProvider(l,p){if(this.i.has(l))throw new Error(`a file search provider for the scheme '${l}' is already registered`);this.i.add(l);const o=this.d++;return this.h.set(o,p),this.c.$registerFileSearchProvider(o,this.o(l)),(0,I.$Rc)(()=>{this.i.delete(l),this.h.delete(o),this.c.$unregisterProvider(o)})}$provideFileSearchResults(l,p,o,i){const n=b(o),r=this.h.get(l);if(r)return this.j.fileSearch(n,r,a=>{this.c.$handleFileMatch(l,p,a.map(t=>t.resource))},i);throw new Error("unknown provider: "+l)}async doInternalFileSearchWithCustomCallback(l,p,o){return{messages:[]}}$clearCache(l){return this.j.clearCache(l),Promise.resolve(void 0)}$provideTextSearchResults(l,p,o,i){const n=this.e.get(l);if(!n||!n.provideTextSearchResults)throw new Error(`Unknown provider ${l}`);const r=b(o);return this.q(r,n).search(t=>this.c.$handleTextMatch(l,p,t),i)}$enableExtensionHostSearch(){}q(l,p){return new M.$2ic(l,p,{readdir:o=>Promise.resolve([]),toCanonicalName:o=>o},"textSearchProvider")}};e.$7ic=C,e.$7ic=C=Je([Ve(0,R.$eO),Ve(1,w.$Zhc),Ve(2,v.$yj)],C);function b(k){return{...k,folderQueries:k.folderQueries&&k.folderQueries.map(E),extraFileResources:k.extraFileResources&&k.extraFileResources.map(l=>S.URI.revive(l))}}e.$8ic=b;function E(k){return{...k,folder:S.URI.revive(k.folder)}}}),define(Se[372],De([1,0,22,14,4,3,16,39,2,132,192,173,79,25,32,13,65,87,268,6,314,343,91,315,320,300,321,322,323,301,289,33,324,43,325,96,148,326,303,316,327,328,72,71,317,47,329,69,330,59,27,344,345,318,304,331,332,114,115,305,363,334,274,335,346,336,153,306,337,338,339,20,340,97,116,341,307,342,117,93,95,90,46,347,348,319,349,350,70,15,7,308,66,309,92,351,352,147,42,282,113,26,94]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d,u,s,c,h,m,D,g,f,y,A,N,U,z,T,P,O,j,K,ie,_,X,Y,ae,ee,fe,re,J,B,se,Ee,le,he,ce,de,H,x,ue,be,Pe,we,Ae,Oe,ze,W,V,Z,Q,$e,ve,Te,He,Qe,tt,st,lt,rt,Ie,Ue,Le,Ge,ne,oe,Ce,Ke,xe,nt,Ne,bt,Et,Pt,Tt,Xt,It,Kt,Jt,xt,ii,et,zt){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$Kjc=void 0;function _t(ft){const vt=ft.get(J.$uO),ei=ft.get(re.$Jhc),qt=ft.get(ee.$8hc),Ut=ft.get(Y.$Eic),dt=ft.get(Jt.$3hc),Rt=ft.get(Ue.$yO),ti=ft.get(A.$6hc),Yt=ft.get(Et.$Zhc),Ze=ft.get($e.$eO),Ft=ft.get(lt.$oic),Bt=ft.get(rt.$9hc),ni=ft.get(l.$zj),mt=ft.get(l.$yj),Nt=ft.get(xe.$pAb),At=ft.get(t.$Fhc),Wt=ft.get(Kt.$Jjc),ri=ft.get(He.$wic),jt=ft.get(_.$fic),Vt=ft.get(H.$Aic);Ze.set(n.$1L.ExtHostFileSystemInfo,ei),Ze.set(n.$1L.ExtHostLogLevelServiceShape,ni),Ze.set(n.$1L.ExtHostWorkspace,dt),Ze.set(n.$1L.ExtHostConfiguration,ti),Ze.set(n.$1L.ExtHostExtensionService,Ut),Ze.set(n.$1L.ExtHostStorage,Ft),Ze.set(n.$1L.ExtHostTunnelService,Nt),Ze.set(n.$1L.ExtHostWindow,Wt),Ze.set(n.$1L.ExtHostSecretState,ri),Ze.set(n.$1L.ExtHostTelemetry,Rt),Ze.set(n.$1L.ExtHostEditorTabs,jt),Ze.set(n.$1L.ExtHostManagedSockets,Vt);const Lt=Ze.set(n.$1L.ExtHostDecorations,ft.get(z.$Pic)),Dt=Ze.set(n.$1L.ExtHostDocumentsAndEditors,ft.get(ie.$pO)),$t=Ze.set(n.$1L.ExtHostCommands,ft.get(f.$AO)),Ct=Ze.set(n.$1L.ExtHostTerminalService,ft.get(Le.$ric)),yt=Ze.set(n.$1L.ExtHostDebugService,ft.get(U.$Jic)),ui=Ze.set(n.$1L.ExtHostSearch,ft.get(Te.$6ic)),Qt=Ze.set(n.$1L.ExtHostTask,ft.get(Ie.$wjc)),$i=Ze.set(n.$1L.ExtHostOutputService,ft.get(ze.$jjc)),Re=Ze.set(n.$1L.ExtHostLocalization,ft.get(de.$zic)),je=Ze.set(n.$1L.ExtHostUrls,new Pt.$Gjc(Ze)),ye=Ze.set(n.$1L.ExtHostDocuments,new K.$Mhc(Ze,Dt)),te=Ze.set(n.$1L.ExtHostDocumentContentProviders,new O.$Ric(Ze,Dt,mt)),Me=Ze.set(n.$1L.ExtHostDocumentSaveParticipant,new j.$Sic(mt,ye,Ze.getProxy(n.$ZL.MainThreadBulkEdits))),Be=Ze.set(n.$1L.ExtHostNotebook,new ue.$9ic(Ze,$t,Dt,ye,qt,ui)),_e=Ze.set(n.$1L.ExtHostNotebookDocuments,new Pe.$djc(Be)),Xe=Ze.set(n.$1L.ExtHostNotebookEditors,new we.$ejc(mt,Be)),at=Ze.set(n.$1L.ExtHostNotebookKernels,new Ae.$fjc(Ze,vt,Be,$t,mt)),kt=Ze.set(n.$1L.ExtHostNotebookRenderers,new Oe.$hjc(Ze,Be)),Ht=Ze.set(n.$1L.ExtHostNotebookDocumentSaveParticipant,new be.$cjc(mt,Be,Ze.getProxy(n.$ZL.MainThreadBulkEdits))),St=Ze.set(n.$1L.ExtHostEditors,new ne.$Whc(Ze,Dt)),Mt=Ze.set(n.$1L.ExtHostTreeViews,new Ke.$Ejc(Ze.getProxy(n.$ZL.MainThreadTreeViews),$t,mt)),Zt=Ze.set(n.$1L.ExtHostEditorInsets,new g.$Xhc(Ze.getProxy(n.$ZL.MainThreadEditorInsets),St,vt.remote)),bi=Ze.set(n.$1L.ExtHostDiagnostics,new T.$Lhc(Ze,mt,ei,Dt)),pi=Ze.set(n.$1L.ExtHostLanguages,new ce.$ajc(Ze,ye,$t.converter,Yt)),ht=Ze.set(n.$1L.ExtHostLanguageFeatures,new he.$Nhc(Ze,Yt,ye,$t,bi,mt,At,Rt)),Xi=Ze.set(n.$1L.ExtHostFileSystem,new ae.$Uic(Ze,ht)),ai=Ze.set(n.$1L.ExtHostFileSystemEventService,new fe.$Vic(Ze,mt,Dt)),fi=Ze.set(n.$1L.ExtHostQuickOpen,(0,Q.$njc)(Ze,dt,$t)),yi=Ze.set(n.$1L.ExtHostSCM,new ve.$pjc(Ze,$t,ye,mt)),Ai=Ze.set(n.$1L.ExtHostQuickDiff,new Z.$mjc(Ze,Yt)),Yi=Ze.set(n.$1L.ExtHostShare,new Qe.$qjc(Ze,Yt)),hn=Ze.set(n.$1L.ExtHostComments,(0,y.$Yhc)(Ze,$t,ye)),Li=Ze.set(n.$1L.ExtHostProgress,new V.$ljc(Ze.getProxy(n.$ZL.MainThreadProgress))),Ri=Ze.set(n.$1L.ExtHostLabelService,new le.$_ic(Ze)),ki=Ze.set(n.$1L.ExtHostTheming,new oe.$Bjc(Ze)),mi=Ze.set(n.$1L.ExtHostAuthentication,new d.$Phc(Ze)),xi=Ze.set(n.$1L.ExtHostTimeline,new Ce.$Djc(Ze,$t)),Ei=Ze.set(n.$1L.ExtHostWebviews,new Tt.$aic(Ze,vt.remote,dt,mt,At)),Si=Ze.set(n.$1L.ExtHostWebviewPanels,new Xt.$dic(Ze,Ei,dt)),_i=Ze.set(n.$1L.ExtHostCustomEditors,new N.$eic(Ze,ye,Bt,Ei,Si)),dn=Ze.set(n.$1L.ExtHostWebviewViews,new It.$Hjc(Ze,Ei)),vi=Ze.set(n.$1L.ExtHostTesting,new Ge.$xjc(Ze,mt,$t,Dt)),Mi=Ze.set(n.$1L.ExtHostUriOpeners,new bt.$Fjc(Ze)),Oi=Ze.set(n.$1L.ExtHostProfileContentHandlers,new W.$kjc(Ze));Ze.set(n.$1L.ExtHostInteractive,new se.$0ic(Ze,Be,Dt,$t,mt));const fn=Ze.set(n.$1L.ExtHostInlineChat,new B.$Wic(Ze,$t,ye,mt)),Di=Ze.set(n.$1L.ExtHostChatProvider,new h.$Thc(Ze,mt,mi)),en=Ze.set(n.$1L.ExtHostChatAgents2,new c.$Shc(Ze,mt,$t)),mn=Ze.set(n.$1L.ExtHostChatVariables,new m.$Uhc(Ze)),wi=Ze.set(n.$1L.ExtHostChat,new s.$Rhc(Ze)),Fi=Ze.set(n.$1L.ExtHostAiRelatedInformation,new r.$Ehc(Ze)),tn=Ze.set(n.$1L.ExtHostAiEmbeddingVector,new X.$Tic(Ze)),Ni=Ze.set(n.$1L.ExtHostIssueReporter,new Ee.$$ic(Ze)),nn=Ze.set(n.$1L.ExtHostStatusBar,new st.$tjc(Ze,$t.converter)),Ti=Ze.set(n.$1L.ExtHostSpeech,new tt.$rjc(Ze)),rn=Object.values(n.$1L);Ze.assertRegistered(rn);const hi=new u.$Qhc(Ze,Dt),Ci=new D.$Vhc(Ze),ji=new x.$bjc(Ze,mt),si=new P.$Qic(Ze);return a.$Ohc.register($t),function(We,ci,zi){function ot(ge){return(ke,qe,ct)=>{const wt=ge(Ot=>{try{ke.call(qe,Ot)}catch(Ji){F.$2(new Error(`[ExtensionListenerError] Extension '${We.identifier.value}' FAILED to handle event: ${Ji.toString()}`,{cause:Ji})),Rt.onExtensionError(We.identifier,Ji)}});return ct?.push(wt),wt}}const pt=function(){let ge=!We.isUnderDevelopment;function ke(){ge||(mt.info(`Extension '${We.identifier.value}' uses a document selector without scheme. Learn more about this: https://go.microsoft.com/fwlink/?linkid=872305`),ge=!0)}return function qe(ct){if(Array.isArray(ct))ct.forEach(qe);else if(typeof ct=="string")ke();else{const wt=ct;typeof wt.scheme>"u"&&ke(),typeof wt.exclusive=="boolean"&&(0,et.$VF)(We,"documentFiltersExclusive")}return ct}}(),gn={getSession(ge,ke,qe){return mi.getSession(We,ge,ke,qe)},getSessions(ge,ke){return(0,et.$VF)(We,"authGetSessions"),mi.getSessions(We,ge,ke)},async hasSession(ge,ke){return(0,et.$VF)(We,"authSession"),!!await mi.getSession(We,ge,ke,{silent:!0})},get onDidChangeSessions(){return ot(mi.onDidChangeSessions)},registerAuthenticationProvider(ge,ke,qe,ct){return mi.registerAuthenticationProvider(ge,ke,qe,ct)}},sn={registerCommand(ge,ke,qe){return $t.registerCommand(!0,ge,ke,qe,void 0,We)},registerTextEditorCommand(ge,ke,qe){return $t.registerCommand(!0,ge,(...ct)=>{const wt=St.getActiveTextEditor();if(!wt){mt.warn("Cannot execute "+ge+" because there is no active text editor.");return}return wt.edit(Ot=>{ke.apply(qe,[wt,Ot,...ct])}).then(Ot=>{Ot||mt.warn("Edits from command "+ge+" were not applied.")},Ot=>{mt.warn("An error occurred while running command "+ge,Ot)})},void 0,void 0,We)},registerDiffInformationCommand:(ge,ke,qe)=>((0,et.$VF)(We,"diffCommand"),$t.registerCommand(!0,ge,async(...ct)=>{const wt=Dt.activeEditor(!0);if(!wt){mt.warn("Cannot execute "+ge+" because there is no active text editor.");return}const Ot=await St.getDiffInformation(wt.id);ke.apply(qe,[Ot,...ct])},void 0,void 0,We)),executeCommand(ge,...ke){return $t.executeCommand(ge,...ke)},getCommands(ge=!1){return $t.getCommands(ge)}},Ui={get machineId(){return vt.telemetryInfo.machineId},get sessionId(){return vt.telemetryInfo.sessionId},get language(){return vt.environment.appLanguage},get appName(){return vt.environment.appName},get appRoot(){return vt.environment.appRoot?.fsPath??""},get appHost(){return vt.environment.appHost},get uriScheme(){return vt.environment.appUriScheme},get clipboard(){return Ci.value},get shell(){return Ct.getDefaultShell(!1)},get onDidChangeShell(){return ot(Ct.onDidChangeShell)},get isTelemetryEnabled(){return Rt.getTelemetryConfiguration()},get onDidChangeTelemetryEnabled(){return ot(Rt.onDidChangeTelemetryEnabled)},get telemetryConfiguration(){return(0,et.$VF)(We,"telemetry"),Rt.getTelemetryDetails()},get onDidChangeTelemetryConfiguration(){return(0,et.$VF)(We,"telemetry"),ot(Rt.onDidChangeTelemetryConfiguration)},get isNewAppInstall(){return(0,Ue.$xO)(vt.telemetryInfo.firstSessionDate)},createTelemetryLogger(ge,ke){return Ue.$wO.validateSender(ge),Rt.instantiateLogger(We,ge,ke)},openExternal(ge,ke){return Wt.openUri(ge,{allowTunneling:!!vt.remote.authority,allowContributedOpeners:ke?.allowContributedOpeners})},async asExternalUri(ge){if(ge.scheme===vt.environment.appUriScheme)return je.createAppUri(ge);try{return await Wt.asExternalUri(ge,{allowTunneling:!!vt.remote.authority})}catch(ke){if((0,R.$og)(ge,R.Schemas.http)||(0,R.$og)(ge,R.Schemas.https))return ge;throw ke}},get remoteName(){return(0,p.$ml)(vt.remote.authority)},get remoteAuthority(){return(0,et.$VF)(We,"resolvers"),vt.remote.authority},get uiKind(){return vt.uiKind},get logLevel(){return mt.getLevel()},get onDidChangeLogLevel(){return ot(mt.onDidChangeLogLevel)},registerIssueUriRequestHandler(ge){return(0,et.$VF)(We,"handleIssueUri"),Ni.registerIssueUriRequestHandler(We,ge)},registerIssueDataProvider(ge){return(0,et.$VF)(We,"handleIssueUri"),Ni.registerIssueDataProvider(We,ge)},get appQuality(){return(0,et.$VF)(We,"resolvers"),vt.quality},get appCommit(){return(0,et.$VF)(We,"resolvers"),vt.commit}};vt.environment.extensionTestsLocationURI||Object.freeze(Ui);const $n={createTestController(ge,ke,qe){return vi.createTestController(We,ge,ke,qe)},createTestObserver(){return(0,et.$VF)(We,"testObserver"),vi.createTestObserver()},runTests(ge){return(0,et.$VF)(We,"testObserver"),vi.runTests(ge)},get onDidChangeTestResults(){return(0,et.$VF)(We,"testObserver"),ot(vi.onResultsChanged)},get testResults(){return(0,et.$VF)(We,"testObserver"),vi.results}},Ii=vt.remote.isRemote?Ne.ExtensionKind.Workspace:Ne.ExtensionKind.UI,on={getExtension(ge,ke){(0,et.$UF)(We,"extensionsAny")||(ke=!1);const qe=ci.mine.getExtensionDescription(ge);if(qe)return new Y.$Fic(Ut,We.identifier,qe,Ii,!1);if(ke){const ct=ci.all.getExtensionDescription(ge);if(ct)return new Y.$Fic(Ut,We.identifier,ct,Ii,!0)}},get all(){const ge=[];for(const ke of ci.mine.getAllExtensionDescriptions())ge.push(new Y.$Fic(Ut,We.identifier,ke,Ii,!1));return ge},get allAcrossExtensionHosts(){(0,et.$VF)(We,"extensionsAny");const ge=new E.$xm(ci.mine.getAllExtensionDescriptions().map(qe=>qe.identifier)),ke=[];for(const qe of ci.all.getAllExtensionDescriptions()){const ct=!ge.has(qe.identifier);ke.push(new Y.$Fic(Ut,We.identifier,qe,Ii,ct))}return ke},get onDidChange(){return(0,et.$UF)(We,"extensionsAny")?ot($.Event.any(ci.mine.onDidChange,ci.all.onDidChange)):ot(ci.mine.onDidChange)}},Bi={createDiagnosticCollection(ge){return bi.createDiagnosticCollection(We.identifier,ge)},get onDidChangeDiagnostics(){return ot(bi.onDidChangeDiagnostics)},getDiagnostics:ge=>bi.getDiagnostics(ge),getLanguages(){return pi.getLanguages()},setTextDocumentLanguage(ge,ke){return pi.changeLanguage(ge.uri,ke)},match(ge,ke){const qe=nt.LanguageSelector.from(ge);let ct;return(0,M.$Nt)(qe)&&(ct=Be.notebookDocuments.find(wt=>wt.apiNotebook.getCells().find(Ot=>Ot.document===ke))?.apiNotebook),(0,M.$Mt)(qe,ke.uri,ke.languageId,!0,ct?.uri,ct?.notebookType)},registerCodeActionsProvider(ge,ke,qe){return ht.registerCodeActionProvider(We,pt(ge),ke,qe)},registerDocumentPasteEditProvider(ge,ke,qe){return(0,et.$VF)(We,"documentPaste"),ht.registerDocumentPasteEditProvider(We,pt(ge),ke,qe)},registerCodeLensProvider(ge,ke){return ht.registerCodeLensProvider(We,pt(ge),ke)},registerDefinitionProvider(ge,ke){return ht.registerDefinitionProvider(We,pt(ge),ke)},registerDeclarationProvider(ge,ke){return ht.registerDeclarationProvider(We,pt(ge),ke)},registerImplementationProvider(ge,ke){return ht.registerImplementationProvider(We,pt(ge),ke)},registerTypeDefinitionProvider(ge,ke){return ht.registerTypeDefinitionProvider(We,pt(ge),ke)},registerHoverProvider(ge,ke){return ht.registerHoverProvider(We,pt(ge),ke,We.identifier)},registerEvaluatableExpressionProvider(ge,ke){return ht.registerEvaluatableExpressionProvider(We,pt(ge),ke,We.identifier)},registerInlineValuesProvider(ge,ke){return ht.registerInlineValuesProvider(We,pt(ge),ke,We.identifier)},registerDocumentHighlightProvider(ge,ke){return ht.registerDocumentHighlightProvider(We,pt(ge),ke)},registerMultiDocumentHighlightProvider(ge,ke){return ht.registerMultiDocumentHighlightProvider(We,pt(ge),ke)},registerLinkedEditingRangeProvider(ge,ke){return ht.registerLinkedEditingRangeProvider(We,pt(ge),ke)},registerReferenceProvider(ge,ke){return ht.registerReferenceProvider(We,pt(ge),ke)},registerRenameProvider(ge,ke){return ht.registerRenameProvider(We,pt(ge),ke)},registerNewSymbolNamesProvider(ge,ke){return(0,et.$VF)(We,"newSymbolNamesProvider"),ht.registerNewSymbolNamesProvider(We,pt(ge),ke)},registerDocumentSymbolProvider(ge,ke,qe){return ht.registerDocumentSymbolProvider(We,pt(ge),ke,qe)},registerWorkspaceSymbolProvider(ge){return ht.registerWorkspaceSymbolProvider(We,ge)},registerDocumentFormattingEditProvider(ge,ke){return ht.registerDocumentFormattingEditProvider(We,pt(ge),ke)},registerDocumentRangeFormattingEditProvider(ge,ke){return ht.registerDocumentRangeFormattingEditProvider(We,pt(ge),ke)},registerOnTypeFormattingEditProvider(ge,ke,qe,...ct){return ht.registerOnTypeFormattingEditProvider(We,pt(ge),ke,[qe].concat(ct))},registerDocumentSemanticTokensProvider(ge,ke,qe){return ht.registerDocumentSemanticTokensProvider(We,pt(ge),ke,qe)},registerDocumentRangeSemanticTokensProvider(ge,ke,qe){return ht.registerDocumentRangeSemanticTokensProvider(We,pt(ge),ke,qe)},registerSignatureHelpProvider(ge,ke,qe,...ct){return typeof qe=="object"?ht.registerSignatureHelpProvider(We,pt(ge),ke,qe):ht.registerSignatureHelpProvider(We,pt(ge),ke,typeof qe>"u"?[]:[qe,...ct])},registerCompletionItemProvider(ge,ke,...qe){return ht.registerCompletionItemProvider(We,pt(ge),ke,qe)},registerInlineCompletionItemProvider(ge,ke,qe){return ke.handleDidShowCompletionItem&&(0,et.$VF)(We,"inlineCompletionsAdditions"),ke.handleDidPartiallyAcceptCompletionItem&&(0,et.$VF)(We,"inlineCompletionsAdditions"),qe&&(0,et.$VF)(We,"inlineCompletionsAdditions"),ht.registerInlineCompletionsProvider(We,pt(ge),ke,qe)},registerInlineEditProvider(ge,ke){return(0,et.$VF)(We,"inlineEdit"),ht.registerInlineEditProvider(We,pt(ge),ke)},registerDocumentLinkProvider(ge,ke){return ht.registerDocumentLinkProvider(We,pt(ge),ke)},registerColorProvider(ge,ke){return ht.registerColorProvider(We,pt(ge),ke)},registerFoldingRangeProvider(ge,ke){return ht.registerFoldingRangeProvider(We,pt(ge),ke)},registerSelectionRangeProvider(ge,ke){return ht.registerSelectionRangeProvider(We,ge,ke)},registerCallHierarchyProvider(ge,ke){return ht.registerCallHierarchyProvider(We,ge,ke)},registerTypeHierarchyProvider(ge,ke){return ht.registerTypeHierarchyProvider(We,ge,ke)},setLanguageConfiguration:(ge,ke)=>ht.setLanguageConfiguration(We,ge,ke),getTokenInformationAtPosition(ge,ke){return(0,et.$VF)(We,"tokenInformation"),pi.tokenAtPosition(ge,ke)},registerInlayHintsProvider(ge,ke){return ht.registerInlayHintsProvider(We,ge,ke)},createLanguageStatusItem(ge,ke){return pi.createLanguageStatusItem(We,ge,ke)},registerDocumentDropEditProvider(ge,ke,qe){return ht.registerDocumentOnDropEditProvider(We,ge,ke,(0,et.$UF)(We,"dropMetadata")?qe:void 0)}},an={get activeTextEditor(){return St.getActiveTextEditor()},get visibleTextEditors(){return St.getVisibleTextEditors()},get activeTerminal(){return Ct.activeTerminal},get terminals(){return Ct.terminals},async showTextDocument(ge,ke,qe){v.URI.isUri(ge)&&ge.scheme===R.Schemas.vscodeRemote&&!ge.authority&&At.report("workspace.showTextDocument",We,"A URI of 'vscode-remote' scheme requires an authority.");const ct=await(v.URI.isUri(ge)?Promise.resolve(Wi.openTextDocument(ge)):Promise.resolve(ge));return St.showTextDocument(ct,ke,qe)},createTextEditorDecorationType(ge){return St.createTextEditorDecorationType(We,ge)},onDidChangeActiveTextEditor(ge,ke,qe){return ot(St.onDidChangeActiveTextEditor)(ge,ke,qe)},onDidChangeVisibleTextEditors(ge,ke,qe){return ot(St.onDidChangeVisibleTextEditors)(ge,ke,qe)},onDidChangeTextEditorSelection(ge,ke,qe){return ot(St.onDidChangeTextEditorSelection)(ge,ke,qe)},onDidChangeTextEditorOptions(ge,ke,qe){return ot(St.onDidChangeTextEditorOptions)(ge,ke,qe)},onDidChangeTextEditorVisibleRanges(ge,ke,qe){return ot(St.onDidChangeTextEditorVisibleRanges)(ge,ke,qe)},onDidChangeTextEditorViewColumn(ge,ke,qe){return ot(St.onDidChangeTextEditorViewColumn)(ge,ke,qe)},onDidCloseTerminal(ge,ke,qe){return ot(Ct.onDidCloseTerminal)(ge,ke,qe)},onDidOpenTerminal(ge,ke,qe){return ot(Ct.onDidOpenTerminal)(ge,ke,qe)},onDidChangeActiveTerminal(ge,ke,qe){return ot(Ct.onDidChangeActiveTerminal)(ge,ke,qe)},onDidChangeTerminalDimensions(ge,ke,qe){return(0,et.$VF)(We,"terminalDimensions"),ot(Ct.onDidChangeTerminalDimensions)(ge,ke,qe)},onDidChangeTerminalState(ge,ke,qe){return ot(Ct.onDidChangeTerminalState)(ge,ke,qe)},onDidWriteTerminalData(ge,ke,qe){return(0,et.$VF)(We,"terminalDataWriteEvent"),ot(Ct.onDidWriteTerminalData)(ge,ke,qe)},onDidExecuteTerminalCommand(ge,ke,qe){return(0,et.$VF)(We,"terminalExecuteCommandEvent"),ot(Ct.onDidExecuteTerminalCommand)(ge,ke,qe)},get state(){return Wt.getState(We)},onDidChangeWindowState(ge,ke,qe){return ot(Wt.onDidChangeWindowState)(ge,ke,qe)},showInformationMessage(ge,...ke){return ji.showMessage(We,w.default.Info,ge,ke[0],ke.slice(1))},showWarningMessage(ge,...ke){return ji.showMessage(We,w.default.Warning,ge,ke[0],ke.slice(1))},showErrorMessage(ge,...ke){return ji.showMessage(We,w.default.Error,ge,ke[0],ke.slice(1))},showQuickPick(ge,ke,qe){return fi.showQuickPick(We,ge,ke,qe)},showWorkspaceFolderPick(ge){return fi.showWorkspaceFolderPick(ge)},showInputBox(ge,ke){return fi.showInput(ge,ke)},showOpenDialog(ge){return si.showOpenDialog(We,ge)},showSaveDialog(ge){return si.showSaveDialog(ge)},createStatusBarItem(ge,ke,qe){let ct,wt,Ot;return typeof ge=="string"?(ct=ge,wt=ke,Ot=qe):(wt=ge,Ot=ke),nn.createStatusBarEntry(We,ct,wt,Ot)},setStatusBarMessage(ge,ke){return nn.setStatusBarMessage(ge,ke)},withScmProgress(ge){return At.report("window.withScmProgress",We,"Use 'withProgress' instead."),Li.withProgress(We,{location:Ne.ProgressLocation.SourceControl},(ke,qe)=>ge({report(ct){}}))},withProgress(ge,ke){return Li.withProgress(We,ge,ke)},createOutputChannel(ge,ke){return $i.createOutputChannel(ge,ke,We)},createWebviewPanel(ge,ke,qe,ct){return Si.createWebviewPanel(We,ge,ke,qe,ct)},createWebviewTextEditorInset(ge,ke,qe,ct){return(0,et.$VF)(We,"editorInsets"),Zt.createWebviewEditorInset(ge,ke,qe,ct,We)},createTerminal(ge,ke,qe){return typeof ge=="object"?"pty"in ge?Ct.createExtensionTerminal(ge):Ct.createTerminalFromOptions(ge):Ct.createTerminal(ge,ke,qe)},registerTerminalLinkProvider(ge){return Ct.registerLinkProvider(ge)},registerTerminalProfileProvider(ge,ke){return Ct.registerProfileProvider(We,ge,ke)},registerTerminalQuickFixProvider(ge,ke){return(0,et.$VF)(We,"terminalQuickFixProvider"),Ct.registerTerminalQuickFixProvider(ge,We.identifier.value,ke)},registerTreeDataProvider(ge,ke){return Mt.registerTreeDataProvider(ge,ke,We)},createTreeView(ge,ke){return Mt.createTreeView(ge,ke,We)},registerWebviewPanelSerializer:(ge,ke)=>Si.registerWebviewPanelSerializer(We,ge,ke),registerCustomEditorProvider:(ge,ke,qe={})=>_i.registerCustomEditorProvider(We,ge,ke,qe),registerFileDecorationProvider(ge){return Lt.registerFileDecorationProvider(ge,We)},registerUriHandler(ge){return je.registerUriHandler(We,ge)},createQuickPick(){return fi.createQuickPick(We)},createInputBox(){return fi.createInputBox(We)},get activeColorTheme(){return ki.activeColorTheme},onDidChangeActiveColorTheme(ge,ke,qe){return ot(ki.onDidChangeActiveColorTheme)(ge,ke,qe)},registerWebviewViewProvider(ge,ke,qe){return dn.registerWebviewViewProvider(We,ge,ke,qe?.webviewOptions)},get activeNotebookEditor(){return Be.activeNotebookEditor},onDidChangeActiveNotebookEditor(ge,ke,qe){return ot(Be.onDidChangeActiveNotebookEditor)(ge,ke,qe)},get visibleNotebookEditors(){return Be.visibleNotebookEditors},get onDidChangeVisibleNotebookEditors(){return ot(Be.onDidChangeVisibleNotebookEditors)},onDidChangeNotebookEditorSelection(ge,ke,qe){return ot(Xe.onDidChangeNotebookEditorSelection)(ge,ke,qe)},onDidChangeNotebookEditorVisibleRanges(ge,ke,qe){return ot(Xe.onDidChangeNotebookEditorVisibleRanges)(ge,ke,qe)},showNotebookDocument(ge,ke){return Be.showNotebookDocument(ge,ke)},registerExternalUriOpener(ge,ke,qe){return(0,et.$VF)(We,"externalUriOpener"),Mi.registerExternalUriOpener(We.identifier,ge,ke,qe)},registerProfileContentHandler(ge,ke){return(0,et.$VF)(We,"profileContentHandlers"),Oi.registerProfileContentHandler(We,ge,ke)},registerQuickDiffProvider(ge,ke,qe,ct){return(0,et.$VF)(We,"quickDiffProvider"),Ai.registerQuickDiffProvider(pt(ge),ke,qe,ct)},get tabGroups(){return jt.tabGroups},registerShareProvider(ge,ke){return(0,et.$VF)(We,"shareProvider"),Yi.registerShareProvider(pt(ge),ke)}},Wi={get rootPath(){return At.report("workspace.rootPath",We,"Please use 'workspace.workspaceFolders' instead. More details: https://aka.ms/vscode-eliminating-rootpath"),dt.getPath()},set rootPath(ge){throw new F.$9("rootPath")},getWorkspaceFolder(ge){return dt.getWorkspaceFolder(ge)},get workspaceFolders(){return dt.getWorkspaceFolders()},get name(){return dt.name},set name(ge){throw new F.$9("name")},get workspaceFile(){return dt.workspaceFile},set workspaceFile(ge){throw new F.$9("workspaceFile")},updateWorkspaceFolders:(ge,ke,...qe)=>dt.updateWorkspaceFolders(We,ge,ke||0,...qe),onDidChangeWorkspaceFolders:function(ge,ke,qe){return ot(dt.onDidChangeWorkspace)(ge,ke,qe)},asRelativePath:(ge,ke)=>dt.getRelativePath(ge,ke),findFiles:(ge,ke,qe,ct)=>dt.findFiles(ge,ke,qe,We.identifier,ct),findFiles2:(ge,ke,qe)=>((0,et.$VF)(We,"findFiles2"),dt.findFiles2(ge,ke,We.identifier,qe)),findTextInFiles:(ge,ke,qe,ct)=>{(0,et.$VF)(We,"findTextInFiles");let wt,Ot;return typeof ke=="object"?(wt=ke,Ot=qe):(wt={},Ot=ke,ct=qe),dt.findTextInFiles(ge,wt||{},Ot,We.identifier,ct)},save:ge=>dt.save(ge),saveAs:ge=>dt.saveAs(ge),saveAll:ge=>dt.saveAll(ge),applyEdit(ge,ke){return hi.applyWorkspaceEdit(ge,We,ke)},createFileSystemWatcher:(ge,ke,qe,ct)=>{let wt;return typeof ke=="boolean"?wt={ignoreCreateEvents:!!ke,ignoreChangeEvents:!!qe,ignoreDeleteEvents:!!ct,correlate:!1}:ke&&((0,et.$VF)(We,"createFileSystemWatcher"),wt={...ke,correlate:!0}),ai.createFileSystemWatcher(dt,We,ge,wt)},get textDocuments(){return ye.getAllDocumentData().map(ge=>ge.document)},set textDocuments(ge){throw new F.$9("textDocuments")},openTextDocument(ge){let ke;const qe=ge;if(typeof ge=="string")ke=Promise.resolve(v.URI.file(ge));else if(v.URI.isUri(ge))ke=Promise.resolve(ge);else if(!qe||typeof qe=="object")ke=ye.createDocumentData(qe);else throw new Error("illegal argument - uriOrFileNameOrOptions");return ke.then(ct=>(ct.scheme===R.Schemas.vscodeRemote&&!ct.authority&&At.report("workspace.openTextDocument",We,"A URI of 'vscode-remote' scheme requires an authority."),ye.ensureDocumentData(ct).then(wt=>wt.document)))},onDidOpenTextDocument:(ge,ke,qe)=>ot(ye.onDidAddDocument)(ge,ke,qe),onDidCloseTextDocument:(ge,ke,qe)=>ot(ye.onDidRemoveDocument)(ge,ke,qe),onDidChangeTextDocument:(ge,ke,qe)=>ot(ye.onDidChangeDocument)(ge,ke,qe),onDidSaveTextDocument:(ge,ke,qe)=>ot(ye.onDidSaveDocument)(ge,ke,qe),onWillSaveTextDocument:(ge,ke,qe)=>ot(Me.getOnWillSaveTextDocumentEvent(We))(ge,ke,qe),get notebookDocuments(){return Be.notebookDocuments.map(ge=>ge.apiNotebook)},async openNotebookDocument(ge,ke){let qe;if(v.URI.isUri(ge))qe=ge,await Be.openNotebookDocument(ge);else if(typeof ge=="string")qe=v.URI.revive(await Be.createNotebookDocument({viewType:ge,content:ke}));else throw new Error("Invalid arguments");return Be.getNotebookDocument(qe).apiNotebook},onDidSaveNotebookDocument(ge,ke,qe){return ot(_e.onDidSaveNotebookDocument)(ge,ke,qe)},onDidChangeNotebookDocument(ge,ke,qe){return ot(_e.onDidChangeNotebookDocument)(ge,ke,qe)},onWillSaveNotebookDocument(ge,ke,qe){return ot(Ht.getOnWillSaveNotebookDocumentEvent(We))(ge,ke,qe)},get onDidOpenNotebookDocument(){return ot(Be.onDidOpenNotebookDocument)},get onDidCloseNotebookDocument(){return ot(Be.onDidCloseNotebookDocument)},registerNotebookSerializer(ge,ke,qe,ct){return Be.registerNotebookSerializer(We,ge,ke,qe,(0,et.$UF)(We,"notebookLiveShare")?ct:void 0)},onDidChangeConfiguration:(ge,ke,qe)=>ot(zi.onDidChangeConfiguration)(ge,ke,qe),getConfiguration(ge,ke){return ke=arguments.length===1?void 0:ke,zi.getConfiguration(ge,ke,We)},registerTextDocumentContentProvider(ge,ke){return te.registerTextDocumentContentProvider(ge,ke)},registerTaskProvider:(ge,ke)=>(At.report("window.registerTaskProvider",We,"Use the corresponding function on the 'tasks' namespace instead"),Qt.registerTaskProvider(We,ge,ke)),registerFileSystemProvider(ge,ke,qe){return(0,L.$Qc)(Xi.registerFileSystemProvider(We,ge,ke,qe),qt.addFileSystemProvider(ge,ke,qe))},get fs(){return qt.value},registerFileSearchProvider:(ge,ke)=>((0,et.$VF)(We,"fileSearchProvider"),ui.registerFileSearchProvider(ge,ke)),registerTextSearchProvider:(ge,ke)=>((0,et.$VF)(We,"textSearchProvider"),ui.registerTextSearchProvider(ge,ke)),registerRemoteAuthorityResolver:(ge,ke)=>((0,et.$VF)(We,"resolvers"),Ut.registerRemoteAuthorityResolver(ge,ke)),registerResourceLabelFormatter:ge=>((0,et.$VF)(We,"resolvers"),Ri.$registerResourceLabelFormatter(ge)),getRemoteExecServer:ge=>((0,et.$VF)(We,"resolvers"),Ut.getRemoteExecServer(ge)),onDidCreateFiles:(ge,ke,qe)=>ot(ai.onDidCreateFile)(ge,ke,qe),onDidDeleteFiles:(ge,ke,qe)=>ot(ai.onDidDeleteFile)(ge,ke,qe),onDidRenameFiles:(ge,ke,qe)=>ot(ai.onDidRenameFile)(ge,ke,qe),onWillCreateFiles:(ge,ke,qe)=>ot(ai.getOnWillCreateFileEvent(We))(ge,ke,qe),onWillDeleteFiles:(ge,ke,qe)=>ot(ai.getOnWillDeleteFileEvent(We))(ge,ke,qe),onWillRenameFiles:(ge,ke,qe)=>ot(ai.getOnWillRenameFileEvent(We))(ge,ke,qe),openTunnel:ge=>((0,et.$VF)(We,"tunnels"),Nt.openTunnel(We,ge).then(ke=>{if(!ke)throw new Error("cannot open tunnel");return ke})),get tunnels(){return(0,et.$VF)(We,"tunnels"),Nt.getTunnels()},onDidChangeTunnels:(ge,ke,qe)=>((0,et.$VF)(We,"tunnels"),ot(Nt.onDidChangeTunnels)(ge,ke,qe)),registerPortAttributesProvider:(ge,ke)=>((0,et.$VF)(We,"portsAttributes"),Nt.registerPortsAttributesProvider(ge,ke)),registerTunnelProvider:(ge,ke)=>((0,et.$VF)(We,"tunnelFactory"),Nt.registerTunnelProvider(ge,ke)),registerTimelineProvider:(ge,ke)=>((0,et.$VF)(We,"timeline"),xi.registerTimelineProvider(ge,ke,We.identifier,$t.converter)),get isTrusted(){return dt.trusted},requestWorkspaceTrust:ge=>((0,et.$VF)(We,"workspaceTrust"),dt.requestWorkspaceTrust(ge)),onDidGrantWorkspaceTrust:(ge,ke,qe)=>ot(dt.onDidGrantWorkspaceTrust)(ge,ke,qe),registerEditSessionIdentityProvider:(ge,ke)=>((0,et.$VF)(We,"editSessionIdentityProvider"),dt.registerEditSessionIdentityProvider(ge,ke)),onWillCreateEditSessionIdentity:(ge,ke,qe)=>((0,et.$VF)(We,"editSessionIdentityProvider"),ot(dt.getOnWillCreateEditSessionIdentityEvent(We))(ge,ke,qe)),registerCanonicalUriProvider:(ge,ke)=>((0,et.$VF)(We,"canonicalUriProvider"),dt.registerCanonicalUriProvider(ge,ke)),getCanonicalUri:(ge,ke,qe)=>((0,et.$VF)(We,"canonicalUriProvider"),dt.provideCanonicalUri(ge,ke,qe))},cn={get inputBox(){return At.report("scm.inputBox",We,"Use 'SourceControl.inputBox' instead"),yi.getLastInputBox(We)},createSourceControl(ge,ke,qe){return yi.createSourceControl(We,ge,ke,qe)}},bn={createCommentController(ge,ke){return hn.createCommentController(We,ge,ke)}},pn={get activeDebugSession(){return yt.activeDebugSession},get activeDebugConsole(){return yt.activeDebugConsole},get breakpoints(){return yt.breakpoints},get stackFrameFocus(){return yt.stackFrameFocus},registerDebugVisualizationProvider(ge,ke){return(0,et.$VF)(We,"debugVisualization"),yt.registerDebugVisualizationProvider(We,ge,ke)},registerDebugVisualizationTreeProvider(ge,ke){return(0,et.$VF)(We,"debugVisualization"),yt.registerDebugVisualizationTree(We,ge,ke)},onDidStartDebugSession(ge,ke,qe){return ot(yt.onDidStartDebugSession)(ge,ke,qe)},onDidTerminateDebugSession(ge,ke,qe){return ot(yt.onDidTerminateDebugSession)(ge,ke,qe)},onDidChangeActiveDebugSession(ge,ke,qe){return ot(yt.onDidChangeActiveDebugSession)(ge,ke,qe)},onDidReceiveDebugSessionCustomEvent(ge,ke,qe){return ot(yt.onDidReceiveDebugSessionCustomEvent)(ge,ke,qe)},onDidChangeBreakpoints(ge,ke,qe){return ot(yt.onDidChangeBreakpoints)(ge,ke,qe)},onDidChangeStackFrameFocus(ge,ke,qe){return(0,et.$VF)(We,"debugFocus"),ot(yt.onDidChangeStackFrameFocus)(ge,ke,qe)},registerDebugConfigurationProvider(ge,ke,qe){return yt.registerDebugConfigurationProvider(ge,ke,qe||xt.DebugConfigurationProviderTriggerKind.Initial)},registerDebugAdapterDescriptorFactory(ge,ke){return yt.registerDebugAdapterDescriptorFactory(We,ge,ke)},registerDebugAdapterTrackerFactory(ge,ke){return yt.registerDebugAdapterTrackerFactory(ge,ke)},startDebugging(ge,ke,qe){return!qe||typeof qe=="object"&&"configuration"in qe?yt.startDebugging(ge,ke,{parentSession:qe}):yt.startDebugging(ge,ke,qe||{})},stopDebugging(ge){return yt.stopDebugging(ge)},addBreakpoints(ge){return yt.addBreakpoints(ge)},removeBreakpoints(ge){return yt.removeBreakpoints(ge)},asDebugSourceUri(ge,ke){return yt.asDebugSourceUri(ge,ke)}},ln={registerTaskProvider:(ge,ke)=>Qt.registerTaskProvider(We,ge,ke),fetchTasks:ge=>Qt.fetchTasks(ge),executeTask:ge=>Qt.executeTask(We,ge),get taskExecutions(){return Qt.taskExecutions},onDidStartTask:(ge,ke,qe)=>ot(Qt.onDidStartTask)(ge,ke,qe),onDidEndTask:(ge,ke,qe)=>ot(Qt.onDidEndTask)(ge,ke,qe),onDidStartTaskProcess:(ge,ke,qe)=>ot(Qt.onDidStartTaskProcess)(ge,ke,qe),onDidEndTaskProcess:(ge,ke,qe)=>ot(Qt.onDidEndTaskProcess)(ge,ke,qe)},un={createNotebookController(ge,ke,qe,ct,wt){return at.createNotebookController(We,ge,ke,qe,ct,(0,et.$UF)(We,"notebookMessaging")?wt:void 0)},registerNotebookCellStatusBarItemProvider:(ge,ke)=>Be.registerNotebookCellStatusBarItemProvider(We,ge,ke),createRendererMessaging(ge){return kt.createRendererMessaging(We,ge)},createNotebookControllerDetectionTask(ge){return(0,et.$VF)(We,"notebookKernelSource"),at.createNotebookControllerDetectionTask(We,ge)},registerKernelSourceActionProvider(ge,ke){return(0,et.$VF)(We,"notebookKernelSource"),at.registerKernelSourceActionProvider(We,ge,ke)},onDidChangeNotebookCellExecutionState(ge,ke,qe){return(0,et.$VF)(We,"notebookCellExecutionState"),ot(at.onDidChangeNotebookCellExecutionState)(ge,ke,qe)}},qi={t(...ge){if(typeof ge[0]=="string"){const ke=ge.shift(),qe=!ge||typeof ge[0]!="object"?ge:ge[0];return Re.getMessage(We.identifier.value,{message:ke,args:qe})}return Re.getMessage(We.identifier.value,ge[0])},get bundle(){return Re.getBundle(We.identifier.value)},get uri(){return Re.getBundleUri(We.identifier.value)}},Vi={_version:1,registerInteractiveEditorSessionProvider(ge,ke){return(0,et.$VF)(We,"interactive"),fn.registerProvider(We,ge,ke)},registerInteractiveSessionProvider(ge,ke){return(0,et.$VF)(We,"interactive"),wi.registerChatProvider(We,ge,ke)},sendInteractiveRequestToProvider(ge,ke){return(0,et.$VF)(We,"interactive"),wi.sendInteractiveRequestToProvider(ge,ke)},transferChatSession(ge,ke){return(0,et.$VF)(We,"interactive"),wi.transferChatSession(ge,ke)}},Hi={getRelatedInformation(ge,ke){return(0,et.$VF)(We,"aiRelatedInformation"),Fi.getRelatedInformation(We,ge,ke)},registerRelatedInformationProvider(ge,ke){return(0,et.$VF)(We,"aiRelatedInformation"),Fi.registerRelatedInformationProvider(We,ge,ke)},registerEmbeddingVectorProvider(ge,ke){return(0,et.$VF)(We,"aiRelatedInformation"),tn.registerEmbeddingVectorProvider(We,ge,ke)}},Pi={registerChatResponseProvider(ge,ke,qe){return(0,et.$VF)(We,"chatProvider"),Di.registerLanguageModel(We,ge,ke,qe)},registerChatVariableResolver(ge,ke,qe){return(0,et.$VF)(We,"chatVariableResolver"),mn.registerVariableResolver(We,ge,ke,qe)},registerMappedEditsProvider(ge,ke){return(0,et.$VF)(We,"mappedEditsProvider"),ht.registerMappedEditsProvider(We,ge,ke)},createChatParticipant(ge,ke){return(0,et.$VF)(We,"chatParticipant"),en.createChatAgent(We,ge,ke)}},Gi={requestLanguageModelAccess(ge,ke){return(0,et.$VF)(We,"languageModels"),Di.requestLanguageModelAccess(We,ge,ke)},get languageModels(){return(0,et.$VF)(We,"languageModels"),Di.getLanguageModelIds()},onDidChangeLanguageModels:(ge,ke,qe)=>((0,et.$VF)(We,"languageModels"),Di.onDidChangeProviders(ge,ke,qe))},Ki={registerSpeechProvider(ge,ke){return(0,et.$VF)(We,"speech"),Ti.registerProvider(We.identifier,ge,ke)}};return{version:vt.version,ai:Hi,authentication:gn,commands:sn,comments:bn,chat:Pi,debug:pn,env:Ui,extensions:on,interactive:Vi,l10n:qi,languages:Bi,lm:Gi,notebooks:un,scm:cn,speech:Ki,tasks:ln,tests:$n,window:an,workspace:Wi,Breakpoint:Ne.$1M,TerminalOutputAnchor:Ne.TerminalOutputAnchor,ChatResultFeedbackKind:Ne.ChatResultFeedbackKind,ChatVariableLevel:Ne.ChatVariableLevel,ChatCompletionItem:Ne.$TN,CallHierarchyIncomingCall:Ne.$nM,CallHierarchyItem:Ne.$mM,CallHierarchyOutgoingCall:Ne.$oM,CancellationError:F.$5,CancellationTokenSource:I.$ce,CandidatePortSource:n.CandidatePortSource,CodeAction:Ne.$jM,CodeActionKind:Ne.$kM,CodeActionTriggerKind:Ne.CodeActionTriggerKind,CodeLens:Ne.$pM,Color:Ne.$CM,ColorInformation:Ne.$DM,ColorPresentation:Ne.$EM,ColorThemeKind:Ne.ColorThemeKind,CommentMode:Ne.CommentMode,CommentState:Ne.CommentState,CommentThreadCollapsibleState:Ne.CommentThreadCollapsibleState,CommentThreadState:Ne.CommentThreadState,CompletionItem:Ne.$wM,CompletionItemKind:Ne.CompletionItemKind,CompletionItemTag:Ne.CompletionItemTag,CompletionList:Ne.$xM,CompletionTriggerKind:Ne.CompletionTriggerKind,ConfigurationTarget:Ne.ConfigurationTarget,CustomExecution:Ne.$MM,DebugAdapterExecutable:Ne.$5M,DebugAdapterInlineImplementation:Ne.$8M,DebugAdapterNamedPipeServer:Ne.$7M,DebugAdapterServer:Ne.$6M,DebugConfigurationProviderTriggerKind:xt.DebugConfigurationProviderTriggerKind,DebugConsoleMode:Ne.DebugConsoleMode,DebugVisualization:Ne.$lN,DecorationRangeBehavior:Ne.DecorationRangeBehavior,Diagnostic:Ne.$dM,DiagnosticRelatedInformation:Ne.$cM,DiagnosticSeverity:Ne.DiagnosticSeverity,DiagnosticTag:Ne.DiagnosticTag,Disposable:Ne.$2L,DocumentHighlight:Ne.$fM,DocumentHighlightKind:Ne.DocumentHighlightKind,MultiDocumentHighlight:Ne.$gM,DocumentLink:Ne.$BM,DocumentSymbol:Ne.$iM,EndOfLine:Ne.EndOfLine,EnvironmentVariableMutatorType:Ne.EnvironmentVariableMutatorType,EvaluatableExpression:Ne.$$M,InlineValueText:Ne.$_M,InlineValueVariableLookup:Ne.$aN,InlineValueEvaluatableExpression:Ne.$bN,InlineCompletionTriggerKind:Ne.InlineCompletionTriggerKind,EventEmitter:$.$5d,ExtensionKind:Ne.ExtensionKind,ExtensionMode:Ne.ExtensionMode,ExternalUriOpenerPriority:Ne.ExternalUriOpenerPriority,FileChangeType:Ne.FileChangeType,FileDecoration:Ne.$nN,FileDecoration2:Ne.$nN,FileSystemError:Ne.$eN,FileType:k.FileType,FilePermission:k.FilePermission,FoldingRange:Ne.$fN,FoldingRangeKind:Ne.FoldingRangeKind,FunctionBreakpoint:Ne.$3M,InlineCompletionItem:Ne.$yM,InlineCompletionList:Ne.$zM,Hover:Ne.$eM,IndentAction:C.IndentAction,Location:Ne.$bM,MarkdownString:Ne.$qM,OverviewRulerLane:b.OverviewRulerLane,ParameterInformation:Ne.$rM,PortAutoForwardAction:Ne.PortAutoForwardAction,Position:Ne.$3L,ProcessExecution:Ne.$KM,ProgressLocation:Ne.ProgressLocation,QuickInputButtons:Ne.$mN,Range:Ne.$4L,RelativePattern:Ne.$YM,Selection:Ne.$5L,SelectionRange:Ne.$lM,SemanticTokens:Ne.$iN,SemanticTokensBuilder:Ne.$hN,SemanticTokensEdit:Ne.$jN,SemanticTokensEdits:Ne.$kN,SemanticTokensLegend:Ne.$gN,ShellExecution:Ne.$LM,ShellQuoting:Ne.ShellQuoting,SignatureHelp:Ne.$tM,SignatureHelpTriggerKind:Ne.SignatureHelpTriggerKind,SignatureInformation:Ne.$sM,SnippetString:Ne.$aM,SourceBreakpoint:Ne.$2M,StandardTokenType:Ne.StandardTokenType,StatusBarAlignment:Ne.StatusBarAlignment,SymbolInformation:Ne.$hM,SymbolKind:Ne.SymbolKind,SymbolTag:Ne.SymbolTag,Task:Ne.$NM,TaskGroup:Ne.$JM,TaskPanelKind:Ne.TaskPanelKind,TaskRevealKind:Ne.TaskRevealKind,TaskScope:Ne.TaskScope,TerminalLink:Ne.$FM,TerminalQuickFixTerminalCommand:Ne.$HM,TerminalQuickFixOpener:Ne.$GM,TerminalLocation:Ne.TerminalLocation,TerminalProfile:Ne.$IM,TerminalExitReason:Ne.TerminalExitReason,TextDocumentSaveReason:Ne.TextDocumentSaveReason,TextEdit:Ne.$9L,SnippetTextEdit:Ne.$$L,TextEditorCursorStyle:S.TextEditorCursorStyle,TextEditorLineNumbersStyle:Ne.TextEditorLineNumbersStyle,TextEditorRevealType:Ne.TextEditorRevealType,TextEditorSelectionChangeKind:Ne.TextEditorSelectionChangeKind,SyntaxTokenType:Ne.SyntaxTokenType,TextDocumentChangeReason:Ne.TextDocumentChangeReason,ThemeColor:Ne.$XM,ThemeIcon:Ne.$WM,TreeItem:Ne.$OM,TreeItemCheckboxState:Ne.TreeItemCheckboxState,TreeItemCollapsibleState:Ne.TreeItemCollapsibleState,TypeHierarchyItem:Ne.$IN,UIKind:ii.UIKind,Uri:v.URI,ViewColumn:Ne.ViewColumn,WorkspaceEdit:Ne.$_L,DocumentDropEdit:Ne.$UM,DocumentPasteEdit:Ne.$VM,InlayHint:Ne.$vM,InlayHintLabelPart:Ne.$uM,InlayHintKind:Ne.InlayHintKind,RemoteAuthorityResolverError:Ne.$8L,ResolvedAuthority:Ne.$6L,ManagedResolvedAuthority:Ne.$7L,SourceControlInputBoxValidationType:Ne.SourceControlInputBoxValidationType,ExtensionRuntime:Ne.ExtensionRuntime,TimelineItem:Ne.$xN,NotebookRange:Ne.$pN,NotebookCellKind:Ne.NotebookCellKind,NotebookCellExecutionState:Ne.NotebookCellExecutionState,NotebookCellData:Ne.$qN,NotebookData:Ne.$rN,NotebookRendererScript:Ne.$vN,NotebookCellStatusBarAlignment:Ne.NotebookCellStatusBarAlignment,NotebookEditorRevealType:Ne.NotebookEditorRevealType,NotebookCellOutput:Ne.$tN,NotebookCellOutputItem:Ne.$sN,NotebookCellStatusBarItem:Ne.$uN,NotebookControllerAffinity:Ne.NotebookControllerAffinity,NotebookControllerAffinity2:Ne.NotebookControllerAffinity2,NotebookEdit:Ne.$0L,NotebookKernelSourceAction:Ne.$wN,NotebookVariablesRequestKind:Ne.NotebookVariablesRequestKind,PortAttributes:Ne.$zN,LinkedEditingRanges:Ne.$yN,TestResultState:Ne.TestResultState,TestRunRequest:Ne.$AN,TestMessage:Ne.$BN,TestTag:Ne.$CN,TestRunProfileKind:Ne.TestRunProfileKind,TextSearchCompleteMessageType:zt.TextSearchCompleteMessageType,DataTransfer:Ne.$TM,DataTransferItem:Ne.$PM,CoveredCount:Ne.$DN,FileCoverage:Ne.$EN,StatementCoverage:Ne.$FN,BranchCoverage:Ne.$GN,DeclarationCoverage:Ne.$HN,FunctionCoverage:Ne.$HN,WorkspaceTrustState:Ne.WorkspaceTrustState,LanguageStatusSeverity:Ne.LanguageStatusSeverity,QuickPickItemKind:Ne.QuickPickItemKind,InputBoxValidationSeverity:Ne.InputBoxValidationSeverity,TabInputText:Ne.$JN,TabInputTextDiff:Ne.$KN,TabInputTextMerge:Ne.$LN,TabInputCustom:Ne.$MN,TabInputNotebook:Ne.$ON,TabInputNotebookDiff:Ne.$PN,TabInputWebview:Ne.$NN,TabInputTerminal:Ne.$QN,TabInputInteractiveWindow:Ne.$RN,TabInputChat:Ne.$SN,TelemetryTrustedValue:o.$Wo,LogLevel:l.LogLevel,EditSessionIdentityMatch:i.EditSessionIdentityMatch,InteractiveSessionVoteDirection:Ne.InteractiveSessionVoteDirection,ChatCopyKind:Ne.ChatCopyKind,InteractiveEditorResponseFeedbackKind:Ne.InteractiveEditorResponseFeedbackKind,StackFrameFocus:Ne.$9M,ThreadFocus:Ne.$0M,RelatedInformationType:Ne.RelatedInformationType,SpeechToTextStatus:Ne.SpeechToTextStatus,KeywordRecognitionStatus:Ne.KeywordRecognitionStatus,ChatResponseMarkdownPart:Ne.$UN,ChatResponseFileTreePart:Ne.$VN,ChatResponseAnchorPart:Ne.$WN,ChatResponseProgressPart:Ne.$XN,ChatResponseReferencePart:Ne.$ZN,ChatResponseCommandButtonPart:Ne.$YN,ChatRequestTurn:Ne.$1N,ChatResponseTurn:Ne.$2N,LanguageModelSystemMessage:Ne.$3N,LanguageModelUserMessage:Ne.$4N,LanguageModelAssistantMessage:Ne.$5N,NewSymbolName:Ne.$dN,NewSymbolNameTag:Ne.NewSymbolNameTag,InlineEdit:Ne.$6N,InlineEditTriggerKind:Ne.InlineEditTriggerKind}}}e.$Kjc=_t}),define(Se[373],De([1,0,84,153,42,148,43,33,72,46,95,96,97,117,70,91,147,69,59,116,90,71,146,13,60,114,115]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d,u,s,c){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,I.$0r)(s.$zic,s.$yic,1),(0,I.$0r)(d.$zj,t.$Ljc,1),(0,I.$0r)(l.$Fhc,l.$Ghc,1),(0,I.$0r)(w.$AO,w.$zO,0),(0,I.$0r)(R.$6hc,R.$4hc,0),(0,I.$0r)(o.$8hc,o.$7hc,0),(0,I.$0r)(C.$Jic,C.$Nic,0),(0,I.$0r)(L.$Pic,L.$Oic,0),(0,I.$0r)(v.$pO,v.$oO,0),(0,I.$0r)(c.$Aic,c.$Bic,0),(0,I.$0r)(i.$Jhc,i.$Ihc,0),(0,I.$0r)(F.$jjc,F.$ijc,1),(0,I.$0r)(b.$6ic,b.$7ic,0),(0,I.$0r)(E.$oic,E.$nic,0),(0,I.$0r)(M.$wjc,M.$vjc,0),(0,I.$0r)(S.$ric,S.$uic,0),(0,I.$0r)(k.$pAb,k.$qAb,0),(0,I.$0r)(p.$Jjc,p.$Ijc,0),(0,I.$0r)($.$3hc,$.$2hc,0),(0,I.$0r)(n.$wic,n.$vic,0),(0,I.$0r)(r.$yO,r.$vO,0),(0,I.$0r)(a.$fic,a.$gic,0),(0,I.$0r)(u.$Hic,u.$Iic,0)}),define(Se[119],De([1,0,19,13,36,94]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$4jc=e.$3jc=e.$2jc=void 0;function R(C){return C.startsWith("**")||C.startsWith("/")?C:`/${C}`}e.$2jc=R;function w(C,b,E,k){const l=(0,I.$2b)(E,v),p=new $.$oK(b,l,k),o=p.preview.matches;return{ranges:(0,I.$2b)(l,S),uri:C,preview:{text:p.preview.text,matches:(0,I.$2b)(o,S)}}}e.$3jc=w;function v(C){return new $.$pK(C.start.line,C.start.character,C.end.line,C.end.character)}function S(C){return new L.$dK(C.startLineNumber,C.startColumn,C.endLineNumber,C.endColumn)}let M=class{constructor(b,E){this.a=b,this.b=E}appendLine(b){this.b.debug(`${this.a}#search`,b)}};e.$4jc=M,e.$4jc=M=Je([Ve(1,F.$yj)],M)}),define(Se[374],De([1,0,51,17,76,34,11,12,119,375]),function(me,e,I,F,$,L,R,w,v,S){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$7jc=e.$6jc=e.$5jc=void 0;const M=S.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");function C(n,r,a,t){const d=b(n,r,a,t),u=r.folder.fsPath;return{cmd:I.spawn(M,d.args,{cwd:u}),rgDiskPath:M,siblingClauses:d.siblingClauses,rgArgs:d,cwd:u}}e.$5jc=C;function b(n,r,a,t){const d=["--files","--hidden","--case-sensitive","--no-require-git"];k([r],a,!1).forEach(s=>{const c=(0,v.$2jc)(s);if(d.push("-g",c),R.$j){const h=(0,$.$Sl)(c);h!==c&&d.push("-g",h)}});const u=E([r],t,void 0,!1);return u.globArgs.forEach(s=>{const c=`!${(0,v.$2jc)(s)}`;if(d.push("-g",c),R.$j){const h=(0,$.$Sl)(c);h!==c&&d.push("-g",h)}}),r.disregardIgnoreFiles!==!1?d.push("--no-ignore"):r.disregardParentIgnoreFiles!==!1&&d.push("--no-ignore-parent"),r.ignoreSymlinks||d.push("--follow"),n.exists&&d.push("--quiet"),d.push("--no-config"),r.disregardGlobalIgnoreFiles&&d.push("--no-ignore-global"),{args:d,siblingClauses:u.siblingClauses}}function E(n,r,a,t=!0){const d=[];let u={};return n.forEach(s=>{const c=Object.assign({},s.excludePattern||{},r||{}),h=l(c,t?s.folder.fsPath:void 0,a);d.push(...h.globArgs),h.siblingClauses&&(u=Object.assign(u,h.siblingClauses))}),{globArgs:d,siblingClauses:u}}function k(n,r,a=!0){const t=[];return n.forEach(d=>{const u=Object.assign({},r||{},d.includePattern||{}),s=l(u,a?d.folder.fsPath:void 0);t.push(...s.globArgs)}),t}function l(n,r,a){const t=[],d={};return Object.keys(n).forEach(u=>{if(a&&a.has(u)||!u)return;const s=n[u];u=o(r?p(r,u):u),u.startsWith("\\\\")?u="\\\\"+u.substr(2).replace(/\\/g,"/"):u=u.replace(/\\/g,"/"),typeof s=="boolean"&&s?(u.startsWith("\\\\")&&(u+="**"),t.push(i(u))):s&&s.when&&(d[u]=s)}),{globArgs:t,siblingClauses:d}}function p(n,r){return F.$ic(r)?r:F.$jc(n,r)}e.$6jc=p;function o(n){return n=w.$4e(n,"\\"),w.$4e(n,"/")}function i(n){return L.$bg(n).toLowerCase()==="c:/"?n.replace(/^c:[/\\]/i,"/"):n}e.$7jc=i}),define(Se[376],De([1,0,51,57,17,377,19,40,35,76,34,11,38,12,18,31,36,374,129]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$9jc=e.$8jc=void 0;const n=new Set;process.on("exit",()=>{n.forEach(u=>u())});class r{constructor(s){this.c=null,this.h=null,this.l=!1,this.m=null,this.r=null,this.s=0,this.a=s,this.b=s.filePattern||"",this.d=s.includePattern&&v.$Xj(s.includePattern),this.f=s.maxResults||null,this.g=!!s.exists,this.v=Object.create(null),this.k=0,this.j=!1,this.o=0,this.p=0,this.q=[],this.b&&(this.c=s.shouldGlobMatchFilePattern?null:(0,i.$$q)(this.b).normalizedLowercase),this.u=s.excludePattern&&v.$Xj(s.excludePattern),this.t=new Map,s.folderQueries.forEach(c=>{const h=Object.assign({},c.excludePattern||{},this.a.excludePattern||{}),m=c.folder.fsPath;s.folderQueries.map(D=>D.folder.fsPath).filter(D=>D!==m).forEach(D=>{(0,M.$fg)(D,m)&&(h[$.$lc(m,D)]=!0)}),this.t.set(m,new t(h,m))})}cancel(){this.l=!0,n.forEach(s=>s())}walk(s,c,h,m,D){if(this.m=b.$1d.create(!1),this.l)return D(null,this.j);c.forEach(g=>{const f=$.$nc(g.fsPath);this.u&&this.u(g.fsPath,f)||this.J(h,{relativePath:g.fsPath,searchPath:void 0})}),this.r=b.$1d.create(!1),this.w(s,(g,f)=>{this.x(this.y,this,g,h,m,y=>{if(y){const A=(0,w.$2i)(y);console.error(A),this.q.push(A),f(y,void 0)}else f(null,void 0)})},(g,f)=>{this.m.stop();const y=g?R.$Hb(g)[0]:null;D(y,this.j)})}w(s,c,h){const m=new Array(s.length),D=new Array(s.length);let g=!1,f=0;if(s.length===0)return h(null,[]);s.forEach((y,A)=>{c(y,(N,U)=>{if(N?(g=!0,m[A]=null,D[A]=N):(m[A]=U,D[A]=null),++f===s.length)return h(g?D:null,m)})})}x(s,c,...h){try{s.apply(c,h)}catch(m){h[h.length-1](m)}}y(s,c,h,m){const D=s.folder.fsPath,g=C.$j,f=()=>z&&z.kill();n.add(f);let y=j=>{n.delete(f),y=()=>{},m(j)},A="";const N=this.D(),U=(0,o.$5jc)(this.a,s,this.a.includePattern,this.t.get(s.folder.fsPath).expression),z=U.cmd,T=!Object.keys(U.siblingClauses).length,P=U.rgArgs.args.map(j=>j.match(/^-/)?j:`'${j}'`).join(" ");let O=`${U.rgDiskPath} ${P}
 - cwd: ${U.cwd}`;U.rgArgs.siblingClauses&&(O+=`
 - Sibling clauses: ${JSON.stringify(U.rgArgs.siblingClauses)}`),h({message:O}),this.s=0,this.z(z,"utf8",h,(j,K,ie)=>{if(j){y(j);return}if(this.j){y();return}const X=(A+(g?S.$Rl(K||""):K)).split(`
`);if(ie){const Y=X.length;X[Y-1]=X[Y-1].trim(),X[Y-1]||X.pop()}else A=X.pop()||"";if(X.length&&X[0].indexOf(`
`)!==-1){y(new Error("Splitting up files failed"));return}if(this.s+=X.length,T){for(const Y of X)if(this.J(c,{base:D,relativePath:Y,searchPath:this.N(s,Y)}),this.j){f();break}(ie||this.j)&&y();return}this.G(s,N,D,X,c),ie&&(this.H(N,D,c),y())})}spawnFindCmd(s){const c=this.t.get(s.folder.fsPath),h=c.getBasenameTerms(),m=c.getPathTerms(),D=["-L","."];if(h.length||m.length){D.push("-not","(","(");for(const g of h)D.push("-name",g),D.push("-o");for(const g of m)D.push("-path",g),D.push("-o");D.pop(),D.push(")","-prune",")")}return D.push("-type","f"),I.spawn("find",D,{cwd:s.folder.fsPath})}readStdout(s,c,h){let m="";this.z(s,c,()=>{},(D,g,f)=>{if(D){h(D);return}m+=g,f&&h(null,m)})}z(s,c,h,m){let D=(y,A,N)=>{(y||N)&&(D=()=>{},this.r?.stop()),m(y,A,N)},g=!1;s.stdout?(this.A(s.stdout,c,D),s.stdout.once("data",()=>g=!0)):h({message:"stdout is null"});let f;s.stderr?f=this.B(s.stderr):h({message:"stderr is null"}),s.on("error",y=>{D(y)}),s.on("close",y=>{let A;!g&&(A=this.C(f,c))&&d(A)?D(new Error(`command failed with error code ${y}: ${this.C(f,c)}`)):(this.g&&y===0&&(this.j=!0),D(null,"",!0))})}A(s,c,h){const m=new L.StringDecoder(c);return s.on("data",D=>{h(null,m.write(D))}),m}B(s){const c=[];return s.on("data",h=>{c.push(h)}),c}C(s,c){const h=new L.StringDecoder(c);return s.map(m=>h.write(m)).join("")}D(){const s={rootEntries:[],pathToEntries:Object.create(null)};return s.pathToEntries["."]=s.rootEntries,s}G(s,{pathToEntries:c},h,m,D){m.indexOf(this.b)!==-1&&this.J(D,{base:h,relativePath:this.b,searchPath:this.N(s,this.b)});const g=f=>{const y=$.$nc(f),A=$.$mc(f);let N=c[A];N||(N=c[A]=[],g(A)),N.push({base:h,relativePath:f,basename:y,searchPath:this.N(s,f)})};m.forEach(g)}H({rootEntries:s,pathToEntries:c},h,m){const D=this,g=this.t.get(h),f=this.b;function y(A){D.o++;const N=(0,p.$EK)(()=>A.map(U=>U.basename));for(let U=0,z=A.length;U<z;U++){const T=A[U],{relativePath:P,basename:O}=T;if(g.test(P,O,f!==O?N:void 0))continue;const j=c[P];if(j)y(j);else{if(D.p++,P===f)continue;D.J(m,T)}if(D.j)break}}y(s)}getStats(){return{cmdTime:this.r.elapsed(),fileWalkTime:this.m.elapsed(),directoriesWalked:this.o,filesWalked:this.p,cmdResultCount:this.s}}I(s,c,h,m,D){const g=s.folder,f=(0,p.$EK)(()=>h);this.w(h,(y,A)=>{if(this.l||this.j)return A(null);const N=c?[c,y].join($.sep):y;if(this.t.get(s.folder.fsPath).test(N,y,this.a.filePattern!==y?f:void 0))return A(null);const U=[g.fsPath,N].join($.sep);F.lstat(U,(z,T)=>{if(z||this.l||this.j)return A(null);this.L(U,T,(P,O)=>P||this.l||this.j?A(null):O.isDirectory()?(this.o++,this.M(U,T,(j,K)=>j||this.l||this.j||(K=K||"",this.v[K])?A(null):(this.v[K]=!0,l.Promises.readdir(U).then(ie=>{if(this.l||this.j)return A(null);this.I(s,N,ie,m,_=>A(_||null))},ie=>{A(null)})))):(this.p++,N===this.b||this.h&&k.$Wf(O.size)&&O.size>this.h||this.J(m,{base:g.fsPath,relativePath:N,searchPath:this.N(s,N)}),A(null,void 0)))})},y=>{const A=y&&R.$Hb(y);return D(A&&A.length>0?A[0]:void 0)})}J(s,c){this.K(c)&&(!this.d||this.d(c.relativePath,$.$nc(c.relativePath)))&&(this.k++,(this.g||this.f&&this.k>this.f)&&(this.j=!0),this.j||s(c))}K(s){if(this.b){if(this.b==="*")return!0;if(this.c)return(0,p.$zK)(s,this.c);if(this.b)return(0,p.$zK)(s,this.b,!1)}return!0}L(s,c,h){return c.isSymbolicLink()?F.stat(s,h):h(null,c)}M(s,c,h){return c.isSymbolicLink()?F.realpath(s,(m,D)=>m?h(m):h(null,D)):h(null,s)}N(s,c){return s.folderName?$.$jc(s.folderName,c):c}}e.$8jc=r;class a{constructor(s){this.a=s.folderQueries,this.b=s.extraFileResources||[],this.c=new r(s)}search(s,c,h){this.c.walk(this.a,this.b,s,c,(m,D)=>{h(m,{limitHit:D,stats:this.c.getStats(),messages:[]})})}cancel(){this.c.cancel()}}e.$9jc=a;class t{constructor(s,c){this.expression=s,this.c=c,this.d(s)}d(s){let c,h;Object.keys(s).filter(m=>s[m]).forEach(m=>{$.$ic(m)?(c=c||v.$Sj(),c[m]=s[m]):(h=h||v.$Sj(),h[m]=s[m])}),this.a=c&&v.$Xj(c,{trimForExclusions:!0}),this.b=h&&v.$Xj(h,{trimForExclusions:!0})}test(s,c,h){return this.b&&this.b(s,c,h)||this.a&&this.a($.$jc(this.c,s),c,h)}getBasenameTerms(){const s=[];return this.a&&s.push(...v.$Zj(this.a)),this.b&&s.push(...v.$Zj(this.b)),s}getPathTerms(){const s=[];return this.a&&s.push(...v.$1j(this.a)),this.b&&s.push(...v.$1j(this.b)),s}}function d(u){const s=u.trim().split(`
`),c=s[0].trim();if(c.startsWith("Error parsing regex"))return c;if(c.startsWith("regex parse error"))return E.$Kf(s[s.length-1].trim());if(c.startsWith("error parsing glob")||c.startsWith("unsupported encoding"))return c.charAt(0).toUpperCase()+c.substr(1);if(c==="Literal '\\n' not allowed.")return"Literal '\\n' currently not supported";if(c.startsWith("Literal "))return c}}),define(Se[378],De([1,0,98,21,187,22]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$KD=e.$JD=e.$ID=e.$HD=e.$GD=e.$FD=e.$ED=e.$DD=e.$CD=e.DecodeStreamErrorKind=e.$BD=e.$AD=e.$zD=e.$yD=e.$xD=e.$wD=e.$vD=e.$uD=void 0,e.$uD="utf8",e.$vD="utf8bom",e.$wD="utf16be",e.$xD="utf16le";function R(c){return[e.$uD,e.$vD,e.$wD,e.$xD].some(h=>h===c)}e.$yD=R,e.$zD=[254,255],e.$AD=[255,254],e.$BD=[239,187,191];const w=512,v=512,S=512*8,M=512*128;var C;(function(c){c[c.STREAM_IS_BINARY=1]="STREAM_IS_BINARY"})(C||(e.DecodeStreamErrorKind=C={}));class b extends Error{constructor(h,m){super(h),this.decodeStreamErrorKind=m}}e.$CD=b;class E{static async create(h){let m;if(h!==e.$uD)m=(await(0,$.$tD)("@vscode/iconv-lite-umd","lib/iconv-lite-umd.js")).getDecoder(o(h));else{const D=new TextDecoder;m={write(g){return D.decode(g,{stream:!0})},end(){return D.decode()}}}return new E(m)}constructor(h){this.a=h}write(h){return this.a.write(h)}end(){return this.a.end()}}function k(c,h){const m=h.minBytesRequiredForDetection??h.guessEncoding?S:v;return new Promise((D,g)=>{const f=(0,I.$ge)(T=>T.join("")),y=[];let A=0,N;const U=new L.$ce,z=async()=>{try{const T=await s({buffer:F.$se.concat(y),bytesRead:A},h.guessEncoding);if(T.seemsBinary&&h.acceptTextOnly)throw new b("Stream is binary but only text is accepted for decoding",1);T.encoding=await h.overwriteEncoding(T.encoding),N=await E.create(T.encoding);const P=N.write(F.$se.concat(y).buffer);f.write(P),y.length=0,A=0,D({stream:f,detected:T})}catch(T){U.cancel(),f.destroy(),g(T)}};(0,I.$ke)(c,{onData:async T=>{N?f.write(N.write(T.buffer)):(y.push(T),A+=T.byteLength,A>=m&&(c.pause(),await z(),setTimeout(()=>c.resume())))},onError:T=>f.error(T),onEnd:async()=>{N||await z(),f.end(N?.end())}},U.token)})}e.$DD=k;async function l(c,h,m){const g=(await(0,$.$tD)("@vscode/iconv-lite-umd","lib/iconv-lite-umd.js")).getEncoder(o(h),m);let f=!1,y=!1;return{read(){if(y)return null;const A=c.read();if(typeof A!="string"){if(y=!0,!f&&m?.addBOM)switch(h){case e.$uD:case e.$vD:return F.$se.wrap(Uint8Array.from(e.$BD));case e.$wD:return F.$se.wrap(Uint8Array.from(e.$zD));case e.$xD:return F.$se.wrap(Uint8Array.from(e.$AD))}const N=g.end();return N&&N.length>0?(f=!0,F.$se.wrap(N)):null}return f=!0,F.$se.wrap(g.write(A))}}}e.$ED=l;async function p(c){return(await(0,$.$tD)("@vscode/iconv-lite-umd","lib/iconv-lite-umd.js")).encodingExists(o(c))}e.$FD=p;function o(c){return c===e.$vD||c===null?e.$uD:c}e.$GD=o;function i(c,h){if(!c||h<e.$zD.length)return null;const m=c.readUInt8(0),D=c.readUInt8(1);if(m===e.$zD[0]&&D===e.$zD[1])return e.$wD;if(m===e.$AD[0]&&D===e.$AD[1])return e.$xD;if(h<e.$BD.length)return null;const g=c.readUInt8(2);return m===e.$BD[0]&&D===e.$BD[1]&&g===e.$BD[2]?e.$vD:null}e.$HD=i;const n=["ascii","utf-16","utf-32"];async function r(c){const h=await(0,$.$tD)("jschardet","dist/jschardet.min.js"),m=c.slice(0,M),D=d(m.buffer),g=h.detect(D);if(!g||!g.encoding)return null;const f=g.encoding.toLowerCase();return 0<=n.indexOf(f)?null:t(g.encoding)}const a={ibm866:"cp866",big5:"cp950"};function t(c){const h=c.replace(/[^a-zA-Z0-9]/g,"").toLowerCase();return a[h]||h}function d(c){let h="";for(let m=0;m<c.length;m++)h+=String.fromCharCode(c[m]);return h}function u(c){switch(c){case"shiftjis":return"shift-jis";case"utf16le":return"utf-16le";case"utf16be":return"utf-16be";case"big5hkscs":return"big5-hkscs";case"eucjp":return"euc-jp";case"euckr":return"euc-kr";case"koi8r":return"koi8-r";case"koi8u":return"koi8-u";case"macroman":return"x-mac-roman";case"utf8bom":return"utf8";default:{const h=c.match(/windows(\d+)/);return h?"windows-"+h[1]:c}}}e.$ID=u;function s({buffer:c,bytesRead:h},m){let D=i(c,h),g=!1;if(D!==e.$wD&&D!==e.$xD&&c){let f=!0,y=!0,A=!1;for(let N=0;N<h&&N<w;N++){const U=N%2===1,z=c.readUInt8(N)===0;if(z&&(A=!0),f&&(U&&!z||!U&&z)&&(f=!1),y&&(U&&z||!U&&!z)&&(y=!1),z&&!f&&!y)break}A&&(f?D=e.$xD:y?D=e.$wD:g=!0)}return m&&!g&&!D&&c?r(c.slice(0,h)).then(f=>({seemsBinary:!1,encoding:f})):{seemsBinary:g,encoding:D}}e.$JD=s,e.$KD={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Simplified Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Simplified Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}}}),define(Se[156],De([1,0,378,31,155]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ekc=void 0;class L extends $.$2ic{constructor(w,v,S=F,M="searchProcess"){super(w,v,{readdir:C=>S.Promises.readdir(C.fsPath),toCanonicalName:C=>(0,I.$ID)(C)},M)}}e.$ekc=L}),define(Se[157],De([1,0,51,394,377,19,73,35,12,2,36,94,395,375,119]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$dkc=e.$ckc=e.$bkc=e.$akc=e.$_jc=e.$$jc=e.$0jc=void 0;const l=E.rgPath.replace(/\bnode_modules\.asar\b/,"node_modules.asar.unpacked");class p{constructor(f){this.a=f}provideTextSearchResults(f,y,A,N){return this.a.appendLine(`provideTextSearchResults ${f.pattern}, ${JSON.stringify({...y,folder:y.folder.toString()})}`),new Promise((U,z)=>{N.onCancellationRequested(()=>X());const T=t(f,y),P=y.folder.fsPath,O=T.map(re=>re.match(/^-/)?re:`'${re}'`).join(" ");this.a.appendLine(`${l} ${O}
 - cwd: ${P}`);let j=I.spawn(l,T,{cwd:P});j.on("error",re=>{console.error(re),this.a.appendLine("Error: "+(re&&re.message)),z((0,M.$vK)(new M.$tK(re&&re.message,M.SearchErrorCode.rgProcessError)))});let K=!1;const ie=new n(y.maxResults,y.folder,y.previewOptions);ie.on("result",re=>{K=!0,ae="",A.report(re)});let _=!1;const X=()=>{_=!0,j?.kill(),ie?.cancel()};let Y=!1;ie.on("hitLimit",()=>{Y=!0,X()});let ae="";j.stdout.on("data",re=>{ie.handleData(re),K||(ae+=re)});let ee=!1;j.stdout.once("data",()=>ee=!0);let fe="";j.stderr.on("data",re=>{const J=re.toString();this.a.appendLine(J),fe.length+J.length<1e6&&(fe+=J)}),j.on("close",()=>{if(this.a.appendLine(ee?"Got data from stdout":"No data from stdout"),this.a.appendLine(K?"Got result from parser":"No result from parser"),ae&&this.a.appendLine(`Got data without result: ${ae}`),this.a.appendLine(""),_)U({limitHit:Y});else{ie.flush(),j=null;let re;fe&&!ee&&(re=o(fe))?z((0,M.$vK)(new M.$tK(re.message,re.code))):U({limitHit:Y})}})})}}e.$0jc=p;function o(g){const f=g.split(`
`),y=f[0].trim();if(f.some(N=>N.startsWith("regex parse error")))return new M.$tK(i(f),M.SearchErrorCode.regexParseError);const A=y.match(/grep config error: unknown encoding: (.*)/);if(A)return new M.$tK(`Unknown encoding: ${A[1]}`,M.SearchErrorCode.unknownEncoding);if(y.startsWith("error parsing glob"))return new M.$tK(y.charAt(0).toUpperCase()+y.substr(1),M.SearchErrorCode.globParseError);if(y.startsWith("the literal"))return new M.$tK(y.charAt(0).toUpperCase()+y.substr(1),M.SearchErrorCode.invalidLiteral);if(y.startsWith("PCRE2: error compiling pattern"))return new M.$tK(y,M.SearchErrorCode.regexParseError)}function i(g){const f=["Regex parse error"],y=g.filter(A=>A.startsWith("PCRE2:"));if(y.length>=1){const A=y[0].replace("PCRE2:","");if(A.indexOf(":")!==-1&&A.split(":").length>=2){const N=A.split(":")[1];f.push(":"+N)}}return f.join("")}class n extends F.EventEmitter{constructor(f,y,A){super(),this.g=f,this.h=y,this.j=A,this.a="",this.b=!1,this.c=!1,this.f=0,this.d=new $.StringDecoder}cancel(){this.b=!0}flush(){this.k(this.d.end())}on(f,y){return super.on(f,y),this}handleData(f){if(this.b)return;const y=typeof f=="string"?f:this.d.write(f);this.k(y)}k(f){let y=f.indexOf(`
`);const A=this.a+f;if(y>=0)y+=this.a.length;else{this.a=A;return}let N=0;for(;y>=0;)this.m(A.substring(N,y).trim()),N=y+1,y=A.indexOf(`
`,N);this.a=A.substring(N)}m(f){if(this.b||!f)return;let y;try{y=JSON.parse(f)}catch{throw new Error(`malformed line from rg: ${f}`)}if(y.type==="match"){const A=r(y.data.path),N=S.URI.joinPath(this.h,A),U=this.n(y.data,N);this.p(U),this.c&&(this.cancel(),this.emit("hitLimit"))}else if(y.type==="context"){const A=r(y.data.path),N=S.URI.joinPath(this.h,A);this.o(y.data,N).forEach(z=>this.p(z))}}n(f,y){const A=f.line_number-1,N=r(f.lines),U=Buffer.from(N);let z=0,T=0,P=A;f.submatches.length===0&&f.submatches.push(N.length?{start:0,end:1,match:{text:N[0]}}:{start:0,end:0,match:{text:""}});const O=(0,L.$Hb)(f.submatches.map((j,K)=>{if(this.c)return null;this.f++,this.f>=this.g&&(this.c=!0);const ie=r(j.match),_=U.slice(z,j.start).toString(),X=a(_),Y=X.numLines>0?X.lastLineLength:X.lastLineLength+T,ae=a(ie),ee=X.numLines+P,fe=ae.numLines+ee,re=ae.numLines>0?ae.lastLineLength:ae.lastLineLength+Y;return z=j.end,T=re,P=fe,new C.$dK(ee,Y,fe,re)}));return(0,k.$3jc)(y,N,O,this.j)}o(f,y){const A=r(f.lines),N=f.line_number;return A.replace(/\r?\n$/,"").split(`
`).map((U,z)=>({text:U,uri:y,lineNumber:N+z}))}p(f){this.emit("result",f)}}e.$$jc=n;function r(g){return g.bytes?Buffer.from(g.bytes,"base64").toString():g.text}function a(g){const f=/\n/g;let y=0,A=-1,N;for(;N=f.exec(g);)y++,A=N.index;const U=A>=0?g.length-A-1:g.length;return{numLines:y,lastLineLength:U}}function t(g,f){const y=["--hidden","--no-require-git"];y.push(g.isCaseSensitive?"--case-sensitive":"--ignore-case");const{doubleStarIncludes:A,otherIncludes:N}=(0,R.$K)(f.includes,z=>z.startsWith("**")?"doubleStarIncludes":"otherIncludes");if(N&&N.length){const z=new Set;N.forEach(T=>{z.add(T)}),y.push("-g","!*"),z.forEach(T=>{d(T).map(k.$2jc).forEach(P=>{y.push("-g",P)})})}A&&A.length&&A.forEach(z=>{y.push("-g",z)}),f.excludes.map(k.$2jc).forEach(z=>y.push("-g",`!${z}`)),f.maxFileSize&&y.push("--max-filesize",f.maxFileSize+""),f.useIgnoreFiles?f.useParentIgnoreFiles||y.push("--no-ignore-parent"):y.push("--no-ignore"),f.followSymlinks&&y.push("--follow"),f.encoding&&f.encoding!=="utf8"&&y.push("--encoding",f.encoding),g.pattern==="--"&&(g.isRegExp=!0,g.pattern="\\-\\-"),g.isMultiline&&!g.isRegExp&&(g.pattern=(0,v.$Xe)(g.pattern),g.isRegExp=!0),f.usePCRE2&&y.push("--pcre2"),y.push("--crlf"),g.isRegExp&&(g.pattern=u(g.pattern),y.push("--engine","auto"));let U;if(g.isWordMatch){const T=(0,v.$7e)(g.pattern,!!g.isRegExp,{wholeWord:g.isWordMatch}).source.replace(/\\\//g,"/");y.push("--regexp",T)}else if(g.isRegExp){let z=c(g.pattern);z=h(z),y.push("--regexp",z)}else U=g.pattern,y.push("--fixed-strings");return y.push("--no-config"),f.useGlobalIgnoreFiles||y.push("--no-ignore-global"),y.push("--json"),g.isMultiline&&y.push("--multiline"),f.beforeContext&&y.push("--before-context",f.beforeContext+""),f.afterContext&&y.push("--after-context",f.afterContext+""),y.push("--"),U&&y.push(U),y.push("."),y}e.$_jc=t;function d(g){return D(g).flatMap(y=>{const A=(0,w.$Vj)(y,"/");return A.map((N,U)=>A.slice(0,U+1).join("/"))})}function u(g){const f=/((?:[^\\]|^)(?:\\\\)*)\\u([a-z0-9]{4})/gi;for(;g.match(f);)g=g.replace(f,"$1\\x{$2}");const y=/((?:[^\\]|^)(?:\\\\)*)\\u\{([a-z0-9]{4})\}/gi;for(;g.match(y);)g=g.replace(y,"$1\\x{$2}");return g}e.$akc=u;const s=g=>g.type==="Assertion"&&g.kind==="lookbehind";function c(g){let f;try{f=new b.RegExpParser().parsePattern(g)}catch{return g}let y="",A=0;const N=(T,P,O)=>{y+=g.slice(A,T)+O,A=P},U=[];return new b.RegExpVisitor({onCharacterEnter(T){if(T.raw!=="\\n")return;const P=U[0];if(!P)N(T.start,T.end,"\\r?\\n");else if(!U.some(s))if(P.type==="CharacterClass")if(P.negate){const O=g.slice(P.start+2,T.start)+g.slice(T.end,P.end-1);P.parent?.type==="Quantifier"?N(P.start,P.end,O?`[^${O}]`:"."):N(P.start,P.end,"(?!\\r?\\n"+(O?`|[${O}]`:"")+")")}else{const O=g.slice(P.start+1,T.start)+g.slice(T.end,P.end-1);N(P.start,P.end,O===""?"\\r?\\n":`(?:[${O}]|\\r?\\n)`)}else P.type==="Quantifier"&&N(T.start,T.end,"(?:\\r?\\n)")},onQuantifierEnter(T){U.unshift(T)},onQuantifierLeave(){U.shift()},onCharacterClassRangeEnter(T){U.unshift(T)},onCharacterClassRangeLeave(){U.shift()},onCharacterClassEnter(T){U.unshift(T)},onCharacterClassLeave(){U.shift()},onAssertionEnter(T){s(T)&&U.push(T)},onAssertionLeave(T){U[0]===T&&U.shift()}}).visit(f),y+=g.slice(A),y}e.$bkc=c;function h(g){return g.replace(/\n/g,"\\r?\\n")}e.$ckc=h;function m(g){let f=!1,y=!1,A="",N="";for(let U=0;U<g.length;U++){const z=g[U];switch(z){case"\\":y?(f?N+="\\"+z:A+="\\"+z,y=!1):y=!0;break;case"{":if(y)f?N+=z:A+=z,y=!1;else{if(f)return{strInBraces:A+"{"+N+"{"+g.substring(U+1)};f=!0}break;case"}":if(y)f?N+=z:A+=z,y=!1;else{if(f)return{fixedStart:A,strInBraces:N,fixedEnd:g.substring(U+1)};A+=z}break;default:f?N+=(y?"\\":"")+z:A+=(y?"\\":"")+z,y=!1;break}}return{strInBraces:A+(f?"{"+N:"")}}function D(g){const{fixedStart:f,strInBraces:y,fixedEnd:A}=m(g);if(f===void 0||A===void 0)return[y];let N=(0,w.$Vj)(y,",");N.length||(N=[""]);const U=D(A);return N.flatMap(z=>{const T=f+z;return U.map(P=>T+P)})}e.$dkc=D}),define(Se[379],De([1,0,22,157,107,16]),function(me,e,I,F,$,L){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$hkc=void 0;class R{constructor(S){this.b=S,this.a=new Set,process.once("exit",()=>this.d())}provideTextSearchResults(S,M,C,b){const E=new F.$0jc(this.b);if(M.folder.scheme===L.Schemas.vscodeUserData){const k={...M,folder:M.folder.with({scheme:L.Schemas.file})},l=new $.$Hv(p=>C.report({...p,uri:p.uri.with({scheme:M.folder.scheme})}));return this.c(b,p=>E.provideTextSearchResults(S,k,l,p))}else return this.c(b,k=>E.provideTextSearchResults(S,M,C,k))}async c(S,M){const C=w(S);this.a.add(C);const b=await M(C.token);return this.a.delete(C),b}d(){this.a.forEach(S=>S.cancel())}}e.$hkc=R;function w(v){const S=new I.$ce;return v.onCancellationRequested(()=>S.cancel()),S}}),define(Se[380],De([1,0,31,157,156]),function(me,e,I,F,$){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$fkc=void 0;class L{constructor(v){this.a=v}search(v,S,M){if((!this.a.folderQueries||!this.a.folderQueries.length)&&(!this.a.extraFileResources||!this.a.extraFileResources.length))return Promise.resolve({type:"success",limitHit:!1,stats:{type:"searchProcess"}});const C={appendLine(E){M({message:E})}},b=new $.$ekc(this.a,new F.$0jc(C),I);return new Promise((E,k)=>b.search(l=>{S(l.map(R))},v).then(l=>E({limitHit:l.limitHit,type:"success",stats:l.stats}),k))}}e.$fkc=L;function R(w){return{path:w.resource&&w.resource.fsPath,results:w.results,numMatches:(w.results||[]).reduce((v,S)=>{if(S.ranges){const M=S;return v+(Array.isArray(M.ranges)?M.ranges.length:1)}else return v+1},0)}}}),define(Se[381],De([1,0,19,8,14,4,129,17,38,2,32,36,376,380]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$gkc=void 0;class k{static{this.a=512}constructor(r="searchProcess"){this.d=r,this.b=Object.create(null)}fileSearch(r){let a;const t=o(r),d=new L.$5d({onDidAddFirstListener:()=>{a=(0,F.$4g)(u=>this.doFileSearchWithEngine(b.$9jc,t,s=>d.fire(s),u)),a.then(u=>d.fire(u),u=>d.fire({type:"error",error:{message:u.message,stack:u.stack}}))},onDidRemoveLastListener:()=>{a.cancel()}});return d.event}textSearch(r){let a;const t=o(r),d=new L.$5d({onDidAddFirstListener:()=>{a=(0,F.$4g)(u=>this.f(t,s=>d.fire(s),u)),a.then(u=>d.fire(u),u=>d.fire({type:"error",error:{message:u.message,stack:u.stack}}))},onDidRemoveLastListener:()=>{a.cancel()}});return d.event}f(r,a,t){return r.maxFileSize=this.g().maxFileSize,new E.$fkc(r).search(t,a,a)}g(){return{maxFileSize:16*M.$0k.GB}}doFileSearch(r,a,t){return this.doFileSearchWithEngine(b.$9jc,r,a,t)}doFileSearchWithEngine(r,a,t,d,u=k.a){let s=0;const c=m=>{Array.isArray(m)?(s+=m.length,t(m.map(D=>this.h(D)))):m.relativePath?(s++,t(this.h(m))):t(m)};if(a.sortByScore){let m=this.l(a,c,d);if(!m){const D=a.maxResults?Object.assign({},a,{maxResults:null}):a,g=new r(D);m=this.j(g,a,t,c,d)}return new Promise((D,g)=>{m.then(([f,y])=>{const A=y.map(N=>this.h(N));this.o(A,t,u),D(f)},g)})}const h=new r(a);return this.r(h,c,u,d).then(m=>({limitHit:m.limitHit,type:"success",stats:{detailStats:m.stats,type:this.d,fromCache:!1,resultCount:s,sortingTime:void 0}}))}h(r){return{path:r.base?(0,w.$jc)(r.base,r.relativePath):r.relativePath}}j(r,a,t,d,u){const s=new L.$5d;let c=(0,F.$4g)(m=>{let D=[];const g=f=>{Array.isArray(f)?D=f:(d(f),s.fire(f))};return this.r(r,g,-1,m).then(f=>[f,D])}),h;if(a.cacheKey){h=this.k(a.cacheKey);const m={promise:c,event:s.event,resolved:!1};h.resultsToSearchCache[a.filePattern||""]=m,c.then(()=>{m.resolved=!0},D=>{delete h.resultsToSearchCache[a.filePattern||""]}),c=this.s(c)}return c.then(([m,D])=>{const g=h?h.scorerCache:Object.create(null),f=(typeof a.maxResults!="number"||a.maxResults>0)&&v.$1d.create(!1);return this.n(a,D,g,u).then(y=>{const A=f?f.elapsed():-1;return[{type:"success",stats:{detailStats:m.stats,sortingTime:A,fromCache:!1,type:this.d,workspaceFolderCount:a.folderQueries.length,resultCount:y.length},messages:m.messages,limitHit:m.limitHit||typeof a.maxResults=="number"&&D.length>a.maxResults},y]})})}k(r){const a=this.b[r];return a||(this.b[r]=new l)}l(r,a,t){const d=r.cacheKey&&this.b[r.cacheKey];if(!d)return;const u=this.q(d,r.filePattern||"",a,t);if(u)return u.then(([s,c,h])=>{const m=v.$1d.create(!1);return this.n(r,c,d.scorerCache,t).then(D=>{const g=m.elapsed(),f={fromCache:!0,detailStats:h,type:this.d,resultCount:c.length,sortingTime:g};return[{type:"success",limitHit:s.limitHit||typeof r.maxResults=="number"&&c.length>r.maxResults,stats:f},D]})})}n(r,a,t,d){const u=(0,R.$$q)(r.filePattern||""),s=(h,m)=>(0,R.$0q)(h,m,u,!0,p,t),c=typeof r.maxResults=="number"?r.maxResults:Number.MAX_VALUE;return I.$Gb(a,s,c,1e4,d)}o(r,a,t){if(t&&t>0)for(let d=0;d<r.length;d+=t)a(r.slice(d,d+t));else a(r)}q(r,a,t,d){const u=v.$1d.create(!1),s=a.indexOf(w.sep)>=0;let c;for(const g in r.resultsToSearchCache)if(a.startsWith(g)){if(s&&g.indexOf(w.sep)<0&&g!=="")continue;const f=r.resultsToSearchCache[g];c={promise:this.s(f.promise),event:f.event,resolved:f.resolved};break}if(!c)return null;const h=u.elapsed(),m=v.$1d.create(!1),D=c.event(t);return d&&d.onCancellationRequested(()=>{D.dispose()}),c.promise.then(([g,f])=>{if(d&&d.isCancellationRequested)throw(0,$.$6)();const y=[],A=(0,R.$$q)(a).normalizedLowercase;for(const N of f)(0,C.$zK)(N,A)&&y.push(N);return[g,y,{cacheWasResolved:c.resolved,cacheLookupTime:h,cacheFilterTime:m.elapsed(),cacheEntryCount:f.length}]})}r(r,a,t,d){return new Promise((u,s)=>{let c=[];d?.onCancellationRequested(()=>r.cancel()),r.search(h=>{h&&(t?(c.push(h),t>0&&c.length>=t&&(a(c),c=[])):a(h))},h=>{a(h)},(h,m)=>{c.length&&a(c),h?(a({message:"Search finished. Error: "+h.message}),s(h)):(a({message:"Search finished. Stats: "+JSON.stringify(m.stats)}),u(m))})})}clearCache(r){return delete this.b[r],Promise.resolve(void 0)}s(r){return new class{get[Symbol.toStringTag](){return this.toString()}cancel(){}then(a,t){return r.then(a,t)}catch(a){return this.then(void 0,a)}finally(a){return r.finally(a)}}}}e.$gkc=k;class l{constructor(){this.resultsToSearchCache=Object.create(null),this.scorerCache=Object.create(null)}}const p=new class{getItemLabel(n){return(0,w.$nc)(n.relativePath)}getItemDescription(n){return(0,w.$mc)(n.relativePath)}getItemPath(n){return n.relativePath}};function o(n){return{...n,folderQueries:n.folderQueries&&n.folderQueries.map(i),extraFileResources:n.extraFileResources&&n.extraFileResources.map(r=>S.URI.revive(r))}}function i(n){return{...n,folder:S.URI.revive(n.folder)}}}),define(Se[382],De([1,0,3,16,2,31,13,27,20,97,66,36,381,379,119,156]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ikc=void 0;let p=class extends S.$7ic{constructor(i,n,r,a){super(i,r,a),this.s=L,this.t=-1,this.v=null,this.w=!1,this.x=new I.$Sc;const t=new k.$4jc("RipgrepSearchUD",this.n);this.x.add(this.registerTextSearchProvider(F.Schemas.vscodeUserData,new E.$hkc(t))),n.remote.isRemote&&n.remote.authority&&this.y()}dispose(){this.x.dispose()}$enableExtensionHostSearch(){this.y()}y(){if(this.w)return;this.w=!0;const i=new k.$4jc("RipgrepSearchEH",this.n);this.x.add(this.registerTextSearchProvider(F.Schemas.file,new E.$hkc(i))),this.x.add(this.z(F.Schemas.file,new b.$gkc("fileSearchProvider")))}z(i,n){const r=this.d++;return this.v=n,this.t=r,this.c.$registerFileSearchProvider(r,this.o(i)),(0,I.$Rc)(()=>{this.v=null,this.c.$unregisterProvider(r)})}$provideFileSearchResults(i,n,r,a){const t=(0,S.$8ic)(r);if(i===this.t){const d=Date.now();return this.A(i,n,t,a).then(u=>{const s=Date.now()-d;return this.n.debug(`Ext host file search time: ${s}ms`),u})}return super.$provideFileSearchResults(i,n,r,a)}doInternalFileSearchWithCustomCallback(i,n,r){const a=t=>{if((0,C.$yK)(t)&&(t=[t]),Array.isArray(t)){r(t.map(d=>$.URI.file(d.path)));return}t.message&&this.n.debug("ExtHostSearch",t.message)};if(!this.v)throw new Error("No internal file search handler");return this.v.doFileSearch(i,a,n)}async A(i,n,r,a){return this.doInternalFileSearchWithCustomCallback(r,a,t=>{this.c.$handleFileMatch(i,n,t)})}$clearCache(i){return this.v?.clearCache(i),super.$clearCache(i)}q(i,n){return new l.$ekc(i,n,void 0,"textSearchProvider")}};e.$ikc=p,e.$ikc=p=Je([Ve(0,v.$eO),Ve(1,w.$uO),Ve(2,M.$Zhc),Ve(3,R.$yj)],p)}),define(Se[120],De([1,0,396,62,63,397,21,14,4,3,17,11,30,81,82]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$ai=e.$_h=e.$$h=e.$0h=e.$9h=e.$8h=e.$7h=e.$6h=void 0;class l{traceSocketEvent(f,y){k.SocketDiagnostics.traceSocketEvent(this.socket,this.debugLabel,f,y)}constructor(f,y=""){this.f=!0,this.debugLabel=y,this.socket=f,this.traceSocketEvent("created",{type:"NodeSocket"}),this.a=A=>{if(this.traceSocketEvent("error",{code:A?.code,message:A?.message}),A){if(A.code==="EPIPE")return;(0,w.$1)(A)}},this.socket.on("error",this.a),this.b=A=>{this.traceSocketEvent("close",{hadError:A}),this.f=!1},this.socket.on("close",this.b),this.d=()=>{this.traceSocketEvent("nodeEndReceived"),this.f=!1},this.socket.on("end",this.d)}dispose(){this.socket.off("error",this.a),this.socket.off("close",this.b),this.socket.off("end",this.d),this.socket.destroy()}onData(f){const y=A=>{this.traceSocketEvent("read",A),f(R.$se.wrap(A))};return this.socket.on("data",y),{dispose:()=>this.socket.off("data",y)}}onClose(f){const y=A=>{f({type:0,hadError:A,error:void 0})};return this.socket.on("close",y),{dispose:()=>this.socket.off("close",y)}}onEnd(f){const y=()=>{f()};return this.socket.on("end",y),{dispose:()=>this.socket.off("end",y)}}write(f){if(!(this.socket.destroyed||!this.f))try{this.traceSocketEvent("write",f),this.socket.write(f.buffer,y=>{if(y){if(y.code==="EPIPE")return;(0,w.$1)(y)}})}catch(y){if(y.code==="EPIPE")return;(0,w.$1)(y)}}end(){this.traceSocketEvent("nodeEndSent"),this.socket.end()}drain(){return this.traceSocketEvent("nodeDrainBegin"),new Promise((f,y)=>{if(this.socket.bufferSize===0){this.traceSocketEvent("nodeDrainEnd"),f();return}const A=()=>{this.socket.off("close",A),this.socket.off("end",A),this.socket.off("error",A),this.socket.off("timeout",A),this.socket.off("drain",A),this.traceSocketEvent("nodeDrainEnd"),f()};this.socket.on("close",A),this.socket.on("end",A),this.socket.on("error",A),this.socket.on("timeout",A),this.socket.on("drain",A)})}}e.$6h=l;var p;(function(g){g[g.MinHeaderByteSize=2]="MinHeaderByteSize",g[g.MaxWebSocketMessageLength=262144]="MaxWebSocketMessageLength"})(p||(p={}));var o;(function(g){g[g.PeekHeader=1]="PeekHeader",g[g.ReadHeader=2]="ReadHeader",g[g.ReadBody=3]="ReadBody",g[g.Fin=4]="Fin"})(o||(o={}));class i extends S.$Tc{get permessageDeflate(){return this.a.permessageDeflate}get recordedInflateBytes(){return this.a.recordedInflateBytes}traceSocketEvent(f,y){this.socket.traceSocketEvent(f,y)}constructor(f,y,A,N){super(),this.f=this.B(new v.$5d),this.g=this.B(new v.$5d),this.h=!1,this.j={state:1,readLen:2,fin:0,compressed:!1,firstFrameOfMessage:!0,mask:0,opcode:0},this.socket=f,this.traceSocketEvent("created",{type:"WebSocketNodeSocket",permessageDeflate:y,inflateBytesLength:A?.byteLength||0,recordInflateBytes:N}),this.a=this.B(new n(this,y,A,N,this.f,(U,z)=>this.m(U,z))),this.B(this.a.onError(U=>{console.error(U),(0,w.$1)(U),this.g.fire({type:0,hadError:!0,error:U})})),this.b=new k.$1h,this.B(this.socket.onData(U=>this.n(U))),this.B(this.socket.onClose(async U=>{this.a.isProcessingReadQueue()&&await v.Event.toPromise(this.a.onDidFinishProcessingReadQueue),this.g.fire(U)}))}dispose(){this.a.isProcessingWriteQueue()?this.B(this.a.onDidFinishProcessingWriteQueue(()=>{this.dispose()})):(this.socket.dispose(),super.dispose())}onData(f){return this.f.event(f)}onClose(f){return this.g.event(f)}onEnd(f){return this.socket.onEnd(f)}write(f){let y=0;for(;y<f.byteLength;)this.a.writeMessage(f.slice(y,Math.min(y+262144,f.byteLength)),{compressed:!0,opcode:2}),y+=262144}m(f,{compressed:y,opcode:A}){if(this.h)return;this.traceSocketEvent("webSocketNodeSocketWrite",f);let N=2;f.byteLength<126?N+=0:f.byteLength<2**16?N+=2:N+=8;const U=R.$se.alloc(N),z=y?64:0,T=A&15;if(U.writeUInt8(128|z|T,0),f.byteLength<126)U.writeUInt8(f.byteLength,1);else if(f.byteLength<2**16){U.writeUInt8(126,1);let P=1;U.writeUInt8(f.byteLength>>>8&255,++P),U.writeUInt8(f.byteLength>>>0&255,++P)}else{U.writeUInt8(127,1);let P=1;U.writeUInt8(0,++P),U.writeUInt8(0,++P),U.writeUInt8(0,++P),U.writeUInt8(0,++P),U.writeUInt8(f.byteLength>>>24&255,++P),U.writeUInt8(f.byteLength>>>16&255,++P),U.writeUInt8(f.byteLength>>>8&255,++P),U.writeUInt8(f.byteLength>>>0&255,++P)}this.socket.write(R.$se.concat([U,f]))}end(){this.h=!0,this.socket.end()}n(f){if(f.byteLength!==0){for(this.b.acceptChunk(f);this.b.byteLength>=this.j.readLen;)if(this.j.state===1){const y=this.b.peek(this.j.readLen),A=y.readUInt8(0),N=(A&128)>>>7,U=(A&64)>>>6,z=A&15,T=y.readUInt8(1),P=(T&128)>>>7,O=T&127;this.j.state=2,this.j.readLen=2+(P?4:0)+(O===126?2:0)+(O===127?8:0),this.j.fin=N,this.j.firstFrameOfMessage&&(this.j.compressed=!!U),this.j.firstFrameOfMessage=!!N,this.j.mask=0,this.j.opcode=z,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{headerSize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,opcode:this.j.opcode})}else if(this.j.state===2){const y=this.b.read(this.j.readLen),A=y.readUInt8(1),N=(A&128)>>>7;let U=A&127,z=1;U===126?U=y.readUInt8(++z)*2**8+y.readUInt8(++z):U===127&&(U=y.readUInt8(++z)*0+y.readUInt8(++z)*0+y.readUInt8(++z)*0+y.readUInt8(++z)*0+y.readUInt8(++z)*2**24+y.readUInt8(++z)*2**16+y.readUInt8(++z)*2**8+y.readUInt8(++z));let T=0;N&&(T=y.readUInt8(++z)*2**24+y.readUInt8(++z)*2**16+y.readUInt8(++z)*2**8+y.readUInt8(++z)),this.j.state=3,this.j.readLen=U,this.j.mask=T,this.traceSocketEvent("webSocketNodeSocketPeekedHeader",{bodySize:this.j.readLen,compressed:this.j.compressed,fin:this.j.fin,mask:this.j.mask,opcode:this.j.opcode})}else if(this.j.state===3){const y=this.b.read(this.j.readLen);this.traceSocketEvent("webSocketNodeSocketReadData",y),t(y,this.j.mask),this.traceSocketEvent("webSocketNodeSocketUnmaskedData",y),this.j.state=1,this.j.readLen=2,this.j.mask=0,this.j.opcode<=2?this.a.acceptFrame(y,this.j.compressed,!!this.j.fin):this.j.opcode===9&&this.a.writeMessage(y,{compressed:!1,opcode:10})}}}async drain(){this.traceSocketEvent("webSocketNodeSocketDrainBegin"),this.a.isProcessingWriteQueue()&&await v.Event.toPromise(this.a.onDidFinishProcessingWriteQueue),await this.socket.drain(),this.traceSocketEvent("webSocketNodeSocketDrainEnd")}}e.$7h=i;class n extends S.$Tc{get permessageDeflate(){return!!(this.b&&this.f)}get recordedInflateBytes(){return this.b?this.b.recordedInflateBytes:R.$se.alloc(0)}constructor(f,y,A,N,U,z){super(),this.n=f,this.r=U,this.s=z,this.a=this.B(new v.$5d),this.onError=this.a.event,this.g=[],this.h=[],this.j=this.B(new v.$5d),this.onDidFinishProcessingReadQueue=this.j.event,this.m=this.B(new v.$5d),this.onDidFinishProcessingWriteQueue=this.m.event,this.t=!1,this.y=!1,y?(this.b=this.B(new r(this.n,N,A,{windowBits:15})),this.f=this.B(new a(this.n,{windowBits:15})),this.B(this.b.onError(T=>this.a.fire(T))),this.B(this.f.onError(T=>this.a.fire(T)))):(this.b=null,this.f=null)}writeMessage(f,y){this.g.push({data:f,options:y}),this.u()}async u(){if(!this.t){for(this.t=!0;this.g.length>0;){const{data:f,options:y}=this.g.shift();if(this.f&&y.compressed){const A=await this.w(this.f,f);this.s(A,y)}else this.s(f,{...y,compressed:!1})}this.t=!1,this.m.fire()}}isProcessingWriteQueue(){return this.t}w(f,y){return new Promise((A,N)=>{f.write(y),f.flush(U=>A(U))})}acceptFrame(f,y,A){this.h.push({data:f,isCompressed:y,isLastFrameOfMessage:A}),this.z()}async z(){if(!this.y){for(this.y=!0;this.h.length>0;){const f=this.h.shift();if(this.b&&f.isCompressed){const y=await this.C(this.b,f.data,f.isLastFrameOfMessage);this.r.fire(y)}else this.r.fire(f.data)}this.y=!1,this.j.fire()}}isProcessingReadQueue(){return this.y}C(f,y,A){return new Promise((N,U)=>{f.write(y),A&&f.write(R.$se.fromByteArray([0,0,255,255])),f.flush(z=>N(z))})}}class r extends S.$Tc{get recordedInflateBytes(){return this.j?R.$se.concat(this.f):R.$se.alloc(0)}constructor(f,y,A,N){super(),this.h=f,this.j=y,this.a=this.B(new v.$5d),this.onError=this.a.event,this.f=[],this.g=[],this.b=(0,L.createInflateRaw)(N),this.b.on("error",U=>{this.h.traceSocketEvent("zlibInflateError",{message:U?.message,code:U?.code}),this.a.fire(U)}),this.b.on("data",U=>{this.h.traceSocketEvent("zlibInflateData",U),this.g.push(R.$se.wrap(U))}),A&&(this.h.traceSocketEvent("zlibInflateInitialWrite",A.buffer),this.b.write(A.buffer),this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateInitialFlushFired"),this.g.length=0}))}write(f){this.j&&this.f.push(f.clone()),this.h.traceSocketEvent("zlibInflateWrite",f),this.b.write(f.buffer)}flush(f){this.b.flush(()=>{this.h.traceSocketEvent("zlibInflateFlushFired");const y=R.$se.concat(this.g);this.g.length=0,f(y)})}}class a extends S.$Tc{constructor(f,y){super(),this.g=f,this.a=this.B(new v.$5d),this.onError=this.a.event,this.f=[],this.b=(0,L.createDeflateRaw)({windowBits:15}),this.b.on("error",A=>{this.g.traceSocketEvent("zlibDeflateError",{message:A?.message,code:A?.code}),this.a.fire(A)}),this.b.on("data",A=>{this.g.traceSocketEvent("zlibDeflateData",A),this.f.push(R.$se.wrap(A))})}write(f){this.g.traceSocketEvent("zlibDeflateWrite",f.buffer),this.b.write(f.buffer)}flush(f){this.b.flush(2,()=>{this.g.traceSocketEvent("zlibDeflateFlushFired");let y=R.$se.concat(this.f);this.f.length=0,y=y.slice(0,y.byteLength-4),f(y)})}}function t(g,f){if(f===0)return;const y=g.byteLength>>>2;for(let P=0;P<y;P++){const O=g.readUInt32BE(P*4);g.writeUInt32BE(O^f,P*4)}const A=y*4,N=g.byteLength-A,U=f>>>24&255,z=f>>>16&255,T=f>>>8&255;N>=1&&g.writeUInt8(g.readUInt8(A)^U,A),N>=2&&g.writeUInt8(g.readUInt8(A+1)^z,A+1),N>=3&&g.writeUInt8(g.readUInt8(A+2)^T,A+2)}e.$8h=process.env.XDG_RUNTIME_DIR;const d={2:107,1:103};function u(){const g=(0,b.$Ag)();if(process.platform==="win32")return`\\\\.\\pipe\\vscode-ipc-${g}-sock`;const f=process.platform!=="darwin"&&e.$8h?e.$8h:(0,$.tmpdir)(),y=(0,M.$jc)(f,`vscode-ipc-${g}.sock`);return c(y),y}e.$9h=u;function s(g,f,y){const N=(0,I.createHash)("sha256").update(g).digest("hex").substr(0,8);if(process.platform==="win32")return`\\\\.\\pipe\\${N}-${y}-${f}-sock`;const U=y.substr(0,4),z=f.substr(0,6);let T;return process.platform!=="darwin"&&e.$8h&&!process.env.VSCODE_PORTABLE?T=(0,M.$jc)(e.$8h,`vscode-${N}-${U}-${z}.sock`):T=(0,M.$jc)(g,`${U}-${z}.sock`),c(T),T}e.$0h=s;function c(g){const f=d[C.$u];typeof f=="number"&&g.length>=f&&console.warn(`WARNING: IPC handle "${g}" is longer than ${f} chars, try a shorter --user-data-dir`)}class h extends E.$Uh{static b(f){const y=v.Event.fromNodeEventEmitter(f,"connection");return v.Event.map(y,A=>({protocol:new k.$2h(new l(A,"ipc-server-connection")),onDidClientDisconnect:v.Event.once(v.Event.fromNodeEventEmitter(A,"close"))}))}constructor(f){super(h.b(f)),this.d=f}dispose(){super.dispose(),this.d&&(this.d.close(),this.d=null)}}e.$$h=h;function m(g){return new Promise((f,y)=>{const A=(0,F.createServer)();A.on("error",y),A.listen(g,()=>{A.removeListener("error",y),f(new h(A))})})}e.$_h=m;function D(g,f){return new Promise((y,A)=>{const N=(0,F.createConnection)(g,()=>{N.removeListener("error",A),y(k.$3h.fromSocket(new l(N,`ipc-client${f}`),f))});N.once("error",A)})}e.$ai=D}),define(Se[383],De([1,0,62,63,167,120,8,3,11,52,13,136,258,259,109,88,21]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vac=e.$uac=e.$tac=e.$sac=void 0;async function o(t,d,u,s,c){let h;for(let m=3;m&&(h?.dispose(),h=await new i(t,d,u,s,c).waitForReady(),!(c&&$.$Dg[c]||!$.$Dg[h.tunnelLocalPort]));m--);return h}class i extends w.$Tc{constructor(d,u,s,c,h){super(),this.m=u,this.n=h,this.privacy=l.TunnelPrivacyId.Private,this.j=new Map,this.a=d,this.b=I.createServer(),this.c=new R.$dh,this.f=()=>this.c.open(),this.b.on("listening",this.f),this.g=m=>this.r(m),this.b.on("connection",this.g),this.h=()=>{},this.b.on("error",this.h),this.tunnelRemotePort=c,this.tunnelRemoteHost=s}async dispose(){super.dispose(),this.b.removeListener("listening",this.f),this.b.removeListener("connection",this.g),this.b.removeListener("error",this.h),this.b.close(),Array.from(this.j.values()).forEach(u=>{u()})}async waitForReady(){const d=this.n??this.tunnelRemotePort,u=(0,l.$Tv)(this.m)?"0.0.0.0":"127.0.0.1";let s=await(0,$.$Eg)(d,2,1e3,u),c=null;return this.b.listen(s,this.m),await this.c.wait(),c=this.b.address(),c||(s=0,this.b.listen(s,this.m),await this.c.wait(),c=this.b.address()),this.tunnelLocalPort=c.port,this.localAddress=`${this.tunnelRemoteHost==="127.0.0.1"?"127.0.0.1":"localhost"}:${c.port}`,this}async r(d){d.pause();const u=(0,l.$Rv)(this.tunnelRemoteHost)||(0,l.$Tv)(this.tunnelRemoteHost)?"localhost":this.tunnelRemoteHost,s=await(0,b.$wl)(this.a,u,this.tunnelRemotePort),c=s.getSocket(),h=s.readEntireBuffer();s.dispose(),h.byteLength>0&&d.write(h.buffer),d.on("end",()=>{d.localAddress&&this.j.delete(d.localAddress),c.end()}),d.on("close",()=>c.end()),d.on("error",()=>{d.localAddress&&this.j.delete(d.localAddress),c instanceof L.$6h?c.socket.destroy():c.end()}),c instanceof L.$6h?this.t(d,c):this.s(d,c),d.localAddress&&this.j.set(d.localAddress,()=>{d.end(),c.end()})}s(d,u){u.onClose(()=>d.destroy()),u.onEnd(()=>d.end()),u.onData(s=>d.write(s.buffer)),d.on("data",s=>u.write(p.$se.wrap(s))),d.resume()}t(d,u){const s=u.socket;s.on("end",()=>d.end()),s.on("close",()=>d.end()),s.on("error",()=>{d.destroy()}),s.pipe(d),d.pipe(s)}}e.$sac=i;let n=class extends l.$Wv{constructor(d,u,s,c,h){super(u,h),this.v=d,this.w=s,this.y=c}isPortPrivileged(d){return(0,l.$Uv)(d,this.m,v.OS,F.release())}t(d,u,s,c,h,m,D,g){const f=this.s(u,s);if(f)return++f.refcount,f.value;if((0,l.$Ov)(d))return this.u(d,u,s,h,m,D,g);{this.k.trace(`ForwardedPorts: (TunnelService) Creating tunnel without provider ${u}:${s} on local port ${h}.`);const y={commit:this.y.commit,quality:this.y.quality,addressProvider:d,remoteSocketFactoryService:this.v,signService:this.w,logService:this.k,ipcLogger:null},A=o(y,c,u,s,h);return this.k.trace("ForwardedPorts: (TunnelService) Tunnel created without provider."),this.q(u,s,A),A}}};e.$tac=n,e.$tac=n=Je([Ve(0,E.$ql),Ve(1,M.$yj),Ve(2,k.$tl),Ve(3,C.$Qj),Ve(4,S.$Ki)],n);let r=class extends n{constructor(d,u,s,c,h){super(d,u,s,c,h)}};e.$uac=r,e.$uac=r=Je([Ve(0,E.$ql),Ve(1,M.$yj),Ve(2,k.$tl),Ve(3,C.$Qj),Ve(4,S.$Ki)],r);let a=class extends w.$Tc{constructor(d,u,s,c,h){super(),this.b=d,this.c=u,this.f=s,this.g=c,this.h=h,this.a=new Map}async openTunnel(d,u,s,c,h,m,D,g,f){if(this.c.trace(`ForwardedPorts: (SharedTunnelService) openTunnel request for ${s}:${c} on local port ${m}.`),!this.a.has(d)){const y=new r(this.b,this.c,this.g,this.f,this.h);this.B(y),this.a.set(d,y),y.onTunnelClosed(async()=>{(await y.tunnels).length===0&&(y.dispose(),this.a.delete(d))})}return this.a.get(d).openTunnel(u,s,c,h,m,D,g,f)}};e.$vac=a,e.$vac=a=Je([Ve(0,E.$ql),Ve(1,M.$yj),Ve(2,C.$Qj),Ve(3,k.$tl),Ve(4,S.$Ki)],a)}),define(Se[384],De([1,0,120,278,57,33,2,13,41]),function(me,e,I,F,$,L,R,w,v){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$GO=e.$FO=void 0;class S{constructor(b,E,k){this.b=b,this.c=E,this.f=k,this.a=F.createServer((l,p)=>this.h(l,p)),this.g().catch(l=>(E.error(l),""))}get ipcHandlePath(){return this.f}async g(){try{this.a.listen(this.ipcHandlePath),this.a.on("error",b=>this.c.error(b))}catch{this.c.error("Could not start open from terminal server.")}return this.f}h(b,E){const k=(p,o)=>{E.writeHead(p,{"content-type":"application/json"}),E.end(JSON.stringify(o||null),i=>i&&this.c.error(i))},l=[];b.setEncoding("utf8"),b.on("data",p=>l.push(p)),b.on("end",async()=>{try{const p=JSON.parse(l.join(""));let o;switch(p.type){case"open":o=await this.i(p);break;case"openExternal":o=await this.j(p);break;case"status":o=await this.l(p);break;case"extensionManagement":o=await this.k(p);break;default:k(404,`Unknown message type: ${p.type}`);break}k(200,o)}catch(p){const o=p instanceof Error?p.message:JSON.stringify(p);k(500,o),this.c.error("Error while processing pipe request",p)}})}async i(b){const{fileURIs:E,folderURIs:k,forceNewWindow:l,diffMode:p,mergeMode:o,addMode:i,forceReuseWindow:n,gotoLineMode:r,waitMarkerFilePath:a,remoteAuthority:t}=b,d=[];if(Array.isArray(k))for(const h of k)try{d.push({folderUri:R.URI.parse(h)})}catch{}if(Array.isArray(E))for(const h of E)try{(0,v.$Ji)(h)?d.push({workspaceUri:R.URI.parse(h)}):d.push({fileUri:R.URI.parse(h)})}catch{}const u=a?R.URI.file(a):void 0,c={forceNewWindow:l,diffMode:p,mergeMode:o,addMode:i,gotoLineMode:r,forceReuseWindow:n,preferNewWindow:!n&&!u&&!i,waitMarkerFileURI:u,remoteAuthority:t};this.b.executeCommand("_remoteCLI.windowOpen",d,c)}async j(b){for(const E of b.uris){const k=R.URI.parse(E),l=k.scheme==="file"?k:E;await this.b.executeCommand("_remoteCLI.openExternal",l)}}async k(b){const E=l=>l?.map(p=>/\.vsix$/i.test(p)?R.URI.parse(p):p),k={list:b.list,install:E(b.install),uninstall:E(b.uninstall),force:b.force};return await this.b.executeCommand("_remoteCLI.manageExtensions",k)}async l(b){return await this.b.executeCommand("_remoteCLI.getSystemStatus")}dispose(){this.a.close(),this.f&&process.platform!=="win32"&&$.existsSync(this.f)&&$.unlinkSync(this.f)}}e.$FO=S;let M=class extends S{constructor(b,E){super(b,E,(0,I.$9h)())}};e.$GO=M,e.$GO=M=Je([Ve(0,L.$AO),Ve(1,w.$yj)],M)}),define(Se[385],De([1,0,58,372,367,277,47,354,2,16,7,384,103,310,353]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$nkc=void 0;class l extends $.$Ojc{j(){const i=this,n=globalThis._VSCODE_NODE_MODULES.module,r=n._load;n._load=function(u,s,c){return u=t(u),i.a.has(u)?i.a.get(u).load(u,v.URI.file((0,b.$Hq)(s.filename)),h=>r.apply(this,[h,s,c])):r.apply(this,arguments)};const a=n._resolveLookupPaths;n._resolveLookupPaths=(d,u)=>a.call(this,t(d),u);const t=d=>{for(const u of i.b){const s=u(d);if(s){d=s;break}}return d}}}class p extends R.$Dic{constructor(){super(...arguments),this.extensionRuntime=M.ExtensionRuntime.Node}async tb(){this.h.createInstance(E.$lkc);const i=this.h.invokeFunction(F.$Kjc);if(this.h.createInstance(w.$kkc),this.f.remote.isRemote&&this.f.remote.authority){const a=this.h.createInstance(C.$GO);process.env.VSCODE_IPC_HOOK_CLI=a.ipcHandlePath}this.h.createInstance(k.$mkc),await this.h.createInstance(l,i,{mine:this.J,all:this.L}).install(),I.mark("code/extHost/didInitAPI");const r=await this.m.getConfigProvider();await(0,L.$jkc)(this.j,r,this,this.s,this.z,this.f),I.mark("code/extHost/didInitProxyResolver")}ub(i){return i.main}async vb(i,n,r){if(n.scheme!==S.Schemas.file)throw new Error(`Cannot load URI: '${n}', must be of file-scheme`);let a=null;r.codeLoadingStart(),this.s.trace(`ExtensionService#loadCommonJSModule ${n.toString(!0)}`),this.s.flush();const t=i?.identifier.value;i&&await this.w.initializeLocalizedMessages(i);try{t&&I.mark(`code/extHost/willLoadExtensionCode/${t}`),a=me.__$__nodeRequire(n.fsPath)}finally{t&&I.mark(`code/extHost/didLoadExtensionCode/${t}`),r.codeLoadingStop()}return a}async $setRemoteEnvironment(i){if(this.f.remote.isRemote)for(const n in i){const r=i[n];r===null?delete process.env[n]:process.env[n]=r}}}e.$nkc=p}),define(Se[386],De([1,0,51,21,4,3,122,11,23,2,31,13,257,64,109,88,383,27,20,70,361]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),e.$vkc=e.$ukc=e.$tkc=e.$skc=e.$rkc=e.$qkc=e.$pkc=e.$okc=void 0;function a(f){const y=f.trim().split(`
`),A=[];return y.forEach(U=>{const z=/\/proc\/(\d+)\/fd\/\d+ -> socket:\[(\d+)\]/.exec(U);z&&z.length>=3&&A.push({pid:parseInt(z[1],10),socket:parseInt(z[2],10)})}),A.reduce((U,z)=>(U[z.socket]=z,U),{})}e.$okc=a;function t(...f){const y=[].concat(...f.map(u));return[...new Map(y.filter(A=>A.st==="0A").map(A=>{const N=A.local_address.split(":");return{socket:parseInt(A.inode,10),ip:d(N[0]),port:parseInt(N[1],16)}}).map(A=>[A.ip+":"+A.port,A])).values()]}e.$pkc=t;function d(f){let y="";if(f.length===8)for(let A=f.length-2;A>=0;A-=2)y+=parseInt(f.substr(A,2),16),A!==0&&(y+=".");else for(let A=0;A<f.length;A+=8){const N=f.substring(A,A+8);let U="";for(let z=8;z>=2;z-=2)U+=N.substring(z-2,z),(z===6||z===2)&&(U=parseInt(U,16).toString(16),y+=`${U}`,U="",A+z!==f.length-6&&(y+=":"))}return y}e.$qkc=d;function u(f){const y=f.trim().split(`
`),A=y.shift().trim().split(/\s+/).filter(U=>U!=="rx_queue"&&U!=="tm->when");return y.map(U=>U.trim().split(/\s+/).reduce((z,T,P)=>(z[A[P]||P]=T,z),{}))}e.$rkc=u;function s(f){return!!f.match(/.*\.vscode-server-[a-zA-Z]+\/bin.*/)||f.indexOf("out/server-main.js")!==-1||f.indexOf("_productName=VSCode")!==-1}function c(f){const y=f.trim().split(`
`),A=[];return y.forEach(N=>{const U=/^\d+\s+\D+\s+root\s+(\d+)\s+(\d+).+\d+\:\d+\:\d+\s+(.+)$/.exec(N);U&&U.length>=4&&A.push({pid:parseInt(U[1],10),ppid:parseInt(U[2]),cmd:U[3]})}),A}e.$skc=c;async function h(f,y,A){const N=A.reduce((z,T)=>(z[T.pid]=T,z),{}),U=[];return f.forEach(({socket:z,ip:T,port:P})=>{const O=y[z]?y[z].pid:void 0,j=O?N[O]?.cmd:void 0;O&&j&&!s(j)&&U.push({host:T,port:P,detail:j,pid:O})}),U}e.$tkc=h;function m(f,y,A){const N=new Map,U=c(y);for(const z of f){const T=A.get(z.port);if(T){N.set(z.port,T);continue}const P=U.find(O=>O.cmd.includes(`${z.port}`));if(P){let O=P,j;do j=U.find(K=>K.ppid===O.pid),j&&(O=j);while(j);N.set(z.port,{host:z.ip,port:z.port,pid:O.pid,detail:O.cmd,ppid:O.ppid})}else N.set(z.port,{host:z.ip,port:z.port,ppid:Number.MAX_VALUE})}return N}e.$ukc=m;let D=class extends n.$qAb{constructor(y,A,N,U){super(y,A,N),this.D=A,this.F=U,this.y=void 0,this.z=new Map,this.C=!1,w.$k&&A.remote.isRemote&&A.remote.authority&&(this.a.$setRemoteTunnelService(process.pid),this.H())}async $registerCandidateFinder(y){if(y&&this.C)return;this.C=y;let A;this.y&&(A=this.y,await this.a.$onFoundNewCandidates(this.y));const N=new R.$im;let U=0;for(;this.C;){const z=new Date().getTime(),T=(await this.I()).filter(j=>(0,l.$Rv)(j.host)||(0,l.$Tv)(j.host));this.s.trace(`ForwardedPorts: (ExtHostTunnelService) found candidate ports ${T.map(j=>j.port).join(", ")}`);const P=new Date().getTime()-z;this.s.trace(`ForwardedPorts: (ExtHostTunnelService) candidate port scan took ${P} ms.`),U++>3&&N.update(P),(!A||JSON.stringify(A)!==JSON.stringify(T))&&(A=T,await this.a.$onFoundNewCandidates(A));const O=this.G(N.value);this.s.trace(`ForwardedPorts: (ExtHostTunnelService) next candidate port scan in ${O} ms.`),await new Promise(j=>setTimeout(()=>j(),O))}}G(y){return Math.max(y*20,2e3)}async H(){this.y=await this.I(),this.s.trace(`ForwardedPorts: (ExtHostTunnelService) Initial candidates found: ${this.y.map(y=>y.port).join(", ")}`)}async I(){let y="",A="";try{y=await M.Promises.readFile("/proc/net/tcp","utf8"),A=await M.Promises.readFile("/proc/net/tcp6","utf8")}catch{}const N=t(y,A),U=await new Promise(_=>{(0,I.exec)("ls -l /proc/[0-9]*/fd/[0-9]* | grep socket:",(X,Y,ae)=>{_(Y)})}),z=a(U),T=await M.Promises.readdir("/proc"),P=[];for(const _ of T)try{const X=Number(_),Y=v.$Rg(S.URI.file("/proc"),_);if((await M.Promises.stat(Y.fsPath)).isDirectory()&&!isNaN(X)){const ee=await M.Promises.readlink(v.$Rg(Y,"cwd").fsPath),fe=await M.Promises.readFile(v.$Rg(Y,"cmdline").fsPath,"utf8");P.push({pid:X,cwd:ee,cmd:fe})}}catch{}const O=[],j=N.filter(_=>{const X=z[_.socket];return X||O.push(_),X}),K=h(j,z,P);let ie;if(this.s.trace(`ForwardedPorts: (ExtHostTunnelService) number of possible root ports ${O.length}`),O.length>0){const _=await new Promise(X=>{(0,I.exec)("ps -F -A -l | grep root",(Y,ae,ee)=>{X(ae)})});this.z=m(O,_,this.z),ie=Array.from(this.z.values()),this.s.trace(`ForwardedPorts: (ExtHostTunnelService) heuristic ports ${ie.map(X=>X.port).join(", ")}`)}return K.then(_=>ie?_.concat(ie):_)}w(y){return async A=>{const N=new p.$sac({commit:this.D.commit,quality:this.D.quality,logService:this.s,ipcLogger:null,remoteSocketFactoryService:{_serviceBrand:void 0,async connect(z,T,P,O){const j=await y.makeConnection();return g.connect(j,T,P,O)},register(){throw new Error("not implemented")}},addressProvider:{getAddress(){return Promise.resolve({connectTo:new E.$hl(0),connectionToken:y.connectionToken})}},signService:this.F},"localhost",A.remoteAddress.host||"localhost",A.remoteAddress.port,A.localAddressPort);await N.waitForReady();const U=new $.$5d;return{localAddress:(0,r.$nL)(N.localAddress)??N.localAddress,remoteAddress:{port:N.tunnelRemotePort,host:N.tunnelRemoteHost},onDidDispose:U.event,dispose:()=>{N.dispose(),U.fire(),U.dispose()}}}}};e.$vkc=D,e.$vkc=D=Je([Ve(0,i.$eO),Ve(1,o.$uO),Ve(2,C.$yj),Ve(3,k.$tl)],D);class g extends b.$ptb{static connect(y,A,N,U){const z=new L.$Sc,T={onClose:z.add(new $.$5d),onData:z.add(new $.$5d),onEnd:z.add(new $.$5d)};z.add(y.onDidReceiveMessage(O=>T.onData.fire(F.$se.wrap(O)))),z.add(y.onDidEnd(()=>T.onEnd.fire())),z.add(y.onDidClose(O=>T.onClose.fire({type:0,error:O,hadError:!!O})));const P=new g(y,U,T);return P.B(z),(0,b.$otb)(P,A,N,U,T)}constructor(y,A,N){super(A,N),this.n=y}write(y){this.n.send(y.buffer)}h(){this.n.end()}async drain(){await this.n.drain?.()}}}),define(Se[387],De([1,0,84,356,370,369,382,385,386,96,47,97,95,46,70,93,355,311,13,371,60,272,105,109,138]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o,i,n,r,a,t,d,u){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),(0,I.$0r)(M.$Eic,w.$nkc,0),(0,I.$0r)(i.$zj,o.$xkc,1),(0,I.$0r)(i.$yj,new t.$bi(a.$Njc,[!1],!0)),(0,I.$0r)(d.$tl,u.$xac,1),(0,I.$0r)(l.$9hc,p.$wkc,0),(0,I.$0r)(S.$Jic,L.$1jc,0),(0,I.$0r)(C.$6ic,R.$ikc,0),(0,I.$0r)(b.$wjc,$.$Sjc,0),(0,I.$0r)(E.$ric,F.$Rjc,0),(0,I.$0r)(k.$pAb,v.$vkc,0),(0,I.$0r)(r.$Hic,n.$ykc,0)}),define(Se[398],De([1,0,62,399,58,14,82,120,255,113,368,21,31,103,8,132,279,293,373,387]),function(me,e,I,F,$,L,R,w,v,S,M,C,b,E,k,l,p,o){"use strict";Object.defineProperty(e,"__esModule",{value:!0}),function(){for(let m=0;m<process.execArgv.length;m++)process.execArgv[m]==="--inspect-port=0"&&(process.execArgv.splice(m,1),m--)}();const i=F(process.argv.slice(2),{boolean:["transformURIs","skipWorkspaceStorageLock"],string:["useHostProxy"]});(function(){const h=globalThis._VSCODE_NODE_MODULES.module,m=h._load;h._load=function(D){if(D==="natives")throw new Error('Either the extension or an NPM dependency is using the [unsupported "natives" node module](https://go.microsoft.com/fwlink/?linkid=871887).');return m.apply(this,arguments)}})();const n=process.exit.bind(process),r=process.on.bind(process);function a(h){process.exit=function(m){if(h)n(m);else{const D=new Error("An extension called process.exit() and this was prevented.");console.warn(D.stack)}},process.crash=function(){const m=new Error("An extension called process.crash() and this was prevented.");console.warn(m.stack)},process.env.ELECTRON_RUN_AS_NODE="1",process.on=function(m,D){m==="uncaughtException"&&(D=function(){try{return D.call(void 0,arguments)}catch{}}),r(m,D)}}let t=function(h){n()};function d(){const h=(0,o.$6m)(process.env);if(h.type===3)return new Promise((m,D)=>{const g=f=>{const y=f[0],A=new R.$4h;y.on("message",N=>A.fire(C.$se.wrap(N.data))),y.on("close",()=>{t("renderer closed the MessagePort")}),y.start(),m({onMessage:A.event,send:N=>y.postMessage(N.buffer)})};process.parentPort.on("message",f=>g(f.ports))});if(h.type===2)return new Promise((m,D)=>{let g=null;const f=setTimeout(()=>{t("VSCODE_EXTHOST_IPC_SOCKET timeout")},6e4),y=108e5,A=3e5,N=new k.$rh(()=>t("renderer disconnected for too long (1)"),y),U=new k.$rh(()=>t("renderer disconnected for too long (2)"),A);process.on("message",(T,P)=>{if(T&&T.type==="VSCODE_EXTHOST_IPC_SOCKET"){P.setNoDelay(!0);const O=C.$se.wrap(Buffer.from(T.initialDataChunk,"base64"));let j;if(T.skipWebSocketFrames)j=new w.$6h(P,"extHost-socket");else{const K=C.$se.wrap(Buffer.from(T.inflateBytes,"base64"));j=new w.$7h(new w.$6h(P,"extHost-socket"),T.permessageDeflate,K,!1)}g?(N.cancel(),U.cancel(),g.beginAcceptReconnection(j,O),g.endAcceptReconnection(),g.sendResume()):(clearTimeout(f),g=new R.$5h({socket:j,initialChunk:O}),g.sendResume(),g.onDidDispose(()=>t("renderer disconnected")),m(g),g.onSocketClose(()=>{N.schedule()}))}if(T&&T.type==="VSCODE_EXTHOST_IPC_REDUCE_GRACE_TIME"){if(U.isScheduled())return;N.isScheduled()&&U.schedule()}});const z={type:"VSCODE_EXTHOST_IPC_READY"};process.send?.(z)});{const m=h.pipeName;return new Promise((D,g)=>{const f=I.createConnection(m,()=>{f.removeListener("error",g);const y=new R.$5h({socket:new w.$6h(f,"extHost-renderer")});y.sendResume(),D(y)});f.once("error",g),f.on("close",()=>{t("renderer closed the socket")})})}}async function u(){const h=await d();return new class{constructor(){this.a=new R.$4h,this.onMessage=this.a.event,this.b=!1,h.onMessage(m=>{(0,S.$Fm)(m,2)?(this.b=!0,t("received terminate message from renderer")):this.a.fire(m)})}send(m){this.b||h.send(m)}async drain(){if(h.drain)return h.drain()}}}function s(h){return new Promise(m=>{const D=h.onMessage(g=>{D.dispose();const f=JSON.parse(g.toString()),y=f.commit,A=v.default.commit;if(y&&A&&y!==A&&n(55),f.parentPid){let N=0;setInterval(function(){try{process.kill(f.parentPid,0),N=0}catch(z){z&&z.code==="EPERM"?(N++,N>=3&&t(`parent process ${f.parentPid} does not exist anymore (3 x EPERM): ${z.message} (code: ${z.code}) (errno: ${z.errno})`)):t(`parent process ${f.parentPid} does not exist anymore: ${z.message} (code: ${z.code}) (errno: ${z.errno})`)}},1e3);let U;try{U=globalThis._VSCODE_NODE_MODULES["native-watchdog"],U.start(f.parentPid)}catch(z){(0,L.$1)(z)}}h.send((0,S.$Em)(0)),m({protocol:h,initData:f})});h.send((0,S.$Em)(1))})}async function c(){const h=[];process.on("unhandledRejection",(N,U)=>{h.push(U),setTimeout(()=>{const z=h.indexOf(U);z>=0&&U.catch(T=>{h.splice(z,1),(0,L.$4)(T)||(console.warn(`rejected promise not handled within 1 second: ${T}`),T&&T.stack&&console.warn(`stack trace: ${T.stack}`),N&&(0,L.$1)(N))})},1e3)}),process.on("rejectionHandled",N=>{const U=h.indexOf(N);U>=0&&h.splice(U,1)}),process.on("uncaughtException",function(N){(0,L.$Z)(N)||(0,L.$1)(N)}),$.mark("code/extHost/willConnectToRenderer");const m=await u();$.mark("code/extHost/didConnectToRenderer");const D=await s(m);$.mark("code/extHost/didWaitForInitData");const{initData:g}=D;a(!!g.environment.extensionTestsLocationURI),g.environment.useHostProxy=i.useHostProxy!==void 0?i.useHostProxy!=="false":void 0,g.environment.skipWorkspaceStorageLock=(0,l.boolean)(i.skipWorkspaceStorageLock,!1);const f=new class{constructor(){this.pid=process.pid}exit(U){n(U)}fsExists(U){return b.Promises.exists(U)}fsRealpath(U){return(0,E.$Gq)(U)}};let y=null;g.remote.authority&&i.transformURIs&&(y=(0,p.$bs)(g.remote.authority));const A=new M.$Qjc(D.protocol,g,f,y);t=N=>A.terminate(N)}c().catch(h=>console.log(h))})}).call(this);

//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/863d2581ecda6849923a2118d93a088b0745d9d6/core/vs/workbench/api/node/extensionHostProcess.js.map
